# Copyright (c) Stanford University, The Regents of the University of
#               California, and others.
#
# All Rights Reserved.
#
# See Copyright-SimVascular.txt for additional details.
#
# Permission is hereby granted, free of charge, to any person obtaining
# a copy of this software and associated documentation files (the
# "Software"), to deal in the Software without restriction, including
# without limitation the rights to use, copy, modify, merge, publish,
# distribute, sublicense, and/or sell copies of the Software, and to
# permit persons to whom the Software is furnished to do so, subject
# to the following conditions:
#
# The above copyright notice and this permission notice shall be included
# in all copies or substantial portions of the Software.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
# IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
# TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
# PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER
# OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

PYTHON_MAJOR_VERSION=3
PYTHON_MINOR_VERSION=5
PYTHON_PATCH_VERSION=5
PYTHON_VERSION=$(PYTHON_MAJOR_VERSION).$(PYTHON_MINOR_VERSION).$(PYTHON_PATCH_VERSION)

PIP_MAJOR_VERSION=0
PIP_MINOR_VERSION=0
PIP_PATCH_VERSION=0
PIP_VERSION=$(PIP_MAJOR_VERSION).$(PIP_MINOR_VERSION).$(PIP_PATCH_VERSION)

NUMPY_MAJOR_VERSION=1
NUMPY_MINOR_VERSION=11
NUMPY_PATCH_VERSION=1
NUMPY_VERSION=$(NUMPY_MAJOR_VERSION).$(NUMPY_MINOR_VERSION).$(NUMPY_PATCH_VERSION)

PYTHON_HOME   =  $(OPEN_SOFTWARE_BINARIES_TOPLEVEL)/python-$(PYTHON_VERSION)
PYTHON_BINDIR = $(PYTHON_HOME)/bin
PYTHON_INCDIR = -I$(PYTHON_HOME)/include/python$(PYTHON_MAJOR_VERSION).$(PYTHON_MINOR_VERSION)m
PYTHON_LIBDIR = $(PYTHON_HOME)/lib
PYTHON_LIB    = $(LIBPATH_COMPILER_FLAG)$(PYTHON_LIBDIR) $(LIBFLAG)python$(PYTHON_MAJOR_VERSION).$(PYTHON_MINOR_VERSION)m$(LIBLINKEXT)

SV_PYTHON_SO_PATH = $(PYTHON_LIBDIR)
PYTHON_SITE_PACKAGES = $(PYTHON_HOME)/lib/python$(PYTHON_MAJOR_VERSION).$(PYTHON_MINOR_VERSION)\:$(PYTHON_HOME)/lib/python$(PYTHON_MAJOR_VERSION).$(PYTHON_MINOR_VERSION)/site-packages
