# Copyright (c) Stanford University, The Regents of the University of
#               California, and others.
#
# All Rights Reserved.
#
# See Copyright-SimVascular.txt for additional details.
#
# Permission is hereby granted, free of charge, to any person obtaining
# a copy of this software and associated documentation files (the
# "Software"), to deal in the Software without restriction, including
# without limitation the rights to use, copy, modify, merge, publish,
# distribute, sublicense, and/or sell copies of the Software, and to
# permit persons to whom the Software is furnished to do so, subject
# to the following conditions:
#
# The above copyright notice and this permission notice shall be included
# in all copies or substantial portions of the Software.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
# IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
# TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
# PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER
# OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

VTK_MAJOR_VERSION=8
VTK_MINOR_VERSION=1
VTK_PATCH_VERSION=1
VTK_VERSION=$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION).$(VTK_PATCH_VERSION)

VTK_SRCDIR = $(OPEN_SOFTWARE_SOURCES_TOPLEVEL)/vtk-$(VTK_VERSION)
VTK_BINDIR = $(OPEN_SOFTWARE_BINARIES_TOPLEVEL)/vtk-$(VTK_VERSION)
VTK_INCLUDE_DIR_BASE = $(VTK_BINDIR)/include/vtk-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)
VTK_LIBDIRS = $(VTK_BINDIR)/lib
VTK_BINDIRS = $(VTK_BINDIR)/bin
VTK_SO_PATH = $(VTK_BINDIR)/lib
VTK_DLLS    = $(VTK_BINDIRS)/*.$(SOEXT)
VTK_TCL_LIB_PATH = $(VTK_LIBDIRS)/tcltk/vtk-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)
#VTK_SYS_LIBS  = -lGLU -lX11 -lXt -lXext -lpthread -lm -lGL -lGLEW -lm -ldl

ifeq ($(SV_USE_PYTHON),1)
  VTK_PYTHON_PACKAGES = $(VTK_BINDIR)/lib/python$(PYTHON_MAJOR_VERSION).$(PYTHON_MINOR_VERSION)/site-packages
endif

VTK_INCDIRS = \
-I$(VTK_INCLUDE_DIR_BASE) \
-I$(VTK_INCLUDE_DIR_BASE)/vtkexpat \
-I$(VTK_INCLUDE_DIR_BASE)/vtkgl2ps \
-I$(VTK_INCLUDE_DIR_BASE)/vtkjpeg \
-I$(VTK_INCLUDE_DIR_BASE)/vtkjsoncpp \
-I$(VTK_INCLUDE_DIR_BASE)/vtklibproj4 \
-I$(VTK_INCLUDE_DIR_BASE)/vtklibxml2 \
-I$(VTK_INCLUDE_DIR_BASE)/vtkmetaio \
-I$(VTK_INCLUDE_DIR_BASE)/vtknetcdf \
-I$(VTK_INCLUDE_DIR_BASE)/vtkpng \
-I$(VTK_INCLUDE_DIR_BASE)/vtksqlite \
-I$(VTK_INCLUDE_DIR_BASE)/vtktiff \
-I$(VTK_INCLUDE_DIR_BASE)/vtkverdict \
-I$(VTK_INCLUDE_DIR_BASE)/vtkzlib \
-I$(VTK_INCLUDE_DIR_BASE)/alglib \
-I$(VTK_INCLUDE_DIR_BASE)/TclTk

ifneq ($(SV_USE_FREETYPE),1)
  VTK_INCDIRS += -I$(VTK_INCLUDE_DIR_BASE)/vtkfreetype
endif

#
#  libraries for svSolver only
#

#VTK_LIBS =      $(LIBPATH_COMPILER_FLAG)$(VTK_LIBDIRS) \
                $(LIBFLAG)vtkIOXML-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkIOXMLParser-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkCommonExecutionModel-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkCommonDataModel-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
	        $(LIBFLAG)vtkCommonSystem-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkCommonTransforms-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkCommonMisc-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkCommonMath-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkIOCore-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkCommonCore-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkzlib-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkexpat-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
                $(LIBFLAG)vtksys-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
                $(VTK_SYS_LIBS)

#
#  all vtk libs
#


VTK_LIBS =      $(LIBPATH_COMPILER_FLAG)$(VTK_LIBDIRS) \
		$(LIBFLAG)vtkChartsCoreTCL-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkCommonColorTCL-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkCommonComputationalGeometryTCL-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkCommonCoreTCL-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkCommonDataModelTCL-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkCommonExecutionModelTCL-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkCommonMathTCL-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkCommonMiscTCL-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkCommonSystemTCL-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkCommonTransformsTCL-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkDomainsChemistryTCL-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkFiltersAMRTCL-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkFiltersCoreTCL-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkFiltersExtractionTCL-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkFiltersFlowPathsTCL-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkFiltersGeneralTCL-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkFiltersGenericTCL-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkFiltersGeometryTCL-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkFiltersHybridTCL-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkFiltersHyperTreeTCL-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkFiltersImagingTCL-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkFiltersModelingTCL-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkFiltersParallelImagingTCL-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkFiltersParallelTCL-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkFiltersProgrammableTCL-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkFiltersSelectionTCL-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkFiltersSourcesTCL-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkFiltersStatisticsTCL-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkFiltersTextureTCL-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkFiltersVerdictTCL-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkIOAMRTCL-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkIOCoreTCL-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkIOEnSightTCL-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkIOExodusTCL-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkIOExportTCL-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkIOGeometryTCL-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkIOImageTCL-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkIOImportTCL-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkIOInfovisTCL-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkIOLSDynaTCL-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkIOLegacyTCL-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkIOMINCTCL-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkIOMovieTCL-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkIONetCDFTCL-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkIOPLYTCL-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkIOParallelTCL-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkIOSQLTCL-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkIOVideoTCL-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkIOXMLParserTCL-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkIOXMLTCL-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkImagingColorTCL-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkImagingCoreTCL-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkImagingFourierTCL-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkImagingGeneralTCL-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkImagingHybridTCL-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkImagingMathTCL-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkImagingMorphologicalTCL-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkImagingSourcesTCL-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkImagingStatisticsTCL-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkImagingStencilTCL-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkInfovisCoreTCL-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkInfovisLayoutTCL-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkInteractionImageTCL-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkInteractionStyleTCL-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkInteractionWidgetsTCL-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkParallelCoreTCL-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkRenderingAnnotationTCL-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkRenderingContextIIDTCL-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkRenderingCoreTCL-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkRenderingFreeTypeTCL-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkRenderingGLtoPSOpenGLIITCL-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkRenderingImageTCL-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkRenderingLODTCL-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkRenderingLabelTCL-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkRenderingOpenGLIITCL-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkRenderingTkTCL-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkRenderingVolumeOpenGLIITCL-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkRenderingVolumeTCL-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkViewsContextIIDTCL-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkViewsCoreTCL-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkViewsInfovisTCL-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkRenderingContextOpenGLIITCL-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkFiltersSMPTCL-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkGeovisCoreTCL-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkIOParallelXMLTCL-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT)


VTK_LIBS +=     $(LIBPATH_COMPILER_FLAG)$(VTK_LIBDIRS) \
		$(LIBFLAG)vtkGUISupportQt-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkChartsCore-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkCommonColor-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkCommonComputationalGeometry-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkCommonDataModel-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkCommonExecutionModel-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkCommonMath-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkCommonMisc-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkCommonSystem-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkCommonTransforms-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkCommonCore-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkDomainsChemistry-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkFiltersAMR-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkFiltersExtraction-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkFiltersFlowPaths-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkFiltersGeneral-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkFiltersGeneric-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkFiltersGeometry-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkFiltersHybrid-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkFiltersHyperTree-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkFiltersImaging-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkFiltersModeling-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkFiltersParallelImaging-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkFiltersParallel-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkFiltersProgrammable-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkFiltersSelection-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkFiltersSources-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkFiltersStatistics-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkFiltersTexture-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkFiltersVerdict-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkFiltersCore-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkIOAMR-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkIOEnSight-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkIOExodus-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkIOExport-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkIOGeometry-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkIOImage-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkIOImport-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkIOInfovis-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkIOLSDyna-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkIOLegacy-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkIOMINC-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkIOMovie-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkIOPLY-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkIOParallel-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkIOSQL-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkIOVideo-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkIOXML-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkIOXMLParser-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkIOCore-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkImagingColor-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkImagingCore-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkImagingFourier-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkImagingGeneral-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkImagingHybrid-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkImagingMath-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkImagingMorphological-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkImagingSources-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkImagingStatistics-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkImagingStencil-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkInfovisCore-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkInfovisLayout-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkInteractionImage-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkParallelCore-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkRenderingAnnotation-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkRenderingFreeType-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkRenderingGL2PSOpenGL2-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkRenderingImage-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkRenderingLOD-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkRenderingLabel-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkRenderingOpenGL2-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkRenderingVolumeOpenGL2-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkRenderingVolume-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkRenderingCore-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkViewsContext2D-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkViewsCore-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkViewsInfovis-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkRenderingContextOpenGL2-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkRenderingContext2D-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkRenderingOpenGL2-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkRenderingQt-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkFiltersSMP-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkGeovisCore-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkIOParallelXML-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkIONetCDF-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkInteractionStyle-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkInteractionWidgets-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkNetCDF-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkIONetCDF-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkexoIIc-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkhdf5_hl-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkhdf5-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkWrappingTools-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkDICOMParser-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkalglib-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkexpat-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkgl2ps-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkglew-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkjpeg-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkjsoncpp-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtklibxml2-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkmetaio-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkoggtheora-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkpng-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkproj4-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtksqlite-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtksys-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtktiff-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkverdict-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkzlib-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtklibharu-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtknetcdfcpp-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtklz4-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT)

#ifneq ($(SV_USE_FREETYPE),1)
  VTK_LIBS +=   $(LIBFLAG)vtkfreetype-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT)
#endif

#
#  libraries for svPre, svPost, svSolver
#

VTK_LIBS +=     $(LIBPATH_COMPILER_FLAG)$(VTK_LIBDIRS) \
                $(LIBFLAG)vtkIOXML-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkIOXMLParser-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkFiltersExtraction-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkFiltersModeling-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkFiltersGeneral-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkFiltersGeometry-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkFiltersCore-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkCommonExecutionModel-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkCommonDataModel-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
	        $(LIBFLAG)vtkCommonSystem-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkCommonTransforms-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkCommonMisc-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkCommonMath-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkIOCore-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkCommonCore-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkzlib-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
		$(LIBFLAG)vtkexpat-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
                $(LIBFLAG)vtksys-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT) \
                $(VTK_SYS_LIBS)

ifeq ($(SV_USE_PYTHON),1)
  VTK_LIBS +=  $(LIBFLAG)vtkWrappingPython$(PYTHON_MAJOR_VERSION)$(PYTHON_MINOR_VERSION)Core-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION)$(LIBLINKEXT)
endif

#
#		vtkRenderingHybridOpenGL2-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION).lib \
#		vtkRenderingHybridOpenGLIITCL-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION).lib \
#		vtkRenderingVolumeAMR-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION).lib \
#		vtkRenderingVolumeAMRTCL-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION).lib \
#		vtkGeovisCore-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION).lib \
#		vtkGeovisCoreTCL-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION).lib
#		vtkViewsGeovis-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION).lib \
#		vtkViewsGeovisTCL-$(VTK_MAJOR_VERSION).$(VTK_MINOR_VERSION).lib \
#
