/* Copyright (c) Stanford University, The Regents of the University of
 *               California, and others.
 *
 * All Rights Reserved.
 *
 * See Copyright-SimVascular.txt for additional details.
 *
 * Permission is hereby granted, free of charge, to any person obtaining
 * a copy of this software and associated documentation files (the
 * "Software"), to deal in the Software without restriction, including
 * without limitation the rights to use, copy, modify, merge, publish,
 * distribute, sublicense, and/or sell copies of the Software, and to
 * permit persons to whom the Software is furnished to do so, subject
 * to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
 * IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
 * TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
 * PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER
 * OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 * PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
 * LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 * NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

/** @file sv_TetGenMeshSystem.cxx
 *  @brief The implementations of functions in cvTetGenMeshSystem
 *
 *  @author Adam Updegrove
 *  @author updega2@gmail.com
 *  @author UC Berkeley
 *  @author shaddenlab.berkeley.edu
 */

#include "SimVascular.h"

#include "sv_TetGenMeshSystem.h"
#include "sv_misc_utils.h"
#include <string.h>


cvTetGenMeshSystem::cvTetGenMeshSystem() : cvMeshSystem()
{
}

cvTetGenMeshSystem::~cvTetGenMeshSystem()
{
}

int cvTetGenMeshSystem::LogOn( char *const filename )
{
  //Sim_logOn(filename);
  return SV_OK;
}

int cvTetGenMeshSystem::LogOff()
{
  //Sim_logOff();
  return SV_OK;
}

/**
 *  @brief Function to create and return a new mesh system. called once
 *  upon startup of SimVascular
 */
#ifdef SV_USE_TCL
cvMeshObject* cvTetGenMeshSystem::CreateMeshObject( Tcl_Interp *interp )
{
  return new cvTetGenMeshObject(interp);
}
#endif
#ifdef SV_USE_PYTHON
cvMeshObject* cvTetGenMeshSystem::CreateMeshObject()
{
  return new cvTetGenMeshObject();
}
#endif
