from ipykernel.kernelbase import Kernel

from os import unlink, environ

import base64
import imghdr
import re
import signal
import urllib

# added by me to try and add version number
from subprocess import check_output

from simvascular_tcl_kernel import subprocess_repl, simvascular_tcl_proxy

__version__ = '0.0.7'

version_pat = re.compile(r'version (\d+(\.\d+)+)')

class SimVascularTclKernel(Kernel):
    implementation = 'simvascular_tcl_kernel'
    implementation_version = __version__

    @property
    def language_version(self):
        m = version_pat.search(self.banner)
        return m.group(1)

    _banner = None

    @property
    def banner(self):
        if self._banner is None:
            #self._banner = check_output(['C:\\cygwin64\\bin\\bash.exe', '--version']).decode('utf-8')
            self._banner = "this is hard coded - as useful as a parrot"
        return self._banner

    language_info = {'name': 'simvascular_tcl',
                     'codemirror_mode': 'shell',
                     'mimetype': 'text/x-sh',
                     'file_extension': '.tcl'}

    def __init__(self, **kwargs):
        Kernel.__init__(self, **kwargs)
        repl = subprocess_repl.SubprocessRepl(['C:\\Program Files\\SimVascular\\SimVascular\\2019-02-05\\sv.bat', '-tcl', '--'])
        self.proxy = simvascular_tcl_proxy.ReplProxy(repl)

    def do_execute(self, code, silent, store_history=True,
                   user_expressions=None, allow_stdin=False):
        if not code.strip():
            return {'status': 'ok', 'execution_count': self.execution_count,
                    'payload': [], 'user_expressions': {}}
        
        self.proxy.send_input(code)
        output = self.proxy.get_output()

        message = {'name': 'stdout', 'text': output}
        self.send_response(self.iopub_socket, 'stream', message)

        return {'status': 'ok', 'execution_count': self.execution_count,
                'payload': [], 'user_expressions': {}}
