# Copyright (c) Stanford University, The Regents of the University of
#               California, and others.
#
# All Rights Reserved.
#
# See Copyright-SimVascular.txt for additional details.
#
# Permission is hereby granted, free of charge, to any person obtaining
# a copy of this software and associated documentation files (the
# "Software"), to deal in the Software without restriction, including
# without limitation the rights to use, copy, modify, merge, publish,
# distribute, sublicense, and/or sell copies of the Software, and to
# permit persons to whom the Software is furnished to do so, subject
# to the following conditions:
#
# The above copyright notice and this permission notice shall be included
# in all copies or substantial portions of the Software.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
# IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
# TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
# PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER
# OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

package require tile


# procedure to show window ShowWindow.guiCV
proc ShowWindow.guiCV { args} {
# xf ignore me 7

  # build widget .guiCV
  if {"[info procs XFEdit]" != ""} {
    catch "XFDestroy .guiCV"
  } {
    catch "destroy .guiCV"
  }
  toplevel .guiCV   -background {white}

  set wmax [winfo screenwidth .]
  set hmax [winfo screenheight .]
  # Window manager configurations
  wm positionfrom .guiCV program
  wm sizefrom .guiCV program
  wm maxsize .guiCV $wmax $hmax
  #wm minsize .guiCV 1890 1155
  wm minsize .guiCV 124 95
  wm protocol .guiCV WM_DELETE_WINDOW {mainGUIexit}
  wm title .guiCV {SimVascular}


  # build widget .guiCV.tframe2
  ttk::frame .guiCV.tframe2  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe2.tmenubutton0
  ttk::menubutton .guiCV.tframe2.tmenubutton0  -menu {.guiCV.tframe2.tmenubutton0.m}  -text {File}

  # build widget .guiCV.tframe2.tmenubutton0.m
  menu .guiCV.tframe2.tmenubutton0.m  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}  -tearoff {0}
  .guiCV.tframe2.tmenubutton0.m add command  -command {guiCV_select_project_directory}  -label {Select Project Directory}
  .guiCV.tframe2.tmenubutton0.m add separator
  .guiCV.tframe2.tmenubutton0.m add command  -command {guiCVloadVTI}  -label {Load Image (VTI)}
  .guiCV.tframe2.tmenubutton0.m add command  -command {guiCVloadMha}  -label {Load Image (MetaImage)}
  .guiCV.tframe2.tmenubutton0.m add command  -command {ShowWindow.guiDICOM}  -label {Load Images (DICOM)}
  .guiCV.tframe2.tmenubutton0.m add separator
  .guiCV.tframe2.tmenubutton0.m add command  -command {guiPPloadPaths}  -label {Load Paths}
  .guiCV.tframe2.tmenubutton0.m add command  -command {guiPPsavePaths}  -label {Save Paths}
  .guiCV.tframe2.tmenubutton0.m add separator
  .guiCV.tframe2.tmenubutton0.m add command  -command {guiSV_group_load_groups}  -label {Load Surfaces}
  .guiCV.tframe2.tmenubutton0.m add command  -command {guiSV_group_save_groups}  -label {Save Surfaces}
  .guiCV.tframe2.tmenubutton0.m add separator
  .guiCV.tframe2.tmenubutton0.m add command  -command {guiSV_model_load_model}  -label {Load Model}
  .guiCV.tframe2.tmenubutton0.m add command  -command {guiSV_model_save_model}  -label {Save Model}
  .guiCV.tframe2.tmenubutton0.m add separator
  .guiCV.tframe2.tmenubutton0.m add command  -command {guiCV_select_cpm_directory}  -label {Load CPM}

  # build widget .guiCV.tframe2.tmenubutton1
  ttk::menubutton .guiCV.tframe2.tmenubutton1  -menu {.guiCV.tframe2.tmenubutton1.m}  -text {Image Menus}

  # build widget .guiCV.tframe2.tmenubutton1.m
  menu .guiCV.tframe2.tmenubutton1.m  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}  -tearoff {0}
  .guiCV.tframe2.tmenubutton1.m add checkbutton  -variable {guiCVvars(show_tab_image_volume_properties)}  -command {guiCVshowHideMenu guiCV_notebook_image "Volume Properties"}  -label {Volume Properties}
  .guiCV.tframe2.tmenubutton1.m add checkbutton  -variable {guiCVvars(show_tab_image_volume_rendering)}  -command {guiCVshowHideMenu guiCV_notebook_image "Volume Rendering"}  -label {Volume Rendering}
  .guiCV.tframe2.tmenubutton1.m add checkbutton  -variable {guiCVvars(show_tab_image_subvolume_properties)}  -command {guiCVshowHideMenu guiCV_notebook_image "Subvolume Properties"}  -label {Subvolume Properties}
  .guiCV.tframe2.tmenubutton1.m add checkbutton  -variable {guiCVvars(show_tab_image_subvolume_rendering)}  -command {guiCVshowHideMenu guiCV_notebook_image "Subvolume Rendering"}  -label {Subvolume Rendering}
  .guiCV.tframe2.tmenubutton1.m add checkbutton  -variable {guiCVvars(show_tab_image_mip)}  -command {guiCVshowHideMenu guiCV_notebook_image "MIP"}  -label {MIP}
  .guiCV.tframe2.tmenubutton1.m add checkbutton  -variable {guiCVvars(show_tab_image_filters)}  -command {guiCVshowHideMenu guiCV_notebook_image "Filters"}  -label {Filters}
  .guiCV.tframe2.tmenubutton1.m add checkbutton  -variable {guiCVvars(show_tab_image_info)}  -command {guiCVshowHideMenu guiCV_notebook_image "Info"}  -label {Info}

  # build widget .guiCV.tframe2.tmenubutton2
  ttk::menubutton .guiCV.tframe2.tmenubutton2  -menu {.guiCV.tframe2.tmenubutton2.m}  -text {Work Menus}

  # build widget .guiCV.tframe2.tmenubutton2.m
  menu .guiCV.tframe2.tmenubutton2.m  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}  -tearoff {0}
  .guiCV.tframe2.tmenubutton2.m add checkbutton  -variable {guiCVvars(show_tab_main_console)}  -command {guiCVshowHideMenu guiCV_notebook_main "Console"}  -label {Console}
  .guiCV.tframe2.tmenubutton2.m add checkbutton  -variable {guiCVvars(show_tab_main_dicom)}  -command {guiCVshowHideMenu guiCV_notebook_main "DICOM"}  -label {DICOM}
  .guiCV.tframe2.tmenubutton2.m add checkbutton  -variable {guiCVvars(show_tab_main_paths)}  -command {guiCVshowHideMenu guiCV_notebook_main "Paths"}  -label {Paths}
  .guiCV.tframe2.tmenubutton2.m add checkbutton  -variable {guiCVvars(show_tab_main_2d_segmentation)}  -command {guiCVshowHideMenu guiCV_notebook_main "2D Segmentation"}  -label {2D Segmentation}
  .guiCV.tframe2.tmenubutton2.m add checkbutton  -variable {guiCVvars(show_tab_main_3d_segmentation)}  -command {guiCVshowHideMenu guiCV_notebook_main "3D Segmentation"}  -label {3D Segmentation}
  .guiCV.tframe2.tmenubutton2.m add checkbutton  -variable {guiCVvars(show_tab_main_model)}  -command {guiCVshowHideMenu guiCV_notebook_main "Model"}  -label {Model}
  .guiCV.tframe2.tmenubutton2.m add checkbutton  -variable {guiCVvars(show_tab_main_meshing)}  -command {guiCVshowHideMenu guiCV_notebook_main "Meshing"}  -label {Meshing}
  .guiCV.tframe2.tmenubutton2.m add checkbutton  -variable {guiCVvars(show_tab_main_pcmri)}  -command {guiCVshowHideMenu guiCV_notebook_main "PCMRI"}  -label {PCMRI}
  .guiCV.tframe2.tmenubutton2.m add checkbutton  -variable {guiCVvars(show_tab_main_simulations)}  -command {guiCVshowHideMenu guiCV_notebook_main "Simulations"}  -label {Simulations}
  .guiCV.tframe2.tmenubutton2.m add checkbutton  -variable {guiCVvars(show_tab_main_displays)}  -command {guiCVshowHideMenu guiCV_notebook_main "Displays"}  -label {Displays}
  .guiCV.tframe2.tmenubutton2.m add checkbutton  -variable {guiCVvars(show_tab_main_cpm_results)}  -command {guiCVshowHideMenu guiCV_notebook_main "CPM Results"}  -label {CPM Results}
  .guiCV.tframe2.tmenubutton2.m add separator
  .guiCV.tframe2.tmenubutton2.m add checkbutton  -variable {guiCVvars(show_tab_model_parasolid)}  -command {guiCVshowHideMenu guiCV_notebook_model "Parasolid"}  -label {Parasolid}
  .guiCV.tframe2.tmenubutton2.m add checkbutton  -variable {guiCVvars(show_tab_model_polydata)}  -command {guiCVshowHideMenu guiCV_notebook_model "PolyData"}  -label {PolyData}
  .guiCV.tframe2.tmenubutton2.m add checkbutton  -variable {guiCVvars(show_tab_model_discrete)}  -command {guiCVshowHideMenu guiCV_notebook_model "Discrete"}  -label {Discrete}
  .guiCV.tframe2.tmenubutton2.m add checkbutton  -variable {guiCVvars(show_tab_model_opencascade)}  -command {guiCVshowHideMenu guiCV_notebook_model "OpenCASCADE"}  -label {OpenCASCADE}
  .guiCV.tframe2.tmenubutton2.m add separator
  .guiCV.tframe2.tmenubutton2.m add checkbutton  -variable {guiCVvars(show_tab_meshing_meshsim)}  -command {guiCVshowHideMenu guiCV_notebook_meshing "MeshSim"}  -label {MeshSim}
  .guiCV.tframe2.tmenubutton2.m add checkbutton  -variable {guiCVvars(show_tab_meshing_tetgen)}  -command {guiCVshowHideMenu guiCV_notebook_meshing "TetGen"}  -label {TetGen}
  .guiCV.tframe2.tmenubutton2.m add separator
  .guiCV.tframe2.tmenubutton2.m add checkbutton  -variable {guiCVvars(show_tab_paths_quantification)}  -command {guiCVshowHideMenu guiCV_notebook_paths "Quantification"}  -label {Path Twist Quantification}
  .guiCV.tframe2.tmenubutton2.m add checkbutton  -variable {guiCVvars(show_tab_simulations_vis_wss)}  -command {guiCVshowHideMenu guiCV_notebook_simulations "Vis WSS"}  -label {WSS Band Quantification}
  .guiCV.tframe2.tmenubutton2.m add separator
  .guiCV.tframe2.tmenubutton2.m add checkbutton  -variable {guiCVvars(show_tabs_legacy_level_set)}  -command {guiCVshowHideMenu_SV_level_set}  -label {Legacy Level Set}
  .guiCV.tframe2.tmenubutton2.m add checkbutton  -variable {guiCVvars(show_tabs_level_set)}  -command {guiCVshowHideMenu_itk_level_set}  -label {Level Set}
  .guiCV.tframe2.tmenubutton2.m add separator
  .guiCV.tframe2.tmenubutton2.m add cascade  -menu {.guiCV.tframe2.tmenubutton2.m.n}  -label {Displays Subtabs}  -state {active}

  # build widget .guiCV.tframe2.tmenubutton2.m.n
  menu .guiCV.tframe2.tmenubutton2.m.n  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}  -tearoff {0}
  .guiCV.tframe2.tmenubutton2.m.n add checkbutton  -variable {guiCVvars(show_tab_main_displays)}  -command {guiCVshowHideMenu guiCV_notebook_main "Displays"}  -label {Displays Toplevel}
  .guiCV.tframe2.tmenubutton2.m.n add checkbutton  -variable {guiCVvars(show_tab_displays_3-d_window)}  -command {guiCVshowHideMenu guiCV_notebook_displays "3-D Window"}  -label {3-D Window}
  .guiCV.tframe2.tmenubutton2.m.n add checkbutton  -variable {guiCVvars(show_tab_displays_3-d_pcmri)}  -command {guiCVshowHideMenu guiCV_notebook_displays "3-D PCMRI"}  -label {3-D PCMRI}
  .guiCV.tframe2.tmenubutton2.m.n add checkbutton  -variable {guiCVvars(show_tab_displays_2-d_intensity)}  -command {guiCVshowHideMenu guiCV_notebook_displays "2-D Intensity"}  -label {2-D Intensity}
  .guiCV.tframe2.tmenubutton2.m.n add checkbutton  -variable {guiCVvars(show_tab_displays_2-d_potential)}  -command {guiCVshowHideMenu guiCV_notebook_displays "2-D Potential"}  -label {2-D Potential}
  .guiCV.tframe2.tmenubutton2.m.n add checkbutton  -variable {guiCVvars(show_tab_displays_pcmri_intensity)}  -command {guiCVshowHideMenu guiCV_notebook_displays "PCMRI Intensity"}  -label {PCMRI Intensity}
  .guiCV.tframe2.tmenubutton2.m.n add checkbutton  -variable {guiCVvars(show_tab_displays_pcmri_potential)}  -command {guiCVshowHideMenu guiCV_notebook_displays "PCMRI Potential"}  -label {PCMRI Potential}
  .guiCV.tframe2.tmenubutton2.m.n add checkbutton  -variable {guiCVvars(show_tab_displays_general)}  -command {guiCVshowHideMenu guiCV_notebook_displays "General"}  -label {General}
  .guiCV.tframe2.tmenubutton2.m.n add checkbutton  -variable {guiCVvars(show_tab_displays_actor_properties)}  -command {guiCVshowHideMenu guiCV_notebook_displays "Actor Properties"}  -label {Actor Properties}

  # build widget .guiCV.tframe3
  ttk::frame .guiCV.tframe3  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4
  ttk::panedwindow .guiCV.tframe3.tpanedwindow4  -orient {horizontal}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe5
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe5  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45
  ttk::panedwindow .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45

  # build widget .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0
  ttk::panedwindow .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0

  # build widget .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0
  if {[catch "panedwindow .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0"]} {
    if {"[info procs XFEdit]" != ""} {
      XFProcError "Unknown widget type: panedwindow"
      return
    } {
      puts stderr "Unknown widget type: panedwindow"
    }
  }
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0 config  -handlesize {0}  -orient {vertical}  -sashwidth {0}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane0
  if {[catch "panedwindow .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane0"]} {
    if {"[info procs XFEdit]" != ""} {
      XFProcError "Unknown widget type: panedwindow"
      return
    } {
      puts stderr "Unknown widget type: panedwindow"
    }
  }
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane0 config  -handlesize {0}  -sashwidth {0}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane0.f0
  frame .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane0.f0  -background {black}  -height {1}  -width {1}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane0.f1
  frame .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane0.f1  -background {black}  -height {1}  -width {1}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane1
  if {[catch "panedwindow .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane1"]} {
    if {"[info procs XFEdit]" != ""} {
      XFProcError "Unknown widget type: panedwindow"
      return
    } {
      puts stderr "Unknown widget type: panedwindow"
    }
  }
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane1 config  -handlesize {0}  -sashwidth {0}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane1.f2
  frame .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane1.f2  -background {black}  -height {1}  -width {1}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane1.f3
  frame .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane1.f3  -background {black}  -height {600}  -width {320}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.frame1
  frame .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.frame1  -background {black}  -height {26}  -width {793}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.frame1.menubutton3
  menubutton .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.frame1.menubutton3  -background {black}  -font {Helvetica 10}  -foreground {cyan}  -menu {.guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.frame1.menubutton3.m}  -padx {5}  -pady {4}  -text {Actor}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.frame1.menubutton3.m
  menu .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.frame1.menubutton3.m  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}  -tearoff {0}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.frame1.menubutton3.m add command  -command {vis_deletePickedActor gRenWin_3D_ren1}  -label {Delete Actor}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.frame1.menubutton3.m add command  -command {crd_ren gRenWin_3D_ren1}  -label {Delete All Actors}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.frame1.menubutton4
  menubutton .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.frame1.menubutton4  -background {black}  -font {Helvetica 10}  -foreground {cyan}  -menu {.guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.frame1.menubutton4.m}  -padx {5}  -pady {4}  -text {Window}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.frame1.menubutton4.m
  menu .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.frame1.menubutton4.m  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}  -tearoff {0}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.frame1.menubutton4.m add command  -command {vis_renWriteJPEG gRenWin_3D_ren1}  -label {Save Image to File}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.frame1.menubutton4.m add command  -command {crd_ren gRenWin_3D_ren1}  -label {Clear Window}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.frame1.menubutton4.m add cascade  -menu {.guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.frame1.menubutton4.m.g}  -label {Background Color}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.frame1.menubutton4.m.g
  menu .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.frame1.menubutton4.m.g  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}  -tearoff {0}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.frame1.menubutton4.m.g add command  -command {vis_renSetBackground $gRen3d 0 0 0}  -label {Black}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.frame1.menubutton4.m.g add command  -command {vis_renSetBackground $gRen3d 1 1  1}  -label {White}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.frame1.menubutton4.m.g add command  -command {vis_renSetBackgroundChooseColor $gRen3d}  -label {Select}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.frame1.menubutton5
  menubutton .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.frame1.menubutton5  -background {black}  -font {Helvetica 10}  -foreground {cyan}  -menu {.guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.frame1.menubutton5.m}  -padx {5}  -pady {4}  -text {Display Options}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.frame1.menubutton5.m
  menu .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.frame1.menubutton5.m  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}  -tearoff {0}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.frame1.menubutton5.m add cascade  -menu {.guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.frame1.menubutton5.m.a}  -label {Solid Models}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.frame1.menubutton5.m add cascade  -menu {.guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.frame1.menubutton5.m.b}  -label {Branch Controls}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.frame1.menubutton5.m add cascade  -menu {.guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.frame1.menubutton5.m.c}  -label {PCMRI}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.frame1.menubutton5.m add cascade  -menu {.guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.frame1.menubutton5.m.d}  -label {Meshing}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.frame1.menubutton5.m add cascade  -menu {.guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.frame1.menubutton5.m.e}  -label {Simulation}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.frame1.menubutton5.m.a
  menu .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.frame1.menubutton5.m.a  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}  -tearoff {0}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.frame1.menubutton5.m.a add checkbutton  -variable {gRenWin_3D_vars(show_preop_solid)}  -command {gRenWin_3D_showSolid preop_solid}  -label {preop solid}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.frame1.menubutton5.m.a add checkbutton  -variable {gRenWin_3D_vars(show_trimmed1_solid)}  -command {gRenWin_3D_showSolid trimmed1_solid}  -label {trimmed-1 solid}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.frame1.menubutton5.m.a add checkbutton  -variable {gRenWin_3D_vars(show_trimmed2_solid)}  -command {gRenWin_3D_showSolid trimmed2_solid}  -label {trimmed-2 solid}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.frame1.menubutton5.m.a add checkbutton  -variable {gRenWin_3D_vars(show_blend_solid)}  -command {gRenWin_3D_showSolid blend_solid}  -label {blended solid}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.frame1.menubutton5.m.a add checkbutton  -variable {gRenWin_3D_vars(show_meshing_solid)}  -command {gRenWin_3D_showSolid meshing_solid}  -label {meshing solid}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.frame1.menubutton5.m.a add checkbutton  -variable {gRenWin_3D_vars(show_polydata_solid)}  -command {gRenWin_3D_showSolid polydata_solid}  -label {polydata solid}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.frame1.menubutton5.m.a add separator
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.frame1.menubutton5.m.a add checkbutton  -variable {gRenWin_3D_vars(solid_use_LOD)}  -label {Use level-of-detail display}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.frame1.menubutton5.m.b
  menu .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.frame1.menubutton5.m.b  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}  -tearoff {0}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.frame1.menubutton5.m.b add checkbutton  -variable {lsGUIdisplayPathFlag}  -command {lsGUIdisplayPath}  -label {Show Path}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.frame1.menubutton5.m.b add checkbutton  -variable {lsGUIdisplayProbeFlag}  -command {lsGUIdisplayProbe}  -label {Intensity Probe}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.frame1.menubutton5.m.b add checkbutton  -variable {lsGUI3dWindow(showLS)}  -command {lsGUIupdate3dWindow}  -label {Level Set Segmentation}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.frame1.menubutton5.m.b add checkbutton  -variable {lsGUI3dWindow(showSelectedThr)}  -command {lsGUIupdate3dWindow}  -label {Selected Threshold Contour}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.frame1.menubutton5.m.c
  menu .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.frame1.menubutton5.m.c  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}  -tearoff {0}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.frame1.menubutton5.m.c add checkbutton  -variable {bcGUI3dWindow(showWindow)}  -command {bcGUIupdate3dWindow}  -label {Show Window}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.frame1.menubutton5.m.c add checkbutton  -variable {bcGUI3dWindow(showMagSlice)}  -command {bcGUIupdate3dWindow}  -label {Magnitude Slice}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.frame1.menubutton5.m.c add checkbutton  -variable {bcGUI3dWindow(showRawVectors)}  -command {bcGUIupdate3dWindow}  -label {Raw Vectors}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.frame1.menubutton5.m.d
  menu .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.frame1.menubutton5.m.d  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}  -tearoff {0}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.frame1.menubutton5.m.d add checkbutton  -variable {guiMMvars(viewMeshVtkFlag)}  -command {guiMMviewMeshVtk}  -label {Exterior Surface Mesh}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.frame1.menubutton5.m.e
  menu .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.frame1.menubutton5.m.e  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}  -tearoff {0}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.frame1.menubutton5.m.e add checkbutton  -variable {guiVISvars(vol_showSurfMesh)}  -command {guiVISupdateVol}  -label {Exterior Surface Mesh}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.frame1.menubutton1
  menubutton .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.frame1.menubutton1  -background {black}  -font {Helvetica 10}  -foreground {cyan}  -menu {.guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.frame1.menubutton1.m}  -padx {5}  -pady {4}  -text {3-D Window}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.frame1.menubutton1.m
  menu .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.frame1.menubutton1.m  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}  -tearoff {0}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.frame1.menubutton1.m add command  -command {guiCV_display_windows 3d_only}  -label {Show 3-D Window Only}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.frame1.menubutton1.m add command  -command {guiCV_display_windows 3d_and_2d}  -label {Show 3-D & 2-D Reslice}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.frame1.menubutton1.m add command  -command {guiCV_display_windows 2d_only}  -label {Show 2-D Reslice Only}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.frame1.menubutton1.m add command  -command {guiCV_display_windows pcmri_only}  -label {Show PCMRI Only}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5
  ttk::panedwindow .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5  -orient {horizontal}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe6
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe6  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe6.f1
  frame .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe6.f1  -background {black}  -height {320}  -width {320}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe6.frame1
  frame .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe6.frame1  -background {black}  -height {26}  -width {320}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe6.frame1.menubutton3
  menubutton .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe6.frame1.menubutton3  -background {black}  -font {Helvetica 10}  -foreground {cyan}  -menu {.guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe6.frame1.menubutton3.m}  -padx {5}  -pady {4}  -text {Actor}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe6.frame1.menubutton3.m
  menu .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe6.frame1.menubutton3.m  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}  -tearoff {0}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe6.frame1.menubutton3.m add command  -command {vis_deletePickedActor lsRenWinMag_ren1}  -label {Delete Actor}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe6.frame1.menubutton3.m add command  -command {crd_ren lsRenWinMag_ren1}  -label {Delete All Actors}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe6.frame1.menubutton4
  menubutton .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe6.frame1.menubutton4  -background {black}  -font {Helvetica 10}  -foreground {cyan}  -menu {.guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe6.frame1.menubutton4.m}  -padx {5}  -pady {4}  -text {Window}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe6.frame1.menubutton4.m
  menu .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe6.frame1.menubutton4.m  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}  -tearoff {0}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe6.frame1.menubutton4.m add command  -command {vis_renWriteJPEG lsRenWinMag_ren1}  -label {Save Image to File}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe6.frame1.menubutton4.m add command  -command {crd_ren lsRenWinMag_ren1}  -label {Clear Window}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe6.frame1.menubutton5
  menubutton .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe6.frame1.menubutton5  -background {black}  -font {Helvetica 10}  -foreground {cyan}  -menu {.guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe6.frame1.menubutton5.m}  -padx {5}  -pady {4}  -text {Display Options}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe6.frame1.menubutton5.m
  menu .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe6.frame1.menubutton5.m  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}  -tearoff {0}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe6.frame1.menubutton5.m add cascade  -menu {.guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe6.frame1.menubutton5.m.a}  -label {Level Set}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe6.frame1.menubutton5.m add cascade  -menu {.guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe6.frame1.menubutton5.m.b}  -label {Threshold}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe6.frame1.menubutton5.m add cascade  -menu {.guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe6.frame1.menubutton5.m.d}  -label {Views}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe6.frame1.menubutton5.m add checkbutton  -variable {lsGUImagWindow(showWindow)}  -command {lsGUIupdateMagWindow}  -label {Show window}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe6.frame1.menubutton5.m add checkbutton  -variable {lsGUImagWindow(showSegSlice)}  -command {lsGUIupdateMagWindow}  -label {Show surface cross section}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe6.frame1.menubutton5.m.a
  menu .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe6.frame1.menubutton5.m.a  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}  -tearoff {0}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe6.frame1.menubutton5.m.a add checkbutton  -variable {lsGUImagWindow(showLS)}  -command {lsGUIupdateMagWindow}  -label {segmentation}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe6.frame1.menubutton5.m.a add checkbutton  -variable {lsGUImagWindow(showIntermediateLS)}  -command {lsGUIupdateMagWindow}  -label {evolution}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe6.frame1.menubutton5.m.a add checkbutton  -variable {lsGUImagWindow(showInitSphere)}  -command {lsGUIupdateMagWindow}  -label {initialization sphere}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe6.frame1.menubutton5.m.b
  menu .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe6.frame1.menubutton5.m.b  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}  -tearoff {0}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe6.frame1.menubutton5.m.b add checkbutton  -variable {lsGUImagWindow(showThr)}  -command {lsGUIupdateMagWindow}  -label {threshold}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe6.frame1.menubutton5.m.b add checkbutton  -variable {lsGUImagWindow(showSelectedThr)}  -command {lsGUIupdateMagWindow}  -label {selected threshold contour}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe6.frame1.menubutton5.m.b add checkbutton  -variable {lsGUImagWindow(showInitSphere)}  -command {lsGUIupdateMagWindow}  -label {initialization sphere}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe6.frame1.menubutton5.m.d
  menu .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe6.frame1.menubutton5.m.d  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}  -tearoff {0}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe6.frame1.menubutton5.m.d add checkbutton  -variable {lsGUIparallelProjectionFlag}  -command {lsGUIparallelProjection}  -label {Parallel projection}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe6.frame1.menubutton1
  menubutton .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe6.frame1.menubutton1  -background {black}  -font {Helvetica 10}  -foreground {cyan}  -menu {.guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe6.frame1.menubutton1.m}  -padx {5}  -pady {4}  -text {2-D Intensity}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe6.frame1.menubutton1.m
  menu .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe6.frame1.menubutton1.m  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}  -tearoff {0}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe6.frame1.menubutton1.m add command  -command {guiCV_display_windows 3d_only}  -label {Show 3-D Window Only}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe6.frame1.menubutton1.m add command  -command {guiCV_display_windows 3d_and_2d}  -label {Show 3-D & 2-D Reslice}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe6.frame1.menubutton1.m add command  -command {guiCV_display_windows 2d_only}  -label {Show 2-D Reslice Only}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe6.frame1.menubutton1.m add command  -command {guiCV_display_windows pcmri_only}  -label {Show PCMRI Only}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe7
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe7  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe7.f1
  frame .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe7.f1  -background {black}  -height {320}  -width {320}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe7.frame1
  frame .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe7.frame1  -background {black}  -height {26}  -width {468}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe7.frame1.menubutton3
  menubutton .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe7.frame1.menubutton3  -background {black}  -font {Helvetica 10}  -foreground {cyan}  -menu {.guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe7.frame1.menubutton3.m}  -padx {5}  -pady {4}  -text {Actor}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe7.frame1.menubutton3.m
  menu .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe7.frame1.menubutton3.m  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}  -tearoff {0}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe7.frame1.menubutton3.m add command  -command {vis_deletePickedActor lsRenWinPot_ren1}  -label {Delete Actor}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe7.frame1.menubutton3.m add command  -command {crd_ren lsRenWinPot_ren1}  -label {Delete All Actors}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe7.frame1.menubutton4
  menubutton .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe7.frame1.menubutton4  -background {black}  -font {Helvetica 10}  -foreground {cyan}  -menu {.guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe7.frame1.menubutton4.m}  -padx {5}  -pady {4}  -text {Window}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe7.frame1.menubutton4.m
  menu .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe7.frame1.menubutton4.m  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}  -tearoff {0}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe7.frame1.menubutton4.m add command  -command {vis_renWriteJPEG lsRenWinPot_ren1}  -label {Save Image to File}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe7.frame1.menubutton4.m add command  -command {crd_ren lsRenWinPot_ren1}  -label {Clear Window}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe7.frame1.menubutton5
  menubutton .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe7.frame1.menubutton5  -background {black}  -font {Helvetica 10}  -foreground {cyan}  -menu {.guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe7.frame1.menubutton5.m}  -padx {5}  -pady {4}  -text {Display Options}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe7.frame1.menubutton5.m
  menu .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe7.frame1.menubutton5.m  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}  -tearoff {0}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe7.frame1.menubutton5.m add cascade  -menu {.guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe7.frame1.menubutton5.m.a}  -label {Level Set}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe7.frame1.menubutton5.m add cascade  -menu {.guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe7.frame1.menubutton5.m.b}  -label {Threshold}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe7.frame1.menubutton5.m add cascade  -menu {.guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe7.frame1.menubutton5.m.d}  -label {Views}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe7.frame1.menubutton5.m add checkbutton  -variable {lsGUIpotWindow(showWindow)}  -command {lsGUIupdatePotWindow}  -label {Show window}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe7.frame1.menubutton5.m add checkbutton  -variable {lsGUIpotWindow(showSegSlice)}  -command {lsGUIupdatePotWindow}  -label {Show surface cross section}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe7.frame1.menubutton5.m.a
  menu .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe7.frame1.menubutton5.m.a  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}  -tearoff {0}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe7.frame1.menubutton5.m.a add checkbutton  -variable {lsGUIpotWindow(showLS)}  -command {lsGUIupdatePotWindow}  -label {segmentation}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe7.frame1.menubutton5.m.a add checkbutton  -variable {lsGUIpotWindow(showIntermediateLS)}  -command {lsGUIupdatePotWindow}  -label {evolution}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe7.frame1.menubutton5.m.a add checkbutton  -variable {lsGUIpotWindow(showInitSphere)}  -command {lsGUIupdatePotWindow}  -label {initialization sphere}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe7.frame1.menubutton5.m.b
  menu .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe7.frame1.menubutton5.m.b  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}  -tearoff {0}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe7.frame1.menubutton5.m.b add checkbutton  -variable {lsGUIpotWindow(showThr)}  -command {lsGUIupdatePotWindow}  -label {threshold}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe7.frame1.menubutton5.m.b add checkbutton  -variable {lsGUIpotWindow(showSelectedThr)}  -command {lsGUIupdatePotWindow}  -label {selected threshold contour}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe7.frame1.menubutton5.m.b add checkbutton  -variable {lsGUIpotWindow(showInitSphere)}  -command {lsGUIupdatePotWindow}  -label {initialization sphere}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe7.frame1.menubutton5.m.d
  menu .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe7.frame1.menubutton5.m.d  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}  -tearoff {0}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe7.frame1.menubutton5.m.d add checkbutton  -variable {lsGUIparallelProjectionFlag}  -command {lsGUIparallelProjection}  -label {Parallel projection}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe7.frame1.menubutton1
  menubutton .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe7.frame1.menubutton1  -background {black}  -font {Helvetica 10}  -foreground {cyan}  -menu {.guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe7.frame1.menubutton1.m}  -padx {5}  -pady {4}  -text {2-D Potential}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe7.frame1.menubutton1.m
  menu .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe7.frame1.menubutton1.m  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}  -tearoff {0}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe7.frame1.menubutton1.m add command  -command {guiCV_display_windows 3d_only}  -label {Show 3-D Window Only}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe7.frame1.menubutton1.m add command  -command {guiCV_display_windows 3d_and_2d}  -label {Show 3-D & 2-D Reslice}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe7.frame1.menubutton1.m add command  -command {guiCV_display_windows 2d_only}  -label {Show 2-D Reslice Only}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe7.frame1.menubutton1.m add command  -command {guiCV_display_windows pcmri_only}  -label {Show PCMRI Only}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8
  ttk::panedwindow .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8  -orient {horizontal}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe9
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe9  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe9.f1
  frame .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe9.f1  -background {black}  -height {278}  -width {303}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe9.frame1
  frame .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe9.frame1  -background {black}  -height {26}  -width {303}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe9.frame1.menubutton3
  menubutton .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe9.frame1.menubutton3  -background {black}  -font {Helvetica 10}  -foreground {cyan}  -menu {.guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe9.frame1.menubutton3.m}  -padx {5}  -pady {4}  -text {Actor}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe9.frame1.menubutton3.m
  menu .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe9.frame1.menubutton3.m  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}  -tearoff {0}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe9.frame1.menubutton3.m add command  -command {vis_deletePickedActor bcRenWinMag_ren1}  -label {Delete Actor}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe9.frame1.menubutton3.m add command  -command {crd_ren bcRenWinMag_ren1}  -label {Delete All Actors}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe9.frame1.menubutton4
  menubutton .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe9.frame1.menubutton4  -background {black}  -font {Helvetica 10}  -foreground {cyan}  -menu {.guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe9.frame1.menubutton4.m}  -padx {5}  -pady {4}  -text {Window}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe9.frame1.menubutton4.m
  menu .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe9.frame1.menubutton4.m  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}  -tearoff {0}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe9.frame1.menubutton4.m add command  -command {vis_renWriteJPEG bcRenWinMag_ren1}  -label {Save Image to File}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe9.frame1.menubutton4.m add command  -command {crd_ren bcRenWinMag_ren1}  -label {Clear Window}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe9.frame1.menubutton5
  menubutton .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe9.frame1.menubutton5  -background {black}  -font {Helvetica 10}  -foreground {cyan}  -menu {.guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe9.frame1.menubutton5.m}  -padx {5}  -pady {4}  -text {Display Options}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe9.frame1.menubutton5.m
  menu .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe9.frame1.menubutton5.m  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}  -tearoff {0}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe9.frame1.menubutton5.m add cascade  -menu {.guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe9.frame1.menubutton5.m.a}  -label {Level Set}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe9.frame1.menubutton5.m add cascade  -menu {.guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe9.frame1.menubutton5.m.b}  -label {Threshold}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe9.frame1.menubutton5.m add cascade  -menu {.guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe9.frame1.menubutton5.m.c}  -label {Warp Plots}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe9.frame1.menubutton5.m add cascade  -menu {.guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe9.frame1.menubutton5.m.d}  -label {Views}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe9.frame1.menubutton5.m add cascade  -menu {.guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe9.frame1.menubutton5.m.e}  -label {Flow calculations}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe9.frame1.menubutton5.m add checkbutton  -variable {bcGUImagWindow(showWindow)}  -command {bcGUIupdateMagWindow}  -label {Show window}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe9.frame1.menubutton5.m.a
  menu .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe9.frame1.menubutton5.m.a  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}  -tearoff {0}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe9.frame1.menubutton5.m.a add checkbutton  -variable {bcGUImagWindow(showLS)}  -command {bcGUIupdateMagWindow}  -label {segmentation}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe9.frame1.menubutton5.m.a add checkbutton  -variable {bcGUImagWindow(showIntermediateLS)}  -command {bcGUIupdateMagWindow}  -label {evolution}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe9.frame1.menubutton5.m.a add checkbutton  -variable {bcGUImagWindow(showInitSphere)}  -command {bcGUIupdateMagWindow}  -label {initialization sphere}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe9.frame1.menubutton5.m.b
  menu .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe9.frame1.menubutton5.m.b  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}  -tearoff {0}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe9.frame1.menubutton5.m.b add checkbutton  -variable {bcGUImagWindow(showThr)}  -command {bcGUIupdateMagWindow}  -label {threshold}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe9.frame1.menubutton5.m.b add checkbutton  -variable {bcGUImagWindow(showSelectedThr)}  -command {bcGUIupdateMagWindow}  -label {selected threshold contour}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe9.frame1.menubutton5.m.b add checkbutton  -variable {bcGUImagWindow(showInitSphere)}  -command {bcGUIupdateMagWindow}  -label {initialization sphere}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe9.frame1.menubutton5.m.c
  menu .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe9.frame1.menubutton5.m.c  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}  -tearoff {0}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe9.frame1.menubutton5.m.c add checkbutton  -variable {bcGUImagWindow(showWarp)}  -command {bcGUIupdateMagWindow}  -label {Warp vector plot}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe9.frame1.menubutton5.m.c add checkbutton  -variable {bcGUImagWindow(showMeshWarp)}  -command {bcGUIupdateMagWindow}  -label {Mesh warp vector plot}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe9.frame1.menubutton5.m.d
  menu .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe9.frame1.menubutton5.m.d  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}  -tearoff {0}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe9.frame1.menubutton5.m.d add checkbutton  -variable {bcGUIparallelProjectionFlag}  -command {bcGUIparallelProjection}  -label {Parallel projection}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe9.frame1.menubutton5.m.e
  menu .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe9.frame1.menubutton5.m.e  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}  -tearoff {0}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe9.frame1.menubutton5.m.e add checkbutton  -variable {bcGUImagWindow(showTaggedPixels)}  -command {bcGUIupdateMagWindow}  -label {tagged pixels}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe9.frame1.menubutton1
  menubutton .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe9.frame1.menubutton1  -background {black}  -font {Helvetica 10}  -foreground {cyan}  -menu {.guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe9.frame1.menubutton1.m}  -padx {5}  -pady {4}  -text {PCMRI Intensity}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe9.frame1.menubutton1.m
  menu .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe9.frame1.menubutton1.m  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}  -tearoff {0}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe9.frame1.menubutton1.m add command  -command {guiCV_display_windows 3d_only}  -label {Show 3-D Window Only}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe9.frame1.menubutton1.m add command  -command {guiCV_display_windows 3d_and_2d}  -label {Show 3-D & 2-D Reslice}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe9.frame1.menubutton1.m add command  -command {guiCV_display_windows 2d_only}  -label {Show 2-D Reslice Only}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe9.frame1.menubutton1.m add command  -command {guiCV_display_windows pcmri_only}  -label {Show PCMRI Only}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe10
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe10  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe10.f1
  frame .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe10.f1  -background {black}  -height {278}  -width {305}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe10.frame1
  frame .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe10.frame1  -background {black}  -height {26}  -width {485}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe10.frame1.menubutton3
  menubutton .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe10.frame1.menubutton3  -background {black}  -font {Helvetica 10}  -foreground {cyan}  -menu {.guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe10.frame1.menubutton3.m}  -padx {5}  -pady {4}  -text {Actor}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe10.frame1.menubutton3.m
  menu .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe10.frame1.menubutton3.m  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}  -tearoff {0}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe10.frame1.menubutton3.m add command  -command {vis_deletePickedActor bcRenWinPot_ren1}  -label {Delete Actor}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe10.frame1.menubutton3.m add command  -command {crd_ren bcRenWinPot_ren1}  -label {Delete All Actors}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe10.frame1.menubutton4
  menubutton .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe10.frame1.menubutton4  -background {black}  -font {Helvetica 10}  -foreground {cyan}  -menu {.guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe10.frame1.menubutton4.m}  -padx {5}  -pady {4}  -text {Window}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe10.frame1.menubutton4.m
  menu .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe10.frame1.menubutton4.m  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}  -tearoff {0}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe10.frame1.menubutton4.m add command  -command {vis_renWriteJPEG bcRenWinPot_ren1}  -label {Save Image to File}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe10.frame1.menubutton4.m add command  -command {crd_ren bcRenWinPot_ren1}  -label {Clear Window}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe10.frame1.menubutton5
  menubutton .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe10.frame1.menubutton5  -background {black}  -font {Helvetica 10}  -foreground {cyan}  -menu {.guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe10.frame1.menubutton5.m}  -padx {5}  -pady {4}  -text {Display Options}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe10.frame1.menubutton5.m
  menu .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe10.frame1.menubutton5.m  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}  -tearoff {0}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe10.frame1.menubutton5.m add cascade  -menu {.guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe10.frame1.menubutton5.m.a}  -label {Level Set}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe10.frame1.menubutton5.m add cascade  -menu {.guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe10.frame1.menubutton5.m.b}  -label {Threshold}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe10.frame1.menubutton5.m add cascade  -menu {.guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe10.frame1.menubutton5.m.c}  -label {Warp Plots}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe10.frame1.menubutton5.m add cascade  -menu {.guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe10.frame1.menubutton5.m.d}  -label {Views}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe10.frame1.menubutton5.m add cascade  -menu {.guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe10.frame1.menubutton5.m.e}  -label {Flow calculations}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe10.frame1.menubutton5.m add checkbutton  -variable {bcGUIpotWindow(showWindow)}  -command {bcGUIupdatePotWindow}  -label {Show window}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe10.frame1.menubutton5.m.a
  menu .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe10.frame1.menubutton5.m.a  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}  -tearoff {0}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe10.frame1.menubutton5.m.a add checkbutton  -variable {bcGUIpotWindow(showLS)}  -command {bcGUIupdatePotWindow}  -label {segmentation}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe10.frame1.menubutton5.m.a add checkbutton  -variable {bcGUIpotWindow(showIntermediateLS)}  -command {bcGUIupdatePotWindow}  -label {evolution}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe10.frame1.menubutton5.m.a add checkbutton  -variable {bcGUIpotWindow(showInitSphere)}  -command {bcGUIupdatePotWindow}  -label {initialization sphere}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe10.frame1.menubutton5.m.b
  menu .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe10.frame1.menubutton5.m.b  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}  -tearoff {0}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe10.frame1.menubutton5.m.b add checkbutton  -variable {bcGUIpotWindow(showThr)}  -command {bcGUIupdatePotWindow}  -label {threshold}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe10.frame1.menubutton5.m.b add checkbutton  -variable {bcGUIpotWindow(showSelectedThr)}  -command {bcGUIupdatePotWindow}  -label {selected threshold contour}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe10.frame1.menubutton5.m.b add checkbutton  -variable {bcGUIpotWindow(showInitSphere)}  -command {bcGUIupdatePotWindow}  -label {initialization sphere}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe10.frame1.menubutton5.m.c
  menu .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe10.frame1.menubutton5.m.c  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}  -tearoff {0}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe10.frame1.menubutton5.m.c add checkbutton  -variable {bcGUIpotWindow(showWarp)}  -command {bcGUIupdatePotWindow}  -label {Warp vector plot}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe10.frame1.menubutton5.m.c add checkbutton  -variable {bcGUIpotWindow(showMeshWarp)}  -command {bcGUIupdatePotWindow}  -label {Mesh warp vector plot}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe10.frame1.menubutton5.m.d
  menu .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe10.frame1.menubutton5.m.d  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}  -tearoff {0}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe10.frame1.menubutton5.m.d add checkbutton  -variable {bcGUIparallelProjectionFlag}  -command {bcGUIparallelProjection}  -label {Parallel projection}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe10.frame1.menubutton5.m.e
  menu .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe10.frame1.menubutton5.m.e  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}  -tearoff {0}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe10.frame1.menubutton5.m.e add checkbutton  -variable {bcGUIpotWindow(showTaggedPixels)}  -command {bcGUIupdatePotWindow}  -label {tagged pixels}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe10.frame1.menubutton1
  menubutton .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe10.frame1.menubutton1  -background {black}  -font {Helvetica 10}  -foreground {cyan}  -menu {.guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe10.frame1.menubutton1.m}  -padx {5}  -pady {4}  -text {PCMRI Potential}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe10.frame1.menubutton1.m
  menu .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe10.frame1.menubutton1.m  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}  -tearoff {0}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe10.frame1.menubutton1.m add command  -command {guiCV_display_windows 3d_only}  -label {Show 3-D Window Only}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe10.frame1.menubutton1.m add command  -command {guiCV_display_windows 3d_and_2d}  -label {Show 3-D & 2-D Reslice}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe10.frame1.menubutton1.m add command  -command {guiCV_display_windows 2d_only}  -label {Show 2-D Reslice Only}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe10.frame1.menubutton1.m add command  -command {guiCV_display_windows pcmri_only}  -label {Show PCMRI Only}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0
  ttk::panedwindow .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34
  ttk::notebook .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame1  -borderwidth {0}  -relief {flat}  -width {717}  -height {200}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame1.label2
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame1.label2  -font {Helvetica 10}  -borderwidth {0}  -text {Manipulate Display / Location of Slice Planes}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame1.frame3
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame1.frame3  -width {330}  -height {29}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame1.frame3.label7
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame1.frame3.label7  -font {Helvetica 10}  -borderwidth {0}  -text {show}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame1.frame3.frame8
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame1.frame3.frame8  -width {89}  -height {204}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame1.frame3.frame8.label9
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame1.frame3.frame8.label9  -font {Helvetica 10}  -text {R:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame1.frame3.frame8.label10
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame1.frame3.frame8.label10  -font {Helvetica 10}  -relief {groove}  -text {0.0}  -textvariable {guiVIB(r_coord)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame1.frame3.frame8.label11
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame1.frame3.frame8.label11  -font {Helvetica 10}  -text {A:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame1.frame3.frame8.label12
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame1.frame3.frame8.label12  -font {Helvetica 10}  -relief {groove}  -text {0.0}  -textvariable {guiVIB(a_coord)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame1.frame3.frame8.label13
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame1.frame3.frame8.label13  -font {Helvetica 10}  -text {S:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame1.frame3.frame8.label14
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame1.frame3.frame8.label14  -font {Helvetica 10}  -relief {groove}  -text {0.0}  -textvariable {guiVIB(s_coord)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame1.frame3.frame8.label15
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame1.frame3.frame8.label15  -font {Helvetica 10}  -text {pixel value:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame1.frame3.frame8.label16
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame1.frame3.frame8.label16  -font {Helvetica 10}  -relief {groove}  -text {0.0}  -textvariable {guiVIB(pixel_value)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame1.frame4
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame1.frame4  -width {581}  -height {54}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame1.frame4.checkbutton17
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame1.frame4.checkbutton17  -variable {guiVIB(show_RL)}  -command {volGUItoggleDisplaySlices guiVIB RL}  -width {5}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame1.frame4.label19
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame1.frame4.label19  -font {Helvetica 10}  -text {L}  -textvariable {guiVIB(left_label_1)}  -width {4}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame1.frame4.scale20
  scale .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame1.frame4.scale20  -command {volGUIupdateSlider guiVIB RL}  -font {Helvetica 10}  -orient {horizontal}  -relief {raised}  -variable {guiVIB(sliderx_value)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame1.frame4.label21
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame1.frame4.label21  -font {Helvetica 10}  -text {R}  -textvariable {guiVIB(right_label_1)}  -width {4}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame1.frame22
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame1.frame22  -width {581}  -height {54}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame1.frame22.checkbutton17
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame1.frame22.checkbutton17  -variable {guiVIB(show_AP)}  -command {volGUItoggleDisplaySlices guiVIB AP}  -width {5}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame1.frame22.label19
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame1.frame22.label19  -font {Helvetica 10}  -text {P}  -textvariable {guiVIB(left_label_2)}  -width {4}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame1.frame22.scale20
  scale .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame1.frame22.scale20  -command {volGUIupdateSlider guiVIB AP}  -font {Helvetica 10}  -orient {horizontal}  -relief {raised}  -variable {guiVIB(slidery_value)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame1.frame22.label21
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame1.frame22.label21  -font {Helvetica 10}  -text {A}  -textvariable {guiVIB(right_label_2)}  -width {4}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame1.frame23
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame1.frame23  -width {581}  -height {54}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame1.frame23.checkbutton17
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame1.frame23.checkbutton17  -variable {guiVIB(show_SI)}  -command {volGUItoggleDisplaySlices guiVIB SI}  -width {5}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame1.frame23.label19
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame1.frame23.label19  -font {Helvetica 10}  -text {I}  -textvariable {guiVIB(left_label_3)}  -width {4}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame1.frame23.scale20
  scale .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame1.frame23.scale20  -command {volGUIupdateSlider guiVIB SI}  -font {Helvetica 10}  -orient {horizontal}  -relief {raised}  -variable {guiVIB(sliderz_value)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame1.frame23.label21
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame1.frame23.label21  -font {Helvetica 10}  -text {S}  -textvariable {guiVIB(right_label_3)}  -width {4}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame37
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame37  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame37.frame30
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame37.frame30  -borderwidth {0}  -relief {flat}  -width {226}  -height {152}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame37.frame30.label25
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame37.frame30.label25  -font {Helvetica 10}  -text {Select color map}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame37.frame30.frame24
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame37.frame30.frame24  -width {199}  -height {33}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame37.frame30.frame24.radiobutton26
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame37.frame30.frame24.radiobutton26  -variable {guiVIB(color_map)}  -value {8-bit}  -command {volGUIupdateColorMaps guiVIB}  -text {[0 255]}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame37.frame30.frame24.radiobutton27
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame37.frame30.frame24.radiobutton27  -variable {guiVIB(color_map)}  -value {native}  -command {volGUIupdateColorMaps guiVIB}  -text {native [0 0]}  -textvariable {guiVIB(nativeRange)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame37.frame28
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame37.frame28  -borderwidth {0}  -relief {flat}  -width {485}  -height {154}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame37.frame28.label29
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame37.frame28.label29  -font {Helvetica 10}  -text {Threshold Range}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame37.frame28.frame32
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame37.frame28.frame32  -width {455}  -height {25}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame37.frame28.frame32.label33
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame37.frame28.frame32.label33  -font {Helvetica 10}  -borderwidth {0}  -text {min: }

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame37.frame28.frame32.entry34
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame37.frame28.frame32.entry34  -font {Helvetica 10}  -textvariable {guiVIB(min_thr_value)}  -width {8}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame37.frame28.frame32.entry34 <Key-Return> {volGUIupdateSeed guiVIB manual;volGUIupdatePointCloud guiVIB;volGUIupdateIsosurface guiVIB}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame37.frame28.frame32.label35
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame37.frame28.frame32.label35  -font {Helvetica 10}  -text {max:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame37.frame28.frame32.entry36
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame37.frame28.frame32.entry36  -font {Helvetica 10}  -textvariable {guiVIB(max_thr_value)}  -width {8}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame37.frame28.frame32.entry36 <Key-Return> {volGUIupdateSeed guiVIB manual;volGUIupdatePointCloud guiVIB;volGUIupdateIsosurface guiVIB}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame37.frame28.frame28
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame37.frame28.frame28  -width {291}  -height {32}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame37.frame28.frame28.checkbutton40
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame37.frame28.frame28.checkbutton40  -variable {guiVIB(use_seed_thr)}  -command {volGUIupdateSeed guiVIB manual}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame37.frame28.frame28.menubutton0
  ttk::menubutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame37.frame28.frame28.menubutton0  -menu {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame37.frame28.frame28.menubutton0.m}  -text {use seed:}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame37.frame28.frame28.menubutton0.m
  menu .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame37.frame28.frame28.menubutton0.m  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame37.frame28.frame28.menubutton0.m add command  -command {volGUIupdateSeed guiVIB vol_sliders}  -label {Seed by Volume Sliders}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame37.frame28.frame28.menubutton0.m add command  -command {volGUIupdateSeed guiVIB pathplan_cursor}  -label {Seed by Path Plan Cursor}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame37.frame28.frame28.menubutton0.m add command  -command {volGUIupdateSeed guiVIB path_point}  -label {Seed by Path Point}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame37.frame28.frame28.menubutton0.m add command  -command {volGUIupdateSeed guiVIB interactor}  -label {Seed by Interactor Center}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame37.frame28.frame28.menubutton0.m add separator
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame37.frame28.frame28.menubutton0.m add command  -command {volGUIupdateSeed guiVIB save_pt}  -label {Save Seed Point}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame37.frame28.frame28.menubutton0.m add command  -command {volGUIupdateSeed guiVIB restore_pt}  -label {Restore Seed Point}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame37.frame28.frame28.entry36
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame37.frame28.frame28.entry36  -font {Helvetica 10}  -textvariable {guiVIB(seed_location)}  -width {8}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame37.frame28.frame28.entry36 <Key-Return> {volGUIupdateSeed guiVIB manual}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame43
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame43  -width {446}  -height {101}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame43.frame44
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame43.frame44  -borderwidth {0}  -relief {flat}  -width {359}  -height {59}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame43.frame44.frame38
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame43.frame44.frame38  -width {363}  -height {38}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame43.frame44.frame38.checkbutton39
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame43.frame44.frame38.checkbutton39  -variable {guiVIB(show_point_cloud)}  -command {volGUIupdatePointCloud guiVIB}  -text {point cloud}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame43.frame44.frame38.checkbutton40
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame43.frame44.frame38.checkbutton40  -variable {guiVIB(show_isosurface)}  -command {volGUIupdateIsosurfaceUserCheck guiVIB}  -text {isosurface}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame43.frame44.frame38.button4
  #ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame43.frame44.frame38.button4  -command {seg_extractParasolidStuff}  -text {Extract Seg Data}
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame43.frame44.frame38.button4  -command {guiSV_group_make_isosurface_3D_surface}  -text {Send Isosurface to 3D Surface}
  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame43.frame44.label47
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame43.frame44.label47  -font {Helvetica 10}  -text {Visualization Options}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer  -borderwidth {0}  -relief {flat}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer.tframe4
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer.tframe4  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer.tframe4.frame0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer.tframe4.frame0  -width {482}  -height {78}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer.tframe4.frame0.frame8
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer.tframe4.frame0.frame8  -width {482}  -height {78}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer.tframe4.frame0.frame8.label4
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer.tframe4.frame0.frame8.label4  -font {Helvetica 10}  -borderwidth {0}  -text {opacity fn: }  -width {14}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer.tframe4.frame0.frame8.entry5
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer.tframe4.frame0.frame8.entry5  -font {Helvetica 10}  -textvariable {guiVIB(opacityFunction)}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer.tframe4.frame0.frame8.entry5 <Key-Return> {volGUIupdateVolRender guiVIB opacity}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer.tframe4.frame0.frame9
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer.tframe4.frame0.frame9  -width {482}  -height {78}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer.tframe4.frame0.frame9.label4
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer.tframe4.frame0.frame9.label4  -font {Helvetica 10}  -borderwidth {0}  -text {color fn: }  -width {14}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer.tframe4.frame0.frame9.entry5
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer.tframe4.frame0.frame9.entry5  -font {Helvetica 10}  -textvariable {guiVIB(colorFunction)}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer.tframe4.frame0.frame9.entry5 <Key-Return> {volGUIupdateVolRender guiVIB color}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer.tframe4.frame10
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer.tframe4.frame10  -width {482}  -height {78}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer.tframe4.frame10.label4
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer.tframe4.frame10.label4  -font {Helvetica 10}  -borderwidth {0}  -text {gradient fn: }  -width {14}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer.tframe4.frame10.entry5
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer.tframe4.frame10.entry5  -font {Helvetica 10}  -textvariable {guiVIB(gradientFunction)}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer.tframe4.frame10.entry5 <Key-Return> {volGUIupdateVolRender guiVIB gradient}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer.tcheckbutton8
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer.tcheckbutton8  -variable {guiCVIMGvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer.tframe4)}  -command {guiCVIMG_squeezer .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer.tframe4}  -text {Manually set transfer functions}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer4
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer4  -borderwidth {0}  -relief {flat}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer4.tframe4
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer4.tframe4  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer4.tframe4.tframe1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer4.tframe4.tframe1  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer4.tframe4.tframe1.tlabel5
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer4.tframe4.tframe1.tlabel5  -font {Helvetica 10}  -relief {flat}  -text {Intensity Range}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer4.tframe4.tframe1.tentry6
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer4.tframe4.tframe1.tentry6  -font {Helvetica 10}  -textvariable {guiCVIMGvars(vol_ren_min_range)}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer4.tframe4.tframe1.tentry6 <Key-Return> {guiSVIMG_vol_ren_with_canvas_update_histo}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer4.tframe4.tframe1.tlabel7
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer4.tframe4.tframe1.tlabel7  -font {Helvetica 10}  -relief {flat}  -text {Max:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer4.tframe4.tframe1.tentry8
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer4.tframe4.tframe1.tentry8  -font {Helvetica 10}  -textvariable {guiCVIMGvars(vol_ren_max_range)}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer4.tframe4.tframe1.tentry8 <Key-Return> {guiSVIMG_vol_ren_with_canvas_update_histo}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer4.tframe4.tframe1.tlabel11
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer4.tframe4.tframe1.tlabel11  -font {Helvetica 10}  -relief {flat}  -text {Min:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer4.tframe4.tframe0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer4.tframe4.tframe0  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer4.tframe4.tframe0.tframe2
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer4.tframe4.tframe0.tframe2  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer4.tframe4.tframe0.tframe2.canvas7
  canvas .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer4.tframe4.tframe0.tframe2.canvas7  -height {120}  -relief {raised}  -width {420}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer4.tframe4.tframe0.tframe2.tlabel10
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer4.tframe4.tframe0.tframe2.tlabel10  -font {Helvetica 10}  -relief {flat}  -text {Opacity}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer4.tframe4.tframe0.tframe12
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer4.tframe4.tframe0.tframe12  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer4.tframe4.tframe0.tframe12.canvas7
  canvas .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer4.tframe4.tframe0.tframe12.canvas7  -height {120}  -relief {raised}  -width {420}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer4.tframe4.tframe0.tframe12.tlabel10
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer4.tframe4.tframe0.tframe12.tlabel10  -font {Helvetica 10}  -relief {flat}  -text {Red}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer4.tframe4.tframe0.tframe13
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer4.tframe4.tframe0.tframe13  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer4.tframe4.tframe0.tframe13.canvas7
  canvas .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer4.tframe4.tframe0.tframe13.canvas7  -height {120}  -relief {raised}  -width {420}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer4.tframe4.tframe0.tframe13.tlabel10
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer4.tframe4.tframe0.tframe13.tlabel10  -font {Helvetica 10}  -relief {flat}  -text {Blue}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer4.tframe4.tframe0.tframe14
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer4.tframe4.tframe0.tframe14  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer4.tframe4.tframe0.tframe14.canvas7
  canvas .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer4.tframe4.tframe0.tframe14.canvas7  -height {120}  -relief {raised}  -width {420}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer4.tframe4.tframe0.tframe14.tlabel10
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer4.tframe4.tframe0.tframe14.tlabel10  -font {Helvetica 10}  -relief {flat}  -text {Green}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer4.tframe4.tframe9
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer4.tframe4.tframe9  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer4.tframe4.tframe9.tlabel15
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer4.tframe4.tframe9.tlabel15  -font {Helvetica 10}  -relief {flat}  -text {dummy}  -textvariable {guiCVIMGvars(canvas_value)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer4.tcheckbutton8
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer4.tcheckbutton8  -variable {guiCVIMGvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer4.tframe4)}  -command {guiCVIMG_squeezer_canvas .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer4.tframe4}  -text {Interactively select transfer functions}  -state {disabled}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.tframe12
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.tframe12  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.tframe12.checkbutton3
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.tframe12.checkbutton3  -variable {guiVIB(show_vol_render)}  -command {volGUIupdateVolRender guiVIB all}  -text {Turn On Volume Rendering}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer0  -borderwidth {0}  -relief {flat}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer0.tframe4
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer0.tframe4  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer0.tframe4.frame10
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer0.tframe4.frame10  -width {482}  -height {78}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer0.tframe4.frame10.label4
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer0.tframe4.frame10.label4  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {ambient coefficient:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer0.tframe4.frame10.entry5
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer0.tframe4.frame10.entry5  -font {Helvetica 10}  -textvariable {guiVIB(ambientCoefficient)}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer0.tframe4.frame10.entry5 <Key-Return> {volGUIupdateVolRender guiVIB shading}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer0.tframe4.frame2
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer0.tframe4.frame2  -width {482}  -height {78}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer0.tframe4.frame2.label4
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer0.tframe4.frame2.label4  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {diffuse coefficient:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer0.tframe4.frame2.entry5
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer0.tframe4.frame2.entry5  -font {Helvetica 10}  -textvariable {guiVIB(diffuseCoefficient)}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer0.tframe4.frame2.entry5 <Key-Return> {volGUIupdateVolRender guiVIB shading}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer0.tframe4.frame4
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer0.tframe4.frame4  -width {482}  -height {78}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer0.tframe4.frame4.label4
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer0.tframe4.frame4.label4  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {specular coefficient:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer0.tframe4.frame4.entry5
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer0.tframe4.frame4.entry5  -font {Helvetica 10}  -textvariable {guiVIB(specularCoefficient)}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer0.tframe4.frame4.entry5 <Key-Return> {volGUIupdateVolRender guiVIB shading}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer0.tframe4.frame6
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer0.tframe4.frame6  -width {482}  -height {78}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer0.tframe4.frame6.label4
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer0.tframe4.frame6.label4  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {specular power:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer0.tframe4.frame6.entry5
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer0.tframe4.frame6.entry5  -font {Helvetica 10}  -textvariable {guiVIB(specularPower)}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer0.tframe4.frame6.entry5 <Key-Return> {volGUIupdateVolRender guiVIB shading}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer0.tframe4.tcheckbutton7
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer0.tframe4.tcheckbutton7  -variable {guiVIB(enableShading)}  -command {volGUIupdateVolRender guiVIB enable_shading}  -text {Turn ON shading}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer0.tcheckbutton8
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer0.tcheckbutton8  -variable {guiCVIMGvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer0.tframe4)}  -command {guiCVIMG_squeezer .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer0.tframe4}  -text {Shading Options}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer8
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer8  -borderwidth {0}  -relief {flat}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer8.tframe4
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer8.tframe4  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer8.tframe4.frame10
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer8.tframe4.frame10  -borderwidth {0}  -relief {flat}  -width {482}  -height {78}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer8.tframe4.frame10.label4
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer8.tframe4.frame10.label4  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {sample step size:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer8.tframe4.frame10.entry5
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer8.tframe4.frame10.entry5  -font {Helvetica 10}  -textvariable {guiVIB(sampleStepSize)}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer8.tframe4.frame10.entry5 <Key-Return> {volGUIupdateVolRender guiVIB sample_size}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer8.tframe4.tframe11
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer8.tframe4.tframe11  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer8.tframe4.tframe11.tradiobutton12
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer8.tframe4.tframe11.tradiobutton12  -variable {gOptions(vis_vol_render_method)}  -value {texture3d}  -text {texture3d}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer8.tframe4.tframe11.tradiobutton13
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer8.tframe4.tframe11.tradiobutton13  -variable {gOptions(vis_vol_render_method)}  -value {texture}  -text {texture}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer8.tframe4.tframe11.tradiobutton14
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer8.tframe4.tframe11.tradiobutton14  -variable {gOptions(vis_vol_render_method)}  -value {raycast}  -text {raycast}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer8.tframe4.tframe11.tradiobutton15
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer8.tframe4.tframe11.tradiobutton15  -variable {gOptions(vis_vol_render_method)}  -value {shear}  -text {shear}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer8.tcheckbutton8
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer8.tcheckbutton8  -variable {guiCVIMGvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer8.tframe4)}  -command {guiCVIMG_squeezer .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer8.tframe4}  -text {Advanced Options}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.tframe1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.tframe1  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.tframe1.tframe2
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.tframe1.tframe2  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.tframe1.tframe2.tlabel4
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.tframe1.tframe2.tlabel4  -font {Helvetica 10}  -relief {flat}  -justify {center}  -text {Intensity}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.tframe1.tframe2.tscale5
  ttk::scale .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.tframe1.tframe2.tscale5  -command {guiVOLRENupdate intensity 1}  -variable {guiVOLRENvars(intensity_pt_1)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.tframe1.tframe2.tscale6
  ttk::scale .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.tframe1.tframe2.tscale6  -command {guiVOLRENupdate intensity 2}  -variable {guiVOLRENvars(intensity_pt_2)}  -value {0.05}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.tframe1.tframe2.tscale7
  ttk::scale .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.tframe1.tframe2.tscale7  -command {guiVOLRENupdate intensity 3}  -variable {guiVOLRENvars(intensity_pt_3)}  -value {0.25}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.tframe1.tframe2.tscale8
  ttk::scale .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.tframe1.tframe2.tscale8  -command {guiVOLRENupdate intensity 4}  -variable {guiVOLRENvars(intensity_pt_4)}  -value {1.0}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.tframe1.tframe9
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.tframe1.tframe9  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.tframe1.tframe9.tlabel4
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.tframe1.tframe9.tlabel4  -font {Helvetica 10}  -relief {flat}  -text {Opacity}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.tframe1.tframe9.tscale5
  ttk::scale .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.tframe1.tframe9.tscale5  -command {guiVOLRENupdate opacity 1}  -variable {guiVOLRENvars(opacity_pt_1)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.tframe1.tframe9.tscale6
  ttk::scale .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.tframe1.tframe9.tscale6  -command {guiVOLRENupdate opacity 2}  -variable {guiVOLRENvars(opacity_pt_2)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.tframe1.tframe9.tscale7
  ttk::scale .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.tframe1.tframe9.tscale7  -command {guiVOLRENupdate opacity 3}  -variable {guiVOLRENvars(opacity_pt_3)}  -value {0.01}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.tframe1.tframe9.tscale8
  ttk::scale .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.tframe1.tframe9.tscale8  -command {guiVOLRENupdate  opacity 4}  -variable {guiVOLRENvars(opacity_pt_4)}  -value {0.5}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.tframe1.tframe10
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.tframe1.tframe10  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.tframe1.tframe10.tlabel4
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.tframe1.tframe10.tlabel4  -font {Helvetica 10}  -relief {flat}  -text {Select Color}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.tframe1.tframe10.tbutton11
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.tframe1.tframe10.tbutton11  -command {guiVOLRENupdate color 1}  -text {Color}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.tframe1.tframe10.tbutton12
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.tframe1.tframe10.tbutton12  -command {guiVOLRENupdate color 2}  -text {Color}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.tframe1.tframe10.tbutton13
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.tframe1.tframe10.tbutton13  -command {guiVOLRENupdate color 3}  -text {Color}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.tframe1.tframe10.tbutton14
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.tframe1.tframe10.tbutton14  -command {guiVOLRENupdate color 4}  -text {Color}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0  -borderwidth {0}  -relief {flat}  -width {631}  -height {464}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame1  -width {595}  -height {59}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame1.label3
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame1.label3  -font {Helvetica 10}  -borderwidth {0}  -text {Resample Volume Options}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame1.frame4
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame1.frame4  -width {192}  -height {150}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame1.frame4.checkbutton5
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame1.frame4.checkbutton5  -variable {guiRIB(resample_flag)}  -command {resampleGUIupdateResample 1}  -text {Resample}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame1.frame4.label6
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame1.frame4.label6  -font {Helvetica 10}  -borderwidth {0}  -text {voxel size: }

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame1.frame4.entry7
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame1.frame4.entry7  -font {Helvetica 10}  -textvariable {guiRIB(resample_voxel_size)}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame1.frame4.entry7 <Key-Return> {resampleGUIupdateResample 0}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame1.frame4.checkbutton8
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame1.frame4.checkbutton8  -variable {guiRIB(resample_gradient)}  -command {resampleGUIupdateResample 0}  -text {show gradient magnitude}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame1.frame4.button9
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame1.frame4.button9  -command {resampleGUIupdateResample 0}  -text {Update display}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame2
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame2  -width {693}  -height {119}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame2.frame10
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame2.frame10  -borderwidth {0}  -relief {flat}  -width {326}  -height {83}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame2.frame10.frame12
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame2.frame10.frame12  -width {45}  -height {71}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame2.frame10.frame12.label16
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame2.frame10.frame12.label16  -font {Helvetica 10}  -borderwidth {0}  -text {box dims}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame2.frame10.frame12.label17
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame2.frame10.frame12.label17  -font {Helvetica 10}  -borderwidth {0}  -text {min: }

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame2.frame10.frame12.label18
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame2.frame10.frame12.label18  -font {Helvetica 10}  -text {max: }

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame2.frame10.frame13
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame2.frame10.frame13  -width {190}  -height {100}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame2.frame10.frame13.label19
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame2.frame10.frame13.label19  -font {Helvetica 10}  -borderwidth {0}  -text {R}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame2.frame10.frame13.entry20
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame2.frame10.frame13.entry20  -font {Helvetica 10}  -textvariable {guiRIB(box_min_r)}  -width {8}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame2.frame10.frame13.entry20 <Key-Return> {resampleGUIupdateResample 0}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame2.frame10.frame13.entry21
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame2.frame10.frame13.entry21  -font {Helvetica 10}  -textvariable {guiRIB(box_max_r)}  -width {8}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame2.frame10.frame13.entry21 <Key-Return> {resampleGUIupdateResample 0}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame2.frame10.frame14
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame2.frame10.frame14  -width {190}  -height {100}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame2.frame10.frame14.label23
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame2.frame10.frame14.label23  -font {Helvetica 10}  -borderwidth {0}  -text {A}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame2.frame10.frame14.entry24
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame2.frame10.frame14.entry24  -font {Helvetica 10}  -textvariable {guiRIB(box_min_a)}  -width {8}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame2.frame10.frame14.entry24 <Key-Return> {resampleGUIupdateResample 0}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame2.frame10.frame14.entry25
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame2.frame10.frame14.entry25  -font {Helvetica 10}  -textvariable {guiRIB(box_max_a)}  -width {8}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame2.frame10.frame14.entry25 <Key-Return> {resampleGUIupdateResample 0}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame2.frame10.frame15
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame2.frame10.frame15  -width {190}  -height {100}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame2.frame10.frame15.label27
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame2.frame10.frame15.label27  -font {Helvetica 10}  -borderwidth {0}  -text {S}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame2.frame10.frame15.entry28
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame2.frame10.frame15.entry28  -font {Helvetica 10}  -textvariable {guiRIB(box_min_s)}  -width {8}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame2.frame10.frame15.entry28 <Key-Return> {resampleGUIupdateResample 0}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame2.frame10.frame15.entry29
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame2.frame10.frame15.entry29  -font {Helvetica 10}  -textvariable {guiRIB(box_max_s)}  -width {8}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame2.frame10.frame15.entry29 <Key-Return> {resampleGUIupdateResample 0}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame2.frame11
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame2.frame11  -borderwidth {0}  -relief {flat}  -width {326}  -height {83}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame2.frame11.label31
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame2.frame11.label31  -font {Helvetica 10}  -borderwidth {0}  -text {Center Box Using}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame2.frame11.frame35
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame2.frame11.frame35  -width {193}  -height {144}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame2.frame11.frame35.frame36
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame2.frame11.frame35.frame36  -width {141}  -height {58}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame2.frame11.frame35.frame36.radiobutton38
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame2.frame11.frame35.frame36.radiobutton38  -variable {guiRIB(box_center_method)}  -value {vol_sliders}  -command {resampleGUIupdateResample 0}  -text {Volume Sliders}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame2.frame11.frame35.frame36.radiobutton39
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame2.frame11.frame35.frame36.radiobutton39  -variable {guiRIB(box_center_method)}  -value {path_point}  -command {resampleGUIupdateResample 0}  -text {Path Point}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame2.frame11.frame35.frame37
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame2.frame11.frame35.frame37  -width {181}  -height {58}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame2.frame11.frame35.frame37.radiobutton40
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame2.frame11.frame35.frame37.radiobutton40  -variable {guiRIB(box_center_method)}  -value {pathplan_cursor}  -command {resampleGUIupdateResample 0}  -text {Path Plan Cursor}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame2.frame11.frame35.frame37.radiobutton41
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame2.frame11.frame35.frame37.radiobutton41  -variable {guiRIB(box_center_method)}  -value {interactor}  -command {resampleGUIupdateResample 0}  -text {Interactor}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame1  -borderwidth {0}  -relief {flat}  -width {717}  -height {200}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame1.label2
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame1.label2  -font {Helvetica 10}  -borderwidth {0}  -text {Manipulate Display / Location of Slice Planes}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame1.frame3
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame1.frame3  -width {330}  -height {29}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame1.frame3.label7
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame1.frame3.label7  -font {Helvetica 10}  -borderwidth {0}  -text {show}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame1.frame3.frame8
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame1.frame3.frame8  -width {89}  -height {204}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame1.frame3.frame8.label9
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame1.frame3.frame8.label9  -font {Helvetica 10}  -text {R:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame1.frame3.frame8.label10
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame1.frame3.frame8.label10  -font {Helvetica 10}  -relief {groove}  -text {0.0}  -textvariable {guiRIB(r_coord)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame1.frame3.frame8.label11
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame1.frame3.frame8.label11  -font {Helvetica 10}  -text {A:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame1.frame3.frame8.label12
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame1.frame3.frame8.label12  -font {Helvetica 10}  -relief {groove}  -text {0.0}  -textvariable {guiRIB(a_coord)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame1.frame3.frame8.label13
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame1.frame3.frame8.label13  -font {Helvetica 10}  -text {S:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame1.frame3.frame8.label14
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame1.frame3.frame8.label14  -font {Helvetica 10}  -relief {groove}  -text {0.0}  -textvariable {guiRIB(s_coord)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame1.frame3.frame8.label15
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame1.frame3.frame8.label15  -font {Helvetica 10}  -text {pixel value:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame1.frame3.frame8.label16
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame1.frame3.frame8.label16  -font {Helvetica 10}  -relief {groove}  -text {0.0}  -textvariable {guiRIB(pixel_value)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame1.frame4
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame1.frame4  -width {581}  -height {54}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame1.frame4.checkbutton17
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame1.frame4.checkbutton17  -variable {guiRIB(show_RL)}  -command {volGUItoggleDisplaySlices guiRIB RL}  -width {5}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame1.frame4.label19
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame1.frame4.label19  -font {Helvetica 10}  -text {L}  -textvariable {guiRIB(left_label_1)}  -width {4}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame1.frame4.scale20
  scale .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame1.frame4.scale20  -command {volGUIupdateSlider guiRIB RL}  -font {Helvetica 10}  -orient {horizontal}  -relief {raised}  -variable {guiRIB(sliderx_value)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame1.frame4.label21
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame1.frame4.label21  -font {Helvetica 10}  -text {R}  -textvariable {guiRIB(right_label_1)}  -width {4}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame1.frame22
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame1.frame22  -width {581}  -height {54}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame1.frame22.checkbutton17
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame1.frame22.checkbutton17  -variable {guiRIB(show_AP)}  -command {volGUItoggleDisplaySlices guiRIB AP}  -width {5}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame1.frame22.label19
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame1.frame22.label19  -font {Helvetica 10}  -text {P}  -textvariable {guiRIB(left_label_2)}  -width {4}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame1.frame22.scale20
  scale .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame1.frame22.scale20  -command {volGUIupdateSlider guiRIB AP}  -font {Helvetica 10}  -orient {horizontal}  -relief {raised}  -variable {guiRIB(slidery_value)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame1.frame22.label21
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame1.frame22.label21  -font {Helvetica 10}  -text {A}  -textvariable {guiRIB(right_label_2)}  -width {4}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame1.frame23
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame1.frame23  -width {581}  -height {54}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame1.frame23.checkbutton17
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame1.frame23.checkbutton17  -variable {guiRIB(show_SI)}  -command {volGUItoggleDisplaySlices guiRIB SI}  -width {5}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame1.frame23.label19
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame1.frame23.label19  -font {Helvetica 10}  -text {I}  -textvariable {guiRIB(left_label_3)}  -width {4}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame1.frame23.scale20
  scale .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame1.frame23.scale20  -command {volGUIupdateSlider guiRIB SI}  -font {Helvetica 10}  -orient {horizontal}  -relief {raised}  -variable {guiRIB(sliderz_value)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame1.frame23.label21
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame1.frame23.label21  -font {Helvetica 10}  -text {S}  -textvariable {guiRIB(right_label_3)}  -width {4}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame37
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame37  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame37.frame30
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame37.frame30  -borderwidth {0}  -relief {flat}  -width {226}  -height {152}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame37.frame30.label25
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame37.frame30.label25  -font {Helvetica 10}  -text {Select color map}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame37.frame30.frame24
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame37.frame30.frame24  -width {199}  -height {33}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame37.frame30.frame24.radiobutton26
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame37.frame30.frame24.radiobutton26  -variable {guiRIB(color_map)}  -value {8-bit}  -command {volGUIupdateColorMaps guiRIB}  -text {[0 255]}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame37.frame30.frame24.radiobutton27
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame37.frame30.frame24.radiobutton27  -variable {guiRIB(color_map)}  -value {native}  -command {volGUIupdateColorMaps guiRIB}  -text {native [0 0]}  -textvariable {guiRIB(nativeRange)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame37.frame28
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame37.frame28  -borderwidth {0}  -relief {flat}  -width {485}  -height {154}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame37.frame28.label29
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame37.frame28.label29  -font {Helvetica 10}  -text {Threshold Range}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame37.frame28.frame32
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame37.frame28.frame32  -width {455}  -height {25}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame37.frame28.frame32.label33
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame37.frame28.frame32.label33  -font {Helvetica 10}  -borderwidth {0}  -text {min: }

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame37.frame28.frame32.entry34
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame37.frame28.frame32.entry34  -font {Helvetica 10}  -textvariable {guiRIB(min_thr_value)}  -width {8}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame37.frame28.frame32.entry34 <Key-Return> {volGUIupdateSeed guiRIB manual; volGUIupdatePointCloud guiRIB
volGUIupdateIsosurface guiRIB}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame37.frame28.frame32.label35
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame37.frame28.frame32.label35  -font {Helvetica 10}  -text {max:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame37.frame28.frame32.entry36
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame37.frame28.frame32.entry36  -font {Helvetica 10}  -textvariable {guiRIB(max_thr_value)}  -width {8}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame37.frame28.frame32.entry36 <Key-Return> {volGUIupdateSeed guiRIB manual;  volGUIupdatePointCloud guiRIB
volGUIupdateIsosurface guiRIB}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame37.frame28.checkbutton40
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame37.frame28.checkbutton40  -variable {guiRIB(use_seed_thr)}  -command {volGUIupdateSeed guiRIB manual}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame37.frame28.menubutton0
  ttk::menubutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame37.frame28.menubutton0  -menu {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame37.frame28.menubutton0.m}  -text {use seed:}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame37.frame28.menubutton0.m
  menu .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame37.frame28.menubutton0.m  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame37.frame28.menubutton0.m add command  -command {volGUIupdateSeed guiRIB vol_sliders}  -label {Seed by Volume Sliders}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame37.frame28.menubutton0.m add command  -command {volGUIupdateSeed guiRIB path_point}  -label {Seed by Path Point}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame37.frame28.menubutton0.m add command  -command {volGUIupdateSeed guiRIB pathplan_cursor}  -label {Seed by Path Plan Cursor}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame37.frame28.menubutton0.m add command  -command {volGUIupdateSeed guiRIB interactor}  -label {Seed by Interactor Center}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame37.frame28.entry36
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame37.frame28.entry36  -font {Helvetica 10}  -textvariable {guiRIB(seed_location)}  -width {8}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame37.frame28.entry36 <Key-Return> {volGUIupdateSeed guiRIB manual}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame43
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame43  -width {446}  -height {101}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame43.frame44
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame43.frame44  -borderwidth {0}  -relief {flat}  -width {359}  -height {59}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame43.frame44.label47
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame43.frame44.label47  -font {Helvetica 10}  -text {Visualization Options}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame43.frame44.frame0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame43.frame44.frame0  -width {227}  -height {70}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame43.frame44.frame0.frame1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame43.frame44.frame0.frame1  -width {600}  -height {33}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame43.frame44.frame0.frame1.frame38
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame43.frame44.frame0.frame1.frame38  -width {363}  -height {38}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame43.frame44.frame0.frame1.frame38.checkbutton39
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame43.frame44.frame0.frame1.frame38.checkbutton39  -variable {guiRIB(show_point_cloud)}  -command {volGUIupdatePointCloud guiRIB}  -text {point cloud}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame43.frame44.frame0.frame1.frame38.checkbutton40
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame43.frame44.frame0.frame1.frame38.checkbutton40  -variable {guiRIB(show_isosurface)}  -command {volGUIupdateIsosurface guiRIB}  -text {isosurface}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe38
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe38  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe38.frame0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe38.frame0  -width {482}  -height {78}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe38.frame0.checkbutton3
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe38.frame0.checkbutton3  -variable {guiRIB(show_vol_render)}  -command {volGUIupdateVolRender guiRIB all}  -text {Turn On Volume Rendering}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe38.frame8
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe38.frame8  -width {482}  -height {78}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe38.frame8.label4
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe38.frame8.label4  -font {Helvetica 10}  -borderwidth {0}  -text {opacity fn: }  -width {14}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe38.frame8.entry5
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe38.frame8.entry5  -font {Helvetica 10}  -textvariable {guiRIB(opacityFunction)}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe38.frame8.entry5 <Key-Return> {volGUIupdateVolRender guiRIB opacity}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe38.frame9
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe38.frame9  -width {482}  -height {78}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe38.frame9.label4
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe38.frame9.label4  -font {Helvetica 10}  -borderwidth {0}  -text {color fn: }  -width {14}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe38.frame9.entry5
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe38.frame9.entry5  -font {Helvetica 10}  -textvariable {guiRIB(colorFunction)}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe38.frame9.entry5 <Key-Return> {volGUIupdateVolRender guiRIB color}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe38.frame10
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe38.frame10  -width {482}  -height {78}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe38.frame10.label4
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe38.frame10.label4  -font {Helvetica 10}  -borderwidth {0}  -text {gradient fn: }  -width {14}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe38.frame10.entry5
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe38.frame10.entry5  -font {Helvetica 10}  -textvariable {guiRIB(gradientFunction)}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe38.frame10.entry5 <Key-Return> {volGUIupdateVolRender guiRIB gradient}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe0  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe0.tframe1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe0.tframe1  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe0.tframe0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe0.tframe0  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe0.tframe0.tlabel1
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe0.tframe0.tlabel1  -font {Helvetica 10}  -relief {flat}  -text {Slice Range:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe0.tframe0.tentry2
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe0.tframe0.tentry2  -font {Helvetica 10}  -textvariable {guiCVIMGvars(mip_slice_range)}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe0.tframe0.tentry2 <Key-Return> {guiSVIMG_showMIP}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe0.tframe3
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe0.tframe3  -borderwidth {0}  -padding {20 20 20 20}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe0.tframe3.tradiobutton0
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe0.tframe3.tradiobutton0  -variable {guiCVIMGvars(showMIP)}  -value {0}  -command {guiSVIMG_showMIP}  -text {Sagittal MIP}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe0.tframe3.tradiobutton1
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe0.tframe3.tradiobutton1  -variable {guiCVIMGvars(showMIP)}  -command {guiSVIMG_showMIP}  -text {Coronal MIP}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe0.tframe3.tradiobutton2
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe0.tframe3.tradiobutton2  -variable {guiCVIMGvars(showMIP)}  -value {2}  -command {guiSVIMG_showMIP}  -text {Axial MIP}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe0.tframe3.tradiobutton3
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe0.tframe3.tradiobutton3  -variable {guiCVIMGvars(showMIP)}  -value {-1}  -command {guiSVIMG_showMIP}  -text {Do not display}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23  -borderwidth {2}  -relief {raised}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe24
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe24  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe24.tframe0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe24.tframe0  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe24.tframe0.tlabel2
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe24.tframe0.tlabel2  -font {Helvetica 10}  -relief {flat}  -text {Select Volume to Segment:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe24.tframe0.tradiobutton3
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe24.tframe0.tradiobutton3  -variable {guiFILTvars(volume)}  -value {volume_image}  -text {whole volume}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe24.tframe0.tradiobutton4
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe24.tframe0.tradiobutton4  -variable {guiFILTvars(volume)}  -value {resampled_image}  -text {resampled volume}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe26
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe26  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe26.frame24
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe26.frame24  -borderwidth {0}  -relief {flat}  -width {325}  -height {205}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe26.frame24.frame38
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe26.frame24.frame38  -width {453}  -height {44}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe26.frame24.frame38.label30
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe26.frame24.frame38.label30  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Num Iterations:}  -width {25}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe26.frame24.frame38.entry42
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe26.frame24.frame38.entry42  -font {Helvetica 10}  -textvariable {guiFILTvars(flow_num_iters)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe26.frame24.frame40
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe26.frame24.frame40  -width {453}  -height {44}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe26.frame24.frame40.label32
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe26.frame24.frame40.label32  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Stencil Radius:}  -width {25}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe26.frame24.frame40.entry44
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe26.frame24.frame40.entry44  -font {Helvetica 10}  -textvariable {guiFILTvars(flow_stencil_radius)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe26.frame24.frame1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe26.frame24.frame1  -width {453}  -height {44}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe26.frame24.frame1.label32
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe26.frame24.frame1.label32  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Time Step:}  -width {25}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe26.frame24.frame1.entry44
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe26.frame24.frame1.entry44  -font {Helvetica 10}  -textvariable {guiFILTvars(flow_time_step)}  -width {10}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe26.frame24.frame1.entry44 <Key-Return> {lsGUIchangeFrame 0}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe26.tlabel27
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe26.tlabel27  -font {Helvetica 10}  -relief {flat}  -text {Max / Min Flow Filter}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe26.tbutton28
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe26.tbutton28  -command {guiFILT smooth}  -text {Smooth}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe35
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe35  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe35.tbutton25
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe35.tbutton25  -command {guiFILT restore}  -text {Restore Original}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe35.tbutton36
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe35.tbutton36  -command {guiFILT save}  -text {Save Volume}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe35.tbutton48
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe35.tbutton48  -command {guiFILT delete_original}  -text {Delete Backup Original}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe0  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe0.frame24
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe0.frame24  -borderwidth {0}  -relief {flat}  -width {325}  -height {205}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe0.frame24.frame38
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe0.frame24.frame38  -width {453}  -height {44}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe0.frame24.frame38.label30
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe0.frame24.frame38.label30  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Num Iterations:}  -width {25}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe0.frame24.frame38.entry42
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe0.frame24.frame38.entry42  -font {Helvetica 10}  -textvariable {guiFILTvars(aniso_num_iterations)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe0.frame24.frame40
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe0.frame24.frame40  -width {453}  -height {44}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe0.frame24.frame40.label32
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe0.frame24.frame40.label32  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Diffusion Threshold:}  -width {25}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe0.frame24.frame40.entry44
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe0.frame24.frame40.entry44  -font {Helvetica 10}  -textvariable {guiFILTvars(aniso_diffusion_threshold)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe0.frame24.frame2
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe0.frame24.frame2  -width {453}  -height {44}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe0.frame24.frame2.label32
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe0.frame24.frame2.label32  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Grad Mag Thr Flag:}  -width {25}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe0.frame24.frame2.entry44
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe0.frame24.frame2.entry44  -font {Helvetica 10}  -textvariable {guiFILTvars(aniso_mag_grad_thr_flag)}  -width {10}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe0.frame24.frame2.entry44 <Key-Return> {lsGUIchangeFrame 0}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe0.tlabel27
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe0.tlabel27  -font {Helvetica 10}  -relief {flat}  -text {Anisotropic Diffusion Filter}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe0.tbutton28
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe0.tbutton28  -command {guiFILT diffuse}  -text {Diffuse}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe1  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe1.frame24
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe1.frame24  -borderwidth {0}  -relief {flat}  -width {325}  -height {205}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe1.frame24.frame38
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe1.frame24.frame38  -width {453}  -height {44}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe1.frame24.frame38.label30
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe1.frame24.frame38.label30  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Threshold Value:}  -width {25}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe1.frame24.frame38.entry42
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe1.frame24.frame38.entry42  -font {Helvetica 10}  -textvariable {guiFILTvars(threshold_value)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe1.tlabel27
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe1.tlabel27  -font {Helvetica 10}  -relief {flat}  -text {Threshold Filter}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe1.tbutton28
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe1.tbutton28  -command {guiFILT threshold}  -text {Threshold}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.frame24
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.frame24  -borderwidth {0}  -relief {flat}  -width {325}  -height {205}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.frame24.frame38
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.frame24.frame38  -width {453}  -height {44}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.frame24.frame38.label30
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.frame24.frame38.label30  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Shift:}  -width {25}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.frame24.frame38.entry42
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.frame24.frame38.entry42  -font {Helvetica 10}  -textvariable {guiFILTvars(shift_shift)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.frame24.frame40
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.frame24.frame40  -width {453}  -height {44}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.frame24.frame40.label32
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.frame24.frame40.label32  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Scale:}  -width {25}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.frame24.frame40.entry44
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.frame24.frame40.entry44  -font {Helvetica 10}  -textvariable {guiFILTvars(shift_scale)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.frame24.frame2
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.frame24.frame2  -width {453}  -height {44}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.frame24.frame2.label32
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.frame24.frame2.label32  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Output Scalar Type:}  -width {25}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.frame24.frame2.tradiobutton17
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.frame24.frame2.tradiobutton17  -variable {guiFILTvars(shift_output_scalar_type)}  -value {Short}  -text {Short}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.frame24.frame2.tradiobutton20
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.frame24.frame2.tradiobutton20  -variable {guiFILTvars(shift_output_scalar_type)}  -value {UnsignedShort}  -text {Unsigned Short}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.frame24.frame2.tradiobutton21
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.frame24.frame2.tradiobutton21  -variable {guiFILTvars(shift_output_scalar_type)}  -value {Char}  -text {Char}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.frame24.frame2.tradiobutton22
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.frame24.frame2.tradiobutton22  -variable {guiFILTvars(shift_output_scalar_type)}  -value {UnsignedChar}  -text {Unsigned Char}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.frame24.frame25
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.frame24.frame25  -width {453}  -height {44}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.frame24.frame25.label32
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.frame24.frame25.label32  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -width {25}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.frame24.frame25.tradiobutton17
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.frame24.frame25.tradiobutton17  -variable {guiFILTvars(shift_output_scalar_type)}  -value {Double}  -text {Double}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.frame24.frame25.tradiobutton20
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.frame24.frame25.tradiobutton20  -variable {guiFILTvars(shift_output_scalar_type)}  -value {Float}  -text {Float}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.frame24.frame25.tradiobutton21
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.frame24.frame25.tradiobutton21  -variable {guiFILTvars(shift_output_scalar_type)}  -value {Long}  -text {Long}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.frame24.frame25.tradiobutton22
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.frame24.frame25.tradiobutton22  -variable {guiFILTvars(shift_output_scalar_type)}  -value {UnsignedLong}  -text {Unsigned Long}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.frame24.frame25.tradiobutton23
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.frame24.frame25.tradiobutton23  -variable {guiFILTvars(shift_output_scalar_type)}  -value {Int}  -text {Int}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.frame24.frame25.tradiobutton24
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.frame24.frame25.tradiobutton24  -variable {guiFILTvars(shift_output_scalar_type)}  -value {UnsignedInt}  -text {Unsigned Int}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.frame24.tframe28
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.frame24.tframe28  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.frame24.tframe28.tframe26
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.frame24.tframe28.tframe26  -borderwidth {0}  -relief {flat}  -width {20}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.frame24.tframe28.tframe26.tcheckbutton27
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.frame24.tframe28.tframe26.tcheckbutton27  -variable {guiFILTvars(shift_clamp_overflow)}  -text {Clamp Overflow}  -width {25}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.frame24.tframe28.tframe29
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.frame24.tframe28.tframe29  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.frame24.tframe28.tframe29.tlabel30
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.frame24.tframe28.tframe29.tlabel30  -font {Helvetica 10}  -relief {flat}  -text {Min:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.frame24.tframe28.tframe29.tentry31
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.frame24.tframe28.tframe29.tentry31  -font {Helvetica 10}  -textvariable {guiFILTvars(shift_window_min)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.frame24.tframe28.tframe29.tlabel32
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.frame24.tframe28.tframe29.tlabel32  -font {Helvetica 10}  -relief {flat}  -text {Max:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.frame24.tframe28.tframe29.tentry33
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.frame24.tframe28.tframe29.tentry33  -font {Helvetica 10}  -textvariable {guiFILTvars(shift_window_max)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.frame24.tframe28.tframe29.tbutton34
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.frame24.tframe28.tframe29.tbutton34  -command {guiFILTsetShiftScaleParams}  -text {Set Params}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.tlabel27
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.tlabel27  -font {Helvetica 10}  -relief {flat}  -text {Image Shift and Scale}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.tbutton28
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.tbutton28  -command {guiFILT shift_and_scale}  -text {Shift and Scale}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe12
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe12  -borderwidth {2}  -relief {raised}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe12.tframe0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe12.tframe0  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe12.tframe0.tlabel2
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe12.tframe0.tlabel2  -font {Helvetica 10}  -relief {flat}  -text {Select Initial Segmentation:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe12.tframe0.tradiobutton3
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe12.tframe0.tradiobutton3  -variable {gui3Dvars(smooth_org_segment)}  -value {level_set}  -command {gui3DsmoothSetInitSeg level_set}  -text {level set}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe12.tframe0.tradiobutton4
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe12.tframe0.tradiobutton4  -variable {gui3Dvars(smooth_org_segment)}  -value {resampled_image/isosurface}  -command {gui3DsmoothSetInitSeg resampled_isosurface}  -text {resampled isosurface}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe12.tframe0.tradiobutton15
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe12.tframe0.tradiobutton15  -variable {gui3Dvars(smooth_org_segment)}  -value {volume_image/isosurface}  -command {gui3DsmoothSetInitSeg volume_isosurface}  -text {volume isosurface}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame4
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame4  -width {405}  -height {130}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame4.label28
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame4.label28  -font {Helvetica 10}  -relief {ridge}  -text {Volume of Interest}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame4.frame32
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame4.frame32  -borderwidth {0}  -width {321}  -height {104}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame4.frame32.frame33
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame4.frame32.frame33  -width {28}  -height {104}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame4.frame32.frame33.label36
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame4.frame32.frame33.label36  -font {Helvetica 10}  -borderwidth {0}  -text { }

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame4.frame32.frame33.label37
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame4.frame32.frame33.label37  -font {Helvetica 10}  -text {x}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame4.frame32.frame33.label38
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame4.frame32.frame33.label38  -font {Helvetica 10}  -text {y}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame4.frame32.frame33.label45
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame4.frame32.frame33.label45  -font {Helvetica 10}  -text {z}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame4.frame32.frame34
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame4.frame32.frame34  -width {200}  -height {108}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame4.frame32.frame34.label46
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame4.frame32.frame34.label46  -font {Helvetica 10}  -text {minimum}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame4.frame32.frame34.entry47
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame4.frame32.frame34.entry47  -font {Helvetica 10}  -textvariable {gImageVol(voi_x0)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame4.frame32.frame34.entry48
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame4.frame32.frame34.entry48  -font {Helvetica 10}  -textvariable {gImageVol(voi_y0)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame4.frame32.frame34.entry49
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame4.frame32.frame34.entry49  -font {Helvetica 10}  -textvariable {gImageVol(voi_z0)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame4.frame32.frame35
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame4.frame32.frame35  -width {199}  -height {108}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame4.frame32.frame35.label50
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame4.frame32.frame35.label50  -font {Helvetica 10}  -text {maximum}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame4.frame32.frame35.entry51
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame4.frame32.frame35.entry51  -font {Helvetica 10}  -textvariable {gImageVol(voi_x1)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame4.frame32.frame35.entry52
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame4.frame32.frame35.entry52  -font {Helvetica 10}  -textvariable {gImageVol(voi_y1)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame4.frame32.frame35.entry53
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame4.frame32.frame35.entry53  -font {Helvetica 10}  -textvariable {gImageVol(voi_z1)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame24
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame24  -width {426}  -height {115}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame24.label12
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame24.label12  -font {Helvetica 10}  -relief {ridge}  -text {Minimum RAS coordinate, direction cosines}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame24.frame13
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame24.frame13  -width {233}  -height {70}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame24.frame13.frame14
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame24.frame13.frame14  -width {13}  -height {66}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame24.frame13.frame14.label16
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame24.frame13.frame14.label16  -font {Helvetica 10}  -text {r  a  s:}  -width {15}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame24.frame13.frame15
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame24.frame13.frame15  -width {181}  -height {66}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame24.frame13.frame15.entry19
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame24.frame13.frame15.entry19  -font {Helvetica 10}  -textvariable {gImageVol(min_RAS)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame24.frame6
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame24.frame6  -width {233}  -height {70}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame24.frame6.frame14
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame24.frame6.frame14  -width {13}  -height {66}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame24.frame6.frame14.label16
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame24.frame6.frame14.label16  -font {Helvetica 10}  -text {direction cosines:}  -width {15}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame24.frame6.frame15
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame24.frame6.frame15  -width {181}  -height {66}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame24.frame6.frame15.entry19
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame24.frame6.frame15.entry19  -font {Helvetica 10}  -textvariable {gImageVol(directionCosines)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame25
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame25  -width {426}  -height {102}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame25.label12
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame25.label12  -font {Helvetica 10}  -relief {ridge}  -text {Image Header Size, First File Name, Data Type}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame25.frame13
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame25.frame13  -width {233}  -height {70}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame25.frame13.label26
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame25.frame13.label26  -font {Helvetica 10}  -borderwidth {0}  -text {size:}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame25.frame13.entry27
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame25.frame13.entry27  -font {Helvetica 10}  -textvariable {gImageVol(file_hdr_size)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame25.frame13.frame0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame25.frame13.frame0  -width {218}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame25.frame13.frame0.radiobutton1
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame25.frame13.frame0.radiobutton1  -variable {gOptions(image_data_type)}  -value {GE_MR_DICOM}  -command {guiPREOPupdateImageDataType}  -text {GE_MR_DICOM}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame25.frame13.frame0.radiobutton2
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame25.frame13.frame0.radiobutton2  -variable {gOptions(image_data_type)}  -value {GE_MR_5X}  -command {guiPREOPupdateImageDataType}  -text {GE_MR_5X}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame25.frame13.frame0.radiobutton3
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame25.frame13.frame0.radiobutton3  -variable {gOptions(image_data_type)}  -value {DICOM}  -command {guiPREOPupdateImageDataType}  -text {DICOM}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame25.frame13.frame0.radiobutton4
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame25.frame13.frame0.radiobutton4  -variable {gOptions(image_data_type)}  -value {generic}  -command {guiPREOPupdateImageDataType}  -text {generic}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame25.frame5
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame25.frame5  -width {427}  -height {54}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame25.frame5.label30
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame25.frame5.label30  -font {Helvetica 10}  -borderwidth {0}  -text {file:}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame25.frame5.entry31
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame25.frame5.entry31  -font {Helvetica 10}  -textvariable {gImageVol(filename)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.tframe6
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.tframe6  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.tframe6.frame3
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.tframe6.frame3  -borderwidth {0}  -relief {flat}  -width {426}  -height {113}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.tframe6.frame3.label12
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.tframe6.frame3.label12  -font {Helvetica 10}  -relief {ridge}  -text {Voxel Dimensions}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.tframe6.frame3.frame13
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.tframe6.frame3.frame13  -borderwidth {0}  -relief {flat}  -width {233}  -height {70}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.tframe6.frame3.frame13.frame14
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.tframe6.frame3.frame13.frame14  -width {13}  -height {66}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.tframe6.frame3.frame13.frame14.label16
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.tframe6.frame3.frame13.frame14.label16  -font {Helvetica 10}  -text {x}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.tframe6.frame3.frame13.frame14.label17
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.tframe6.frame3.frame13.frame14.label17  -font {Helvetica 10}  -text {y}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.tframe6.frame3.frame13.frame14.label18
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.tframe6.frame3.frame13.frame14.label18  -font {Helvetica 10}  -text {z}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.tframe6.frame3.frame13.frame15
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.tframe6.frame3.frame13.frame15  -width {181}  -height {66}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.tframe6.frame3.frame13.frame15.entry19
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.tframe6.frame3.frame13.frame15.entry19  -font {Helvetica 10}  -textvariable {gImageVol(vdims_x)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.tframe6.frame3.frame13.frame15.entry20
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.tframe6.frame3.frame13.frame15.entry20  -font {Helvetica 10}  -textvariable {gImageVol(vdims_y)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.tframe6.frame3.frame13.frame15.entry21
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.tframe6.frame3.frame13.frame15.entry21  -font {Helvetica 10}  -textvariable {gImageVol(vdims_z)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.tframe6.frame23
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.tframe6.frame23  -borderwidth {0}  -relief {flat}  -width {426}  -height {115}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.tframe6.frame23.label12
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.tframe6.frame23.label12  -font {Helvetica 10}  -relief {ridge}  -text {Logical Extent}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.tframe6.frame23.frame13
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.tframe6.frame23.frame13  -width {233}  -height {70}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.tframe6.frame23.frame13.frame14
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.tframe6.frame23.frame13.frame14  -width {13}  -height {66}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.tframe6.frame23.frame13.frame14.label16
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.tframe6.frame23.frame13.frame14.label16  -font {Helvetica 10}  -text {i}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.tframe6.frame23.frame13.frame14.label17
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.tframe6.frame23.frame13.frame14.label17  -font {Helvetica 10}  -text {j}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.tframe6.frame23.frame13.frame14.label18
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.tframe6.frame23.frame13.frame14.label18  -font {Helvetica 10}  -text {k}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.tframe6.frame23.frame13.frame15
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.tframe6.frame23.frame13.frame15  -width {181}  -height {66}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.tframe6.frame23.frame13.frame15.entry19
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.tframe6.frame23.frame13.frame15.entry19  -font {Helvetica 10}  -textvariable {gImageVol(ext_i)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.tframe6.frame23.frame13.frame15.entry20
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.tframe6.frame23.frame13.frame15.entry20  -font {Helvetica 10}  -textvariable {gImageVol(ext_j)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.tframe6.frame23.frame13.frame15.entry21
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.tframe6.frame23.frame13.frame15.entry21  -font {Helvetica 10}  -textvariable {gImageVol(ext_k)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2
  frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2  -height {300}  -width {400}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3
  frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3  -height {300}  -width {400}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6
  ttk::notebook .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0
  ttk::notebook .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame12
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame12  -borderwidth {0}  -relief {flat}  -width {613}  -height {198}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame12.frame22
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame12.frame22  -borderwidth {0}  -width {493}  -height {33}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame12.frame22.label26
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame12.frame22.label26  -font {Helvetica 10}  -relief {ridge}  -text {Volumetric DICOM Image Data}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame12.frame1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame12.frame1  -width {226}  -height {38}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame12.frame1.button2
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame12.frame1.button2  -command {createPREOPloadsaveLoadVol}  -text {Load Volumetric Image Data}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame12.frame0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame12.frame0  -borderwidth {0}  -width {493}  -height {42}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame12.frame0.button27
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame12.frame0.button27  -command {createPREOPloadsaveVolFile}  -text {Browse}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame12.frame0.entry28
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame12.frame0.entry28  -font {Helvetica 10}  -textvariable {gImageVol(data_dirname)}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame12.frame0.entry28 <Key-Return> {global gImageVol
img_guessVolParams $gImageVol(filename)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame12.frame0.label3
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame12.frame0.label3  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Image Data Directory:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20  -borderwidth {0}  -relief {flat}  -width {613}  -height {69}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer  -borderwidth {0}  -relief {flat}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame4
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame4  -width {405}  -height {130}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame4.label28
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame4.label28  -font {Helvetica 10}  -relief {ridge}  -text {Volume of Interest}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame4.frame32
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame4.frame32  -borderwidth {0}  -width {321}  -height {104}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame4.frame32.frame33
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame4.frame32.frame33  -width {28}  -height {104}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame4.frame32.frame33.label36
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame4.frame32.frame33.label36  -font {Helvetica 10}  -borderwidth {0}  -text { }

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame4.frame32.frame33.label37
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame4.frame32.frame33.label37  -font {Helvetica 10}  -text {x}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame4.frame32.frame33.label38
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame4.frame32.frame33.label38  -font {Helvetica 10}  -text {y}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame4.frame32.frame33.label45
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame4.frame32.frame33.label45  -font {Helvetica 10}  -text {z}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame4.frame32.frame34
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame4.frame32.frame34  -width {200}  -height {108}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame4.frame32.frame34.label46
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame4.frame32.frame34.label46  -font {Helvetica 10}  -text {minimum}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame4.frame32.frame34.entry47
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame4.frame32.frame34.entry47  -font {Helvetica 10}  -textvariable {gImageVol(voi_x0)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame4.frame32.frame34.entry48
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame4.frame32.frame34.entry48  -font {Helvetica 10}  -textvariable {gImageVol(voi_y0)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame4.frame32.frame34.entry49
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame4.frame32.frame34.entry49  -font {Helvetica 10}  -textvariable {gImageVol(voi_z0)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame4.frame32.frame35
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame4.frame32.frame35  -width {199}  -height {108}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame4.frame32.frame35.label50
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame4.frame32.frame35.label50  -font {Helvetica 10}  -text {maximum}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame4.frame32.frame35.entry51
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame4.frame32.frame35.entry51  -font {Helvetica 10}  -textvariable {gImageVol(voi_x1)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame4.frame32.frame35.entry52
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame4.frame32.frame35.entry52  -font {Helvetica 10}  -textvariable {gImageVol(voi_y1)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame4.frame32.frame35.entry53
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame4.frame32.frame35.entry53  -font {Helvetica 10}  -textvariable {gImageVol(voi_z1)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame24
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame24  -width {426}  -height {115}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame24.label12
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame24.label12  -font {Helvetica 10}  -relief {ridge}  -text {Minimum RAS coordinate, direction cosines}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame24.frame13
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame24.frame13  -width {233}  -height {70}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame24.frame13.frame14
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame24.frame13.frame14  -width {13}  -height {66}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame24.frame13.frame14.label16
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame24.frame13.frame14.label16  -font {Helvetica 10}  -text {r  a  s:}  -width {15}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame24.frame13.frame15
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame24.frame13.frame15  -width {181}  -height {66}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame24.frame13.frame15.entry19
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame24.frame13.frame15.entry19  -font {Helvetica 10}  -textvariable {gImageVol(min_RAS)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame24.frame6
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame24.frame6  -width {233}  -height {70}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame24.frame6.frame14
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame24.frame6.frame14  -width {13}  -height {66}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame24.frame6.frame14.label16
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame24.frame6.frame14.label16  -font {Helvetica 10}  -text {direction cosines:}  -width {15}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame24.frame6.frame15
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame24.frame6.frame15  -width {181}  -height {66}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame24.frame6.frame15.entry19
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame24.frame6.frame15.entry19  -font {Helvetica 10}  -textvariable {gImageVol(directionCosines)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame25
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame25  -width {426}  -height {102}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame25.label12
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame25.label12  -font {Helvetica 10}  -relief {ridge}  -text {Image Header Size, First File Name, Data Type}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame25.frame13
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame25.frame13  -width {233}  -height {70}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame25.frame13.label26
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame25.frame13.label26  -font {Helvetica 10}  -borderwidth {0}  -text {size:}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame25.frame13.entry27
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame25.frame13.entry27  -font {Helvetica 10}  -textvariable {gImageVol(file_hdr_size)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame25.frame13.frame0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame25.frame13.frame0  -width {218}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame25.frame13.frame0.radiobutton1
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame25.frame13.frame0.radiobutton1  -variable {gOptions(image_data_type)}  -value {GE_MR_DICOM}  -command {guiPREOPupdateImageDataType}  -text {GE_MR_DICOM}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame25.frame13.frame0.radiobutton2
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame25.frame13.frame0.radiobutton2  -variable {gOptions(image_data_type)}  -value {GE_MR_5X}  -command {guiPREOPupdateImageDataType}  -text {GE_MR_5X}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame25.frame13.frame0.radiobutton3
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame25.frame13.frame0.radiobutton3  -variable {gOptions(image_data_type)}  -value {DICOM}  -command {guiPREOPupdateImageDataType}  -text {DICOM}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame25.frame13.frame0.radiobutton4
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame25.frame13.frame0.radiobutton4  -variable {gOptions(image_data_type)}  -value {generic}  -command {guiPREOPupdateImageDataType}  -text {generic}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame25.frame5
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame25.frame5  -width {427}  -height {54}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame25.frame5.label30
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame25.frame5.label30  -font {Helvetica 10}  -borderwidth {0}  -text {file:}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame25.frame5.entry31
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame25.frame5.entry31  -font {Helvetica 10}  -textvariable {gImageVol(filename)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame25.frame5.button32
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame25.frame5.button32  -command {set gImageVol(filename) [tk_getOpenFile]}  -text {browse}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.tframe6
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.tframe6  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.tframe6.frame3
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.tframe6.frame3  -borderwidth {0}  -relief {flat}  -width {426}  -height {113}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.tframe6.frame3.label12
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.tframe6.frame3.label12  -font {Helvetica 10}  -relief {ridge}  -text {Voxel Dimensions}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.tframe6.frame3.frame13
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.tframe6.frame3.frame13  -borderwidth {0}  -relief {flat}  -width {233}  -height {70}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.tframe6.frame3.frame13.frame14
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.tframe6.frame3.frame13.frame14  -width {13}  -height {66}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.tframe6.frame3.frame13.frame14.label16
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.tframe6.frame3.frame13.frame14.label16  -font {Helvetica 10}  -text {x}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.tframe6.frame3.frame13.frame14.label17
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.tframe6.frame3.frame13.frame14.label17  -font {Helvetica 10}  -text {y}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.tframe6.frame3.frame13.frame14.label18
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.tframe6.frame3.frame13.frame14.label18  -font {Helvetica 10}  -text {z}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.tframe6.frame3.frame13.frame15
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.tframe6.frame3.frame13.frame15  -width {181}  -height {66}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.tframe6.frame3.frame13.frame15.entry19
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.tframe6.frame3.frame13.frame15.entry19  -font {Helvetica 10}  -textvariable {gImageVol(vdims_x)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.tframe6.frame3.frame13.frame15.entry20
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.tframe6.frame3.frame13.frame15.entry20  -font {Helvetica 10}  -textvariable {gImageVol(vdims_y)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.tframe6.frame3.frame13.frame15.entry21
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.tframe6.frame3.frame13.frame15.entry21  -font {Helvetica 10}  -textvariable {gImageVol(vdims_z)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.tframe6.frame23
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.tframe6.frame23  -borderwidth {0}  -relief {flat}  -width {426}  -height {115}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.tframe6.frame23.label12
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.tframe6.frame23.label12  -font {Helvetica 10}  -relief {ridge}  -text {Logical Extent}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.tframe6.frame23.frame13
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.tframe6.frame23.frame13  -width {233}  -height {70}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.tframe6.frame23.frame13.frame14
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.tframe6.frame23.frame13.frame14  -width {13}  -height {66}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.tframe6.frame23.frame13.frame14.label16
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.tframe6.frame23.frame13.frame14.label16  -font {Helvetica 10}  -text {i}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.tframe6.frame23.frame13.frame14.label17
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.tframe6.frame23.frame13.frame14.label17  -font {Helvetica 10}  -text {j}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.tframe6.frame23.frame13.frame14.label18
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.tframe6.frame23.frame13.frame14.label18  -font {Helvetica 10}  -text {k}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.tframe6.frame23.frame13.frame15
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.tframe6.frame23.frame13.frame15  -width {181}  -height {66}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.tframe6.frame23.frame13.frame15.entry19
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.tframe6.frame23.frame13.frame15.entry19  -font {Helvetica 10}  -textvariable {gImageVol(ext_i)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.tframe6.frame23.frame13.frame15.entry20
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.tframe6.frame23.frame13.frame15.entry20  -font {Helvetica 10}  -textvariable {gImageVol(ext_j)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.tframe6.frame23.frame13.frame15.entry21
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.tframe6.frame23.frame13.frame15.entry21  -font {Helvetica 10}  -textvariable {gImageVol(ext_k)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tcheckbutton8
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tcheckbutton8  -variable {guiSVvars(file_squeeze_vol_opt)}  -command {guiSV_file_squeeze_vol_opt}  -text {Display / Edit Advanced Parameters}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9
  ttk::panedwindow .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe4
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe4  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe4.tframe0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe4.tframe0  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe4.tframe0.treeview1
  ttk::treeview .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe4.tframe0.treeview1  -show {tree}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe4.tframe0.tscrollbar0
  ttk::scrollbar .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe4.tframe0.tscrollbar0  -command {guiSV_path_tree_scroll}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5
  ttk::notebook .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.tframe2
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.tframe2  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.tframe2.frame1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.tframe2.frame1  -borderwidth {0}  -width {558}  -height {123}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.tframe2.frame1.label7
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.tframe2.frame1.label7  -font {Helvetica 10}  -text { X }  -textvariable {guiPPchooserXlabel}  -width {5}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.tframe2.frame1.scale10
  scale .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.tframe2.frame1.scale10  -command {guiPPchooserUpdateX}  -font {Helvetica 10}  -orient {horizontal}  -relief {raised}  -variable {guiPPchooserXscale}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.tframe2.frame1.label0
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.tframe2.frame1.label0  -font {Helvetica 10}  -borderwidth {0}  -text {R}  -width {3}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.tframe2.frame11
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.tframe2.frame11  -borderwidth {0}  -width {558}  -height {123}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.tframe2.frame11.label7
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.tframe2.frame11.label7  -font {Helvetica 10}  -text { Y }  -textvariable {guiPPchooserYlabel}  -width {5}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.tframe2.frame11.scale10
  scale .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.tframe2.frame11.scale10  -command {guiPPchooserUpdateY}  -font {Helvetica 10}  -orient {horizontal}  -relief {raised}  -variable {guiPPchooserYscale}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.tframe2.frame11.label1
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.tframe2.frame11.label1  -font {Helvetica 10}  -borderwidth {0}  -text {A}  -width {3}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.tframe2.frame12
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.tframe2.frame12  -borderwidth {0}  -width {558}  -height {123}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.tframe2.frame12.label7
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.tframe2.frame12.label7  -font {Helvetica 10}  -text { Z }  -textvariable {guiPPchooserZlabel}  -width {5}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.tframe2.frame12.scale10
  scale .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.tframe2.frame12.scale10  -command {guiPPchooserUpdateZ}  -font {Helvetica 10}  -orient {horizontal}  -relief {raised}  -variable {guiPPchooserZscale}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.tframe2.frame12.label2
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.tframe2.frame12.label2  -font {Helvetica 10}  -borderwidth {0}  -text {S}  -width {3}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.tframe2.frame3
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.tframe2.frame3  -width {325}  -height {109}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.tframe2.frame3.label8
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.tframe2.frame3.label8  -font {Helvetica 10}  -text {0.0}  -textvariable {guiPPchooserXvar}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.tframe2.frame3.label5
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.tframe2.frame3.label5  -font {Helvetica 10}  -text {0.0}  -textvariable {guiPPchooserYvar}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.tframe2.frame3.label7
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.tframe2.frame3.label7  -font {Helvetica 10}  -text {0.0}  -textvariable {guiPPchooserZvar}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.tframe2.frame3.label9
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.tframe2.frame3.label9  -font {Helvetica 10}  -borderwidth {0}  -text {blank}  -textvariable {guiPPpixelValue}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame15
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame15  -borderwidth {0}  -relief {flat}  -width {416}  -height {96}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame15.frame2
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame15.frame2  -width {459}  -height {26}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame15.frame2.label1
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame15.frame2.label1  -font {Helvetica 10}  -borderwidth {0}  -text {num handles:}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame15.frame2.entry0
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame15.frame2.entry0  -font {Helvetica 10}  -textvariable {guiPPchooserNumHandles}  -width {10}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame15.frame2.entry0 <Key-Return> {guiPPchooserUpdateNumHandles}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame15.frame2.button16
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame15.frame2.button16  -command {guiPPchooserSplineInteractorUpdatePath}  -text {Update Path}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame15.frame2.label0
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame15.frame2.label0  -font {Helvetica 10}  -borderwidth {0}  -text {Interactor:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame15.frame2.radiobutton1
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame15.frame2.radiobutton1  -variable {guiPPchooserSplineInteractorFlag}  -value {0}  -command {guiPPchooserToggleSplineInteractor}  -text {none}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame15.frame2.radiobutton2
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame15.frame2.radiobutton2  -variable {guiPPchooserSplineInteractorFlag}  -command {guiPPchooserToggleSplineInteractor}  -text {spline}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame15.frame2.radiobutton3
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame15.frame2.radiobutton3  -variable {guiPPchooserSplineInteractorFlag}  -value {2}  -command {guiPPchooserToggleSplineInteractor}  -text {spline + reslice}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame15.frame8
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame15.frame8  -width {459}  -height {47}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame15.frame8.label9
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame15.frame8.label9  -font {Helvetica 10}  -borderwidth {0}  -text {Cursor Increment:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame15.frame8.radiobutton10
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame15.frame8.radiobutton10  -variable {guiPPchooserIncrement}  -command {guiPPchooserUpdateIncrement}  -text {one pixel}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame15.frame8.radiobutton11
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame15.frame8.radiobutton11  -variable {guiPPchooserIncrement}  -value {0.5}  -command {guiPPchooserUpdateIncrement}  -text {half pixel}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame15.frame8.entry0
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame15.frame8.entry0  -font {Helvetica 10}  -textvariable {guiPPchooserIncrement}  -width {10}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame15.frame8.entry0 <Key-Return> {guiPPchooserUpdateIncrement}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame15.frame8.label1
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame15.frame8.label1  -font {Helvetica 10}  -borderwidth {0}  -text {other:}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame15.frame18
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame15.frame18  -width {604}  -height {28}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame15.frame18.menubutton0
  ttk::menubutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame15.frame18.menubutton0  -menu {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame15.frame18.menubutton0.m}  -text {Display Options}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame15.frame18.menubutton0.m
  menu .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame15.frame18.menubutton0.m  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame15.frame18.menubutton0.m add checkbutton  -variable {guiPPchooserShowCursorFlag}  -command {guiPPchooserShowCursor}  -label {Show Cursor}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame15.frame18.menubutton0.m add checkbutton  -variable {guiPPchooserShowPathFlag}  -command {guiPPchooserToggleShowPath}  -label {Show Piecewise Linear Path}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame15.frame18.menubutton0.m add checkbutton  -variable {guiPPchooserShowPointsFlag}  -command {guiPPchooserShowPath}  -label {Show Points}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame15.frame18.menubutton0.m add checkbutton  -variable {guiPPchooserShowSplineFlag}  -command {guiPPchooserToggleShowSpline}  -label {Show Spline}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame15.frame18.menubutton0.m add separator
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame15.frame18.menubutton0.m add command  -command {guiPPchooserShowAllPaths}  -label {Show All Paths (linear)}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame15.frame18.menubutton0.m add command  -command {guiPPchooserShowAllSplines}  -label {Show All Paths (splines)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame15.frame18.menubutton1
  ttk::menubutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame15.frame18.menubutton1  -menu {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame15.frame18.menubutton1.m}  -text {Attach Image Axis}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame15.frame18.menubutton1.m
  menu .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame15.frame18.menubutton1.m  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame15.frame18.menubutton1.m add checkbutton  -variable {guiPPchooserAttachX}  -command {guiPPchooserUpdateAttach}  -label {R}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame15.frame18.menubutton1.m add checkbutton  -variable {guiPPchooserAttachY}  -command {guiPPchooserUpdateAttach}  -label {A}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame15.frame18.menubutton1.m add checkbutton  -variable {guiPPchooserAttachZ}  -command {guiPPchooserUpdateAttach}  -label {S}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame15.frame18.menubutton2
  ttk::menubutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame15.frame18.menubutton2  -menu {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame15.frame18.menubutton2.m}  -text {Fix Axis}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame15.frame18.menubutton2.m
  menu .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame15.frame18.menubutton2.m  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame15.frame18.menubutton2.m add checkbutton  -variable {guiPPchooserFixAxisX}  -label {R}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame15.frame18.menubutton2.m add checkbutton  -variable {guiPPchooserFixAxisY}  -label {A}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame15.frame18.menubutton2.m add checkbutton  -variable {guiPPchooserFixAxisZ}  -label {S}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame15.frame18.menubutton2.m add separator
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame15.frame18.menubutton2.m add checkbutton  -variable {guiPPchooserFixAxisPlane}  -label {In-Plane (reslice only)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame13
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame13  -borderwidth {0}  -relief {flat}  -width {597}  -height {35}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame13.button16
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame13.button16  -command {guiPPchooserAddPoint}  -text {Add Point to End of Path}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame13.menubutton24
  ttk::menubutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame13.menubutton24  -menu {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame13.menubutton24.m}  -text {Additional Options}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame13.menubutton24.m
  menu .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame13.menubutton24.m  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}  -tearoff {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame13.menubutton24.m add command  -command {guiPPchooserAddPoint}  -label {Add current cursor location to end of path}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame13.menubutton24.m add command  -command {guiPPchooserAddPointAboveSelection}  -label {Add current cursor location above selection}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame13.menubutton24.m add command  -command {guiPPchooserAddPointBelowSelection}  -label {Add current cursor location below selection}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame13.menubutton24.m add separator
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame13.menubutton24.m add command  -command {guiPPchooserDeletePoint}  -label {Delete currently selected point}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame13.menubutton24.m add separator
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame13.menubutton24.m add command  -command {guiSV_path_set_copy_point}  -label {Copy point}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame13.menubutton24.m add command  -command {guiSV_path_paste_point_above}  -label {Paste point above selection}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame13.menubutton24.m add command  -command {guiSV_path_paste_point_below}  -label {Paste point below selection}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe7
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe7  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe7.frame4
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe7.frame4  -borderwidth {0}  -relief {flat}  -width {412}  -height {100}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe7.frame4.label5
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe7.frame4.label5  -font {Helvetica 10}  -text {Automatic Path Planning}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe7.frame4.frame6
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe7.frame4.frame6  -width {190}  -height {26}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe7.frame4.frame6.frame22
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe7.frame4.frame6.frame22  -width {91}  -height {48}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe7.frame4.frame6.frame22.label2
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe7.frame4.frame6.frame22.label2  -font {Helvetica 10}  -borderwidth {0}  -text {Threshold Value:  }  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe7.frame4.frame6.frame22.entry3
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe7.frame4.frame6.frame22.entry3  -font {Helvetica 10}  -textvariable {guiPPchooserGuessThrValue}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe7.frame4.frame6.frame22.label0
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe7.frame4.frame6.frame22.label0  -font {Helvetica 10}  -borderwidth {0}  -text {(seeded threshold ignores this value!)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe7.frame4.frame8
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe7.frame4.frame8  -width {190}  -height {64}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe7.frame4.frame8.radiobutton9
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe7.frame4.frame8.radiobutton9  -variable {guiPPsmoothVolumeChoice}  -value {volume}  -text {Entire Volume Image}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe7.frame4.frame8.radiobutton0
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe7.frame4.frame8.radiobutton0  -variable {guiPPsmoothVolumeChoice}  -value {seed_volume}  -text {Seeded Volume Image}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe7.frame4.frame0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe7.frame4.frame0  -width {190}  -height {64}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe7.frame4.frame0.radiobutton10
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe7.frame4.frame0.radiobutton10  -variable {guiPPsmoothVolumeChoice}  -value {resample}  -text {Resampled Image}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe7.frame4.frame0.radiobutton0
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe7.frame4.frame0.radiobutton0  -variable {guiPPsmoothVolumeChoice}  -value {seed_resample}  -text {Seeded Resampled Image}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe7.frame4.frame13
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe7.frame4.frame13  -width {295}  -height {35}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe7.frame4.frame13.button16
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe7.frame4.frame13.button16  -command {guiPPchooserAutoPathNew}  -text {Automatically Find Path}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe7.frame4.frame13.button29
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe7.frame4.frame13.button29  -command {guiPPcreateDistanceMap}  -text {Create Distance Map}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe7.frame4.frame1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe7.frame4.frame1  -width {190}  -height {26}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe7.frame4.frame1.frame22
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe7.frame4.frame1.frame22  -width {91}  -height {48}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe7.frame4.frame1.frame22.label2
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe7.frame4.frame1.frame22.label2  -font {Helvetica 10}  -borderwidth {0}  -text {Num Thinning Passes:  }  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe7.frame4.frame1.frame22.entry3
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe7.frame4.frame1.frame22.entry3  -font {Helvetica 10}  -state {disabled}  -textvariable {guiPPchooserNumThinningPasses}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe7.frame4.frame1.frame22.label0
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe7.frame4.frame1.frame22.label0  -font {Helvetica 10}  -borderwidth {0}  -text {(zero means no thinning)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe8
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe8  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe8.frame11
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe8.frame11  -borderwidth {0}  -relief {flat}  -width {416}  -height {149}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe8.frame11.frame12
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe8.frame11.frame12  -width {123}  -height {86}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe8.frame11.frame12.frame19
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe8.frame11.frame12.frame19  -width {347}  -height {35}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe8.frame11.frame12.frame19.label20
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe8.frame11.frame12.frame19.label20  -font {Helvetica 10}  -borderwidth {0}  -text {Subsample every }

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe8.frame11.frame12.frame19.entry21
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe8.frame11.frame12.frame19.entry21  -font {Helvetica 10}  -textvariable {guiPPsmoothSubSampleRate}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe8.frame11.frame12.frame19.label22
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe8.frame11.frame12.frame19.label22  -font {Helvetica 10}  -borderwidth {0}  -text { points (leave blank for auto subsample)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe8.frame11.frame12.frame23
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe8.frame11.frame12.frame23  -width {347}  -height {58}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe8.frame11.frame12.frame23.label24
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe8.frame11.frame12.frame23.label24  -font {Helvetica 10}  -text {Create/Replace Path ID: }

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe8.frame11.frame12.frame23.entry25
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe8.frame11.frame12.frame23.entry25  -font {Helvetica 10}  -textvariable {guiPPsmoothTargetPathID}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe8.frame11.frame12.frame23.label27
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe8.frame11.frame12.frame23.label27  -font {Helvetica 10}  -borderwidth {0}  -text { (cannot be undone)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe8.frame11.frame12.frame26
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe8.frame11.frame12.frame26  -width {478}  -height {56}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe8.frame11.frame12.frame26.checkbutton14
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe8.frame11.frame12.frame26.checkbutton14  -variable {guiPPsmoothUseThresholding}  -text {Use Thresholding}  -state {disabled}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe8.frame11.frame12.frame26.checkbutton15
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe8.frame11.frame12.frame26.checkbutton15  -variable {guiPPsmoothThreshKeepPointAnyway}  -text {Keep Point if Threshold Fails}  -state {disabled}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe8.frame11.frame28
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe8.frame11.frame28  -width {482}  -height {31}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe8.frame11.frame28.label18
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe8.frame11.frame28.label18  -font {Helvetica 10}  -text {Number of  Modes: }

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe8.frame11.frame28.entry19
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe8.frame11.frame28.entry19  -font {Helvetica 10}  -textvariable {guiPPsmoothNumFourierModes}  -width {5}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe8.frame11.frame28.checkbutton20
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe8.frame11.frame28.checkbutton20  -variable {guiPPsmoothUseFourierSmooth}  -text {Use Fourier Smoothing}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe8.frame11.frame10
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe8.frame11.frame10  -width {347}  -height {26}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe8.frame11.frame10.label11
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe8.frame11.frame10.label11  -font {Helvetica 10}  -borderwidth {0}  -text {Smoothing Options}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe8.frame13
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe8.frame13  -borderwidth {0}  -relief {flat}  -width {295}  -height {35}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe8.frame13.button29
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe8.frame13.button29  -command {guiPPsmoothSmoothPath}  -text {Smooth Current Path}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe1  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe1.frame0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe1.frame0  -borderwidth {0}  -relief {flat}  -width {336}  -height {144}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe1.frame0.frame2
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe1.frame0.frame2  -borderwidth {0}  -relief {flat}  -width {769}  -height {44}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe1.frame0.frame2.label9
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe1.frame0.frame2.label9  -font {Helvetica 10}  -text {Path ID:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe1.frame0.frame2.entry10
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe1.frame0.frame2.entry10  -font {Helvetica 10}  -textvariable {guiSVvars(path_entry_path_id)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe1.frame0.frame2.tbutton0
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe1.frame0.frame2.tbutton0  -command {guiSV_path_renumber_current_path}  -text {Renumber Path}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe1.frame0.frame2.tbutton7
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe1.frame0.frame2.tbutton7  -command {guiSV_path_insert_new_path}  -text {Create New Path}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe1.frame0.frame3
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe1.frame0.frame3  -borderwidth {0}  -relief {flat}  -width {769}  -height {49}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe1.frame0.frame3.label11
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe1.frame0.frame3.label11  -font {Helvetica 10}  -text {Path Name:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe1.frame0.frame3.entry12
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe1.frame0.frame3.entry12  -font {Helvetica 10}  -textvariable {guiSVvars(path_entry_path_name)}  -width {10}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe1.frame0.frame3.entry12 <Key-Return> {guiSV_path_change_name}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe1.frame0.frame3.button4
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe1.frame0.frame3.button4  -command {guiSV_path_change_name}  -text {Update Current}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe1.frame0.frame0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe1.frame0.frame0  -borderwidth {0}  -relief {flat}  -width {769}  -height {49}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe1.frame0.frame0.label11
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe1.frame0.frame0.label11  -font {Helvetica 10}  -text {Num. of Spline Pts:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe1.frame0.frame0.entry12
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe1.frame0.frame0.entry12  -font {Helvetica 10}  -textvariable {guiSVvars(path_entry_number_spline_pts)}  -width {10}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe1.frame0.frame0.entry12 <Key-Return> {guiSV_path_change_number_spline_pts}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe1.frame0.frame0.button0
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe1.frame0.frame0.button0  -command {guiSV_path_change_number_spline_pts}  -text {Update Spline}  -state {disabled}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe1.tframe4
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe1.tframe4  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe1.tframe4.tbutton1
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe1.tframe4.tbutton1  -command {guiSV_path_delete_current_path}  -text {Delete Selected Paths}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5
  ttk::notebook .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.frame31
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.frame31  -borderwidth {0}  -relief {flat}  -width {549}  -height {117}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.frame31.frame14
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.frame31.frame14  -width {552}  -height {87}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.frame31.frame14.frame16
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.frame31.frame14.frame16  -width {445}  -height {83}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.frame31.frame14.frame16.label0
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.frame31.frame14.frame16.label0  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {blank}  -textvariable {guiSVvars(path_quantification_current_path_name_path1)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.frame31.frame14.frame16.button1
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.frame31.frame14.frame16.button1  -command {guiPPquantSelectPath path1}  -text {Select Current Path}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.frame31.frame14.frame16.frame1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.frame31.frame14.frame16.frame1  -width {545}  -height {51}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.frame31.frame14.frame16.frame1.label14
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.frame31.frame14.frame16.frame1.label14  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Current Path:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.frame31.frame14.frame16.frame17
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.frame31.frame14.frame16.frame17  -width {107}  -height {83}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.frame31.frame14.frame16.frame17.label19
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.frame31.frame14.frame16.frame17.label19  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {   Path Point:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.frame31.frame14.frame16.frame17.label23
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.frame31.frame14.frame16.frame17.label23  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -textvariable {guiSVvars(path_quantification_path_point_path1)}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.frame31.frame14.frame16.tframe6
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.frame31.frame14.frame16.tframe6  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.frame31.frame14.frame16.tframe6.tlabel7
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.frame31.frame14.frame16.tframe6.tlabel7  -font {Helvetica 10}  -relief {flat}  -text {Num Spline Pts:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.frame31.frame14.frame16.tframe6.tentry8
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.frame31.frame14.frame16.tframe6.tentry8  -font {Helvetica 10}  -textvariable {guiSVvars(path_quantification_num_spline_pts_path1)}  -width {10}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.frame31.frame14.frame16.tframe6.tentry8 <Key-Return> {guiPPquantChangeNumSplinePts path1}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.frame31.frame7
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.frame31.frame7  -width {778}  -height {92}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.frame31.frame7.label14
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.frame31.frame7.label14  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Start ID}  -width {15}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.frame31.frame7.scale15
  scale .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.frame31.frame7.scale15  -command {guiPPquantUpdateStartScale path1}  -font {Helvetica 10}  -from {1.0}  -orient {horizontal}  -relief {raised}  -to {24.0}  -variable {guiSVvars(path_quantification_start_id_path1)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.frame31.frame2
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.frame31.frame2  -width {778}  -height {92}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.frame31.frame2.label14
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.frame31.frame2.label14  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Stop ID}  -width {15}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.frame31.frame2.scale15
  scale .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.frame31.frame2.scale15  -command {guiPPquantUpdateStopScale path1}  -font {Helvetica 10}  -from {1.0}  -orient {horizontal}  -relief {raised}  -to {24.0}  -variable {guiSVvars(path_quantification_stop_id_path1)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.frame31.frame4
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.frame31.frame4  -width {778}  -height {92}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.frame31.frame4.label14
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.frame31.frame4.label14  -font {Helvetica 10}  -borderwidth {0}  -text {Current Position}  -width {15}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.frame31.frame4.scale15
  scale .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.frame31.frame4.scale15  -command {guiPPquantUpdatePositionScale path1}  -font {Helvetica 10}  -from {1.0}  -orient {horizontal}  -relief {raised}  -to {24.0}  -variable {guiSVvars(path_quantification_current_position_path1)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.tframe9
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.tframe9  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.tframe9.tlabel10
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.tframe9.tlabel10  -font {Helvetica 10}  -relief {flat}  -text {Straight Length:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.tframe9.tlabel11
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.tframe9.tlabel11  -font {Helvetica 10}  -relief {flat}  -text {0.0}  -textvariable {guiSVvars(path_quantification_straight_length_path1)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.tframe9.tlabel12
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.tframe9.tlabel12  -font {Helvetica 10}  -relief {flat}  -text {   Curved Length:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.tframe9.tlabel13
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.tframe9.tlabel13  -font {Helvetica 10}  -relief {flat}  -text {0.0}  -textvariable {guiSVvars(path_quantification_curved_length_path1)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.tframe9.tlabel20
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.tframe9.tlabel20  -font {Helvetica 10}  -relief {flat}  -text {    Curvature: }  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.tframe9.tlabel21
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.tframe9.tlabel21  -font {Helvetica 10}  -relief {flat}  -text {0.0}  -textvariable {guiSVvars(path_quantification_curvature_path1)}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.tframe14
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.tframe14  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.tframe14.tlabel15
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.tframe14.tlabel15  -font {Helvetica 10}  -relief {flat}  -text {Display Options}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.tframe14.tframe16
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.tframe14.tframe16  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.tframe14.tframe16.tcheckbutton17
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.tframe14.tframe16.tcheckbutton17  -variable {guiSVvars(path_quantification_display_start_sphere_path1)}  -command {guiPPquantUpdateDisplay path1 start}  -text {start sphere}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.tframe14.tframe16.tcheckbutton18
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.tframe14.tframe16.tcheckbutton18  -variable {guiSVvars(path_quantification_display_stop_sphere_path1)}  -command {guiPPquantUpdateDisplay path1 stop}  -text {stop sphere}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.tframe14.tframe16.tcheckbutton19
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.tframe14.tframe16.tcheckbutton19  -variable {guiSVvars(path_quantification_display_radius_torus_path1)}  -command {guiPPquantUpdateDisplay path1 torus}  -text {radius torus}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.tframe14.tframe16.tcheckbutton26
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.tframe14.tframe16.tcheckbutton26  -variable {guiSVvars(path_quantification_display_path_path1)}  -command {guiPPquantUpdateDisplay path1 path}  -text {path}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.tframe14.tframe16.tcheckbutton27
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.tframe14.tframe16.tcheckbutton27  -variable {guiSVvars(path_quantification_display_position_sphere_path1)}  -command {guiPPquantUpdateDisplay path1 position}  -text {position sphere}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.tframe22
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.tframe22  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.tframe22.tbutton0
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.tframe22.tbutton0  -command {guiPPquantSaveCurvToFile path1}  -text {Save Curvature To File}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.tframe0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.tframe0  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.tframe0.tcheckbutton1
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.tframe0.tcheckbutton1  -variable {guiSVvars(path_quantification_clamp_ends_path1)}  -text {Clamp Ends}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.tframe0.tlabel2
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.tframe0.tlabel2  -font {Helvetica 10}  -relief {flat}  -text {Window Size:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.tframe0.tentry3
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.tframe0.tentry3  -font {Helvetica 10}  -textvariable {guiSVvars(path_quantification_window_size_path1)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.frame31
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.frame31  -borderwidth {0}  -relief {flat}  -width {549}  -height {117}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.frame31.frame14
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.frame31.frame14  -width {552}  -height {87}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.frame31.frame14.frame16
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.frame31.frame14.frame16  -borderwidth {1}  -width {445}  -height {83}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.frame31.frame14.frame16.label0
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.frame31.frame14.frame16.label0  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {blank}  -textvariable {guiSVvars(path_quantification_current_path_name_path2)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.frame31.frame14.frame16.button1
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.frame31.frame14.frame16.button1  -command {guiPPquantSelectPath path2}  -text {Select Current Path}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.frame31.frame14.frame16.frame1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.frame31.frame14.frame16.frame1  -width {545}  -height {51}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.frame31.frame14.frame16.frame1.label14
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.frame31.frame14.frame16.frame1.label14  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Current Path:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.frame31.frame14.frame16.frame17
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.frame31.frame14.frame16.frame17  -width {107}  -height {83}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.frame31.frame14.frame16.frame17.label19
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.frame31.frame14.frame16.frame17.label19  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {   Path Point:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.frame31.frame14.frame16.frame17.label23
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.frame31.frame14.frame16.frame17.label23  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -textvariable {guiSVvars(path_quantification_path_point_path2)}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.frame31.frame14.frame16.tframe6
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.frame31.frame14.frame16.tframe6  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.frame31.frame14.frame16.tframe6.tlabel7
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.frame31.frame14.frame16.tframe6.tlabel7  -font {Helvetica 10}  -relief {flat}  -text {Num Spline Pts:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.frame31.frame14.frame16.tframe6.tentry8
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.frame31.frame14.frame16.tframe6.tentry8  -font {Helvetica 10}  -textvariable {guiSVvars(path_quantification_num_spline_pts_path2)}  -width {10}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.frame31.frame14.frame16.tframe6.tentry8 <Key-Return> {guiPPquantChangeNumSplinePts path2}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.frame31.frame7
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.frame31.frame7  -width {778}  -height {92}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.frame31.frame7.label14
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.frame31.frame7.label14  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Start ID}  -width {15}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.frame31.frame7.scale15
  scale .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.frame31.frame7.scale15  -command {guiPPquantUpdateStartScale path2}  -font {Helvetica 10}  -from {1.0}  -orient {horizontal}  -relief {raised}  -to {24.0}  -variable {guiSVvars(path_quantification_start_id_path2)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.frame31.frame2
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.frame31.frame2  -width {778}  -height {92}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.frame31.frame2.label14
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.frame31.frame2.label14  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Stop ID}  -width {15}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.frame31.frame2.scale15
  scale .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.frame31.frame2.scale15  -command {guiPPquantUpdateStopScale path2}  -font {Helvetica 10}  -from {1.0}  -orient {horizontal}  -relief {raised}  -to {24.0}  -variable {guiSVvars(path_quantification_stop_id_path2)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.frame31.frame4
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.frame31.frame4  -width {778}  -height {92}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.frame31.frame4.label14
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.frame31.frame4.label14  -font {Helvetica 10}  -borderwidth {0}  -text {Current Position}  -width {15}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.frame31.frame4.scale15
  scale .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.frame31.frame4.scale15  -command {guiPPquantUpdatePositionScale path2}  -font {Helvetica 10}  -from {1.0}  -orient {horizontal}  -relief {raised}  -to {24.0}  -variable {guiSVvars(path_quantification_current_position_path2)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.tframe9
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.tframe9  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.tframe9.tlabel10
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.tframe9.tlabel10  -font {Helvetica 10}  -relief {flat}  -text {Straight Length:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.tframe9.tlabel11
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.tframe9.tlabel11  -font {Helvetica 10}  -relief {flat}  -text {0.0}  -textvariable {guiSVvars(path_quantification_straight_length_path2)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.tframe9.tlabel12
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.tframe9.tlabel12  -font {Helvetica 10}  -relief {flat}  -text {   Curved Length:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.tframe9.tlabel13
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.tframe9.tlabel13  -font {Helvetica 10}  -relief {flat}  -text {0.0}  -textvariable {guiSVvars(path_quantification_curved_length_path2)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.tframe9.tlabel20
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.tframe9.tlabel20  -font {Helvetica 10}  -relief {flat}  -text {    Curvature: }  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.tframe9.tlabel21
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.tframe9.tlabel21  -font {Helvetica 10}  -relief {flat}  -text {0.0}  -textvariable {guiSVvars(path_quantification_curvature_path2)}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.tframe14
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.tframe14  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.tframe14.tlabel15
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.tframe14.tlabel15  -font {Helvetica 10}  -relief {flat}  -text {Display Options}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.tframe14.tframe16
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.tframe14.tframe16  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.tframe14.tframe16.tcheckbutton17
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.tframe14.tframe16.tcheckbutton17  -variable {guiSVvars(path_quantification_display_start_sphere_path2)}  -command {guiPPquantUpdateDisplay path2 start}  -text {start sphere}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.tframe14.tframe16.tcheckbutton18
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.tframe14.tframe16.tcheckbutton18  -variable {guiSVvars(path_quantification_display_stop_sphere_path2)}  -command {guiPPquantUpdateDisplay path2 stop}  -text {stop sphere}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.tframe14.tframe16.tcheckbutton19
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.tframe14.tframe16.tcheckbutton19  -variable {guiSVvars(path_quantification_display_radius_torus_path2)}  -command {guiPPquantUpdateDisplay path2 torus}  -text {radius torus}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.tframe14.tframe16.tcheckbutton26
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.tframe14.tframe16.tcheckbutton26  -variable {guiSVvars(path_quantification_display_path_path2)}  -command {guiPPquantUpdateDisplay path2 path}  -text {path}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.tframe14.tframe16.tcheckbutton27
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.tframe14.tframe16.tcheckbutton27  -variable {guiSVvars(path_quantification_display_position_sphere_path2)}  -command {guiPPquantUpdateDisplay path2 position}  -text {position sphere}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.tframe22
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.tframe22  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.tframe22.tbutton0
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.tframe22.tbutton0  -command {guiPPquantSaveCurvToFile path2}  -text {Save Curvature To File}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.tframe0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.tframe0  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.tframe0.tcheckbutton1
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.tframe0.tcheckbutton1  -variable {guiSVvars(path_quantification_clamp_ends_path2)}  -text {Clamp Ends}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.tframe0.tlabel2
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.tframe0.tlabel2  -font {Helvetica 10}  -relief {flat}  -text {Window Size:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.tframe0.tentry3
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.tframe0.tentry3  -font {Helvetica 10}  -textvariable {guiSVvars(path_quantification_window_size_path2)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe8
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe8  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe8.tframe0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe8.tframe0  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe8.tframe0.tframe14
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe8.tframe0.tframe14  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe8.tframe0.tframe14.tlabel15
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe8.tframe0.tframe14.tlabel15  -font {Helvetica 10}  -relief {flat}  -text {Display Options}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe8.tframe0.tframe14.tframe16
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe8.tframe0.tframe14.tframe16  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe8.tframe0.tframe14.tframe16.tcheckbutton17
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe8.tframe0.tframe14.tframe16.tcheckbutton17  -variable {guiSVvars(path_quantification_display_path_refpath)}  -command {guiPPquantUpdateDisplay refpath path}  -text {reference path}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe8.tframe0.tframe14.tframe16.tcheckbutton26
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe8.tframe0.tframe14.tframe16.tcheckbutton26  -variable {guiSVvars(path_quantification_display_path_twistpath)}  -command {guiPPquantUpdateDisplay twistpath path}  -text {original path}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe8.tframe0.tframe22
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe8.tframe0.tframe22  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe8.tframe0.tframe22.tbutton0
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe8.tframe0.tframe22.tbutton0  -command {guiPPquantSaveAngleToFile}  -text {Save Angle To File}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe8.tframe0.tframe22.tbutton1
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe8.tframe0.tframe22.tbutton1  -command {guiPPquant_calc_parallel_ref}  -text {Calculate Angle}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe8.tframe0.tframe22.tlabel2
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe8.tframe0.tframe22.tlabel2  -font {Helvetica 10}  -relief {flat}  -text {     Angle of Separation:}  -width {25}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe8.tframe0.tframe22.tlabel3
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe8.tframe0.tframe22.tlabel3  -font {Helvetica 10}  -relief {flat}  -text {0}  -textvariable {guiSVvars(path_quantification_angle_of_separation)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe8.tframe1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe8.tframe1  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe8.tframe1.label14
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe8.tframe1.label14  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Current Path:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe8.tframe1.label0
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe8.tframe1.label0  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {blank}  -textvariable {guiSVvars(path_quantification_current_path_name_twistpath)}  -width {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe8.tframe1.tlabel7
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe8.tframe1.tlabel7  -font {Helvetica 10}  -relief {flat}  -text {  Num Spline Pts:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe8.tframe1.tentry8
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe8.tframe1.tentry8  -font {Helvetica 10}  -textvariable {guiSVvars(path_quantification_num_spline_pts_twistpath)}  -width {10}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe8.tframe1.tentry8 <Key-Return> {guiPPquantChangeNumSplinePts twistpath}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe8.tframe1.button1
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe8.tframe1.button1  -command {guiPPquantSelectPath twistpath}  -text {Select Current Path}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0
  if {[catch "panedwindow .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0"]} {
    if {"[info procs XFEdit]" != ""} {
      XFProcError "Unknown widget type: panedwindow"
      return
    } {
      puts stderr "Unknown widget type: panedwindow"
    }
  }
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0 config  -orient {vertical}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27  -borderwidth {0}  -relief {flat}  -width {164}  -height {230}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top  -borderwidth {0}  -relief {flat}  -width {164}  -height {230}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe0  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe0.tframe0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe0.tframe0  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe0.tframe0.treeview1
  ttk::treeview .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe0.tframe0.treeview1  -show {tree}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe0.tframe0.tscrollbar0
  ttk::scrollbar .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe0.tframe0.tscrollbar0  -command {guiSV_group_tree_scroll}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.tbutton1
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.tbutton1  -command {guiSV_group_delete_selected_groups}  -text {Delete Groups}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.tbutton25
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.tbutton25  -command {guiSV_group_use_selected_groups_for_lofting}  -text {Use Groups}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.tbutton26
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.tbutton26  -command {guiSV_group_deselect_groups_for_lofting}  -text {Deselect Groups}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.tframe8
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.tframe8  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.tframe8.menubutton9
  ttk::menubutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.tframe8.menubutton9  -menu {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.tframe8.menubutton9.m}  -text {Group Visualization}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.tframe8.menubutton9.m
  menu .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.tframe8.menubutton9.m  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}  -tearoff {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.tframe8.menubutton9.m add command  -command {guiSV_group_display_selected_groups 1}  -label {Display Groups}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.tframe8.menubutton9.m add command  -command {guiSV_group_display_selected_groups 0}  -label {Do Not Display Groups}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.tframe8.menubutton9.m add command  -command {guiSV_group_change_selected_color}  -label {Groups Color}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.tframe8.menubutton10
  ttk::menubutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.tframe8.menubutton10  -menu {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.tframe8.menubutton10.m}  -text {Surface Visualization}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.tframe8.menubutton10.m
  menu .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.tframe8.menubutton10.m  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}  -tearoff {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.tframe8.menubutton10.m add command  -command {guiSV_solid_display_selected_groups 1}  -label {Display Surface}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.tframe8.menubutton10.m add command  -command {guiSV_solid_display_selected_groups 0}  -label {Do Not Display Surface}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.tframe8.menubutton10.m add command  -command {guiSV_solid_change_selected_color}  -label {Surface Color}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.tframe8.menubutton10.m add cascade  -menu {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.tframe8.menubutton10.m.m}  -label {Surface Opacity}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.tframe8.menubutton10.m.m
  menu .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.tframe8.menubutton10.m.m  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}  -tearoff {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.tframe8.menubutton10.m.m add command  -command {guiSV_solid_change_selected_opacity 1.0}  -label {opaque (1.0)}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.tframe8.menubutton10.m.m add command  -command {guiSV_solid_change_selected_opacity 0.75}  -label {semi-transparent (0.75)}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.tframe8.menubutton10.m.m add command  -command {guiSV_solid_change_selected_opacity 0.5}  -label {semi-transparent (0.5)}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.tframe8.menubutton10.m.m add command  -command {guiSV_solid_change_selected_opacity 0.33}  -label {semi-transparent (0.33)}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.tframe8.menubutton10.m.m add command  -command {guiSV_solid_change_selected_opacity 0.2}  -label {semi-transparent (0.2)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.tframe8.menubutton12
  ttk::menubutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.tframe8.menubutton12  -menu {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.tframe8.menubutton12.m}  -text {Perspective Shortcuts}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.tframe8.menubutton12.m
  menu .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.tframe8.menubutton12.m  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}  -tearoff {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.tframe8.menubutton12.m add checkbutton  -variable {gui3Dvars(show_branch_default)}  -command {gui_toggle_3d_branch}  -label {Toggle Branch Control Defaults}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.tframe8.menubutton12.m add checkbutton  -variable {gui3Dvars(show_seed_default)}  -command {gui_toggle_3d_seed}  -label {Toggle 3D Seed Defaults}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.tframe8.menubutton12.m add separator
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.tframe8.menubutton12.m add checkbutton  -variable {guiSVvars(last_2d_view_toggle)}  -command {gui_toggle_2d_views}  -label {Toggle 2D Window Defaults}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.tframe8.menubutton12.m add checkbutton  -variable {guiSVvars(showSegSlice)}  -command {gui_show_seg_slice}  -label {Show Selected Surface Cross Section}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.tframe8.tlabel5
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.tframe8.tlabel5  -font {Helvetica 10}  -relief {flat}  -anchor {center}  -text {Operations}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.tframe8.menubutton11
  ttk::menubutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.tframe8.menubutton11  -menu {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.tframe8.menubutton11.m}  -text {Surface Operations}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.tframe8.menubutton11.m
  menu .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.tframe8.menubutton11.m  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}  -tearoff {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.tframe8.menubutton11.m add command  -command {gui_sv_surface_window 0}  -label {Create 2D Group Surface}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.tframe8.menubutton11.m add command  -command {gui_sv_surface_window rename}  -label {Rename Surface}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.tframe8.menubutton11.m add command  -command {gui_sv_surface_window duplicate}  -label {Duplicate Surface}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.tframe8.menubutton11.m add command  -command {guiSV_group_delete_selected_groups}  -label {Delete Surface}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.tframe8.tlabel1
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.tframe8.tlabel1  -font {Helvetica 10}  -relief {flat}  -anchor {center}  -text {Member Operations}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.tframe8.menubuttonMember
  ttk::menubutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.tframe8.menubuttonMember  -menu {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.tframe8.menubuttonMember.m}  -text {Member Operations}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.tframe8.menubuttonMember.m
  menu .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.tframe8.menubuttonMember.m  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}  -tearoff {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.tframe8.menubuttonMember.m add command  -command {gui_sv_surface_window copymembers}  -label {Copy Members to Group}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.tframe8.menubuttonMember.m add command  -command {guiSV_info_selected_members}  -label {Info On Member}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.tframe8.menubuttonMember.m add command  -command {guiSV_delete_selected_members}  -label {Delete Members}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.tframe8.menubuttonMember.m add cascade  -menu {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.tframe8.menubuttonMember.m.m}  -label {Manipulate}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.tframe8.menubuttonMember.m.m
  menu .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.tframe8.menubuttonMember.m.m  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}  -tearoff {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.tframe8.menubuttonMember.m.m add checkbutton  -variable {guiGROUPSvars(show_spline)}  -command {guiGROUPSshowSpline}  -label {Show Spline}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.tframe8.menubuttonMember.m.m add checkbutton  -variable {guiGROUPSvars(show_image_slice)}  -command {guiGROUPSshowSplineImage}  -label {Show Image}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.tframe8.menubuttonMember.m.m add separator
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.tframe8.menubuttonMember.m.m add command  -command {guiGROUPSrefreshSpline}  -label {Refresh Spline}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.tframe8.menubuttonMember.m.m add command  -command {guiGROUPSreplaceWithSpline}  -label {Replace Seg with Spline}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.tframe8.menubuttonMember.m.m add separator
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.tframe8.menubuttonMember.m.m add command  -command {guiGROUPSalignAllProfiles}  -label {Align All Profiles}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.tframe8.tlabelLoft
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.tframe8.tlabelLoft  -font {Helvetica 10}  -relief {flat}  -anchor {center}  -text {Model Operations}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.tframe8.menubuttonLoft
  ttk::menubutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.tframe8.menubuttonLoft  -menu {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.tframe8.menubuttonLoft.m}  -text {Model Operations}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.tframe8.menubuttonLoft.m
  menu .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.tframe8.menubuttonLoft.m  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}  -tearoff {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.tframe8.menubuttonLoft.m add command  -command {guiSV_group_use_selected_groups_for_lofting}  -label {Use Surface}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.tframe8.menubuttonLoft.m add command  -command {guiSV_group_deselect_groups_for_lofting}  -label {Do Not Use Surface}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.frame0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.frame0  -width {136}  -height {32}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.tbutton2
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.tbutton2  -command {guiSV_info_selected_members}  -text {Info on Members}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.tlabel4
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.tlabel4  -font {Helvetica 10}  -relief {flat}  -anchor {center}  -justify {center}  -text {Visualization}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.tbutton3
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.tbutton3  -command {guiSV_delete_selected_members}  -text {Delete Members}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.tlabel6
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.tlabel6  -font {Helvetica 10}  -relief {flat}  -anchor {center}  -text {Solid Model Lofting}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0
  ttk::notebook .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.frame31
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.frame31  -borderwidth {5}  -relief {flat}  -width {549}  -height {117}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.frame31.frame14
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.frame31.frame14  -width {552}  -height {87}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.frame31.frame14.frame16
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.frame31.frame14.frame16  -width {445}  -height {83}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.frame31.frame14.frame16.label0
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.frame31.frame14.frame16.label0  -font {Helvetica 10}  -borderwidth {0}  -text {blank}  -textvariable {lsGUIcurrentPathLabel}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.frame31.frame14.frame16.button1
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.frame31.frame14.frame16.button1  -command {lsGUIselectPathSetup}  -text {Select Current Path}  -width {19}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.frame31.frame14.frame16.button2
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.frame31.frame14.frame16.button2  -command {gui_toggle_2d_views}  -text {Toggle 2D Views}  -width {19}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.frame31.frame14.frame16.frame1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.frame31.frame14.frame16.frame1  -width {545}  -height {51}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.frame31.frame14.frame16.frame1.label14
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.frame31.frame14.frame16.frame1.label14  -font {Helvetica 10}  -borderwidth {0}  -text {Current Path}  -width {15}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.frame31.frame14.frame16.frame17
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.frame31.frame14.frame16.frame17  -width {107}  -height {83}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.frame31.frame14.frame16.frame17.label19
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.frame31.frame14.frame16.frame17.label19  -font {Helvetica 10}  -borderwidth {0}  -text {Path Point}  -width {15}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.frame31.frame14.frame16.frame17.label23
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.frame31.frame14.frame16.frame17.label23  -font {Helvetica 10}  -borderwidth {0}  -text {000.00 000.00 000.00}  -textvariable {lsGUIpositionIdStr}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.frame31.frame7
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.frame31.frame7  -width {778}  -height {92}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.frame31.frame7.label14
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.frame31.frame7.label14  -font {Helvetica 10}  -borderwidth {0}  -text {Current Position}  -width {15}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.frame31.frame7.scale15
  scale .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.frame31.frame7.scale15  -command {lsGUIupdatePositionScale}  -font {Helvetica 10}  -from {1.0}  -orient {horizontal}  -relief {raised}  -to {24.0}  -variable {lsGUIcurrentPositionNumber}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0
  ttk::notebook .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0 <ButtonRelease-1> {itklsGUITabOpen}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1 <ButtonRelease-1> {itklsGUITabOpen}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15  -borderwidth {0}  -relief {flat}  -width {787}  -height {382}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40  -width {693}  -height {244}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48  -borderwidth {0}  -relief {flat}  -width {388}  -height {204}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.tlabelframe1
  ttk::labelframe .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.tlabelframe1  -width {318}  -height {120}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.tlabelframe1.frame2
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.tlabelframe1.frame2  -width {316}  -height {22}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.tlabelframe1.frame2.label16
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.tlabelframe1.frame2.label16  -font {Helvetica 10}  -borderwidth {0}  -text {Stage 1 Parameters}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.tlabelframe1.frame37
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.tlabelframe1.frame37  -width {316}  -height {26}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.tlabelframe1.frame37.entry10
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.tlabelframe1.frame37.entry10  -font {Helvetica 10}  -textvariable {lsGUIlsParams(MagFactor)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.tlabelframe1.frame37.radiobutton13
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.tlabelframe1.frame37.radiobutton13  -variable {lsGUIlsParams(calcDecayConstBy)}  -value {multiply}  -text {Multiply Local Max By:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.tlabelframe1.frame12
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.tlabelframe1.frame12  -width {316}  -height {26}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.tlabelframe1.frame12.entry22
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.tlabelframe1.frame12.entry22  -font {Helvetica 10}  -textvariable {lsGUIlsParams(potentialValueDecay)}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.tlabelframe1.frame12.entry22 <Key-Return> {lsGUIthrSlice}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.tlabelframe1.frame12.radiobutton14
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.tlabelframe1.frame12.radiobutton14  -variable {lsGUIlsParams(calcDecayConstBy)}  -value {explicit}  -text {Explicit Potential Value:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.tlabelframe1.frame8
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.tlabelframe1.frame8  -width {316}  -height {22}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.tlabelframe1.frame8.label16
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.tlabelframe1.frame8.label16  -font {Helvetica 10}  -borderwidth {0}  -text {Center:}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.tlabelframe1.frame8.label17
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.tlabelframe1.frame8.label17  -font {Helvetica 10}  -borderwidth {0}  -text {X}  -width {3}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.tlabelframe1.frame8.entry18
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.tlabelframe1.frame8.entry18  -font {Helvetica 10}  -textvariable {lsGUIctrX}  -width {0}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.tlabelframe1.frame8.entry18 <Key-Return> {lsGUIchangeFrame 0}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.tlabelframe1.frame8.label19
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.tlabelframe1.frame8.label19  -font {Helvetica 10}  -borderwidth {0}  -text {Y}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.tlabelframe1.frame8.entry20
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.tlabelframe1.frame8.entry20  -font {Helvetica 10}  -textvariable {lsGUIctrY}  -width {0}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.tlabelframe1.frame8.entry20 <Key-Return> {lsGUIchangeFrame 0}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.tlabelframe1.frame32
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.tlabelframe1.frame32  -width {316}  -height {22}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.tlabelframe1.frame32.frame40
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.tlabelframe1.frame32.frame40  -width {453}  -height {44}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.tlabelframe1.frame32.frame40.label32
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.tlabelframe1.frame32.frame40.label32  -font {Helvetica 10}  -borderwidth {0}  -text {radius:}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.tlabelframe1.frame32.frame40.entry44
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.tlabelframe1.frame32.frame40.entry44  -font {Helvetica 10}  -textvariable {lsGUIradius}  -width {0}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.tlabelframe1.frame32.frame40.entry44 <Key-Return> {lsGUIchangeFrame 0}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.tlabelframe1.frame32.frame40.label29
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.tlabelframe1.frame32.frame40.label29  -font {Helvetica 10}  -borderwidth {0}  -text {Kthr:}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.tlabelframe1.frame32.frame40.entry41
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.tlabelframe1.frame32.frame40.entry41  -font {Helvetica 10}  -textvariable {lsGUIlsParams(Kthr)}  -width {0}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.tlabelframe1.frame32.frame40.label17
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.tlabelframe1.frame32.frame40.label17  -font {Helvetica 10}  -borderwidth {0}  -width {3}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.tlabelframe1.menubutton3
  ttk::menubutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.tlabelframe1.menubutton3  -menu {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.tlabelframe1.menubutton3.m}  -text {Additional Options}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.tlabelframe1.menubutton3.m
  menu .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.tlabelframe1.menubutton3.m  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.tlabelframe1.menubutton3.m add command  -command {lsGUIsetPotWinWithMagFactor}  -label {Set Potential Window Display by Mag. Factor}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.tlabelframe1.menubutton3.m add command  -command {lsGUIsetMagFactorWithPotWin}  -label {Set Mag. Factor with Potential Window}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.frame22
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.frame22  -width {318}  -height {62}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.frame22.label23
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.frame22.label23  -font {Helvetica 10}  -borderwidth {0}  -text {Stage 2 Parameters}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.frame22.frame34
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.frame22.frame34  -width {422}  -height {26}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.frame22.frame34.frame38
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.frame22.frame34.frame38  -width {453}  -height {44}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.frame22.frame34.frame38.label30
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.frame22.frame34.frame38.label30  -font {Helvetica 10}  -borderwidth {0}  -text {Klow:}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.frame22.frame34.frame38.entry42
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.frame22.frame34.frame38.entry42  -font {Helvetica 10}  -textvariable {lsGUIlsParams(Klow)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.frame22.frame34.frame39
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.frame22.frame34.frame39  -width {453}  -height {48}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.frame22.frame34.frame39.label31
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.frame22.frame34.frame39.label31  -font {Helvetica 10}  -borderwidth {0}  -text {Kupp:}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.frame22.frame34.frame39.entry45
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.frame22.frame34.frame39.entry45  -font {Helvetica 10}  -textvariable {lsGUIlsParams(Kupp)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.frame22.frame37
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.frame22.frame37  -width {316}  -height {26}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.frame22.frame37.entry10
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.frame22.frame37.entry10  -font {Helvetica 10}  -textvariable {lsGUIlsParams(pFactor)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.frame22.frame37.radiobutton13
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.frame22.frame37.radiobutton13  -variable {lsGUIlsParams(calcPotConstBy)}  -value {multiply}  -text {Multiply Local Max By:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.frame22.frame12
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.frame22.frame12  -width {316}  -height {26}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.frame22.frame12.entry22
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.frame22.frame12.entry22  -font {Helvetica 10}  -textvariable {lsGUIlsParams(potentialValuePotential)}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.frame22.frame12.entry22 <Key-Return> {lsGUIthrSlice}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.frame22.frame12.radiobutton14
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.frame22.frame12.radiobutton14  -variable {lsGUIlsParams(calcPotConstBy)}  -value {explicit}  -text {Explicit Potential Value:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame42
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame42  -width {693}  -height {240}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame42.frame24
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame42.frame24  -width {325}  -height {205}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame42.frame24.frame0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame42.frame24.frame0  -width {453}  -height {44}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame42.frame24.frame0.label32
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame42.frame24.frame0.label32  -font {Helvetica 10}  -borderwidth {0}  -text {Stop Velocity:}  -width {25}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame42.frame24.frame0.entry44
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame42.frame24.frame0.entry44  -font {Helvetica 10}  -textvariable {lsGUIlsParams(stopV)}  -width {10}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame42.frame24.frame0.entry44 <Key-Return> {lsGUIchangeFrame 0}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame42.frame24.frame38
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame42.frame24.frame38  -width {453}  -height {44}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame42.frame24.frame38.label30
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame42.frame24.frame38.label30  -font {Helvetica 10}  -borderwidth {0}  -text {Max Steps:}  -width {25}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame42.frame24.frame38.entry42
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame42.frame24.frame38.entry42  -font {Helvetica 10}  -textvariable {lsGUIlsParams(MaxSteps)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame42.frame24.frame39
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame42.frame24.frame39  -width {453}  -height {48}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame42.frame24.frame39.label31
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame42.frame24.frame39.label31  -font {Helvetica 10}  -borderwidth {0}  -text {Goodness Stop Criteria:}  -width {25}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame42.frame24.frame39.entry45
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame42.frame24.frame39.entry45  -font {Helvetica 10}  -textvariable {lsGUIlsParams(GoodnessStop)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame42.frame24.frame40
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame42.frame24.frame40  -width {453}  -height {44}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame42.frame24.frame40.label32
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame42.frame24.frame40.label32  -font {Helvetica 10}  -borderwidth {0}  -text { Grid Factor:}  -width {25}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame42.frame24.frame40.entry44
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame42.frame24.frame40.entry44  -font {Helvetica 10}  -textvariable {lsGUIlsParams(GridFactor)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame42.frame24.label31
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame42.frame24.label31  -font {Helvetica 10}  -borderwidth {0}  -text {Common Parameters}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame42.frame24.frame1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame42.frame24.frame1  -width {453}  -height {44}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame42.frame24.frame1.label32
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame42.frame24.frame1.label32  -font {Helvetica 10}  -borderwidth {0}  -text {Rebuild Phi After Every:}  -width {25}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame42.frame24.frame1.entry44
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame42.frame24.frame1.entry44  -font {Helvetica 10}  -textvariable {lsGUIlsParams(rebuildPhiFrequency)}  -width {10}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame42.frame24.frame1.entry44 <Key-Return> {lsGUIchangeFrame 0}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame42.frame24.frame2
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame42.frame24.frame2  -width {453}  -height {44}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame42.frame24.frame2.label32
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame42.frame24.frame2.label32  -font {Helvetica 10}  -borderwidth {0}  -text {Check Area Interval:}  -width {25}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame42.frame24.frame2.entry44
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame42.frame24.frame2.entry44  -font {Helvetica 10}  -textvariable {lsGUIlsParams(checkGoodnessFrequency)}  -width {10}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame42.frame24.frame2.entry44 <Key-Return> {lsGUIchangeFrame 0}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame42.frame0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame42.frame0  -width {325}  -height {101}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame42.frame0.button3
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame42.frame0.button3  -command {lsGUIguessParams}  -text {Guess Level Set Parameters}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame42.frame0.frame20
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame42.frame0.frame20  -width {372}  -height {29}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame42.frame0.frame20.label21
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame42.frame0.frame20.label21  -font {Helvetica 10}  -borderwidth {0}  -text {Threshold Value:}  -width {25}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame42.frame0.frame20.entry22
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame42.frame0.frame20.entry22  -font {Helvetica 10}  -textvariable {lsGUIthrValue}  -width {10}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame42.frame0.frame20.entry22 <Key-Return> {lsGUIthrSlice}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame42.frame0.label44
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame42.frame0.label44  -font {Helvetica 10}  -borderwidth {0}  -text {Guessing Stuff}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame10
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame10  -width {545}  -height {112}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame10.frame23
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame10.frame23  -width {453}  -height {22}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame10.frame23.label26
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame10.frame23.label26  -font {Helvetica 10}  -relief {ridge}  -text {Level Set Parameters}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame59
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame59  -borderwidth {0}  -relief {flat}  -width {214}  -height {59}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame59.frame11
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame59.frame11  -width {541}  -height {35}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame59.frame11.button52
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame59.frame11.button52  -command {lsGUIlsSlice}  -text {Segment Current Position}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame59.frame11.button53
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame59.frame11.button53  -command {lsGUIaddToGroup levelset}  -text {Add Current Position to Group}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame59.frame11.button0
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame59.frame11.button0  -command {set gOptions(lset_interrupt) 1}  -text {Halt Segmentation}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame24
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame24  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame24.frame63
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame24.frame63  -width {589}  -height {25}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame24.frame63.label65
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame24.frame63.label65  -font {Helvetica 10}  -relief {ridge}  -text {Thresholding Parameters}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame24.frame9
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame24.frame9  -width {589}  -height {58}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame24.frame9.frame0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame24.frame9.frame0  -width {217}  -height {58}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame24.frame9.frame0.radiobutton1
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame24.frame9.frame0.radiobutton1  -variable {lsGUIthresholdType}  -value {mag}  -text {threshold intensity}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame24.frame9.frame0.radiobutton2
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame24.frame9.frame0.radiobutton2  -variable {lsGUIthresholdType}  -value {grad}  -text {threshold potential}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame24.frame9.frame0.label65
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame24.frame9.frame0.label65  -font {Helvetica 10}  -borderwidth {0}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame24.frame9.frame0.radiobutton12
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame24.frame9.frame0.radiobutton12  -variable {lsGUIthresholdType}  -value {localMax}  -text {use local pot max}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame24.frame9.frame64
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame24.frame9.frame64  -width {372}  -height {58}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame24.frame9.frame64.frame63
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame24.frame9.frame64.frame63  -width {372}  -height {29}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame24.frame9.frame64.frame63.label21
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame24.frame9.frame64.frame63.label21  -font {Helvetica 10}  -borderwidth {0}  -text {Threshold Value:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame24.frame9.frame64.frame63.entry22
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame24.frame9.frame64.frame63.entry22  -font {Helvetica 10}  -textvariable {lsGUIthrValue}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame24.frame9.frame64.frame63.entry22 <Key-Return> {lsGUIthrSlice}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame24.frame9.frame64.frame37
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame24.frame9.frame64.frame37  -width {368}  -height {25}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame24.frame9.frame64.frame37.label29
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame24.frame9.frame64.frame37.label29  -font {Helvetica 10}  -borderwidth {0}  -text {Multiply Max By:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame24.frame9.frame64.frame37.entry41
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame24.frame9.frame64.frame37.entry41  -font {Helvetica 10}  -textvariable {lsGUIlsParams(MagFactor)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame24.frame9.frame64.frame8
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame24.frame9.frame64.frame8  -width {589}  -height {25}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame24.frame9.frame64.frame8.label16
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame24.frame9.frame64.frame8.label16  -font {Helvetica 10}  -borderwidth {0}  -text {Center:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame24.frame9.frame64.frame8.label17
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame24.frame9.frame64.frame8.label17  -font {Helvetica 10}  -borderwidth {0}  -text {X:}  -width {3}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame24.frame9.frame64.frame8.entry18
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame24.frame9.frame64.frame8.entry18  -font {Helvetica 10}  -textvariable {lsGUIctrX}  -width {6}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame24.frame9.frame64.frame8.entry18 <Key-Return> {lsGUIchangeFrame 0}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame24.frame9.frame64.frame8.label20
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame24.frame9.frame64.frame8.label20  -font {Helvetica 10}  -borderwidth {0}  -text {Radius:}  -width {3}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame24.frame9.frame64.frame8.entry21
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame24.frame9.frame64.frame8.entry21  -font {Helvetica 10}  -textvariable {lsGUIradius}  -width {6}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame24.frame9.frame64.frame8.entry21 <Key-Return> {lsGUIchangeFrame 0}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame24.frame9.frame64.frame8.label19
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame24.frame9.frame64.frame8.label19  -font {Helvetica 10}  -borderwidth {0}  -text {Y:}  -width {3}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame24.frame9.frame64.frame8.entry20
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame24.frame9.frame64.frame8.entry20  -font {Helvetica 10}  -textvariable {lsGUIctrY}  -width {6}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame24.frame9.frame64.frame8.entry20 <Key-Return> {lsGUIchangeFrame 0}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame24.frame9.frame64.frame10
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame24.frame9.frame64.frame10  -width {368}  -height {25}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame24.frame9.frame64.frame10.label29
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame24.frame9.frame64.frame10.label29  -font {Helvetica 10}  -borderwidth {0}  -text {Potential Value:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame24.frame9.frame64.frame10.entry41
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame24.frame9.frame64.frame10.entry41  -font {Helvetica 10}  -textvariable {lsGUIlsParams(potentialValueDecay)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame59
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame59  -borderwidth {0}  -relief {flat}  -width {214}  -height {59}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame59.frame60
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame59.frame60  -width {541}  -height {22}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame59.frame60.label61
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame59.frame60.label61  -font {Helvetica 10}  -borderwidth {0}  -text {Single Slice Segmentation Controls}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame59.frame11
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame59.frame11  -width {541}  -height {35}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame59.frame11.button52
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame59.frame11.button52  -command {lsGUIthrSlice}  -text {Segment Current Position}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame59.frame11.button53
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame59.frame11.button53  -command {lsGUIaddToGroup threshold}  -text {Add Current Position to Group}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame33
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame33  -borderwidth {0}  -relief {flat}  -width {702}  -height {54}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame33.label34
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame33.label34  -font {Helvetica 10}  -borderwidth {0}  -text {Create Contour As:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame33.frame35
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame33.frame35  -width {111}  -height {70}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame33.frame35.radiobutton36
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame33.frame35.radiobutton36  -variable {lsGUIanalContourType}  -value {levelset}  -text {Level Set}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame33.frame35.radiobutton37
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame33.frame35.radiobutton37  -variable {lsGUIanalContourType}  -value {threshold}  -text {Threshold}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38  -width {595}  -height {182}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame40
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame40  -borderwidth {0}  -relief {flat}  -width {346}  -height {135}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame40.label42
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame40.label42  -font {Helvetica 10}  -borderwidth {0}  -text {Circle Parameters}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame40.frame43
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame40.frame43  -width {244}  -height {88}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame40.frame43.frame8
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame40.frame43.frame8  -width {545}  -height {26}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame40.frame43.frame8.label16
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame40.frame43.frame8.label16  -font {Helvetica 10}  -borderwidth {0}  -text {Center:}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame40.frame43.frame8.label17
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame40.frame43.frame8.label17  -font {Helvetica 10}  -borderwidth {0}  -text {X:}  -width {3}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame40.frame43.frame8.entry18
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame40.frame43.frame8.entry18  -font {Helvetica 10}  -textvariable {lsGUIctrX}  -width {5}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame40.frame43.frame8.entry18 <Key-Return> {lsGUImakeCircle}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame40.frame43.frame8.label19
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame40.frame43.frame8.label19  -font {Helvetica 10}  -text {Y:}  -width {3}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame40.frame43.frame8.entry20
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame40.frame43.frame8.entry20  -font {Helvetica 10}  -textvariable {lsGUIctrY}  -width {5}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame40.frame43.frame8.entry20 <Key-Return> {lsGUImakeCircle}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame40.frame43.frame40
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame40.frame43.frame40  -width {453}  -height {44}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame40.frame43.frame40.label32
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame40.frame43.frame40.label32  -font {Helvetica 10}  -borderwidth {0}  -text {radius:}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame40.frame43.frame40.entry44
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame40.frame43.frame40.entry44  -font {Helvetica 10}  -textvariable {lsGUIradius}  -width {10}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame40.frame43.frame40.entry44 <Key-Return> {lsGUImakeCircle}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame40.frame43.button35
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame40.frame43.button35  -command {lsGUImakeCircle}  -text {Make Circle}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame41
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame41  -borderwidth {0}  -relief {flat}  -width {247}  -height {138}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame41.label44
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame41.label44  -font {Helvetica 10}  -text {Ellipse Parameters}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame41.frame45
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame41.frame45  -width {276}  -height {80}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame41.frame45.frame8
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame41.frame45.frame8  -width {272}  -height {25}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame41.frame45.frame8.label16
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame41.frame45.frame8.label16  -font {Helvetica 10}  -borderwidth {0}  -text {Center:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame41.frame45.frame8.label17
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame41.frame45.frame8.label17  -font {Helvetica 10}  -borderwidth {0}  -text {X:}  -width {3}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame41.frame45.frame8.entry18
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame41.frame45.frame8.entry18  -font {Helvetica 10}  -textvariable {lsGUIctrX}  -width {5}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame41.frame45.frame8.entry18 <Key-Return> {lsGUImakeEllipse}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame41.frame45.frame8.label19
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame41.frame45.frame8.label19  -font {Helvetica 10}  -text {Y:}  -width {3}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame41.frame45.frame8.entry20
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame41.frame45.frame8.entry20  -font {Helvetica 10}  -textvariable {lsGUIctrY}  -width {5}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame41.frame45.frame8.entry20 <Key-Return> {lsGUImakeEllipse}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame41.frame45.frame50
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame41.frame45.frame50  -width {329}  -height {28}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame41.frame45.frame50.label17
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame41.frame45.frame50.label17  -font {Helvetica 10}  -borderwidth {0}  -text {a:}  -width {3}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame41.frame45.frame50.entry18
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame41.frame45.frame50.entry18  -font {Helvetica 10}  -textvariable {lsGUIellipseA}  -width {5}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame41.frame45.frame50.entry18 <Key-Return> {lsGUImakeEllipse}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame41.frame45.frame50.label19
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame41.frame45.frame50.label19  -font {Helvetica 10}  -text {b:}  -width {3}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame41.frame45.frame50.entry20
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame41.frame45.frame50.entry20  -font {Helvetica 10}  -textvariable {lsGUIellipseB}  -width {5}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame41.frame45.frame50.entry20 <Key-Return> {lsGUImakeEllipse}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame41.frame45.frame50.label51
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame41.frame45.frame50.label51  -font {Helvetica 10}  -borderwidth {0}  -text {perimeter:}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame41.frame45.frame50.entry1
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame41.frame45.frame50.entry1  -font {Helvetica 10}  -textvariable {lsGUIellipsePERIMETER}  -width {9}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame41.frame45.frame50.entry1 <Key-Return> {lsGUImakeEllipse}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame41.frame45.button35
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame41.frame45.button35  -command {lsGUImakeEllipse}  -text {Make Ellipse}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.button1
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.button1  -command {lsGUIaddToGroup analytic}  -text {Add to Group}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe4
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe4  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe4.frame71
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe4.frame71  -borderwidth {0}  -relief {flat}  -width {702}  -height {54}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe4.frame71.label34
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe4.frame71.label34  -font {Helvetica 10}  -borderwidth {0}  -text {Parallel Projection (must be on!)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe4.frame71.frame35
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe4.frame71.frame35  -width {111}  -height {70}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe4.frame71.frame35.radiobutton36
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe4.frame71.frame35.radiobutton36  -variable {lsGUIparallelProjectionFlag}  -command {lsGUIparallelProjection}  -text {on}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe4.frame71.frame35.radiobutton37
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe4.frame71.frame35.radiobutton37  -variable {lsGUIparallelProjectionFlag}  -value {0}  -command {lsGUIparallelProjection}  -text {off}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe4.frame33
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe4.frame33  -borderwidth {0}  -relief {flat}  -width {702}  -height {54}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe4.frame33.label34
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe4.frame33.label34  -font {Helvetica 10}  -borderwidth {0}  -text {Create Contour As:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe4.frame33.frame35
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe4.frame33.frame35  -width {111}  -height {70}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe4.frame33.frame35.radiobutton36
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe4.frame33.frame35.radiobutton36  -variable {lsGUIhandContourType}  -value {levelset}  -text {Level Set}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe4.frame33.frame35.radiobutton37
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe4.frame33.frame35.radiobutton37  -variable {lsGUIhandContourType}  -value {threshold}  -text {Threshold}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe4.frame15
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe4.frame15  -borderwidth {0}  -relief {flat}  -width {390}  -height {93}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe4.frame15.label66
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe4.frame15.label66  -font {Helvetica 10}  -borderwidth {0}  -text {Miscellaneous}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe4.frame15.button67
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe4.frame15.button67  -command {lsGUIaddToGroup hand}  -text {Add To Group}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe4.frame69
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe4.frame69  -borderwidth {0}  -relief {flat}  -width {390}  -height {126}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe4.frame69.label70
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe4.frame69.label70  -font {Helvetica 10}  -borderwidth {0}  -text {Help Info}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe4.frame69.frame
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe4.frame69.frame  -relief {flat}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe4.frame69.frame.scrollbar1
  ttk::scrollbar .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe4.frame69.frame.scrollbar1  -command {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe4.frame69.frame.text2 yview}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe4.frame69.frame.text2
  text .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe4.frame69.frame.text2  -font {Helvetica 10}  -height {10}  -relief {raised}  -width {40}  -wrap {word}  -yscrollcommand {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe4.frame69.frame.scrollbar1 set}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe4.frame69.frame.text2 <Key> {NoFunction}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame61
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame61  -borderwidth {0}  -relief {flat}  -width {661}  -height {102}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame61.frame0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame61.frame0  -width {595}  -height {71}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame61.frame0.frame1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame61.frame0.frame1  -width {476}  -height {66}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame61.frame0.frame1.frame31
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame61.frame0.frame1.frame31  -width {694}  -height {132}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame61.frame0.frame1.frame31.button32
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame61.frame0.frame1.frame31.button32  -command {lsGUIcopySeg levelset}  -text {Copy}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame61.frame0.frame1.frame31.button33
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame61.frame0.frame1.frame31.button33  -command {lsGUIpasteSeg levelset}  -text {Paste}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame61.frame0.frame1.frame31.button34
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame61.frame0.frame1.frame31.button34  -command {lsGUIinterpCircle levelset}  -text {Fit Circle}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame61.frame0.frame1.frame36
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame61.frame0.frame1.frame36  -width {694}  -height {51}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame61.frame0.frame1.frame36.button37
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame61.frame0.frame1.frame36.button37  -command {lsGUIscaleSeg levelset}  -text {Scale by:}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame61.frame0.frame1.frame36.entry38
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame61.frame0.frame1.frame36.entry38  -font {Helvetica 10}  -textvariable {lsGUIscaleFactor}  -width {5}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame61.frame0.frame1.frame36.button39
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame61.frame0.frame1.frame36.button39  -command {lsGUItranslateSeg levelset}  -text {Translate by:}  -width {12}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame61.frame0.frame1.frame36.entry40
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame61.frame0.frame1.frame36.entry40  -font {Helvetica 10}  -textvariable {lsGUItransX}  -width {5}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame61.frame0.frame1.frame36.entry41
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame61.frame0.frame1.frame36.entry41  -font {Helvetica 10}  -textvariable {lsGUItransY}  -width {5}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame61.frame0.frame1.frame36.label44
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame61.frame0.frame1.frame36.label44  -font {Helvetica 10}  -borderwidth {0}  -text {dY:}  -width {4}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame61.frame0.frame1.frame36.label52
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame61.frame0.frame1.frame36.label52  -font {Helvetica 10}  -borderwidth {0}  -text {dX:}  -width {4}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame61.frame0.frame1.frame36.button4
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame61.frame0.frame1.frame36.button4  -command {lsGUIfourierSmoothSeg levelset}  -text {Fourier smooth:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame61.frame0.frame1.frame36.entry6
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame61.frame0.frame1.frame36.entry6  -font {Helvetica 10}  -textvariable {lsGUIfourierNumModes}  -width {5}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame61.label62
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame61.label62  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Level Set Additional Single Slice Manipulations}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame61.button53
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame61.button53  -command {lsGUIaddToGroup levelset}  -text {Add to Group}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame14
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame14  -borderwidth {0}  -relief {flat}  -width {661}  -height {102}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame14.frame0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame14.frame0  -width {595}  -height {71}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame14.frame0.frame1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame14.frame0.frame1  -width {476}  -height {66}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame14.frame0.frame1.frame31
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame14.frame0.frame1.frame31  -width {694}  -height {132}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame14.frame0.frame1.frame31.button32
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame14.frame0.frame1.frame31.button32  -command {lsGUIcopySeg threshold}  -text {Copy}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame14.frame0.frame1.frame31.button33
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame14.frame0.frame1.frame31.button33  -command {lsGUIpasteSeg threshold}  -text {Paste}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame14.frame0.frame1.frame31.button34
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame14.frame0.frame1.frame31.button34  -command {lsGUIinterpCircle threshold}  -text {Interpolate Circle}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame14.frame0.frame1.frame36
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame14.frame0.frame1.frame36  -width {694}  -height {51}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame14.frame0.frame1.frame36.button37
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame14.frame0.frame1.frame36.button37  -command {lsGUIscaleSeg threshold}  -text {Scale by:}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame14.frame0.frame1.frame36.entry38
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame14.frame0.frame1.frame36.entry38  -font {Helvetica 10}  -textvariable {lsGUIscaleFactor}  -width {5}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame14.frame0.frame1.frame36.button39
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame14.frame0.frame1.frame36.button39  -command {lsGUItranslateSeg threshold}  -text {Translate by:}  -width {12}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame14.frame0.frame1.frame36.entry40
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame14.frame0.frame1.frame36.entry40  -font {Helvetica 10}  -textvariable {lsGUItransX}  -width {5}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame14.frame0.frame1.frame36.entry41
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame14.frame0.frame1.frame36.entry41  -font {Helvetica 10}  -textvariable {lsGUItransY}  -width {5}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame14.frame0.frame1.frame36.label44
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame14.frame0.frame1.frame36.label44  -font {Helvetica 10}  -borderwidth {0}  -text {dY:}  -width {4}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame14.frame0.frame1.frame36.label52
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame14.frame0.frame1.frame36.label52  -font {Helvetica 10}  -borderwidth {0}  -text {dX:}  -width {4}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame14.frame0.frame1.frame36.button4
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame14.frame0.frame1.frame36.button4  -command {lsGUIfourierSmoothSeg threshold}  -text {Fourier smooth:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame14.frame0.frame1.frame36.entry6
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame14.frame0.frame1.frame36.entry6  -font {Helvetica 10}  -textvariable {lsGUIfourierNumModes}  -width {5}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame14.label62
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame14.label62  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Threshold Additional Single Slice Manipulations}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame14.button53
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame14.button53  -command {lsGUIaddToGroup threshold}  -text {Add to Group}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame27
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame27  -borderwidth {0}  -relief {flat}  -width {756}  -height {38}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame27.frame0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame27.frame0  -width {595}  -height {71}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame27.frame0.frame1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame27.frame0.frame1  -width {476}  -height {66}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame27.frame0.frame1.frame36
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame27.frame0.frame1.frame36  -width {694}  -height {51}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame27.frame0.frame1.frame36.button37
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame27.frame0.frame1.frame36.button37  -command {lsGUIscaleSeg analytic}  -text {Scale by:}  -width {12}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame27.frame0.frame1.frame36.entry38
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame27.frame0.frame1.frame36.entry38  -font {Helvetica 10}  -textvariable {lsGUIscaleFactor}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame27.label47
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame27.label47  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Analytic Additional Options}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame27.frame11
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame27.frame11  -width {541}  -height {35}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame27.frame11.button53
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame27.frame11.button53  -command {lsGUIaddToGroup analytic}  -text {Add to Group}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame27.frame48
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame27.frame48  -width {395}  -height {38}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame27.frame48.button39
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame27.frame48.button39  -command {lsGUItranslateSeg analytic}  -text {Translate by:}  -width {12}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame27.frame48.label52
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame27.frame48.label52  -font {Helvetica 10}  -borderwidth {0}  -text {dX:}  -width {4}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame27.frame48.entry40
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame27.frame48.entry40  -font {Helvetica 10}  -textvariable {lsGUItransX}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame27.frame48.label44
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame27.frame48.label44  -font {Helvetica 10}  -borderwidth {0}  -text {dY:}  -width {4}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame27.frame48.entry41
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame27.frame48.entry41  -font {Helvetica 10}  -textvariable {lsGUItransY}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame60
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame60  -borderwidth {0}  -relief {flat}  -width {214}  -height {59}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame60.frame60
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame60.frame60  -width {541}  -height {22}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame60.frame60.label61
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame60.frame60.label61  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Level Set Batch Segmentation Controls}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame60.frame12
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame60.frame12  -width {541}  -height {35}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame60.frame12.label54
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame60.frame12.label54  -font {Helvetica 10}  -borderwidth {0}  -text {batch list:}  -width {12}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame60.frame12.entry55
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame60.frame12.entry55  -font {Helvetica 10}  -textvariable {lsGUIbatchEntry}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame60.frame12.entry55 <Key-Return> {lsGUIsegBatch levelset}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame60.frame0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame60.frame0  -width {573}  -height {61}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame60.frame0.frame26
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame60.frame0.frame26  -width {552}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame60.frame0.frame26.checkbutton27
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame60.frame0.frame26.checkbutton27  -variable {lsGUIguessParamsCheckButton}  -text {Guess Parameters}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame60.frame0.frame57
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame60.frame0.frame57  -width {653}  -height {38}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame60.frame0.frame57.button57
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame60.frame0.frame57.button57  -command {lsGUIsegBatch levelset}  -text {Batch Segmentation}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame60.frame0.frame57.button58
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame60.frame0.frame57.button58  -command {lsGUIaddToGroupBatch levelset}  -text {Add All in List to Group}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame60.frame1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame60.frame1  -borderwidth {0}  -relief {flat}  -width {185}  -height {66}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame60.frame1.button0
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame60.frame1.button0  -command {lsGUIinterpCircleBatch levelset}  -text {Fit Circles}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame60.frame1.frame4
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame60.frame1.frame4  -width {181}  -height {31}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame60.frame1.frame4.button4
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame60.frame1.frame4.button4  -command {lsGUIfourierSmoothBatch levelset}  -text {Fourier smooth:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame60.frame1.frame4.entry6
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame60.frame1.frame4.entry6  -font {Helvetica 10}  -textvariable {lsGUIfourierNumModes}  -width {5}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame16
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame16  -borderwidth {0}  -relief {flat}  -width {214}  -height {59}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame16.frame60
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame16.frame60  -width {541}  -height {22}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame16.frame60.label61
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame16.frame60.label61  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Threshold Batch Segmentation Controls}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame16.frame6
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame16.frame6  -width {397}  -height {66}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame16.frame6.frame12
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame16.frame6.frame12  -width {541}  -height {35}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame16.frame6.frame12.label54
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame16.frame6.frame12.label54  -font {Helvetica 10}  -borderwidth {0}  -text {batch list:}  -width {12}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame16.frame6.frame12.entry55
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame16.frame6.frame12.entry55  -font {Helvetica 10}  -textvariable {lsGUIbatchEntry}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame16.frame6.frame12.entry55 <Key-Return> {lsGUIsegBatch threshold}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame16.frame6.frame57
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame16.frame6.frame57  -width {653}  -height {38}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame16.frame6.frame57.button57
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame16.frame6.frame57.button57  -command {lsGUIsegBatch threshold}  -text {Batch Segmentation}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame16.frame6.frame57.button58
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame16.frame6.frame57.button58  -command {lsGUIaddToGroupBatch threshold}  -text {Add All in List to Group}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame16.frame6.frame57.button0
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame16.frame6.frame57.button0  -command {lsGUIinterpCircleBatch threshold}  -text {Interp. to Circles}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame16.frame1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame16.frame1  -borderwidth {0}  -relief {flat}  -width {185}  -height {66}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame16.frame1.button0
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame16.frame1.button0  -command {lsGUIinterpCircleBatch threshold}  -text {Fit Circles}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame16.frame1.frame4
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame16.frame1.frame4  -width {181}  -height {31}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame16.frame1.frame4.button4
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame16.frame1.frame4.button4  -command {lsGUIfourierSmoothBatch threshold}  -text {Fourier smooth:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame16.frame1.frame4.entry6
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame16.frame1.frame4.entry6  -font {Helvetica 10}  -textvariable {lsGUIfourierNumModes}  -width {5}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15  -borderwidth {0}  -relief {flat}  -width {787}  -height {382}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40  -width {693}  -height {244}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48  -borderwidth {0}  -relief {flat}  -width {388}  -height {204}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe1
  ttk::labelframe .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe1  -text {Seed Parameters [-]}  -height {10}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe1 <Button-1> {guiCV_squeezer_labelframe .frame17 %W}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe1.frame17
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe1.frame17  -borderwidth {0}  -relief {raised}  -width {318}  -height {120}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe1.frame17.frame3
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe1.frame17.frame3  -borderwidth {0}  -relief {raised}  -width {316}  -height {22}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe1.frame17.frame3.label1
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe1.frame17.frame3.label1  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe1.frame17.frame3.label2
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe1.frame17.frame3.label2  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Image}  -width {7}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe1.frame17.frame3.label3
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe1.frame17.frame3.label3  -font {Helvetica 10}  -borderwidth {1}  -relief {flat}  -width {26}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe1.frame17.frame3.label4
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe1.frame17.frame3.label4  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Physical}  -width {25}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe1.frame17.frame8
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe1.frame17.frame8  -borderwidth {0}  -relief {flat}  -width {316}  -height {22}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe1.frame17.frame8.label1
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe1.frame17.frame8.label1  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Center:}  -width {8}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe1.frame17.frame8.label2
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe1.frame17.frame8.label2  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {X}  -width {2}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe1.frame17.frame8.entry1
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe1.frame17.frame8.entry1  -font {Helvetica 10}  -textvariable {lsGUIctrX}  -width {10}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe1.frame17.frame8.entry1 <Key-Return> {itklsUpdatePhyCenter 0}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe1.frame17.frame8.label3
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe1.frame17.frame8.label3  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -width {2}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe1.frame17.frame8.label4
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe1.frame17.frame8.label4  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Y}  -width {2}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe1.frame17.frame8.entry2
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe1.frame17.frame8.entry2  -font {Helvetica 10}  -textvariable {lsGUIctrY}  -width {10}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe1.frame17.frame8.entry2 <Key-Return> {itklsUpdatePhyCenter 0}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe1.frame17.frame8.label10
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe1.frame17.frame8.label10  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -width {5}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe1.frame17.frame8.label5
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe1.frame17.frame8.label5  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {X}  -width {2}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe1.frame17.frame8.entry3
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe1.frame17.frame8.entry3  -font {Helvetica 10}  -textvariable {itklsGUIParams(phyCntrX)}  -width {10}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe1.frame17.frame8.entry3 <Key-Return> {itklsUpdateCenter 0}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe1.frame17.frame8.label6
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe1.frame17.frame8.label6  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -width {2}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe1.frame17.frame8.label7
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe1.frame17.frame8.label7  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Y}  -width {2}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe1.frame17.frame8.entry4
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe1.frame17.frame8.entry4  -font {Helvetica 10}  -textvariable {itklsGUIParams(phyCntrY)}  -width {10}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe1.frame17.frame8.entry4 <Key-Return> {itklsUpdateCenter 0}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe1.frame17.frame11
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe1.frame17.frame11  -borderwidth {0}  -relief {flat}  -width {316}  -height {22}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe1.frame17.frame11.label16
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe1.frame17.frame11.label16  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Radius:}  -width {8}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe1.frame17.frame11.label17
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe1.frame17.frame11.label17  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -width {2}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe1.frame17.frame11.entry18
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe1.frame17.frame11.entry18  -font {Helvetica 10}  -textvariable {lsGUIradius}  -width {25}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe1.frame17.frame11.entry18 <Key-Return> {itklsGUIUpdatePhyRadius}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe1.frame17.frame11.label19
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe1.frame17.frame11.label19  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -width {5}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe1.frame17.frame11.label7
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe1.frame17.frame11.label7  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -width {2}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe1.frame17.frame11.entry20
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe1.frame17.frame11.entry20  -font {Helvetica 10}  -textvariable {itklsGUIParams(phyRadius)}  -width {25}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe1.frame17.frame11.entry20 <Key-Return> {itklsGUIUpdateRadius}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe1.frame17.frame12
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe1.frame17.frame12  -borderwidth {0}  -relief {flat}  -width {316}  -height {22}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe1.frame17.frame12.label16
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe1.frame17.frame12.label16  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2
  ttk::labelframe .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2  -text {Stage 1 Parameters [-]}  -height {10}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2 <Button-1> {guiCV_squeezer_labelframe .frame4 %W}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2.frame4
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2.frame4  -borderwidth {0}  -relief {raised}  -width {318}  -height {120}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2.frame4.frame8
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2.frame4.frame8  -borderwidth {0}  -relief {flat}  -width {316}  -height {22}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2.frame4.frame8.label16
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2.frame4.frame8.label16  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Blur}  -width {6}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2.frame4.frame8.label17
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2.frame4.frame8.label17  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Feat.}  -width {4}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2.frame4.frame8.entry18
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2.frame4.frame8.entry18  -font {Helvetica 10}  -textvariable {itklsGUIParams(gSigma1)}  -width {0}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2.frame4.frame8.entry18 <Key-Return> {itklsDo 1}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2.frame4.frame8.label19
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2.frame4.frame8.label19  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -width {6}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2.frame4.frame8.label7
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2.frame4.frame8.label7  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Adv.}  -width {4}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2.frame4.frame8.entry20
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2.frame4.frame8.entry20  -font {Helvetica 10}  -textvariable {itklsGUIParams(advSigma1)}  -width {0}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2.frame4.frame8.entry20 <Key-Return> {itklsDo 1}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2.frame4.frame15
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2.frame4.frame15  -borderwidth {0}  -relief {flat}  -width {316}  -height {22}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2.frame4.frame15.label16
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2.frame4.frame15.label16  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Kthr:}  -width {7}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2.frame4.frame15.label17
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2.frame4.frame15.label17  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -width {3}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2.frame4.frame15.entry18
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2.frame4.frame15.entry18  -font {Helvetica 10}  -textvariable {itklsGUIParams(kThr)}  -width {0}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2.frame4.frame15.entry18 <Key-Return> {itklsDo 1}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2.frame4.tlabelframe1
  ttk::labelframe .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2.frame4.tlabelframe1  -text {Advanced Parameters [+]}  -height {22}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2.frame4.tlabelframe1 <Button-1> {guiCV_squeezer_labelframe .frame10 %W}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2.frame4.tlabelframe1.frame10
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2.frame4.tlabelframe1.frame10  -borderwidth {0}  -relief {flat}  -width {318}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2.frame4.tlabelframe1.frame10.frame3
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2.frame4.tlabelframe1.frame10.frame3  -borderwidth {0}  -relief {flat}  -width {316}  -height {22}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2.frame4.tlabelframe1.frame10.frame3.label16
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2.frame4.tlabelframe1.frame10.frame3.label16  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Exp. Factor}  -width {11}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2.frame4.tlabelframe1.frame10.frame3.label17
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2.frame4.tlabelframe1.frame10.frame3.label17  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Rise}  -width {4}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2.frame4.tlabelframe1.frame10.frame3.entry18
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2.frame4.tlabelframe1.frame10.frame3.entry18  -font {Helvetica 10}  -textvariable {itklsGUIParams(expRise)}  -width {0}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2.frame4.tlabelframe1.frame10.frame3.entry18 <Key-Return> {itklsDo 1}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2.frame4.tlabelframe1.frame10.frame3.label19
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2.frame4.tlabelframe1.frame10.frame3.label19  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -width {5}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2.frame4.tlabelframe1.frame10.frame3.label7
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2.frame4.tlabelframe1.frame10.frame3.label7  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Fall}  -width {3}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2.frame4.tlabelframe1.frame10.frame3.entry20
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2.frame4.tlabelframe1.frame10.frame3.entry20  -font {Helvetica 10}  -textvariable {itklsGUIParams(expFall)}  -width {0}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2.frame4.tlabelframe1.frame10.frame3.entry20 <Key-Return> {itklsDo 1}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2.frame4.tlabelframe1.frame10.frame5
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2.frame4.tlabelframe1.frame10.frame5  -borderwidth {0}  -relief {flat}  -width {316}  -height {22}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2.frame4.tlabelframe1.frame10.frame5.label16
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2.frame4.tlabelframe1.frame10.frame5.label16  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Max Iterations}  -width {13}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2.frame4.tlabelframe1.frame10.frame5.label17
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2.frame4.tlabelframe1.frame10.frame5.label17  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -width {2}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2.frame4.tlabelframe1.frame10.frame5.entry18
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2.frame4.tlabelframe1.frame10.frame5.entry18  -font {Helvetica 10}  -textvariable {itklsGUIParams(maxIter1)}  -width {0}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2.frame4.tlabelframe1.frame10.frame5.entry18 <Key-Return> {itklsDo 1}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2.frame4.tlabelframe1.frame10.frame5.label19
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2.frame4.tlabelframe1.frame10.frame5.label19  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -width {1}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2.frame4.tlabelframe1.frame10.frame5.label7
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2.frame4.tlabelframe1.frame10.frame5.label7  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Max Err.}  -width {7}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2.frame4.tlabelframe1.frame10.frame5.entry20
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2.frame4.tlabelframe1.frame10.frame5.entry20  -font {Helvetica 10}  -textvariable {itklsGUIParams(maxErr1)}  -width {0}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2.frame4.tlabelframe1.frame10.frame5.entry20 <Key-Return> {itklsDo 1}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe3
  ttk::labelframe .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe3  -text {Stage 2 Parameters [-]}  -height {10}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe3 <Button-1> {guiCV_squeezer_labelframe .frame13 %W}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe3.frame13
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe3.frame13  -borderwidth {0}  -relief {flat}  -width {318}  -height {120}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe3.frame13.frame2
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe3.frame13.frame2  -borderwidth {0}  -relief {flat}  -width {316}  -height {22}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe3.frame13.frame2.label16
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe3.frame13.frame2.label16  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Stage 2 Parameters}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe3.frame13.frame8
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe3.frame13.frame8  -borderwidth {0}  -relief {flat}  -width {316}  -height {22}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe3.frame13.frame8.label16
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe3.frame13.frame8.label16  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Blur}  -width {6}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe3.frame13.frame8.label17
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe3.frame13.frame8.label17  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Feat.}  -width {4}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe3.frame13.frame8.entry18
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe3.frame13.frame8.entry18  -font {Helvetica 10}  -textvariable {itklsGUIParams(gSigma2)}  -width {0}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe3.frame13.frame8.entry18 <Key-Return> {itklsDo 2}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe3.frame13.frame8.label19
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe3.frame13.frame8.label19  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -width {6}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe3.frame13.frame8.label7
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe3.frame13.frame8.label7  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Adv.}  -width {4}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe3.frame13.frame8.entry20
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe3.frame13.frame8.entry20  -font {Helvetica 10}  -textvariable {itklsGUIParams(advSigma2)}  -width {0}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe3.frame13.frame8.entry20 <Key-Return> {itklsDo 2}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe3.frame13.frame11
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe3.frame13.frame11  -borderwidth {0}  -relief {flat}  -width {316}  -height {22}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe3.frame13.frame11.label16
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe3.frame13.frame11.label16  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Kupp}  -width {7}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe3.frame13.frame11.label17
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe3.frame13.frame11.label17  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -width {3}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe3.frame13.frame11.entry18
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe3.frame13.frame11.entry18  -font {Helvetica 10}  -textvariable {itklsGUIParams(kUpp)}  -width {0}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe3.frame13.frame11.entry18 <Key-Return> {itklsDo 2}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe3.frame13.frame11.label19
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe3.frame13.frame11.label19  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -width {5}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe3.frame13.frame11.label7
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe3.frame13.frame11.label7  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Klow}  -width {5}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe3.frame13.frame11.entry20
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe3.frame13.frame11.entry20  -font {Helvetica 10}  -textvariable {itklsGUIParams(kLow)}  -width {0}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe3.frame13.frame11.entry20 <Key-Return> {itklsDo 2}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe3.frame13.tlabelframe1
  ttk::labelframe .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe3.frame13.tlabelframe1  -text {Advanced Parameters [+]}  -height {22}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe3.frame13.tlabelframe1 <Button-1> {guiCV_squeezer_labelframe .frame5 %W}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe3.frame13.tlabelframe1.frame5
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe3.frame13.tlabelframe1.frame5  -borderwidth {0}  -relief {flat}  -width {316}  -height {22}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe3.frame13.tlabelframe1.frame5.label16
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe3.frame13.tlabelframe1.frame5.label16  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Max Iterations}  -width {13}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe3.frame13.tlabelframe1.frame5.label17
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe3.frame13.tlabelframe1.frame5.label17  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -width {2}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe3.frame13.tlabelframe1.frame5.entry18
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe3.frame13.tlabelframe1.frame5.entry18  -font {Helvetica 10}  -textvariable {itklsGUIParams(maxIter2)}  -width {0}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe3.frame13.tlabelframe1.frame5.entry18 <Key-Return> {itklsDo 2}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe3.frame13.tlabelframe1.frame5.label19
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe3.frame13.tlabelframe1.frame5.label19  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -width {1}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe3.frame13.tlabelframe1.frame5.label7
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe3.frame13.tlabelframe1.frame5.label7  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Max Err.}  -width {7}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe3.frame13.tlabelframe1.frame5.entry20
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe3.frame13.tlabelframe1.frame5.entry20  -font {Helvetica 10}  -textvariable {itklsGUIParams(maxErr2)}  -width {0}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe3.frame13.tlabelframe1.frame5.entry20 <Key-Return> {itklsDo 2}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe4
  ttk::labelframe .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe4  -text {Actions [-]}  -height {10}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe4 <Button-1> {guiCV_squeezer_labelframe .frame1 %W}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe4.frame1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe4.frame1  -borderwidth {0}  -relief {flat}  -width {318}  -height {120}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe4.frame1.button52
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe4.frame1.button52  -command {lsGUIaddToGroup levelset}  -text {Add to Group}  -width {32}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe4.frame1.button53
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe4.frame1.button53  -command {guiSVHELPshow itkls.txt}  -text {Help}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame10
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame10  -width {545}  -height {112}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame10.frame23
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame10.frame23  -width {453}  -height {22}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame10.frame23.label26
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame10.frame23.label26  -font {Helvetica 10}  -relief {ridge}  -text { }

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48  -borderwidth {0}  -relief {flat}  -width {388}  -height {204}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe5
  ttk::labelframe .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe5  -text {Display and Refresh Options [-]}  -height {18}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe5 <Button-1> {guiCV_squeezer_labelframe .frame4 %W}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe5.frame4
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe5.frame4  -borderwidth {0}  -relief {flat}  -width {318}  -height {120}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe5.frame4.frame2
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe5.frame4.frame2  -borderwidth {0}  -relief {flat}  -width {316}  -height {22}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe5.frame4.frame2.label16
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe5.frame4.frame2.label16  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Additional Options}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe5.frame4.frame12
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe5.frame4.frame12  -borderwidth {0}  -relief {flat}  -width {316}  -height {22}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe5.frame4.frame12.label16
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe5.frame4.frame12.label16  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Display}  -width {8}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe5.frame4.frame12.radiobutton13
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe5.frame4.frame12.radiobutton13  -variable {itklsGUIParams(showPot)}  -value {Stg1}  -command {itklsChangeFrame 0}  -text {Stage 1 Edge}  -width {11}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe5.frame4.frame12.radiobutton5
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe5.frame4.frame12.radiobutton5  -variable {itklsGUIParams(showPot)}  -value {Stg2}  -command {itklsChangeFrame 0}  -text {Stage 2 Edge}  -width {11}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe5.frame4.frame12.radiobutton1
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe5.frame4.frame12.radiobutton1  -variable {itklsGUIParams(showPot)}  -value {Default}  -command {itklsChangeFrame 0}  -text {Default}  -width {11}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe5.frame4.frame5
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe5.frame4.frame5  -borderwidth {0}  -relief {flat}  -width {45}  -height {22}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe5.frame4.frame5.label16
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe5.frame4.frame5.label16  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Always Refresh}  -width {15}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe5.frame4.frame5.frame138
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe5.frame4.frame5.frame138  -width {198}  -height {34}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe5.frame4.frame5.frame138.checkbutton83
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe5.frame4.frame5.frame138.checkbutton83  -variable {itklsGUIParams(recompSeed)}  -width {0}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe5.frame4.frame5.frame138.label92
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe5.frame4.frame5.frame138.label92  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Seed}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe5.frame4.frame5.frame11
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe5.frame4.frame5.frame11  -width {198}  -height {34}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe5.frame4.frame5.frame11.checkbutton83
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe5.frame4.frame5.frame11.checkbutton83  -variable {itklsGUIParams(recompStg1)}  -width {0}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe5.frame4.frame5.frame11.label92
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe5.frame4.frame5.frame11.label92  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Stage 1}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe5.frame4.frame5.frame13
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe5.frame4.frame5.frame13  -width {198}  -height {34}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe5.frame4.frame5.frame13.checkbutton83
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe5.frame4.frame5.frame13.checkbutton83  -variable {itklsGUIParams(recompStg2)}  -width {0}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe5.frame4.frame5.frame13.label92
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe5.frame4.frame5.frame13.label92  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Stage 2}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe6
  ttk::labelframe .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe6  -text {Batch and Smoothing [-]}  -height {18}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe6 <Button-1> {guiCV_squeezer_labelframe .frame13 %W}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe6.frame13
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe6.frame13  -borderwidth {1}  -relief {raised}  -width {45}  -height {120}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe6.frame13.frame1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe6.frame13.frame1  -borderwidth {0}  -relief {flat}  -width {45}  -height {22}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe6.frame13.frame1.button52
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe6.frame13.frame1.button52  -command {itklsBatchRun}  -text {Batch Segmenation:}  -width {18}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe6.frame13.frame1.entry18
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe6.frame13.frame1.entry18  -font {Helvetica 10}  -textvariable {itklsGUIParamsBatch(posList)}  -width {5}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe6.frame13.frame1.entry18 <Key-Return> {itklsBatchRun}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe6.frame13.frame6
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe6.frame13.frame6  -borderwidth {0}  -relief {flat}  -width {45}  -height {22}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe6.frame13.frame6.frame12
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe6.frame13.frame6.frame12  -borderwidth {0}  -relief {flat}  -width {9}  -height {22}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe6.frame13.frame6.frame12.frame12
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe6.frame13.frame6.frame12.frame12  -borderwidth {0}  -relief {flat}  -width {198}  -height {34}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe6.frame13.frame6.frame12.frame12.frame13
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe6.frame13.frame6.frame12.frame12.frame13  -width {198}  -height {34}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe6.frame13.frame6.frame12.frame12.checkbutton83
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe6.frame13.frame6.frame12.frame12.checkbutton83  -variable {itklsGUIParamsBatch(addToGroup)}  -command {itklsUpdateBatchInfo}  -width {0}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe6.frame13.frame6.frame12.frame12.label92
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe6.frame13.frame6.frame12.frame12.label92  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Add to Group}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe6.frame13.frame6.frame12.frame13
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe6.frame13.frame6.frame12.frame13  -borderwidth {0}  -relief {flat}  -width {198}  -height {34}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe6.frame13.frame6.frame12.frame13.checkbutton84
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe6.frame13.frame6.frame12.frame13.checkbutton84  -variable {itklsGUIParamsBatch(smooth)}  -command {itklsUpdateBatchInfo}  -width {0}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe6.frame13.frame6.frame12.frame13.label93
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe6.frame13.frame6.frame12.frame13.label93  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Smooth}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe6.frame13.frame6.frame13
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe6.frame13.frame6.frame13  -borderwidth {0}  -relief {flat}  -width {9}  -height {22}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe6.frame13.frame6.frame13.label16
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe6.frame13.frame6.frame13.label16  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Add to Group Info}  -width {8}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe6.frame13.frame6.frame13.frame11
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe6.frame13.frame6.frame13.frame11  -borderwidth {0}  -relief {flat}  -width {107}  -height {22}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe6.frame13.frame6.frame13.frame11.label16
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe6.frame13.frame6.frame13.frame11.label16  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Path Id:}  -width {8}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe6.frame13.frame6.frame13.frame11.label15
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe6.frame13.frame6.frame13.frame11.label15  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -textvariable {itklsGUIParamsBatch(pathId)}  -width {15}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe6.frame13.frame6.frame13.frame12
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe6.frame13.frame6.frame13.frame12  -borderwidth {0}  -relief {flat}  -width {107}  -height {22}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe6.frame13.frame6.frame13.frame12.label16
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe6.frame13.frame6.frame13.frame12.label16  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Group Name:}  -width {15}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe6.frame13.frame6.frame13.frame12.label15
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe6.frame13.frame6.frame13.frame12.label15  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -textvariable {itklsGUIParamsBatch(groupName)}  -width {15}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe6.frame13.frame7
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe6.frame13.frame7  -borderwidth {0}  -relief {flat}  -width {45}  -height {22}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe6.frame13.frame7.frame12
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe6.frame13.frame7.frame12  -borderwidth {0}  -relief {flat}  -width {9}  -height {22}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe6.frame13.frame7.frame12.frame11
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe6.frame13.frame7.frame12.frame11  -borderwidth {0}  -relief {flat}  -width {107}  -height {22}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe6.frame13.frame7.frame12.frame11.button52
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe6.frame13.frame7.frame12.frame11.button52  -command {lsGUIfourierSmoothSeg itklevelset}  -text {Fourier Smooth:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe6.frame13.frame7.frame12.frame11.entry18
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe6.frame13.frame7.frame12.frame11.entry18  -font {Helvetica 10}  -textvariable {itklsGUIfourierNumModes}  -width {5}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0
  ttk::notebook .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0  -borderwidth {2}  -relief {raised}  -width {787}  -height {382}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe0
  ttk::labelframe .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe0  -text {Display Options [-]}  -height {10}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe0 <Button-1> {guiCV_squeezer_labelframe .frame0 %W}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe0.frame0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe0.frame0  -borderwidth {0}  -relief {flat}  -width {787}  -height {120}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe0.frame0.frame0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe0.frame0.frame0  -borderwidth {0}  -relief {flat}  -width {300}  -height {120}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe0.frame0.frame0.label0
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe0.frame0.frame0.label0  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Image Display}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe0.frame0.frame0.radiobutton0
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe0.frame0.frame0.radiobutton0  -variable {gui3Dvars(ls_image_show_option)}  -value {image}  -command {itk3dLS_updateEdgeImage 0}  -text {image}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe0.frame0.frame0.radiobutton1
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe0.frame0.frame0.radiobutton1  -variable {gui3Dvars(ls_image_show_option)}  -value {edge}  -command {itk3dLS_updateEdgeImage 0}  -text {edge}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe0.frame0.frame1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe0.frame0.frame1  -borderwidth {0}  -relief {flat}  -width {300}  -height {120}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe0.frame0.frame1.label0
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe0.frame0.frame1.label0  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Level set Display}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe0.frame0.frame1.checkbutton0
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe0.frame0.frame1.checkbutton0  -variable {gui3Dvars(ls_evol_show_option)}  -text {Show evolution}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe0.frame0.frame1.label1
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe0.frame0.frame1.label1  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Refresh every:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe0.frame0.frame1.entry0
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe0.frame0.frame1.entry0  -font {Helvetica 10}  -textvariable {gui3Dvars(ls_evol_refresh)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1
  ttk::labelframe .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1  -text {Segmentaion Options [-]}  -height {10}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1 <Button-1> {guiCV_squeezer_labelframe .frame0 %W}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0  -borderwidth {0}  -relief {flat}  -width {787}  -height {120}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame0  -borderwidth {0}  -relief {flat}  -width {300}  -height {120}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame0.line0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame0.line0  -borderwidth {0}  -relief {flat}  -width {300}  -height {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame0.line0.label0
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame0.line0.label0  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Edge Proximity Filter}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame0.line1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame0.line1  -borderwidth {0}  -relief {flat}  -width {300}  -height {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame0.line1.label0
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame0.line1.label0  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Filter Type: }  -width {18}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame0.line1.menubutton0
  ttk::menubutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame0.line1.menubutton0  -menu {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame0.line1.menubutton0.m}  -text {RationalPoly}  -textvariable {gui3Dvars(ls_edge_prox_type)}  -width {12}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame0.line1.menubutton0.m
  menu .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame0.line1.menubutton0.m  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame0.line1.menubutton0.m add radiobutton  -value {RationalPoly}  -variable {gui3Dvars(ls_edge_prox_type)}  -command {itk3dLS_updateEdgeImage 0}  -label {Rational Polynomial}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame0.line2
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame0.line2  -borderwidth {0}  -relief {flat}  -width {300}  -height {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame0.line2.label0
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame0.line2.label0  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Blur:}  -width {18}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame0.line2.entry0
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame0.line2.entry0  -font {Helvetica 10}  -textvariable {gui3Dvars(ls_edge_prox_sigma)}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame0.line2.entry0 <Key-Return> {itk3dLS_updateEdgeImage 0}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame0.line3
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame0.line3  -borderwidth {0}  -relief {flat}  -width {300}  -height {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame0.line3.label0
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame0.line3.label0  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Contrast Constant:}  -width {18}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame0.line3.entry0
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame0.line3.entry0  -font {Helvetica 10}  -textvariable {gui3Dvars(ls_edge_prox_kappa)}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame0.line3.entry0 <Key-Return> {itk3dLS_updateEdgeImage 0}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame0.line4
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame0.line4  -borderwidth {0}  -relief {flat}  -width {300}  -height {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame0.line4.label0
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame0.line4.label0  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Proximity Exponent:}  -width {18}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame0.line4.entry0
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame0.line4.entry0  -font {Helvetica 10}  -textvariable {gui3Dvars(ls_edge_prox_exponent)}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame0.line4.entry0 <Key-Return> {itk3dLS_updateEdgeImage 0}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame0.line5
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame0.line5  -borderwidth {0}  -relief {flat}  -width {300}  -height {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame0.line5.button0
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame0.line5.button0  -command {itk3dLS_updateEdgeImage 0}  -text {Update Display}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame1  -borderwidth {0}  -relief {flat}  -width {300}  -height {120}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame1.line0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame1.line0  -borderwidth {0}  -relief {flat}  -width {300}  -height {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame1.line0.label0
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame1.line0.label0  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Level Set Parameters}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame1.line1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame1.line1  -borderwidth {0}  -relief {flat}  -width {300}  -height {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame1.line1.label0
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame1.line1.label0  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Level Set Type: }  -width {18}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame1.line1.menubutton0
  ttk::menubutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame1.line1.menubutton0  -menu {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame1.line1.menubutton0.m}  -text {LaplFastEdge}  -textvariable {gui3Dvars(ls_ls_type)}  -width {12}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame1.line1.menubutton0.m
  menu .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame1.line1.menubutton0.m  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame1.line1.menubutton0.m add radiobutton  -value {LaplFastEdge}  -variable {gui3Dvars(ls_ls_type)}  -command {lsGUI3dSwapLSPanel}  -label {Laplacian Fast Edge Grower}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame1.line1.menubutton0.m add radiobutton  -value {GeoSmooth}  -variable {gui3Dvars(ls_ls_type)}  -command {lsGUI3dSwapLSPanel}  -label {Geodesic Smoother}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame1.line2
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame1.line2  -borderwidth {0}  -relief {flat}  -width {300}  -height {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame1.line2.label0
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame1.line2.label0  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Iterations:}  -width {18}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame1.line2.entry0
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame1.line2.entry0  -font {Helvetica 10}  -textvariable {gui3Dvars(ls_ls_numiter)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame1.labelframe0
  ttk::labelframe .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame1.labelframe0  -text {Advanced Parameters [-]}  -height {10}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame1.labelframe0 <Button-1> {guiCV_squeezer_labelframe .frame0 %W}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame1.labelframe0.frame0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame1.labelframe0.frame0  -borderwidth {0}  -relief {flat}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame1.labelframe0.frame0.line0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame1.labelframe0.frame0.line0  -borderwidth {0}  -relief {flat}  -width {300}  -height {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame1.labelframe0.frame0.line0.label0
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame1.labelframe0.frame0.line0.label0  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Prop. Scaling:}  -width {14}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame1.labelframe0.frame0.line0.entry0
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame1.labelframe0.frame0.line0.entry0  -font {Helvetica 10}  -textvariable {gui3Dvars(ls_ls_prop)}  -width {8}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame1.labelframe0.frame0.line0.label1
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame1.labelframe0.frame0.line0.label1  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Curv. Scaling:}  -width {14}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame1.labelframe0.frame0.line0.entry1
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame1.labelframe0.frame0.line0.entry1  -font {Helvetica 10}  -textvariable {gui3Dvars(ls_ls_curv)}  -width {8}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame1.labelframe0.frame0.line1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame1.labelframe0.frame0.line1  -borderwidth {0}  -relief {flat}  -width {300}  -height {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame1.labelframe0.frame0.line1.label0
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame1.labelframe0.frame0.line1.label0  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Advect. Scaling:}  -width {14}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame1.labelframe0.frame0.line1.entry0
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame1.labelframe0.frame0.line1.entry0  -font {Helvetica 10}  -textvariable {gui3Dvars(ls_ls_adv)}  -width {8}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame1.labelframe0.frame0.line1.label1
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame1.labelframe0.frame0.line1.label1  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Iso Value:}  -width {14}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame1.labelframe0.frame0.line1.entry1
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame1.labelframe0.frame0.line1.entry1  -font {Helvetica 10}  -textvariable {gui3Dvars(ls_ls_iso)}  -width {8}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame15
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame15  -borderwidth {1}  -relief {raised}  -width {787}  -height {382}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframe4
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframe4  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframe4.tlabel5
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframe4.tlabel5  -font {Helvetica 10}  -relief {flat}  -justify {center}  -text {Common Parameters}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframe4.tframe0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframe4.tframe0  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframe4.tframe0.frame24
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframe4.tframe0.frame24  -width {325}  -height {205}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframe4.tframe0.frame24.frame38
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframe4.tframe0.frame24.frame38  -width {453}  -height {44}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframe4.tframe0.frame24.frame38.label30
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframe4.tframe0.frame24.frame38.label30  -font {Helvetica 10}  -borderwidth {0}  -text {Max Steps:}  -width {25}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframe4.tframe0.frame24.frame38.entry42
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframe4.tframe0.frame24.frame38.entry42  -font {Helvetica 10}  -textvariable {gui3Dvars(ls_MaxSteps)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframe4.tframe0.frame24.frame40
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframe4.tframe0.frame24.frame40  -width {453}  -height {44}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframe4.tframe0.frame24.frame40.label32
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframe4.tframe0.frame24.frame40.label32  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Grid Factor:}  -width {25}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframe4.tframe0.frame24.frame40.entry44
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframe4.tframe0.frame24.frame40.entry44  -font {Helvetica 10}  -textvariable {gui3Dvars(ls_GridFactor)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframe4.tframe0.frame24.frame1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframe4.tframe0.frame24.frame1  -width {453}  -height {44}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframe4.tframe0.frame24.frame1.label32
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframe4.tframe0.frame24.frame1.label32  -font {Helvetica 10}  -borderwidth {0}  -text {Rebuild Phi After Every:}  -width {25}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframe4.tframe0.frame24.frame1.entry44
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframe4.tframe0.frame24.frame1.entry44  -font {Helvetica 10}  -textvariable {gui3Dvars(ls_rebuildPhiFrequency)}  -width {10}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframe4.tframe0.frame24.frame1.entry44 <Key-Return> {lsGUIchangeFrame 0}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframe4.tframe0.frame2
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframe4.tframe0.frame2  -width {325}  -height {205}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframe4.tframe0.frame2.frame0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframe4.tframe0.frame2.frame0  -width {453}  -height {44}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframe4.tframe0.frame2.frame0.label32
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframe4.tframe0.frame2.frame0.label32  -font {Helvetica 10}  -borderwidth {0}  -text {Stop Velocity:}  -width {25}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframe4.tframe0.frame2.frame0.entry44
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframe4.tframe0.frame2.frame0.entry44  -font {Helvetica 10}  -textvariable {gui3Dvars(ls_stopV)}  -width {10}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframe4.tframe0.frame2.frame0.entry44 <Key-Return> {lsGUIchangeFrame 0}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframe4.tframe0.frame2.frame39
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframe4.tframe0.frame2.frame39  -width {453}  -height {48}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframe4.tframe0.frame2.frame39.label31
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframe4.tframe0.frame2.frame39.label31  -font {Helvetica 10}  -borderwidth {0}  -text {Goodness Stop Criteria:}  -width {25}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframe4.tframe0.frame2.frame39.entry45
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframe4.tframe0.frame2.frame39.entry45  -font {Helvetica 10}  -textvariable {gui3Dvars(ls_GoodnessStop)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframe4.tframe0.frame2.frame2
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframe4.tframe0.frame2.frame2  -width {453}  -height {44}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframe4.tframe0.frame2.frame2.label32
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframe4.tframe0.frame2.frame2.label32  -font {Helvetica 10}  -borderwidth {0}  -text {Check Area Interval:}  -width {25}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframe4.tframe0.frame2.frame2.entry44
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframe4.tframe0.frame2.frame2.entry44  -font {Helvetica 10}  -textvariable {gui3Dvars(ls_checkGoodnessFrequency)}  -width {10}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframe4.tframe0.frame2.frame2.entry44 <Key-Return> {lsGUIchangeFrame 0}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframe4.frame11
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframe4.frame11  -width {541}  -height {35}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframe4.frame11.button52
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframe4.frame11.button52  -command {gui3DrunLS}  -text {Start Segmentation}  -width {7}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframe4.frame11.button0
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframe4.frame11.button0  -command {itk3dLSHalt}  -text {Halt Segmentation}  -width {7}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframe4.frame11.button1
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframe4.frame11.button1  -command {ShowWindow.svSaveSegWindow }  -text {Save Surface}  -width {7}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframe0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframe0  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframe0.tlabel2
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframe0.tlabel2  -font {Helvetica 10}  -relief {flat}  -text {Select Volume to Segment:}  -width {25}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframe0.tradiobutton3
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframe0.tradiobutton3  -variable {gui3Dvars(ls_volume)}  -value {volume_image}  -text {whole volume}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframe0.tradiobutton4
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframe0.tradiobutton4  -variable {gui3Dvars(ls_volume)}  -value {resampled_image}  -text {resampled volume}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame17
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame17  -relief {raised}  -width {407}  -height {32}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame17.label11
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame17.label11  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Segmentation file:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame17.entry12
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame17.entry12  -font {Helvetica 10}  -textvariable {gFilenames(3d_ls_seg_file)}  -width {35}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame17.menubutton20
  ttk::menubutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame17.menubutton20  -menu {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame17.menubutton20.m}  -text {Options}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame17.menubutton20.m
  menu .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame17.menubutton20.m  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}  -tearoff {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame17.menubutton20.m add command  -command {gui3DioLSfile browse}  -label {Browse}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame17.menubutton20.m add command  -command {gui3DioLSfile load}  -label {Load}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame17.menubutton20.m add command  -command {gui3DioLSfile save}  -label {Save}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame29
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame29  -relief {raised}  -width {407}  -height {32}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame29.label11
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame29.label11  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Save Seg Params:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame29.entry12
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame29.entry12  -font {Helvetica 10}  -textvariable {gFilenames(3d_ls_seg_params)}  -width {35}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame29.menubutton20
  ttk::menubutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame29.menubutton20  -menu {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame29.menubutton20.m}  -text {Options}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame29.menubutton20.m
  menu .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame29.menubutton20.m  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}  -tearoff {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame29.menubutton20.m add command  -command {gui3DioLSparamsFile browse}  -label {Browse}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame29.menubutton20.m add command  -command {gui3DioLSparamsFile load}  -label {Load}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame29.menubutton20.m add command  -command {gui3DioLSparamsFile save}  -label {Save}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframe31
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframe31  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframe31.tlabel34
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframe31.tlabel34  -font {Helvetica 10}  -relief {flat}  -text {Select Init Method:}  -width {25}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframe31.tradiobutton32
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframe31.tradiobutton32  -variable {gui3Dvars(ls_init_option)}  -value {seeds}  -text {seeds}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframe31.tradiobutton33
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframe31.tradiobutton33  -variable {gui3Dvars(ls_init_option)}  -value {smooth_poly}  -text {previous surface}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframe31.tradiobutton34
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframe31.tradiobutton34  -variable {gui3Dvars(ls_init_option)}  -value {selected_poly}  -text {selected surfaces}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframeDisp
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframeDisp  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframeDisp.tlabel1
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframeDisp.tlabel1  -font {Helvetica 10}  -relief {flat}  -text {3D Display:}  -width {25}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframeDisp.tradiobutton0
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframeDisp.tradiobutton0  -variable {gui3Dvars(ls_image_show_option)}  -value {image}  -command {itk3dLS_updateEdgeImage 0}  -text {image}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframeDisp.tradiobutton1
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframeDisp.tradiobutton1  -variable {gui3Dvars(ls_image_show_option)}  -value {edge}  -command {itk3dLS_updateEdgeImage 0}  -text {edge}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tlabel1
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tlabel1  -font {Helvetica 10}  -relief {flat}  -text {Seeds for Level Set Segmentation}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.frame17
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.frame17  -relief {raised}  -width {407}  -height {32}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.frame17.label11
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.frame17.label11  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Seeds file:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.frame17.entry12
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.frame17.entry12  -font {Helvetica 10}  -textvariable {gFilenames(3d_seeds_file)}  -width {35}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.frame17.menubutton20
  ttk::menubutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.frame17.menubutton20  -menu {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.frame17.menubutton20.m}  -text {Options}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.frame17.menubutton20.m
  menu .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.frame17.menubutton20.m  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}  -tearoff {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.frame17.menubutton20.m add command  -command {gui3DbrowseSeedsFile}  -label {Browse}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.frame17.menubutton20.m add command  -command {gui3DloadSeedsFile}  -label {Load}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.frame17.menubutton20.m add command  -command {gui3DsaveSeedsFile}  -label {Save}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.frame5
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.frame5  -width {114}  -height {76}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.frame5.line0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.frame5.line0  -width {114}  -height {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.frame5.line0.label55
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.frame5.line0.label55  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Seeds File Contents}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.frame5.line0.button0
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.frame5.line0.button0  -command {gui3DchooserShowAllSeedsRefresh}  -text {Update}  -width {7}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.frame5.line1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.frame5.line1  -width {114}  -height {66}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.frame5.line1.text56
  text .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.frame5.line1.text56  -font {Helvetica 10}  -height {3}  -width {10}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.frame5.line1.text56 <FocusOut> {gui3DchooserShowAllSeedsRefresh}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12  -borderwidth {2}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe1  -width {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe1.tlabel0
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe1.tlabel0  -font {Helvetica 10}  -relief {flat}  -text {Seed Movement:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe1.tradiobutton0
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe1.tradiobutton0  -variable {gui3Dvars(seed_move_type)}  -value {free}  -command {lsGUI3dSwapSeedpanel}  -text {free}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe1.tradiobutton1
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe1.tradiobutton1  -variable {gui3Dvars(seed_move_type)}  -value {path}  -command {lsGUI3dSwapSeedpanel}  -text {path}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframeXYZ
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframeXYZ  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframeXYZ.frame1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframeXYZ.frame1  -borderwidth {0}  -relief {flat}  -width {558}  -height {123}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframeXYZ.frame1.label7
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframeXYZ.frame1.label7  -font {Helvetica 10}  -text { X }  -textvariable {guiPPchooserXlabel}  -width {5}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframeXYZ.frame1.scale10
  scale .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframeXYZ.frame1.scale10  -command {gui3DchooserUpdateX}  -font {Helvetica 10}  -orient {horizontal}  -relief {raised}  -variable {gui3Dvars(chooserXscale)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframeXYZ.frame1.label0
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframeXYZ.frame1.label0  -font {Helvetica 10}  -borderwidth {0}  -text {R}  -width {3}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframeXYZ.frame11
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframeXYZ.frame11  -borderwidth {0}  -relief {flat}  -width {558}  -height {123}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframeXYZ.frame11.label7
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframeXYZ.frame11.label7  -font {Helvetica 10}  -text { Y }  -textvariable {guiPPchooserYlabel}  -width {5}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframeXYZ.frame11.scale10
  scale .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframeXYZ.frame11.scale10  -command {gui3DchooserUpdateY}  -font {Helvetica 10}  -orient {horizontal}  -relief {raised}  -variable {gui3Dvars(chooserYscale)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframeXYZ.frame11.label1
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframeXYZ.frame11.label1  -font {Helvetica 10}  -borderwidth {0}  -text {A}  -width {3}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframeXYZ.frame12
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframeXYZ.frame12  -borderwidth {0}  -relief {flat}  -width {558}  -height {123}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframeXYZ.frame12.label7
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframeXYZ.frame12.label7  -font {Helvetica 10}  -text { Z }  -textvariable {guiPPchooserZlabel}  -width {5}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframeXYZ.frame12.scale10
  scale .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframeXYZ.frame12.scale10  -command {gui3DchooserUpdateZ}  -font {Helvetica 10}  -orient {horizontal}  -relief {raised}  -variable {gui3Dvars(chooserZscale)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframeXYZ.frame12.label2
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframeXYZ.frame12.label2  -font {Helvetica 10}  -borderwidth {0}  -text {S}  -width {3}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframeXYZ.frame3
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframeXYZ.frame3  -borderwidth {0}  -relief {flat}  -width {325}  -height {109}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframeXYZ.frame3.label8
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframeXYZ.frame3.label8  -font {Helvetica 10}  -relief {flat}  -text {0}  -textvariable {gui3Dvars(chooserXvar)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframeXYZ.frame3.label5
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframeXYZ.frame3.label5  -font {Helvetica 10}  -relief {flat}  -text {0}  -textvariable {gui3Dvars(chooserYvar)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframeXYZ.frame3.label7
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframeXYZ.frame3.label7  -font {Helvetica 10}  -relief {flat}  -text {0}  -textvariable {gui3Dvars(chooserZvar)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframeXYZ.frame3.label9
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframeXYZ.frame3.label9  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {0}  -textvariable {gui3Dvars(pixelValue)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframeXYZ.frame8
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframeXYZ.frame8  -width {459}  -height {47}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframeXYZ.frame8.label9
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframeXYZ.frame8.label9  -font {Helvetica 10}  -borderwidth {0}  -text {Cursor Increment:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframeXYZ.frame8.radiobutton10
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframeXYZ.frame8.radiobutton10  -variable {gui3Dvars(chooserIncrement)}  -command {gui3DchooserUpdateIncrement}  -text {one pixel}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframeXYZ.frame8.radiobutton11
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframeXYZ.frame8.radiobutton11  -variable {gui3Dvars(chooserIncrement)}  -value {0.5}  -command {gui3DchooserUpdateIncrement}  -text {half pixel}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframeXYZ.frame8.entry0
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframeXYZ.frame8.entry0  -font {Helvetica 10}  -textvariable {gui3Dvars(chooserIncrement)}  -width {10}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframeXYZ.frame8.entry0 <Key-Return> {gui3DchooserUpdateIncrement}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframeXYZ.frame8.label1
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframeXYZ.frame8.label1  -font {Helvetica 10}  -borderwidth {0}  -text {other:}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframePATH
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframePATH  -borderwidth {0}  -relief {flat}  -width {416}  -height {96}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframePATH.frame14
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframePATH.frame14  -width {552}  -height {87}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframePATH.frame14.frame16
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframePATH.frame14.frame16  -width {445}  -height {83}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframePATH.frame14.frame16.label0
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframePATH.frame14.frame16.label0  -font {Helvetica 10}  -borderwidth {0}  -text {blank}  -textvariable {lsGUIcurrentPathLabel}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframePATH.frame14.frame16.button1
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframePATH.frame14.frame16.button1  -command {lsGUIselectPathSetup}  -text {Select Current Path}  -width {19}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframePATH.frame14.frame16.button2
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframePATH.frame14.frame16.button2  -command {gui_toggle_2d_views}  -text {Toggle 2D Views}  -width {19}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframePATH.frame14.frame16.frame1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframePATH.frame14.frame16.frame1  -width {545}  -height {51}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframePATH.frame14.frame16.frame1.label14
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframePATH.frame14.frame16.frame1.label14  -font {Helvetica 10}  -borderwidth {0}  -text {Current Path}  -width {15}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframePATH.frame14.frame16.frame17
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframePATH.frame14.frame16.frame17  -width {107}  -height {83}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframePATH.frame14.frame16.frame17.label19
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframePATH.frame14.frame16.frame17.label19  -font {Helvetica 10}  -borderwidth {0}  -text {Path Point}  -width {15}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframePATH.frame14.frame16.frame17.label23
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframePATH.frame14.frame16.frame17.label23  -font {Helvetica 10}  -borderwidth {0}  -text {000.00 000.00 000.00}  -textvariable {lsGUIpositionIdStr}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframePATH.frame7
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframePATH.frame7  -width {778}  -height {92}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframePATH.frame7.label14
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframePATH.frame7.label14  -font {Helvetica 10}  -borderwidth {0}  -text {Current Position}  -width {15}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframePATH.frame7.scale15
  scale .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframePATH.frame7.scale15  -command {lsGUI3dSeedupdatePositionScale}  -font {Helvetica 10}  -from {1.0}  -orient {horizontal}  -relief {raised}  -to {24.0}  -variable {lsGUIcurrentPositionNumber}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.frame15
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.frame15  -borderwidth {0}  -relief {flat}  -width {416}  -height {96}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.frame15.frame2
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.frame15.frame2  -width {459}  -height {26}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.frame15.frame2.tbutton0
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.frame15.frame2.tbutton0  -command {gui3DaddSeed}  -text {Place Seed}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.frame15.frame2.tlabel0
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.frame15.frame2.tlabel0  -font {Helvetica 10}  -relief {flat}  -text {Seed Options}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.frame15.frame18
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.frame15.frame18  -width {604}  -height {28}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.frame15.frame18.menubutton0
  ttk::menubutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.frame15.frame18.menubutton0  -menu {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.frame15.frame18.menubutton0.m}  -text {Display Options}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.frame15.frame18.menubutton0.m
  menu .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.frame15.frame18.menubutton0.m  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}  -tearoff {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.frame15.frame18.menubutton0.m add checkbutton  -variable {gui3Dvars(chooserShowCursorFlag)}  -command {gui3DchooserShowCursor}  -label {Show Cursor}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.frame15.frame18.menubutton0.m add checkbutton  -variable {gui3Dvars(chooserShowSphereFlag)}  -command {gui3DchooserShowSphere clicked}  -label {Show Sphere}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.frame15.frame18.menubutton0.m add checkbutton  -variable {gui3Dvars(chooserShowAllSeedsFlag)}  -command {gui3DchooserShowAllSeeds clicked}  -label {Show All Seeds}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.frame15.frame18.menubutton0.m add command  -command {gui3dchangeSeedColor}  -label {Change Seed Color}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.frame15.frame18.menubutton0.m add separator
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.frame15.frame18.menubutton0.m add cascade  -menu {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.frame15.frame18.menubutton0.m.n}  -label {Seed Opacity}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.frame15.frame18.menubutton0.m.n
  menu .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.frame15.frame18.menubutton0.m.n  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}  -tearoff {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.frame15.frame18.menubutton0.m.n add command  -command {gui3DsetSeedTransparency 0}  -label {Transparent (0.0)}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.frame15.frame18.menubutton0.m.n add command  -command {gui3DsetSeedTransparency 0.25}  -label {Semi-Transparent (0.25)}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.frame15.frame18.menubutton0.m.n add command  -command {gui3DsetSeedTransparency 0.5}  -label {Semi-Transparent (0.5)}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.frame15.frame18.menubutton0.m.n add command  -command {gui3DsetSeedTransparency 0.75}  -label {Semi-Opaque (0.75)}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.frame15.frame18.menubutton0.m.n add command  -command {gui3DsetSeedTransparency 0.75}  -label {Opaque (1.0)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.frame15.frame18.menubutton1
  ttk::menubutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.frame15.frame18.menubutton1  -menu {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.frame15.frame18.menubutton1.m}  -text {Attach Image Axis}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.frame15.frame18.menubutton1.m
  menu .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.frame15.frame18.menubutton1.m  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}  -tearoff {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.frame15.frame18.menubutton1.m add checkbutton  -variable {gui3Dvars(chooserAttachX)}  -command {gui3DchooserUpdateAttach}  -label {R}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.frame15.frame18.menubutton1.m add checkbutton  -variable {gui3Dvars(chooserAttachY)}  -command {gui3DchooserUpdateAttach}  -label {A}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.frame15.frame18.menubutton1.m add checkbutton  -variable {gui3Dvars(chooserAttachZ)}  -command {gui3DchooserUpdateAttach}  -label {S}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.frame15.frame18.menubutton2
  ttk::menubutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.frame15.frame18.menubutton2  -menu {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.frame15.frame18.menubutton2.m}  -text {Fix Axis}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.frame15.frame18.menubutton2.m
  menu .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.frame15.frame18.menubutton2.m  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}  -tearoff {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.frame15.frame18.menubutton2.m add checkbutton  -variable {gui3Dvars(chooserFixAxisX)}  -label {R}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.frame15.frame18.menubutton2.m add checkbutton  -variable {gui3Dvars(chooserFixAxisY)}  -label {A}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.frame15.frame18.menubutton2.m add checkbutton  -variable {gui3Dvars(chooserFixAxisZ)}  -label {S}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.frame15.frame12
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.frame15.frame12  -borderwidth {0}  -width {558}  -height {123}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.frame15.frame12.label7
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.frame15.frame12.label7  -font {Helvetica 10}  -relief {flat}  -text {0.0}  -textvariable {gui3Dvars(minSeedRadius)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.frame15.frame12.scale10
  scale .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.frame15.frame12.scale10  -command {gui3DupdateRadiusScale}  -font {Helvetica 10}  -orient {horizontal}  -relief {raised}  -variable {gui3Dvars(radius)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.frame15.frame12.label2
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.frame15.frame12.label2  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {10.0}  -textvariable {gui3Dvars(maxSeedRadius)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.frame15.frame12.tframe3
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.frame15.frame12.tframe3  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.frame15.frame12.tframe3.tframe4
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.frame15.frame12.tframe3.tframe4  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.frame15.frame12.tframe3.tframe4.tlabel6
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.frame15.frame12.tframe3.tframe4.tlabel6  -font {Helvetica 10}  -relief {flat}  -text {min R:}  -width {8}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.frame15.frame12.tframe3.tframe4.tentry7
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.frame15.frame12.tframe3.tframe4.tentry7  -font {Helvetica 10}  -textvariable {gui3Dvars(userMinR)}  -width {10}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.frame15.frame12.tframe3.tframe4.tentry7 <Key-Return> {gui3DuserUpdateMinMaxR}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.frame15.frame12.tframe3.tframe5
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.frame15.frame12.tframe3.tframe5  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.frame15.frame12.tframe3.tframe5.tlabel8
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.frame15.frame12.tframe3.tframe5.tlabel8  -font {Helvetica 10}  -relief {flat}  -text {max R:}  -width {8}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.frame15.frame12.tframe3.tframe5.tentry9
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.frame15.frame12.tframe3.tframe5.tentry9  -font {Helvetica 10}  -textvariable {gui3Dvars(userMaxR)}  -width {10}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.frame15.frame12.tframe3.tframe5.tentry9 <Key-Return> {gui3DuserUpdateMinMaxR}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe6
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe6  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe6.tlabelframe0
  ttk::labelframe .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe6.tlabelframe0  -text {Options File [-]}  -width {236}  -height {25}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe6.tlabelframe0 <Button-1> {guiCV_squeezer_labelframe .tframe12 %W}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe6.tlabelframe0.tframe12
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe6.tlabelframe0.tframe12  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe6.tlabelframe0.tframe12.tbutton4
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe6.tlabelframe0.tframe12.tbutton4  -command {guiBOOLEANloadPreviousParams}  -text {Load Options}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe6.tlabelframe0.tframe12.tbutton10
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe6.tlabelframe0.tframe12.tbutton10  -command {guiBOOLEANsavePreviousParams}  -text {Save Options}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe1  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe1.tlabelframe14
  ttk::labelframe .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe1.tlabelframe14  -text {Lofting Options [-]}  -width {297}  -height {25}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe1.tlabelframe14 <Button-1> {guiCV_squeezer_labelframe .tframe4 %W}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe1.tlabelframe14.tframe4
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe1.tlabelframe14.tframe4  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe1.tlabelframe14.tframe4.tlabelframe8
  ttk::labelframe .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe1.tlabelframe14.tframe4.tlabelframe8  -text {Circumferential Sampling Rules [-]}  -width {266}  -height {25}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe1.tlabelframe14.tframe4.tlabelframe8 <Button-1> {guiCV_squeezer_labelframe .tframe1 %W}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe1.tlabelframe14.tframe4.tlabelframe8.tframe1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe1.tlabelframe14.tframe4.tlabelframe8.tframe1  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe1.tlabelframe14.tframe4.tlabelframe8.tframe1.tframe19
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe1.tlabelframe14.tframe4.tlabelframe8.tframe1.tframe19  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe1.tlabelframe14.tframe4.tlabelframe8.tframe1.tframe19.tentry6
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe1.tlabelframe14.tframe4.tlabelframe8.tframe1.tframe19.tentry6  -font {Helvetica 10}  -textvariable {guiBOOLEANvars(sampling_default)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe1.tlabelframe14.tframe4.tlabelframe8.tframe1.tframe19.tlabel7
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe1.tlabelframe14.tframe4.tlabelframe8.tframe1.tframe19.tlabel7  -font {Helvetica 10}  -relief {flat}  -text {Sampling:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe1.tlabelframe14.tframe4.tlabelframe8.tframe1.tframe11
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe1.tlabelframe14.tframe4.tlabelframe8.tframe1.tframe11  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe1.tlabelframe14.tframe4.tlabelframe8.tframe1.tframe11.tentry6
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe1.tlabelframe14.tframe4.tlabelframe8.tframe1.tframe11.tentry6  -font {Helvetica 10}  -textvariable {guiBOOLEANvars(sampling_overrides)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe1.tlabelframe14.tframe4.tlabelframe8.tframe1.tframe11.tlabel7
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe1.tlabelframe14.tframe4.tlabelframe8.tframe1.tframe11.tlabel7  -font {Helvetica 10}  -relief {flat}  -text {Sampling Overrides:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe1.tlabelframe14.tframe4.tlabelframe11
  ttk::labelframe .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe1.tlabelframe14.tframe4.tlabelframe11  -text {Longitdunial Sampling Rules [-]}  -width {293}  -height {25}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe1.tlabelframe14.tframe4.tlabelframe11 <Button-1> {guiCV_squeezer_labelframe .tframe10 %W}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe1.tlabelframe14.tframe4.tlabelframe11.tframe10
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe1.tlabelframe14.tframe4.tlabelframe11.tframe10  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe1.tlabelframe14.tframe4.tlabelframe11.tframe10.tframe3
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe1.tlabelframe14.tframe4.tlabelframe11.tframe10.tframe3  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe1.tlabelframe14.tframe4.tlabelframe11.tframe10.tframe3.tentry6
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe1.tlabelframe14.tframe4.tlabelframe11.tframe10.tframe3.tentry6  -font {Helvetica 10}  -textvariable {guiBOOLEANvars(sampling_along_length_multiplier)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe1.tlabelframe14.tframe4.tlabelframe11.tframe10.tframe3.tlabel7
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe1.tlabelframe14.tframe4.tlabelframe11.tframe10.tframe3.tlabel7  -font {Helvetica 10}  -relief {flat}  -text {Number of Points Per Segment:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe1.tlabelframe14.tframe4.tlabelframe11.tframe10.tframe4
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe1.tlabelframe14.tframe4.tlabelframe11.tframe10.tframe4  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe1.tlabelframe14.tframe4.tlabelframe11.tframe10.tframe4.tcheckbutton5
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe1.tlabelframe14.tframe4.tlabelframe11.tframe10.tframe4.tcheckbutton5  -variable {guiBOOLEANvars(use_linear_sampling_along_length)}  -text {Linear Sample Along Length}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe1.tlabelframe14.tframe4.tlabelframe11.tframe10.tframe4.tentry6
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe1.tlabelframe14.tframe4.tlabelframe11.tframe10.tframe4.tentry6  -font {Helvetica 10}  -textvariable {guiBOOLEANvars(linear_sampling_along_length_multiplier)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe1.tlabelframe14.tframe4.tlabelframe11.tframe10.tframe4.tlabel7
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe1.tlabelframe14.tframe4.tlabelframe11.tframe10.tframe4.tlabel7  -font {Helvetica 10}  -relief {flat}  -text {Factor:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe1.tlabelframe14.tframe4.tlabelframe11.tframe10.tframe20
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe1.tlabelframe14.tframe4.tlabelframe11.tframe10.tframe20  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe1.tlabelframe14.tframe4.tlabelframe11.tframe10.tframe20.tcheckbutton5
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe1.tlabelframe14.tframe4.tlabelframe11.tframe10.tframe20.tcheckbutton5  -variable {guiBOOLEANvars(use_FFT)}  -text {Use FFT}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe1.tlabelframe14.tframe4.tlabelframe11.tframe10.tframe20.tentry6
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe1.tlabelframe14.tframe4.tlabelframe11.tframe10.tframe20.tentry6  -font {Helvetica 10}  -textvariable {guiBOOLEANvars(num_modes_for_FFT)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe1.tlabelframe14.tframe4.tlabelframe11.tframe10.tframe20.tlabel7
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe1.tlabelframe14.tframe4.tlabelframe11.tframe10.tframe20.tlabel7  -font {Helvetica 10}  -relief {flat}  -text {Num Modes:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe1.tlabelframe14.tframe4.tframe5
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe1.tlabelframe14.tframe4.tframe5  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe1.tlabelframe14.tframe4.tframe5.tbutton5
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe1.tlabelframe14.tframe4.tframe5.tbutton5  -command {guiSV_solid_loft_selected}  -text {Update Selected Solids}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20
  ttk::notebook .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0
  ttk::notebook .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe16
  ttk::labelframe .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe16  -text {Script File [-]}  -height {25}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe16 <Button-1> {guiCV_squeezer_labelframe .frame1 %W}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe16.frame1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe16.frame1  -borderwidth {0}  -relief {flat}  -width {479}  -height {80}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe16.frame1.frame0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe16.frame1.frame0  -width {495}  -height {28}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe16.frame1.frame0.label14
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe16.frame1.frame0.label14  -font {Helvetica 10}  -text {MeshSim script file:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe16.frame1.frame0.entry15
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe16.frame1.frame0.entry15  -font {Helvetica 10}  -textvariable {gFilenames(mesh_script_file)}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe16.frame1.frame0.entry15 <Key-Return> {guiMMreadScriptFile}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe16.frame1.frame0.button16
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe16.frame1.frame0.button16  -command {guiMESHSIM_load_script_file}  -text {Select}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe16.frame1.frame2
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe16.frame1.frame2  -width {495}  -height {32}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe16.frame1.frame2.button4
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe16.frame1.frame2.button4  -command {guiMESHSIM_save_script_file}  -text {Save}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe17
  ttk::labelframe .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe17  -text {Select Solid Model [-]}  -height {25}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe17 <Button-1> {guiCV_squeezer_labelframe .frame0 %W}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe17.frame0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe17.frame0  -borderwidth {0}  -relief {flat}  -width {479}  -height {86}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe17.frame0.frame9
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe17.frame0.frame9  -width {497}  -height {28}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe17.frame0.frame9.label24
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe17.frame0.frame9.label24  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {File:}  -width {8}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe17.frame0.frame9.entry0
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe17.frame0.frame9.entry0  -font {Helvetica 10}  -textvariable {gFilenames(atdb_solid_file)}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe17.frame0.frame9.entry0 <Key-Return> {guiFNMloadSolidModel atdb_solid_file atdb_solid}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe17.frame0.frame9.button1
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe17.frame0.frame9.button1  -command {guiMESHSIM_select_solid_model}  -text {Select}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe17.frame0.tframe0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe17.frame0.tframe0  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe17.frame0.tframe0.tradiobutton1
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe17.frame0.tframe0.tradiobutton1  -variable {gOptions(meshing_solid_kernel)}  -value {Parasolid}  -command {solid_setKernel -name Parasolid}  -text {Parasolid}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe17.frame0.tframe0.tradiobutton2
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe17.frame0.tframe0.tradiobutton2  -variable {gOptions(meshing_solid_kernel)}  -value {Discrete}  -command {solid_setKernel -name Discrete}  -text {Discrete}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe17.frame0.tframe0.tlabel3
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe17.frame0.tframe0.tlabel3  -font {Helvetica 10}  -relief {flat}  -text {Type:}  -width {8}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe18
  ttk::labelframe .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe18  -text {Basic Options [-]}  -height {25}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe18 <Button-1> {guiCV_squeezer_labelframe .frame27 %W}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe18.frame27
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe18.frame27  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe18.frame27.label0
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe18.frame27.label0  -font {Helvetica 10}  -relief {flat}  -text {Global Max Edge Size: }

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe18.frame27.entry1
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe18.frame27.entry1  -font {Helvetica 10}  -textvariable {guiMMvars(gsize)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe18.frame27.frame2
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe18.frame27.frame2  -width {153}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe18.frame27.frame2.radiobutton3
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe18.frame27.frame2.radiobutton3  -variable {guiMMvars(gsize_type)}  -text {absolute}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe18.frame27.frame2.radiobutton4
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe18.frame27.frame2.radiobutton4  -variable {guiMMvars(gsize_type)}  -value {2}  -text {relative}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe19
  ttk::labelframe .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe19  -text {Write Files [-]}  -height {25}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe19 <Button-1> {guiCV_squeezer_labelframe .frame24 %W}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe19.frame24
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe19.frame24  -borderwidth {0}  -relief {flat}  -width {483}  -height {121}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe19.frame24.frame27
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe19.frame24.frame27  -width {379}  -height {70}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe19.frame24.frame27.frame0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe19.frame24.frame27.frame0  -width {332}  -height {35}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe19.frame24.frame27.frame0.label4
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe19.frame24.frame27.frame0.label4  -font {Helvetica 10}  -relief {flat}  -text {mesh complete dir:  }

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe19.frame24.frame27.frame0.entry5
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe19.frame24.frame27.frame0.entry5  -font {Helvetica 10}  -textvariable {gFilenames(complete_mesh_dir)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe19.frame24.frame27.frame0.tbutton15
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe19.frame24.frame27.frame0.tbutton15  -command {guiPOSTselectMeshCompleteDir}  -text {Select Dir}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe19.frame24.frame27.frame0.tbutton17
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe19.frame24.frame27.frame0.tbutton17  -command {guiPOSTwriteCompleteMeshFiles}  -text {Write Files}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe3
  ttk::labelframe .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe3  -text {Load/Create Mesh [-]}  -height {25}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe3 <Button-1> {guiCV_squeezer_labelframe .frame5 %W}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe3.frame5
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe3.frame5  -borderwidth {0}  -relief {flat}  -width {479}  -height {116}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe3.frame5.tframe21
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe3.frame5.tframe21  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe3.frame5.tframe21.button3
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe3.frame5.tframe21.button3  -command {guiMESHSIM_create_mesh}  -text {Run Mesher}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe3.frame5.tframe21.tbutton5
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe3.frame5.tframe21.tbutton5  -command {guiMESHSIM_load_existing_mesh}  -text {Load Mesh}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe20
  ttk::labelframe .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe20  -text {Helper [+]}  -height {25}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe20 <Button-1> {guiCV_squeezer_labelframe .frame5 %W}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe20.frame5
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe20.frame5  -borderwidth {0}  -relief {flat}  -width {479}  -height {116}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe20.frame5.button3
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe20.frame5.button3  -command {guiSVHELPshow meshsim.txt}  -text {Help}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20  -width {600}  -height {132}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12
  ttk::labelframe .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12  -labelanchor {n}  -text {Meshing Specified by Face [-]}  -height {25}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12 <Button-1> {guiCV_squeezer_labelframe .tframe1 %W}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1  -borderwidth {0}  -relief {flat}  -width {479}  -height {86}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tlabelframe3
  ttk::labelframe .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tlabelframe3  -text {Model Faces}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tlabelframe3.frame
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tlabelframe3.frame

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tlabelframe3.frame.scrollbar3
  ttk::scrollbar .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tlabelframe3.frame.scrollbar3  -command {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tlabelframe3.frame.listbox1 xview}  -orient {horizontal}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tlabelframe3.frame.scrollbar2
  ttk::scrollbar .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tlabelframe3.frame.scrollbar2  -command {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tlabelframe3.frame.listbox1 yview}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tlabelframe3.frame.listbox1
  listbox .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tlabelframe3.frame.listbox1  -borderwidth {0}  -exportselection {0}  -font {helvetica 10}  -height {1}  -relief {flat}  -xscrollcommand {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tlabelframe3.frame.scrollbar3 set}  -yscrollcommand {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tlabelframe3.frame.scrollbar2 set}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tlabelframe3.frame.listbox1 <ButtonRelease-1> {smasherGUIupdateSel %W}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe6
  ttk::labelframe .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe6  -text {Local Size and Curvature [-]}  -height {25}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe6 <Button-1> {guiCV_squeezer_labelframe .frame2 %W}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe6.frame2
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe6.frame2  -width {600}  -height {128}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe6.frame2.frame5
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe6.frame2.frame5  -width {439}  -height {32}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe6.frame2.frame5.frame15
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe6.frame2.frame5.frame15  -width {124}  -height {50}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe6.frame2.frame5.frame15.label17
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe6.frame2.frame5.frame15.label17  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Type:}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe6.frame2.frame5.frame15.menubutton18
  ttk::menubutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe6.frame2.frame5.frame15.menubutton18  -menu {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe6.frame2.frame5.frame15.menubutton18.m}  -text {Local Max Edge Size}  -textvariable {guiMMvars(mca_size_type)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe6.frame2.frame5.frame15.menubutton18.m
  menu .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe6.frame2.frame5.frame15.menubutton18.m  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}  -tearoff {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe6.frame2.frame5.frame15.menubutton18.m add radiobutton  -value {Local Max Edge Size}  -variable {guiMMvars(mca_size_type)}  -label {Local Max Edge Size}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe6.frame2.frame5.frame15.menubutton18.m add radiobutton  -value {Local Max Curvature Size}  -variable {guiMMvars(mca_size_type)}  -label {Local Max Curvature Size}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe6.frame2.frame5.frame15.menubutton18.m add radiobutton  -value {Local Min Curvature Size}  -variable {guiMMvars(mca_size_type)}  -label {Local Min Curvature Size}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe6.frame2.frame7
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe6.frame2.frame7  -width {439}  -height {26}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe6.frame2.frame7.label12
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe6.frame2.frame7.label12  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Size:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe6.frame2.frame7.entry13
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe6.frame2.frame7.entry13  -font {Helvetica 10}  -textvariable {guiMMvars(mca_size)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe6.frame2.tframe0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe6.frame2.tframe0  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe6.frame2.tframe0.label8
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe6.frame2.tframe0.label8  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Size Type:}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe6.frame2.tframe0.menubutton9
  ttk::menubutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe6.frame2.tframe0.menubutton9  -menu {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe6.frame2.tframe0.menubutton9.m}  -text {absolute}  -textvariable {guiMMvars(mca_type)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe6.frame2.tframe0.menubutton9.m
  menu .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe6.frame2.tframe0.menubutton9.m  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}  -tearoff {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe6.frame2.tframe0.menubutton9.m add radiobutton  -value {absolute}  -variable {guiMMvars(mca_type)}  -label {absolute}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe6.frame2.tframe0.menubutton9.m add radiobutton  -value {relative}  -variable {guiMMvars(mca_type)}  -label {relative}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe6.frame2.tframe12
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe6.frame2.tframe12  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe6.frame2.tframe12.button24
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe6.frame2.tframe12.button24  -command {guiMMcreateMeshMacro size}  -text {Add Face Meshing}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe13
  ttk::labelframe .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe13  -text {Boundary Layer Meshing [-]}  -height {25}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe13 <Button-1> {guiCV_squeezer_labelframe .tframe14 %W}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe13.tframe14
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe13.tframe14  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe13.tframe14.frame2
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe13.tframe14.frame2  -borderwidth {0}  -relief {flat}  -width {596}  -height {128}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe13.tframe14.frame2.frame5
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe13.tframe14.frame2.frame5  -borderwidth {0}  -relief {flat}  -width {439}  -height {32}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe13.tframe14.frame2.frame5.frame21
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe13.tframe14.frame2.frame5.frame21  -width {439}  -height {32}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe13.tframe14.frame2.frame5.frame21.label8
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe13.tframe14.frame2.frame5.frame21.label8  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Direction:}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe13.tframe14.frame2.frame5.frame21.menubutton9
  ttk::menubutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe13.tframe14.frame2.frame5.frame21.menubutton9  -menu {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe13.tframe14.frame2.frame5.frame21.menubutton9.m}  -text {both}  -textvariable {guiMMvars(mca_bl_dir)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe13.tframe14.frame2.frame5.frame21.menubutton9.m
  menu .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe13.tframe14.frame2.frame5.frame21.menubutton9.m  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}  -tearoff {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe13.tframe14.frame2.frame5.frame21.menubutton9.m add radiobutton  -value {both}  -variable {guiMMvars(mca_bl_dir)}  -label {both sides}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe13.tframe14.frame2.frame5.frame21.menubutton9.m add radiobutton  -value {positive}  -variable {guiMMvars(mca_bl_dir)}  -label {postive direction of normal}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe13.tframe14.frame2.frame5.frame21.menubutton9.m add radiobutton  -value {negative}  -variable {guiMMvars(mca_bl_dir)}  -label {negative direction of normal}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe13.tframe14.frame2.frame5.tframe6
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe13.tframe14.frame2.frame5.tframe6  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe13.tframe14.frame2.frame5.tframe6.label8
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe13.tframe14.frame2.frame5.tframe6.label8  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Type:}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe13.tframe14.frame2.frame5.tframe6.menubutton9
  ttk::menubutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe13.tframe14.frame2.frame5.tframe6.menubutton9  -menu {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe13.tframe14.frame2.frame5.tframe6.menubutton9.m}  -text {Relative Height Gradation (type 4)}  -textvariable {guiMMvars(mca_bl_type)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe13.tframe14.frame2.frame5.tframe6.menubutton9.m
  menu .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe13.tframe14.frame2.frame5.tframe6.menubutton9.m  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}  -tearoff {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe13.tframe14.frame2.frame5.tframe6.menubutton9.m add radiobutton  -value {Geometric Growth of Layer Thickness (type 1)}  -variable {guiMMvars(mca_bl_type)}  -label {Geometric Growth of Layer Thickess (first height, total height, num layers)}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe13.tframe14.frame2.frame5.tframe6.menubutton9.m add radiobutton  -value {Relative Height Gradation (type 2)}  -variable {guiMMvars(mca_bl_type)}  -label {Relative Height Gradation (first thickness, gradation factor)}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe13.tframe14.frame2.frame5.tframe6.menubutton9.m add radiobutton  -value {User Specified Heights (type 3)}  -variable {guiMMvars(mca_bl_type)}  -label {User Specified Heights (nL, height, ...)}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe13.tframe14.frame2.frame5.tframe6.menubutton9.m add radiobutton  -value {Relative Height Gradation (type 4)}  -variable {guiMMvars(mca_bl_type)}  -label {Relative Height Gradation (specify gradation factor)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe13.tframe14.frame2.frame7
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe13.tframe14.frame2.frame7  -borderwidth {0}  -relief {flat}  -width {439}  -height {26}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe13.tframe14.frame2.frame7.frame7
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe13.tframe14.frame2.frame7.frame7  -width {439}  -height {26}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe13.tframe14.frame2.frame7.frame7.label12
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe13.tframe14.frame2.frame7.frame7.label12  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Size:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe13.tframe14.frame2.frame7.frame7.entry13
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe13.tframe14.frame2.frame7.frame7.entry13  -font {Helvetica 10}  -textvariable {guiMMvars(mca_bl_size)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe13.tframe14.frame2.frame7.frame22
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe13.tframe14.frame2.frame7.frame22  -width {439}  -height {26}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe13.tframe14.frame2.frame7.frame22.label12
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe13.tframe14.frame2.frame7.frame22.label12  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Num Layers:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe13.tframe14.frame2.frame7.frame22.entry13
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe13.tframe14.frame2.frame7.frame22.entry13  -font {Helvetica 10}  -textvariable {guiMMvars(mca_bl_numLayers)}  -width {4}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe13.tframe14.frame2.frame7.frame23
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe13.tframe14.frame2.frame7.frame23  -width {439}  -height {26}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe13.tframe14.frame2.frame7.frame23.label12
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe13.tframe14.frame2.frame7.frame23.label12  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Params:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe13.tframe14.frame2.frame7.frame23.entry13
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe13.tframe14.frame2.frame7.frame23.entry13  -font {Helvetica 10}  -textvariable {guiMMvars(mca_bl_params)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe13.tframe14.frame2.frame15
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe13.tframe14.frame2.frame15  -borderwidth {0}  -relief {flat}  -width {124}  -height {50}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe13.tframe14.frame2.frame15.button24
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe13.tframe14.frame2.frame15.button24  -command {guiMMcreateMeshMacro boundaryLayer}  -text {Add Boundary Layer}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15
  ttk::labelframe .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15  -text {Spatial Options [+]}  -height {25}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15 <Button-1> {guiCV_squeezer_labelframe .tframe9 %W}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe19
  ttk::labelframe .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe19  -text {Sphere Refinement [-]}  -width {100}  -height {25}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe19 <Button-1> {guiCV_squeezer_labelframe .frame26 %W}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe19.frame26
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe19.frame26  -borderwidth {0}  -relief {flat}  -width {600}  -height {132}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe19.frame26.frame2
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe19.frame26.frame2  -width {596}  -height {128}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe19.frame26.frame2.frame7
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe19.frame26.frame2.frame7  -width {439}  -height {26}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe19.frame26.frame2.frame7.frame7
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe19.frame26.frame2.frame7.frame7  -width {439}  -height {26}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe19.frame26.frame2.frame7.frame7.label12
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe19.frame26.frame2.frame7.frame7.label12  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {size:}  -width {8}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe19.frame26.frame2.frame7.frame7.entry13
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe19.frame26.frame2.frame7.frame7.entry13  -font {Helvetica 10}  -textvariable {guiMMvars(mca_sphere_size)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe19.frame26.frame2.frame7.frame22
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe19.frame26.frame2.frame7.frame22  -width {439}  -height {26}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe19.frame26.frame2.frame7.frame22.label12
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe19.frame26.frame2.frame7.frame22.label12  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {radius:}  -width {8}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe19.frame26.frame2.frame7.frame22.entry13
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe19.frame26.frame2.frame7.frame22.entry13  -font {Helvetica 10}  -textvariable {guiMMvars(mca_sphere_radius)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe19.frame26.frame2.frame7.frame23
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe19.frame26.frame2.frame7.frame23  -width {439}  -height {26}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe19.frame26.frame2.frame7.frame23.label12
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe19.frame26.frame2.frame7.frame23.label12  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {center pt:}  -width {8}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe19.frame26.frame2.frame7.frame23.entry13
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe19.frame26.frame2.frame7.frame23.entry13  -font {Helvetica 10}  -textvariable {guiMMvars(mca_sphere_center)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe19.frame26.frame2.frame15
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe19.frame26.frame2.frame15  -width {124}  -height {50}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe19.frame26.frame2.frame15.button24
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe19.frame26.frame2.frame15.button24  -command {guiMMcreateMeshMacro sphereRefinement}  -text {Add Sphere Refinement}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe20
  ttk::labelframe .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe20  -text {Cylinder Refinement [-]}  -height {25}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe20 <Button-1> {guiCV_squeezer_labelframe .frame26 %W}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe20.frame26
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe20.frame26  -borderwidth {0}  -relief {flat}  -width {600}  -height {132}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe20.frame26.frame27
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe20.frame26.frame27  -width {596}  -height {128}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe20.frame26.frame27.frame7
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe20.frame26.frame27.frame7  -width {439}  -height {26}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe20.frame26.frame27.frame7.frame7
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe20.frame26.frame27.frame7.frame7  -width {439}  -height {26}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe20.frame26.frame27.frame7.frame7.label12
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe20.frame26.frame27.frame7.frame7.label12  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {size:}  -width {8}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe20.frame26.frame27.frame7.frame7.entry13
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe20.frame26.frame27.frame7.frame7.entry13  -font {Helvetica 10}  -textvariable {guiMMvars(mca_cylinder_size)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe20.frame26.frame27.frame7.frame22
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe20.frame26.frame27.frame7.frame22  -width {439}  -height {26}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe20.frame26.frame27.frame7.frame22.label12
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe20.frame26.frame27.frame7.frame22.label12  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {radius:}  -width {8}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe20.frame26.frame27.frame7.frame22.entry13
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe20.frame26.frame27.frame7.frame22.entry13  -font {Helvetica 10}  -textvariable {guiMMvars(mca_cylinder_radius)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe20.frame26.frame27.frame7.frame23
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe20.frame26.frame27.frame7.frame23  -width {439}  -height {26}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe20.frame26.frame27.frame7.frame23.label12
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe20.frame26.frame27.frame7.frame23.label12  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {center pt:}  -width {8}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe20.frame26.frame27.frame7.frame23.entry13
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe20.frame26.frame27.frame7.frame23.entry13  -font {Helvetica 10}  -textvariable {guiMMvars(mca_cylinder_center)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe20.frame26.frame27.frame15
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe20.frame26.frame27.frame15  -width {124}  -height {50}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe20.frame26.frame27.frame15.button24
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe20.frame26.frame27.frame15.button24  -command {guiMMcreateMeshMacro cylinderRefinement}  -text {Add Cylinder Refinement}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe20.frame26.frame27.frame28
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe20.frame26.frame27.frame28  -width {439}  -height {26}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe20.frame26.frame27.frame28.frame7
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe20.frame26.frame27.frame28.frame7  -width {439}  -height {26}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe20.frame26.frame27.frame28.frame7.label12
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe20.frame26.frame27.frame28.frame7.label12  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {length:}  -width {8}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe20.frame26.frame27.frame28.frame7.entry13
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe20.frame26.frame27.frame28.frame7.entry13  -font {Helvetica 10}  -textvariable {guiMMvars(mca_cylinder_length)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe20.frame26.frame27.frame28.frame22
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe20.frame26.frame27.frame28.frame22  -width {439}  -height {26}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe20.frame26.frame27.frame28.frame22.label12
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe20.frame26.frame27.frame28.frame22.label12  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {normal:}  -width {8}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe20.frame26.frame27.frame28.frame22.entry13
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe20.frame26.frame27.frame28.frame22.entry13  -font {Helvetica 10}  -textvariable {guiMMvars(mca_cylinder_normal)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe14
  ttk::labelframe .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe14  -text {Meshing Parameters [-]}  -width {583}  -height {25}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe14 <Button-1> {guiCV_squeezer_labelframe .tframe15 %W}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe14.tframe15
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe14.tframe15  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe14.tframe15.frame
  frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe14.tframe15.frame  -relief {raised}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe14.tframe15.frame.scrollbar1
  scrollbar .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe14.tframe15.frame.scrollbar1  -command {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe14.tframe15.frame.text2 yview}  -relief {raised}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe14.tframe15.frame.text2
  text .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe14.tframe15.frame.text2  -borderwidth {2}  -font {Helvetica 10}  -relief {raised}  -wrap {none}  -yscrollcommand {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe14.tframe15.frame.scrollbar1 set}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe6
  ttk::labelframe .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe6  -text {Global Size and Curvature [+]}  -height {25}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe6 <Button-1> {guiCV_squeezer_labelframe .frame2 %W}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe6.frame2
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe6.frame2  -width {600}  -height {128}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe6.frame2.frame5
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe6.frame2.frame5  -width {439}  -height {32}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe6.frame2.frame5.frame15
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe6.frame2.frame5.frame15  -width {124}  -height {50}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe6.frame2.frame5.frame15.label17
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe6.frame2.frame5.frame15.label17  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Type:}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe6.frame2.frame5.frame15.menubutton18
  ttk::menubutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe6.frame2.frame5.frame15.menubutton18  -menu {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe6.frame2.frame5.frame15.menubutton18.m}  -text {Global Max Edge Size}  -textvariable {guiMMvars(mca_global_size_type)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe6.frame2.frame5.frame15.menubutton18.m
  menu .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe6.frame2.frame5.frame15.menubutton18.m  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}  -tearoff {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe6.frame2.frame5.frame15.menubutton18.m add radiobutton  -value {Global Max Edge Size}  -variable {guiMMvars(mca_global_size_type)}  -label {Global Max Edge Size}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe6.frame2.frame5.frame15.menubutton18.m add radiobutton  -value {Global Max Curvature Size}  -variable {guiMMvars(mca_global_size_type)}  -label {Global Max Curvature Size}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe6.frame2.frame5.frame15.menubutton18.m add radiobutton  -value {Global Min Curvature Size}  -variable {guiMMvars(mca_global_size_type)}  -label {Global Min Curvature Size}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe6.frame2.frame7
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe6.frame2.frame7  -width {439}  -height {26}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe6.frame2.frame7.label12
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe6.frame2.frame7.label12  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Size:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe6.frame2.frame7.entry13
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe6.frame2.frame7.entry13  -font {Helvetica 10}  -textvariable {guiMMvars(mca_global_size)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe6.frame2.tframe0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe6.frame2.tframe0  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe6.frame2.tframe0.label8
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe6.frame2.tframe0.label8  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Size Type:}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe6.frame2.tframe0.menubutton9
  ttk::menubutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe6.frame2.tframe0.menubutton9  -menu {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe6.frame2.tframe0.menubutton9.m}  -text {absolute}  -textvariable {guiMMvars(mca_global_type)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe6.frame2.tframe0.menubutton9.m
  menu .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe6.frame2.tframe0.menubutton9.m  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}  -tearoff {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe6.frame2.tframe0.menubutton9.m add radiobutton  -value {absolute}  -variable {guiMMvars(mca_global_type)}  -label {absolute}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe6.frame2.tframe0.menubutton9.m add radiobutton  -value {relative}  -variable {guiMMvars(mca_global_type)}  -label {relative}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe6.frame2.tframe12
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe6.frame2.tframe12  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe6.frame2.tframe12.button24
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe6.frame2.tframe12.button24  -command {guiMMcreateMeshMacro size}  -text {Add Global}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe18
  ttk::labelframe .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe18  -text {Mesh Control Options [+]}  -height {25}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe18 <Button-1> {guiCV_squeezer_labelframe .frame5 %W}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe18.frame5
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe18.frame5  -borderwidth {0}  -relief {flat}  -width {479}  -height {116}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe18.frame5.frame7
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe18.frame5.frame7  -width {495}  -height {32}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe18.frame5.frame7.menubutton8
  ttk::menubutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe18.frame5.frame7.menubutton8  -menu {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe18.frame5.frame7.menubutton8.m}  -text {Surface Options}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe18.frame5.frame7.menubutton8.m
  menu .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe18.frame5.frame7.menubutton8.m  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}  -tearoff {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe18.frame5.frame7.menubutton8.m add checkbutton  -variable {guiMMvars(meshGenerateSurfaceMesh)}  -label {Generate Surface Mesh}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe18.frame5.frame7.menubutton8.m add checkbutton  -variable {guiMMvars(meshOptimizeSurfaceMesh)}  -label {Optimize Surface Mesh}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe18.frame5.frame7.menubutton8.m add checkbutton  -variable {guiMMvars(meshFixSurfaceMesh)}  -label {Fix Surface Mesh}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe18.frame5.frame7.menubutton8.m add checkbutton  -variable {guiMMvars(meshConstrainSurface)}  -label {Constrain Surface}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe18.frame5.frame7.menubutton9
  ttk::menubutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe18.frame5.frame7.menubutton9  -menu {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe18.frame5.frame7.menubutton9.m}  -text {Volume Options}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe18.frame5.frame7.menubutton9.m
  menu .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe18.frame5.frame7.menubutton9.m  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}  -tearoff {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe18.frame5.frame7.menubutton9.m add checkbutton  -variable {guiMMvars(meshGenerateVolumeMesh)}  -label {Generate Volume Mesh}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe18.frame5.frame7.menubutton9.m add checkbutton  -variable {guiMMvars(meshSmoothVolumeMesh)}  -label {Smooth Volume Mesh}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe18.frame5.frame7.menubutton9.m add checkbutton  -variable {guiMMvars(meshOptimizeVolumeMesh)}  -label {Optimize Volume Mesh}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe18.frame5.frame7.menubutton11
  ttk::menubutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe18.frame5.frame7.menubutton11  -menu {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe18.frame5.frame7.menubutton11.m}  -text {Misc Options}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe18.frame5.frame7.menubutton11.m
  menu .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe18.frame5.frame7.menubutton11.m  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}  -tearoff {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe18.frame5.frame7.menubutton11.m add checkbutton  -variable {guiMMvars(meshWriteMeshStats)}  -label {Write Mesh Statistics}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe18.frame5.frame15
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe18.frame5.frame15  -width {495}  -height {71}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe18.frame5.frame15.frame28
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe18.frame5.frame15.frame28  -width {494}  -height {83}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe18.frame5.frame15.frame28.frame19
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe18.frame5.frame15.frame28.frame19  -width {494}  -height {76}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe18.frame5.frame15.frame28.frame19.label51
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe18.frame5.frame15.frame28.frame19.label51  -font {Helvetica 10}  -text {Num. Optimization Passes:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe18.frame5.frame15.frame28.frame19.scale52
  scale .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe18.frame5.frame15.frame28.frame19.scale52  -command {guiMMmeshScaleNumSmoothingPasses}  -font {Helvetica 10}  -orient {horizontal}  -to {20.0}  -variable {guiMMvars(meshNumSmoothingPasses)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe99
  ttk::labelframe .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe99  -text {Helper [+]}  -height {25}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe99 <Button-1> {guiCV_squeezer_labelframe .frame5 %W}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe99.frame5
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe99.frame5  -borderwidth {0}  -relief {flat}  -width {479}  -height {116}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe99.frame5.button3
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe99.frame5.button3  -command {guiSVHELPshow meshsim_advanced.txt}  -text {Help}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe8
  ttk::labelframe .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe8  -text {Filenames [-]}  -height {25}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe8 <Button-1> {guiCV_squeezer_labelframe .frame1 %W}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe8.frame1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe8.frame1  -borderwidth {0}  -relief {flat}  -width {479}  -height {80}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe8.frame1.frame3
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe8.frame1.frame3  -width {495}  -height {28}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe8.frame1.frame3.label14
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe8.frame1.frame3.label14  -font {Helvetica 10}  -relief {flat}  -text {Original Mesh File (.sms):}  -width {22}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe8.frame1.frame3.entry15
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe8.frame1.frame3.entry15  -font {Helvetica 10}  -textvariable {gFilenames(mesh_file)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe8.frame1.frame3.button16
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe8.frame1.frame3.button16  -command {guiMMbrowseFile mesh_file}  -text {Browse}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe8.frame1.frame6
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe8.frame1.frame6  -width {495}  -height {28}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe8.frame1.frame6.label14
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe8.frame1.frame6.label14  -font {Helvetica 10}  -relief {flat}  -text {Results Mesh File (.vtu):}  -width {22}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe8.frame1.frame6.entry15
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe8.frame1.frame6.entry15  -font {Helvetica 10}  -textvariable {gFilenames(vtu_mesh_file)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe8.frame1.frame6.button16
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe8.frame1.frame6.button16  -command {guiMMbrowseFile vtu_mesh_file}  -text {Browse}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe8.frame1.frame7
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe8.frame1.frame7  -width {495}  -height {28}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe8.frame1.frame7.label14
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe8.frame1.frame7.label14  -font {Helvetica 10}  -relief {flat}  -text {Condensed Restart File:}  -width {22}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe8.frame1.frame7.entry15
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe8.frame1.frame7.entry15  -font {Helvetica 10}  -textvariable {gFilenames(solution_file)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe8.frame1.frame7.button16
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe8.frame1.frame7.button16  -command {guiMMbrowseFile solution_file}  -text {Browse}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe8.frame1.frame8
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe8.frame1.frame8  -width {495}  -height {28}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe8.frame1.frame8.label14
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe8.frame1.frame8.label14  -font {Helvetica 10}  -relief {flat}  -text {Output Directory:}  -width {22}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe8.frame1.frame8.entry15
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe8.frame1.frame8.entry15  -font {Helvetica 10}  -textvariable {gFilenames(adapted_mesh_dir)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe8.frame1.frame8.button16
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe8.frame1.frame8.button16  -command {guiChooseOutputDirectory adapted_mesh_dir}  -text {Browse}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe8.frame1.frame9
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe8.frame1.frame9  -width {497}  -height {28}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe8.frame1.frame9.label24
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe8.frame1.frame9.label24  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Solid File (.xmt_txt or .dsm):}  -width {22}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe8.frame1.frame9.entry0
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe8.frame1.frame9.entry0  -font {Helvetica 10}  -textvariable {gFilenames(atdb_solid_file)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe8.frame1.frame9.button1
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe8.frame1.frame9.button1  -command {guiMMbrowseFile atdb_solid_file}  -text {Browse}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe8.frame1.tframe0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe8.frame1.tframe0  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe8.frame1.tframe0.tradiobutton1
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe8.frame1.tframe0.tradiobutton1  -variable {gOptions(meshing_solid_kernel)}  -value {Parasolid}  -command {solid_setKernel -name Parasolid}  -text {Parasolid}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe8.frame1.tframe0.tradiobutton2
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe8.frame1.tframe0.tradiobutton2  -variable {gOptions(meshing_solid_kernel)}  -value {Discrete}  -command {solid_setKernel -name Discrete}  -text {Discrete}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe8.frame1.tframe0.tlabel3
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe8.frame1.tframe0.tlabel3  -font {Helvetica 10}  -relief {flat}  -text {Solid Model Type:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe9
  ttk::labelframe .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe9  -text {Create Condensed Restart File [-]}  -height {25}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe9 <Button-1> {guiCV_squeezer_labelframe .frame1 %W}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe9.frame1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe9.frame1  -borderwidth {0}  -relief {flat}  -width {154}  -height {376}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe9.frame1.frame6
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe9.frame1.frame6  -width {150}  -height {72}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe9.frame1.frame6.label9
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe9.frame1.frame6.label9  -font {Helvetica 10}  -borderwidth {0}  -text {Input Directory: }  -width {15}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe9.frame1.frame6.entry10
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe9.frame1.frame6.entry10  -font {Helvetica 10}  -textvariable {guiMMvars(error_input_dir)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe9.frame1.frame6.button11
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe9.frame1.frame6.button11  -command {guiMMselectDir error_input_dir}  -text {Browse}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe9.frame1.frame7
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe9.frame1.frame7  -width {150}  -height {76}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe9.frame1.frame7.label12
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe9.frame1.frame7.label12  -font {Helvetica 10}  -borderwidth {0}  -text {Output Directory:}  -width {15}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe9.frame1.frame7.entry13
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe9.frame1.frame7.entry13  -font {Helvetica 10}  -textvariable {guiMMvars(error_output_dir)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe9.frame1.frame7.button14
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe9.frame1.frame7.button14  -command {guiMMselectDir error_output_dir}  -text {Browse}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe9.frame1.frame27
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe9.frame1.frame27  -width {240}  -height {26}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe9.frame1.frame27.label28
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe9.frame1.frame27.label28  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Flow Solver file format:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe9.frame1.frame27.radiobutton29
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe9.frame1.frame27.radiobutton29  -variable {guiMMvars(phasta_format)}  -value {}  -text {binary}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe9.frame1.frame27.radiobutton30
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe9.frame1.frame27.radiobutton30  -variable {guiMMvars(phasta_format)}  -value {-nonbinary}  -text {ASCII}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe9.frame1.frame15
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe9.frame1.frame15  -width {150}  -height {126}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe9.frame1.frame15.label17
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe9.frame1.frame15.label17  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Last Step Number:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe9.frame1.frame15.entry18
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe9.frame1.frame15.entry18  -font {Helvetica 10}  -textvariable {guiMMvars(last_step_number)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe9.frame1.tframe13
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe9.frame1.tframe13  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe9.frame1.tframe13.tbutton8
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe9.frame1.tframe13.tbutton8  -command {guiMMcreateCondensedFile}  -text {Create One Restart File}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe10
  ttk::labelframe .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe10  -text {Options [-]}  -height {25}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe10 <Button-1> {guiCV_squeezer_labelframe .frame5 %W}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe10.frame5
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe10.frame5  -borderwidth {0}  -relief {flat}  -width {479}  -height {116}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe10.frame5.frame15
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe10.frame5.frame15  -width {495}  -height {71}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe10.frame5.frame15.frame28
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe10.frame5.frame15.frame28  -width {494}  -height {83}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe10.frame5.frame15.frame28.frame27
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe10.frame5.frame15.frame28.frame27  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe10.frame5.frame15.frame28.frame27.label0
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe10.frame5.frame15.frame28.frame27.label0  -font {Helvetica 10}  -relief {flat}  -text {Global Min Edge Size:} -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe10.frame5.frame15.frame28.frame27.entry1
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe10.frame5.frame15.frame28.frame27.entry1  -font {Helvetica 10}  -textvariable {guiMMvars(min_gsize)} -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe10.frame5.frame15.frame28.frame2
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe10.frame5.frame15.frame28.frame2  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe10.frame5.frame15.frame28.frame2.label0
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe10.frame5.frame15.frame28.frame2.label0  -font {Helvetica 10}  -text {Global Max Edge Size:} -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe10.frame5.frame15.frame28.frame2.entry1
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe10.frame5.frame15.frame28.frame2.entry1  -font {Helvetica 10}  -textvariable {guiMMvars(gsize)} -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe10.frame5.frame15.frame28.frame6
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe10.frame5.frame15.frame28.frame6  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe10.frame5.frame15.frame28.frame6.label0
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe10.frame5.frame15.frame28.frame6.label0  -font {Helvetica 10}  -relief {flat}  -text {Error Reduction Factor} -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe10.frame5.frame15.frame28.frame6.entry1
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe10.frame5.frame15.frame28.frame6.entry1  -font {Helvetica 10}  -textvariable {guiMMvars(error_reduction_factor)} -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe10.frame5.frame15.frame29
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe10.frame5.frame15.frame29  -width {494}  -height {83}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe10.frame5.frame15.frame29.frame27
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe10.frame5.frame15.frame29.frame27  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe10.frame5.frame15.frame29.frame27.label0
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe10.frame5.frame15.frame29.frame27.label0  -font {Helvetica 10}  -relief {flat}  -text {Step Increment:} -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe10.frame5.frame15.frame29.frame27.entry1
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe10.frame5.frame15.frame29.frame27.entry1  -font {Helvetica 10}  -textvariable {guiMMvars(step_incr)} -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe10.frame5.frame15.frame29.frame2
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe10.frame5.frame15.frame29.frame2  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe10.frame5.frame15.frame29.frame2.label0
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe10.frame5.frame15.frame29.frame2.label0  -font {Helvetica 10}  -text {Start Step Number:} -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe10.frame5.frame15.frame29.frame2.entry1
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe10.frame5.frame15.frame29.frame2.entry1  -font {Helvetica 10}  -textvariable {guiMMvars(first_step_number)} -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe10.frame5.frame15.frame29.frame6
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe10.frame5.frame15.frame29.frame6  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe10.frame5.frame15.frame29.frame6.label0
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe10.frame5.frame15.frame29.frame6.label0  -font {Helvetica 10}  -relief {flat}  -text {End Step Number:} -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe10.frame5.frame15.frame29.frame6.entry1
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe10.frame5.frame15.frame29.frame6.entry1  -font {Helvetica 10}  -textvariable {guiMMvars(last_step_number)} -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe10.frame5.frame15.frame30
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe10.frame5.frame15.frame30  -width {494}  -height {83}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe10.frame5.frame15.frame30.label0
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe10.frame5.frame15.frame30.label0  -font {Helvetica 10}  -relief {flat}  -text {Adapt Option (See Help):} -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe10.frame5.frame15.frame30.entry1
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe10.frame5.frame15.frame30.entry1  -font {Helvetica 10}  -textvariable {guiMMvars(adapt_option)} -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe10.frame5.frame15.frame31
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe10.frame5.frame15.frame31  -width {494}  -height {83}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe10.frame5.frame15.frame31.label0
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe10.frame5.frame15.frame31.label0  -font {Helvetica 10}  -relief {flat}  -text {Adapt Strategy:} -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe10.frame5.frame15.frame31.entry1
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe10.frame5.frame15.frame31.entry1  -font {Helvetica 10}  -textvariable {guiMMvars(ms_strategy)} -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe11
  ttk::labelframe .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe11  -text {Run Adaptor [-]}  -height {25}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe11 <Button-1> {guiCV_squeezer_labelframe .tframe12 %W}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe11.tframe12
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe11.tframe12  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe11.tframe12.tbutton9
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe11.tframe12.tbutton9  -command {guiMeshSimAdaptMesh}  -text {Adapt Mesh}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe12
  ttk::labelframe .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe12  -text {Helper [+]}  -height {25}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe12 <Button-1> {guiCV_squeezer_labelframe .tframe0 %W}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe12.tframe0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe12.tframe0  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe12.tframe0.tbutton9
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe12.tframe0.tbutton9  -command {guiSVHELPshow meshsimadapt.txt}  -text {Help}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe1  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe1.tlabelframe6
  ttk::labelframe .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe1.tlabelframe6  -text {Windows License Keys [-]}  -height {25}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe1.tlabelframe6 <Button-1> {guiCV_squeezer_labelframe .tframe8 %W}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe1.tlabelframe6.tframe8
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe1.tlabelframe6.tframe8  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe1.tlabelframe6.tframe8.tbutton3
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe1.tlabelframe6.tframe8.tbutton3  -command {guiMMcheckMeshSimLicenseKeys}  -text {Check License Keys}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe1.tlabelframe6.tframe8.tbutton4
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe1.tlabelframe6.tframe8.tbutton4  -command {guiMMremoveMeshSimLicenseKeys}  -text {Remove License Keys}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe1.tlabelframe6.tframe8.tbutton5
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe1.tlabelframe6.tframe8.tbutton5  -command {guiMMinstallMeshSimLicenseKeys}  -text {Install License Keys}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2  -borderwidth {2}  -relief {raised}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0
  ttk::notebook .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe18
  ttk::labelframe .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe18  -text {Select Solid Model [-]}  -height {25}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe18 <Button-1> {guiCV_squeezer_labelframe .frame18 %W}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe18.frame18
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe18.frame18  -borderwidth {0}  -relief {flat}  -width {479}  -height {86}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe18.frame18.label17
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe18.frame18.label17  -font {Helvetica 10}  -borderwidth {0}  -text {File:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe18.frame18.entry0
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe18.frame18.entry0  -font {Helvetica 10}  -textvariable {gFilenames(polydata_solid_file)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe18.frame18.button1
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe18.frame18.button1  -command {guiTETGEN_select_solid_model}  -text {Select}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe16
  ttk::labelframe .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe16  -text {Script File [-]}  -height {25}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe16 <Button-1> {guiCV_squeezer_labelframe .frame1 %W}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe16.frame1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe16.frame1  -borderwidth {0}  -relief {flat}  -width {479}  -height {80}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe16.frame1.frame0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe16.frame1.frame0  -width {495}  -height {28}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe16.frame1.frame0.label14
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe16.frame1.frame0.label14  -font {Helvetica 10}  -text {TetGen script file:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe16.frame1.frame0.entry15
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe16.frame1.frame0.entry15  -font {Helvetica 10}  -textvariable {gFilenames(tet_mesh_script_file)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe16.frame1.frame0.button16
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe16.frame1.frame0.button16  -command {guiTETGEN_load_script_file}  -text {Select}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe16.frame1.frame2
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe16.frame1.frame2  -width {495}  -height {32}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe16.frame1.frame2.button4
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe16.frame1.frame2.button4  -command {guiTETGEN_save_script_file}  -text {Save}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19
  ttk::labelframe .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19  -text {TetGen Flags [+]}  -height {25}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19 <Button-1> {guiCV_squeezer_labelframe .frame7 %W}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7  -borderwidth {0}  -relief {flat}  -width {180}  -height {200}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame0  -borderwidth {0}  -relief {flat}  -width {180}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame0.checkbutton0
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame0.checkbutton0  -variable {guiTGvars(useMeshOptimization)}  -width {2}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame0.label0
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame0.label0  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {-O    Specifies level of mesh optimization:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame0.scale0
  scale .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame0.scale0  -command {guiTGmeshOptimization}  -digits {1}  -font {helvetica 10}  -from {1.0}  -length {2}  -orient {horizontal}  -to {7.0}  -variable {guiTGvars(meshOptimization)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame2
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame2  -borderwidth {0}  -relief {flat}  -width {180}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame2.checkbutton1
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame2.checkbutton1  -variable {guiTGvars(useMeshQuality)}  -width {2}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame2.label4
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame2.label4  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {-q    Minimum radius-edge ratio (quality):}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame2.scale9
  scale .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame2.scale9  -command {guiTGmeshQuality}  -digits {2}  -font {helvetica 10}  -from {1.1}  -length {2}  -orient {horizontal}  -resolution {0.1}  -to {2.0}  -variable {guiTGvars(meshQuality)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame32
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame32  -borderwidth {0}  -relief {flat}  -width {180}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame32.checkbutton1
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame32.checkbutton1  -variable {guiTGvars(useMeshCoarsen)}  -width {2}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame32.label4
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame32.label4  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {-R    Mesh Coarsen Percentage (1.5.0):}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame32.scale9
  scale .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame32.scale9  -command {guiTGmeshCoarsenPercent}  -digits {2}  -font {helvetica 10}  -from {1.0}  -length {2}  -orient {horizontal}  -variable {guiTGvars(meshCoarsenPercent)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame4
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame4  -borderwidth {0}  -relief {flat}  -width {180}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame4.checkbutton2
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame4.checkbutton2  -variable {guiTGvars(useMeshTolerance)}  -width {2}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame4.label6
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame4.label6  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {-T    Set a tolerance for coplanar test:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame4.entry3
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame4.entry3  -font {Helvetica 10}  -textvariable {guiTGvars(meshTolerance)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame6
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame6  -borderwidth {0}  -relief {flat}  -width {180}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame6.checkbutton3
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame6.checkbutton3  -variable {guiTGvars(useMeshSuppression)}  -width {2}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame6.label6
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame6.label6  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {-Y    Retain exact surface mesh for volume mesh}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame8
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame8  -borderwidth {0}  -relief {flat}  -width {180}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame8.checkbutton4
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame8.checkbutton4  -variable {guiTGvars(useNoMerging)}  -width {2}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame8.label2
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame8.label2  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {-M    Does not merge coplanar facets}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame10
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame10  -borderwidth {0}  -relief {flat}  -width {180}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame10.checkbutton5
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame10.checkbutton5  -variable {guiTGvars(useMeshDetection)}  -width {2}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame10.label3
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame10.label3  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {-d    Detect intersections of PLC facets}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame12
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame12  -borderwidth {0}  -relief {flat}  -width {180}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame12.checkbutton6
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame12.checkbutton6  -variable {guiTGvars(useCheckConsistency)}  -width {2}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame12.label6
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame12.label6  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {-C    Check consistency of the final mesh}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame14
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame14  -borderwidth {0}  -relief {flat}  -width {180}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame14.checkbutton7
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame14.checkbutton7  -variable {guiTGvars(useQuiet)}  -width {2}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame14.label7
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame14.label7  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {-Q    No terminal output except for errors}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame16
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame16  -borderwidth {0}  -relief {flat}  -width {180}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame16.checkbutton8
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame16.checkbutton8  -variable {guiTGvars(useVerbose)}  -width {2}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame16.label8
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame16.label8  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {-V    Verbose: detailed information and more output to .tgs file}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame18
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame18  -borderwidth {0}  -relief {flat}  -width {180}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame18.checkbutton9
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame18.checkbutton9  -variable {guiTGvars(useMeshTetGenOptions)}  -width {2}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame18.label9
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame18.label9  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {     Other user specified flags:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame18.entry9
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame18.entry9  -font {Helvetica 10}  -textvariable {guiTGvars(meshTetGenOptions)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe40
  ttk::labelframe .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe40  -text {Helper [+]}  -height {25}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe40 <Button-1> {guiCV_squeezer_labelframe .frame5 %W}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe40.frame5
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe40.frame5  -borderwidth {0}  -relief {flat}  -width {479}  -height {116}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe40.frame5.button3
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe40.frame5.button3  -command {guiSVHELPshow tetgen.txt}  -text {Help}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe20
  ttk::labelframe .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe20  -text {Basic Options [-]}  -height {25}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe20 <Button-1> {guiCV_squeezer_labelframe .frame14 %W}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe20.frame14
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe20.frame14  -borderwidth {0}  -relief {flat}  -width {180}  -height {200}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe20.frame14.frame2
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe20.frame14.frame2  -borderwidth {0}  -relief {flat}  -width {180}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe20.frame14.frame2.frame5
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe20.frame14.frame2.frame5  -borderwidth {0}  -relief {flat}  -width {180}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe20.frame14.frame2.frame5.tbutton4
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe20.frame14.frame2.frame5.tbutton4  -command {guiTETGENestimateMeshSize}  -text {Estimate Global Edge Size}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe20.frame14.frame2.frame7
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe20.frame14.frame2.frame7  -borderwidth {0}  -relief {flat}  -width {180}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe20.frame14.frame2.frame7.label1
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe20.frame14.frame2.frame7.label1  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Set maximum edge size for equilateral tetrahedron:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe20.frame14.frame2.frame7.entry1
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe20.frame14.frame2.frame7.entry1  -font {Helvetica 10}  -textvariable {guiTGvars(meshMaxEdgeSize)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe20.frame14.frame2.frame1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe20.frame14.frame2.frame1  -borderwidth {0}  -relief {flat}  -width {180}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe20.frame14.frame2.frame1.button6
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe20.frame14.frame2.frame1.button6  -command {guiTETGEN_create_mesh}  -text {Run Mesher}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe20.frame14.frame3
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe20.frame14.frame3  -borderwidth {0}  -relief {flat}  -width {180}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe20.frame14.frame3.frame5
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe20.frame14.frame3.frame5  -borderwidth {0}  -relief {flat}  -width {180}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe20.frame14.frame3.frame5.frame
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe20.frame14.frame3.frame5.frame

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe20.frame14.frame3.frame5.frame.scrollbar3
  ttk::scrollbar .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe20.frame14.frame3.frame5.frame.scrollbar3  -command {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe20.frame14.frame3.frame5.frame.listbox1 xview}  -orient {horizontal}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe20.frame14.frame3.frame5.frame.scrollbar2
  ttk::scrollbar .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe20.frame14.frame3.frame5.frame.scrollbar2  -command {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe20.frame14.frame3.frame5.frame.listbox1 yview}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe20.frame14.frame3.frame5.frame.listbox1
  listbox .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe20.frame14.frame3.frame5.frame.listbox1  -borderwidth {0}  -exportselection {0}  -font {helvetica 10}  -relief {flat}  -xscrollcommand {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe20.frame14.frame3.frame5.frame.scrollbar3 set}  -yscrollcommand {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe20.frame14.frame3.frame5.frame.scrollbar2 set}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe20.frame14.frame3.frame5.frame.listbox1 <ButtonRelease-1> {smasherGUIupdateSel %W}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe20.frame14.frame3.tbutton1
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe20.frame14.frame3.tbutton1  -command {guiTETGENselectWalls}  -text {Select Walls}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe21
  ttk::labelframe .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe21  -text {Write Files [-]}  -height {25}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe21 <Button-1> {guiCV_squeezer_labelframe .frame27 %W}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe21.frame27
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe21.frame27  -borderwidth {0}  -relief {flat}  -width {180}  -height {200}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe21.frame27.label4
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe21.frame27.label4  -font {Helvetica 10}  -relief {flat}  -text {mesh complete dir:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe21.frame27.entry5
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe21.frame27.entry5  -font {Helvetica 10}  -textvariable {gFilenames(complete_mesh_dir)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe21.frame27.tbutton15
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe21.frame27.tbutton15  -command {guiPOSTselectMeshCompleteDir}  -text {Select Dir}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe21.frame27.tbutton17
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe21.frame27.tbutton17  -command {guiPOSTwriteCompleteMeshFiles}  -text {Write Files}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe1
  ttk::labelframe .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe1  -text {Boundary Layer Meshing [-]}  -height {25}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe1 <Button-1> {guiCV_squeezer_labelframe .frame0 %W}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe1.frame0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe1.frame0  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe1.frame0.tframe99
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe1.frame0.tframe99  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe1.frame0.tframe99.tframe3
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe1.frame0.tframe99.tframe3  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe1.frame0.tframe99.tframe3.label1
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe1.frame0.tframe99.tframe3.label1  -font {Helvetica 10}  -borderwidth {0}  -text {Use Boundary Layer Meshing:}  -width {24}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe1.frame0.tframe99.tframe3.tcheckbutton1
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe1.frame0.tframe99.tframe3.tcheckbutton1  -variable {guiMMvars(meshGenerateBoundaryLayerMesh)}  -width {2}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe1.frame0.tframe99.tframe4
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe1.frame0.tframe99.tframe4  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe1.frame0.tframe99.tframe4.label4
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe1.frame0.tframe99.tframe4.label4  -font {Helvetica 10}  -borderwidth {0}  -text {Portion of Edge Size:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe1.frame0.tframe99.tframe4.entry4
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe1.frame0.tframe99.tframe4.entry4  -font {Helvetica 10}  -textvariable {guiTGvars(blthicknessratio)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe1.frame0.tframe99.tframe5
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe1.frame0.tframe99.tframe5  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe1.frame0.tframe99.tframe5.label5
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe1.frame0.tframe99.tframe5.label5  -font {Helvetica 10}  -borderwidth {0}  -text {Num Layers:}  -width {12}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe1.frame0.tframe99.tframe5.entry5
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe1.frame0.tframe99.tframe5.entry5  -font {Helvetica 10}  -textvariable {guiTGvars(numsublayers)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe1.frame0.tframe99.tframe6
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe1.frame0.tframe99.tframe6  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe1.frame0.tframe99.tframe6.label6
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe1.frame0.tframe99.tframe6.label6  -font {Helvetica 10}  -borderwidth {0}  -text {Layer Decreasing Ratio:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe1.frame0.tframe99.tframe6.entry6
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe1.frame0.tframe99.tframe6.entry6  -font {Helvetica 10}  -textvariable {guiTGvars(sublayerratio)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe4
  ttk::labelframe .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe4  -text {Local Size [-]}  -height {25}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe4 <Button-1> {guiCV_squeezer_labelframe .frame0 %W}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe4.frame0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe4.frame0  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe4.frame0.frame2
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe4.frame0.frame2  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe4.frame0.frame2.label2
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe4.frame0.frame2.label2  -font {Helvetica 10}  -borderwidth {0}  -text {Size:}  -width {12}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe4.frame0.frame2.entry2
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe4.frame0.frame2.entry2  -font {Helvetica 10}  -textvariable {guiTGvars(localMeshSize)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe4.frame0.button2
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe4.frame0.button2  -command {guiTETGENcreateMeshMacro localSize}  -text {Add Local Mesh Size}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe2
  ttk::labelframe .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe2  -text {Refinement [-]}  -height {25}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe2 <Button-1> {guiCV_squeezer_labelframe .frame1 %W}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe2.frame1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe2.frame1  -borderwidth {0}  -relief {flat}  -width {479}  -height {86}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe2.frame1.tframe15
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe2.frame1.tframe15  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe2.frame1.tframe15.checkbutton2
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe2.frame1.tframe15.checkbutton2  -variable {guiTGvars(showSphere)}  -command {guiSPHEREvis "tetgen"}  -width {2}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe2.frame1.tframe15.button2
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe2.frame1.tframe15.button2  -command {guiTETGENcreateMeshMacro sphereRefinement}  -text {Add Sphere Refinement}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe2.frame1.tframe15.label7
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe2.frame1.tframe15.label7  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Show Refinement Sphere}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe2.frame1.tframe9
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe2.frame1.tframe9  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe2.frame1.tframe9.tframe5
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe2.frame1.tframe9.tframe5  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe2.frame1.tframe9.tframe5.label5
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe2.frame1.tframe9.tframe5.label5  -font {Helvetica 10}  -borderwidth {0}  -text {Sphere Radius:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe2.frame1.tframe9.tframe5.entry5
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe2.frame1.tframe9.tframe5.entry5  -font {Helvetica 10}  -textvariable {guiTGvars(setSphereRadius)}  -width {10}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe2.frame1.tframe9.tframe5.entry5 <Key-Return> {guiREFINEsetRefineSphereRadius "tetgen"}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe2.frame1.tframe9.tframe8
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe2.frame1.tframe9.tframe8  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe2.frame1.tframe9.tframe8.label8
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe2.frame1.tframe9.tframe8.label8  -font {Helvetica 10}  -borderwidth {0}  -text {Refinement Mesh Size:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe2.frame1.tframe9.tframe8.entry8
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe2.frame1.tframe9.tframe8.entry8  -font {Helvetica 10}  -textvariable {guiTGvars(refinementSize)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe9
  ttk::labelframe .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe9  -text {Radius-Based Meshing [-]}  -height {25}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe9 <Button-1> {guiCV_squeezer_labelframe .frame9 %W}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe9.frame9
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe9.frame9  -borderwidth {0}  -relief {flat}  -width {479}  -height {86}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe9.frame9.tframe1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe9.frame9.tframe1  -borderwidth {0}  -relief {flat}  -width {479}  -height {86}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe9.frame9.tframe1.tframe11
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe9.frame9.tframe1.tframe11  -borderwidth {0}  -relief {flat}  -width {479}  -height {86}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe9.frame9.tframe1.tframe11.tlabel5
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe9.frame9.tframe1.tframe11.tlabel5  -font {Helvetica 10}  -borderwidth {0}  -text {Use Centerline Radius:}  -width {25}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe9.frame9.tframe1.tframe11.checkbutton5
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe9.frame9.tframe1.tframe11.checkbutton5  -variable {guiTGvars(useCenterlineRadius)}  -command {guiTETGEN_use_radius}  -width {2}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe10
  ttk::labelframe .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe10  -text {Surface and Volume Mesh Options [+]}  -height {25}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe10 <Button-1> {guiCV_squeezer_labelframe .frame1 %W}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe10.frame1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe10.frame1  -borderwidth {0}  -relief {flat}  -width {180}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe10.frame1.tframe5
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe10.frame1.tframe5  -borderwidth {0}  -relief {flat}  -width {180}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe10.frame1.tframe5.label3
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe10.frame1.tframe5.label3  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Surface Mesh}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe10.frame1.tframe5.checkbutton4
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe10.frame1.tframe5.checkbutton4  -variable {guiMMvars(meshGenerateSurfaceMesh)}  -width {2}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe10.frame1.tframe7
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe10.frame1.tframe7  -borderwidth {0}  -relief {flat}  -width {180}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe10.frame1.tframe7.label45
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe10.frame1.tframe7.label45  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Volume Mesh}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe10.frame1.tframe7.checkbutton5
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe10.frame1.tframe7.checkbutton5  -variable {guiMMvars(meshGenerateVolumeMesh)}  -width {2}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe3
  ttk::labelframe .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe3  -text {Helper [+]}  -height {25}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe3 <Button-1> {guiCV_squeezer_labelframe .frame5 %W}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe3.frame5
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe3.frame5  -borderwidth {0}  -relief {flat}  -width {479}  -height {116}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe3.frame5.button3
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe3.frame5.button3  -command {guiSVHELPshow tetgen_advanced.txt}  -text {Help}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe11
  ttk::labelframe .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe11  -text {Meshing Parameters [-]}  -height {25}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe11 <Button-1> {guiCV_squeezer_labelframe .tframe1 %W}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe11.tframe1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe11.tframe1  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe11.tframe1.frame
  frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe11.tframe1.frame  -relief {raised}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe11.tframe1.frame.scrollbar1
  scrollbar .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe11.tframe1.frame.scrollbar1  -command {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe11.tframe1.frame.text2 yview}  -relief {raised}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe11.tframe1.frame.text2
  text .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe11.tframe1.frame.text2  -borderwidth {2}  -font {Helvetica 10}  -relief {raised}  -wrap {none}  -yscrollcommand {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe11.tframe1.frame.scrollbar1 set}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe7
  ttk::labelframe .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe7  -text {Filenames [-]}  -height {25}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe7 <Button-1> {guiCV_squeezer_labelframe .frame1 %W}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe7.frame1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe7.frame1  -borderwidth {0}  -relief {flat}  -width {479}  -height {80}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe7.frame1.frame3
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe7.frame1.frame3  -width {495}  -height {28}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe7.frame1.frame3.label14
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe7.frame1.frame3.label14  -font {Helvetica 10}  -relief {flat}  -text {Mesh File (.vtu):}  -width {22}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe7.frame1.frame3.entry15
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe7.frame1.frame3.entry15  -font {Helvetica 10}  -textvariable {gFilenames(vtu_mesh_file)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe7.frame1.frame3.button16
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe7.frame1.frame3.button16  -command {guiMMbrowseFile vtu_mesh_file}  -text {Browse}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe7.frame1.frame14
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe7.frame1.frame14  -width {495}  -height {28}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe7.frame1.frame14.label14
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe7.frame1.frame14.label14  -font {Helvetica 10}  -relief {flat}  -text {Output Directory:}  -width {22}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe7.frame1.frame14.entry15
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe7.frame1.frame14.entry15  -font {Helvetica 10}  -textvariable {gFilenames(adapted_mesh_dir)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe7.frame1.frame14.button16
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe7.frame1.frame14.button16  -command {guiChooseOutputDirectory adapted_mesh_dir}  -text {Browse}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe7.frame1.frame9
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe7.frame1.frame9  -width {497}  -height {28}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe7.frame1.frame9.label24
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe7.frame1.frame9.label24  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Model File:}  -width {22}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe7.frame1.frame9.entry0
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe7.frame1.frame9.entry0  -font {Helvetica 10}  -textvariable {gFilenames(vtp_surface_file)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe7.frame1.frame9.button1
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe7.frame1.frame9.button1  -command {guiMMbrowseFile vtp_surface_file}  -text {Browse}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe7.frame1.frame10
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe7.frame1.frame10  -width {497}  -height {28}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe7.frame1.frame10.label24
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe7.frame1.frame10.label24  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Condensed Restart File:}  -width {22}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe7.frame1.frame10.entry0
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe7.frame1.frame10.entry0  -font {Helvetica 10}  -textvariable {gFilenames(solution_file)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe7.frame1.frame10.button1
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe7.frame1.frame10.button1  -command {guiMMbrowseFile solution_file}  -text {Browse}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe8
  ttk::labelframe .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe8  -text {Condense Restart Files [-]}  -height {25}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe8 <Button-1> {guiCV_squeezer_labelframe .frame1 %W}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe8.frame1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe8.frame1  -borderwidth {0}  -relief {flat}  -width {154}  -height {376}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe8.frame1.frame6
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe8.frame1.frame6  -width {150}  -height {72}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe8.frame1.frame6.label9
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe8.frame1.frame6.label9  -font {Helvetica 10}  -borderwidth {0}  -text {Input Directory: }  -width {15}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe8.frame1.frame6.entry10
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe8.frame1.frame6.entry10  -font {Helvetica 10}  -textvariable {guiMMvars(error_input_dir)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe8.frame1.frame6.button11
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe8.frame1.frame6.button11  -command {guiMMselectDir error_input_dir}  -text {Browse}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe8.frame1.frame7
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe8.frame1.frame7  -width {150}  -height {76}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe8.frame1.frame7.label12
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe8.frame1.frame7.label12  -font {Helvetica 10}  -borderwidth {0}  -text {Output Directory:}  -width {15}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe8.frame1.frame7.entry13
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe8.frame1.frame7.entry13  -font {Helvetica 10}  -textvariable {guiMMvars(error_output_dir)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe8.frame1.frame7.button14
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe8.frame1.frame7.button14  -command {guiMMselectDir error_output_dir}  -text {Browse}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe8.frame1.frame27
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe8.frame1.frame27  -width {240}  -height {26}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe8.frame1.frame27.label28
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe8.frame1.frame27.label28  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Flow Solver file format:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe8.frame1.frame27.radiobutton29
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe8.frame1.frame27.radiobutton29  -variable {guiMMvars(phasta_format)}  -value {}  -text {binary}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe8.frame1.frame27.radiobutton30
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe8.frame1.frame27.radiobutton30  -variable {guiMMvars(phasta_format)}  -value {-nonbinary}  -text {ASCII}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe8.frame1.frame15
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe8.frame1.frame15  -width {150}  -height {126}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe8.frame1.frame15.label17
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe8.frame1.frame15.label17  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Last Step Number:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe8.frame1.frame15.entry18
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe8.frame1.frame15.entry18  -font {Helvetica 10}  -textvariable {guiMMvars(last_step_number)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe8.frame1.tbutton8
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe8.frame1.tbutton8  -command {guiMMcreateCondensedFile}  -text {Create One Restart File}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe9
  ttk::labelframe .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe9  -text {Options [-]}  -height {25}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe9 <Button-1> {guiCV_squeezer_labelframe .frame5 %W}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe9.frame5
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe9.frame5  -borderwidth {0}  -relief {flat}  -width {479}  -height {116}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe9.frame5.frame27
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe9.frame5.frame27  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe9.frame5.frame27.label0
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe9.frame5.frame27.label0  -font {Helvetica 10}  -relief {flat}  -text {Global Min Edge Size:} -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe9.frame5.frame27.entry1
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe9.frame5.frame27.entry1  -font {Helvetica 10}  -textvariable {guiMMvars(min_gsize)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe9.frame5.frame2
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe9.frame5.frame2  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe9.frame5.frame2.label0
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe9.frame5.frame2.label0  -font {Helvetica 10}  -text {Global Max Edge Size:} -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe9.frame5.frame2.entry1
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe9.frame5.frame2.entry1  -font {Helvetica 10}  -textvariable {guiMMvars(gsize)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe9.frame5.frame6
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe9.frame5.frame6  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe9.frame5.frame6.label0
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe9.frame5.frame6.label0  -font {Helvetica 10}  -relief {flat}  -text {Error Reduction Factor:} -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe9.frame5.frame6.entry1
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe9.frame5.frame6.entry1  -font {Helvetica 10}  -textvariable {guiMMvars(error_reduction_factor)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe9.frame6
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe9.frame6  -width {150}  -height {126}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe9.frame6.tframe8
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe9.frame6.tframe8  -width {150}  -height {126}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe9.frame6.tframe8.label17
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe9.frame6.tframe8.label17  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Start Step Number:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe9.frame6.tframe8.entry18
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe9.frame6.tframe8.entry18  -font {Helvetica 10}  -textvariable {guiMMvars(first_step_number)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe9.frame6.tframe9
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe9.frame6.tframe9  -width {150}  -height {126}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe9.frame6.tframe9.label18
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe9.frame6.tframe9.label18  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {End Step Number:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe9.frame6.tframe9.entry19
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe9.frame6.tframe9.entry19  -font {Helvetica 10}  -textvariable {guiMMvars(last_step_number)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe9.frame6.tframe10
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe9.frame6.tframe10  -width {150}  -height {126}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe9.frame6.tframe10.label19
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe9.frame6.tframe10.label19  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Step Increment:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe9.frame6.tframe10.entry20
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe9.frame6.tframe10.entry20  -font {Helvetica 10}  -textvariable {guiMMvars(step_incr)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe9.frame7
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe9.frame7  -width {150}  -height {126}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe9.frame7.label17
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe9.frame7.label17  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Adapt Option (See Help):}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe9.frame7.entry18
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe9.frame7.entry18  -font {Helvetica 10}  -textvariable {guiMMvars(adapt_option)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe9.frame8
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe9.frame8  -width {150}  -height {126}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe9.frame8.label17
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe9.frame8.label17  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Adapt Strategy:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe9.frame8.entry18
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe9.frame8.entry18  -font {Helvetica 10}  -textvariable {guiMMvars(tg_strategy)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe10
  ttk::labelframe .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe10  -text {Run Adaptor [-]}  -height {25}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe10 <Button-1> {guiCV_squeezer_labelframe .frame6 %W}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe10.frame6
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe10.frame6  -borderwidth {0}  -relief {flat}  -width {479}  -height {116}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe10.frame6.tbutton9
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe10.frame6.tbutton9  -command {guiTetGenAdaptMesh}  -text {Adapt Mesh}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe11
  ttk::labelframe .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe11  -text {Helper [+]}  -height {25}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe11 <Button-1> {guiCV_squeezer_labelframe .frame0 %W}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe11.frame0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe11.frame0  -borderwidth {0}  -relief {flat}  -width {479}  -height {116}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe11.frame0.tbutton9
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe11.frame0.tbutton9  -command {guiSVHELPshow tetadapt.txt}  -text {Help}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0
  ttk::notebook .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe1  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe1.frame2
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe1.frame2  -borderwidth {0}  -relief {flat}  -width {550}  -height {138}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe1.frame2.frame8
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe1.frame2.frame8  -width {383}  -height {37}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe1.frame2.frame8.label10
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe1.frame2.frame8.label10  -font {Helvetica 10}  -relief {flat}  -anchor {center}  -text {Analysis Files}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe1.frame2.frame9
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe1.frame2.frame9  -width {546}  -height {33}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe1.frame2.frame9.label15
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe1.frame2.frame9.label15  -font {Helvetica 10}  -borderwidth {0}  -text {numstart.dat}  -width {15}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe1.frame2.frame9.label16
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe1.frame2.frame9.label16  -font {Helvetica 10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe1.frame2.frame9.button29
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe1.frame2.frame9.button29  -command {guiPHASTAcreateNumstartFile}  -text {Create File}  -width {12}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe1.frame0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe1.frame0  -borderwidth {0}  -relief {flat}  -width {600}  -height {360}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe1.frame0.label17
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe1.frame0.label17  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -anchor {center}  -text {Create PreSolver script file}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe1.frame0.frame1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe1.frame0.frame1  -width {596}  -height {35}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe1.frame0.frame1.button4
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe1.frame0.frame1.button4  -command {guiPHASTAloadSupreFile}  -text {Load PreSolver scriptfile}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe1.frame0.frame9
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe1.frame0.frame9  -width {497}  -height {28}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe1.frame0.frame9.label24
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe1.frame0.frame9.label24  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {script filename:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe1.frame0.frame9.entry0
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe1.frame0.frame9.entry0  -font {Helvetica 10}  -textvariable {gFilenames(supre_script_file)}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe1.frame0.frame9.entry0 <Key-Return> {guiFNMloadSolidModel atdb_solid_file atdb_solid}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe1.frame0.frame9.button1
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe1.frame0.frame9.button1  -command {guiPHASTAbrowseSupreFile}  -text {Browse}  -width {12}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe1.frame0.frame2
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe1.frame0.frame2  -width {618}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe1.frame0.frame2.button3
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe1.frame0.frame2.button3  -command {guiPHASTArunSupre}  -text {Run PreSolver}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe1.frame0.frame2.button2
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe1.frame0.frame2.button2  -command {guiPHASTAsaveSupreFile}  -text {Save PreSolver scriptfile}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe1.frame0.frame
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe1.frame0.frame  -relief {flat}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe1.frame0.frame.scrollbar1
  ttk::scrollbar .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe1.frame0.frame.scrollbar1  -command {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe1.frame0.frame.text2 yview}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe1.frame0.frame.text2
  text .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe1.frame0.frame.text2  -font {Helvetica 10}  -height {1}  -relief {raised}  -width {1}  -wrap {none}  -yscrollcommand {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe1.frame0.frame.scrollbar1 set}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe1.frame0.frame.text2 <Key> {NoFunction}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame1  -width {154}  -height {376}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame1.frame6
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame1.frame6  -width {150}  -height {72}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame1.frame6.label9
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame1.frame6.label9  -font {Helvetica 10}  -borderwidth {0}  -text {Input Directory: }  -width {15}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame1.frame6.entry10
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame1.frame6.entry10  -font {Helvetica 10}  -textvariable {guiPOSTvars(input_dir)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame1.frame6.button11
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame1.frame6.button11  -command {guiPOSTselectDir input_dir}  -text {Browse}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame1.frame7
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame1.frame7  -width {150}  -height {76}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame1.frame7.label12
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame1.frame7.label12  -font {Helvetica 10}  -borderwidth {0}  -text {Output Directory:}  -width {15}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame1.frame7.entry13
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame1.frame7.entry13  -font {Helvetica 10}  -textvariable {guiPOSTvars(output_dir)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame1.frame7.button14
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame1.frame7.button14  -command {guiPOSTselectDir output_dir}  -text {Browse}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame1.label8
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame1.label8  -font {Helvetica 10}  -borderwidth {0}  -text {Parameters}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame1.frame15
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame1.frame15  -width {150}  -height {126}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame1.frame15.label17
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame1.frame15.label17  -font {Helvetica 10}  -borderwidth {0}  -text {start:}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame1.frame15.entry18
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame1.frame15.entry18  -font {Helvetica 10}  -textvariable {guiPOSTvars(start)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame1.frame15.label19
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame1.frame15.label19  -font {Helvetica 10}  -borderwidth {0}  -text {stop:}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame1.frame15.entry20
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame1.frame15.entry20  -font {Helvetica 10}  -textvariable {guiPOSTvars(stop)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame1.frame15.label21
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame1.frame15.label21  -font {Helvetica 10}  -borderwidth {0}  -text {increment:}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame1.frame15.entry22
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame1.frame15.entry22  -font {Helvetica 10}  -textvariable {guiPOSTvars(increment)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame1.frame16
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame1.frame16  -width {146}  -height {80}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame1.frame16.label23
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame1.frame16.label23  -font {Helvetica 10}  -borderwidth {0}  -text {in prefix:}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame1.frame16.entry24
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame1.frame16.entry24  -font {Helvetica 10}  -textvariable {guiPOSTvars(in_prefix)}  -width {15}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame1.frame16.label25
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame1.frame16.label25  -font {Helvetica 10}  -borderwidth {0}  -text {out prefix:}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame1.frame16.entry26
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame1.frame16.entry26  -font {Helvetica 10}  -textvariable {guiPOSTvars(out_prefix)}  -width {15}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame1.frame27
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame1.frame27  -width {240}  -height {26}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame1.frame27.label28
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame1.frame27.label28  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Flow Solver file format:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame1.frame27.radiobutton29
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame1.frame27.radiobutton29  -variable {guiPOSTvars(phasta_format)}  -value {}  -text {binary}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame1.frame27.radiobutton30
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame1.frame27.radiobutton30  -variable {guiPOSTvars(phasta_format)}  -value {-nonbinary}  -text {ASCII}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame1.frame34
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame1.frame34  -width {240}  -height {26}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame1.frame34.label28
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame1.frame34.label28  -font {Helvetica 10}  -borderwidth {0}  -text {.vis file format:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame1.frame34.radiobutton29
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame1.frame34.radiobutton29  -variable {guiPOSTvars(vis_format)}  -value {.gz}  -text {compressed (.gz)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame1.frame34.radiobutton30
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame1.frame34.radiobutton30  -variable {guiPOSTvars(vis_format)}  -value {}  -text {uncompressed}  -state {disabled}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame3
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame3  -width {641}  -height {89}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame3.label31
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame3.label31  -font {Helvetica 10}  -borderwidth {0}  -text {Fields to Convert}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame3.frame32
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame3.frame32  -width {75}  -height {66}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame3.frame32.checkbutton35
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame3.frame32.checkbutton35  -variable {guiPOSTvars(pressure_flag)}  -text {pressure}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame3.frame32.checkbutton36
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame3.frame32.checkbutton36  -variable {guiPOSTvars(velocity_flag)}  -text {velocity}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame3.frame32.checkbutton37
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame3.frame32.checkbutton37  -variable {guiPOSTvars(traction_flag)}  -text {traction}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame3.frame39
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame3.frame39  -width {113}  -height {70}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame3.frame39.checkbutton35
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame3.frame39.checkbutton35  -variable {guiPOSTvars(wss_flag)}  -text {WSS}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame3.frame39.checkbutton36
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame3.frame39.checkbutton36  -variable {guiPOSTvars(displacement_flag)}  -text {displacement}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame3.frame39.checkbutton37
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame3.frame39.checkbutton37  -variable {guiPOSTvars(transport_flag)}  -text {transport}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame4
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame4  -width {402}  -height {94}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame4.label40
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame4.label40  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -anchor {center}  -text {Additional Displacement Fields}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame4.frame32
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame4.frame32  -width {75}  -height {66}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame4.frame32.checkbutton35
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame4.frame32.checkbutton35  -variable {guiPOSTvars(wall_displacement_flag)}  -text {wall displacement}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame4.frame32.checkbutton36
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame4.frame32.checkbutton36  -variable {guiPOSTvars(wall_velocity_flag)}  -text {wall velocity}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame4.frame32.checkbutton37
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame4.frame32.checkbutton37  -variable {guiPOSTvars(wall_displacement_real_flag)}  -text {wall displacement real}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame4.frame6
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame4.frame6  -width {150}  -height {72}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame4.frame6.label9
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame4.frame6.label9  -font {Helvetica 10}  -borderwidth {0}  -text {wall nodes (.nbc) file:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame4.frame6.entry10
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame4.frame6.entry10  -font {Helvetica 10}  -textvariable {guiPOSTvars(wall_nbc_file)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame4.frame6.button11
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame4.frame6.button11  -command {guiPOSTselectWallFile}  -text {Browse}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame4.frame46
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame4.frame46  -width {150}  -height {72}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame4.frame46.label9
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame4.frame46.label9  -font {Helvetica 10}  -borderwidth {0}  -text {timestep to subtract:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame4.frame46.entry10
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame4.frame46.entry10  -font {Helvetica 10}  -textvariable {guiPOSTvars(subtract_step_number)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame5
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame5  -relief {flat}  -width {641}  -height {109}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame5.label47
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame5.label47  -font {Helvetica 10}  -borderwidth {1}  -text {Convert files}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame5.button48
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame5.button48  -command {guiPOSTp2vis}  -text {restart files -> vis}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame5.button49
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame5.button49  -command {guiPOSTv2pv}  -text {vis -> paraview (vtu)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame7
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame7  -relief {flat}  -width {641}  -height {109}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame7.button50
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame7.button50  -command {guiPOSTcreateAll}  -text {both}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.frame22
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.frame22  -borderwidth {0}  -relief {flat}  -width {405}  -height {69}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.frame22.label26
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.frame22.label26  -font {Helvetica 10}  -borderwidth {0}  -text {Step Control}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.frame22.frame23
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.frame22.frame23  -width {401}  -height {51}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.frame22.frame23.entry28
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.frame22.frame23.entry28  -font {Helvetica 10}  -textvariable {guiVISvars(currentStep)}  -width {12}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.frame22.frame23.entry28 <Key-Return> {guiVISchangeStep fakeValue}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.frame22.frame23.label6
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.frame22.frame23.label6  -font {Helvetica 10}  -borderwidth {0}  -text {Step:}  -width {8}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.frame22.frame23.scale7
  scale .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.frame22.frame23.scale7  -command {guiVISchangeStep}  -font {Helvetica 10}  -orient {horizontal}  -relief {raised}  -troughcolor {pink}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.frame22.frame24
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.frame22.frame24  -width {401}  -height {26}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.frame22.frame24.label26
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.frame22.frame24.label26  -font {Helvetica 10}  -text {Step Results Filename:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.frame22.frame24.label27
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.frame22.frame24.label27  -font {Helvetica 10}  -text {foo}  -textvariable {guiVISvars(currentResFileName)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer  -borderwidth {0}  -relief {flat}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20
  ttk::notebook .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer  -borderwidth {0}  -relief {flat}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame83
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame83  -width {694}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame83.checkbutton19
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame83.checkbutton19  -variable {guiVISvars(vol_showSurfMesh)}  -command {guiVISupdateVol}  -text {Exterior Surface Mesh}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8  -width {717}  -height {225}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8.frame47
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8.frame47  -borderwidth {0}  -relief {flat}  -width {778}  -height {209}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8.frame47.frame50
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8.frame47.frame50  -width {222}  -height {74}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8.frame47.frame50.frame59
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8.frame47.frame50.frame59  -width {218}  -height {22}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8.frame47.frame50.frame59.label61
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8.frame47.frame50.frame59.label61  -font {Helvetica 10}  -borderwidth {0}  -text {Min:}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8.frame47.frame50.frame59.entry62
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8.frame47.frame50.frame59.entry62  -font {Helvetica 10}  -textvariable {guiVISvars(vol_minPressure)}  -width {10}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8.frame47.frame50.frame59.entry62 <Key-Return> {guiVISupdateVol}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8.frame47.frame50.frame60
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8.frame47.frame50.frame60  -width {218}  -height {22}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8.frame47.frame50.frame60.label63
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8.frame47.frame50.frame60.label63  -font {Helvetica 10}  -borderwidth {0}  -text {Max:}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8.frame47.frame50.frame60.entry64
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8.frame47.frame50.frame60.entry64  -font {Helvetica 10}  -textvariable {guiVISvars(vol_maxPressure)}  -width {10}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8.frame47.frame50.frame60.entry64 <Key-Return> {guiVISupdateVol}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8.frame47.frame50.menubutton4
  ttk::menubutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8.frame47.frame50.menubutton4  -menu {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8.frame47.frame50.menubutton4.m}  -text {off}  -textvariable {guiVISvars(vol_displayPressure)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8.frame47.frame50.menubutton4.m
  menu .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8.frame47.frame50.menubutton4.m  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8.frame47.frame50.menubutton4.m add radiobutton  -value {off}  -variable {guiVISvars(vol_displayPressure)}  -command {guiVISupdatePressure vol}  -label {Do Not Display}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8.frame47.frame50.menubutton4.m add radiobutton  -value {user defined range}  -variable {guiVISvars(vol_displayPressure)}  -command {guiVISupdatePressure vol}  -label {User Defined Range}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8.frame47.frame50.menubutton4.m add radiobutton  -value {current step range}  -variable {guiVISvars(vol_displayPressure)}  -command {guiVISupdatePressure vol}  -label {Current Step Range}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8.frame47.frame50.menubutton4.m add radiobutton  -value {global range}  -variable {guiVISvars(vol_displayPressure)}  -command {guiVISupdatePressure vol}  -label {Global Range}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8.frame47.label65
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8.frame47.label65  -font {Helvetica 10}  -borderwidth {0}  -text {Display Pressure}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8.frame47.label10
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8.frame47.label10  -font {Helvetica 10}  -borderwidth {0}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8.frame5
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8.frame5  -borderwidth {0}  -relief {flat}  -width {778}  -height {209}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8.frame5.frame50
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8.frame5.frame50  -width {222}  -height {74}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8.frame5.frame50.frame59
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8.frame5.frame50.frame59  -width {218}  -height {22}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8.frame5.frame50.frame59.label61
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8.frame5.frame50.frame59.label61  -font {Helvetica 10}  -borderwidth {0}  -text {Min:}  -width {15}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8.frame5.frame50.frame59.entry62
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8.frame5.frame50.frame59.entry62  -font {Helvetica 10}  -textvariable {guiVISvars(vol_minVelMag)}  -width {10}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8.frame5.frame50.frame59.entry62 <Key-Return> {guiVISupdateVol}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8.frame5.frame50.frame60
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8.frame5.frame50.frame60  -width {218}  -height {22}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8.frame5.frame50.frame60.label63
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8.frame5.frame50.frame60.label63  -font {Helvetica 10}  -borderwidth {0}  -text {Max:}  -width {15}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8.frame5.frame50.frame60.entry64
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8.frame5.frame50.frame60.entry64  -font {Helvetica 10}  -textvariable {guiVISvars(vol_maxVelMag)}  -width {10}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8.frame5.frame50.frame60.entry64 <Key-Return> {guiVISupdateVol}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8.frame5.frame50.menubutton4
  ttk::menubutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8.frame5.frame50.menubutton4  -menu {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8.frame5.frame50.menubutton4.m}  -text {off}  -textvariable {guiVISvars(vol_displayVelocity)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8.frame5.frame50.menubutton4.m
  menu .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8.frame5.frame50.menubutton4.m  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8.frame5.frame50.menubutton4.m add radiobutton  -value {off}  -variable {guiVISvars(vol_displayVelocity)}  -command {guiVISupdateVelocity vol}  -label {Do Not Display}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8.frame5.frame50.menubutton4.m add radiobutton  -value {user defined range}  -variable {guiVISvars(vol_displayVelocity)}  -command {guiVISupdateVelocity vol}  -label {User Defined Range}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8.frame5.frame50.menubutton4.m add radiobutton  -value {current step range}  -variable {guiVISvars(vol_displayVelocity)}  -command {guiVISupdateVelocity vol}  -label {Current Step Range}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8.frame5.frame50.menubutton4.m add radiobutton  -value {global range}  -variable {guiVISvars(vol_displayVelocity)}  -command {guiVISupdateVelocity vol}  -label {Global Range}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8.frame5.frame50.menubutton4.m add radiobutton  -value {as vectors}  -variable {guiVISvars(vol_displayVelocity)}  -command {guiVISupdateVelocity vol}  -label {As Vectors}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8.frame5.label65
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8.frame5.label65  -font {Helvetica 10}  -borderwidth {0}  -text {Display Velocity}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8.frame5.frame59
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8.frame5.frame59  -width {218}  -height {22}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8.frame5.frame59.label61
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8.frame5.frame59.label61  -font {Helvetica 10}  -borderwidth {0}  -text {Scale Factor:}  -width {15}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8.frame5.frame59.entry30
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8.frame5.frame59.entry30  -font {Helvetica 10}  -textvariable {guiVISvars(vol_velocityScale)}  -width {10}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8.frame5.frame59.entry30 <Key-Return> {guiVISupdateVol}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tcheckbutton8
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tcheckbutton8  -variable {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4)}  -command {guiCV_squeezer .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4}  -text {Volume Visualization}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27  -borderwidth {0}  -relief {flat}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame83
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame83  -width {694}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame83.radiobutton66
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame83.radiobutton66  -variable {guiVISvars(cutvol_side)}  -value {above}  -command {guiVISupdateCutVol}  -text {Above Cut Plane}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame83.radiobutton28
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame83.radiobutton28  -variable {guiVISvars(cutvol_side)}  -value {below}  -command {guiVISupdateCutVol}  -text {Below Cut Plane}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame83.frame11
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame83.frame11  -width {694}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame83.frame11.checkbutton19
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame83.frame11.checkbutton19  -variable {guiVISvars(cutvol_showSurfMesh)}  -command {guiVISupdateCutVol}  -text {Exterior Surface Mesh}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame83.frame11.checkbutton0
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame83.frame11.checkbutton0  -variable {guiVISvars(cutvol_preserve_property)}  -text {Preserve Surface Properties}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8  -width {717}  -height {225}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8.frame47
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8.frame47  -borderwidth {0}  -relief {flat}  -width {778}  -height {209}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8.frame47.frame50
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8.frame47.frame50  -width {222}  -height {74}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8.frame47.frame50.frame59
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8.frame47.frame50.frame59  -width {218}  -height {22}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8.frame47.frame50.frame59.label61
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8.frame47.frame50.frame59.label61  -font {Helvetica 10}  -borderwidth {0}  -text {Min:}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8.frame47.frame50.frame59.entry62
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8.frame47.frame50.frame59.entry62  -font {Helvetica 10}  -textvariable {guiVISvars(cutvol_minPressure)}  -width {10}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8.frame47.frame50.frame59.entry62 <Key-Return> {guiVISupdateCutVol}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8.frame47.frame50.frame60
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8.frame47.frame50.frame60  -width {218}  -height {22}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8.frame47.frame50.frame60.label63
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8.frame47.frame50.frame60.label63  -font {Helvetica 10}  -borderwidth {0}  -text {Max:}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8.frame47.frame50.frame60.entry64
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8.frame47.frame50.frame60.entry64  -font {Helvetica 10}  -textvariable {guiVISvars(cutvol_maxPressure)}  -width {10}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8.frame47.frame50.frame60.entry64 <Key-Return> {guiVISupdateCutVol}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8.frame47.frame50.menubutton4
  ttk::menubutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8.frame47.frame50.menubutton4  -menu {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8.frame47.frame50.menubutton4.m}  -text {off}  -textvariable {guiVISvars(cutvol_displayPressure)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8.frame47.frame50.menubutton4.m
  menu .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8.frame47.frame50.menubutton4.m  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8.frame47.frame50.menubutton4.m add radiobutton  -value {off}  -variable {guiVISvars(cutvol_displayPressure)}  -command {guiVISupdatePressure cutvol}  -label {Do Not Display}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8.frame47.frame50.menubutton4.m add radiobutton  -value {user defined range}  -variable {guiVISvars(cutvol_displayPressure)}  -command {guiVISupdatePressure cutvol}  -label {User Defined Range}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8.frame47.frame50.menubutton4.m add radiobutton  -value {current step range}  -variable {guiVISvars(cutvol_displayPressure)}  -command {guiVISupdatePressure cutvol}  -label {Current Step Range}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8.frame47.frame50.menubutton4.m add radiobutton  -value {global range}  -variable {guiVISvars(cutvol_displayPressure)}  -command {guiVISupdatePressure cutvol}  -label {Global Range}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8.frame47.label65
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8.frame47.label65  -font {Helvetica 10}  -borderwidth {0}  -text {Display Pressure}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8.frame47.label10
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8.frame47.label10  -font {Helvetica 10}  -borderwidth {0}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8.frame5
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8.frame5  -borderwidth {0}  -relief {flat}  -width {778}  -height {209}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8.frame5.frame50
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8.frame5.frame50  -width {222}  -height {74}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8.frame5.frame50.frame59
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8.frame5.frame50.frame59  -width {218}  -height {22}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8.frame5.frame50.frame59.label61
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8.frame5.frame50.frame59.label61  -font {Helvetica 10}  -borderwidth {0}  -text {Min:}  -width {15}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8.frame5.frame50.frame59.entry62
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8.frame5.frame50.frame59.entry62  -font {Helvetica 10}  -textvariable {guiVISvars(cutvol_minVelMag)}  -width {10}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8.frame5.frame50.frame59.entry62 <Key-Return> {guiVISupdateCutVol}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8.frame5.frame50.frame60
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8.frame5.frame50.frame60  -width {218}  -height {22}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8.frame5.frame50.frame60.label63
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8.frame5.frame50.frame60.label63  -font {Helvetica 10}  -borderwidth {0}  -text {Max:}  -width {15}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8.frame5.frame50.frame60.entry64
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8.frame5.frame50.frame60.entry64  -font {Helvetica 10}  -textvariable {guiVISvars(cutvol_maxVelMag)}  -width {10}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8.frame5.frame50.frame60.entry64 <Key-Return> {guiVISupdateCutVol}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8.frame5.frame50.menubutton4
  ttk::menubutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8.frame5.frame50.menubutton4  -menu {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8.frame5.frame50.menubutton4.m}  -text {off}  -textvariable {guiVISvars(cutvol_displayVelocity)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8.frame5.frame50.menubutton4.m
  menu .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8.frame5.frame50.menubutton4.m  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8.frame5.frame50.menubutton4.m add radiobutton  -value {off}  -variable {guiVISvars(cutvol_displayVelocity)}  -command {guiVISupdateVelocity cutvol}  -label {Do Not Display}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8.frame5.frame50.menubutton4.m add radiobutton  -value {user defined range}  -variable {guiVISvars(cutvol_displayVelocity)}  -command {guiVISupdateVelocity cutvol}  -label {User Defined Range}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8.frame5.frame50.menubutton4.m add radiobutton  -value {current step range}  -variable {guiVISvars(cutvol_displayVelocity)}  -command {guiVISupdateVelocity cutvol}  -label {Current Step Range}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8.frame5.frame50.menubutton4.m add radiobutton  -value {global range}  -variable {guiVISvars(cutvol_displayVelocity)}  -command {guiVISupdateVelocity cutvol}  -label {Global Range}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8.frame5.frame50.menubutton4.m add radiobutton  -value {as vectors}  -variable {guiVISvars(cutvol_displayVelocity)}  -command {guiVISupdateVelocity cutvol}  -label {As Vectors}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8.frame5.label65
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8.frame5.label65  -font {Helvetica 10}  -borderwidth {0}  -text {Display Velocity}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8.frame5.frame59
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8.frame5.frame59  -width {218}  -height {22}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8.frame5.frame59.label61
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8.frame5.frame59.label61  -font {Helvetica 10}  -borderwidth {0}  -text {Scale Factor:}  -width {15}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8.frame5.frame59.entry30
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8.frame5.frame59.entry30  -font {Helvetica 10}  -textvariable {guiVISvars(cutvol_velocityScale)}  -width {10}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8.frame5.frame59.entry30 <Key-Return> {guiVISupdateCutVol}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tcheckbutton8
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tcheckbutton8  -variable {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4)}  -command {guiCV_squeezer .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4}  -text {Cut Volume Visualization}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28  -borderwidth {0}  -relief {flat}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame81
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame81  -width {127}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame81.checkbutton79
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame81.checkbutton79  -variable {guiVISvars(cutplane_showMesh)}  -command {guiVISupdateCutPlane}  -text {Cut Plane Mesh}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame81.checkbutton82
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame81.checkbutton82  -variable {guiVISvars(cutplane_showCutPlane)}  -command {guiVISupdateCutPlane}  -text {User Defined Plane}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8  -width {717}  -height {225}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8.frame47
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8.frame47  -borderwidth {0}  -relief {flat}  -width {778}  -height {209}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8.frame47.frame50
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8.frame47.frame50  -width {222}  -height {74}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8.frame47.frame50.frame59
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8.frame47.frame50.frame59  -width {218}  -height {22}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8.frame47.frame50.frame59.label61
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8.frame47.frame50.frame59.label61  -font {Helvetica 10}  -borderwidth {0}  -text {Min:}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8.frame47.frame50.frame59.entry62
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8.frame47.frame50.frame59.entry62  -font {Helvetica 10}  -textvariable {guiVISvars(cutplane_minPressure)}  -width {10}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8.frame47.frame50.frame59.entry62 <Key-Return> {guiVISupdateCutPlane}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8.frame47.frame50.frame60
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8.frame47.frame50.frame60  -width {218}  -height {22}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8.frame47.frame50.frame60.label63
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8.frame47.frame50.frame60.label63  -font {Helvetica 10}  -borderwidth {0}  -text {Max:}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8.frame47.frame50.frame60.entry64
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8.frame47.frame50.frame60.entry64  -font {Helvetica 10}  -textvariable {guiVISvars(cutplane_maxPressure)}  -width {10}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8.frame47.frame50.frame60.entry64 <Key-Return> {guiVISupdateCutPlane}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8.frame47.frame50.menubutton4
  ttk::menubutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8.frame47.frame50.menubutton4  -menu {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8.frame47.frame50.menubutton4.m}  -text {off}  -textvariable {guiVISvars(cutplane_displayPressure)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8.frame47.frame50.menubutton4.m
  menu .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8.frame47.frame50.menubutton4.m  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8.frame47.frame50.menubutton4.m add radiobutton  -value {off}  -variable {guiVISvars(cutplane_displayPressure)}  -command {guiVISupdatePressure slice}  -label {Do Not Display}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8.frame47.frame50.menubutton4.m add radiobutton  -value {user defined range}  -variable {guiVISvars(cutplane_displayPressure)}  -command {guiVISupdatePressure slice}  -label {User Defined Range}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8.frame47.frame50.menubutton4.m add radiobutton  -value {current step range}  -variable {guiVISvars(cutplane_displayPressure)}  -command {guiVISupdatePressure slice}  -label {Current Step Range}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8.frame47.frame50.menubutton4.m add radiobutton  -value {global range}  -variable {guiVISvars(cutplane_displayPressure)}  -command {guiVISupdatePressure slice}  -label {Global Range}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8.frame47.label65
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8.frame47.label65  -font {Helvetica 10}  -borderwidth {0}  -text {Display Pressure}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8.frame47.label10
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8.frame47.label10  -font {Helvetica 10}  -borderwidth {0}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8.frame5
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8.frame5  -borderwidth {0}  -relief {flat}  -width {778}  -height {209}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8.frame5.frame50
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8.frame5.frame50  -width {222}  -height {74}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8.frame5.frame50.frame59
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8.frame5.frame50.frame59  -width {218}  -height {22}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8.frame5.frame50.frame59.label61
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8.frame5.frame50.frame59.label61  -font {Helvetica 10}  -borderwidth {0}  -text {Min:}  -width {15}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8.frame5.frame50.frame59.entry62
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8.frame5.frame50.frame59.entry62  -font {Helvetica 10}  -textvariable {guiVISvars(cutplane_minVelMag)}  -width {10}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8.frame5.frame50.frame59.entry62 <Key-Return> {guiVISupdateCutPlane}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8.frame5.frame50.frame60
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8.frame5.frame50.frame60  -width {218}  -height {22}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8.frame5.frame50.frame60.label63
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8.frame5.frame50.frame60.label63  -font {Helvetica 10}  -borderwidth {0}  -text {Max:}  -width {15}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8.frame5.frame50.frame60.entry64
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8.frame5.frame50.frame60.entry64  -font {Helvetica 10}  -textvariable {guiVISvars(cutplane_maxVelMag)}  -width {10}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8.frame5.frame50.frame60.entry64 <Key-Return> {guiVISupdateCutPlane}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8.frame5.frame50.menubutton4
  ttk::menubutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8.frame5.frame50.menubutton4  -menu {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8.frame5.frame50.menubutton4.m}  -text {off}  -textvariable {guiVISvars(cutplane_displayVelocity)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8.frame5.frame50.menubutton4.m
  menu .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8.frame5.frame50.menubutton4.m  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8.frame5.frame50.menubutton4.m add radiobutton  -value {off}  -variable {guiVISvars(cutplane_displayVelocity)}  -command {guiVISupdateVelocity slice}  -label {Do Not Display}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8.frame5.frame50.menubutton4.m add radiobutton  -value {user defined range}  -variable {guiVISvars(cutplane_displayVelocity)}  -command {guiVISupdateVelocity slice}  -label {User Defined Range}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8.frame5.frame50.menubutton4.m add radiobutton  -value {current step range}  -variable {guiVISvars(cutplane_displayVelocity)}  -command {guiVISupdateVelocity slice}  -label {Current Step Range}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8.frame5.frame50.menubutton4.m add radiobutton  -value {global range}  -variable {guiVISvars(cutplane_displayVelocity)}  -command {guiVISupdateVelocity slice}  -label {Global Range}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8.frame5.frame50.menubutton4.m add radiobutton  -value {as vectors}  -variable {guiVISvars(cutplane_displayVelocity)}  -command {guiVISupdateVelocity slice}  -label {As Vectors}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8.frame5.frame50.menubutton4.m add radiobutton  -value {warp vectors}  -variable {guiVISvars(cutplane_displayVelocity)}  -command {guiVISupdateVelocity slice}  -label {Warp Vectors}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8.frame5.label65
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8.frame5.label65  -font {Helvetica 10}  -borderwidth {0}  -text {Display Velocity}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8.frame5.frame59
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8.frame5.frame59  -width {218}  -height {22}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8.frame5.frame59.label61
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8.frame5.frame59.label61  -font {Helvetica 10}  -borderwidth {0}  -text {Scale Factor:}  -width {15}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8.frame5.frame59.entry30
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8.frame5.frame59.entry30  -font {Helvetica 10}  -textvariable {guiVISvars(cutplane_velocityScale)}  -width {10}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8.frame5.frame59.entry30 <Key-Return> {guiVISupdateCutPlane}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tcheckbutton8
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tcheckbutton8  -variable {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4)}  -command {guiCV_squeezer .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4}  -text {Cut Plane Visualization}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29  -borderwidth {0}  -relief {flat}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4.frame1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4.frame1  -borderwidth {0}  -relief {flat}  -width {377}  -height {241}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4.frame1.label2
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4.frame1.label2  -font {Helvetica 10}  -text {Configure Legend Options}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4.frame1.frame3
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4.frame1.frame3  -width {320}  -height {119}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4.frame1.frame3.label4
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4.frame1.frame3.label4  -font {Helvetica 10}  -borderwidth {0}  -text {Orientation}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4.frame1.frame3.radiobutton5
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4.frame1.frame3.radiobutton5  -variable {guiVISvars(legend_orientation)}  -value {vertical}  -command {guiVISupdateLegend}  -text {Vertical}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4.frame1.frame3.radiobutton6
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4.frame1.frame3.radiobutton6  -variable {guiVISvars(legend_orientation)}  -value {horizontal}  -command {guiVISupdateLegend}  -text {Horizontal}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4.frame1.frame7
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4.frame1.frame7  -width {320}  -height {121}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4.frame1.frame7.checkbutton9
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4.frame1.frame7.checkbutton9  -variable {guiVISvars(legend_showLegend)}  -command {guiVISupdateLegend}  -text {Display Legend}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4.frame1.frame10
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4.frame1.frame10  -width {320}  -height {118}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4.frame1.frame10.label12
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4.frame1.frame10.label12  -font {Helvetica 10}  -borderwidth {0}  -text {Title:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4.frame1.frame10.entry13
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4.frame1.frame10.entry13  -font {Helvetica 10}  -textvariable {guiVISvars(legend_title)}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4.frame1.frame10.entry13 <Key-Return> {guiVISupdateLegend}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4.frame1.frame50
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4.frame1.frame50  -width {222}  -height {74}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4.frame1.frame50.frame59
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4.frame1.frame50.frame59  -width {218}  -height {22}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4.frame1.frame50.frame59.label61
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4.frame1.frame50.frame59.label61  -font {Helvetica 10}  -borderwidth {0}  -text {Min:}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4.frame1.frame50.frame59.entry62
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4.frame1.frame50.frame59.entry62  -font {Helvetica 10}  -textvariable {guiVISvars(legend_minValue)}  -width {10}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4.frame1.frame50.frame59.entry62 <Key-Return> {guiVISupdateLegend}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4.frame1.frame50.frame60
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4.frame1.frame50.frame60  -width {218}  -height {22}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4.frame1.frame50.frame60.label63
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4.frame1.frame50.frame60.label63  -font {Helvetica 10}  -borderwidth {0}  -text {Max:}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4.frame1.frame50.frame60.entry64
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4.frame1.frame50.frame60.entry64  -font {Helvetica 10}  -textvariable {guiVISvars(legend_maxValue)}  -width {10}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4.frame1.frame50.frame60.entry64 <Key-Return> {guiVISupdateLegend}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4.frame1.frame50.radiobutton66
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4.frame1.frame50.radiobutton66  -variable {guiVISvars(legend_rangeType)}  -value {user}  -text {Using User Defined Range}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4.frame1.frame16
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4.frame1.frame16  -width {320}  -height {118}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4.frame1.frame16.label12
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4.frame1.frame16.label12  -font {Helvetica 10}  -borderwidth {0}  -text {Number of Labels:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4.frame1.frame16.entry13
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4.frame1.frame16.entry13  -font {Helvetica 10}  -textvariable {guiVISvars(legend_numLabels)}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4.frame1.frame16.entry13 <Key-Return> {guiVISupdateLegend}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4.frame1.frame17
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4.frame1.frame17  -width {320}  -height {118}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4.frame1.frame17.label12
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4.frame1.frame17.label12  -font {Helvetica 10}  -borderwidth {0}  -text {Label Format:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4.frame1.frame17.entry13
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4.frame1.frame17.entry13  -font {Helvetica 10}  -textvariable {guiVISvars(legend_labelFormat)}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4.frame1.frame17.entry13 <Key-Return> {guiVISupdateLegend}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4.frame1.frame0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4.frame1.frame0  -width {320}  -height {118}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4.frame1.frame0.label12
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4.frame1.frame0.label12  -font {Helvetica 10}  -borderwidth {0}  -text {Number of Colors:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4.frame1.frame0.entry13
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4.frame1.frame0.entry13  -font {Helvetica 10}  -textvariable {guiVISvars(legend_numColors)}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4.frame1.frame0.entry13 <Key-Return> {guiVISupdateLegend}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tcheckbutton8
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tcheckbutton8  -variable {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4)}  -command {guiCV_squeezer .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4}  -text {Configure Legend}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame12
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame12  -borderwidth {0}  -relief {flat}  -width {505}  -height {484}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame12.frame25
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame12.frame25  -width {434}  -height {225}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame12.frame25.frame32
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame12.frame25.frame32  -width {430}  -height {121}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame12.frame25.frame32.frame33
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame12.frame25.frame32.frame33  -width {106}  -height {117}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame12.frame25.frame32.frame33.label36
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame12.frame25.frame32.frame33.label36  -font {Helvetica 10}  -borderwidth {0}  -text { }  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame12.frame25.frame32.frame33.label37
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame12.frame25.frame32.frame33.label37  -font {Helvetica 10}  -borderwidth {0}  -text {Point 1:}  -width {15}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame12.frame25.frame32.frame33.label38
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame12.frame25.frame32.frame33.label38  -font {Helvetica 10}  -borderwidth {0}  -text {Point 2:}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame12.frame25.frame32.frame33.label45
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame12.frame25.frame32.frame33.label45  -font {Helvetica 10}  -borderwidth {0}  -text {Point 3:}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame12.frame25.frame32.frame34
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame12.frame25.frame32.frame34  -width {247}  -height {117}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame12.frame25.frame32.frame34.label46
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame12.frame25.frame32.frame34.label46  -font {Helvetica 10}  -borderwidth {0}  -text {X    Y    Z}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame12.frame25.frame32.frame34.entry47
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame12.frame25.frame32.frame34.entry47  -font {Helvetica 10}  -textvariable {guiVISvars(p1)}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame12.frame25.frame32.frame34.entry47 <Key-Return> {guiVISchangeSlice}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame12.frame25.frame32.frame34.entry48
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame12.frame25.frame32.frame34.entry48  -font {Helvetica 10}  -textvariable {guiVISvars(p2)}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame12.frame25.frame32.frame34.entry48 <Key-Return> {guiVISchangeSlice}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame12.frame25.frame32.frame34.entry49
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame12.frame25.frame32.frame34.entry49  -font {Helvetica 10}  -textvariable {guiVISvars(p3)}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame12.frame25.frame32.frame34.entry49 <Key-Return> {guiVISchangeSlice}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame12.frame25.frame32.frame1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame12.frame25.frame32.frame1  -width {75}  -height {117}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame12.frame25.frame32.frame1.label2
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame12.frame25.frame32.frame1.label2  -font {Helvetica 10}  -borderwidth {0}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame12.frame25.frame2
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame12.frame25.frame2  -width {430}  -height {26}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame12.frame25.frame2.label3
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame12.frame25.frame2.label3  -font {Helvetica 10}  -borderwidth {0}  -text {Plane Offset:}  -width {15}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame12.frame25.frame2.entry4
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame12.frame25.frame2.entry4  -font {Helvetica 10}  -textvariable {guiVISvars(slice_offset)}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame12.frame25.frame2.entry4 <Key-Return> {guiVISchangeSlice}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame12.frame25.frame2.label18
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame12.frame25.frame2.label18  -font {Helvetica 10}  -borderwidth {0}  -text {Scale All Pts By:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame12.frame25.frame2.entry19
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame12.frame25.frame2.entry19  -font {Helvetica 10}  -textvariable {guiVISvars(slice_scaleFactor)}  -width {5}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame12.frame25.frame2.button20
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame12.frame25.frame2.button20  -command {guiVISscalePlanePts}  -text {Apply}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame12.frame25.label26
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame12.frame25.label26  -font {Helvetica 10}  -borderwidth {0}  -text {Arbitrary Cut Plane}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame8
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame8  -borderwidth {0}  -relief {flat}  -width {434}  -height {74}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame8.frame9
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame8.frame9  -width {527}  -height {36}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame8.frame9.label10
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame8.frame9.label10  -font {Helvetica 10}  -borderwidth {0}  -text {from Solid Model:}  -width {15}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame8.frame9.entry11
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame8.frame9.entry11  -font {Helvetica 10}  -textvariable {guiVISvars(solidModelName)}  -width {10}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame8.frame9.entry11 <Key-Return> {guiVISupdateFromSolid}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame8.frame9.label12
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame8.frame9.label12  -font {Helvetica 10}  -borderwidth {0}  -text { Face Name: }

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame8.frame9.entry13
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame8.frame9.entry13  -font {Helvetica 10}  -textvariable {guiVISvars(faceName)}  -width {10}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame8.frame9.entry13 <Key-Return> {guiVISupdateFromSolid}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame8.frame9.button14
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame8.frame9.button14  -command {guiVISupdateFromSolid}  -text {Update From Solid}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame8.label10
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame8.label10  -font {Helvetica 10}  -borderwidth {0}  -text {Alternative Methods To Set Cut Plane}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame8.frame15
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame8.frame15  -width {527}  -height {37}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame8.frame15.button27
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame8.frame15.button27  -command {guiVISsetCutFromPC}  -text {Phase Contrast File}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame8.frame15.button14
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame8.frame15.button14  -command {guiVISsetCutFromCurrentPathLoc}  -text {Current Path Location}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame8.frame1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame8.frame1  -width {527}  -height {36}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame8.frame1.button14
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame8.frame1.button14  -command {guiVISchangeSlice}  -text {Update Cut}  -width {15}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame8.frame1.checkbutton3
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame8.frame1.checkbutton3  -variable {guiVISvars(useInteractor)}  -command {guiVISupdateInteractor}  -text {Use Interactor}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.button13
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.button13  -command {guiVISupdateCutPlane}  -text {Update Cut Plane}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe23
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe23  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe23.frame1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe23.frame1  -borderwidth {0}  -relief {flat}  -width {377}  -height {241}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe23.frame1.label2
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe23.frame1.label2  -font {Helvetica 10}  -text {Image Options}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe23.frame1.frame3
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe23.frame1.frame3  -width {320}  -height {119}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe23.frame1.frame3.label4
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe23.frame1.frame3.label4  -font {Helvetica 10}  -borderwidth {0}  -text {Image File Type:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe23.frame1.frame3.radiobutton5
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe23.frame1.frame3.radiobutton5  -variable {guiVISvars(images_type)}  -value {jpeg}  -text {JPEG}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe23.frame1.frame3.radiobutton6
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe23.frame1.frame3.radiobutton6  -variable {guiVISvars(images_type)}  -value {pnm}  -text {PNM}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe23.frame1.frame10
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe23.frame1.frame10  -width {320}  -height {118}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe23.frame1.frame10.label12
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe23.frame1.frame10.label12  -font {Helvetica 10}  -borderwidth {0}  -text {Filename Format:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe23.frame1.frame10.entry13
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe23.frame1.frame10.entry13  -font {Helvetica 10}  -textvariable {guiVISvars(images_filenameFormat)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe23.frame1.frame17
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe23.frame1.frame17  -width {320}  -height {118}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe23.frame1.frame17.button31
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe23.frame1.frame17.button31  -command {guiVISsaveImages}  -text {Save Images}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe23.frame1.frame0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe23.frame1.frame0  -width {320}  -height {118}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe23.frame1.frame0.label12
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe23.frame1.frame0.label12  -font {Helvetica 10}  -borderwidth {0}  -text {Selected Steps:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe23.frame1.frame0.entry13
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe23.frame1.frame0.entry13  -font {Helvetica 10}  -textvariable {guiVISvars(images_selectedSteps)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe24
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe24  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe24.frame9
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe24.frame9  -borderwidth {0}  -relief {flat}  -width {377}  -height {241}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe24.frame9.label2
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe24.frame9.label2  -font {Helvetica 10}  -borderwidth {0}  -text {Calculate Solution Along Path}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe24.frame9.frame3
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe24.frame9.frame3  -width {320}  -height {119}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe24.frame9.frame3.label4
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe24.frame9.frame3.label4  -font {Helvetica 10}  -borderwidth {0}  -text {Quantity:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe24.frame9.frame3.radiobutton5
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe24.frame9.frame3.radiobutton5  -variable {guiVISvars(plotpath_type)}  -value {velocity}  -text {Velocity}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe24.frame9.frame3.radiobutton6
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe24.frame9.frame3.radiobutton6  -variable {guiVISvars(plotpath_type)}  -value {pressure}  -text {Pressure}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe24.frame9.frame10
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe24.frame9.frame10  -width {320}  -height {118}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe24.frame9.frame10.label12
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe24.frame9.frame10.label12  -font {Helvetica 10}  -borderwidth {0}  -text {Filename:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe24.frame9.frame10.entry13
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe24.frame9.frame10.entry13  -font {Helvetica 10}  -textvariable {guiVISvars(plotpath_file)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe24.frame9.frame17
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe24.frame9.frame17  -width {320}  -height {118}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe24.frame9.frame17.button31
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe24.frame9.frame17.button31  -command {guiVIScalcPathResults saveFile}  -text {Save File}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe24.frame9.frame17.button32
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe24.frame9.frame17.button32  -command {guiVIScalcPathResults plot}  -text {Plot}  -state {disabled}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe24.frame9.frame33
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe24.frame9.frame33  -width {320}  -height {118}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe24.frame9.frame33.label12
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe24.frame9.frame33.label12  -font {Helvetica 10}  -borderwidth {0}  -text {Current Path:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe24.frame9.frame33.label13
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe24.frame9.frame33.label13  -font {Helvetica 10}  -relief {groove}  -text {blank}  -textvariable {lsGUIcurrentPathLabel}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe24.frame9.frame0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe24.frame9.frame0  -width {320}  -height {118}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe24.frame9.frame0.label12
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe24.frame9.frame0.label12  -font {Helvetica 10}  -borderwidth {0}  -text {Selected Steps:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe24.frame9.frame0.entry13
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe24.frame9.frame0.entry13  -font {Helvetica 10}  -textvariable {guiVISvars(plotpath_selectedSteps)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame9
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame9  -borderwidth {0}  -relief {flat}  -width {377}  -height {241}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame9.label2
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame9.label2  -font {Helvetica 10}  -borderwidth {0}  -text {Specify Solid Model and Meshing Info}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame9.frame10
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame9.frame10  -width {320}  -height {118}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame9.frame10.label12
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame9.frame10.label12  -font {Helvetica 10}  -borderwidth {0}  -text {mesh faces dir:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame9.frame10.entry13
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame9.frame10.entry13  -font {Helvetica 10}  -textvariable {gFilenames(mesh_faces_dir)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame9.frame10.tcheckbutton0
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame9.frame10.tcheckbutton0  -variable {gOptions(exclude_walls_from_flows)}  -text {Skip "wall" faces}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame9.frame0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame9.frame0  -width {320}  -height {118}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame9.frame0.label12
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame9.frame0.label12  -font {Helvetica 10}  -borderwidth {0}  -text {Selected Steps:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame9.frame0.entry13
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame9.frame0.entry13  -font {Helvetica 10}  -textvariable {guiVISvars(outlet_selectedSteps)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame9.frame3
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame9.frame3  -width {320}  -height {118}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame9.frame3.label12
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame9.frame3.label12  -font {Helvetica 10}  -borderwidth {0}  -text {Solid Model:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame9.frame3.entry13
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame9.frame3.entry13  -font {Helvetica 10}  -textvariable {guiVISvars(solidModelName)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame0  -borderwidth {0}  -relief {flat}  -width {377}  -height {241}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame0.label2
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame0.label2  -font {Helvetica 10}  -borderwidth {0}  -text {Calculate Volumetric Flow Rate Thru Named Faces}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame0.frame17
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame0.frame17  -width {320}  -height {118}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame0.frame17.button31
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame0.frame17.button31  -command {guiVIScalcOutletFlows flow saveFile}  -text {Save File}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame0.frame17.button32
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame0.frame17.button32  -command {guiVIScalcOutletFlows flow plot}  -text {Plot}  -state {disabled}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame0.frame5
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame0.frame5  -width {320}  -height {118}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame0.frame5.label12
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame0.frame5.label12  -font {Helvetica 10}  -borderwidth {0}  -text {Filename:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame0.frame5.entry13
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame0.frame5.entry13  -font {Helvetica 10}  -textvariable {guiVISvars(outlet_flow_results_file)}  -width {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame2
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame2  -borderwidth {0}  -relief {flat}  -width {377}  -height {241}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame2.label2
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame2.label2  -font {Helvetica 10}  -borderwidth {0}  -text {Calculate Mean Pressure On Named Faces}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame2.frame17
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame2.frame17  -width {320}  -height {118}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame2.frame17.button31
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame2.frame17.button31  -command {guiVIScalcOutletFlows pressure saveFile}  -text {Save File}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame2.frame17.button32
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame2.frame17.button32  -command {guiVIScalcOutletFlows pressure plot}  -text {Plot}  -state {disabled}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame2.frame5
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame2.frame5  -width {320}  -height {118}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame2.frame5.label12
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame2.frame5.label12  -font {Helvetica 10}  -borderwidth {0}  -text {Filename:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame2.frame5.entry13
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame2.frame5.entry13  -font {Helvetica 10}  -textvariable {guiVISvars(outlet_pressure_results_file)}  -width {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame3
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame3  -borderwidth {0}  -relief {flat}  -width {377}  -height {241}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame3.label2
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame3.label2  -font {Helvetica 10}  -borderwidth {0}  -text {Calculate Energy Flux On Named Faces}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame3.frame17
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame3.frame17  -width {320}  -height {118}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame3.frame17.button31
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame3.frame17.button31  -command {guiVIScalcOutletFlows energy saveFile}  -text {Save File}  -state {disabled}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame3.frame17.button32
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame3.frame17.button32  -command {guiVIScalcOutletFlows energy plot}  -text {Plot}  -state {disabled}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame3.frame5
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame3.frame5  -width {320}  -height {118}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame3.frame5.label12
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame3.frame5.label12  -font {Helvetica 10}  -borderwidth {0}  -text {Filename:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame3.frame5.entry13
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame3.frame5.entry13  -font {Helvetica 10}  -textvariable {guiVISvars(energy_flux_results_file)}  -width {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame3.frame1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame3.frame1  -width {320}  -height {118}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame3.frame1.label12
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame3.frame1.label12  -font {Helvetica 10}  -borderwidth {0}  -text {Density:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame3.frame1.entry13
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame3.frame1.entry13  -font {Helvetica 10}  -textvariable {guiVISvars(volFlowSlice_density)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame1  -borderwidth {0}  -relief {flat}  -width {377}  -height {241}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame1.label2
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame1.label2  -font {Helvetica 10}  -borderwidth {0}  -text {Calculate Effective Resistance Through Faces}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame1.frame17
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame1.frame17  -width {320}  -height {118}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame1.frame17.button31
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame1.frame17.button31  -command {guiVIScalcOutletResistances}  -text {Save File}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame1.frame5
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame1.frame5  -width {320}  -height {118}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame1.frame5.label12
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame1.frame5.label12  -font {Helvetica 10}  -borderwidth {0}  -text {Filename:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame1.frame5.entry13
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame1.frame5.entry13  -font {Helvetica 10}  -textvariable {guiVISvars(outlet_resistance_results_file)}  -width {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame1.label3
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame1.label3  -font {Helvetica 10}  -borderwidth {0}  -text {(NOTE: you MUST write both files above first)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame1  -borderwidth {0}  -relief {flat}  -width {377}  -height {241}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame1.label2
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame1.label2  -font {Helvetica 10}  -text {Define Sphere of Interest}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame1.frame3
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame1.frame3  -width {320}  -height {119}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame1.frame3.checkbutton4
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame1.frame3.checkbutton4  -variable {guiVISvars(volFlowSlice_displaySphere)}  -command {guiVISvolFlowSliceDisplaySphere}  -text {Display Sphere}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame1.frame10
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame1.frame10  -width {320}  -height {118}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame1.frame10.label12
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame1.frame10.label12  -font {Helvetica 10}  -borderwidth {0}  -text {Sphere Center:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame1.frame10.entry13
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame1.frame10.entry13  -font {Helvetica 10}  -textvariable {guiVISvars(volFlowSlice_sphereCenter)}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame1.frame10.entry13 <Key-Return> {guiVISvolFlowSliceDisplaySphere}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame1.frame2
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame1.frame2  -width {320}  -height {118}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame1.frame2.label12
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame1.frame2.label12  -font {Helvetica 10}  -borderwidth {0}  -text {Sphere Radius:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame1.frame2.entry13
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame1.frame2.entry13  -font {Helvetica 10}  -textvariable {guiVISvars(volFlowSlice_sphereRadius)}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame1.frame2.entry13 <Key-Return> {guiVISvolFlowSliceDisplaySphere}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5  -borderwidth {0}  -relief {flat}  -width {470}  -height {286}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.label2
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.label2  -font {Helvetica 10}  -text {Calculate Volumetric Flow / Force / Energy Flux}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame1  -borderwidth {0}  -relief {flat}  -width {466}  -height {80}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame1.frame6
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame1.frame6  -borderwidth {0}  -width {166}  -height {34}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame1.frame6.checkbutton17
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame1.frame6.checkbutton17  -variable {guiVISvars(volFlowSlice_mult_slice_flag)}  -text {Save Multiple Slices}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame1.frame13
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame1.frame13  -width {359}  -height {26}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame1.frame13.frame8
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame1.frame13.frame8  -borderwidth {0}  -width {1}  -height {1}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame1.frame13.frame8.label9
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame1.frame13.frame8.label9  -font {Helvetica 10}  -text {Total Number of Slices:  }

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame1.frame13.frame8.entry10
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame1.frame13.frame8.entry10  -font {Helvetica 10}  -textvariable {guiVISvars(volFlowSlice_num_planes)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame1.frame13.frame3
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame1.frame13.frame3  -borderwidth {0}  -width {326}  -height {48}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame1.frame13.frame3.label11
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame1.frame13.frame3.label11  -font {Helvetica 10}  -text {(in same units as cut plane)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame1.frame13.frame3.frame16
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame1.frame13.frame3.frame16  -width {1}  -height {1}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame1.frame13.frame3.frame16.label4
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame1.frame13.frame3.frame16.label4  -font {Helvetica 10}  -text {Distance Between Slices:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame1.frame13.frame3.frame16.entry5
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame1.frame13.frame3.frame16.entry5  -font {Helvetica 10}  -textvariable {guiVISvars(volFlowSlice_plane_incr)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame18
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame18  -borderwidth {0}  -relief {flat}  -width {466}  -height {118}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame18.frame16
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame18.frame16  -width {320}  -height {118}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame18.frame16.label12
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame18.frame16.label12  -font {Helvetica 10}  -borderwidth {0}  -text {Results Filename:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame18.frame16.entry13
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame18.frame16.entry13  -font {Helvetica 10}  -textvariable {guiVISvars(volFlowSlice_resultsFilename)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame18.frame0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame18.frame0  -borderwidth {0}  -width {359}  -height {26}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame18.frame0.label12
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame18.frame0.label12  -font {Helvetica 10}  -borderwidth {0}  -text {Selected Steps:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame18.frame0.entry13
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame18.frame0.entry13  -font {Helvetica 10}  -textvariable {guiVISvars(volFlowSlice_selectedSteps)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame18.frame3
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame18.frame3  -width {320}  -height {119}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame18.frame3.label4
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame18.frame3.label4  -font {Helvetica 10}  -borderwidth {0}  -text {Integrate:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame18.frame3.radiobutton5
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame18.frame3.radiobutton5  -variable {guiVISvars(volFlowSlice_integrateType)}  -value {pressure}  -text {pressure}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame18.frame3.radiobutton6
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame18.frame3.radiobutton6  -variable {guiVISvars(volFlowSlice_integrateType)}  -value {velocity}  -text {velocity}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame18.frame3.radiobutton0
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame18.frame3.radiobutton0  -variable {guiVISvars(volFlowSlice_integrateType)}  -value {energy}  -text {energy}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame18.frame7
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame18.frame7  -width {320}  -height {118}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame18.frame7.label12
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame18.frame7.label12  -font {Helvetica 10}  -borderwidth {0}  -text {Surface Normal:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame18.frame7.entry13
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame18.frame7.entry13  -font {Helvetica 10}  -textvariable {guiVISvars(volFlowSlice_surfaceNormal)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame18.frame7.label8
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame18.frame7.label8  -font {Helvetica 10}  -borderwidth {0}  -text {  (required)  }

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame18.frame9
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame18.frame9  -width {320}  -height {118}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame18.frame9.label12
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame18.frame9.label12  -font {Helvetica 10}  -borderwidth {0}  -text {Results Directory:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame18.frame9.entry13
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame18.frame9.entry13  -font {Helvetica 10}  -textvariable {guiVISvars(volFlowSlice_resultsDir)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame18.frame9.label8
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame18.frame9.label8  -font {Helvetica 10}  -borderwidth {0}  -text {  (optional)  }

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame18.frame1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame18.frame1  -width {320}  -height {118}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame18.frame1.label12
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame18.frame1.label12  -font {Helvetica 10}  -borderwidth {0}  -text {Density:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame18.frame1.entry13
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame18.frame1.entry13  -font {Helvetica 10}  -textvariable {guiVISvars(volFlowSlice_density)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame18.frame1.label8
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame18.frame1.label8  -font {Helvetica 10}  -borderwidth {0}  -text {(required for energy)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame33
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame33  -width {466}  -height {31}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame33.button31
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame33.button31  -command {guiVISvolFlowMultSliceCalcFlows 0}  -text {Calculate Only}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame33.button12
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame33.button12  -command {guiVISvolFlowMultSliceCalcFlows 1}  -text {Calculate and Save Slices}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe2
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe2  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe2.frame18
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe2.frame18  -borderwidth {0}  -relief {flat}  -width {554}  -height {157}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe2.frame18.frame22
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe2.frame18.frame22  -width {405}  -height {18}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe2.frame18.frame22.label26
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe2.frame18.frame22.label26  -font {Helvetica 10}  -borderwidth {0}  -text {Read in Results Data}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe2.frame18.frame23
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe2.frame18.frame23  -width {493}  -height {47}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe2.frame18.frame23.button27
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe2.frame18.frame23.button27  -command {guiVISselectResultsDir}  -text {Results Directory}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe2.frame18.frame23.entry28
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe2.frame18.frame23.entry28  -font {Helvetica 10}  -textvariable {guiVISvars(resultsDir)}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe2.frame18.frame23.entry28 <Key-Return> {guiVISloadImages}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe2.frame18.frame2
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe2.frame18.frame2  -width {502}  -height {26}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe2.frame18.frame2.checkbutton4
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe2.frame18.frame2.checkbutton4  -variable {guiVISvars(readAllResFiles)}  -text {Read all slices into memory}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe2.frame18.frame2.checkbutton5
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe2.frame18.frame2.checkbutton5  -variable {guiVISvars(retainAllResInMemory)}  -text {Store slices in memory as used}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe2.frame18.frame0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe2.frame18.frame0  -width {550}  -height {39}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe2.frame18.frame0.radiobutton1
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe2.frame18.frame0.radiobutton1  -variable {gOptions(post_read_transport)}  -value {0}  -text {pressure}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe2.frame18.frame0.radiobutton2
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe2.frame18.frame0.radiobutton2  -variable {gOptions(post_read_transport)}  -text {transport}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe2.frame18.frame3
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe2.frame18.frame3  -width {550}  -height {39}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe2.frame18.frame3.radiobutton1
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe2.frame18.frame3.radiobutton1  -variable {gOptions(post_calc_wall_shear)}  -value {0}  -text {velocity}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe2.frame18.frame3.radiobutton2
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe2.frame18.frame3.radiobutton2  -variable {gOptions(post_calc_wall_shear)}  -value {2}  -text {traction}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe2.frame18.frame3.radiobutton0
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe2.frame18.frame3.radiobutton0  -variable {gOptions(post_calc_wall_shear)}  -text {stress}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe2.frame18.frame3.radiobutton3
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe2.frame18.frame3.radiobutton3  -variable {gOptions(post_calc_wall_shear)}  -value {3}  -text {displacements}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe2.frame18.frame3.radiobutton4
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe2.frame18.frame3.radiobutton4  -variable {gOptions(post_calc_wall_shear)}  -value {4}  -text {wss}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tcheckbutton8
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tcheckbutton8  -variable {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4)}  -command {guiCV_squeezer .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4}  -text {Display visualization notebook}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame1  -width {575}  -height {154}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame1.frame8
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame1.frame8  -borderwidth {0}  -relief {flat}  -width {575}  -height {28}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame1.frame8.label11
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame1.frame8.label11  -font {Helvetica 10}  -borderwidth {0}  -text {WSS File:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame1.frame8.entry12
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame1.frame8.entry12  -font {Helvetica 10}  -textvariable {gFilenames(wss_file)}  -width {35}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame1.frame8.menubutton20
  ttk::menubutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame1.frame8.menubutton20  -menu {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame1.frame8.menubutton20.m}  -text {Options}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame1.frame8.menubutton20.m
  menu .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame1.frame8.menubutton20.m  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}  -tearoff {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame1.frame8.menubutton20.m add command  -command {guiWSSbrowseWSS}  -label {Browse}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame1.frame8.menubutton20.m add command  -command {guiWSSloadWSS}  -label {Load}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame1.frame15
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame1.frame15  -relief {flat}  -width {407}  -height {32}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame1.frame15.label11
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame1.frame15.label11  -font {Helvetica 10}  -borderwidth {0}  -text {Solid model file:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame1.frame15.entry12
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame1.frame15.entry12  -font {Helvetica 10}  -textvariable {gFilenames(atdb_solid_file)}  -width {35}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame1.frame15.menubutton20
  ttk::menubutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame1.frame15.menubutton20  -menu {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame1.frame15.menubutton20.m}  -text {Options}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame1.frame15.menubutton20.m
  menu .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame1.frame15.menubutton20.m  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}  -tearoff {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame1.frame15.menubutton20.m add command  -command {guiWSSbrowseSolid}  -label {Browse}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame1.frame15.menubutton20.m add command  -command {guiWSSloadSolid}  -label {Load}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame1.frame16
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame1.frame16  -relief {flat}  -width {407}  -height {32}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame1.frame16.label11
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame1.frame16.label11  -font {Helvetica 10}  -borderwidth {0}  -text {mesh-surfaces dir:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame1.frame16.entry12
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame1.frame16.entry12  -font {Helvetica 10}  -textvariable {gFilenames(mesh_faces_dir)}  -width {35}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame1.frame16.menubutton20
  ttk::menubutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame1.frame16.menubutton20  -menu {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame1.frame16.menubutton20.m}  -text {Options}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame1.frame16.menubutton20.m
  menu .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame1.frame16.menubutton20.m  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}  -tearoff {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame1.frame16.menubutton20.m add command  -command {guiWSSbrowseCutsFile}  -label {Browse}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame1.frame17
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame1.frame17  -relief {flat}  -width {407}  -height {32}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame1.frame17.label11
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame1.frame17.label11  -font {Helvetica 10}  -borderwidth {0}  -text {cuts file:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame1.frame17.entry12
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame1.frame17.entry12  -font {Helvetica 10}  -textvariable {gFilenames(cuts_file)}  -width {35}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame1.frame17.menubutton20
  ttk::menubutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame1.frame17.menubutton20  -menu {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame1.frame17.menubutton20.m}  -text {Options}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame1.frame17.menubutton20.m
  menu .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame1.frame17.menubutton20.m  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}  -tearoff {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame1.frame17.menubutton20.m add command  -command {guiWSSbrowseCutsFile}  -label {Browse}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame1.frame17.menubutton20.m add command  -command {guiWSSloadCutsFile}  -label {Load}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame1.frame17.menubutton20.m add command  -command {guiWSSsaveCutsFile}  -label {Save}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame1.tframe6
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame1.tframe6  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame1.tframe6.label7
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame1.tframe6.label7  -font {Helvetica 10}  -borderwidth {0}  -text {File Options}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame1.tframe6.tbutton6
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame1.tframe6.tbutton6  -command {guiWSSsetup}  -text {SETUP}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame2
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame2  -width {472}  -height {74}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame2.label21
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame2.label21  -font {Helvetica 10}  -borderwidth {0}  -text {Select Model Faces to Use in Calculations}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame2.frame22
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame2.frame22  -width {288}  -height {26}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame2.frame22.checkbutton24
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame2.frame22.checkbutton24  -variable {guiWSSvars(useAllFaces)}  -command {guiWSSselectFaces checkbox}  -text {use all model faces (ignore selections below)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame2.frame23
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame2.frame23  -width {756}  -height {486}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame2.frame23.frame25
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame2.frame23.frame25  -width {163}  -height {193}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame2.frame23.frame25.frame
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame2.frame23.frame25.frame

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame2.frame23.frame25.frame.scrollbar3
  ttk::scrollbar .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame2.frame23.frame25.frame.scrollbar3  -command {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame2.frame23.frame25.frame.listbox1 xview}  -orient {horizontal}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame2.frame23.frame25.frame.scrollbar2
  ttk::scrollbar .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame2.frame23.frame25.frame.scrollbar2  -command {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame2.frame23.frame25.frame.listbox1 yview}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame2.frame23.frame25.frame.listbox1
  listbox .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame2.frame23.frame25.frame.listbox1  -font {Helvetica 10}  -height {8}  -relief {raised}  -width {50}  -xscrollcommand {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame2.frame23.frame25.frame.scrollbar3 set}  -yscrollcommand {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame2.frame23.frame25.frame.scrollbar2 set}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame2.frame23.frame25.frame.listbox1 <Double-Button-1> {guiWSSlistboxClick}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame2.frame23.frame26
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame2.frame23.frame26  -borderwidth {0}  -relief {flat}  -width {74}  -height {164}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame2.frame23.frame26.text27
  text .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame2.frame23.frame26.text27  -borderwidth {0}  -font {Helvetica 10}  -height {1}  -relief {flat}  -width {15}  -wrap {word}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame2.frame23.frame26.button0
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame2.frame23.frame26.button0  -command {guiWSSpopulateLB}  -text {refresh faces}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame3
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame3  -width {129}  -height {96}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame3.label28
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame3.label28  -font {Helvetica 10}  -borderwidth {0}  -text {Visualization Options}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame3.frame29
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame3.frame29  -width {125}  -height {48}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame3.frame29.checkbutton31
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame3.frame29.checkbutton31  -variable {guiWSSvars(vis_initial_surface)}  -command {guiWSSvis vis_initial_surface}  -text {Initial Surface}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame3.frame29.checkbutton32
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame3.frame29.checkbutton32  -variable {guiWSSvars(vis_cut_surface)}  -command {guiWSSvis vis_cut_surface}  -text {Cut Surface}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame3.frame30
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame3.frame30  -width {192}  -height {26}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame3.frame30.checkbutton33
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame3.frame30.checkbutton33  -variable {guiWSSvars(vis_boxInteractor)}  -command {guiWSSvis vis_boxInteractor}  -text {Show Box Interactor}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame3.frame30.checkbutton57
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame3.frame30.checkbutton57  -variable {guiWSSvars(vis_planeInteractor)}  -command {guiWSSvis vis_planeInteractor}  -text {Show Plane Interactor}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame4
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame4  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame4.label35
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame4.label35  -font {Helvetica 10}  -borderwidth {0}  -text {Actions}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame4.frame38
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame4.frame38  -width {459}  -height {32}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame4.frame38.button40
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame4.frame38.button40  -command {guiWSSaddCutBox}  -text {Cut With Box}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame4.frame38.button41
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame4.frame38.button41  -command {guiWSSaddCutPlane above}  -text {Cut Above Plane}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame4.frame38.label44
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame4.frame38.label44  -font {Helvetica 10}  -borderwidth {0}  -text {Cut Object Controls:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame4.frame38.button53
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame4.frame38.button53  -command {guiWSScutRefresh}  -text {Refresh}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame4.frame38.button0
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame4.frame38.button0  -command {guiWSSaddCutPlane below}  -text {Cut Below Plane}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame4.frame39
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame4.frame39  -width {455}  -height {130}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame4.frame39.label46
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame4.frame39.label46  -font {Helvetica 10}  -borderwidth {0}  -text {Scalar Range:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame4.frame39.label47
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame4.frame39.label47  -font {Helvetica 10}  -borderwidth {0}  -text {min value:}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame4.frame39.entry48
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame4.frame39.entry48  -font {Helvetica 10}  -textvariable {guiWSSvars(area_min_value)}  -width {10}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame4.frame39.entry48 <Key-Return> {guiWSSupdateScalarRange}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame4.frame39.label49
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame4.frame39.label49  -font {Helvetica 10}  -borderwidth {0}  -text {max value:}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame4.frame39.entry50
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame4.frame39.entry50  -font {Helvetica 10}  -textvariable {guiWSSvars(area_max_value)}  -width {10}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame4.frame39.entry50 <Key-Return> {guiWSSupdateScalarRange}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame4.frame58
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame4.frame58  -width {459}  -height {32}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame4.frame58.label44
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame4.frame58.label44  -font {Helvetica 10}  -borderwidth {0}  -text {Cut Object Properties:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame4.frame58.button53
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame4.frame58.button53  -command {guiWSScalcArea}  -text {Area}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame4.frame58.button59
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame4.frame58.button59  -command {guiWSScalcMean}  -text {Mean Value}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame4.frame0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame4.frame0  -width {455}  -height {130}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame4.frame0.label46
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame4.frame0.label46  -font {Helvetica 10}  -borderwidth {0}  -text {Offsets:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame4.frame0.label47
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame4.frame0.label47  -font {Helvetica 10}  -borderwidth {0}  -text {plane offset:}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame4.frame0.entry48
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame4.frame0.entry48  -font {Helvetica 10}  -textvariable {guiWSSvars(plane_offset)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame5
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame5  -width {114}  -height {76}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame5.label55
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame5.label55  -font {Helvetica 10}  -borderwidth {0}  -text {Cuts File Contents}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame5.text56
  text .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame5.text56  -font {Helvetica 10}  -height {5}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1  -borderwidth {2}  -relief {ridge}  -width {154}  -height {376}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.frame6
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.frame6  -width {150}  -height {72}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.frame6.label9
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.frame6.label9  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Input Files/Dir: }  -width {15}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.frame6.entry10
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.frame6.entry10  -font {Helvetica 10}  -textvariable {guiPOSTvars(restartFilesDir)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.frame6.button11
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.frame6.button11  -command {guiPOSTselectRestartDir}  -text {Select}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.frame7
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.frame7  -width {150}  -height {76}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.frame7.label12
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.frame7.label12  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Output File/Dir:}  -width {15}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.frame7.entry13
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.frame7.entry13  -font {Helvetica 10}  -textvariable {guiPOSTvars(vtkFlowFile)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.frame7.button14
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.frame7.button14  -command {guiPOSTselectVTKOutputDir}  -text {Select}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.label8
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.label8  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Create VTK Files (from restart.* files)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.frame15
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.frame15  -width {150}  -height {126}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.frame15.label17
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.frame15.label17  -font {Helvetica 10}  -borderwidth {0}  -text {start:}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.frame15.entry18
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.frame15.entry18  -font {Helvetica 10}  -textvariable {guiPOSTvars(start)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.frame15.label19
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.frame15.label19  -font {Helvetica 10}  -borderwidth {0}  -text {stop:}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.frame15.entry20
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.frame15.entry20  -font {Helvetica 10}  -textvariable {guiPOSTvars(stop)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.frame15.label21
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.frame15.label21  -font {Helvetica 10}  -borderwidth {0}  -text {increment:}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.frame15.entry22
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.frame15.entry22  -font {Helvetica 10}  -textvariable {guiPOSTvars(increment)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.frame16
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.frame16  -width {146}  -height {80}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.frame16.label23
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.frame16.label23  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -justify {right}  -text {options:}  -width {8}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.frame16.tcheckbutton1
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.frame16.tcheckbutton1  -variable {guiPOSTvars(write_vtu_results)}  -text {Volume Mesh}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.frame16.tcheckbutton2
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.frame16.tcheckbutton2  -variable {guiPOSTvars(write_vtp_results)}  -text {Surface Mesh}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.frame16.tcheckbutton3
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.frame16.tcheckbutton3  -variable {guiPOSTvars(combine_results)}  -text {Single File}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.frame16.tcheckbutton31
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.frame16.tcheckbutton31  -variable {guiPOSTvars(reduce_last_step)}  -text {Last Step to restart.x.0}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.frame16.tlabel1
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.frame16.tlabel1  -font {Helvetica 10}  -relief {flat}  -text {  Sim Units:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.frame16.tmenubutton0
  ttk::menubutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.frame16.tmenubutton0  -menu {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.frame16.tmenubutton0.m}  -text {cm}  -textvariable {guiPOSTvars(sim_units)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.frame16.tmenubutton0.m
  menu .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.frame16.tmenubutton0.m  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}  -tearoff {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.frame16.tmenubutton0.m add radiobutton  -value {cm}  -variable {guiPOSTvars(sim_units)}  -label {cm}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.frame16.tmenubutton0.m add radiobutton  -value {mm}  -variable {guiPOSTvars(sim_units)}  -label {mm}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.frame16.tcheckbutton4
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.frame16.tcheckbutton4  -variable {guiPOSTvars(wall_filter)}  -command {guiCV_squeezer_labelframe .frame1 .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.tlabelframe1}  -text {Use Wall Options}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.tlabelframe1
  ttk::labelframe .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.tlabelframe1  -text {Wall Options [+]}  -height {18}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.tlabelframe1.frame1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.tlabelframe1.frame1  -borderwidth {0}  -relief {flat}  -width {318}  -height {90}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.tlabelframe1.frame1.frame1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.tlabelframe1.frame1.frame1  -borderwidth {0}  -relief {flat}  -width {318}  -height {35}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.tlabelframe1.frame1.frame1.label1
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.tlabelframe1.frame1.frame1.label1  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Wall File:}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.tlabelframe1.frame1.frame1.entry1
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.tlabelframe1.frame1.frame1.entry1  -font {Helvetica 10}  -textvariable {guiPOSTvars(meshFaceFile)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.tlabelframe1.frame1.frame1.button1
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.tlabelframe1.frame1.frame1.button1  -command {guiPOSTselectMeshFaceFile}  -text {Select}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.tlabelframe1.frame1.frame2
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.tlabelframe1.frame1.frame2  -borderwidth {0}  -padding {2 2 2 2}  -relief {flat}  -width {318}  -height {40}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.tlabelframe1.frame1.frame2.checkbutton1
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.tlabelframe1.frame1.frame2.checkbutton1  -variable {guiPOSTvars(recalc_wall_stress)}  -text {Recalculate Wall Stresses}  -width {25}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.tlabelframe1.frame1.frame2.checkbutton2
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.tlabelframe1.frame1.frame2.checkbutton2  -variable {guiPOSTvars(apply_wall_deformation)}  -text {Apply Wall Deformation}  -width {25}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.tlabelframe1.frame1.frame2.label1
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.tlabelframe1.frame1.frame2.label1  -font {Helvetica 10}  -relief {flat}  -justify {right}  -text {Viscosity:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.tlabelframe1.frame1.frame2.entry1
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.tlabelframe1.frame1.frame2.entry1  -font {Helvetica 10}  -textvariable {guiPOSTvars(mu)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.frame17
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.frame17  -width {146}  -height {80}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.frame17.tbutton1
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.frame17.tbutton1  -command {guiPOSTconvertFilesToVTK}  -text {Convert Files Only}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.tframe8
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.tframe8  -borderwidth {2}  -relief {ridge}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.tframe8.frame9
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.tframe8.frame9  -borderwidth {0}  -relief {flat}  -width {377}  -height {241}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.tframe8.frame9.label2
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.tframe8.frame9.label2  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Calculate Flow and Pressure at Boundaries}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.tframe8.frame9.frame10
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.tframe8.frame9.frame10  -width {320}  -height {118}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.tframe8.frame9.frame10.label12
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.tframe8.frame9.frame10.label12  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {mesh complete dir:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.tframe8.frame9.frame10.entry13
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.tframe8.frame9.frame10.entry13  -font {Helvetica 10}  -textvariable {gFilenames(complete_mesh_dir)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.tframe8.frame9.frame10.tcheckbutton0
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.tframe8.frame9.frame10.tcheckbutton0  -variable {gOptions(exclude_walls_from_flows)}  -text {Skip "wall" faces}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.tframe8.frame9.frame10.tbutton15
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.tframe8.frame9.frame10.tbutton15  -command {guiPOSTselectMeshCompleteDir}  -text {Select}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.tframe8.frame9.frame0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.tframe8.frame9.frame0  -borderwidth {0}  -relief {flat}  -width {320}  -height {118}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.tframe8.frame9.frame0.tbutton10
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.tframe8.frame9.frame0.tbutton10  -command {guiPOSTcalcFlowsFromVTK}  -text {Calculate Flows Only}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.tframe8.frame9.frame0.tbutton11
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.tframe8.frame9.frame0.tbutton11  -command {guiPOSTbothFromVTK}  -text {Convert Files and Calculate Flows}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.tframe8.frame9.frame3
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.tframe8.frame9.frame3  -borderwidth {0}  -relief {flat}  -width {320}  -height {118}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.tframe8.frame9.frame3.label12
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.tframe8.frame9.frame3.label12  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Flows From File:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.tframe8.frame9.frame3.entry13
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.tframe8.frame9.frame3.entry13  -font {Helvetica 10}  -textvariable {guiPOSTvars(vtkFlowFile)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.tframe8.frame9.frame3.tbutton15
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.tframe8.frame9.frame3.tbutton15  -command {guiPOSTselectFlowsFile}  -text {Select}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.tframe8.frame9.frame3.tcheckbutton1
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.tframe8.frame9.frame3.tcheckbutton1  -variable {guiPOSTvars(look_for_vtp)}  -text {look for vtp}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5  -borderwidth {2}  -relief {raised}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1
  ttk::notebook .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2  -borderwidth {2}  -relief {raised}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tlabel2
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tlabel2  -font {Helvetica 10}  -relief {flat}  -text {Parameters}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe4
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe4  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe4.tlabel5
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe4.tlabel5  -font {Helvetica 10}  -relief {flat}  -text {User:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe4.tmenubutton6
  ttk::menubutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe4.tmenubutton6  -menu {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe4.tmenubutton6.m}  -text {unknown}  -textvariable {guiRUNSOLVERvars(user)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe4.tmenubutton6.m
  menu .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe4.tmenubutton6.m  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe4.tmenubutton6.m add radiobutton  -value {gharahih}  -variable {guiRUNSOLVERvars(user)}  -label {gharahih}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe4.tmenubutton6.m add radiobutton  -value {zambran2}  -variable {guiRUNSOLVERvars(user)}  -label {zambran2}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe4.tmenubutton6.m add radiobutton  -value {labuser}  -variable {guiRUNSOLVERvars(user)}  -label {labuser}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe4.tmenubutton6.m add radiobutton  -value {nwilson}  -variable {guiRUNSOLVERvars(user)}  -label {nwilson}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe12
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe12  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe12.tlabel5
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe12.tlabel5  -font {Helvetica 10}  -relief {flat}  -text {CVTM01 num procs:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe12.tmenubutton6
  ttk::menubutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe12.tmenubutton6  -menu {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe12.tmenubutton6.m}  -text {4}  -textvariable {guiRUNSOLVERvars(num_procs_cvtm01)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe12.tmenubutton6.m
  menu .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe12.tmenubutton6.m  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe12.tmenubutton6.m add radiobutton  -value {0}  -variable {guiRUNSOLVERvars(num_procs_cvtm01)}  -label {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe12.tmenubutton6.m add radiobutton  -value {1}  -variable {guiRUNSOLVERvars(num_procs_cvtm01)}  -label {1}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe12.tmenubutton6.m add radiobutton  -value {2}  -variable {guiRUNSOLVERvars(num_procs_cvtm01)}  -label {2}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe12.tmenubutton6.m add radiobutton  -value {3}  -variable {guiRUNSOLVERvars(num_procs_cvtm01)}  -label {3}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe12.tmenubutton6.m add radiobutton  -value {4}  -variable {guiRUNSOLVERvars(num_procs_cvtm01)}  -label {4}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe13
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe13  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe13.tlabel5
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe13.tlabel5  -font {Helvetica 10}  -relief {flat}  -text {CVTM02 num procs:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe13.tmenubutton6
  ttk::menubutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe13.tmenubutton6  -menu {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe13.tmenubutton6.m}  -text {4}  -textvariable {guiRUNSOLVERvars(num_procs_cvtm02)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe13.tmenubutton6.m
  menu .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe13.tmenubutton6.m  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe13.tmenubutton6.m add radiobutton  -value {0}  -variable {guiRUNSOLVERvars(num_procs_cvtm02)}  -label {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe13.tmenubutton6.m add radiobutton  -value {1}  -variable {guiRUNSOLVERvars(num_procs_cvtm02)}  -label {1}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe13.tmenubutton6.m add radiobutton  -value {2}  -variable {guiRUNSOLVERvars(num_procs_cvtm02)}  -label {2}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe13.tmenubutton6.m add radiobutton  -value {3}  -variable {guiRUNSOLVERvars(num_procs_cvtm02)}  -label {3}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe13.tmenubutton6.m add radiobutton  -value {4}  -variable {guiRUNSOLVERvars(num_procs_cvtm02)}  -label {4}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe14
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe14  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe14.tlabel5
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe14.tlabel5  -font {Helvetica 10}  -relief {flat}  -text {CVTM03 num procs:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe14.tmenubutton6
  ttk::menubutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe14.tmenubutton6  -menu {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe14.tmenubutton6.m}  -text {4}  -textvariable {guiRUNSOLVERvars(num_procs_cvtm03)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe14.tmenubutton6.m
  menu .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe14.tmenubutton6.m  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe14.tmenubutton6.m add radiobutton  -value {0}  -variable {guiRUNSOLVERvars(num_procs_cvtm03)}  -label {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe14.tmenubutton6.m add radiobutton  -value {1}  -variable {guiRUNSOLVERvars(num_procs_cvtm03)}  -label {1}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe14.tmenubutton6.m add radiobutton  -value {2}  -variable {guiRUNSOLVERvars(num_procs_cvtm03)}  -label {2}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe14.tmenubutton6.m add radiobutton  -value {3}  -variable {guiRUNSOLVERvars(num_procs_cvtm03)}  -label {3}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe14.tmenubutton6.m add radiobutton  -value {4}  -variable {guiRUNSOLVERvars(num_procs_cvtm03)}  -label {4}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe16
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe16  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe16.tlabel5
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe16.tlabel5  -font {Helvetica 10}  -relief {flat}  -text {CVTM04 num procs:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe16.tmenubutton6
  ttk::menubutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe16.tmenubutton6  -menu {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe16.tmenubutton6.m}  -text {4}  -textvariable {guiRUNSOLVERvars(num_procs_cvtm04)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe16.tmenubutton6.m
  menu .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe16.tmenubutton6.m  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe16.tmenubutton6.m add radiobutton  -value {0}  -variable {guiRUNSOLVERvars(num_procs_cvtm04)}  -label {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe16.tmenubutton6.m add radiobutton  -value {1}  -variable {guiRUNSOLVERvars(num_procs_cvtm04)}  -label {1}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe16.tmenubutton6.m add radiobutton  -value {2}  -variable {guiRUNSOLVERvars(num_procs_cvtm04)}  -label {2}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe16.tmenubutton6.m add radiobutton  -value {3}  -variable {guiRUNSOLVERvars(num_procs_cvtm04)}  -label {3}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe16.tmenubutton6.m add radiobutton  -value {4}  -variable {guiRUNSOLVERvars(num_procs_cvtm04)}  -label {4}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe17
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe17  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe17.tlabel5
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe17.tlabel5  -font {Helvetica 10}  -relief {flat}  -text {CVTM05 num procs:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe17.tmenubutton6
  ttk::menubutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe17.tmenubutton6  -menu {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe17.tmenubutton6.m}  -text {4}  -textvariable {guiRUNSOLVERvars(num_procs_cvtm05)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe17.tmenubutton6.m
  menu .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe17.tmenubutton6.m  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe17.tmenubutton6.m add radiobutton  -value {0}  -variable {guiRUNSOLVERvars(num_procs_cvtm05)}  -label {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe17.tmenubutton6.m add radiobutton  -value {1}  -variable {guiRUNSOLVERvars(num_procs_cvtm05)}  -label {1}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe17.tmenubutton6.m add radiobutton  -value {2}  -variable {guiRUNSOLVERvars(num_procs_cvtm05)}  -label {2}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe17.tmenubutton6.m add radiobutton  -value {3}  -variable {guiRUNSOLVERvars(num_procs_cvtm05)}  -label {3}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe17.tmenubutton6.m add radiobutton  -value {4}  -variable {guiRUNSOLVERvars(num_procs_cvtm05)}  -label {4}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe18
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe18  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe18.tentry20
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe18.tentry20  -font {Helvetica 10}  -textvariable {guiRUNSOLVERvars(init_dir)}  -width {40}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe18.tbutton21
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe18.tbutton21  -command {guiRUNSOLVERsetInitDir}  -text {Select Run Dir:}  -width {17}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe23
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe23  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe23.tcheckbutton22
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe23.tcheckbutton22  -variable {guiRUNSOLVERvars(rundir_add_date)}  -text {Append Date and Time to Run Dir}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe0  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe0.tlabel1
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe0.tlabel1  -font {Helvetica 10}  -relief {flat}  -text {Starting Step Number:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe0.tentry2
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe0.tentry2  -font {Helvetica 10}  -textvariable {guiRUNSOLVERvars(startnum)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe1  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe1.tentry20
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe1.tentry20  -font {Helvetica 10}  -textvariable {guiRUNSOLVERvars(log_dir)}  -width {40}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe1.tbutton21
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe1.tbutton21  -command {guiRUNSOLVERsetLogDir}  -text {Select Log Dir:}  -width {17}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe2
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe2  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe2.tentry20
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe2.tentry20  -font {Helvetica 10}  -textvariable {guiRUNSOLVERvars(map_dir_msu)}  -width {40}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe2.tlabel4
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe2.tlabel4  -font {Helvetica 10}  -relief {flat}  -text {Net Mapped Dir:}  -width {15}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe24
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe24  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe24.tbutton25
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe24.tbutton25  -command {guiRUNSOLVERlaunchSolver msu}  -text {Run Simulation}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe24.tlabel7
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe24.tlabel7  -font {Helvetica 10}  -relief {flat}  -text {Run}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe3
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe3  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe3.tlabel8
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe3.tlabel8  -font {Helvetica 10}  -relief {flat}  -text {Tail Logs}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe3.tframe1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe3.tframe1  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe3.tframe1.tentry20
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe3.tframe1.tentry20  -font {Helvetica 10}  -textvariable {guiRUNSOLVERvars(solver_log_file)}  -width {40}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe3.tframe1.tbutton21
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe3.tframe1.tbutton21  -command {guiRUNSOLVERsetFileName solver_log_file .txt}  -text {Select Log File:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe3.tframe1.tbutton5
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe3.tframe1.tbutton5  -command {guiRUNSOLVERstartTail solver_log_file}  -text {Start Tail}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe3.tframe1.tbutton26
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe3.tframe1.tbutton26  -command {guiRUNSOLVERstopTail solver_log_file}  -text {Stop Tail}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe3.tframe0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe3.tframe0  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe3.tframe0.tentry20
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe3.tframe0.tentry20  -font {Helvetica 10}  -textvariable {guiRUNSOLVERvars(00000_log_file)}  -width {40}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe3.tframe0.tbutton21
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe3.tframe0.tbutton21  -command {guiRUNSOLVERsetFileName 00000_log_file .txt}  -text {Select 00000 File:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe3.tframe0.tbutton5
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe3.tframe0.tbutton5  -command {guiRUNSOLVERstartTail 00000_log_file}  -text {Start Tail}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe3.tframe0.tbutton26
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe3.tframe0.tbutton26  -command {guiRUNSOLVERstopTail 00000_log_file}  -text {Stop Tail}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe3.tframe2
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe3.tframe2  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe3.tframe2.tentry20
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe3.tframe2.tentry20  -font {Helvetica 10}  -textvariable {guiRUNSOLVERvars(histor_dat_file)}  -width {40}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe3.tframe2.tbutton21
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe3.tframe2.tbutton21  -command {guiRUNSOLVERsetFileName histor_dat_file .dat}  -text {Select histor.dat File:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe3.tframe2.tbutton5
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe3.tframe2.tbutton5  -command {guiRUNSOLVERstartTail histor_dat_file}  -text {Start Tail}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe3.tframe2.tbutton26
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe3.tframe2.tbutton26  -command {guiRUNSOLVERstopTail histor_dat_file}  -text {Stop Tail}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe3
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe3  -borderwidth {2}  -relief {raised}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe3.tframe4
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe3.tframe4  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe3.tframe4.tlabel2
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe3.tframe4.tlabel2  -font {Helvetica 10}  -relief {flat}  -text {Files}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe3.tframe4.tframe18
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe3.tframe4.tframe18  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe3.tframe4.tframe18.tentry20
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe3.tframe4.tframe18.tentry20  -font {Helvetica 10}  -textvariable {guiRUNSOLVERvars(solver_inp_file)}  -width {40}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe3.tframe4.tframe18.tbutton21
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe3.tframe4.tframe18.tbutton21  -command {guiRUNSOLVERsetFileName solver_inp_file .inp}  -text {Select solver.inp:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe3.tframe4.tframe6
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe3.tframe4.tframe6  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe3.tframe4.tframe6.tentry20
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe3.tframe4.tframe6.tentry20  -font {Helvetica 10}  -textvariable {guiRUNSOLVERvars(cvpre_file)}  -width {40}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe3.tframe4.tframe6.tbutton21
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe3.tframe4.tframe6.tbutton21  -command {guiRUNSOLVERsetFileName cvpre_file .cvpre}  -text {Select cvpre file:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe3.tframe4.tframe9
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe3.tframe4.tframe9  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe3.tframe4.tframe9.tentry20
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe3.tframe4.tframe9.tentry20  -font {Helvetica 10}  -textvariable {guiRUNSOLVERvars(hist_dat_file)}  -width {40}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe3.tframe4.tframe9.tbutton21
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe3.tframe4.tframe9.tbutton21  -command {guiRUNSOLVERsetFileName hist_dat_file .dat}  -text {Select *Hist.dat file:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe3.tframe4.tframe10
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe3.tframe4.tframe10  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe3.tframe4.tframe10.tentry20
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe3.tframe4.tframe10.tentry20  -font {Helvetica 10}  -textvariable {guiRUNSOLVERvars(plot_output_file)}  -width {40}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe3.tframe4.tframe10.tbutton21
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe3.tframe4.tframe10.tbutton21  -command {guiRUNSOLVERsetOutputFileName plot_output_file .txt}  -text {Select OUTPUT file:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe3.tframe11
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe3.tframe11  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe3.tframe11.tframe0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe3.tframe11.tframe0  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe3.tframe11.tframe0.tlabel1
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe3.tframe11.tframe0.tlabel1  -font {Helvetica 10}  -relief {flat}  -text {Period:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe3.tframe11.tframe0.tentry2
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe3.tframe11.tframe0.tentry2  -font {Helvetica 10}  -textvariable {guiRUNSOLVERvars(period)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe3.tframe11.tframe12
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe3.tframe11.tframe12  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe3.tframe11.tframe12.tlabel1
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe3.tframe11.tframe12.tlabel1  -font {Helvetica 10}  -relief {flat}  -text {Num Steps Per Cycle:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe3.tframe11.tframe12.tentry2
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe3.tframe11.tframe12.tentry2  -font {Helvetica 10}  -textvariable {guiRUNSOLVERvars(num_steps_per_cycle)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe3.tframe24
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe3.tframe24  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe3.tframe24.tbutton25
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe3.tframe24.tbutton25  -command {guiRUNSOLVERcreateOutputSurfacesFile}  -text {Create Output Surfaces File}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7  -borderwidth {2}  -relief {raised}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tlabel2
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tlabel2  -font {Helvetica 10}  -relief {flat}  -text {Parameters}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe4
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe4  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe4.tlabel5
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe4.tlabel5  -font {Helvetica 10}  -relief {flat}  -text {User:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe4.tmenubutton6
  ttk::menubutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe4.tmenubutton6  -menu {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe4.tmenubutton6.m}  -text {unknown}  -textvariable {guiRUNSOLVERvars(user)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe4.tmenubutton6.m
  menu .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe4.tmenubutton6.m  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe4.tmenubutton6.m add radiobutton  -value {ajohnson}  -variable {guiRUNSOLVERvars(user)}  -label {ajohnson}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe4.tmenubutton6.m add radiobutton  -value {aortiz}  -variable {guiRUNSOLVERvars(user)}  -label {aortiz}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe4.tmenubutton6.m add radiobutton  -value {nwilson}  -variable {guiRUNSOLVERvars(user)}  -label {nwilson}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe13
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe13  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe13.tlabel5
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe13.tlabel5  -font {Helvetica 10}  -relief {flat}  -text {OSMSC02 num procs:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe13.tmenubutton6
  ttk::menubutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe13.tmenubutton6  -menu {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe13.tmenubutton6.m}  -text {4}  -textvariable {guiRUNSOLVERvars(num_procs_osmsc02)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe13.tmenubutton6.m
  menu .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe13.tmenubutton6.m  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe13.tmenubutton6.m add radiobutton  -value {0}  -variable {guiRUNSOLVERvars(num_procs_osmsc02)}  -label {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe13.tmenubutton6.m add radiobutton  -value {1}  -variable {guiRUNSOLVERvars(num_procs_osmsc02)}  -label {1}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe13.tmenubutton6.m add radiobutton  -value {2}  -variable {guiRUNSOLVERvars(num_procs_osmsc02)}  -label {2}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe13.tmenubutton6.m add radiobutton  -value {3}  -variable {guiRUNSOLVERvars(num_procs_osmsc02)}  -label {3}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe13.tmenubutton6.m add radiobutton  -value {4}  -variable {guiRUNSOLVERvars(num_procs_osmsc02)}  -label {4}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe14
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe14  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe14.tlabel5
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe14.tlabel5  -font {Helvetica 10}  -relief {flat}  -text {OSMSC04 num procs:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe14.tmenubutton6
  ttk::menubutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe14.tmenubutton6  -menu {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe14.tmenubutton6.m}  -text {4}  -textvariable {guiRUNSOLVERvars(num_procs_osmsc04)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe14.tmenubutton6.m
  menu .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe14.tmenubutton6.m  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe14.tmenubutton6.m add radiobutton  -value {0}  -variable {guiRUNSOLVERvars(num_procs_osmsc04)}  -label {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe14.tmenubutton6.m add radiobutton  -value {1}  -variable {guiRUNSOLVERvars(num_procs_osmsc04)}  -label {1}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe14.tmenubutton6.m add radiobutton  -value {2}  -variable {guiRUNSOLVERvars(num_procs_osmsc04)}  -label {2}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe14.tmenubutton6.m add radiobutton  -value {3}  -variable {guiRUNSOLVERvars(num_procs_osmsc04)}  -label {3}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe14.tmenubutton6.m add radiobutton  -value {4}  -variable {guiRUNSOLVERvars(num_procs_osmsc04)}  -label {4}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe18
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe18  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe18.tentry20
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe18.tentry20  -font {Helvetica 10}  -textvariable {guiRUNSOLVERvars(init_dir)}  -width {40}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe18.tbutton21
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe18.tbutton21  -command {guiRUNSOLVERsetInitDir}  -text {Select Run Dir:}  -width {17}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe23
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe23  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe23.tcheckbutton22
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe23.tcheckbutton22  -variable {guiRUNSOLVERvars(rundir_add_date)}  -text {Append Date and Time to Run Dir}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe0  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe0.tlabel1
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe0.tlabel1  -font {Helvetica 10}  -relief {flat}  -text {Starting Step Number:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe0.tentry2
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe0.tentry2  -font {Helvetica 10}  -textvariable {guiRUNSOLVERvars(startnum)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe1  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe1.tentry20
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe1.tentry20  -font {Helvetica 10}  -textvariable {guiRUNSOLVERvars(log_dir)}  -width {40}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe1.tbutton21
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe1.tbutton21  -command {guiRUNSOLVERsetLogDir}  -text {Select Log Dir:}  -width {17}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe2
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe2  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe2.tentry20
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe2.tentry20  -font {Helvetica 10}  -textvariable {guiRUNSOLVERvars(map_dir_osmsc)}  -width {40}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe2.tlabel4
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe2.tlabel4  -font {Helvetica 10}  -relief {flat}  -text {Net Mapped Dir:}  -width {15}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe24
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe24  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe24.tbutton25
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe24.tbutton25  -command {guiRUNSOLVERlaunchSolver osmsc}  -text {Run Simulation}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe24.tlabel7
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe24.tlabel7  -font {Helvetica 10}  -relief {flat}  -text {Run}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe3
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe3  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe3.tlabel8
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe3.tlabel8  -font {Helvetica 10}  -relief {flat}  -text {Tail Logs}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe3.tframe1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe3.tframe1  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe3.tframe1.tentry20
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe3.tframe1.tentry20  -font {Helvetica 10}  -textvariable {guiRUNSOLVERvars(solver_log_file)}  -width {40}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe3.tframe1.tbutton21
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe3.tframe1.tbutton21  -command {guiRUNSOLVERsetFileName solver_log_file .txt}  -text {Select Log File:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe3.tframe1.tbutton5
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe3.tframe1.tbutton5  -command {guiRUNSOLVERstartTail solver_log_file}  -text {Start Tail}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe3.tframe1.tbutton26
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe3.tframe1.tbutton26  -command {guiRUNSOLVERstopTail solver_log_file}  -text {Stop Tail}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe3.tframe0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe3.tframe0  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe3.tframe0.tentry20
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe3.tframe0.tentry20  -font {Helvetica 10}  -textvariable {guiRUNSOLVERvars(00000_log_file)}  -width {40}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe3.tframe0.tbutton21
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe3.tframe0.tbutton21  -command {guiRUNSOLVERsetFileName 00000_log_file .txt}  -text {Select 00000 file:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe3.tframe0.tbutton5
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe3.tframe0.tbutton5  -command {guiRUNSOLVERstartTail 00000_log_file}  -text {Start Tail}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe3.tframe0.tbutton26
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe3.tframe0.tbutton26  -command {guiRUNSOLVERstopTail 00000_log_file}  -text {Stop Tail}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe3.tframe2
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe3.tframe2  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe3.tframe2.tentry20
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe3.tframe2.tentry20  -font {Helvetica 10}  -textvariable {guiRUNSOLVERvars(histor_dat_file)}  -width {40}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe3.tframe2.tbutton21
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe3.tframe2.tbutton21  -command {guiRUNSOLVERsetFileName histor_dat_file .dat}  -text {Select histor.dat File:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe3.tframe2.tbutton5
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe3.tframe2.tbutton5  -command {guiRUNSOLVERstartTail histor_dat_file}  -text {Start Tail}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe3.tframe2.tbutton26
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe3.tframe2.tbutton26  -command {guiRUNSOLVERstopTail histor_dat_file}  -text {Stop Tail}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8  -borderwidth {2}  -relief {raised}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tlabel2
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tlabel2  -font {Helvetica 10}  -relief {flat}  -text {Parameters}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe4
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe4  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe4.tlabel5
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe4.tlabel5  -font {Helvetica 10}  -relief {flat}  -text {User:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe4.tentry1
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe4.tentry1  -font {Helvetica 10}  -textvariable {guiRUNSOLVERvars(user)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe4.tbutton2
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe4.tbutton2  -command {guiRUNSOLVERwhoami}  -text {whoami}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe13
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe13  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe13.tlabel5
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe13.tlabel5  -font {Helvetica 10}  -relief {flat}  -text {localhost num procs:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe13.tmenubutton6
  ttk::menubutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe13.tmenubutton6  -menu {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe13.tmenubutton6.m}  -text {4}  -textvariable {guiRUNSOLVERvars(num_procs_localhost)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe13.tmenubutton6.m
  menu .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe13.tmenubutton6.m  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe13.tmenubutton6.m add radiobutton  -value {0}  -variable {guiRUNSOLVERvars(num_procs_localhost)}  -label {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe13.tmenubutton6.m add radiobutton  -value {1}  -variable {guiRUNSOLVERvars(num_procs_localhost)}  -label {1}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe13.tmenubutton6.m add radiobutton  -value {2}  -variable {guiRUNSOLVERvars(num_procs_localhost)}  -label {2}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe13.tmenubutton6.m add radiobutton  -value {3}  -variable {guiRUNSOLVERvars(num_procs_localhost)}  -label {3}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe13.tmenubutton6.m add radiobutton  -value {4}  -variable {guiRUNSOLVERvars(num_procs_localhost)}  -label {4}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe13.tentry3
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe13.tentry3  -font {Helvetica 10}  -textvariable {guiRUNSOLVERvars(num_procs_localhost)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe18
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe18  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe18.tentry20
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe18.tentry20  -font {Helvetica 10}  -textvariable {guiRUNSOLVERvars(init_dir)}  -width {40}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe18.tbutton21
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe18.tbutton21  -command {guiRUNSOLVERsetInitDir}  -text {Select Run Dir:}  -width {17}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe23
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe23  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe23.tcheckbutton22
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe23.tcheckbutton22  -variable {guiRUNSOLVERvars(rundir_add_date)}  -text {Append Date and Time to Run Dir}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe24
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe24  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe24.tbutton25
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe24.tbutton25  -command {guiRUNSOLVERlaunchSolver localhost}  -text {Run Simulation}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe24.tlabel7
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe24.tlabel7  -font {Helvetica 10}  -relief {flat}  -text {Run}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe0  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe0.tlabel1
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe0.tlabel1  -font {Helvetica 10}  -relief {flat}  -text {Starting Step Number:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe0.tentry2
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe0.tentry2  -font {Helvetica 10}  -textvariable {guiRUNSOLVERvars(startnum)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe1  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe1.tentry20
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe1.tentry20  -font {Helvetica 10}  -textvariable {guiRUNSOLVERvars(log_dir)}  -width {40}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe1.tbutton21
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe1.tbutton21  -command {guiRUNSOLVERsetLogDir}  -text {Select Log Dir:}  -width {17}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe2
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe2  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe2.tentry20
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe2.tentry20  -font {Helvetica 10}  -textvariable {guiRUNSOLVERvars(map_dir_localhost)}  -width {40}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe2.tlabel4
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe2.tlabel4  -font {Helvetica 10}  -relief {flat}  -text {Net Mapped Dir:}  -width {15}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe5
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe5  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe5.tframe3
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe5.tframe3  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe5.tframe3.tlabel8
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe5.tframe3.tlabel8  -font {Helvetica 10}  -relief {flat}  -text {Tail Logs}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe5.tframe3.tframe1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe5.tframe3.tframe1  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe5.tframe3.tframe1.tentry20
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe5.tframe3.tframe1.tentry20  -font {Helvetica 10}  -textvariable {guiRUNSOLVERvars(solver_log_file)}  -width {40}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe5.tframe3.tframe1.tbutton21
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe5.tframe3.tframe1.tbutton21  -command {guiRUNSOLVERsetFileName solver_log_file .txt}  -text {Select Log File:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe5.tframe3.tframe1.tbutton5
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe5.tframe3.tframe1.tbutton5  -command {guiRUNSOLVERstartTail solver_log_file}  -text {Start Tail}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe5.tframe3.tframe1.tbutton26
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe5.tframe3.tframe1.tbutton26  -command {guiRUNSOLVERstopTail solver_log_file}  -text {Stop Tail}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe5.tframe3.tframe0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe5.tframe3.tframe0  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe5.tframe3.tframe0.tentry20
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe5.tframe3.tframe0.tentry20  -font {Helvetica 10}  -textvariable {guiRUNSOLVERvars(00000_log_file)}  -width {40}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe5.tframe3.tframe0.tbutton21
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe5.tframe3.tframe0.tbutton21  -command {guiRUNSOLVERsetFileName 00000_log_file .txt}  -text {Select 00000 file:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe5.tframe3.tframe0.tbutton5
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe5.tframe3.tframe0.tbutton5  -command {guiRUNSOLVERstartTail 00000_log_file}  -text {Start Tail}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe5.tframe3.tframe0.tbutton26
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe5.tframe3.tframe0.tbutton26  -command {guiRUNSOLVERstopTail 00000_log_file}  -text {Stop Tail}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe5.tframe3.tframe2
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe5.tframe3.tframe2  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe5.tframe3.tframe2.tentry20
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe5.tframe3.tframe2.tentry20  -font {Helvetica 10}  -textvariable {guiRUNSOLVERvars(histor_dat_file)}  -width {40}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe5.tframe3.tframe2.tbutton21
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe5.tframe3.tframe2.tbutton21  -command {guiRUNSOLVERsetFileName histor_dat_file .dat}  -text {Select histor.dat File:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe5.tframe3.tframe2.tbutton5
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe5.tframe3.tframe2.tbutton5  -command {guiRUNSOLVERstartTail histor_dat_file}  -text {Start Tail}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe5.tframe3.tframe2.tbutton26
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe5.tframe3.tframe2.tbutton26  -command {guiRUNSOLVERstopTail histor_dat_file}  -text {Stop Tail}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0  -borderwidth {2}  -relief {raised}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0.tframe1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0.tframe1  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0.tframe1.tlabel2
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0.tframe1.tlabel2  -foreground {blue}  -font {Helvetica 10}  -relief {ridge}  -text {Parameters}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0.tframe1.tframe3
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0.tframe1.tframe3  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0.tframe1.tframe3.tframe18
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0.tframe1.tframe3.tframe18  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0.tframe1.tframe3.tframe18.tentry20
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0.tframe1.tframe3.tframe18.tentry20  -font {Helvetica 10}  -textvariable {guiRUNSOLVERvars(init_dir)}  -width {40}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0.tframe1.tframe3.tframe18.tbutton21
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0.tframe1.tframe3.tframe18.tbutton21  -command {guiRUNSOLVERsetInitDir}  -text {Select Run Dir:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0.tframe1.tframe3.tframe18.tcheckbutton22
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0.tframe1.tframe3.tframe18.tcheckbutton22  -variable {guiRUNSOLVERvars(rundir_add_date)}  -text {Append Date and Time}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0.tframe1.tframe3.tframe23
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0.tframe1.tframe3.tframe23  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0.tframe1.tframe3.tframe23.tframe0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0.tframe1.tframe3.tframe23.tframe0  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0.tframe1.tframe3.tframe23.tframe0.tlabel1
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0.tframe1.tframe3.tframe23.tframe0.tlabel1  -font {Helvetica 10}  -relief {flat}  -text {Start Step Number:}  -width {18}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0.tframe1.tframe3.tframe23.tframe0.tentry2
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0.tframe1.tframe3.tframe23.tframe0.tentry2  -font {Helvetica 10}  -textvariable {guiRUNSOLVERvars(startnum)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0.tframe1.tframe3.tframe24
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0.tframe1.tframe3.tframe24  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0.tframe1.tframe3.tframe24.tbutton25
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0.tframe1.tframe3.tframe24.tbutton25  -command {guiRUNSOLVERlaunchSolver no_mpi}  -text {Run Simulation}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0.tframe1.tframe3.tframe24.tlabel7
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0.tframe1.tframe3.tframe24.tlabel7  -foreground {blue}  -font {Helvetica 10}  -relief {ridge}  -text {Run}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0.tframe1.tframe3.tframe1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0.tframe1.tframe3.tframe1  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0.tframe1.tframe3.tframe1.tentry20
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0.tframe1.tframe3.tframe1.tentry20  -font {Helvetica 10}  -textvariable {guiRUNSOLVERvars(log_dir)}  -width {40}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0.tframe1.tframe3.tframe1.tbutton21
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0.tframe1.tframe3.tframe1.tbutton21  -command {guiRUNSOLVERsetLogDir}  -text {Select Log Dir:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0.tframe1.tframe3.tframe5
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0.tframe1.tframe3.tframe5  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0.tframe1.tframe3.tframe5.tframe3
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0.tframe1.tframe3.tframe5.tframe3  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0.tframe1.tframe3.tframe5.tframe3.tlabel8
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0.tframe1.tframe3.tframe5.tframe3.tlabel8  -foreground {blue}  -font {Helvetica 10}  -relief {ridge}  -text {Tail Logs}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0.tframe1.tframe3.tframe5.tframe3.tframe1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0.tframe1.tframe3.tframe5.tframe3.tframe1  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0.tframe1.tframe3.tframe5.tframe3.tframe1.tentry20
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0.tframe1.tframe3.tframe5.tframe3.tframe1.tentry20  -font {Helvetica 10}  -textvariable {guiRUNSOLVERvars(solver_log_file)}  -width {40}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0.tframe1.tframe3.tframe5.tframe3.tframe1.tbutton21
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0.tframe1.tframe3.tframe5.tframe3.tframe1.tbutton21  -command {guiRUNSOLVERsetFileName solver_log_file .txt}  -text {Select Log File:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0.tframe1.tframe3.tframe5.tframe3.tframe1.tbutton5
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0.tframe1.tframe3.tframe5.tframe3.tframe1.tbutton5  -command {guiRUNSOLVERstartTail solver_log_file}  -text {Start Tail}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0.tframe1.tframe3.tframe5.tframe3.tframe1.tbutton26
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0.tframe1.tframe3.tframe5.tframe3.tframe1.tbutton26  -command {guiRUNSOLVERstopTail solver_log_file}  -text {Stop Tail}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0.tframe1.tframe3.tframe5.tframe3.tframe2
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0.tframe1.tframe3.tframe5.tframe3.tframe2  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0.tframe1.tframe3.tframe5.tframe3.tframe2.tentry20
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0.tframe1.tframe3.tframe5.tframe3.tframe2.tentry20  -font {Helvetica 10}  -textvariable {guiRUNSOLVERvars(histor_dat_file)}  -width {40}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0.tframe1.tframe3.tframe5.tframe3.tframe2.tbutton21
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0.tframe1.tframe3.tframe5.tframe3.tframe2.tbutton21  -command {guiRUNSOLVERsetFileName histor_dat_file .dat}  -text {Select histor.dat File:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0.tframe1.tframe3.tframe5.tframe3.tframe2.tbutton5
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0.tframe1.tframe3.tframe5.tframe3.tframe2.tbutton5  -command {guiRUNSOLVERstartTail histor_dat_file}  -text {Start Tail}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0.tframe1.tframe3.tframe5.tframe3.tframe2.tbutton26
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0.tframe1.tframe3.tframe5.tframe3.tframe2.tbutton26  -command {guiRUNSOLVERstopTail histor_dat_file}  -text {Stop Tail}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame6
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame6  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame6.frame0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame6.frame0  -width {783}  -height {29}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame6.frame0.label2
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame6.frame0.label2  -font {Helvetica 10}  -relief {ridge}  -anchor {center}  -text {Analytic Shape of Profile}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame6.frame30
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame6.frame30  -width {783}  -height {134}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame6.frame30.frame32
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame6.frame30.frame32  -width {300}  -height {29}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame6.frame30.frame32.radiobutton7
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame6.frame30.frame32.radiobutton7  -variable {guiABC(type_of_profile)}  -value {womersley}  -text {womersley}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame6.frame30.frame32.radiobutton8
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame6.frame30.frame32.radiobutton8  -variable {guiABC(type_of_profile)}  -value {parabolic}  -text {parabolic}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame6.frame30.frame32.radiobutton9
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame6.frame30.frame32.radiobutton9  -variable {guiABC(type_of_profile)}  -value {plug}  -text {plug}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame1  -width {200}  -height {339}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame1.frame5
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame1.frame5  -width {194}  -height {25}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame1.frame5.label7
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame1.frame5.label7  -font {Helvetica 10}  -relief {ridge}  -text {Required Files}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame1.frame6
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame1.frame6  -width {194}  -height {314}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame1.frame6.frame8
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame1.frame6.frame8  -width {169}  -height {222}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame1.frame6.frame8.label12
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame1.frame6.frame8.label12  -font {Helvetica 10}  -text {Mesh Face File (vtp):}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame1.frame6.frame8.label13
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame1.frame6.frame8.label13  -font {Helvetica 10}  -text {Flow Rate File:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame1.frame6.frame9
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame1.frame6.frame9  -width {470}  -height {222}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame1.frame6.frame9.entry18
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame1.frame6.frame9.entry18  -font {Helvetica 10}  -textvariable {guiABC(mesh_face_file)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame1.frame6.frame9.entry19
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame1.frame6.frame9.entry19  -font {Helvetica 10}  -textvariable {guiABC(flow_rate_file)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame1.frame6.frame10
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame1.frame6.frame10  -width {116}  -height {224}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame1.frame6.frame10.frame21
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame1.frame6.frame10.frame21  -width {67}  -height {34}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame1.frame6.frame10.frame21.button24
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame1.frame6.frame10.frame21.button24  -command {wormGUIbrowseMeshFaceFile}  -text {browse}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame1.frame6.frame10.frame22
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame1.frame6.frame10.frame22  -width {67}  -height {34}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame1.frame6.frame10.frame22.button25
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame1.frame6.frame10.frame22.button25  -command {wormGUIbrowseFlowFile}  -text {browse}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame27
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame27  -width {308}  -height {153}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame27.frame29
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame27.frame29  -width {304}  -height {29}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame27.frame29.label31
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame27.frame29.label31  -font {Helvetica 10}  -relief {ridge}  -text {Parameters}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame27.frame30
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame27.frame30  -width {304}  -height {120}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame27.frame30.frame32
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame27.frame30.frame32  -width {300}  -height {29}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame27.frame30.frame32.label35
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame27.frame30.frame32.label35  -font {Helvetica 10}  -borderwidth {0}  -text {period:}  -width {12}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame27.frame30.frame32.entry36
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame27.frame30.frame32.entry36  -font {Helvetica 10}  -textvariable {gBC(period)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame27.frame30.frame33
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame27.frame30.frame33  -width {300}  -height {29}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame27.frame30.frame33.label37
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame27.frame30.frame33.label37  -font {Helvetica 10}  -borderwidth {0}  -text {viscosity:}  -width {12}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame27.frame30.frame33.entry38
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame27.frame30.frame33.entry38  -font {Helvetica 10}  -textvariable {guiABC(viscosity)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame27.frame30.frame34
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame27.frame30.frame34  -width {300}  -height {29}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame27.frame30.frame34.label39
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame27.frame30.frame34.label39  -font {Helvetica 10}  -borderwidth {0}  -text {density:}  -width {12}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame27.frame30.frame34.entry40
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame27.frame30.frame34.entry40  -font {Helvetica 10}  -textvariable {guiABC(density)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame27.frame30.frame41
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame27.frame30.frame41  -width {300}  -height {29}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame27.frame30.frame41.label39
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame27.frame30.frame41.label39  -font {Helvetica 10}  -borderwidth {0}  -width {12}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame27.frame30.frame41.tcheckbutton0
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame27.frame30.frame41.tcheckbutton0  -variable {guiABC(invert_face_normal)}  -text {Flip Normal}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame28
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame28  -width {300}  -height {182}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame28.frame42
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame28.frame42  -width {296}  -height {29}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame28.frame42.label44
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame28.frame42.label44  -font {Helvetica 10}  -relief {ridge}  -text {Output Parameters}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame28.frame30
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame28.frame30  -width {304}  -height {120}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame28.frame30.frame32
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame28.frame30.frame32  -width {300}  -height {29}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame28.frame30.frame32.label35
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame28.frame30.frame32.label35  -font {Helvetica 10}  -borderwidth {0}  -text {num of periods:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame28.frame30.frame32.entry36
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame28.frame30.frame32.entry36  -font {Helvetica 10}  -textvariable {guiABC(num_output_periods)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame28.frame30.frame33
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame28.frame30.frame33  -width {300}  -height {29}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame28.frame30.frame33.label37
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame28.frame30.frame33.label37  -font {Helvetica 10}  -borderwidth {0}  -text {num pts in period:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame28.frame30.frame33.entry38
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame28.frame30.frame33.entry38  -font {Helvetica 10}  -textvariable {guiABC(num_output_pts_in_period)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame28.frame30.frame34
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame28.frame30.frame34  -width {300}  -height {29}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame28.frame30.frame34.label39
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame28.frame30.frame34.label39  -font {Helvetica 10}  -borderwidth {0}  -text {num fourier modes:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame28.frame30.frame34.entry40
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame28.frame30.frame34.entry40  -font {Helvetica 10}  -textvariable {guiABC(num_output_modes)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame28.frame30.frame41
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame28.frame30.frame41  -width {300}  -height {29}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame28.frame30.frame41.tcheckbutton1
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame28.frame30.frame41.tcheckbutton1  -variable {guiABC(preserve_flow_by_scaling)}  -text {Preserve Flow}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame28.frame30.frame41.tcheckbutton3
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame28.frame30.frame41.tcheckbutton3  -variable {guiABC(create_vtp_file)}  -text {Create Vtp}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame3
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame3  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame3.frame0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame3.frame0  -width {783}  -height {29}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame3.frame0.label2
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame3.frame0.label2  -font {Helvetica 10}  -relief {ridge}  -text {Output Filenames}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame3.frame30
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame3.frame30  -width {783}  -height {134}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame3.frame30.frame41
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame3.frame30.frame41  -width {300}  -height {29}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame3.frame30.frame41.label39
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame3.frame30.frame41.label39  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {bct.dat file:}  -width {12}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame3.frame30.frame41.entry40
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame3.frame30.frame41.entry40  -font {Helvetica 10}  -textvariable {guiABC(bct_dat_file)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame3.frame30.frame1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame3.frame30.frame1  -width {300}  -height {29}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame3.frame30.frame1.label39
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame3.frame30.frame1.label39  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {vtp file:}  -width {12}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame3.frame30.frame1.entry40
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame3.frame30.frame1.entry40  -font {Helvetica 10}  -textvariable {guiABC(bct_vtp_file)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame4
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame4  -borderwidth {0}  -relief {flat}  -width {524}  -height {53}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame4.button5
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame4.button5  -command {wormGUIwritePHASTA 1}  -text {CREATE 3-D FLOW SOLVER BC FILE}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0  -borderwidth {2}  -relief {raised}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27
  ttk::notebook .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.frame31
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.frame31  -borderwidth {0}  -relief {flat}  -width {642}  -height {75}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.frame31.label64
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.frame31.label64  -font {Helvetica 10}  -borderwidth {0}  -text {Frame Selection}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.frame31.frame7
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.frame31.frame7  -width {778}  -height {92}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.frame31.frame7.label14
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.frame31.frame7.label14  -font {Helvetica 10}  -borderwidth {0}  -text {Current Frame:}  -width {15}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.frame31.frame7.scale15
  scale .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.frame31.frame7.scale15  -command {bcGUIchangeFrame}  -font {Helvetica 10}  -from {1.0}  -orient {horizontal}  -relief {raised}  -to {24.0}  -variable {bcGUIcurrentFrameNumber}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.frame31.frame11
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.frame31.frame11  -width {390}  -height {24}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.frame31.frame11.label12
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.frame31.frame11.label12  -font {Helvetica 10}  -borderwidth {0}  -text {batch list:}  -width {15}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.frame31.frame11.entry13
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.frame31.frame11.entry13  -font {Helvetica 10}  -textvariable {bcGUIbatchEntry}  -width {12}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.frame31.frame11.tbutton14
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.frame31.frame11.tbutton14  -command {bcGUIaddToSegBatch}  -text {Add to Batch}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.frame27
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.frame27  -width {398}  -height {72}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.frame27.label30
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.frame27.label30  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -anchor {center}  -text {Segmentation Groups}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.frame27.frame30
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.frame27.frame30  -width {340}  -height {72}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.frame27.frame30.frame24
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.frame27.frame30.frame24  -borderwidth {0}  -relief {flat}  -width {195}  -height {72}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.frame27.frame30.frame24.menubutton8
  ttk::menubutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.frame27.frame30.frame24.menubutton8  -menu {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.frame27.frame30.frame24.menubutton8.m}  -text {Group Commands}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.frame27.frame30.frame24.menubutton8.m
  menu .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.frame27.frame30.frame24.menubutton8.m  -activeborderwidth {1}  -background {#AE00B200C300}  -borderwidth {1}  -font {Helvetica 10}  -foreground {#000000000000}  -tearoff {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.frame27.frame30.frame24.menubutton8.m add cascade  -menu {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.frame27.frame30.frame24.menubutton8.m.n}  -label {Group Controls}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.frame27.frame30.frame24.menubutton8.m.n
  menu .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.frame27.frame30.frame24.menubutton8.m.n  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}  -tearoff {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.frame27.frame30.frame24.menubutton8.m.n add command  -command {bcGUIselectGroup}  -label {Select Current Group}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.frame27.frame30.frame24.menubutton8.m.n add command  -command {bcGUIcreateNewGroup}  -label {New Group}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.frame27.frame30.frame24.menubutton8.m.n add command  -command {bcGUIrestoreGroup}  -label {Restore Group}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.frame27.frame30.frame24.menubutton8.m.n add command  -command {bcGUIdeleteGroup}  -label {Delete Group}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.frame27.frame30.frame24.menubutton8.m.n add command  -command {bcGUIclearAllSegs}  -label {Clear All Segs}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.frame27.frame30.frame24.menubutton8.m.n add command  -command {bcGUIgroupLoad}  -label {Load All Groups}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.frame27.frame30.frame24.menubutton8.m.n add command  -command {bcGUIgroupSave}  -label {Save All Groups}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.frame27.frame30.tframe16
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.frame27.frame30.tframe16  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.frame27.frame30.tframe16.frame45
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.frame27.frame30.tframe16.frame45  -borderwidth {0}  -relief {flat}  -width {673}  -height {25}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.frame27.frame30.tframe16.frame45.label46
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.frame27.frame30.tframe16.frame45.label46  -font {Helvetica 10}  -borderwidth {0}  -text {bc group dir:}  -width {15}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.frame27.frame30.tframe16.frame45.entry47
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.frame27.frame30.tframe16.frame45.entry47  -font {Helvetica 10}  -textvariable {gFilenames(vel_seg_dir)}  -width {15}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.frame27.frame30.tframe16.frame5
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.frame27.frame30.tframe16.frame5  -borderwidth {0}  -relief {flat}  -width {673}  -height {25}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.frame27.frame30.tframe16.frame5.label46
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.frame27.frame30.tframe16.frame5.label46  -font {Helvetica 10}  -borderwidth {0}  -text {current bc group:}  -width {15}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.frame27.frame30.tframe16.frame5.entry47
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.frame27.frame30.tframe16.frame5.entry47  -font {Helvetica 10}  -textvariable {bcGUIcurrentGroup}  -width {15}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7
  ttk::notebook .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15  -borderwidth {0}  -relief {flat}  -width {787}  -height {382}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40  -width {693}  -height {244}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48  -borderwidth {0}  -relief {flat}  -width {388}  -height {204}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame17
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame17  -width {318}  -height {120}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame17.frame2
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame17.frame2  -width {316}  -height {22}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame17.frame2.label16
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame17.frame2.label16  -font {Helvetica 10}  -borderwidth {0}  -text {Stage 1 Parameters}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame17.frame37
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame17.frame37  -width {316}  -height {26}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame17.frame37.entry10
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame17.frame37.entry10  -font {Helvetica 10}  -textvariable {bcGUIlsParams(MagFactor)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame17.frame37.radiobutton13
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame17.frame37.radiobutton13  -variable {bcGUIlsParams(calcDecayConstBy)}  -value {multiply}  -text {Multiply Local Max By:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame17.frame12
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame17.frame12  -width {316}  -height {26}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame17.frame12.entry22
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame17.frame12.entry22  -font {Helvetica 10}  -textvariable {bcGUIlsParams(potentialValueDecay)}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame17.frame12.entry22 <Key-Return> {bcGUIthrSlice}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame17.frame12.radiobutton14
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame17.frame12.radiobutton14  -variable {bcGUIlsParams(calcDecayConstBy)}  -value {explicit}  -text {Explicit Potential Value:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame17.frame8
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame17.frame8  -width {316}  -height {22}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame17.frame8.label16
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame17.frame8.label16  -font {Helvetica 10}  -borderwidth {0}  -text {Center:}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame17.frame8.label17
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame17.frame8.label17  -font {Helvetica 10}  -borderwidth {0}  -text {X}  -width {3}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame17.frame8.entry18
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame17.frame8.entry18  -font {Helvetica 10}  -textvariable {bcGUIctrX}  -width {0}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame17.frame8.entry18 <Key-Return> {bcGUIchangeFrame 0}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame17.frame8.label19
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame17.frame8.label19  -font {Helvetica 10}  -borderwidth {0}  -text {Y}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame17.frame8.entry20
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame17.frame8.entry20  -font {Helvetica 10}  -textvariable {bcGUIctrY}  -width {0}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame17.frame8.entry20 <Key-Return> {bcGUIchangeFrame 0}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame17.frame32
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame17.frame32  -width {316}  -height {22}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame17.frame32.frame40
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame17.frame32.frame40  -width {453}  -height {44}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame17.frame32.frame40.label32
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame17.frame32.frame40.label32  -font {Helvetica 10}  -borderwidth {0}  -text {radius:}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame17.frame32.frame40.entry44
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame17.frame32.frame40.entry44  -font {Helvetica 10}  -textvariable {bcGUIradius}  -width {0}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame17.frame32.frame40.entry44 <Key-Return> {bcGUIchangeFrame 0}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame17.frame32.frame40.label29
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame17.frame32.frame40.label29  -font {Helvetica 10}  -borderwidth {0}  -text {Kthr:}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame17.frame32.frame40.entry41
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame17.frame32.frame40.entry41  -font {Helvetica 10}  -textvariable {bcGUIlsParams(Kthr)}  -width {0}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame17.frame32.frame40.label17
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame17.frame32.frame40.label17  -font {Helvetica 10}  -borderwidth {0}  -width {3}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame17.menubutton3
  ttk::menubutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame17.menubutton3  -menu {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame17.menubutton3.m}  -text {Additional Options}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame17.menubutton3.m
  menu .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame17.menubutton3.m  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame17.menubutton3.m add command  -command {bcGUIsetPotWinWithMagFactor}  -label {Set Potential Window Display by Mag. Factor}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame17.menubutton3.m add command  -command {bcGUIsetMagFactorWithPotWin}  -label {Set Mag. Factor with Potential Window}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame22
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame22  -width {318}  -height {62}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame22.label23
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame22.label23  -font {Helvetica 10}  -borderwidth {0}  -text {Stage 2 Parameters}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame22.frame34
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame22.frame34  -width {422}  -height {26}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame22.frame34.frame38
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame22.frame34.frame38  -width {453}  -height {44}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame22.frame34.frame38.label30
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame22.frame34.frame38.label30  -font {Helvetica 10}  -borderwidth {0}  -text {Klow:}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame22.frame34.frame38.entry42
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame22.frame34.frame38.entry42  -font {Helvetica 10}  -textvariable {bcGUIlsParams(Klow)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame22.frame34.frame39
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame22.frame34.frame39  -width {453}  -height {48}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame22.frame34.frame39.label31
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame22.frame34.frame39.label31  -font {Helvetica 10}  -borderwidth {0}  -text {Kupp:}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame22.frame34.frame39.entry45
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame22.frame34.frame39.entry45  -font {Helvetica 10}  -textvariable {bcGUIlsParams(Kupp)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame22.frame37
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame22.frame37  -width {316}  -height {26}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame22.frame37.entry10
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame22.frame37.entry10  -font {Helvetica 10}  -textvariable {bcGUIlsParams(pFactor)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame22.frame37.radiobutton13
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame22.frame37.radiobutton13  -variable {bcGUIlsParams(calcPotConstBy)}  -value {multiply}  -text {Multiply Local Max By:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame22.frame12
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame22.frame12  -width {316}  -height {26}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame22.frame12.entry22
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame22.frame12.entry22  -font {Helvetica 10}  -textvariable {bcGUIlsParams(potentialValuePotential)}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame22.frame12.entry22 <Key-Return> {bcGUIthrSlice}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame22.frame12.radiobutton14
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame22.frame12.radiobutton14  -variable {bcGUIlsParams(calcPotConstBy)}  -value {explicit}  -text {Explicit Potential Value:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame42
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame42  -width {693}  -height {240}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame42.frame24
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame42.frame24  -width {325}  -height {205}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame42.frame24.frame0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame42.frame24.frame0  -width {453}  -height {44}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame42.frame24.frame0.label32
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame42.frame24.frame0.label32  -font {Helvetica 10}  -borderwidth {0}  -text {Stop Velocity:}  -width {25}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame42.frame24.frame0.entry44
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame42.frame24.frame0.entry44  -font {Helvetica 10}  -textvariable {bcGUIlsParams(stopV)}  -width {10}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame42.frame24.frame0.entry44 <Key-Return> {bcGUIchangeFrame 0}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame42.frame24.frame38
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame42.frame24.frame38  -width {453}  -height {44}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame42.frame24.frame38.label30
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame42.frame24.frame38.label30  -font {Helvetica 10}  -borderwidth {0}  -text {Max Steps:}  -width {25}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame42.frame24.frame38.entry42
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame42.frame24.frame38.entry42  -font {Helvetica 10}  -textvariable {bcGUIlsParams(MaxSteps)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame42.frame24.frame39
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame42.frame24.frame39  -width {453}  -height {48}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame42.frame24.frame39.label31
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame42.frame24.frame39.label31  -font {Helvetica 10}  -borderwidth {0}  -text {Goodness Stop Criteria:}  -width {25}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame42.frame24.frame39.entry45
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame42.frame24.frame39.entry45  -font {Helvetica 10}  -textvariable {bcGUIlsParams(GoodnessStop)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame42.frame24.frame40
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame42.frame24.frame40  -width {453}  -height {44}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame42.frame24.frame40.label32
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame42.frame24.frame40.label32  -font {Helvetica 10}  -borderwidth {0}  -text { Grid Factor:}  -width {25}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame42.frame24.frame40.entry44
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame42.frame24.frame40.entry44  -font {Helvetica 10}  -textvariable {bcGUIlsParams(GridFactor)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame42.frame24.label31
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame42.frame24.label31  -font {Helvetica 10}  -borderwidth {0}  -text {Common Parameters}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame42.frame24.frame1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame42.frame24.frame1  -width {453}  -height {44}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame42.frame24.frame1.label32
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame42.frame24.frame1.label32  -font {Helvetica 10}  -borderwidth {0}  -text {Rebuild Phi After Every:}  -width {25}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame42.frame24.frame1.entry44
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame42.frame24.frame1.entry44  -font {Helvetica 10}  -textvariable {bcGUIlsParams(rebuildPhiFrequency)}  -width {10}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame42.frame24.frame1.entry44 <Key-Return> {bcGUIchangeFrame 0}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame42.frame24.frame2
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame42.frame24.frame2  -width {453}  -height {44}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame42.frame24.frame2.label32
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame42.frame24.frame2.label32  -font {Helvetica 10}  -borderwidth {0}  -text {Check Area Interval:}  -width {25}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame42.frame24.frame2.entry44
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame42.frame24.frame2.entry44  -font {Helvetica 10}  -textvariable {bcGUIlsParams(checkGoodnessFrequency)}  -width {10}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame42.frame24.frame2.entry44 <Key-Return> {bcGUIchangeFrame 0}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame42.frame0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame42.frame0  -width {325}  -height {101}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame42.frame0.button3
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame42.frame0.button3  -command {bcGUIguessParams}  -text {Guess Level Set Parameters}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame42.frame0.frame20
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame42.frame0.frame20  -width {372}  -height {29}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame42.frame0.frame20.label21
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame42.frame0.frame20.label21  -font {Helvetica 10}  -borderwidth {0}  -text {Threshold Value:}  -width {25}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame42.frame0.frame20.entry22
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame42.frame0.frame20.entry22  -font {Helvetica 10}  -textvariable {bcGUIthrValue}  -width {10}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame42.frame0.frame20.entry22 <Key-Return> {bcGUIthrSlice}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame42.frame0.label44
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame42.frame0.label44  -font {Helvetica 10}  -borderwidth {0}  -text {Guessing Stuff}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame10
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame10  -width {545}  -height {112}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame10.frame23
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame10.frame23  -width {453}  -height {22}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame10.frame23.label26
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame10.frame23.label26  -font {Helvetica 10}  -relief {ridge}  -text {Level Set Parameters}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame11
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame11  -width {541}  -height {35}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame11.button52
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame11.button52  -command {bcGUIlsSlice}  -text {Segment Current Position}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame11.button53
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame11.button53  -command {bcGUIaddToGroup levelset}  -text {Add to Group}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame11.button0
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame11.button0  -command {set gOptions(lset_interrupt) 1}  -text {Halt Segmentation}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9.frame24
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9.frame24  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9.frame24.frame63
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9.frame24.frame63  -width {589}  -height {25}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9.frame24.frame63.label65
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9.frame24.frame63.label65  -font {Helvetica 10}  -relief {ridge}  -text {Thresholding Parameters}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9.frame24.frame9
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9.frame24.frame9  -width {589}  -height {58}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9.frame24.frame9.frame0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9.frame24.frame9.frame0  -width {217}  -height {58}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9.frame24.frame9.frame0.radiobutton1
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9.frame24.frame9.frame0.radiobutton1  -variable {bcGUIthresholdType}  -value {mag}  -text {threshold intensity}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9.frame24.frame9.frame0.radiobutton2
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9.frame24.frame9.frame0.radiobutton2  -variable {bcGUIthresholdType}  -value {grad}  -text {threshold potential}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9.frame24.frame9.frame0.label65
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9.frame24.frame9.frame0.label65  -font {Helvetica 10}  -borderwidth {0}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9.frame24.frame9.frame0.radiobutton12
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9.frame24.frame9.frame0.radiobutton12  -variable {bcGUIthresholdType}  -value {localMax}  -text {use local pot max}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9.frame24.frame9.frame64
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9.frame24.frame9.frame64  -width {372}  -height {58}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9.frame24.frame9.frame64.frame63
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9.frame24.frame9.frame64.frame63  -width {372}  -height {29}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9.frame24.frame9.frame64.frame63.label21
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9.frame24.frame9.frame64.frame63.label21  -font {Helvetica 10}  -borderwidth {0}  -text {Threshold Value:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9.frame24.frame9.frame64.frame63.entry22
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9.frame24.frame9.frame64.frame63.entry22  -font {Helvetica 10}  -textvariable {bcGUIthrValue}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9.frame24.frame9.frame64.frame63.entry22 <Key-Return> {bcGUIthrSlice}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9.frame24.frame9.frame64.frame37
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9.frame24.frame9.frame64.frame37  -width {368}  -height {25}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9.frame24.frame9.frame64.frame37.label29
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9.frame24.frame9.frame64.frame37.label29  -font {Helvetica 10}  -borderwidth {0}  -text {Multiply Max By:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9.frame24.frame9.frame64.frame37.entry41
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9.frame24.frame9.frame64.frame37.entry41  -font {Helvetica 10}  -textvariable {bcGUIlsParams(MagFactor)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9.frame24.frame9.frame64.frame8
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9.frame24.frame9.frame64.frame8  -width {589}  -height {25}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9.frame24.frame9.frame64.frame8.label16
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9.frame24.frame9.frame64.frame8.label16  -font {Helvetica 10}  -borderwidth {0}  -text {Center:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9.frame24.frame9.frame64.frame8.label17
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9.frame24.frame9.frame64.frame8.label17  -font {Helvetica 10}  -borderwidth {0}  -text {X:}  -width {3}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9.frame24.frame9.frame64.frame8.entry18
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9.frame24.frame9.frame64.frame8.entry18  -font {Helvetica 10}  -textvariable {bcGUIctrX}  -width {6}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9.frame24.frame9.frame64.frame8.entry18 <Key-Return> {bcGUIchangeFrame 0}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9.frame24.frame9.frame64.frame8.label19
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9.frame24.frame9.frame64.frame8.label19  -font {Helvetica 10}  -borderwidth {0}  -text {Y:}  -width {3}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9.frame24.frame9.frame64.frame8.entry20
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9.frame24.frame9.frame64.frame8.entry20  -font {Helvetica 10}  -textvariable {bcGUIctrY}  -width {6}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9.frame24.frame9.frame64.frame8.entry20 <Key-Return> {bcGUIchangeFrame 0}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9.frame24.frame9.frame64.frame10
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9.frame24.frame9.frame64.frame10  -width {368}  -height {25}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9.frame24.frame9.frame64.frame10.label29
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9.frame24.frame9.frame64.frame10.label29  -font {Helvetica 10}  -borderwidth {0}  -text {Potential Value:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9.frame24.frame9.frame64.frame10.entry41
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9.frame24.frame9.frame64.frame10.entry41  -font {Helvetica 10}  -textvariable {bcGUIlsParams(potentialValueDecay)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9.frame11
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9.frame11  -width {541}  -height {35}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9.frame11.button52
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9.frame11.button52  -command {bcGUIthrSlice}  -text {Segment Current Position}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9.frame11.button53
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9.frame11.button53  -command {bcGUIaddToGroup threshold}  -text {Add to Group}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame33
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame33  -borderwidth {0}  -relief {flat}  -width {702}  -height {54}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame33.label34
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame33.label34  -font {Helvetica 10}  -borderwidth {0}  -text {Create Contour As:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame33.frame35
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame33.frame35  -width {111}  -height {70}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame33.frame35.radiobutton36
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame33.frame35.radiobutton36  -variable {bcGUIanalContourType}  -value {levelset}  -text {Level Set}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame33.frame35.radiobutton37
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame33.frame35.radiobutton37  -variable {bcGUIanalContourType}  -value {threshold}  -text {Threshold}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38  -width {595}  -height {182}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame40
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame40  -borderwidth {0}  -relief {flat}  -width {346}  -height {135}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame40.label42
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame40.label42  -font {Helvetica 10}  -borderwidth {0}  -text {Circle Parameters}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame40.frame43
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame40.frame43  -width {244}  -height {88}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame40.frame43.frame8
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame40.frame43.frame8  -width {545}  -height {26}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame40.frame43.frame8.label16
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame40.frame43.frame8.label16  -font {Helvetica 10}  -borderwidth {0}  -text {Center:}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame40.frame43.frame8.label17
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame40.frame43.frame8.label17  -font {Helvetica 10}  -borderwidth {0}  -text {X:}  -width {3}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame40.frame43.frame8.entry18
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame40.frame43.frame8.entry18  -font {Helvetica 10}  -textvariable {bcGUIctrX}  -width {5}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame40.frame43.frame8.entry18 <Key-Return> {bcGUImakeCircle}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame40.frame43.frame8.label19
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame40.frame43.frame8.label19  -font {Helvetica 10}  -text {Y:}  -width {3}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame40.frame43.frame8.entry20
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame40.frame43.frame8.entry20  -font {Helvetica 10}  -textvariable {bcGUIctrY}  -width {5}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame40.frame43.frame8.entry20 <Key-Return> {bcGUImakeCircle}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame40.frame43.frame40
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame40.frame43.frame40  -width {453}  -height {44}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame40.frame43.frame40.label32
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame40.frame43.frame40.label32  -font {Helvetica 10}  -borderwidth {0}  -text {radius:}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame40.frame43.frame40.entry44
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame40.frame43.frame40.entry44  -font {Helvetica 10}  -textvariable {bcGUIradius}  -width {10}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame40.frame43.frame40.entry44 <Key-Return> {bcGUImakeCircle}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame40.frame43.button35
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame40.frame43.button35  -command {bcGUImakeCircle}  -text {Make Circle}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame41
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame41  -borderwidth {0}  -relief {flat}  -width {247}  -height {138}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame41.label44
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame41.label44  -font {Helvetica 10}  -text {Ellipse Parameters}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame41.frame45
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame41.frame45  -width {276}  -height {80}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame41.frame45.frame8
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame41.frame45.frame8  -width {272}  -height {25}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame41.frame45.frame8.label16
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame41.frame45.frame8.label16  -font {Helvetica 10}  -borderwidth {0}  -text {Center:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame41.frame45.frame8.label17
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame41.frame45.frame8.label17  -font {Helvetica 10}  -borderwidth {0}  -text {X:}  -width {3}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame41.frame45.frame8.entry18
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame41.frame45.frame8.entry18  -font {Helvetica 10}  -textvariable {bcGUIctrX}  -width {5}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame41.frame45.frame8.entry18 <Key-Return> {bcGUImakeEllipse}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame41.frame45.frame8.label19
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame41.frame45.frame8.label19  -font {Helvetica 10}  -text {Y:}  -width {3}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame41.frame45.frame8.entry20
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame41.frame45.frame8.entry20  -font {Helvetica 10}  -textvariable {bcGUIctrY}  -width {5}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame41.frame45.frame8.entry20 <Key-Return> {bcGUImakeEllipse}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame41.frame45.frame50
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame41.frame45.frame50  -width {329}  -height {28}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame41.frame45.frame50.label17
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame41.frame45.frame50.label17  -font {Helvetica 10}  -borderwidth {0}  -text {a:}  -width {3}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame41.frame45.frame50.entry18
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame41.frame45.frame50.entry18  -font {Helvetica 10}  -textvariable {bcGUIellipseA}  -width {5}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame41.frame45.frame50.entry18 <Key-Return> {bcGUImakeEllipse}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame41.frame45.frame50.label19
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame41.frame45.frame50.label19  -font {Helvetica 10}  -text {b:}  -width {3}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame41.frame45.frame50.entry20
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame41.frame45.frame50.entry20  -font {Helvetica 10}  -textvariable {bcGUIellipseB}  -width {5}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame41.frame45.frame50.entry20 <Key-Return> {bcGUImakeEllipse}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame41.frame45.frame50.label51
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame41.frame45.frame50.label51  -font {Helvetica 10}  -borderwidth {0}  -text {perimeter:}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame41.frame45.frame50.entry1
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame41.frame45.frame50.entry1  -font {Helvetica 10}  -textvariable {bcGUIellipsePERIMETER}  -width {9}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame41.frame45.frame50.entry1 <Key-Return> {bcGUImakeEllipse}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame41.frame45.button35
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame41.frame45.button35  -command {bcGUImakeEllipse}  -text {Make Ellipse}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame27
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame27  -borderwidth {0}  -relief {flat}  -width {756}  -height {38}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame27.frame0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame27.frame0  -width {595}  -height {71}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame27.frame0.frame1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame27.frame0.frame1  -width {476}  -height {66}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame27.frame0.frame1.frame36
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame27.frame0.frame1.frame36  -width {694}  -height {51}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame27.frame0.frame1.frame36.button37
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame27.frame0.frame1.frame36.button37  -command {bcGUIscaleSeg analytic}  -text {Scale by:}  -width {12}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame27.frame0.frame1.frame36.entry38
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame27.frame0.frame1.frame36.entry38  -font {Helvetica 10}  -textvariable {bcGUIscaleFactor}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame27.label47
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame27.label47  -font {Helvetica 10}  -borderwidth {0}  -text {Additional Options}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame27.frame11
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame27.frame11  -width {541}  -height {35}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame27.frame11.button53
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame27.frame11.button53  -command {bcGUIaddToGroup analytic}  -text {Add to Group}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame27.frame48
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame27.frame48  -width {395}  -height {38}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame27.frame48.button39
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame27.frame48.button39  -command {bcGUItranslateSeg analytic}  -text {Translate by:}  -width {12}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame27.frame48.label52
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame27.frame48.label52  -font {Helvetica 10}  -borderwidth {0}  -text {dX:}  -width {4}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame27.frame48.entry40
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame27.frame48.entry40  -font {Helvetica 10}  -textvariable {bcGUItransX}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame27.frame48.label44
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame27.frame48.label44  -font {Helvetica 10}  -borderwidth {0}  -text {dY:}  -width {4}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame27.frame48.entry41
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame27.frame48.entry41  -font {Helvetica 10}  -textvariable {bcGUItransY}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe11
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe11  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe11.frame71
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe11.frame71  -borderwidth {0}  -relief {flat}  -width {702}  -height {54}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe11.frame71.label34
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe11.frame71.label34  -font {Helvetica 10}  -borderwidth {0}  -text {Parallel Projection (must be on!)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe11.frame71.frame35
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe11.frame71.frame35  -width {111}  -height {70}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe11.frame71.frame35.radiobutton36
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe11.frame71.frame35.radiobutton36  -variable {bcGUIparallelProjectionFlag}  -command {bcGUIparallelProjection}  -text {on}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe11.frame71.frame35.radiobutton37
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe11.frame71.frame35.radiobutton37  -variable {bcGUIparallelProjectionFlag}  -value {0}  -command {bcGUIparallelProjection}  -text {off}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe11.frame33
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe11.frame33  -borderwidth {0}  -relief {flat}  -width {702}  -height {54}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe11.frame33.label34
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe11.frame33.label34  -font {Helvetica 10}  -borderwidth {0}  -text {Create Contour As:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe11.frame33.frame35
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe11.frame33.frame35  -width {111}  -height {70}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe11.frame33.frame35.radiobutton36
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe11.frame33.frame35.radiobutton36  -variable {bcGUIhandContourType}  -value {levelset}  -text {Level Set}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe11.frame33.frame35.radiobutton37
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe11.frame33.frame35.radiobutton37  -variable {bcGUIhandContourType}  -value {threshold}  -text {Threshold}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe11.frame15
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe11.frame15  -borderwidth {0}  -relief {flat}  -width {390}  -height {93}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe11.frame15.label66
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe11.frame15.label66  -font {Helvetica 10}  -borderwidth {0}  -text {Miscellaneous}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe11.frame15.button67
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe11.frame15.button67  -command {bcGUIaddToGroup hand}  -text {Add To Group}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe11.frame69
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe11.frame69  -borderwidth {0}  -relief {flat}  -width {390}  -height {126}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe11.frame69.label70
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe11.frame69.label70  -font {Helvetica 10}  -borderwidth {0}  -text {Help Info}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe11.frame69.frame
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe11.frame69.frame  -relief {flat}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe11.frame69.frame.scrollbar1
  ttk::scrollbar .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe11.frame69.frame.scrollbar1  -command {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe11.frame69.frame.text2 yview}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe11.frame69.frame.text2
  text .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe11.frame69.frame.text2  -font {Helvetica 10}  -height {10}  -relief {raised}  -width {40}  -wrap {word}  -yscrollcommand {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe11.frame69.frame.scrollbar1 set}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe11.frame69.frame.text2 <Key> {NoFunction}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame61
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame61  -borderwidth {0}  -relief {flat}  -width {661}  -height {102}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame61.frame0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame61.frame0  -width {595}  -height {71}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame61.frame0.frame1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame61.frame0.frame1  -width {476}  -height {66}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame61.frame0.frame1.frame31
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame61.frame0.frame1.frame31  -width {694}  -height {132}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame61.frame0.frame1.frame31.button32
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame61.frame0.frame1.frame31.button32  -command {bcGUIcopySeg levelset}  -text {Copy}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame61.frame0.frame1.frame31.button33
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame61.frame0.frame1.frame31.button33  -command {bcGUIpasteSeg levelset}  -text {Paste}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame61.frame0.frame1.frame31.button34
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame61.frame0.frame1.frame31.button34  -command {bcGUIinterpCircle levelset}  -text {Fit Circle}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame61.frame0.frame1.frame36
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame61.frame0.frame1.frame36  -width {694}  -height {51}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame61.frame0.frame1.frame36.button37
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame61.frame0.frame1.frame36.button37  -command {bcGUIscaleSeg levelset}  -text {Scale by:}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame61.frame0.frame1.frame36.entry38
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame61.frame0.frame1.frame36.entry38  -font {Helvetica 10}  -textvariable {bcGUIscaleFactor}  -width {5}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame61.frame0.frame1.frame36.button39
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame61.frame0.frame1.frame36.button39  -command {bcGUItranslateSeg levelset}  -text {Translate by:}  -width {12}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame61.frame0.frame1.frame36.entry40
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame61.frame0.frame1.frame36.entry40  -font {Helvetica 10}  -textvariable {bcGUItransX}  -width {5}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame61.frame0.frame1.frame36.entry41
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame61.frame0.frame1.frame36.entry41  -font {Helvetica 10}  -textvariable {bcGUItransY}  -width {5}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame61.frame0.frame1.frame36.label44
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame61.frame0.frame1.frame36.label44  -font {Helvetica 10}  -borderwidth {0}  -text {dY:}  -width {4}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame61.frame0.frame1.frame36.label52
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame61.frame0.frame1.frame36.label52  -font {Helvetica 10}  -borderwidth {0}  -text {dX:}  -width {4}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame61.frame0.frame1.frame36.button4
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame61.frame0.frame1.frame36.button4  -command {bcGUIfourierSmoothSeg levelset}  -text {Fourier smooth:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame61.frame0.frame1.frame36.entry6
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame61.frame0.frame1.frame36.entry6  -font {Helvetica 10}  -textvariable {bcGUIfourierNumModes}  -width {5}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame61.label62
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame61.label62  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -anchor {center}  -text {Threshold Additional Single Slice Manipulations}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame24
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame24  -borderwidth {0}  -relief {flat}  -width {661}  -height {102}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame24.frame0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame24.frame0  -width {595}  -height {71}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame24.frame0.frame1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame24.frame0.frame1  -width {476}  -height {66}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame24.frame0.frame1.frame31
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame24.frame0.frame1.frame31  -width {694}  -height {132}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame24.frame0.frame1.frame31.button32
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame24.frame0.frame1.frame31.button32  -command {bcGUIcopySeg threshold}  -text {Copy}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame24.frame0.frame1.frame31.button33
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame24.frame0.frame1.frame31.button33  -command {bcGUIpasteSeg threshold}  -text {Paste}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame24.frame0.frame1.frame31.button34
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame24.frame0.frame1.frame31.button34  -command {bcGUIinterpCircle threshold}  -text {Interpolate Circle}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame24.frame0.frame1.frame36
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame24.frame0.frame1.frame36  -width {694}  -height {51}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame24.frame0.frame1.frame36.button37
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame24.frame0.frame1.frame36.button37  -command {bcGUIscaleSeg threshold}  -text {Scale by:}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame24.frame0.frame1.frame36.entry38
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame24.frame0.frame1.frame36.entry38  -font {Helvetica 10}  -textvariable {bcGUIscaleFactor}  -width {5}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame24.frame0.frame1.frame36.button39
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame24.frame0.frame1.frame36.button39  -command {bcGUItranslateSeg threshold}  -text {Translate by:}  -width {12}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame24.frame0.frame1.frame36.entry40
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame24.frame0.frame1.frame36.entry40  -font {Helvetica 10}  -textvariable {bcGUItransX}  -width {5}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame24.frame0.frame1.frame36.entry41
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame24.frame0.frame1.frame36.entry41  -font {Helvetica 10}  -textvariable {bcGUItransY}  -width {5}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame24.frame0.frame1.frame36.label44
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame24.frame0.frame1.frame36.label44  -font {Helvetica 10}  -borderwidth {0}  -text {dY:}  -width {4}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame24.frame0.frame1.frame36.label52
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame24.frame0.frame1.frame36.label52  -font {Helvetica 10}  -borderwidth {0}  -text {dX:}  -width {4}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame24.frame0.frame1.frame36.button4
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame24.frame0.frame1.frame36.button4  -command {bcGUIfourierSmoothSeg threshold}  -text {Fourier smooth:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame24.frame0.frame1.frame36.entry6
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame24.frame0.frame1.frame36.entry6  -font {Helvetica 10}  -textvariable {bcGUIfourierNumModes}  -width {5}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame24.label62
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame24.label62  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -anchor {center}  -text {Level Set Additional Single Slice Manipulations}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame60
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame60  -borderwidth {0}  -relief {flat}  -width {214}  -height {59}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame60.frame60
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame60.frame60  -width {541}  -height {22}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame60.frame60.label61
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame60.frame60.label61  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -anchor {center}  -text {Level Set Batch Segmentation Controls}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame60.frame12
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame60.frame12  -width {541}  -height {35}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame60.frame12.label54
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame60.frame12.label54  -font {Helvetica 10}  -borderwidth {0}  -text {batch list:}  -width {12}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame60.frame12.entry55
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame60.frame12.entry55  -font {Helvetica 10}  -textvariable {bcGUIbatchEntry}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame60.frame12.entry55 <Key-Return> {bcGUIsegBatch levelset}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame60.frame0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame60.frame0  -width {573}  -height {61}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame60.frame0.frame26
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame60.frame0.frame26  -width {552}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame60.frame0.frame57
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame60.frame0.frame57  -width {653}  -height {38}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame60.frame0.frame57.button57
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame60.frame0.frame57.button57  -command {bcGUIsegBatch levelset}  -text {Batch Segmentation}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame60.frame0.frame57.button58
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame60.frame0.frame57.button58  -command {bcGUIaddToGroupBatch levelset}  -text {Add All to Group}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame60.frame1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame60.frame1  -borderwidth {0}  -relief {flat}  -width {185}  -height {66}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame60.frame1.button0
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame60.frame1.button0  -command {bcGUIinterpCircleBatch levelset}  -text {Fit Circles}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame60.frame1.frame4
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame60.frame1.frame4  -width {181}  -height {31}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame60.frame1.frame4.button4
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame60.frame1.frame4.button4  -command {bcGUIfourierSmoothBatch levelset}  -text {Fourier smooth:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame60.frame1.frame4.entry6
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame60.frame1.frame4.entry6  -font {Helvetica 10}  -textvariable {bcGUIfourierNumModes}  -width {5}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame22
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame22  -borderwidth {0}  -relief {flat}  -width {214}  -height {59}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame22.frame60
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame22.frame60  -width {541}  -height {22}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame22.frame60.label61
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame22.frame60.label61  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -anchor {center}  -text {Threshold Batch Segmentation Controls}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame22.frame6
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame22.frame6  -width {397}  -height {66}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame22.frame6.frame12
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame22.frame6.frame12  -width {541}  -height {35}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame22.frame6.frame12.label54
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame22.frame6.frame12.label54  -font {Helvetica 10}  -borderwidth {0}  -text {batch list:}  -width {12}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame22.frame6.frame12.entry55
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame22.frame6.frame12.entry55  -font {Helvetica 10}  -textvariable {bcGUIbatchEntry}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame22.frame6.frame12.entry55 <Key-Return> {bcGUIsegBatch threshold}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame22.frame6.frame57
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame22.frame6.frame57  -width {653}  -height {38}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame22.frame6.frame57.button57
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame22.frame6.frame57.button57  -command {bcGUIsegBatch threshold}  -text {Batch Segmentation}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame22.frame6.frame57.button58
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame22.frame6.frame57.button58  -command {bcGUIaddToGroupBatch threshold}  -text {Add All to Group}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame22.frame6.frame57.button0
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame22.frame6.frame57.button0  -command {bcGUIinterpCircleBatch threshold}  -text {Interp. to Circles}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame22.frame1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame22.frame1  -borderwidth {0}  -relief {flat}  -width {185}  -height {66}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame22.frame1.button0
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame22.frame1.button0  -command {bcGUIinterpCircleBatch threshold}  -text {Fit Circles}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame22.frame1.frame4
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame22.frame1.frame4  -width {181}  -height {31}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame22.frame1.frame4.button4
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame22.frame1.frame4.button4  -command {bcGUIfourierSmoothBatch threshold}  -text {Fourier smooth:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame22.frame1.frame4.entry6
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame22.frame1.frame4.entry6  -font {Helvetica 10}  -textvariable {bcGUIfourierNumModes}  -width {5}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame2
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame2  -width {488}  -height {297}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame2.frame1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame2.frame1  -width {176}  -height {400}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame2.frame1.frame3
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame2.frame1.frame3  -width {271}  -height {286}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame2.frame1.frame3.frame
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame2.frame1.frame3.frame

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame2.frame1.frame3.frame.scrollbar3
  ttk::scrollbar .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame2.frame1.frame3.frame.scrollbar3  -command {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame2.frame1.frame3.frame.listbox1 xview}  -orient {horizontal}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame2.frame1.frame3.frame.scrollbar2
  ttk::scrollbar .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame2.frame1.frame3.frame.scrollbar2  -command {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame2.frame1.frame3.frame.listbox1 yview}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame2.frame1.frame3.frame.listbox1
  listbox .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame2.frame1.frame3.frame.listbox1  -font {Helvetica 10}  -relief {raised}  -xscrollcommand {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame2.frame1.frame3.frame.scrollbar3 set}  -yscrollcommand {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame2.frame1.frame3.frame.scrollbar2 set}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame2.frame1.frame4
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame2.frame1.frame4  -width {271}  -height {216}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame2.frame1.frame4.label5
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame2.frame1.frame4.label5  -font {Helvetica 10}  -relief {ridge}  -text {Perform Actions on Selected Region}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame2.frame1.frame4.frame6
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame2.frame1.frame4.frame6  -width {221}  -height {123}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame2.frame1.frame4.frame6.button7
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame2.frame1.frame4.frame6.button7  -command {bcGUIbaselineDeleteRegion}  -text {Delete Region}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame2.frame1.frame4.frame6.frame8
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame2.frame1.frame4.frame6.frame8  -width {148}  -height {110}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame2.frame1.frame4.frame6.frame8.label9
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame2.frame1.frame4.frame6.frame8.label9  -font {Helvetica 10}  -borderwidth {0}  -text {Use in. calc for Dir.}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame2.frame1.frame4.frame6.frame8.button10
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame2.frame1.frame4.frame6.frame8.button10  -command {bcGUIbaselineUseFor x}  -text {X'}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame2.frame1.frame4.frame6.frame8.button11
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame2.frame1.frame4.frame6.frame8.button11  -command {bcGUIbaselineUseFor y}  -text {Y'}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame2.frame1.frame4.frame6.frame8.button12
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame2.frame1.frame4.frame6.frame8.button12  -command {bcGUIbaselineUseFor z}  -text {Z'}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame2.frame14
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame2.frame14  -width {238}  -height {396}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame2.frame14.text16
  text .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame2.frame14.text16  -font {Helvetica 10}  -height {1}  -width {35}  -wrap {word}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame13
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame13  -width {233}  -height {213}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame13.label21
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame13.label21  -font {Helvetica 10}  -relief {ridge}  -text {Calculate Velocity Correction Equation}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame13.frame22
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame13.frame22  -width {229}  -height {183}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame13.frame22.radiobutton23
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame13.frame22.radiobutton23  -variable {bcGUIbaselineEqnRadioButton}  -value {x}  -text {X'}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame13.frame22.radiobutton24
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame13.frame22.radiobutton24  -variable {bcGUIbaselineEqnRadioButton}  -value {y}  -text {Y'}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame13.frame22.radiobutton25
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame13.frame22.radiobutton25  -variable {bcGUIbaselineEqnRadioButton}  -value {z}  -text {Z'}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame13.frame22.button26
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame13.frame22.button26  -command {bcGUIbaselineCalcEqn 0}  -text {Constant}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame13.frame22.button27
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame13.frame22.button27  -command {bcGUIbaselineCalcEqn 1}  -text {Linear}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame13.frame22.button28
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame13.frame22.button28  -command {bcGUIbaselineCalcEqn 2}  -text {Quadratic}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame17
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame17  -width {488}  -height {70}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame17.frame33
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame17.frame33  -width {150}  -height {48}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame17.frame33.label34
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame17.frame33.label34  -font {Helvetica 10}  -text {Equation X: }  -width {15}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame17.frame33.entry35
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame17.frame33.entry35  -font {Helvetica 10}  -textvariable {gBC(baselineCorrectionX)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame17.frame36
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame17.frame36  -width {150}  -height {48}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame17.frame36.label34
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame17.frame36.label34  -font {Helvetica 10}  -text {Equation Y: }  -width {15}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame17.frame36.entry35
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame17.frame36.entry35  -font {Helvetica 10}  -textvariable {gBC(baselineCorrectionY)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame17.frame37
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame17.frame37  -width {150}  -height {48}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame17.frame37.label34
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame17.frame37.label34  -font {Helvetica 10}  -text {Equation Z:}  -width {15}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame17.frame37.entry35
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame17.frame37.entry35  -font {Helvetica 10}  -textvariable {gBC(baselineCorrectionZ)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame18
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame18  -width {488}  -height {88}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame18.label38
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame18.label38  -font {Helvetica 10}  -relief {ridge}  -text {Load/Save Regions & Equations}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame18.frame33
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame18.frame33  -width {150}  -height {48}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame18.frame33.label34
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame18.frame33.label34  -font {Helvetica 10}  -text {Directory Name:}  -width {15}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame18.frame33.entry35
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame18.frame33.entry35  -font {Helvetica 10}  -textvariable {gFilenames(baseline_regions_dir)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame18.frame33.button42
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame18.frame33.button42  -command {bcGUIbaselineLoadRegions}  -text {Load}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame18.frame33.button43
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame18.frame33.button43  -command {bcGUIbaselineSaveRegions}  -text {Save}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.tframe2
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.tframe2  -borderwidth {2}  -relief {raised}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.tframe2.button45
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.tframe2.button45  -command {bcGUIbaselineCloseWindow}  -text {DONE ADDING REGIONS}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.tframe2.tbutton4
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.tframe2.tbutton4  -command {bcGUIbaselineSetup}  -text {SETUP TO ADD REGIONS}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15.frame71
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15.frame71  -borderwidth {0}  -relief {flat}  -width {702}  -height {54}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15.frame71.label34
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15.frame71.label34  -font {Helvetica 10}  -borderwidth {0}  -text {Parallel Projection (must be on!)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15.frame71.frame35
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15.frame71.frame35  -width {111}  -height {70}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15.frame71.frame35.radiobutton36
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15.frame71.frame35.radiobutton36  -variable {bcGUIparallelProjectionFlag}  -command {bcGUIparallelProjection}  -text {on}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15.frame71.frame35.radiobutton37
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15.frame71.frame35.radiobutton37  -variable {bcGUIparallelProjectionFlag}  -value {0}  -command {bcGUIparallelProjection}  -text {off}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15.frame17
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15.frame17  -borderwidth {0}  -relief {flat}  -width {321}  -height {120}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15.frame17.label21
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15.frame17.label21  -font {Helvetica 10}  -borderwidth {0}  -text {Calculate Volumetric Flow Rate}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15.frame17.frame22
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15.frame17.frame22  -width {268}  -height {34}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15.frame17.frame22.button8
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15.frame17.frame22.button8  -command {bcGUIflowCurByPixels}  -text {Current Frame}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15.frame17.frame23
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15.frame17.frame23  -width {220}  -height {52}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15.frame17.frame23.button10
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15.frame17.frame23.button10  -command {bcGUIflowBatchByPixels}  -text {Batch}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15.frame17.frame23.frame11
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15.frame17.frame23.frame11  -width {190}  -height {50}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15.frame17.frame23.frame11.label12
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15.frame17.frame23.frame11.label12  -font {Helvetica 10}  -borderwidth {0}  -text {batch list:}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15.frame17.frame23.frame11.entry13
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15.frame17.frame23.frame11.entry13  -font {Helvetica 10}  -textvariable {bcGUIbatchEntry}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15.frame17.frame17
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15.frame17.frame17  -borderwidth {0}  -relief {flat}  -width {321}  -height {120}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15.frame17.frame17.label21
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15.frame17.frame17.label21  -font {Helvetica 10}  -borderwidth {0}  -text {Load/Save Tagged Pixels}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15.frame17.frame17.frame23
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15.frame17.frame17.frame23  -width {220}  -height {52}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15.frame17.frame17.frame23.button10
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15.frame17.frame17.frame23.button10  -command {bcGUIloadTaggedPixels}  -text {Load}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15.frame17.frame17.frame23.frame11
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15.frame17.frame17.frame23.frame11  -width {190}  -height {50}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15.frame17.frame17.frame23.frame11.label12
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15.frame17.frame17.frame23.frame11.label12  -font {Helvetica 10}  -borderwidth {0}  -text {filename:}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15.frame17.frame17.frame23.frame11.entry13
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15.frame17.frame17.frame23.frame11.entry13  -font {Helvetica 10}  -textvariable {gFilenames(tagged_pixels_file)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15.frame17.frame17.frame23.button2
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15.frame17.frame17.frame23.button2  -command {bcGUIsaveTaggedPixels}  -text {Save}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15.frame69
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15.frame69  -borderwidth {0}  -relief {flat}  -width {390}  -height {126}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15.frame69.label70
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15.frame69.label70  -font {Helvetica 10}  -borderwidth {0}  -text {Help Info}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15.frame69.frame
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15.frame69.frame  -relief {flat}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15.frame69.frame.scrollbar1
  ttk::scrollbar .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15.frame69.frame.scrollbar1  -command {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15.frame69.frame.text2 yview}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15.frame69.frame.text2
  text .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15.frame69.frame.text2  -font {Courier 10}  -height {12}  -relief {raised}  -width {50}  -wrap {word}  -yscrollcommand {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15.frame69.frame.scrollbar1 set}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15.frame69.frame.text2 <Key> {NoFunction}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe16
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe16  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe16.tcheckbutton5
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe16.tcheckbutton5  -variable {bcGUIzeroBoundVelFlag}  -text {Set Boundary Velocity to Zero}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe16.frame12
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe16.frame12  -width {541}  -height {35}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe16.frame12.label54
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe16.frame12.label54  -font {Helvetica 10}  -borderwidth {0}  -text {batch list:}  -width {12}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe16.frame12.entry55
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe16.frame12.entry55  -font {Helvetica 10}  -textvariable {bcGUIbatchEntry}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe16.frame12.entry55 <Key-Return> {bcGUIsegBatch levelset}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe16.tframe10
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe16.tframe10  -borderwidth {2}  -relief {raised}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe16.tframe10.tlabel7
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe16.tframe10.tlabel7  -foreground {blue}  -font {Helvetica 10}  -relief {flat}  -anchor {center}  -text {Map to Inflow Mesh Face}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe16.tframe10.tbutton8
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe16.tframe10.tbutton8  -command {bcGUImapToMeshCur}  -text {Current Frame}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe16.tframe10.tbutton9
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe16.tframe10.tbutton9  -command {bcGUImapToMeshBatch}  -text {Batch}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe16.tframe11
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe16.tframe11  -borderwidth {2}  -relief {raised}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe16.tframe11.tbutton12
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe16.tframe11.tbutton12  -command {bcGUIflowCur}  -text {Flow (Current Frame)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe16.tframe11.tbutton13
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe16.tframe11.tbutton13  -command {bcGUIflowBatch}  -text {Flow (Batch)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe16.tframe11.tlabel13
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe16.tframe11.tlabel13  -foreground {blue}  -font {Helvetica 10}  -relief {flat}  -text {Calculate Flow Map and Volumetric Flow}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe18
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe18  -borderwidth {0}  -relief {flat}  -width {30}  -height {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame127
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame127  -width {228}  -height {136}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame127.frame114
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame127.frame114  -width {228}  -height {22}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame127.frame114.label117
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame127.frame114.label117  -font {Helvetica 10}  -borderwidth {0}  -text {Volumetric Flow Results}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame127.frame115
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame127.frame115  -width {228}  -height {84}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame127.frame115.label118
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame127.frame115.label118  -font {Helvetica 10}  -borderwidth {0}  -text {Filename:}  -width {15}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame127.frame115.entry119
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame127.frame115.entry119  -font {Helvetica 10}  -textvariable {gFilenames(vcalc_flow_file)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame127.frame116
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame127.frame116  -width {228}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame127.frame116.button125
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame127.frame116.button125  -command {bcGUIwriteVolFlowResults}  -text {WRITE FLOW RESULTS}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame127.frame126
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame127.frame126  -width {200}  -height {26}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame127.frame126.label122
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame127.frame126.label122  -font {Helvetica 10}  -borderwidth {0}  -text {Frames:}  -width {15}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame127.frame126.entry123
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame127.frame126.entry123  -font {Helvetica 10}  -textvariable {bcGUIvcalcFrames}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame0  -width {228}  -height {136}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame0.frame114
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame0.frame114  -width {228}  -height {22}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame0.frame114.label117
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame0.frame114.label117  -font {Helvetica 10}  -borderwidth {0}  -text {Output Segmentation Results}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame0.frame115
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame0.frame115  -width {228}  -height {84}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame0.frame115.label118
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame0.frame115.label118  -font {Helvetica 10}  -borderwidth {0}  -text {Directory:}  -width {15}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame0.frame115.entry119
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame0.frame115.entry119  -font {Helvetica 10}  -textvariable {gFilenames(vel_seg_dir)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame0.frame116
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame0.frame116  -width {228}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame0.frame116.button2
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame0.frame116.button2  -command {bcGUIwriteSegsVTKras}  -text {VTK (RAS)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame0.frame116.button125
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame0.frame116.button125  -command {bcGUIwriteSegsVTKflat}  -text {VTK (flat)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame9
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame9  -width {650}  -height {109}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame9.frame10
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame9.frame10  -width {327}  -height {109}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame9.frame10.frame0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame9.frame10.frame0  -width {228}  -height {136}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame9.frame10.frame0.frame114
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame9.frame10.frame0.frame114  -width {622}  -height {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame9.frame10.frame0.frame114.label117
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame9.frame10.frame0.frame114.label117  -font {Helvetica 10}  -borderwidth {0}  -text {Output Mapped Velocity Results}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame9.frame10.frame0.frame115
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame9.frame10.frame0.frame115  -width {622}  -height {24}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame9.frame10.frame0.frame115.label118
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame9.frame10.frame0.frame115.label118  -font {Helvetica 10}  -borderwidth {0}  -text {Directory:}  -width {15}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame9.frame10.frame0.frame115.entry119
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame9.frame10.frame0.frame115.entry119  -font {Helvetica 10}  -textvariable {gFilenames(mapped_vel_dir)}  -width {15}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame9.frame10.frame0.frame116
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame9.frame10.frame0.frame116  -width {622}  -height {34}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame9.frame10.frame0.frame116.button125
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame9.frame10.frame0.frame116.button125  -command {bcGUIwriteVTKinletVel}  -text {WRITE VTK}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame9.frame10.frame0.frame126
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame9.frame10.frame0.frame126  -width {622}  -height {25}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame9.frame10.frame0.frame126.label122
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame9.frame10.frame0.frame126.label122  -font {Helvetica 10}  -borderwidth {0}  -text {Frames:}  -width {15}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame9.frame10.frame0.frame126.entry123
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame9.frame10.frame0.frame126.entry123  -font {Helvetica 10}  -textvariable {bcGUIoutInletVelFrames}  -width {15}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame9.frame11
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame9.frame11  -width {327}  -height {109}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame9.frame11.frame2
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame9.frame11.frame2  -width {228}  -height {136}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame9.frame11.frame2.frame114
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame9.frame11.frame2.frame114  -width {622}  -height {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame9.frame11.frame2.frame114.label117
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame9.frame11.frame2.frame114.label117  -font {Helvetica 10}  -borderwidth {0}  -text {Output Mapped Inlet Mesh Vel. Results}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame9.frame11.frame2.frame115
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame9.frame11.frame2.frame115  -width {622}  -height {24}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame9.frame11.frame2.frame115.label118
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame9.frame11.frame2.frame115.label118  -font {Helvetica 10}  -borderwidth {0}  -text {Directory:}  -width {15}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame9.frame11.frame2.frame115.entry119
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame9.frame11.frame2.frame115.entry119  -font {Helvetica 10}  -textvariable {gFilenames(mapped_inlet_mesh_dir)}  -width {15}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame9.frame11.frame2.frame116
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame9.frame11.frame2.frame116  -width {622}  -height {34}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame9.frame11.frame2.frame116.button125
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame9.frame11.frame2.frame116.button125  -command {bcGUIwriteVTKinletMeshVel}  -text {WRITE VTK}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame9.frame11.frame2.frame126
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame9.frame11.frame2.frame126  -width {622}  -height {25}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame9.frame11.frame2.frame126.label122
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame9.frame11.frame2.frame126.label122  -font {Helvetica 10}  -borderwidth {0}  -text {Frames:}  -width {15}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame9.frame11.frame2.frame126.entry123
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame9.frame11.frame2.frame126.entry123  -font {Helvetica 10}  -textvariable {bcGUIoutInletMeshVelFrames}  -width {15}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame1  -width {680}  -height {196}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame1.frame4
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame1.frame4  -width {327}  -height {184}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame1.frame4.frame128
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame1.frame4.frame128  -width {228}  -height {136}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame1.frame4.frame128.frame114
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame1.frame4.frame128.frame114  -width {228}  -height {22}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame1.frame4.frame128.frame114.label117
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame1.frame4.frame128.frame114.label117  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Create 3-D Flow Solver B.C. File}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame1.frame4.frame128.frame115
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame1.frame4.frame128.frame115  -width {228}  -height {84}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame1.frame4.frame128.frame115.label118
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame1.frame4.frame128.frame115.label118  -font {Helvetica 10}  -borderwidth {0}  -text {Filename:}  -width {15}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame1.frame4.frame128.frame115.entry119
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame1.frame4.frame128.frame115.entry119  -font {Helvetica 10}  -textvariable {gFilenames(bct_dat_file)}  -width {15}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame1.frame4.frame128.frame116
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame1.frame4.frame128.frame116  -width {228}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame1.frame4.frame128.frame116.button124
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame1.frame4.frame128.frame116.button124  -command {bcGUIwriteBCTDAT}  -text {Write 3-D Flow Solver File}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame1.frame4.frame128.frame126
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame1.frame4.frame128.frame126  -width {200}  -height {26}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame1.frame4.frame128.frame126.label122
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame1.frame4.frame128.frame126.label122  -font {Helvetica 10}  -borderwidth {0}  -text {period:}  -width {15}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame1.frame4.frame128.frame126.entry123
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame1.frame4.frame128.frame126.entry123  -font {Helvetica 10}  -textvariable {gBC(period)}  -width {15}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame1.frame4.frame128.frame133
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame1.frame4.frame128.frame133  -width {200}  -height {26}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame1.frame4.frame128.frame133.label122
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame1.frame4.frame128.frame133.label122  -font {Helvetica 10}  -borderwidth {0}  -text {Frames:}  -width {15}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame1.frame4.frame128.frame133.entry123
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame1.frame4.frame128.frame133.entry123  -font {Helvetica 10}  -textvariable {bcGUIbctdatFrames}  -width {15}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame1.frame4.frame128.frame0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame1.frame4.frame128.frame0  -width {200}  -height {26}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame1.frame4.frame128.frame0.label122
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame1.frame4.frame128.frame0.label122  -font {Helvetica 10}  -borderwidth {0}  -text {num fourier:}  -width {15}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame1.frame4.frame128.frame0.entry123
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame1.frame4.frame128.frame0.entry123  -font {Helvetica 10}  -textvariable {bcGUIbctdatNumFourierTerms}  -width {15}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame1.frame4.frame128.frame2
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame1.frame4.frame128.frame2  -width {200}  -height {26}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame1.frame4.frame128.frame2.label122
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame1.frame4.frame128.frame2.label122  -font {Helvetica 10}  -borderwidth {0}  -text {num pts:}  -width {15}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame1.frame4.frame128.frame2.entry123
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame1.frame4.frame128.frame2.entry123  -font {Helvetica 10}  -textvariable {bcGUIbctdatNumPoints}  -width {15}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame1.frame5
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame1.frame5  -width {327}  -height {184}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe0  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe0.frame54
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe0.frame54  -borderwidth {0}  -relief {flat}  -width {613}  -height {211}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe0.frame54.frame22
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe0.frame54.frame22  -borderwidth {0}  -width {426}  -height {37}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe0.frame54.frame22.label26
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe0.frame54.frame22.label26  -font {Helvetica 10}  -relief {ridge}  -anchor {center}  -text {Phase Contrast MR Image Data (GE ONLY!)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe0.frame54.frame23
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe0.frame54.frame23  -borderwidth {0}  -width {426}  -height {46}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe0.frame54.frame23.button27
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe0.frame54.frame23.button27  -command {createPREOPloadsavePCgeometric}  -text {Browse}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe0.frame54.frame23.entry28
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe0.frame54.frame23.entry28  -font {Helvetica 10}  -textvariable {gFilenames(phase_contrast_geometric)}  -width {15}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe0.frame54.frame23.entry28 <Key-Return> {createPREOPloadsavePCgetParams}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe0.frame54.frame23.label4
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe0.frame54.frame23.label4  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Data Directory:}  -width {0}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe0.frame54.frame25
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe0.frame54.frame25  -borderwidth {0}  -width {493}  -height {84}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe0.frame54.frame25.frame31
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe0.frame54.frame25.frame31  -borderwidth {0}  -width {168}  -height {80}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe0.frame54.frame25.frame31.label29
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe0.frame54.frame25.frame31.label29  -font {Helvetica 10}  -text {number of slices}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe0.frame54.frame25.frame31.entry30
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe0.frame54.frame25.frame31.entry30  -font {Helvetica 10}  -state {disabled}  -textvariable {gBC(numSlices)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe0.frame54.frame25.frame32
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe0.frame54.frame25.frame32  -borderwidth {0}  -width {274}  -height {108}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe0.frame54.frame25.frame32.frame33
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe0.frame54.frame25.frame32.frame33  -borderwidth {0}  -width {17}  -height {104}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe0.frame54.frame25.frame32.frame33.label36
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe0.frame54.frame25.frame32.frame33.label36  -font {Helvetica 12}  -borderwidth {1}  -text { }

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe0.frame54.frame25.frame32.frame33.label37
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe0.frame54.frame25.frame32.frame33.label37  -font {Helvetica 10}  -text {x}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe0.frame54.frame25.frame32.frame33.label38
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe0.frame54.frame25.frame32.frame33.label38  -font {Helvetica 10}  -text {y}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe0.frame54.frame25.frame32.frame34
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe0.frame54.frame25.frame32.frame34  -borderwidth {0}  -width {150}  -height {104}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe0.frame54.frame25.frame32.frame34.label46
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe0.frame54.frame25.frame32.frame34.label46  -font {Helvetica 10}  -text {minimum}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe0.frame54.frame25.frame32.frame34.entry47
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe0.frame54.frame25.frame32.frame34.entry47  -font {Helvetica 10}  -textvariable {gBC(voi_x0)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe0.frame54.frame25.frame32.frame34.entry48
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe0.frame54.frame25.frame32.frame34.entry48  -font {Helvetica 10}  -textvariable {gBC(voi_y0)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe0.frame54.frame25.frame32.frame35
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe0.frame54.frame25.frame32.frame35  -borderwidth {0}  -width {150}  -height {99}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe0.frame54.frame25.frame32.frame35.label50
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe0.frame54.frame25.frame32.frame35.label50  -font {Helvetica 10}  -text {maximum}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe0.frame54.frame25.frame32.frame35.entry51
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe0.frame54.frame25.frame32.frame35.entry51  -font {Helvetica 10}  -textvariable {gBC(voi_x1)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe0.frame54.frame25.frame32.frame35.entry52
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe0.frame54.frame25.frame32.frame35.entry52  -font {Helvetica 10}  -textvariable {gBC(voi_y1)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe0.frame54.frame1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe0.frame54.frame1  -width {226}  -height {38}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe0.frame54.frame1.button2
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe0.frame54.frame1.button2  -command {createPREOPloadsaveLoadPCMRI}  -text {Load PCMRI Data}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37
  ttk::notebook .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe38
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe38  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe38.frame68
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe38.frame68  -borderwidth {0}  -relief {raised}  -width {307}  -height {165}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe38.frame68.frame101
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe38.frame68.frame101  -width {307}  -height {165}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe38.frame68.frame101.frame76
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe38.frame68.frame101.frame76  -width {198}  -height {34}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe38.frame68.frame101.frame76.checkbutton83
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe38.frame68.frame101.frame76.checkbutton83  -variable {lsGUIdisplayProbeFlag}  -command {lsGUIdisplayProbe}  -width {5}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe38.frame68.frame101.frame76.label92
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe38.frame68.frame101.frame76.label92  -font {Helvetica 10}  -borderwidth {0}  -text {Show Intensity Probe}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe38.frame68.frame101.frame78
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe38.frame68.frame101.frame78  -width {198}  -height {34}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe38.frame68.frame101.frame78.checkbutton85
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe38.frame68.frame101.frame78.checkbutton85  -variable {lsGUI3dWindow(showSelectedThr)}  -command {lsGUIupdate3dWindow}  -width {5}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe38.frame68.frame101.frame78.label95
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe38.frame68.frame101.frame78.label95  -font {Helvetica 10}  -text {Selected Threshold Contour}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe38.frame68.frame101.frame79
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe38.frame68.frame101.frame79  -width {194}  -height {34}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe38.frame68.frame101.frame79.checkbutton86
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe38.frame68.frame101.frame79.checkbutton86  -variable {lsGUI3dWindow(showPreopSolid)}  -command {lsGUIupdate3dWindowWithSolid}  -width {5}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe38.frame68.frame101.frame79.label96
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe38.frame68.frame101.frame79.label96  -font {Helvetica 10}  -borderwidth {0}  -text {PreOP Solid Model}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe38.frame68.frame101.frame102
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe38.frame68.frame101.frame102  -width {198}  -height {34}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe38.frame68.frame101.frame102.checkbutton83
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe38.frame68.frame101.frame102.checkbutton83  -variable {lsGUI3dWindow(showLS)}  -command {lsGUIupdate3dWindow}  -width {5}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe38.frame68.frame101.frame102.label92
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe38.frame68.frame101.frame102.label92  -font {Helvetica 10}  -borderwidth {0}  -text {Level Set Segmentation}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe38.frame68.frame101.frame138
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe38.frame68.frame101.frame138  -width {198}  -height {34}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe38.frame68.frame101.frame138.checkbutton83
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe38.frame68.frame101.frame138.checkbutton83  -variable {lsGUIdisplayPathFlag}  -command {lsGUIdisplayPath}  -width {5}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe38.frame68.frame101.frame138.label92
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe38.frame68.frame101.frame138.label92  -font {Helvetica 10}  -borderwidth {0}  -text {Show Path}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe39
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe39  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe39.frame68
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe39.frame68  -width {763}  -height {344}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe39.frame68.frame101
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe39.frame68.frame101  -borderwidth {0}  -relief {flat}  -width {225}  -height {341}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe39.frame68.frame101.frame76
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe39.frame68.frame101.frame76  -width {198}  -height {34}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe39.frame68.frame101.frame76.checkbutton83
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe39.frame68.frame101.frame76.checkbutton83  -variable {bcGUI3dWindow(showMagSlice)}  -command {bcGUIupdate3dWindow}  -width {5}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe39.frame68.frame101.frame76.label92
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe39.frame68.frame101.frame76.label92  -font {Helvetica 10}  -borderwidth {0}  -text {2-D Magnitude Slice}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe39.frame68.frame101.frame138
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe39.frame68.frame101.frame138  -width {198}  -height {34}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe39.frame68.frame101.frame138.checkbutton83
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe39.frame68.frame101.frame138.checkbutton83  -variable {bcGUI3dWindow(showWindow)}  -command {bcGUIupdate3dWindow}  -width {5}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe39.frame68.frame101.frame138.label92
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe39.frame68.frame101.frame138.label92  -font {Helvetica 10}  -borderwidth {0}  -text {Show Window}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe39.frame68.frame101.frame99
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe39.frame68.frame101.frame99  -width {269}  -height {26}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe39.frame68.frame101.frame99.label89
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe39.frame68.frame101.frame99.label89  -font {Helvetica 10}  -text {Warp Scale Factor:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe39.frame68.frame101.frame99.entry90
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe39.frame68.frame101.frame99.entry90  -font {Helvetica 10}  -textvariable {bcGUI3dWindow(scaleFactor)}  -width {15}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe39.frame68.frame101.frame99.entry90 <Key-Return> {bcGUIupdate3dWindow}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe39.frame68.frame101.frame5
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe39.frame68.frame101.frame5  -width {194}  -height {78}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe39.frame68.frame101.frame5.checkbutton87
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe39.frame68.frame101.frame5.checkbutton87  -variable {bcGUI3dWindow(showRawVectors)}  -command {bcGUIupdate3dWindow}  -width {5}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe39.frame68.frame101.frame5.label97
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe39.frame68.frame101.frame5.label97  -font {Helvetica 10}  -borderwidth {0}  -text {Raw Flow Vectors}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe40
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe40  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe40.frame71
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe40.frame71  -width {293}  -height {182}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe40.frame71.frame76
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe40.frame71.frame76  -width {198}  -height {34}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe40.frame71.frame76.checkbutton83
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe40.frame71.frame76.checkbutton83  -variable {lsGUImagWindow(showLS)}  -command {lsGUIupdateMagWindow}  -width {5}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe40.frame71.frame76.label92
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe40.frame71.frame76.label92  -font {Helvetica 10}  -borderwidth {0}  -text {Level Set Segmentation}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe40.frame71.frame77
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe40.frame71.frame77  -width {198}  -height {34}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe40.frame71.frame77.checkbutton84
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe40.frame71.frame77.checkbutton84  -variable {lsGUImagWindow(showThr)}  -command {lsGUIupdateMagWindow}  -width {5}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe40.frame71.frame77.label93
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe40.frame71.frame77.label93  -font {Helvetica 10}  -borderwidth {0}  -text {Threshold}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe40.frame71.frame78
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe40.frame71.frame78  -width {198}  -height {34}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe40.frame71.frame78.checkbutton85
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe40.frame71.frame78.checkbutton85  -variable {lsGUImagWindow(showSelectedThr)}  -command {lsGUIupdateMagWindow}  -width {5}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe40.frame71.frame78.label95
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe40.frame71.frame78.label95  -font {Helvetica 10}  -text {Selected Threshold Contour}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe40.frame71.frame79
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe40.frame71.frame79  -width {194}  -height {34}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe40.frame71.frame79.checkbutton86
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe40.frame71.frame79.checkbutton86  -variable {lsGUImagWindow(showInitSphere)}  -command {lsGUIupdateMagWindow}  -width {5}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe40.frame71.frame79.label96
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe40.frame71.frame79.label96  -font {Helvetica 10}  -borderwidth {0}  -text {Initialization sphere}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe40.frame71.frame136
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe40.frame71.frame136  -width {198}  -height {34}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe40.frame71.frame136.checkbutton83
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe40.frame71.frame136.checkbutton83  -variable {lsGUImagWindow(showWindow)}  -command {lsGUIupdateMagWindow}  -width {5}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe40.frame71.frame136.label92
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe40.frame71.frame136.label92  -font {Helvetica 10}  -borderwidth {0}  -text {Show Window}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe40.frame71.frame0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe40.frame71.frame0  -width {198}  -height {34}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe40.frame71.frame0.checkbutton83
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe40.frame71.frame0.checkbutton83  -variable {lsGUImagWindow(showIntermediateLS)}  -command {lsGUIupdateMagWindow}  -width {5}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe40.frame71.frame0.label92
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe40.frame71.frame0.label92  -font {Helvetica 10}  -borderwidth {0}  -text {Level Set Evolution}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe41
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe41  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe41.frame100
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe41.frame100  -width {293}  -height {182}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe41.frame100.frame76
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe41.frame100.frame76  -width {198}  -height {34}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe41.frame100.frame76.checkbutton83
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe41.frame100.frame76.checkbutton83  -variable {lsGUIpotWindow(showLS)}  -command {lsGUIupdatePotWindow}  -width {5}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe41.frame100.frame76.label92
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe41.frame100.frame76.label92  -font {Helvetica 10}  -borderwidth {0}  -text {Level Set Segmentation}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe41.frame100.frame77
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe41.frame100.frame77  -width {198}  -height {34}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe41.frame100.frame77.checkbutton84
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe41.frame100.frame77.checkbutton84  -variable {lsGUIpotWindow(showThr)}  -command {lsGUIupdatePotWindow}  -width {5}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe41.frame100.frame77.label93
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe41.frame100.frame77.label93  -font {Helvetica 10}  -borderwidth {0}  -text {Threshold}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe41.frame100.frame78
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe41.frame100.frame78  -width {198}  -height {34}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe41.frame100.frame78.checkbutton85
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe41.frame100.frame78.checkbutton85  -variable {lsGUIpotWindow(showSelectedThr)}  -command {lsGUIupdatePotWindow}  -width {5}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe41.frame100.frame78.label95
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe41.frame100.frame78.label95  -font {Helvetica 10}  -text {Selected Threshold Contour}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe41.frame100.frame79
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe41.frame100.frame79  -width {194}  -height {34}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe41.frame100.frame79.checkbutton86
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe41.frame100.frame79.checkbutton86  -variable {lsGUIpotWindow(showInitSphere)}  -command {lsGUIupdatePotWindow}  -width {5}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe41.frame100.frame79.label96
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe41.frame100.frame79.label96  -font {Helvetica 10}  -borderwidth {0}  -text {Initialization sphere}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe41.frame100.frame137
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe41.frame100.frame137  -width {198}  -height {34}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe41.frame100.frame137.checkbutton83
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe41.frame100.frame137.checkbutton83  -variable {lsGUIpotWindow(showWindow)}  -command {lsGUIupdatePotWindow}  -width {5}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe41.frame100.frame137.label92
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe41.frame100.frame137.label92  -font {Helvetica 10}  -borderwidth {0}  -text {Show Window}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe41.frame100.frame2
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe41.frame100.frame2  -width {198}  -height {34}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe41.frame100.frame2.checkbutton83
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe41.frame100.frame2.checkbutton83  -variable {lsGUIpotWindow(showIntermediateLS)}  -command {lsGUIupdatePotWindow}  -width {5}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe41.frame100.frame2.label92
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe41.frame100.frame2.label92  -font {Helvetica 10}  -borderwidth {0}  -text {Level Set Evolution}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71  -borderwidth {0}  -relief {flat}  -width {269}  -height {341}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame76
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame76  -width {198}  -height {34}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame76.checkbutton83
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame76.checkbutton83  -variable {bcGUImagWindow(showLS)}  -command {bcGUIupdateMagWindow}  -width {5}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame76.label92
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame76.label92  -font {Helvetica 10}  -borderwidth {0}  -text {Level Set Segmentation}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame77
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame77  -width {198}  -height {34}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame77.checkbutton84
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame77.checkbutton84  -variable {bcGUImagWindow(showThr)}  -command {bcGUIupdateMagWindow}  -width {5}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame77.label93
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame77.label93  -font {Helvetica 10}  -borderwidth {0}  -text {Threshold}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame78
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame78  -width {198}  -height {34}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame78.checkbutton85
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame78.checkbutton85  -variable {bcGUImagWindow(showSelectedThr)}  -command {bcGUIupdateMagWindow}  -width {5}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame78.label95
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame78.label95  -font {Helvetica 10}  -text {Selected Threshold Contour}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame79
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame79  -width {194}  -height {34}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame79.checkbutton86
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame79.checkbutton86  -variable {bcGUImagWindow(showInitSphere)}  -command {bcGUIupdateMagWindow}  -width {5}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame79.label96
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame79.label96  -font {Helvetica 10}  -borderwidth {0}  -text {Initialization sphere}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame80
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame80  -width {194}  -height {78}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame80.checkbutton87
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame80.checkbutton87  -variable {bcGUImagWindow(showWarp)}  -command {bcGUIupdateMagWindow}  -width {5}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame80.label97
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame80.label97  -font {Helvetica 10}  -borderwidth {0}  -text {Warp Vector Plot}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame99
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame99  -width {269}  -height {26}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame99.label89
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame99.label89  -font {Helvetica 10}  -text {Warp Scale Factor:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame99.entry90
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame99.entry90  -font {Helvetica 10}  -textvariable {bcGUImagWindow(warpFactor)}  -width {15}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame99.entry90 <Key-Return> {bcGUIupdateMagWindow}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame136
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame136  -width {198}  -height {34}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame136.checkbutton83
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame136.checkbutton83  -variable {bcGUImagWindow(showWindow)}  -command {bcGUIupdateMagWindow}  -width {5}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame136.label92
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame136.label92  -font {Helvetica 10}  -borderwidth {0}  -text {Show Window}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame3
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame3  -width {194}  -height {78}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame3.checkbutton87
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame3.checkbutton87  -variable {bcGUImagWindow(showMeshWarp)}  -command {bcGUIupdateMagWindow}  -width {5}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame3.label97
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame3.label97  -font {Helvetica 10}  -borderwidth {0}  -text {Mesh Warp Vector Plot}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame7
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame7  -width {269}  -height {26}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame7.label89
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame7.label89  -font {Helvetica 10}  -text {Mesh Face Offset:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame7.entry90
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame7.entry90  -font {Helvetica 10}  -textvariable {bcGUImagWindow(meshOffset)}  -width {15}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame7.entry90 <Key-Return> {bcGUIupdateMagWindow}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame0  -width {194}  -height {78}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame0.checkbutton87
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame0.checkbutton87  -variable {bcGUImagWindow(showIntermediateLS)}  -command {bcGUIupdateMagWindow}  -width {5}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame0.label97
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame0.label97  -font {Helvetica 10}  -borderwidth {0}  -text {Level Set Evolution}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame1  -width {194}  -height {78}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame1.checkbutton87
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame1.checkbutton87  -variable {bcGUImagWindow(showTaggedPixels)}  -command {bcGUIupdateMagWindow}  -width {5}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame1.label97
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame1.label97  -font {Helvetica 10}  -borderwidth {0}  -text {Tagged Pixels}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame2
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame2  -width {198}  -height {34}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame2.checkbutton83
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame2.checkbutton83  -variable {bcGUImagWindow(showMagImg)}  -command {bcGUIupdateMagWindow}  -width {5}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame2.label92
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame2.label92  -font {Helvetica 10}  -borderwidth {0}  -text {Show Magnitude}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame4
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame4  -width {198}  -height {34}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame4.checkbutton83
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame4.checkbutton83  -variable {bcGUImagWindow(showVelImg)}  -onvalue {r}  -command {bcGUIupdateMagWindow}  -width {5}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame4.label92
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame4.label92  -font {Helvetica 10}  -borderwidth {0}  -text {Show Velocity R}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame6
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame6  -width {198}  -height {34}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame6.checkbutton83
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame6.checkbutton83  -variable {bcGUImagWindow(showVelImg)}  -onvalue {a}  -command {bcGUIupdateMagWindow}  -width {5}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame6.label92
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame6.label92  -font {Helvetica 10}  -borderwidth {0}  -text {Show Velocity A}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame8
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame8  -width {198}  -height {34}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame8.checkbutton83
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame8.checkbutton83  -variable {bcGUImagWindow(showVelImg)}  -onvalue {s}  -command {bcGUIupdateMagWindow}  -width {5}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame8.label92
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame8.label92  -font {Helvetica 10}  -borderwidth {0}  -text {Show Velocity S}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame5
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame5  -width {194}  -height {78}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame5.checkbutton87
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame5.checkbutton87  -variable {bcGUImagWindow(showRawVelWarp)}  -command {bcGUIupdateMagWindow}  -width {5}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame5.label97
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame5.label97  -font {Helvetica 10}  -borderwidth {0}  -text {Raw Flow Plot}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame9
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame9  -width {269}  -height {26}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame9.label89
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame9.label89  -font {Helvetica 10}  -text {Display Image Min:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame9.entry90
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame9.entry90  -font {Helvetica 10}  -textvariable {bcGUImagWindow(img_min_val)}  -width {15}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame9.entry90 <Key-Return> {bcGUIupdateMagWindow}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame10
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame10  -width {269}  -height {26}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame10.label89
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame10.label89  -font {Helvetica 10}  -text {Display Image Max:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame10.entry90
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame10.entry90  -font {Helvetica 10}  -textvariable {bcGUImagWindow(img_max_val)}  -width {15}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame10.entry90 <Key-Return> {bcGUIupdateMagWindow}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame11
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame11  -width {269}  -height {26}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame11.label89
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame11.label89  -font {Helvetica 10}  -text {Warp Min Val:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame11.entry90
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame11.entry90  -font {Helvetica 10}  -textvariable {bcGUImagWindow(warp_min_val)}  -width {15}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame11.entry90 <Key-Return> {bcGUIupdateMagWindow}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame13
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame13  -width {269}  -height {26}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame13.label89
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame13.label89  -font {Helvetica 10}  -text {Warp Max Val:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame13.entry90
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame13.entry90  -font {Helvetica 10}  -textvariable {bcGUImagWindow(warp_max_val)}  -width {15}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame13.entry90 <Key-Return> {bcGUIupdateMagWindow}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100  -borderwidth {0}  -relief {flat}  -width {269}  -height {341}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame76
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame76  -width {198}  -height {34}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame76.checkbutton83
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame76.checkbutton83  -variable {bcGUIpotWindow(showLS)}  -command {bcGUIupdatePotWindow}  -width {5}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame76.label92
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame76.label92  -font {Helvetica 10}  -borderwidth {0}  -text {Level Set Segmentation}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame77
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame77  -width {198}  -height {34}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame77.checkbutton84
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame77.checkbutton84  -variable {bcGUIpotWindow(showThr)}  -command {bcGUIupdatePotWindow}  -width {5}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame77.label93
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame77.label93  -font {Helvetica 10}  -borderwidth {0}  -text {Threshold}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame78
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame78  -width {198}  -height {34}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame78.checkbutton85
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame78.checkbutton85  -variable {bcGUIpotWindow(showSelectedThr)}  -command {bcGUIupdatePotWindow}  -width {5}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame78.label95
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame78.label95  -font {Helvetica 10}  -text {Selected Threshold Contour}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame79
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame79  -width {194}  -height {34}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame79.checkbutton86
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame79.checkbutton86  -variable {bcGUIpotWindow(showInitSphere)}  -command {bcGUIupdatePotWindow}  -width {5}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame79.label96
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame79.label96  -font {Helvetica 10}  -borderwidth {0}  -text {Initialization sphere}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame80
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame80  -width {194}  -height {78}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame80.checkbutton87
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame80.checkbutton87  -variable {bcGUIpotWindow(showWarp)}  -command {bcGUIupdatePotWindow}  -width {5}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame80.label97
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame80.label97  -font {Helvetica 10}  -borderwidth {0}  -text {Warp Vector Plot}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame137
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame137  -width {198}  -height {34}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame137.checkbutton83
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame137.checkbutton83  -variable {bcGUIpotWindow(showWindow)}  -command {bcGUIupdatePotWindow}  -width {5}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame137.label92
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame137.label92  -font {Helvetica 10}  -borderwidth {0}  -text {Show Window}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame5
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame5  -width {194}  -height {78}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame5.checkbutton87
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame5.checkbutton87  -variable {bcGUIpotWindow(showMeshWarp)}  -command {bcGUIupdatePotWindow}  -width {5}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame5.label97
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame5.label97  -font {Helvetica 10}  -borderwidth {0}  -text {Mesh Warp Vector Plot}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame7
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame7  -width {269}  -height {26}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame7.label89
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame7.label89  -font {Helvetica 10}  -text {Mesh Face Offset:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame7.entry90
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame7.entry90  -font {Helvetica 10}  -textvariable {bcGUIpotWindow(meshOffset)}  -width {15}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame7.entry90 <Key-Return> {bcGUIupdateMagWindow}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame11
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame11  -width {292}  -height {22}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame11.label89
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame11.label89  -font {Helvetica 10}  -text {Warp Scale Factor:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame11.entry90
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame11.entry90  -font {Helvetica 10}  -textvariable {bcGUIpotWindow(warpFactor)}  -width {15}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame11.entry90 <Key-Return> {bcGUIupdateMagWindow}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame2
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame2  -width {194}  -height {78}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame2.checkbutton87
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame2.checkbutton87  -variable {bcGUIpotWindow(showIntermediateLS)}  -command {bcGUIupdatePotWindow}  -width {5}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame2.label97
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame2.label97  -font {Helvetica 10}  -borderwidth {0}  -text {Level Set Evolution}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame3
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame3  -width {194}  -height {78}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame3.checkbutton87
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame3.checkbutton87  -variable {bcGUIpotWindow(showTaggedPixels)}  -command {bcGUIupdatePotWindow}  -width {5}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame3.label97
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame3.label97  -font {Helvetica 10}  -borderwidth {0}  -text {Tagged Pixels}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame12
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame12  -width {269}  -height {26}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame12.label89
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame12.label89  -font {Helvetica 10}  -text {Image Display Min:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame12.entry90
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame12.entry90  -font {Helvetica 10}  -textvariable {bcGUIpotWindow(img_min_val)}  -width {15}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame12.entry90 <Key-Return> {bcGUIupdateMagWindow}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame13
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame13  -width {269}  -height {26}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame13.label89
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame13.label89  -font {Helvetica 10}  -text {Image Display Max:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame13.entry90
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame13.entry90  -font {Helvetica 10}  -textvariable {bcGUIpotWindow(img_max_val)}  -width {15}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame13.entry90 <Key-Return> {bcGUIupdateMagWindow}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame15
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame15  -width {292}  -height {22}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame15.label89
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame15.label89  -font {Helvetica 10}  -text {Warp Min Val:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame15.entry90
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame15.entry90  -font {Helvetica 10}  -textvariable {bcGUIpotWindow(warp_min_val)}  -width {15}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame15.entry90 <Key-Return> {bcGUIupdateMagWindow}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame16
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame16  -width {292}  -height {22}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame16.label89
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame16.label89  -font {Helvetica 10}  -text {Warp Max Val:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame16.entry90
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame16.entry90  -font {Helvetica 10}  -textvariable {bcGUIpotWindow(warp_max_val)}  -width {15}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame16.entry90 <Key-Return> {bcGUIupdateMagWindow}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame1  -width {229}  -height {26}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame1.label6
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame1.label6  -font {Helvetica 10}  -text {Actor Name:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame1.entry7
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame1.entry7  -font {Helvetica 10}  -textvariable {guiRWH(actor)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame2
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame2  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame2.frame8
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame2.frame8  -borderwidth {0}  -relief {flat}  -width {270}  -height {22}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame2.frame8.label10
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame2.frame8.label10  -font {Helvetica 10}  -text {Interpolation:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame2.frame8.label11
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame2.frame8.label11  -font {Helvetica 10}  -borderwidth {0}  -text {type}  -textvariable {guiRWH(interpolation)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame2.frame9
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame2.frame9  -width {107}  -height {97}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame2.frame9.button12
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame2.frame9.button12  -command {guiRWHsetInterpolation SetInterpolationToFlat}  -text {Set to Flat}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame2.frame9.button13
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame2.frame9.button13  -command {guiRWHsetInterpolation SetInterpolationToGouraud}  -text {Set to Gouraud}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame2.frame9.button14
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame2.frame9.button14  -command {guiRWHsetInterpolation SetInterpolationToPhong}  -text {Set to Phong}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame2.frame2
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame2.frame2  -width {427}  -height {80}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame2.frame2.frame8
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame2.frame2.frame8  -borderwidth {0}  -relief {flat}  -width {270}  -height {22}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame2.frame2.frame8.label10
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame2.frame2.frame8.label10  -font {Helvetica 10}  -text {Representation:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame2.frame2.frame8.label11
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame2.frame2.frame8.label11  -font {Helvetica 10}  -borderwidth {0}  -text {type}  -textvariable {guiRWH(representation)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame2.frame2.frame9
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame2.frame2.frame9  -width {107}  -height {97}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame2.frame2.frame9.button12
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame2.frame2.frame9.button12  -command {guiRWHsetRepresentation SetRepresentationToPoints}  -text {Set to Points}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame2.frame2.frame9.button13
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame2.frame2.frame9.button13  -command {guiRWHsetRepresentation SetRepresentationToWireframe}  -text {Set to Wireframe}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame2.frame2.frame9.button14
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame2.frame2.frame9.button14  -command {guiRWHsetRepresentation SetRepresentationToSurface}  -text {Set to Surface}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3  -width {614}  -height {322}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5  -width {309}  -height {322}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame21
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame21  -borderwidth {0}  -relief {flat}  -width {310}  -height {53}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame21.frame15
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame21.frame15  -width {150}  -height {22}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame21.frame15.label17
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame21.frame15.label17  -font {Helvetica 10}  -borderwidth {0}  -text {Color:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame21.frame15.label18
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame21.frame15.label18  -font {Helvetica 10}  -borderwidth {0}  -relief {sunken}  -text {0  0 0}  -textvariable {guiRWH(color)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame21.frame16
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame21.frame16  -width {150}  -height {57}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame21.frame16.entry19
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame21.frame16.entry19  -font {Helvetica 10}  -textvariable {guiRWH(newColor)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame21.frame16.button20
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame21.frame16.button20  -command {guiRWHsetProperty SetColor newColor color}  -text {Set Color}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame22
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame22  -borderwidth {0}  -relief {flat}  -width {310}  -height {53}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame22.frame15
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame22.frame15  -width {150}  -height {22}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame22.frame15.label17
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame22.frame15.label17  -font {Helvetica 10}  -borderwidth {0}  -text {Diffuse Color:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame22.frame15.label18
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame22.frame15.label18  -font {Helvetica 10}  -borderwidth {0}  -text {0  0 0}  -textvariable {guiRWH(diffuseColor)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame22.frame16
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame22.frame16  -width {150}  -height {57}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame22.frame16.entry19
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame22.frame16.entry19  -font {Helvetica 10}  -textvariable {guiRWH(newDiffuseColor)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame22.frame16.button20
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame22.frame16.button20  -command {guiRWHsetProperty SetDiffuseColor newDiffuseColor diffuseColor}  -text {Set Diffuse Color}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame23
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame23  -borderwidth {0}  -relief {flat}  -width {310}  -height {53}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame23.frame15
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame23.frame15  -width {150}  -height {22}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame23.frame15.label17
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame23.frame15.label17  -font {Helvetica 10}  -borderwidth {0}  -text {Ambient Color:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame23.frame15.label18
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame23.frame15.label18  -font {Helvetica 10}  -borderwidth {0}  -text {0  0 0}  -textvariable {guiRWH(ambientColor)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame23.frame16
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame23.frame16  -width {150}  -height {57}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame23.frame16.entry19
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame23.frame16.entry19  -font {Helvetica 10}  -textvariable {guiRWH(newAmbientColor)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame23.frame16.button20
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame23.frame16.button20  -command {guiRWHsetProperty SetAmbientColor newAmbientColor ambientColor}  -text {Set Ambient Color}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame24
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame24  -borderwidth {0}  -relief {flat}  -width {310}  -height {53}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame24.frame15
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame24.frame15  -width {150}  -height {22}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame24.frame15.label17
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame24.frame15.label17  -font {Helvetica 10}  -borderwidth {0}  -text {Specular Color:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame24.frame15.label18
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame24.frame15.label18  -font {Helvetica 10}  -borderwidth {0}  -text {0  0 0}  -textvariable {guiRWH(specularColor)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame24.frame16
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame24.frame16  -width {150}  -height {57}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame24.frame16.entry19
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame24.frame16.entry19  -font {Helvetica 10}  -textvariable {guiRWH(newSpecularColor)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame24.frame16.button20
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame24.frame16.button20  -command {guiRWHsetProperty SetSpecularColor newSpecularColor specularColor}  -text {Set Spectular Color}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame25
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame25  -borderwidth {0}  -relief {flat}  -width {310}  -height {53}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame25.frame15
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame25.frame15  -width {150}  -height {22}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame25.frame15.label17
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame25.frame15.label17  -font {Helvetica 10}  -borderwidth {0}  -text {Edge Color:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame25.frame15.label18
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame25.frame15.label18  -font {Helvetica 10}  -borderwidth {0}  -text {0  0 0}  -textvariable {guiRWH(edgeColor)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame25.frame16
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame25.frame16  -width {150}  -height {57}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame25.frame16.entry19
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame25.frame16.entry19  -font {Helvetica 10}  -textvariable {guiRWH(newEdgeColor)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame25.frame16.button20
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame25.frame16.button20  -command {guiRWHsetProperty SetEdgeColor newEdgeColor edgeColor}  -text {Set Edge Color}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame31
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame31  -borderwidth {0}  -relief {flat}  -width {310}  -height {53}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame31.frame15
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame31.frame15  -width {150}  -height {22}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame31.frame15.label17
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame31.frame15.label17  -font {Helvetica 10}  -borderwidth {0}  -text {Point Size:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame31.frame15.label18
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame31.frame15.label18  -font {Helvetica 10}  -borderwidth {0}  -text {0}  -textvariable {guiRWH(pointSize)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame31.frame16
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame31.frame16  -width {150}  -height {57}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame31.frame16.entry19
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame31.frame16.entry19  -font {Helvetica 10}  -textvariable {guiRWH(newPointSize)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame31.frame16.button20
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame31.frame16.button20  -command {guiRWHsetProperty SetPointSize newPointSize pointSize}  -text {Set Point Size}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6  -width {309}  -height {322}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame30
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame30  -borderwidth {0}  -relief {flat}  -width {310}  -height {53}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame30.frame15
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame30.frame15  -width {150}  -height {22}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame30.frame15.label17
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame30.frame15.label17  -font {Helvetica 10}  -borderwidth {0}  -text {Opacity:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame30.frame15.label18
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame30.frame15.label18  -font {Helvetica 10}  -borderwidth {0}  -text {0}  -textvariable {guiRWH(opacity)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame30.frame16
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame30.frame16  -width {150}  -height {57}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame30.frame16.entry19
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame30.frame16.entry19  -font {Helvetica 10}  -textvariable {guiRWH(newOpacity)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame30.frame16.button20
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame30.frame16.button20  -command {guiRWHsetProperty SetOpacity newOpacity opacity}  -text {Set Opacity}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame26
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame26  -borderwidth {0}  -relief {flat}  -width {310}  -height {53}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame26.frame15
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame26.frame15  -width {150}  -height {22}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame26.frame15.label17
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame26.frame15.label17  -font {Helvetica 10}  -borderwidth {0}  -text {Ambient Lighting Coefficient:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame26.frame15.label18
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame26.frame15.label18  -font {Helvetica 10}  -borderwidth {0}  -text {0}  -textvariable {guiRWH(ambient)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame26.frame16
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame26.frame16  -width {150}  -height {57}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame26.frame16.entry19
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame26.frame16.entry19  -font {Helvetica 10}  -textvariable {guiRWH(newAmbient)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame26.frame16.button20
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame26.frame16.button20  -command {guiRWHsetProperty SetAmbient newAmbient ambient}  -text {Set Ambient}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame27
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame27  -borderwidth {0}  -relief {flat}  -width {310}  -height {53}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame27.frame15
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame27.frame15  -width {150}  -height {22}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame27.frame15.label17
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame27.frame15.label17  -font {Helvetica 10}  -borderwidth {0}  -text {Diffuse lighting coefficient:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame27.frame15.label18
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame27.frame15.label18  -font {Helvetica 10}  -borderwidth {0}  -textvariable {guiRWH(diffuse)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame27.frame16
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame27.frame16  -width {150}  -height {57}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame27.frame16.entry19
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame27.frame16.entry19  -font {Helvetica 10}  -textvariable {guiRWH(newDiffuse)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame27.frame16.button20
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame27.frame16.button20  -command {guiRWHsetProperty SetDiffuse newDiffuse diffuse}  -text {Set Diffuse}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame28
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame28  -borderwidth {0}  -relief {flat}  -width {310}  -height {53}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame28.frame15
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame28.frame15  -width {150}  -height {22}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame28.frame15.label17
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame28.frame15.label17  -font {Helvetica 10}  -borderwidth {0}  -text {Specular lighting coefficent:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame28.frame15.label18
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame28.frame15.label18  -font {Helvetica 10}  -borderwidth {0}  -text {0}  -textvariable {guiRWH(specular)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame28.frame16
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame28.frame16  -width {150}  -height {57}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame28.frame16.entry19
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame28.frame16.entry19  -font {Helvetica 10}  -textvariable {guiRWH(newSpecular)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame28.frame16.button20
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame28.frame16.button20  -command {guiRWHsetProperty SetSpecular newSpecular specular}  -text {Set Specular}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame29
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame29  -borderwidth {0}  -relief {flat}  -width {310}  -height {53}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame29.frame15
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame29.frame15  -width {150}  -height {22}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame29.frame15.label17
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame29.frame15.label17  -font {Helvetica 10}  -borderwidth {0}  -text {Specular Power:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame29.frame15.label18
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame29.frame15.label18  -font {Helvetica 10}  -borderwidth {0}  -text {0}  -textvariable {guiRWH(specularPower)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame29.frame16
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame29.frame16  -width {150}  -height {57}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame29.frame16.entry19
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame29.frame16.entry19  -font {Helvetica 10}  -textvariable {guiRWH(newSpecularPower)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame29.frame16.button20
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame29.frame16.button20  -command {guiRWHsetProperty SetSpecularPower newSpecularPower specularPower}  -text {Set Specular Power}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame32
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame32  -borderwidth {0}  -relief {flat}  -width {310}  -height {53}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame32.frame15
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame32.frame15  -width {150}  -height {22}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame32.frame15.label17
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame32.frame15.label17  -font {Helvetica 10}  -borderwidth {0}  -text {Line Width:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame32.frame15.label18
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame32.frame15.label18  -font {Helvetica 10}  -borderwidth {0}  -text {0  0 0}  -textvariable {guiRWH(lineWidth)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame32.frame16
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame32.frame16  -width {150}  -height {57}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame32.frame16.entry19
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame32.frame16.entry19  -font {Helvetica 10}  -textvariable {guiRWH(newLineWidth)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame32.frame16.button20
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame32.frame16.button20  -command {guiRWHsetProperty SetLineWidth newLineWidth lineWidth}  -text {Set Line Width}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame6
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame6  -borderwidth {0}  -relief {flat}  -width {508}  -height {35}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame6.label8
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame6.label8  -font {Helvetica 10}  -text {Scalar Range:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame6.entry9
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame6.entry9  -font {Helvetica 10}  -textvariable {guiRWH(scalarMin)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame6.button10
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame6.button10  -command {guiRWHsetScalarRange}  -text {Set Min}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame6.entry11
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame6.entry11  -font {Helvetica 10}  -textvariable {guiRWH(scalarMax)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame6.button12
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame6.button12  -command {guiRWHsetScalarRange}  -text {Set Max}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame36
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame36  -width {186}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame36.radiobutton33
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame36.radiobutton33  -variable {guiRWH(backfaceCulling)}  -command {guiRWHsetPropertyBoolean SetBackfaceCulling backfaceCulling}  -text {On}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame36.radiobutton34
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame36.radiobutton34  -variable {guiRWH(backfaceCulling)}  -value {0}  -command {guiRWHsetPropertyBoolean SetBackfaceCulling backfaceCulling}  -text {Off}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame36.label35
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame36.label35  -font {Helvetica 10}  -text {Backface Culling}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame37
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame37  -width {186}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame37.radiobutton33
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame37.radiobutton33  -variable {guiRWH(frontfaceCulling)}  -command {guiRWHsetPropertyBoolean SetFrontfaceCulling frontfaceCulling}  -text {On}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame37.radiobutton34
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame37.radiobutton34  -variable {guiRWH(frontfaceCulling)}  -value {0}  -command {guiRWHsetPropertyBoolean SetFrontfaceCulling frontfaceCulling}  -text {Off}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame37.label35
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame37.label35  -font {Helvetica 10}  -text {Front Face Culling}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame5
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame5  -width {186}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame5.radiobutton33
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame5.radiobutton33  -variable {guiRWH(edgeVisibility)}  -command {guiRWHsetPropertyBoolean SetEdgeVisibility edgeVisibility}  -text {On}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame5.radiobutton34
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame5.radiobutton34  -variable {guiRWH(edgeVisibility)}  -value {0}  -command {guiRWHsetPropertyBoolean SetEdgeVisibility edgeVisibility}  -text {Off}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame5.label35
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame5.label35  -font {Helvetica 10}  -text {Edge Visibility}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame0  -width {186}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame0.radiobutton33
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame0.radiobutton33  -variable {guiRWH(lookupTable)}  -value {gBlueToRedLUT}  -command {guiRWHsetLookupTable}  -text {blue-red}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame0.radiobutton34
  ttk::radiobutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame0.radiobutton34  -variable {guiRWH(lookupTable)}  -value {g8bitGrayscaleLUT}  -command {guiRWHsetLookupTable}  -text {grayscale}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame0.label35
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame0.label35  -font {Helvetica 10}  -text {Lookup Table}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.menubutton0
  ttk::menubutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.menubutton0  -menu {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.menubutton0.m}  -text {Colors and Themes For Display}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.menubutton0.m
  menu .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.menubutton0.m  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}  -tearoff {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.menubutton0.m add cascade  -menu {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.menubutton0.m.m}  -label {Set windows theme}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.menubutton0.m add cascade  -menu {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.menubutton0.m.n}  -label {Set widget colors}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.menubutton0.m.m
  menu .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.menubutton0.m.m  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}  -tearoff {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.menubutton0.m.m add radiobutton  -value {xpnative}  -variable {guiMAINvars(theme)}  -command {mainGUIsetTheme xpnative}  -label {XP Native}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.menubutton0.m.m add radiobutton  -value {clam}  -variable {guiMAINvars(theme)}  -command {mainGUIsetTheme clam}  -label {Clam}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.menubutton0.m.m add radiobutton  -value {winnative}  -variable {guiMAINvars(theme)}  -command {mainGUIsetTheme winnative}  -label {Windows Native}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.menubutton0.m.m add radiobutton  -value {alt}  -variable {guiMAINvars(theme)}  -command {mainGUIsetTheme alt}  -label {Revitalized}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.menubutton0.m.m add radiobutton  -value {classic}  -variable {guiMAINvars(theme)}  -command {mainGUIsetTheme classic}  -label {Classic}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.menubutton0.m.m add radiobutton  -value {default}  -variable {guiMAINvars(theme)}  -command {mainGUIsetTheme default}  -label {Default}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.menubutton0.m.n
  menu .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.menubutton0.m.n  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}  -tearoff {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.menubutton0.m.n add command  -command {mainGUIsetColors *Scale.foreground}  -label {Set scale foreground color}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.menubutton0.m.n add command  -command {mainGUIsetColors *Scale.background}  -label {Set scale background color}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.menubutton0.m.n add command  -command {mainGUIsetColors *Scale.troughColor}  -label {Set scale trough color}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.menubutton0.m.n add command  -command {mainGUIsetColors *Listbox.background}  -label {Set listbox background color}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.menubutton0.m.n add command  -command {mainGUIsetColors *Listbox.background}  -label {Set listbox foreground color}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.menubutton0.m.n add command  -command {mainGUIsetColors *Text.background}  -label {Set text background color}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.menubutton0.m.n add command  -command {mainGUIsetColors *Text.foreground}  -label {Set text foreground color}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18.tframe21
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18.tframe21  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18.tframe21.tlabel22
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18.tframe21.tlabel22  -font {Helvetica 10}  -relief {flat}  -text {Probe Reslice Dims:}  -width {25}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18.tframe21.tentry23
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18.tframe21.tentry23  -font {Helvetica 10}  -textvariable {gOptions(resliceDims)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18.tframe24
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18.tframe24  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18.tframe24.tlabel22
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18.tframe24.tlabel22  -font {Helvetica 10}  -relief {flat}  -text {Path Point Size:}  -width {25}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18.tframe24.tentry23
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18.tframe24.tentry23  -font {Helvetica 10}  -textvariable {gOptions(pathDisplayPointSize)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18.tframe25
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18.tframe25  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18.tframe25.tlabel22
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18.tframe25.tlabel22  -font {Helvetica 10}  -relief {flat}  -text {Window Level Incr:}  -width {25}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18.tframe25.tentry23
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18.tframe25.tentry23  -font {Helvetica 10}  -textvariable {gOptions(window_level_increment)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18.tframe26
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18.tframe26  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18.tframe26.tlabel22
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18.tframe26.tlabel22  -font {Helvetica 10}  -relief {flat}  -text {Facet Max Edge Size:}  -width {25}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18.tframe26.tentry23
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18.tframe26.tentry23  -font {Helvetica 10}  -textvariable {gOptions(facet_max_edge_size)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18.tframe27
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18.tframe27  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18.tframe27.tlabel22
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18.tframe27.tlabel22  -font {Helvetica 10}  -relief {flat}  -text {Max Polys in Isosurface:}  -width {25}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18.tframe27.tentry23
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18.tframe27.tentry23  -font {Helvetica 10}  -textvariable {gOptions(max_num_polys_for_isosurface)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18.tframe28
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18.tframe28  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18.tframe28.tlabel22
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18.tframe28.tlabel22  -font {Helvetica 10}  -relief {flat}  -text {LOD Max Polys:}  -width {25}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18.tframe28.tentry23
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18.tframe28.tentry23  -font {Helvetica 10}  -textvariable {gOptions(vis_lod_max_num_polys)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18.tframe29
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18.tframe29  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18.tframe29.tlabel22
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18.tframe29.tlabel22  -font {Helvetica 10}  -relief {flat}  -text {Path Axes Scale Factor:}  -width {25}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18.tframe29.tentry23
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18.tframe29.tentry23  -font {Helvetica 10}  -textvariable {gOptions(pathplan_axes_scale_factor)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18.tframe30
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18.tframe30  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18.tframe30.tlabel22
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18.tframe30.tlabel22  -font {Helvetica 10}  -relief {flat}  -text {Path Plan Axes Width:}  -width {25}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18.tframe30.tentry23
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18.tframe30.tentry23  -font {Helvetica 10}  -textvariable {gOptions(pathplan_axes_width)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18.tframe31
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18.tframe31  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18.tframe31.tlabel22
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18.tframe31.tlabel22  -font {Helvetica 10}  -relief {flat}  -text {Smooth Iso Num Iters:}  -width {25}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18.tframe31.tentry23
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18.tframe31.tentry23  -font {Helvetica 10}  -textvariable {gOptions(smooth_num_iters)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18.tframe32
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18.tframe32  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18.tframe32.tlabel22
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18.tframe32.tlabel22  -font {Helvetica 10}  -relief {flat}  -text {Smooth Relax Factor:}  -width {25}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18.tframe32.tentry23
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18.tframe32.tentry23  -font {Helvetica 10}  -textvariable {gOptions(smooth_relax_factor)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tbutton33
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tbutton33  -command {mainGUIdisplayFreeze}  -text {Freeze/Defrost 3-D Windows}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe34
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe34  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe34.tcheckbutton35
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe34.tcheckbutton35  -variable {gOptions(display_only_largest_isosurface)}  -text {Display Only Largest Isosurface}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe34.tcheckbutton36
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe34.tcheckbutton36  -variable {gOptions(vis_vectors_with_glyphs)}  -text {Display Vectors as Glyphs}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe34.tcheckbutton37
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe34.tcheckbutton37  -variable {gOptions(smooth_isosurface)}  -text {Smooth Isosurface}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe3
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe3  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0
  if {[catch "panedwindow .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0"]} {
    if {"[info procs XFEdit]" != ""} {
      XFProcError "Unknown widget type: panedwindow"
      return
    } {
      puts stderr "Unknown widget type: panedwindow"
    }
  }
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0 config  -orient {vertical}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.frame27
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.frame27  -borderwidth {0}  -relief {flat}  -width {1}  -height {1}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0
  ttk::notebook .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe1  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe1.notebook0
  ttk::notebook .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe1.notebook0

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe1.notebook0.tframe2
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe1.notebook0.tframe2  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe1.notebook0.tframe6
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe1.notebook0.tframe6  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe26
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe26  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe26.frame24
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe26.frame24  -borderwidth {0}  -relief {flat}  -width {325}  -height {205}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe26.frame24.frame38
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe26.frame24.frame38  -width {453}  -height {44}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe26.frame24.frame38.label30
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe26.frame24.frame38.label30  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Minimum Value:}  -width {25}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe26.frame24.frame38.entry42
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe26.frame24.frame38.entry42  -font {Helvetica 10}  -textvariable {gui3Dvars(fast_sigmod_min_value)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe26.frame24.frame40
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe26.frame24.frame40  -width {453}  -height {44}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe26.frame24.frame40.label32
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe26.frame24.frame40.label32  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Maximum Value:}  -width {25}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe26.frame24.frame40.entry44
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe26.frame24.frame40.entry44  -font {Helvetica 10}  -textvariable {gui3Dvars(fast_sigmod_max_value)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe26.frame24.frame1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe26.frame24.frame1  -width {453}  -height {44}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe26.frame24.frame1.label32
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe26.frame24.frame1.label32  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Alpha:}  -width {25}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe26.frame24.frame1.entry44
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe26.frame24.frame1.entry44  -font {Helvetica 10}  -textvariable {gui3Dvars(fast_sigmod_alpha)}  -width {10}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe26.frame24.frame1.entry44 <Key-Return> {lsGUIchangeFrame 0}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe26.frame24.frame43
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe26.frame24.frame43  -width {453}  -height {44}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe26.frame24.frame43.label32
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe26.frame24.frame43.label32  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Beta:}  -width {25}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe26.frame24.frame43.entry44
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe26.frame24.frame43.entry44  -font {Helvetica 10}  -textvariable {gui3Dvars(fast_sigmod_beta)}  -width {10}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe26.frame24.frame43.entry44 <Key-Return> {lsGUIchangeFrame 0}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe26.tlabel27
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe26.tlabel27  -font {Helvetica 10}  -relief {flat}  -text {Sigmod Map Parameters}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe26.tbutton28
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe26.tbutton28  -command {gui3Dfast sigmod}  -text {Create Sigmod Map}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe41
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe41  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe41.frame24
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe41.frame24  -borderwidth {0}  -relief {flat}  -width {325}  -height {205}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe41.frame24.frame38
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe41.frame24.frame38  -width {453}  -height {44}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe41.frame24.frame38.label30
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe41.frame24.frame38.label30  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Start Time:}  -width {25}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe41.frame24.frame38.entry42
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe41.frame24.frame38.entry42  -font {Helvetica 10}  -textvariable {gui3Dvars(fast_fmm_start_time)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe41.frame24.frame40
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe41.frame24.frame40  -width {453}  -height {44}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe41.frame24.frame40.label32
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe41.frame24.frame40.label32  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Stop Time:}  -width {25}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe41.frame24.frame40.entry44
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe41.frame24.frame40.entry44  -font {Helvetica 10}  -textvariable {gui3Dvars(fast_fmm_stop_time)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe41.tlabel27
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe41.tlabel27  -font {Helvetica 10}  -relief {flat}  -text {Fast Marching Method Segment}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe41.tframe46
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe41.tframe46  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe41.tframe46.tbutton28
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe41.tframe46.tbutton28  -command {gui3Dfast fmm_segment}  -text {Segment}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe41.tframe46.tcheckbutton47
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe41.tframe46.tcheckbutton47  -variable {gui3Dvars(fast_vis_fmm)}  -command {gui3DvisFast check_fmm}  -text {Display Result}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe42
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe42  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe42.frame24
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe42.frame24  -borderwidth {0}  -relief {flat}  -width {325}  -height {205}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe42.frame24.frame38
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe42.frame24.frame38  -width {453}  -height {44}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe42.frame24.frame38.label30
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe42.frame24.frame38.label30  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Lower threshold:}  -width {25}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe42.frame24.frame38.entry42
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe42.frame24.frame38.entry42  -font {Helvetica 10}  -textvariable {gui3Dvars(fast_ls_lower_threshold)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe42.frame24.frame40
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe42.frame24.frame40  -width {453}  -height {44}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe42.frame24.frame40.label32
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe42.frame24.frame40.label32  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Upper threshold:}  -width {25}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe42.frame24.frame40.entry44
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe42.frame24.frame40.entry44  -font {Helvetica 10}  -textvariable {gui3Dvars(fast_ls_upper_threshold)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe42.frame24.frame1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe42.frame24.frame1  -width {453}  -height {44}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe42.frame24.frame1.label32
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe42.frame24.frame1.label32  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Propagation scaling:}  -width {25}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe42.frame24.frame1.entry44
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe42.frame24.frame1.entry44  -font {Helvetica 10}  -textvariable {gui3Dvars(fast_ls_propagation_scaling)}  -width {10}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe42.frame24.frame1.entry44 <Key-Return> {lsGUIchangeFrame 0}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe42.frame24.frame44
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe42.frame24.frame44  -width {453}  -height {44}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe42.frame24.frame44.label32
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe42.frame24.frame44.label32  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Curvature scaling:}  -width {25}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe42.frame24.frame44.entry44
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe42.frame24.frame44.entry44  -font {Helvetica 10}  -textvariable {gui3Dvars(fast_ls_curvature_scaling)}  -width {10}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe42.frame24.frame44.entry44 <Key-Return> {lsGUIchangeFrame 0}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe42.frame24.frame45
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe42.frame24.frame45  -width {453}  -height {44}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe42.frame24.frame45.label32
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe42.frame24.frame45.label32  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Number of iterations:}  -width {25}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe42.frame24.frame45.entry44
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe42.frame24.frame45.entry44  -font {Helvetica 10}  -textvariable {gui3Dvars(fast_ls_num_iterations)}  -width {10}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe42.frame24.frame45.entry44 <Key-Return> {lsGUIchangeFrame 0}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe42.frame24.tframe46
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe42.frame24.tframe46  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe42.frame24.tframe46.tbutton28
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe42.frame24.tframe46.tbutton28  -command {gui3Dfast ls_segment}  -text {Segment}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe42.frame24.tframe46.tcheckbutton47
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe42.frame24.tframe46.tcheckbutton47  -variable {gui3Dvars(fast_vis_ls)}  -command {gui3DvisFast check_ls}  -text {Display Result}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe42.tlabel27
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe42.tlabel27  -font {Helvetica 10}  -relief {flat}  -text {Threshold Level Set Segment}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.frame17
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.frame17  -relief {raised}  -width {407}  -height {32}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.frame17.label11
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.frame17.label11  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Segmentation file:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.frame17.entry12
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.frame17.entry12  -font {Helvetica 10}  -textvariable {gFilenames(3d_fast_seg_file)}  -width {35}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.frame17.menubutton20
  ttk::menubutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.frame17.menubutton20  -menu {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.frame17.menubutton20.m}  -text {Options}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.frame17.menubutton20.m
  menu .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.frame17.menubutton20.m  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}  -tearoff {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.frame17.menubutton20.m add command  -command {gui3DioFastFile browse}  -label {Browse}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.frame17.menubutton20.m add command  -command {gui3DioFastFile load}  -label {Load}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.frame17.menubutton20.m add command  -command {gui3DioFastFile save}  -label {Save}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.frame29
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.frame29  -relief {raised}  -width {407}  -height {32}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.frame29.label11
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.frame29.label11  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Save Seg Params:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.frame29.entry12
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.frame29.entry12  -font {Helvetica 10}  -textvariable {gFilenames(3d_fast_seg_params)}  -width {35}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.frame29.menubutton20
  ttk::menubutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.frame29.menubutton20  -menu {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.frame29.menubutton20.m}  -text {Options}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.frame29.menubutton20.m
  menu .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.frame29.menubutton20.m  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}  -tearoff {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.frame29.menubutton20.m add command  -command {gui3DioFastParamsFile browse}  -label {Browse}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.frame29.menubutton20.m add command  -command {gui3DioFastParamsFile load}  -label {Load}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.frame29.menubutton20.m add command  -command {gui3DioFastParamsFile save}  -label {Save}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe5
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe5  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4  -borderwidth {2}  -relief {raised}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe8
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe8  -borderwidth {4}  -relief {ridge}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe8.tlabel6
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe8.tlabel6  -font {Helvetica 10}  -relief {flat}  -text {Results A}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe8.tframe9
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe8.tframe9  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe8.tframe9.tframe10
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe8.tframe9.tframe10  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe8.tframe9.tframe10.tlabel12
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe8.tframe9.tframe10.tlabel12  -font {Helvetica 10}  -relief {flat}  -text {Model:}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe8.tframe9.tframe10.tlabel13
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe8.tframe9.tframe10.tlabel13  -font {Helvetica 10}  -relief {flat}  -text {Plots:}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe8.tframe9.tframe10.tlabel16
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe8.tframe9.tframe10.tlabel16  -font {Helvetica 10}  -relief {flat}  -text {3D Results:}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe8.tframe9.tframe10.tlabel20
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe8.tframe9.tframe10.tlabel20  -font {Helvetica 10}  -relief {flat}  -text {Options:}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe8.tframe9.tframe11
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe8.tframe9.tframe11  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe8.tframe9.tframe11.tmenubutton14
  ttk::menubutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe8.tframe9.tframe11.tmenubutton14  -menu {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe8.tframe9.tframe11.tmenubutton14.m}  -text {None}  -textvariable {guiRESULTSvars(left_model_selected)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe8.tframe9.tframe11.tmenubutton14.m
  menu .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe8.tframe9.tframe11.tmenubutton14.m  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe8.tframe9.tframe11.tmenubutton14.m add radiobutton  -value {None}  -variable {guiRESULTSvars(left_model_selected)}  -command {guiRESULTSselectModel left model}  -label {None}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe8.tframe9.tframe11.tmenubutton15
  ttk::menubutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe8.tframe9.tframe11.tmenubutton15  -menu {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe8.tframe9.tframe11.tmenubutton15.m}  -text {None}  -textvariable {guiRESULTSvars(left_plot_selected)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe8.tframe9.tframe11.tmenubutton15.m
  menu .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe8.tframe9.tframe11.tmenubutton15.m  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe8.tframe9.tframe11.tmenubutton15.m add radiobutton  -value {None}  -variable {guiRESULTSvars(left_plot_selected)}  -command {guiRESULTSselectPlots left}  -label {None}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe8.tframe9.tframe11.tmenubutton17
  ttk::menubutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe8.tframe9.tframe11.tmenubutton17  -menu {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe8.tframe9.tframe11.tmenubutton17.m}  -text {None}  -textvariable {guiRESULTSvars(left_3D_selected)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe8.tframe9.tframe11.tmenubutton17.m
  menu .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe8.tframe9.tframe11.tmenubutton17.m  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe8.tframe9.tframe11.tmenubutton17.m add radiobutton  -value {None}  -variable {guiRESULTSvars(left_3D_selected)}  -command {guiRESULTS3Dshow results}  -label {None}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe8.tframe9.tframe11.tframe19
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe8.tframe9.tframe11.tframe19  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe8.tframe9.tframe11.tframe19.tcheckbutton14
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe8.tframe9.tframe11.tframe19.tcheckbutton14  -variable {guiRESULTSvars(left_show)}  -command {guiRESULTS3Dshow left model}  -text {Show}  -width {5}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe8.tframe9.tframe11.tframe19.tscale0
  ttk::scale .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe8.tframe9.tframe11.tframe19.tscale0  -command {guiRESULTS3DsetOpacity left model}  -variable {guiRESULTSvars(left_opacity_scale_value)}  -value {1.0}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe8.tframe9.tframe11.tframe19.tbutton1
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe8.tframe9.tframe11.tframe19.tbutton1  -command {guiRESULTS3DsetColor left model}  -text {Color}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe21
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe21  -borderwidth {3}  -relief {ridge}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe21.tlabel6
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe21.tlabel6  -font {Helvetica 10}  -relief {flat}  -text {Results B}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe21.tframe9
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe21.tframe9  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe21.tframe9.tframe10
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe21.tframe9.tframe10  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe21.tframe9.tframe10.tlabel12
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe21.tframe9.tframe10.tlabel12  -font {Helvetica 10}  -relief {flat}  -text {Model:}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe21.tframe9.tframe10.tlabel13
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe21.tframe9.tframe10.tlabel13  -font {Helvetica 10}  -relief {flat}  -text {Plots:}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe21.tframe9.tframe10.tlabel16
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe21.tframe9.tframe10.tlabel16  -font {Helvetica 10}  -relief {flat}  -text {3D Results:}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe21.tframe9.tframe10.tlabel20
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe21.tframe9.tframe10.tlabel20  -font {Helvetica 10}  -relief {flat}  -text {Options:}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe21.tframe9.tframe11
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe21.tframe9.tframe11  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe21.tframe9.tframe11.tmenubutton14
  ttk::menubutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe21.tframe9.tframe11.tmenubutton14  -menu {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe21.tframe9.tframe11.tmenubutton14.m}  -text {None}  -textvariable {guiRESULTSvars(right_model_selected)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe21.tframe9.tframe11.tmenubutton14.m
  menu .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe21.tframe9.tframe11.tmenubutton14.m  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}  -tearoff {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe21.tframe9.tframe11.tmenubutton14.m add radiobutton  -value {None}  -variable {guiRESULTSvars(right_model_selected)}  -command {guiRESULTS3Dshow right model}  -label {None}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe21.tframe9.tframe11.tmenubutton15
  ttk::menubutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe21.tframe9.tframe11.tmenubutton15  -menu {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe21.tframe9.tframe11.tmenubutton15.m}  -text {None}  -textvariable {guiRESULTSvars(right_plot_selected)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe21.tframe9.tframe11.tmenubutton15.m
  menu .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe21.tframe9.tframe11.tmenubutton15.m  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe21.tframe9.tframe11.tmenubutton15.m add radiobutton  -value {None}  -variable {guiRESULTSvars(right_plot_selected)}  -command {guiRESULTSselectPlots right}  -label {None}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe21.tframe9.tframe11.tmenubutton17
  ttk::menubutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe21.tframe9.tframe11.tmenubutton17  -menu {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe21.tframe9.tframe11.tmenubutton17.m}  -text {None}  -textvariable {guiRESULTSvars(right_3D_selected)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe21.tframe9.tframe11.tmenubutton17.m
  menu .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe21.tframe9.tframe11.tmenubutton17.m  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe21.tframe9.tframe11.tmenubutton17.m add radiobutton  -value {None}  -variable {guiRESULTSvars(right_3D_selected)}  -command {guiRESULTSshow right results}  -label {None}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe21.tframe9.tframe11.tframe19
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe21.tframe9.tframe11.tframe19  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe21.tframe9.tframe11.tframe19.tcheckbutton14
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe21.tframe9.tframe11.tframe19.tcheckbutton14  -variable {guiRESULTSvars(right_show)}  -command {guiRESULTS3Dshow right model}  -text {Show}  -width {5}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe21.tframe9.tframe11.tframe19.tscale0
  ttk::scale .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe21.tframe9.tframe11.tframe19.tscale0  -command {guiRESULTS3DsetOpacity right model}  -variable {guiRESULTSvars(right_opacity_scale_value)}  -value {1.0}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe21.tframe9.tframe11.tframe19.tbutton1
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe21.tframe9.tframe11.tframe19.tbutton1  -command {guiRESULTS3DsetColor right model}  -text {Color}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe2
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe2  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe2.tpanedwindow0
  ttk::panedwindow .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe2.tpanedwindow0  -orient {horizontal}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe2.tpanedwindow0 <Button-1> {guiRESULTSbuttonPress}
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe2.tpanedwindow0 <ButtonRelease-1> {guiRESULTSbuttonRelease}
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe2.tpanedwindow0 <Motion> {guiRESULTSbuttonMotion}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe2.tpanedwindow0.tframe1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe2.tpanedwindow0.tframe1  -borderwidth {2}  -relief {raised}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe2.tpanedwindow0.tframe1.tlabel0
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe2.tpanedwindow0.tframe1.tlabel0  -font {Helvetica 10}  -relief {flat}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe2.tpanedwindow0.tframe2
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe2.tpanedwindow0.tframe2  -borderwidth {2}  -relief {raised}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe2.tpanedwindow0.tframe2.tlabel1
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe2.tpanedwindow0.tframe2.tlabel1  -font {Helvetica 10}  -relief {flat}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe9
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe9  -borderwidth {0}  -relief {flat}  -width {30}  -height {80}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe9.frame1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe9.frame1  -width {270}  -height {188}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe9.frame19
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe9.frame19  -borderwidth {0}  -relief {flat}  -width {619}  -height {274}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe9.frame19.tframe1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe9.frame19.tframe1  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe9.frame19.tframe1.frame8
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe9.frame19.tframe1.frame8  -borderwidth {0}  -relief {flat}  -width {397}  -height {140}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe9.frame19.tframe1.frame8.frame0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe9.frame19.tframe1.frame8.frame0  -width {440}  -height {35}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe9.frame19.tframe1.frame8.frame0.label5
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe9.frame19.tframe1.frame8.frame0.label5  -font {helvetica 10}  -borderwidth {0}  -text {surf id: }  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe9.frame19.tframe1.frame8.frame0.entry0
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe9.frame19.tframe1.frame8.frame0.entry0  -font {Helvetica 10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe9.frame19.tframe1.frame8.frame0.button6
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe9.frame19.tframe1.frame8.frame0.button6  -command {guiSV_model_set_att_name}  -text {Set Value}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe9.frame19.tframe1.frame8.frame5
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe9.frame19.tframe1.frame8.frame5  -borderwidth {0}  -relief {flat}  -width {440}  -height {35}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe9.frame19.tframe1.frame8.frame5.label5
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe9.frame19.tframe1.frame8.frame5.label5  -font {helvetica 10}  -borderwidth {0}  -text {surf name: }  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe9.frame19.tframe1.frame8.frame5.entry0
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe9.frame19.tframe1.frame8.frame5.entry0  -font {Helvetica 10}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe9.frame19.tframe1.frame8.frame5.entry0 <Key-Return> {guiSV_model_set_att_name}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe9.frame19.tframe1.frame8.frame5.button7
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe9.frame19.tframe1.frame8.frame5.button7  -command {guiSV_model_set_att_name}  -text {Set Value}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe9.frame19.tframe1.frame8.frame9
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe9.frame19.tframe1.frame8.frame9  -borderwidth {0}  -relief {flat}  -width {440}  -height {26}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe9.frame19.tframe1.frame8.frame9.frame2
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe9.frame19.tframe1.frame8.frame9.frame2  -width {222}  -height {26}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe9.frame19.tframe1.frame8.frame9.frame2.label5
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe9.frame19.tframe1.frame8.frame9.frame2.label5  -font {helvetica 10}  -borderwidth {0}  -text {entity id: }  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe9.frame19.tframe1.frame8.frame9.frame2.entry0
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe9.frame19.tframe1.frame8.frame9.frame2.entry0  -font {Helvetica 10}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe9.frame19.tframe1.frame8.frame9.frame6
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe9.frame19.tframe1.frame8.frame9.frame6  -width {222}  -height {26}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe9.frame19.tframe1.frame8.frame9.frame6.label5
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe9.frame19.tframe1.frame8.frame9.frame6.label5  -font {helvetica 10}  -borderwidth {0}  -text {identifier id:}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe9.frame19.tframe1.frame8.frame9.frame6.label11
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe9.frame19.tframe1.frame8.frame9.frame6.label11  -font {Helvetica 10}  -relief {flat}  -text {foo}  -textvariable {smasherEntityIdentifier}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe9.frame19.tframe1.frame8.label10
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe9.frame19.tframe1.frame8.label10  -font {Helvetica 10}  -relief {flat}  -text {Change Face Name}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe11
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe11  -borderwidth {0}  -relief {flat}  -width {30}  -height {80}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe11.frame1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe11.frame1  -width {270}  -height {188}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe11.frame1.treeview1
  ttk::treeview .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe11.frame1.treeview1  -show {tree}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe11.frame1.tscrollbar0
  ttk::scrollbar .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe11.frame1.tscrollbar0  -command {guiSV_model_tree_scroll}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe11.frame2
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe11.frame2  -width {270}  -height {188}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe11.frame2.tlabel1
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe11.frame2.tlabel1  -font {Helvetica 10}  -relief {flat}  -anchor {center}  -text {Visualization}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe11.frame2.menubutton9
  ttk::menubutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe11.frame2.menubutton9  -menu {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe11.frame2.menubutton9.m}  -text {Model Visualization}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe11.frame2.menubutton9.m
  menu .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe11.frame2.menubutton9.m  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}  -tearoff {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe11.frame2.menubutton9.m add command  -command {guiSV_model_display_selected_full_model 1}  -label {Display as Full Model}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe11.frame2.menubutton9.m add command  -command {guiSV_model_display_selected_models_all_faces 1}  -label {Display as Faces}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe11.frame2.menubutton9.m add command  -command {guiSV_model_display_selected_full_model 0}  -label {Do Not Display Model}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe11.frame2.menubutton10
  ttk::menubutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe11.frame2.menubutton10  -menu {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe11.frame2.menubutton10.m}  -text {Face Visualization}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe11.frame2.menubutton10.m
  menu .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe11.frame2.menubutton10.m  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}  -tearoff {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe11.frame2.menubutton10.m add command  -command {guiSV_model_display_selected_faces 1}  -label {Display Face}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe11.frame2.menubutton10.m add command  -command {guiSV_model_display_selected_faces 0}  -label {Do Not Display Face}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe11.frame2.menubutton11
  ttk::menubutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe11.frame2.menubutton11  -menu {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe11.frame2.menubutton11.m}  -text {Color and Opacity}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe11.frame2.menubutton11.m
  menu .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe11.frame2.menubutton11.m  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}  -tearoff {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe11.frame2.menubutton11.m add command  -command {guiSV_model_change_selected_color}  -label {Change Selected Color}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe11.frame2.menubutton11.m add cascade  -menu {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe11.frame2.menubutton11.m.m}  -label {Change Selected Opacity}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe11.frame2.menubutton11.m.m
  menu .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe11.frame2.menubutton11.m.m  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}  -tearoff {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe11.frame2.menubutton11.m.m add command  -command {guiSV_model_change_selected_opacity 1.0}  -label {opaque (1.0)}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe11.frame2.menubutton11.m.m add command  -command {guiSV_model_change_selected_opacity 0.75}  -label {semi-transparent (0.75)}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe11.frame2.menubutton11.m.m add command  -command {guiSV_model_change_selected_opacity 0.5}  -label {semi-transparent (0.5)}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe11.frame2.menubutton11.m.m add command  -command {guiSV_model_change_selected_opacity 0.33}  -label {semi-transparent (0.33)}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe11.frame2.menubutton11.m.m add command  -command {guiSV_model_change_selected_opacity 0.2}  -label {semi-transparent (0.2)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe11.frame2.tlabel2
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe11.frame2.tlabel2  -font {Helvetica 10}  -relief {flat}  -anchor {center}  -text {Operations}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe11.frame2.menubutton12
  ttk::menubutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe11.frame2.menubutton12  -menu {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe11.frame2.menubutton12.m}  -text {Model Operations}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe11.frame2.menubutton12.m
  menu .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe11.frame2.menubutton12.m  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}  -tearoff {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe11.frame2.menubutton12.m add command  -command {guiSV_model_delete_selected_model}  -label {Delete Selected Model}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe11.frame2.menubutton12.m add command  -command {guiSV_model_copy_selected_model}  -label {Copy Selected Model}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe11.frame2.menubutton12.m add command  -command {guiSV_model_rename_selected_model}  -label {Rename Selected Model}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe11.frame2.menubutton12.m add command  -command {guiSV_model_get_older_version_selected_model}  -label {Get Model Backup}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe11.frame2.menubutton13
  ttk::menubutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe11.frame2.menubutton13  -menu {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe11.frame2.menubutton13.m}  -text {Face Operations}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe11.frame2.menubutton13.m
  menu .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe11.frame2.menubutton13.m  -activeborderwidth {1}  -borderwidth {1}  -font {Helvetica 10}  -tearoff {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe11.frame2.menubutton13.m add command  -command {guiSV_model_calc_selected_face_area}  -label {Calculate Selected Area}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe11.frame2.tbutton1
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe11.frame2.tbutton1  -command {guiSV_model_undo}  -text {Undo}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1
  ttk::notebook .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1
  ttk::notebook .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe2
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe2  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe2.tlabelframe1
  ttk::labelframe .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe2.tlabelframe1  -text {Execute [-]} -width {30}  -height {30}
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe2.tlabelframe1 <Button-1> {guiCV_squeezer_labelframe .tframe5 %W}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe2.tlabelframe1.tframe5
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe2.tlabelframe1.tframe5  -borderwidth {2}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe2.tlabelframe1.tframe5.frame1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe2.tlabelframe1.tframe5.frame1  -width {229}  -height {121}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe2.tlabelframe1.tframe5.frame1.button12
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe2.tlabelframe1.tframe5.frame1.button12  -command {guiSV_model_create_model_parasolid}  -text {Create Solid Model}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe2.tlabelframe1.tframe5.frame8
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe2.tlabelframe1.tframe5.frame8  -borderwidth {0}  -relief {flat}  -width {336}  -height {74}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe2.tlabelframe1.tframe5.frame8.label10
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe2.tlabelframe1.tframe5.frame8.label10  -font {Helvetica 10}  -relief {flat}  -text {Lofting Options}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe2.tlabelframe1.tframe5.frame8.frame1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe2.tlabelframe1.tframe5.frame8.frame1  -width {509}  -height {26}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe2.tlabelframe1.tframe5.frame8.frame1.label8
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe2.tlabelframe1.tframe5.frame8.frame1.label8  -font {Helvetica 10}  -text {num sample pts: }  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe2.tlabelframe1.tframe5.frame8.frame1.entry9
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe2.tlabelframe1.tframe5.frame8.frame1.entry9  -font {Helvetica 10}  -textvariable {gPathBrowser(solid_sample)}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe2.tlabelframe1.tframe5.frame8.frame1.entry9 <Key-Return> {guiGROUPSUpdateSource}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe2.tlabelframe2
  ttk::labelframe .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe2.tlabelframe2  -text {Execute [-]} -width {30}  -height {30}
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe2.tlabelframe2 <Button-1> {guiCV_squeezer_labelframe .tframe5 %W}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe2.tlabelframe2.tframe5
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe2.tlabelframe2.tframe5  -borderwidth {2}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe2.tlabelframe2.tframe5.tframe6
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe2.tlabelframe2.tframe5.tframe6  -borderwidth {2}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe2.tlabelframe2.tframe5.tframe6.button1
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe2.tlabelframe2.tframe5.tframe6.button1  -command {guiSV_model_create_polydata_solid_from_nurbs}  -text {Convert Selected Model To PolyData}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe2.tlabelframe2.tframe5.tframe7
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe2.tlabelframe2.tframe5.tframe7  -borderwidth {2}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe2.tlabelframe2.tframe5.tframe7.tlabel1
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe2.tlabelframe2.tframe5.tframe7.tlabel1  -font {Helvetica 10}  -text {Cell Edge Size: }  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe2.tlabelframe2.tframe5.tframe7.tentry1
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe2.tlabelframe2.tframe5.tframe7.tentry1  -font {Helvetica 10}  -textvariable {guiSVvars(facet_max_edge_size)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe3
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe3  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe3.tframe7
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe3.tframe7  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe3.tframe7.frame1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe3.tframe7.frame1  -borderwidth {0}  -relief {flat}  -width {479}  -height {80}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe3.tframe7.frame1.frame0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe3.tframe7.frame1.frame0  -width {495}  -height {28}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe3.tframe7.frame1.frame0.label14
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe3.tframe7.frame1.frame0.label14  -font {Helvetica 10}  -text {blends file:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe3.tframe7.frame1.frame0.entry15
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe3.tframe7.frame1.frame0.entry15  -font {Helvetica 10}  -textvariable {gFilenames(blend_file)}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe3.tframe7.frame1.frame0.entry15 <Key-Return> {guiBLENDSloadBLENDfile}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe3.tframe7.frame1.frame0.button16
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe3.tframe7.frame1.frame0.button16  -command {guiBLENDSbrowseScript blend_file}  -text {Browse}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe3.tframe7.frame1.frame2
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe3.tframe7.frame1.frame2  -width {495}  -height {32}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe3.tframe7.frame1.frame2.button3
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe3.tframe7.frame1.frame2.button3  -command {guiBLENDSloadBLENDfile}  -text {Load Blends File}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe3.tframe7.frame1.frame2.button4
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe3.tframe7.frame1.frame2.button4  -command {guiBLENDSsaveBLENDfile}  -text {Save Blends File}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe3.tframe7.frame1.label16
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe3.tframe7.frame1.label16  -font {Helvetica 10}  -borderwidth {0}  -text {Blend Params File}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe3.tframe7.frame2
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe3.tframe7.frame2  -borderwidth {0}  -relief {flat}  -width {479}  -height {86}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe3.tframe7.frame2.frame0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe3.tframe7.frame2.frame0  -width {497}  -height {28}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe3.tframe7.frame2.frame0.button3
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe3.tframe7.frame2.frame0.button3  -command {guiSV_model_blend_selected_models}  -text {Blend Model}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe3.tframe7.frame2.label17
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe3.tframe7.frame2.label17  -font {Helvetica 10}  -borderwidth {0}  -text {Blended Solid Model}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe3.tframe7.frame18
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe3.tframe7.frame18  -width {587}  -height {416}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe3.tframe7.frame18.frame20
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe3.tframe7.frame18.frame20  -width {151}  -height {106}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe3.tframe7.frame18.frame20.frame
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe3.tframe7.frame18.frame20.frame  -relief {flat}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe3.tframe7.frame18.frame20.frame.scrollbar1
  ttk::scrollbar .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe3.tframe7.frame18.frame20.frame.scrollbar1  -command {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe3.tframe7.frame18.frame20.frame.text2 yview}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe3.tframe7.frame18.frame20.frame.text2
  text .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe3.tframe7.frame18.frame20.frame.text2  -font {Helvetica 10}  -height {1}  -relief {raised}  -width {30}  -wrap {none}  -yscrollcommand {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe3.tframe7.frame18.frame20.frame.scrollbar1 set}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe3.tframe7.frame18.frame20.frame.text2 <Key> {NoFunction}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe3.tframe7.frame18.frame10
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe3.tframe7.frame18.frame10  -relief {flat}  -width {583}  -height {22}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe3.tframe7.frame18.frame10.label17
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe3.tframe7.frame18.frame10.label17  -font {Helvetica 10}  -borderwidth {0}  -text {face 1}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe3.tframe7.frame18.frame10.label6
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe3.tframe7.frame18.frame10.label6  -font {Helvetica 10}  -borderwidth {0}  -text {face 2}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe3.tframe7.frame18.frame10.label8
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe3.tframe7.frame18.frame10.label8  -font {Helvetica 10}  -borderwidth {0}  -text {radius}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe4
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe4  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe4.tframe9
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe4.tframe9  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe4.tframe9.tlabel6
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe4.tframe9.tlabel6  -font {Helvetica 10}  -relief {flat}  -text {Trim a Parasolid Model with PCMRI Location}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe4.tframe9.button17
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe4.tframe9.button17  -command {guiSV_model_trim_model}  -text {Trim Solid Model}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16
  ttk::notebook .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0
  ttk::labelframe .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0  -text {Global Surface Operators [-]}  -width {265}  -height {25}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0 <Button-1> {guiCV_squeezer_labelframe .tframe13 %W}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe13
  ttk::labelframe .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe13  -text {Butterfly Subdivision [-]}  -width {261}  -height {25}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe13 <Button-1> {guiCV_squeezer_labelframe .tframe13 %W}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe13.tframe13
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe13.tframe13  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe13.tframe13.tframe9
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe13.tframe13.tframe9  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe13.tframe13.tframe9.tframe31
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe13.tframe13.tframe9.tframe31  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe13.tframe13.tframe9.tframe31.tlabel22
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe13.tframe13.tframe9.tframe31.tlabel22  -font {Helvetica 10}  -relief {flat}  -text {Num Divisions:}  -width {15}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe13.tframe13.tframe9.tframe31.tentry23
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe13.tframe13.tframe9.tframe31.tentry23  -font {Helvetica 10}  -textvariable {gui3Dvars(smooth_butterfly_divisions)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe13.tframe13.tframe9.tframe31.tbutton18
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe13.tframe13.tframe9.tframe31.tbutton18  -command {gui3DchangeSurface gBut}  -text {Subdivide}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe14
  ttk::labelframe .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe14  -text {Densify [+]}  -width {261}  -height {25}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe14 <Button-1> {guiCV_squeezer_labelframe .tframe13 %W}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe14.tframe13
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe14.tframe13  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe14.tframe13.tframe7
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe14.tframe13.tframe7  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe14.tframe13.tframe7.tframe31
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe14.tframe13.tframe7.tframe31  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe14.tframe13.tframe7.tframe31.tlabel22
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe14.tframe13.tframe7.tframe31.tlabel22  -font {Helvetica 10}  -relief {flat}  -text {Num Divisions:}  -width {15}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe14.tframe13.tframe7.tframe31.tentry23
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe14.tframe13.tframe7.tframe31.tentry23  -font {Helvetica 10}  -textvariable {gui3Dvars(smooth_densify_divisions)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe14.tframe13.tframe7.tframe31.tbutton18
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe14.tframe13.tframe7.tframe31.tbutton18  -command {gui3DchangeSurface gBut}  -text {Subdivide}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe15
  ttk::labelframe .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe15  -text {Decimate Surface [-]}  -width {261}  -height {25}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe15 <Button-1> {guiCV_squeezer_labelframe .tframe13 %W}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe15.tframe13
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe15.tframe13  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe15.tframe13.tframe0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe15.tframe13.tframe0  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe15.tframe13.tframe0.tframe31
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe15.tframe13.tframe0.tframe31  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe15.tframe13.tframe0.tframe31.tlabel22
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe15.tframe13.tframe0.tframe31.tlabel22  -font {Helvetica 10}  -relief {flat}  -text {Target rate:}  -width {15}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe15.tframe13.tframe0.tframe31.tentry23
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe15.tframe13.tframe0.tframe31.tentry23  -font {Helvetica 10}  -textvariable {gui3Dvars(smooth_quad_target)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe15.tframe13.tframe0.tframe31.tbutton18
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe15.tframe13.tframe0.tframe31.tbutton18  -command {gui3DchangeSurface gDec}  -text {Decimate}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe16
  ttk::labelframe .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe16  -text {Laplacian Smooth [-]}  -width {261}  -height {25}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe16 <Button-1> {guiCV_squeezer_labelframe .tframe13 %W}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe16.tframe13
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe16.tframe13  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe16.tframe13.tframe2
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe16.tframe13.tframe2  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe16.tframe13.tframe2.tframe31
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe16.tframe13.tframe2.tframe31  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe16.tframe13.tframe2.tframe31.tlabel22
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe16.tframe13.tframe2.tframe31.tlabel22  -font {Helvetica 10}  -relief {flat}  -text {Num Iters:}  -width {15}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe16.tframe13.tframe2.tframe31.tentry23
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe16.tframe13.tframe2.tframe31.tentry23  -font {Helvetica 10}  -textvariable {gui3Dvars(smooth_smooth_num_iters)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe16.tframe13.tframe2.tframe32
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe16.tframe13.tframe2.tframe32  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe16.tframe13.tframe2.tframe32.tlabel22
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe16.tframe13.tframe2.tframe32.tlabel22  -font {Helvetica 10}  -relief {flat}  -text {Relax Factor:}  -width {15}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe16.tframe13.tframe2.tframe32.tentry23
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe16.tframe13.tframe2.tframe32.tentry23  -font {Helvetica 10}  -textvariable {gui3Dvars(smooth_smooth_relax_factor)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe16.tframe13.tframe2.tframe32.tbutton4
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe16.tframe13.tframe2.tframe32.tbutton4  -command {gui3DchangeSurface gSm}  -text {Smooth}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe17
  ttk::labelframe .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe17  -text {WindowSync Smooth [+]}  -width {261}  -height {25}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe17 <Button-1> {guiCV_squeezer_labelframe .tframe13 %W}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe17.tframe13
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe17.tframe13  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe17.tframe13.tframe0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe17.tframe13.tframe0  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe17.tframe13.tframe0.tframe31
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe17.tframe13.tframe0.tframe31  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe17.tframe13.tframe0.tframe31.tlabel22
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe17.tframe13.tframe0.tframe31.tlabel22  -font {Helvetica 10}  -relief {flat}  -text {Num Iters:}  -width {15}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe17.tframe13.tframe0.tframe31.tentry23
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe17.tframe13.tframe0.tframe31.tentry23  -font {Helvetica 10}  -textvariable {gui3Dvars(smooth_syncsmooth_num_iters)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe17.tframe13.tframe0.tframe32
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe17.tframe13.tframe0.tframe32  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe17.tframe13.tframe0.tframe32.tlabel22
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe17.tframe13.tframe0.tframe32.tlabel22  -font {Helvetica 10}  -relief {flat}  -text {Band:}  -width {15}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe17.tframe13.tframe0.tframe32.tentry23
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe17.tframe13.tframe0.tframe32.tentry23  -font {Helvetica 10}  -textvariable {gui3Dvars(smooth_syncsmooth_pass_band_value)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe17.tframe13.tframe0.tframe32.tbutton4
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe17.tframe13.tframe0.tframe32.tbutton4  -command {gui3DchangeSurface gSSm}  -text {Smooth}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe1
  ttk::labelframe .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe1  -text {Global Operators [-]}  -width {198}  -height {25}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe1 <Button-1> {guiCV_squeezer_labelframe .tframe21 %W}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe1.tframe21
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe1.tframe21  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe1.tframe21.tframe14
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe1.tframe21.tframe14  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe1.tframe21.tframe14.tbutton20
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe1.tframe21.tframe14.tbutton20  -command {gui3DchangeSurface larg}  -text {Select Largest Region}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe1.tframe21.tframe14.tbutton0
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe1.tframe21.tframe14.tbutton0  -command {gui3DchangeSurface fill}  -text {Fill Holes}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe10
  ttk::labelframe .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe10  -text {Helper [+]}  -width {198}  -height {25}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe10 <Button-1> {guiCV_squeezer_labelframe .tframe21 %W}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe10.tframe21
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe10.tframe21  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe10.tframe21.tbutton1
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe10.tframe21.tbutton1  -command {guiSVHELPshow smooth.txt}  -text {Help}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0
  ttk::labelframe .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0  -text {Local Surface Operators [-]}  -width {265}  -height {25}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0 <Button-1> {guiCV_squeezer_labelframe .tframe13 %W}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe15
  ttk::labelframe .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe15  -text {Decimate Surface [-]}  -width {261}  -height {25}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe15 <Button-1> {guiCV_squeezer_labelframe .tframe13 %W}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe15.tframe13
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe15.tframe13  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe15.tframe13.tframe0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe15.tframe13.tframe0  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe15.tframe13.tframe0.tframe31
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe15.tframe13.tframe0.tframe31  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe15.tframe13.tframe0.tframe31.tlabel22
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe15.tframe13.tframe0.tframe31.tlabel22  -font {Helvetica 10}  -relief {flat}  -text {Target rate:}  -width {15}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe15.tframe13.tframe0.tframe31.tentry23
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe15.tframe13.tframe0.tframe31.tentry23  -font {Helvetica 10}  -textvariable {gui3Dvars(local_quad_target)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe15.tframe13.tframe0.tframe31.tbutton18
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe15.tframe13.tframe0.tframe31.tbutton18  -command {gui3DchangeSurface lDec}  -text {Locally Decimate}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe16
  ttk::labelframe .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe16  -text {Laplacian Smooth [-]}  -width {261}  -height {25}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe16 <Button-1> {guiCV_squeezer_labelframe .tframe13 %W}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe16.tframe13
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe16.tframe13  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe16.tframe13.tframe2
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe16.tframe13.tframe2  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe16.tframe13.tframe2.tframe31
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe16.tframe13.tframe2.tframe31  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe16.tframe13.tframe2.tframe31.tlabel22
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe16.tframe13.tframe2.tframe31.tlabel22  -font {Helvetica 10}  -relief {flat}  -text {Num Iters:}  -width {15}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe16.tframe13.tframe2.tframe31.tentry23
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe16.tframe13.tframe2.tframe31.tentry23  -font {Helvetica 10}  -textvariable {gui3Dvars(local_smooth_num_iters)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe16.tframe13.tframe2.tframe32
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe16.tframe13.tframe2.tframe32  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe16.tframe13.tframe2.tframe32.tlabel22
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe16.tframe13.tframe2.tframe32.tlabel22  -font {Helvetica 10}  -relief {flat}  -text {Relax Factor:}  -width {15}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe16.tframe13.tframe2.tframe32.tentry23
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe16.tframe13.tframe2.tframe32.tentry23  -font {Helvetica 10}  -textvariable {gui3Dvars(local_smooth_relax_factor)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe16.tframe13.tframe2.tframe32.tbutton4
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe16.tframe13.tframe2.tframe32.tbutton4  -command {gui3DchangeSurface lLap}  -text {Locally Laplacian Smooth}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe18
  ttk::labelframe .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe18  -text {Constrain Smooth [-]}  -width {261}  -height {25}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe18 <Button-1> {guiCV_squeezer_labelframe .tframe13 %W}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe18.tframe13
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe18.tframe13  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe18.tframe13.tframe2
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe18.tframe13.tframe2  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe18.tframe13.tframe2.tframe31
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe18.tframe13.tframe2.tframe31  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe18.tframe13.tframe2.tframe31.tlabel22
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe18.tframe13.tframe2.tframe31.tlabel22  -font {Helvetica 10}  -relief {flat}  -text {Num Iters:}  -width {15}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe18.tframe13.tframe2.tframe31.tentry23
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe18.tframe13.tframe2.tframe31.tentry23  -font {Helvetica 10}  -textvariable {gui3Dvars(local_cgsmooth_num_iters)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe18.tframe13.tframe2.tframe32
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe18.tframe13.tframe2.tframe32  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe18.tframe13.tframe2.tframe32.tlabel22
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe18.tframe13.tframe2.tframe32.tlabel22  -font {Helvetica 10}  -relief {flat}  -text {Constrain Factor:}  -width {15}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe18.tframe13.tframe2.tframe32.tentry23
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe18.tframe13.tframe2.tframe32.tentry23  -font {Helvetica 10}  -textvariable {gui3Dvars(local_cgsmooth_constrain_factor)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe18.tframe13.tframe2.tframe32.tbutton4
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe18.tframe13.tframe2.tframe32.tbutton4  -command {gui3DchangeSurface lCon}  -text {Locally Constrain Smooth}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe17
  ttk::labelframe .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe17  -text {Linear Subdivision [-]}  -width {261}  -height {25}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe17 <Button-1> {guiCV_squeezer_labelframe .tframe13 %W}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe17.tframe13
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe17.tframe13  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe17.tframe13.tframe0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe17.tframe13.tframe0  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe17.tframe13.tframe0.tframe31
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe17.tframe13.tframe0.tframe31  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe17.tframe13.tframe0.tframe31.tlabel22
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe17.tframe13.tframe0.tframe31.tlabel22  -font {Helvetica 10}  -relief {flat}  -text {Num Divisions:}  -width {15}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe17.tframe13.tframe0.tframe31.tentry23
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe17.tframe13.tframe0.tframe31.tentry23  -font {Helvetica 10}  -textvariable {gui3Dvars(local_linear_subdivisions)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe17.tframe13.tframe0.tframe31.tbutton18
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe17.tframe13.tframe0.tframe31.tbutton18  -command {gui3DchangeSurface lLinSub}  -text {Locally Subdivide}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1
  ttk::labelframe .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1  -text {Local Region Selection [-]}  -width {265}  -height {25}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1 <Button-1> {guiCV_squeezer_labelframe .tframe13 %W}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.tframe1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.tframe1  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.tframe1.tlabelframe14
  ttk::labelframe .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.tframe1.tlabelframe14  -text {Local Parameters [-]}  -width {583}  -height {25}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.tframe1.tlabelframe14 <Button-1> {guiCV_squeezer_labelframe .tframe15 %W}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.tframe1.tlabelframe14.tframe15
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.tframe1.tlabelframe14.tframe15  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.tframe1.tlabelframe14.tframe15.frame
  frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.tframe1.tlabelframe14.tframe15.frame  -relief {raised}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.tframe1.tlabelframe14.tframe15.frame.scrollbar1
  scrollbar .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.tframe1.tlabelframe14.tframe15.frame.scrollbar1  -command {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.tframe1.tlabelframe14.tframe15.frame.text2 yview}  -relief {raised}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.tframe1.tlabelframe14.tframe15.frame.text2
  text .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.tframe1.tlabelframe14.tframe15.frame.text2  -borderwidth {2}  -font {Helvetica 10}  -relief {raised}  -wrap {none}  -yscrollcommand {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.tframe1.tlabelframe14.tframe15.frame.scrollbar1 set}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15
  ttk::notebook .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe1  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe1.tframe1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe1.tframe1  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe1.tframe1.tframe2
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe1.tframe1.tframe2  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe1.tframe1.tframe2.tcheckbutton1
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe1.tframe1.tframe2.tcheckbutton1  -variable {gui3Dvars(showSphere)}  -command {guiSPHEREvis "model"}  -text {Show Sphere Interactor}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe1.tframe1.tframe2.tframe9
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe1.tframe1.tframe2.tframe9  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe1.tframe1.tframe2.tframe9.tframe5
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe1.tframe1.tframe2.tframe9.tframe5  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe1.tframe1.tframe2.tframe9.tframe5.label5
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe1.tframe1.tframe2.tframe9.tframe5.label5  -font {Helvetica 10}  -borderwidth {0}  -text {Sphere Radius:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe1.tframe1.tframe2.tframe9.tframe5.entry5
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe1.tframe1.tframe2.tframe9.tframe5.entry5  -font {Helvetica 10}  -textvariable {gui3Dvars(setSphereRadius)}  -width {10}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe1.tframe1.tframe2.tframe9.tframe5.entry5 <Key-Return> {guiREFINEsetRefineSphereRadius "model"}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe1.tframe1.button2
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe1.tframe1.button2  -command {guiSV_model_create_local_surface_macro sphere}  -text {Add Sphere Region}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe2
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe2  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe2.tframe1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe2.tframe1  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe2.tframe1.tframe2
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe2.tframe1.tframe2  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe2.tframe1.tframe2.tlabel4
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe2.tframe1.tframe2.tlabel4  -font {Helvectica 10}  -relief {flat}  -text {Highlight faces of model in list above, then click "Add Faces"}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe2.tframe1.button2
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe2.tframe1.button2  -command {guiSV_model_create_local_surface_macro faces}  -text {Add Faces}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe3
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe3  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe3.tframe1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe3.tframe1  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe3.tframe1.tframe2
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe3.tframe1.tframe2  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe3.tframe1.tframe2.tlabel1
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe3.tframe1.tframe2.tlabel1  -font {Helvectica 10}  -relief {flat}  -text {To select cells, place cursor over object and press 'c'}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe3.tframe1.tframe2.tlabel2
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe3.tframe1.tframe2.tlabel2  -font {Helvectica 10}  -relief {flat}  -text {To select multiple cells, place cursor over object and press 'C'}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe3.tframe1.button2
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe3.tframe1.button2  -command {guiSV_model_create_local_surface_macro cells}  -text {Add Cells}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe4
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe4  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe4.tframe1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe4.tframe1  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe4.tframe1.tframe2
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe4.tframe1.tframe2  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe4.tframe1.tframe2.tlabel4
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe4.tframe1.tframe2.tlabel4  -font {Helvectica 10}  -relief {flat}  -text {Highlight faces of model in list above, then click "Add Blend Between Faces"}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe4.tframe1.button2
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe4.tframe1.button2  -command {guiSV_model_create_local_surface_macro blend}  -text {Add Blend Between Faces}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe4.tframe1.tframe3
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe4.tframe1.tframe3  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe4.tframe1.tframe3.label5
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe4.tframe1.tframe3.label5  -font {Helvetica 10}  -borderwidth {0}  -text {Blend Sphere Radius:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe4.tframe1.tframe3.entry5
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe4.tframe1.tframe3.entry5  -font {Helvetica 10}  -textvariable {gui3Dvars(blendSphereRadius)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.frame1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.frame1  -borderwidth {0}  -relief {flat}  -width {479}  -height {80}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.frame1.frame0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.frame1.frame0  -width {495}  -height {28}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.frame1.frame0.label14
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.frame1.frame0.label14  -font {Helvetica 10}  -text {blends file:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.frame1.frame0.entry15
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.frame1.frame0.entry15  -font {Helvetica 10}  -textvariable {gFilenames(blend_file)}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.frame1.frame0.entry15 <Key-Return> {guiBLENDSloadBLENDfile}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.frame1.frame0.button16
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.frame1.frame0.button16  -command {guiBLENDSbrowseScript blend_file}  -text {Browse}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.frame1.frame2
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.frame1.frame2  -width {495}  -height {32}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.frame1.frame2.button3
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.frame1.frame2.button3  -command {guiBLENDSloadBLENDfile}  -text {Load Blends File}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.frame1.frame2.button4
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.frame1.frame2.button4  -command {guiBLENDSsaveBLENDfile}  -text {Save Blends File}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.frame1.label16
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.frame1.label16  -font {Helvetica 10}  -borderwidth {0}  -text {Blend Params File}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.frame2
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.frame2  -borderwidth {0}  -relief {flat}  -width {479}  -height {86}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.frame2.frame0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.frame2.frame0  -width {497}  -height {28}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.frame2.frame0.button3
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.frame2.frame0.button3  -command {guiSV_model_blend_selected_models_polydata}  -text {Blend Model}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.frame2.label17
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.frame2.label17  -font {Helvetica 10}  -borderwidth {0}  -text {Blended Solid Model}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.tlabelframe4
  ttk::labelframe .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.tlabelframe4  -text {Blend Options [-]}  -width {30}  -height {25}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.tlabelframe4 <Button-1> {guiCV_squeezer_labelframe .tframe1 %W}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.tlabelframe4.tframe1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.tlabelframe4.tframe1  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.tlabelframe4.tframe1.label17
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.tlabelframe4.tframe1.label17  -font {Helvetica 10}  -borderwidth {0}  -text {Blend Iterations}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.tlabelframe4.tframe1.entry12
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.tlabelframe4.tframe1.entry12  -font {Helvetica 10}  -textvariable {gui3Dvars(local_blend_iters)} -width {4}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.tlabelframe4.tframe1.label18
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.tlabelframe4.tframe1.label18  -font {Helvetica 10}  -borderwidth {0}  -text {Sub Blend Iterations}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.tlabelframe4.tframe1.entry13
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.tlabelframe4.tframe1.entry13  -font {Helvetica 10}  -textvariable {gui3Dvars(local_subblend_iters)} -width {4}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.tlabelframe4.tframe1.label19
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.tlabelframe4.tframe1.label19  -font {Helvetica 10}  -borderwidth {0}  -text {Constrained Smooth Iterations}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.tlabelframe4.tframe1.entry14
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.tlabelframe4.tframe1.entry14  -font {Helvetica 10}  -textvariable {gui3Dvars(local_blend_cgsmooth_iters)} -width {4}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.tlabelframe4.tframe1.label20
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.tlabelframe4.tframe1.label20  -font {Helvetica 10}  -borderwidth {0}  -text {Laplacian Smooth Iterations}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.tlabelframe4.tframe1.entry15
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.tlabelframe4.tframe1.entry15  -font {Helvetica 10}  -textvariable {gui3Dvars(local_blend_smooth_iters)} -width {4}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.tlabelframe4.tframe1.label21
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.tlabelframe4.tframe1.label21  -font {Helvetica 10}  -borderwidth {0}  -text {Subdivision Iterations}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.tlabelframe4.tframe1.entry16
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.tlabelframe4.tframe1.entry16  -font {Helvetica 10}  -textvariable {gui3Dvars(local_blend_subdivision_iters)} -width {4}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.tlabelframe4.tframe1.label22
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.tlabelframe4.tframe1.label22  -font {Helvetica 10}  -borderwidth {0}  -text {Decimation}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.tlabelframe4.tframe1.entry17
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.tlabelframe4.tframe1.entry17  -font {Helvetica 10}  -textvariable {gui3Dvars(local_blend_decimation)} -width {4}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.frame18
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.frame18  -width {587}  -height {416}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.frame18.frame20
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.frame18.frame20  -width {151}  -height {106}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.frame18.frame20.frame
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.frame18.frame20.frame  -relief {flat}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.frame18.frame20.frame.scrollbar1
  ttk::scrollbar .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.frame18.frame20.frame.scrollbar1  -command {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.frame18.frame20.frame.text2 yview}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.frame18.frame20.frame.text2
  text .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.frame18.frame20.frame.text2  -font {Helvetica 10}  -height {1}  -relief {raised}  -width {30}  -wrap {none}  -yscrollcommand {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.frame18.frame20.frame.scrollbar1 set}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.frame18.frame20.frame.text2 <Key> {NoFunction}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.frame18.frame10
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.frame18.frame10  -relief {flat}  -width {583}  -height {22}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.frame18.frame10.label17
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.frame18.frame10.label17  -font {Helvetica 10}  -borderwidth {0}  -text {face 1}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.frame18.frame10.label6
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.frame18.frame10.label6  -font {Helvetica 10}  -borderwidth {0}  -text {face 2}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.frame18.frame10.label8
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.frame18.frame10.label8  -font {Helvetica 10}  -borderwidth {0}  -text {radius}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe3
  ttk::labelframe .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe3  -text {Cuts File [-]}  -width {30}  -height {25}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe3 <Button-1> {guiCV_squeezer_labelframe .tframe1 %W}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe3.tframe1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe3.tframe1  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe3.tframe1.frame17
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe3.tframe1.frame17  -borderwidth {0}  -relief {flat}  -width {407}  -height {32}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe3.tframe1.frame17.label11
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe3.tframe1.frame17.label11  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Cuts File:}  -width {12}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe3.tframe1.frame17.entry12
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe3.tframe1.frame17.entry12  -font {Helvetica 10}  -textvariable {gFilenames(trim_cuts_file)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe3.tframe1.frame17.tbutton21
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe3.tframe1.frame17.tbutton21  -command {guiTRIMloadCutsFile}  -text {Load}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe3.tframe1.frame17.tbutton22
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe3.tframe1.frame17.tbutton22  -command {guiTRIMsaveCutsFile}  -text {Save}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe9
  ttk::labelframe .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe9  -text {Cut Surface [-]}  -width {497}  -height {25}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe9 <Button-1> {guiCV_squeezer_labelframe .tframe1 %W}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe9.tframe1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe9.tframe1  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe9.tframe1.tlabelframe9
  ttk::labelframe .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe9.tframe1.tlabelframe9  -text {Cut With Plane [-]}  -width {497}  -height {25}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe9.tframe1.tlabelframe9 <Button-1> {guiCV_squeezer_labelframe .tframe1 %W}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe9.tframe1.tlabelframe9.tframe1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe9.tframe1.tlabelframe9.tframe1  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe9.tframe1.tlabelframe9.tframe1.frame4
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe9.tframe1.tlabelframe9.tframe1.frame4  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe9.tframe1.tlabelframe9.tframe1.frame4.frame38
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe9.tframe1.tlabelframe9.tframe1.frame4.frame38  -borderwidth {0}  -relief {flat}  -width {459}  -height {32}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe9.tframe1.tlabelframe9.tframe1.frame4.frame38.button41
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe9.tframe1.tlabelframe9.tframe1.frame4.frame38.button41  -command {guiTRIMaddCutPlane above}  -text {Cut Above}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe9.tframe1.tlabelframe9.tframe1.frame4.frame38.button0
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe9.tframe1.tlabelframe9.tframe1.frame4.frame38.button0  -command {guiTRIMaddCutPlane below}  -text {Cut Below}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe9.tframe1.tlabelframe9.tframe1.frame4.frame38.checkbutton33
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe9.tframe1.tlabelframe9.tframe1.frame4.frame38.checkbutton33  -variable {guiTRIMvars(vis_planeInteractor)}  -command {guiTRIMvis vis_planeInteractor}  -text {Show Plane Interactor}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe9.tframe1.tlabelframe9.tframe1.frame4.frame0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe9.tframe1.tlabelframe9.tframe1.frame4.frame0  -borderwidth {0}  -relief {flat}  -width {455}  -height {130}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe9.tframe1.tlabelframe9.tframe1.frame4.frame0.label46
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe9.tframe1.tlabelframe9.tframe1.frame4.frame0.label46  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Plane Offset:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe9.tframe1.tlabelframe9.tframe1.frame4.frame0.entry48
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe9.tframe1.tlabelframe9.tframe1.frame4.frame0.entry48  -font {Helvetica 10}  -textvariable {guiTRIMvars(plane_offset)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe9.tframe1.tlabelframe11
  ttk::labelframe .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe9.tframe1.tlabelframe11  -text {Cut With Box [-]}  -width {207}  -height {25}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe9.tframe1.tlabelframe11 <Button-1> {guiCV_squeezer_labelframe .tframe1 %W}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe9.tframe1.tlabelframe11.tframe1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe9.tframe1.tlabelframe11.tframe1  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe9.tframe1.tlabelframe11.tframe1.frame4
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe9.tframe1.tlabelframe11.tframe1.frame4  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe9.tframe1.tlabelframe11.tframe1.frame4.frame38
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe9.tframe1.tlabelframe11.tframe1.frame4.frame38  -borderwidth {0}  -relief {flat}  -width {459}  -height {32}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe9.tframe1.tlabelframe11.tframe1.frame4.frame38.button40
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe9.tframe1.tlabelframe11.tframe1.frame4.frame38.button40  -command {guiTRIMaddCutBox}  -text {Cut With Box}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe9.tframe1.tlabelframe11.tframe1.frame4.frame38.checkbutton33
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe9.tframe1.tlabelframe11.tframe1.frame4.frame38.checkbutton33  -variable {guiTRIMvars(vis_boxInteractor)}  -command {guiTRIMvis vis_boxInteractor}  -text {Show Box Interactor}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe14
  ttk::labelframe .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe14  -text {Cut File Contents [-]}  -width {579}  -height {25}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe14 <Button-1> {guiCV_squeezer_labelframe .tframe15 %W}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe14.tframe15
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe14.tframe15  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe14.tframe15.frame
  frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe14.tframe15.frame  -relief {raised}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe14.tframe15.frame.scrollbar1
  scrollbar .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe14.tframe15.frame.scrollbar1  -command {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe14.tframe15.frame.text2 yview}  -relief {raised}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe14.tframe15.frame.text2
  text .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe14.tframe15.frame.text2  -borderwidth {0}  -font {Helvetica 10}  -relief {flat}  -wrap {none}  -yscrollcommand {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe14.tframe15.frame.scrollbar1 set}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe7
  ttk::labelframe .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe7  -text {Helper [+]}  -width {30}  -height {25}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe7 <Button-1> {guiCV_squeezer_labelframe .tframe1 %W}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe7.tframe1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe7.tframe1  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe7.tframe1.tbutton1
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe7.tframe1.tbutton1  -command {guiSVHELPshow trim.txt}  -text {Help}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9.frame22
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9.frame22  -borderwidth {2}  -relief {flat}  -width {226}  -height {80}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9.frame22.tlabelframe4
  ttk::labelframe .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9.frame22.tlabelframe4  -text {Boundary Extraction [-]}  -height {25}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9.frame22.tlabelframe4 <Button-1> {guiCV_squeezer_labelframe .tframe4 %W}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9.frame22.tlabelframe4.tframe4
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9.frame22.tlabelframe4.tframe4  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9.frame22.tlabelframe4.tframe4.tlabel3
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9.frame22.tlabelframe4.tframe4.tlabel3  -font {helvetica 10}  -borderwidth {0}  -text {Angle of Separation (Degrees): }  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9.frame22.tlabelframe4.tframe4.tscale2
  scale .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9.frame22.tlabelframe4.tframe4.tscale2  -command {guiMMangleForBoundaries}  -font {helvetica 10}  -orient {horizontal}  -to {90.0}  -variable {guiPDvars(angleForBoundaries)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9.frame22.tlabelframe4.tframe5
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9.frame22.tlabelframe4.tframe5  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9.frame22.tlabelframe4.tframe5.tbutton5
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9.frame22.tlabelframe4.tframe5.tbutton5  -command {guiBOUNDARIESextract}  -text {Extract Boundaries}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9.frame19
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9.frame19  -borderwidth {0}  -relief {flat}  -width {619}  -height {274}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9.frame19.tframe1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9.frame19.tframe1  -width {440}  -height {35}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9.frame19.tframe1.tlabelframe9
  ttk::labelframe .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9.frame19.tframe1.tlabelframe9  -text {Combine Face Regions [-]}  -height {25}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9.frame19.tframe1.tlabelframe9 <Button-1> {guiCV_squeezer_labelframe .frame8 %W}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9.frame19.tframe1.tlabelframe9.frame8
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9.frame19.tframe1.tlabelframe9.frame8  -borderwidth {0}  -relief {flat}  -width {440}  -height {35}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9.frame19.tframe1.tlabelframe9.frame8.button7
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9.frame19.tframe1.tlabelframe9.frame8.button7  -command {guiBOUNDARIEScombineSelectedFaces}  -text {Combine Selected Faces}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9.frame19.tframe1.tlabelframe10
  ttk::labelframe .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9.frame19.tframe1.tlabelframe10  -text {Remesh Faces [-]}  -height {25}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9.frame19.tframe1.tlabelframe10 <Button-1> {guiCV_squeezer_labelframe .tframe7 %W}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9.frame19.tframe1.tlabelframe10.tframe7
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9.frame19.tframe1.tlabelframe10.tframe7  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9.frame19.tframe1.tlabelframe10.tframe7.tframe8
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9.frame19.tframe1.tlabelframe10.tframe7.tframe8  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9.frame19.tframe1.tlabelframe10.tframe7.tframe8.tlabel5
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9.frame19.tframe1.tlabelframe10.tframe7.tframe8.tlabel5  -font {Helvetica 10}  -relief {flat}  -text {Remesh Size:  }

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9.frame19.tframe1.tlabelframe10.tframe7.tframe8.tentry6
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9.frame19.tframe1.tlabelframe10.tframe7.tframe8.tentry6  -font {Helvetica 10}  -textvariable {guiPDvars(remeshFaceSize)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9.frame19.tframe1.tlabelframe10.tframe7.tframe9
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9.frame19.tframe1.tlabelframe10.tframe7.tframe9  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9.frame19.tframe1.tlabelframe10.tframe7.tframe9.tbutton5
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9.frame19.tframe1.tlabelframe10.tframe7.tframe9.tbutton5  -command {guiBOUNDARIESremeshSelectedFaces}  -text {Remesh Selected Faces}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9.frame19.tframe1.tlabelframe11
  ttk::labelframe .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9.frame19.tframe1.tlabelframe11  -text {Delete Faces [-]}  -height {25}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9.frame19.tframe1.tlabelframe11 <Button-1> {guiCV_squeezer_labelframe .tframe9 %W}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9.frame19.tframe1.tlabelframe11.tframe9
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9.frame19.tframe1.tlabelframe11.tframe9  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9.frame19.tframe1.tlabelframe11.tframe9.tbutton5
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9.frame19.tframe1.tlabelframe11.tframe9.tbutton5  -command {guiBOUNDARIESdeleteSelectedFaces}  -text {Delete Selected Faces}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9.frame19.tframe1.tlabelframe11.tframe10
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9.frame19.tframe1.tlabelframe11.tframe10  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9.frame19.tframe1.tlabelframe11.tframe10.tbutton6
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9.frame19.tframe1.tlabelframe11.tframe10.tbutton6  -command {guiBOUNDARIESfillWithIds}  -text {Fill Holes With Ids}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9.frame19.tframe1.tlabelframe12
  ttk::labelframe .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9.frame19.tframe1.tlabelframe12  -text {Helper [+]}  -height {25}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9.frame19.tframe1.tlabelframe12 <Button-1> {guiCV_squeezer_labelframe .tframe9 %W}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9.frame19.tframe1.tlabelframe12.tframe9
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9.frame19.tframe1.tlabelframe12.tframe9  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9.frame19.tframe1.tlabelframe12.tframe9.tbutton5
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9.frame19.tframe1.tlabelframe12.tframe9.tbutton5  -command {guiSVHELPshow faceextraction.txt}  -text {Help}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe21
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe21  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe21.tframe0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe21.tframe0  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe21.tframe0.tlabelframe4
  ttk::labelframe .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe21.tframe0.tlabelframe4  -text {Centerline Extraction [-]}  -height {25}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe21.tframe0.tlabelframe4 <Button-1> {guiCV_squeezer_labelframe .frame5 %W}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe21.tframe0.tlabelframe4.frame5
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe21.tframe0.tlabelframe4.frame5  -width {270}  -height {188}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe21.tframe0.tlabelframe4.frame5.tframe8
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe21.tframe0.tlabelframe4.frame5.tframe8  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe21.tframe0.tlabelframe4.frame5.tframe8.tbutton4
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe21.tframe0.tlabelframe4.frame5.tframe8.tbutton4  -command {guiVMTKCenterlines}  -text {Extract Centerlines}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe21.tframe0.tlabelframe4.frame5.tframe4
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe21.tframe0.tlabelframe4.frame5.tframe4  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe21.tframe0.tlabelframe4.frame5.tframe4.tframe9
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe21.tframe0.tlabelframe4.frame5.tframe4.tframe9  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe21.tframe0.tlabelframe4.frame5.tframe4.tframe9.tcheckbutton7
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe21.tframe0.tlabelframe4.frame5.tframe4.tframe9.tcheckbutton7  -variable {guiPDvars(vis_centerlines)}  -command {guiPDvisObj centerlines yes}  -text {Visualize extracted centerlines}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe21.tframe0.tlabelframe4.frame5.tframe4.tframe9.tbutton7
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe21.tframe0.tlabelframe4.frame5.tframe4.tframe9.tbutton7  -command {guiPDsaveCenterlines}  -text {Save Centerlines}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe21.tframe0.tlabelframe4.frame5.tframe4.tframe10
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe21.tframe0.tlabelframe4.frame5.tframe4.tframe10  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe21.tframe0.tlabelframe4.frame5.tframe4.tframe10.tcheckbutton14
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe21.tframe0.tlabelframe4.frame5.tframe4.tframe10.tcheckbutton14  -variable {guiPDvars(vis_voronoi)}  -command {guiPDvisObj voronoi yes}  -text {Visualize extracted voronoi diagram}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe21.tframe0.tlabelframe4.frame5.tframe4.tframe10.tbutton14
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe21.tframe0.tlabelframe4.frame5.tframe4.tframe10.tbutton14  -command {guiPDsaveVoronoi}  -text {Save Voronoi}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe21.tframe0.tlabelframe4.frame5.tframe5
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe21.tframe0.tlabelframe4.frame5.tframe5  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe21.tframe0.tlabelframe4.frame5.tframe5.tbutton4
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe21.tframe0.tlabelframe4.frame5.tframe5.tbutton4  -command {guiSV_model_convert_centerlines_to_pathlines Sim}  -text {Convert Centerlines to Pathlines}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe21.tframe0.tlabelframe1
  ttk::labelframe .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe21.tframe0.tlabelframe1  -text {Delete Cells and Fill Holes [-]}  -height {25}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe21.tframe0.tlabelframe1 <Button-1> {guiCV_squeezer_labelframe .frame4 %W}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe21.tframe0.tlabelframe1.frame4
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe21.tframe0.tlabelframe1.frame4  -width {270}  -height {188}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe21.tframe0.tlabelframe1.frame4.tframe2
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe21.tframe0.tlabelframe1.frame4.tframe2  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe21.tframe0.tlabelframe1.frame4.tframe2.tlabel1
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe21.tframe0.tlabelframe1.frame4.tframe2.tlabel1  -font {Helvectica 10}  -relief {flat}  -text {To select cells, place cursor over object and press 'c'}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe21.tframe0.tlabelframe1.frame4.tframe2.tlabel2
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe21.tframe0.tlabelframe1.frame4.tframe2.tlabel2  -font {Helvectica 10}  -relief {flat}  -text {To select multiple cells, place cursor over object and press 'C'}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe21.tframe0.tlabelframe1.frame4.tframe1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe21.tframe0.tlabelframe1.frame4.tframe1  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe21.tframe0.tlabelframe1.frame4.tframe3
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe21.tframe0.tlabelframe1.frame4.tframe3  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe21.tframe0.tlabelframe1.frame4.tframe3.tbutton4
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe21.tframe0.tlabelframe1.frame4.tframe3.tbutton4  -command {PolyDataDeleteCells}  -text {Delete Selected Cells}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe21.tframe0.tlabelframe1.frame4.tframe3.tbutton5
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe21.tframe0.tlabelframe1.frame4.tframe3.tbutton5  -command {gui3DchangeSurface fill}  -text {Fill Holes}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe21.tframe2
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe21.tframe2  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0  -borderwidth {2}  -relief {raised}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe7
  ttk::labelframe .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe7  -text {Execute [-]}  -width {152}  -height {25}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe7 <Button-1> {guiCV_squeezer_labelframe .tframe8 %W}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe7.tframe8
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe7.tframe8  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe7.tframe8.tframe9
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe7.tframe8.tframe9  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe7.tframe8.tframe9.tbutton4
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe7.tframe8.tframe9.tbutton4  -command {guiSV_model_create_model_polydata}  -text {Create Solid Model}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe14
  ttk::labelframe .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe14  -text {Lofting Options [-]}  -width {297}  -height {25}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe14 <Button-1> {guiCV_squeezer_labelframe .tframe4 %W}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe14.tframe4
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe14.tframe4  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe14.tframe4.tlabelframe8
  ttk::labelframe .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe14.tframe4.tlabelframe8  -text {Circumferential Sampling Rules [-]}  -width {266}  -height {25}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe14.tframe4.tlabelframe8 <Button-1> {guiCV_squeezer_labelframe .tframe1 %W}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe14.tframe4.tlabelframe8.tframe1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe14.tframe4.tlabelframe8.tframe1  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe14.tframe4.tlabelframe8.tframe1.tframe19
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe14.tframe4.tlabelframe8.tframe1.tframe19  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe14.tframe4.tlabelframe8.tframe1.tframe19.tentry6
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe14.tframe4.tlabelframe8.tframe1.tframe19.tentry6  -font {Helvetica 10}  -textvariable {guiBOOLEANvars(sampling_default)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe14.tframe4.tlabelframe8.tframe1.tframe19.tlabel7
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe14.tframe4.tlabelframe8.tframe1.tframe19.tlabel7  -font {Helvetica 10}  -relief {flat}  -text {Sampling:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe14.tframe4.tlabelframe8.tframe1.tframe11
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe14.tframe4.tlabelframe8.tframe1.tframe11  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe14.tframe4.tlabelframe8.tframe1.tframe11.tentry6
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe14.tframe4.tlabelframe8.tframe1.tframe11.tentry6  -font {Helvetica 10}  -textvariable {guiBOOLEANvars(sampling_overrides)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe14.tframe4.tlabelframe8.tframe1.tframe11.tlabel7
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe14.tframe4.tlabelframe8.tframe1.tframe11.tlabel7  -font {Helvetica 10}  -relief {flat}  -text {Sampling Overrides:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe14.tframe4.tlabelframe11
  ttk::labelframe .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe14.tframe4.tlabelframe11  -text {Longitdunial Sampling Rules [-]}  -width {293}  -height {25}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe14.tframe4.tlabelframe11 <Button-1> {guiCV_squeezer_labelframe .tframe10 %W}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe14.tframe4.tlabelframe11.tframe10
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe14.tframe4.tlabelframe11.tframe10  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe14.tframe4.tlabelframe11.tframe10.tframe3
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe14.tframe4.tlabelframe11.tframe10.tframe3  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe14.tframe4.tlabelframe11.tframe10.tframe3.tentry6
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe14.tframe4.tlabelframe11.tframe10.tframe3.tentry6  -font {Helvetica 10}  -textvariable {guiBOOLEANvars(sampling_along_length_multiplier)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe14.tframe4.tlabelframe11.tframe10.tframe3.tlabel7
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe14.tframe4.tlabelframe11.tframe10.tframe3.tlabel7  -font {Helvetica 10}  -relief {flat}  -text {Number of Points Per Segment:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe14.tframe4.tlabelframe11.tframe10.tframe4
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe14.tframe4.tlabelframe11.tframe10.tframe4  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe14.tframe4.tlabelframe11.tframe10.tframe4.tcheckbutton5
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe14.tframe4.tlabelframe11.tframe10.tframe4.tcheckbutton5  -variable {guiBOOLEANvars(use_linear_sampling_along_length)}  -text {Linear Sample Along Length}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe14.tframe4.tlabelframe11.tframe10.tframe4.tentry6
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe14.tframe4.tlabelframe11.tframe10.tframe4.tentry6  -font {Helvetica 10}  -textvariable {guiBOOLEANvars(linear_sampling_along_length_multiplier)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe14.tframe4.tlabelframe11.tframe10.tframe4.tlabel7
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe14.tframe4.tlabelframe11.tframe10.tframe4.tlabel7  -font {Helvetica 10}  -relief {flat}  -text {Factor:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe14.tframe4.tlabelframe11.tframe10.tframe20
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe14.tframe4.tlabelframe11.tframe10.tframe20  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe14.tframe4.tlabelframe11.tframe10.tframe20.tcheckbutton5
  ttk::checkbutton .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe14.tframe4.tlabelframe11.tframe10.tframe20.tcheckbutton5  -variable {guiBOOLEANvars(use_FFT)}  -text {Use FFT}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe14.tframe4.tlabelframe11.tframe10.tframe20.tentry6
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe14.tframe4.tlabelframe11.tframe10.tframe20.tentry6  -font {Helvetica 10}  -textvariable {guiBOOLEANvars(num_modes_for_FFT)}  -width {10}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe14.tframe4.tlabelframe11.tframe10.tframe20.tlabel7
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe14.tframe4.tlabelframe11.tframe10.tframe20.tlabel7  -font {Helvetica 10}  -relief {flat}  -text {Num Modes:}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe9
  ttk::labelframe .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe9  -text {Make 3D Seed Surface [-]}  -width {152}  -height {25}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe9 <Button-1> {guiCV_squeezer_labelframe .tframe2 %W}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe9.tframe2
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe9.tframe2  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe9.tframe2.tbutton1
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe9.tframe2.tbutton1  -command {guiSV_model_send_selected_to_3D_segmentation}  -text {Send to 3D Segmentation}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe8
  ttk::labelframe .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe8  -text {Helper [+]}  -width {152}  -height {25}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe8 <Button-1> {guiCV_squeezer_labelframe .tframe1 %W}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe8.tframe1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe8.tframe1  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe8.tframe1.tbutton1
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe8.tframe1.tbutton1  -command {guiSVHELPshow boolean.txt}  -text {Help}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe3
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe3  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe3.tlabelframe11
  ttk::labelframe .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe3.tlabelframe11  -text {Create Model [-]}  -width {30}  -height {30}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe3.tlabelframe11 <Button-1> {guiCV_squeezer_labelframe .tframe2 %W}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe3.tlabelframe11.tframe2
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe3.tlabelframe11.tframe2  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe3.tlabelframe11.tframe2.tbutton1
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe3.tlabelframe11.tframe2.tbutton1  -command {guiSV_model_create_discrete_model_from_polydata}  -text {Create Discrete Model from Selected PolyData}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe3.tlabelframe11.tframe2.tframe4
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe3.tlabelframe11.tframe2.tframe4  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe3.tlabelframe11.tframe2.tframe4.tlabel1
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe3.tlabelframe11.tframe2.tframe4.tlabel1  -font {Helvectica 10}  -relief {flat}  -text {Extraction Angle (Only used if PolyData does not already have faces):}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe3.tlabelframe11.tframe2.tframe4.tentry1
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe3.tlabelframe11.tframe2.tframe4.tentry1  -font {Helvetica 10}  -textvariable {guiTRIMvars(discrete_angle)}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe3.tframe2
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe3.tframe2  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1
  ttk::notebook .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe2
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe2  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe2.tlabelframe1
  ttk::labelframe .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe2.tlabelframe1  -text {Execute [-]} -width {30}  -height {30}
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe2.tlabelframe1 <Button-1> {guiCV_squeezer_labelframe .tframe5 %W}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe2.tlabelframe1.tframe5
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe2.tlabelframe1.tframe5  -borderwidth {2}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe2.tlabelframe1.tframe5.frame1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe2.tlabelframe1.tframe5.frame1  -width {229}  -height {121}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe2.tlabelframe1.tframe5.frame1.button12
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe2.tlabelframe1.tframe5.frame1.button12  -command {guiSV_model_create_model_opencascade}  -text {Create Model with OpenCASCADE}
  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe2.tlabelframe1.tframe5.frame1.button13
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe2.tlabelframe1.tframe5.frame1.button13  -command {guiSV_model_create_model_opencascade_simvascular}  -text {Create Model with SimVascular}


  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe2.tlabelframe1.tframe5.frame8
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe2.tlabelframe1.tframe5.frame8  -borderwidth {0}  -relief {flat}  -width {336}  -height {74}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe2.tlabelframe1.tframe5.frame8.label10
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe2.tlabelframe1.tframe5.frame8.label10  -font {Helvetica 10}  -relief {flat}  -text {Lofting Options}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe2.tlabelframe1.tframe5.frame8.frame1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe2.tlabelframe1.tframe5.frame8.frame1  -width {509}  -height {26}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe2.tlabelframe1.tframe5.frame8.frame1.label8
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe2.tlabelframe1.tframe5.frame8.frame1.label8  -font {Helvetica 10}  -text {num sample pts: }  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe2.tlabelframe1.tframe5.frame8.frame1.entry9
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe2.tlabelframe1.tframe5.frame8.frame1.entry9  -font {Helvetica 10}  -textvariable {gPathBrowser(solid_sample)}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe2.tlabelframe1.tframe5.frame8.frame1.entry9 <Key-Return> {guiGROUPSUpdateSource}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe2.tlabelframe2
  ttk::labelframe .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe2.tlabelframe2  -text {Convert [-]} -width {30}  -height {30}
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe2.tlabelframe2 <Button-1> {guiCV_squeezer_labelframe .tframe5 %W}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe2.tlabelframe2.tframe5
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe2.tlabelframe2.tframe5  -borderwidth {2}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe2.tlabelframe2.tframe5.tframe6
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe2.tlabelframe2.tframe5.tframe6  -borderwidth {2}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe2.tlabelframe2.tframe5.tframe6.button1
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe2.tlabelframe2.tframe5.tframe6.button1  -command {guiSV_model_create_polydata_solid_from_nurbs}  -text {Convert Selected Model To PolyData}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe2.tlabelframe3
  ttk::labelframe .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe2.tlabelframe3  -text {Extract Faces [-]} -width {30}  -height {30}
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe2.tlabelframe3 <Button-1> {guiCV_squeezer_labelframe .tframe5 %W}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe2.tlabelframe3.tframe5
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe2.tlabelframe3.tframe5  -borderwidth {2}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe2.tlabelframe3.tframe5.tframe6
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe2.tlabelframe3.tframe5.tframe6  -borderwidth {2}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe2.tlabelframe3.tframe5.tframe6.button1
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe2.tlabelframe3.tframe5.tframe6.button1  -command {guiSV_model_get_model_faces}  -text {Extract Model Faces}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe3
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe3  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe3.tframe7
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe3.tframe7  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe3.tframe7.frame1
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe3.tframe7.frame1  -borderwidth {0}  -relief {flat}  -width {479}  -height {80}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe3.tframe7.frame1.frame0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe3.tframe7.frame1.frame0  -width {495}  -height {28}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe3.tframe7.frame1.frame0.label14
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe3.tframe7.frame1.frame0.label14  -font {Helvetica 10}  -text {blends file:}  -width {20}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe3.tframe7.frame1.frame0.entry15
  ttk::entry .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe3.tframe7.frame1.frame0.entry15  -font {Helvetica 10}  -textvariable {gFilenames(blend_file)}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe3.tframe7.frame1.frame0.entry15 <Key-Return> {guiBLENDSloadBLENDfile}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe3.tframe7.frame1.frame0.button16
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe3.tframe7.frame1.frame0.button16  -command {guiBLENDSbrowseScript blend_file}  -text {Browse}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe3.tframe7.frame1.frame2
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe3.tframe7.frame1.frame2  -width {495}  -height {32}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe3.tframe7.frame1.frame2.button3
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe3.tframe7.frame1.frame2.button3  -command {guiBLENDSloadBLENDfile}  -text {Load Blends File}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe3.tframe7.frame1.frame2.button4
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe3.tframe7.frame1.frame2.button4  -command {guiBLENDSsaveBLENDfile}  -text {Save Blends File}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe3.tframe7.frame1.label16
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe3.tframe7.frame1.label16  -font {Helvetica 10}  -borderwidth {0}  -text {Blend Params File}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe3.tframe7.frame2
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe3.tframe7.frame2  -borderwidth {0}  -relief {flat}  -width {479}  -height {86}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe3.tframe7.frame2.frame0
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe3.tframe7.frame2.frame0  -width {497}  -height {28}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe3.tframe7.frame2.frame0.button3
  ttk::button .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe3.tframe7.frame2.frame0.button3  -command {guiSV_model_blend_selected_models_occt}  -text {Blend Model}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe3.tframe7.frame2.label17
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe3.tframe7.frame2.label17  -font {Helvetica 10}  -borderwidth {0}  -text {Blended Solid Model}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe3.tframe7.frame18
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe3.tframe7.frame18  -width {587}  -height {416}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe3.tframe7.frame18.frame20
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe3.tframe7.frame18.frame20  -width {151}  -height {106}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe3.tframe7.frame18.frame20.frame
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe3.tframe7.frame18.frame20.frame  -relief {flat}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe3.tframe7.frame18.frame20.frame.scrollbar1
  ttk::scrollbar .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe3.tframe7.frame18.frame20.frame.scrollbar1  -command {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe3.tframe7.frame18.frame20.frame.text2 yview}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe3.tframe7.frame18.frame20.frame.text2
  text .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe3.tframe7.frame18.frame20.frame.text2  -font {Helvetica 10}  -height {1}  -relief {raised}  -width {30}  -wrap {none}  -yscrollcommand {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe3.tframe7.frame18.frame20.frame.scrollbar1 set}
  # bindings
  bind .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe3.tframe7.frame18.frame20.frame.text2 <Key> {NoFunction}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe3.tframe7.frame18.frame10
  ttk::frame .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe3.tframe7.frame18.frame10  -relief {flat}  -width {583}  -height {22}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe3.tframe7.frame18.frame10.label17
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe3.tframe7.frame18.frame10.label17  -font {Helvetica 10}  -borderwidth {0}  -text {face 1}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe3.tframe7.frame18.frame10.label6
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe3.tframe7.frame18.frame10.label6  -font {Helvetica 10}  -borderwidth {0}  -text {face 2}

  # build widget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe3.tframe7.frame18.frame10.label8
  ttk::label .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe3.tframe7.frame18.frame10.label8  -font {Helvetica 10}  -borderwidth {0}  -text {radius}

  # build widget .guiCV.tframe9
  ttk::frame .guiCV.tframe9  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiCV.tframe9.tsizegrip10
  ttk::sizegrip .guiCV.tframe9.tsizegrip10

  # pack master .guiCV.tframe2
  pack configure .guiCV.tframe2.tmenubutton0  -fill both  -side left
  pack configure .guiCV.tframe2.tmenubutton1  -side left
  pack configure .guiCV.tframe2.tmenubutton2  -side left

  # pack master .guiCV.tframe3
  pack configure .guiCV.tframe3.tpanedwindow4  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe5
  pack configure .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36
  pack configure .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.frame1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane1.f3  -expand 1  -fill both  -side bottom

  # pack master .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.frame1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.frame1.menubutton3  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.frame1.menubutton4  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.frame1.menubutton5  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.frame1.menubutton1

  # pack master .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2
  pack configure .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe6
  pack configure .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe6.f1  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe6.frame1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe6.frame1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe6.frame1.menubutton3  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe6.frame1.menubutton4  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe6.frame1.menubutton5  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe6.frame1.menubutton1

  # pack master .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe7
  pack configure .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe7.f1  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe7.frame1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe7.frame1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe7.frame1.menubutton3  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe7.frame1.menubutton4  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe7.frame1.menubutton5  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe7.frame1.menubutton1

  # pack master .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3
  pack configure .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe9
  pack configure .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe9.f1  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe9.frame1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe9.frame1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe9.frame1.menubutton3  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe9.frame1.menubutton4  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe9.frame1.menubutton5  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe9.frame1.menubutton1

  # pack master .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe10
  pack configure .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe10.f1  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe10.frame1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe10.frame1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe10.frame1.menubutton3  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe10.frame1.menubutton4  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe10.frame1.menubutton5  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe10.frame1.menubutton1

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame37  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame43  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame1.label2  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame1.frame3  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame1.frame4  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame1.frame22  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame1.frame23  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame1.frame3
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame1.frame3.label7  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame1.frame3.frame8  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame1.frame3.frame8
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame1.frame3.frame8.label9  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame1.frame3.frame8.label10  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame1.frame3.frame8.label11  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame1.frame3.frame8.label12  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame1.frame3.frame8.label13  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame1.frame3.frame8.label14  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame1.frame3.frame8.label15  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame1.frame3.frame8.label16  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame1.frame4
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame1.frame4.checkbutton17  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame1.frame4.label19  -fill y  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame1.frame4.scale20  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame1.frame4.label21  -fill y  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame1.frame22
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame1.frame22.checkbutton17  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame1.frame22.label19  -fill y  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame1.frame22.scale20  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame1.frame22.label21  -fill y  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame1.frame23
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame1.frame23.checkbutton17  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame1.frame23.label19  -fill y  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame1.frame23.scale20  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame1.frame23.label21  -fill y  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame37
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame37.frame30  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame37.frame28  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame37.frame30
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame37.frame30.label25  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame37.frame30.frame24  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame37.frame30.frame24
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame37.frame30.frame24.radiobutton26  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame37.frame30.frame24.radiobutton27  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame37.frame28
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame37.frame28.label29  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame37.frame28.frame32  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame37.frame28.frame28  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame37.frame28.frame32
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame37.frame28.frame32.label33  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame37.frame28.frame32.entry34  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame37.frame28.frame32.label35  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame37.frame28.frame32.entry36  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame37.frame28.frame28
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame37.frame28.frame28.checkbutton40  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame37.frame28.frame28.menubutton0  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame37.frame28.frame28.entry36  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame43
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame43.frame44  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame43.frame44
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame43.frame44.label47  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame43.frame44.frame38  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame43.frame44.frame38
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame43.frame44.frame38.checkbutton39  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame43.frame44.frame38.checkbutton40  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame43.frame44.frame38.button4  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.tframe1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.tframe12  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer  -fill both  -ipadx 10
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer4  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer0  -fill x
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer8  -fill x

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer.tcheckbutton8  -anchor w

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer.tframe4
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer.tframe4.frame0  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer.tframe4.frame10  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer.tframe4.frame0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer.tframe4.frame0.frame8  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer.tframe4.frame0.frame9  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer.tframe4.frame0.frame8
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer.tframe4.frame0.frame8.label4  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer.tframe4.frame0.frame8.entry5  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer.tframe4.frame0.frame9
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer.tframe4.frame0.frame9.label4  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer.tframe4.frame0.frame9.entry5  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer.tframe4.frame10
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer.tframe4.frame10.label4  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer.tframe4.frame10.entry5  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer4
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer4.tcheckbutton8  -anchor w

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer4.tframe4
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer4.tframe4.tframe1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer4.tframe4.tframe9
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer4.tframe4.tframe0  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer4.tframe4.tframe1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer4.tframe4.tframe1.tlabel5  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer4.tframe4.tframe1.tlabel11  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer4.tframe4.tframe1.tentry6  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer4.tframe4.tframe1.tlabel7  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer4.tframe4.tframe1.tentry8  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer4.tframe4.tframe0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer4.tframe4.tframe0.tframe2  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer4.tframe4.tframe0.tframe12  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer4.tframe4.tframe0.tframe14  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer4.tframe4.tframe0.tframe13  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer4.tframe4.tframe0.tframe2
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer4.tframe4.tframe0.tframe2.tlabel10  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer4.tframe4.tframe0.tframe2.canvas7  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer4.tframe4.tframe0.tframe12
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer4.tframe4.tframe0.tframe12.tlabel10  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer4.tframe4.tframe0.tframe12.canvas7  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer4.tframe4.tframe0.tframe13
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer4.tframe4.tframe0.tframe13.tlabel10  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer4.tframe4.tframe0.tframe13.canvas7  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer4.tframe4.tframe0.tframe14
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer4.tframe4.tframe0.tframe14.tlabel10  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer4.tframe4.tframe0.tframe14.canvas7  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer4.tframe4.tframe9
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer4.tframe4.tframe9.tlabel15  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.tframe12
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.tframe12.checkbutton3  -expand 1  -fill both  -ipadx 10

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer0.tcheckbutton8  -anchor w  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer0.tframe4
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer0.tframe4.tcheckbutton7
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer0.tframe4.frame10  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer0.tframe4.frame2  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer0.tframe4.frame4  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer0.tframe4.frame6  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer0.tframe4.frame10
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer0.tframe4.frame10.label4  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer0.tframe4.frame10.entry5  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer0.tframe4.frame2
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer0.tframe4.frame2.label4  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer0.tframe4.frame2.entry5  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer0.tframe4.frame4
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer0.tframe4.frame4.label4  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer0.tframe4.frame4.entry5  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer0.tframe4.frame6
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer0.tframe4.frame6.label4  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer0.tframe4.frame6.entry5  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer8
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer8.tcheckbutton8  -anchor w  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer8.tframe4
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer8.tframe4.frame10  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer8.tframe4.tframe11  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer8.tframe4.frame10
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer8.tframe4.frame10.label4  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer8.tframe4.frame10.entry5  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer8.tframe4.tframe11
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer8.tframe4.tframe11.tradiobutton12  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer8.tframe4.tframe11.tradiobutton13  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer8.tframe4.tframe11.tradiobutton14  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer8.tframe4.tframe11.tradiobutton15  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.tframe1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.tframe1.tframe2  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.tframe1.tframe9  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.tframe1.tframe10  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.tframe1.tframe2
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.tframe1.tframe2.tlabel4  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.tframe1.tframe2.tscale5  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.tframe1.tframe2.tscale6  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.tframe1.tframe2.tscale7  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.tframe1.tframe2.tscale8  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.tframe1.tframe9
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.tframe1.tframe9.tlabel4  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.tframe1.tframe9.tscale5  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.tframe1.tframe9.tscale6  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.tframe1.tframe9.tscale7  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.tframe1.tframe9.tscale8  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.tframe1.tframe10
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.tframe1.tframe10.tlabel4  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.tframe1.tframe10.tbutton11  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.tframe1.tframe10.tbutton12  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.tframe1.tframe10.tbutton13  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.tframe1.tframe10.tbutton14  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame37  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame43  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame1  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame2  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame1.label3  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame1.frame4  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame1.frame4
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame1.frame4.checkbutton5  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame1.frame4.label6  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame1.frame4.entry7  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame1.frame4.checkbutton8  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame1.frame4.button9  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame2
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame2.frame10  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame2.frame11  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame2.frame10
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame2.frame10.frame12  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame2.frame10.frame13  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame2.frame10.frame14  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame2.frame10.frame15  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame2.frame10.frame12
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame2.frame10.frame12.label16  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame2.frame10.frame12.label17  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame2.frame10.frame12.label18

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame2.frame10.frame13
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame2.frame10.frame13.label19
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame2.frame10.frame13.entry20
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame2.frame10.frame13.entry21

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame2.frame10.frame14
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame2.frame10.frame14.label23
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame2.frame10.frame14.entry24
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame2.frame10.frame14.entry25

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame2.frame10.frame15
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame2.frame10.frame15.label27
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame2.frame10.frame15.entry28
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame2.frame10.frame15.entry29

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame2.frame11
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame2.frame11.label31  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame2.frame11.frame35  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame2.frame11.frame35
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame2.frame11.frame35.frame36  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame2.frame11.frame35.frame37  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame2.frame11.frame35.frame36
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame2.frame11.frame35.frame36.radiobutton38  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame2.frame11.frame35.frame36.radiobutton39  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame2.frame11.frame35.frame37
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame2.frame11.frame35.frame37.radiobutton40
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame0.frame2.frame11.frame35.frame37.radiobutton41

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame1.label2  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame1.frame3  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame1.frame4  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame1.frame22  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame1.frame23  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame1.frame3
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame1.frame3.label7  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame1.frame3.frame8  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame1.frame3.frame8
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame1.frame3.frame8.label9  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame1.frame3.frame8.label10  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame1.frame3.frame8.label11  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame1.frame3.frame8.label12  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame1.frame3.frame8.label13  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame1.frame3.frame8.label14  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame1.frame3.frame8.label15  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame1.frame3.frame8.label16  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame1.frame4
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame1.frame4.checkbutton17  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame1.frame4.label19  -fill y  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame1.frame4.scale20  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame1.frame4.label21  -fill y  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame1.frame22
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame1.frame22.checkbutton17  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame1.frame22.label19  -fill y  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame1.frame22.scale20  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame1.frame22.label21  -fill y  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame1.frame23
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame1.frame23.checkbutton17  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame1.frame23.label19  -fill y  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame1.frame23.scale20  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame1.frame23.label21  -fill y  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame37
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame37.frame30  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame37.frame28  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame37.frame30
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame37.frame30.label25  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame37.frame30.frame24  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame37.frame30.frame24
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame37.frame30.frame24.radiobutton26  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame37.frame30.frame24.radiobutton27  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame37.frame28
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame37.frame28.label29  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame37.frame28.frame32  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame37.frame28.checkbutton40  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame37.frame28.menubutton0  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame37.frame28.entry36  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame37.frame28.frame32
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame37.frame28.frame32.label33  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame37.frame28.frame32.entry34  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame37.frame28.frame32.label35  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame37.frame28.frame32.entry36  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame43
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame43.frame44  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame43.frame44
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame43.frame44.label47  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame43.frame44.frame0  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame43.frame44.frame0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame43.frame44.frame0.frame1  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame43.frame44.frame0.frame1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame43.frame44.frame0.frame1.frame38  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame43.frame44.frame0.frame1.frame38
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame43.frame44.frame0.frame1.frame38.checkbutton39  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame43.frame44.frame0.frame1.frame38.checkbutton40  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe38
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe38.frame0  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe38.frame8  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe38.frame9  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe38.frame10  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe38.frame0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe38.frame0.checkbutton3  -expand 1  -fill both  -ipadx 10  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe38.frame8
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe38.frame8.label4  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe38.frame8.entry5  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe38.frame9
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe38.frame9.label4  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe38.frame9.entry5  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe38.frame10
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe38.frame10.label4  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe38.frame10.entry5  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe0.tframe1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe0.tframe0  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe0.tframe3

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe0.tframe0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe0.tframe0.tlabel1  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe0.tframe0.tentry2  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe0.tframe3
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe0.tframe3.tradiobutton0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe0.tframe3.tradiobutton1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe0.tframe3.tradiobutton2
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe0.tframe3.tradiobutton3

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe24  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe35  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe26  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe0  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe12

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe24
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe24.tframe0  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe24.tframe0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe24.tframe0.tlabel2  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe24.tframe0.tradiobutton3  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe24.tframe0.tradiobutton4  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe26
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe26.tlabel27  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe26.frame24  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe26.tbutton28  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe26.frame24
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe26.frame24.frame38  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe26.frame24.frame40  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe26.frame24.frame1  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe26.frame24.frame38
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe26.frame24.frame38.label30  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe26.frame24.frame38.entry42  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe26.frame24.frame40
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe26.frame24.frame40.label32  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe26.frame24.frame40.entry44  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe26.frame24.frame1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe26.frame24.frame1.label32  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe26.frame24.frame1.entry44  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe35
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe35.tbutton25  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe35.tbutton36  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe35.tbutton48  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe0.tlabel27  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe0.frame24  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe0.tbutton28  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe0.frame24
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe0.frame24.frame38  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe0.frame24.frame40  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe0.frame24.frame2  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe0.frame24.frame38
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe0.frame24.frame38.label30  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe0.frame24.frame38.entry42  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe0.frame24.frame40
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe0.frame24.frame40.label32  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe0.frame24.frame40.entry44  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe0.frame24.frame2
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe0.frame24.frame2.label32  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe0.frame24.frame2.entry44  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe1.tlabel27  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe1.frame24  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe1.tbutton28  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe1.frame24
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe1.frame24.frame38  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe1.frame24.frame38
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe1.frame24.frame38.label30  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe1.frame24.frame38.entry42  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.tlabel27  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.frame24  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.tbutton28  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.frame24
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.frame24.frame38  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.frame24.frame40  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.frame24.frame2  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.frame24.frame25  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.frame24.tframe28  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.frame24.frame38
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.frame24.frame38.label30  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.frame24.frame38.entry42  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.frame24.frame40
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.frame24.frame40.label32  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.frame24.frame40.entry44  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.frame24.frame2
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.frame24.frame2.label32  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.frame24.frame2.tradiobutton17  -fill x  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.frame24.frame2.tradiobutton20  -fill x  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.frame24.frame2.tradiobutton21  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.frame24.frame2.tradiobutton22  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.frame24.frame25
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.frame24.frame25.label32  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.frame24.frame25.tradiobutton17  -fill x  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.frame24.frame25.tradiobutton20  -fill x  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.frame24.frame25.tradiobutton21  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.frame24.frame25.tradiobutton22  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.frame24.frame25.tradiobutton23  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.frame24.frame25.tradiobutton24  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.frame24.tframe28
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.frame24.tframe28.tframe26  -fill x  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.frame24.tframe28.tframe29  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.frame24.tframe28.tframe26
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.frame24.tframe28.tframe26.tcheckbutton27

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.frame24.tframe28.tframe29
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.frame24.tframe28.tframe29.tlabel30  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.frame24.tframe28.tframe29.tentry31  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.frame24.tframe28.tframe29.tlabel32  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.frame24.tframe28.tframe29.tentry33  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe16.frame24.tframe28.tframe29.tbutton34

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe12
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe12.tframe0  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe12.tframe0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe12.tframe0.tlabel2  -fill y  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe12.tframe0.tradiobutton3  -expand 1  -fill y  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe12.tframe0.tradiobutton4  -expand 1  -fill y  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23.tframe12.tframe0.tradiobutton15  -expand 1  -fill y  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame25  -expand 1  -fill x
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.tframe6  -expand 1  -fill x
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame4  -expand 1  -fill x
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame24  -expand 1  -fill x

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame4
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame4.label28  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame4.frame32  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame4.frame32
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame4.frame32.frame33  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame4.frame32.frame34  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame4.frame32.frame35  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame4.frame32.frame33
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame4.frame32.frame33.label36  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame4.frame32.frame33.label37  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame4.frame32.frame33.label38  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame4.frame32.frame33.label45  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame4.frame32.frame34
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame4.frame32.frame34.label46  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame4.frame32.frame34.entry47  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame4.frame32.frame34.entry48  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame4.frame32.frame34.entry49  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame4.frame32.frame35
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame4.frame32.frame35.label50  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame4.frame32.frame35.entry51  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame4.frame32.frame35.entry52  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame4.frame32.frame35.entry53  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame24
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame24.label12  -expand 1  -fill x
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame24.frame13  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame24.frame6  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame24.frame13
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame24.frame13.frame14  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame24.frame13.frame15  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame24.frame13.frame14
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame24.frame13.frame14.label16

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame24.frame13.frame15
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame24.frame13.frame15.entry19  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame24.frame6
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame24.frame6.frame14  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame24.frame6.frame15  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame24.frame6.frame14
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame24.frame6.frame14.label16

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame24.frame6.frame15
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame24.frame6.frame15.entry19  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame25
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame25.label12  -expand 1  -fill x
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame25.frame13  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame25.frame5  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame25.frame13
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame25.frame13.label26  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame25.frame13.entry27  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame25.frame13.frame0

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame25.frame13.frame0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame25.frame13.frame0.radiobutton1  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame25.frame13.frame0.radiobutton2  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame25.frame13.frame0.radiobutton3  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame25.frame13.frame0.radiobutton4  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame25.frame5
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame25.frame5.label30  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.frame25.frame5.entry31  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.tframe6
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.tframe6.frame3  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.tframe6.frame23  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.tframe6.frame3
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.tframe6.frame3.label12  -expand 1  -fill x
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.tframe6.frame3.frame13  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.tframe6.frame3.frame13
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.tframe6.frame3.frame13.frame14  -expand 1  -fill y  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.tframe6.frame3.frame13.frame15  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.tframe6.frame3.frame13.frame14
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.tframe6.frame3.frame13.frame14.label16
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.tframe6.frame3.frame13.frame14.label17
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.tframe6.frame3.frame13.frame14.label18

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.tframe6.frame3.frame13.frame15
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.tframe6.frame3.frame13.frame15.entry19  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.tframe6.frame3.frame13.frame15.entry20  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.tframe6.frame3.frame13.frame15.entry21  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.tframe6.frame23
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.tframe6.frame23.label12  -expand 1  -fill x
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.tframe6.frame23.frame13  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.tframe6.frame23.frame13
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.tframe6.frame23.frame13.frame14  -expand 1  -fill y  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.tframe6.frame23.frame13.frame15  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.tframe6.frame23.frame13.frame14
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.tframe6.frame23.frame13.frame14.label16
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.tframe6.frame23.frame13.frame14.label17
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.tframe6.frame23.frame13.frame14.label18

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.tframe6.frame23.frame13.frame15
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.tframe6.frame23.frame13.frame15.entry19  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.tframe6.frame23.frame13.frame15.entry20  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1.tframe4.tframe6.frame23.frame13.frame15.entry21  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame12  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame12
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame12.frame22  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame12.frame0  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame12.frame1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame12.frame22
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame12.frame22.label26  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame12.frame1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame12.frame1.button2  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame12.frame0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame12.frame0.label3  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame12.frame0.entry28  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame12.frame0.button27  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer  -fill x

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tcheckbutton8  -anchor w

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame25  -expand 1  -fill x
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.tframe6  -expand 1  -fill x
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame4  -expand 1  -fill x
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame24  -expand 1  -fill x

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame4
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame4.label28  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame4.frame32  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame4.frame32
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame4.frame32.frame33  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame4.frame32.frame34  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame4.frame32.frame35  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame4.frame32.frame33
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame4.frame32.frame33.label36  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame4.frame32.frame33.label37  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame4.frame32.frame33.label38  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame4.frame32.frame33.label45  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame4.frame32.frame34
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame4.frame32.frame34.label46  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame4.frame32.frame34.entry47  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame4.frame32.frame34.entry48  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame4.frame32.frame34.entry49  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame4.frame32.frame35
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame4.frame32.frame35.label50  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame4.frame32.frame35.entry51  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame4.frame32.frame35.entry52  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame4.frame32.frame35.entry53  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame24
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame24.label12  -expand 1  -fill x
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame24.frame13  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame24.frame6  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame24.frame13
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame24.frame13.frame14  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame24.frame13.frame15  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame24.frame13.frame14
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame24.frame13.frame14.label16

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame24.frame13.frame15
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame24.frame13.frame15.entry19  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame24.frame6
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame24.frame6.frame14  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame24.frame6.frame15  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame24.frame6.frame14
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame24.frame6.frame14.label16

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame24.frame6.frame15
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame24.frame6.frame15.entry19  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame25
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame25.label12  -expand 1  -fill x
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame25.frame13  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame25.frame5  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame25.frame13
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame25.frame13.label26  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame25.frame13.entry27  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame25.frame13.frame0

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame25.frame13.frame0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame25.frame13.frame0.radiobutton1  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame25.frame13.frame0.radiobutton2  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame25.frame13.frame0.radiobutton3  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame25.frame13.frame0.radiobutton4  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame25.frame5
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame25.frame5.label30  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame25.frame5.entry31  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.frame25.frame5.button32  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.tframe6
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.tframe6.frame3  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.tframe6.frame23  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.tframe6.frame3
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.tframe6.frame3.label12  -expand 1  -fill x
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.tframe6.frame3.frame13  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.tframe6.frame3.frame13
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.tframe6.frame3.frame13.frame14  -expand 1  -fill y  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.tframe6.frame3.frame13.frame15  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.tframe6.frame3.frame13.frame14
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.tframe6.frame3.frame13.frame14.label16
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.tframe6.frame3.frame13.frame14.label17
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.tframe6.frame3.frame13.frame14.label18

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.tframe6.frame3.frame13.frame15
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.tframe6.frame3.frame13.frame15.entry19  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.tframe6.frame3.frame13.frame15.entry20  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.tframe6.frame3.frame13.frame15.entry21  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.tframe6.frame23
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.tframe6.frame23.label12  -expand 1  -fill x
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.tframe6.frame23.frame13  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.tframe6.frame23.frame13
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.tframe6.frame23.frame13.frame14  -expand 1  -fill y  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.tframe6.frame23.frame13.frame15  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.tframe6.frame23.frame13.frame14
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.tframe6.frame23.frame13.frame14.label16
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.tframe6.frame23.frame13.frame14.label17
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.tframe6.frame23.frame13.frame14.label18

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.tframe6.frame23.frame13.frame15
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.tframe6.frame23.frame13.frame15.entry19  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.tframe6.frame23.frame13.frame15.entry20  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4.tframe6.frame23.frame13.frame15.entry21  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe4
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe4.tframe0  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe4.tframe0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe4.tframe0.treeview1  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe4.tframe0.tscrollbar0  -expand 1  -fill y

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.tframe2  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame13  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame15  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.tframe2
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.tframe2.frame3  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.tframe2.frame1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.tframe2.frame11  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.tframe2.frame12  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.tframe2.frame1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.tframe2.frame1.label7  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.tframe2.frame1.scale10  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.tframe2.frame1.label0  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.tframe2.frame11
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.tframe2.frame11.label7  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.tframe2.frame11.scale10  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.tframe2.frame11.label1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.tframe2.frame12
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.tframe2.frame12.label7  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.tframe2.frame12.scale10  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.tframe2.frame12.label2  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.tframe2.frame3
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.tframe2.frame3.label8  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.tframe2.frame3.label5  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.tframe2.frame3.label7  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.tframe2.frame3.label9  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame15
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame15.frame18  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame15.frame2  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame15.frame8  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame15.frame2
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame15.frame2.label0  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame15.frame2.radiobutton1  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame15.frame2.radiobutton2  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame15.frame2.radiobutton3  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame15.frame2.label1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame15.frame2.entry0  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame15.frame2.button16  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame15.frame8
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame15.frame8.label9  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame15.frame8.radiobutton10  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame15.frame8.radiobutton11  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame15.frame8.entry0  -expand 1  -fill both  -side right
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame15.frame8.label1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame15.frame18
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame15.frame18.menubutton0  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame15.frame18.menubutton1  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame15.frame18.menubutton2  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame13
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame13.button16  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.frame13.menubutton24  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe7
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe7.frame4  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe7.frame4
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe7.frame4.label5  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe7.frame4.frame6  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe7.frame4.frame1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe7.frame4.frame8  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe7.frame4.frame0  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe7.frame4.frame13  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe7.frame4.frame6
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe7.frame4.frame6.frame22  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe7.frame4.frame6.frame22
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe7.frame4.frame6.frame22.label2  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe7.frame4.frame6.frame22.entry3  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe7.frame4.frame6.frame22.label0  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe7.frame4.frame8
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe7.frame4.frame8.radiobutton9  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe7.frame4.frame8.radiobutton0  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe7.frame4.frame0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe7.frame4.frame0.radiobutton10  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe7.frame4.frame0.radiobutton0  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe7.frame4.frame13
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe7.frame4.frame13.button29  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe7.frame4.frame13.button16  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe7.frame4.frame1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe7.frame4.frame1.frame22  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe7.frame4.frame1.frame22
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe7.frame4.frame1.frame22.label2  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe7.frame4.frame1.frame22.entry3  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe7.frame4.frame1.frame22.label0  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe8
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe8.frame11  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe8.frame13  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe8.frame11
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe8.frame11.frame10  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe8.frame11.frame12  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe8.frame11.frame28  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe8.frame11.frame12
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe8.frame11.frame12.frame19  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe8.frame11.frame12.frame23  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe8.frame11.frame12.frame26  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe8.frame11.frame12.frame19
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe8.frame11.frame12.frame19.label20  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe8.frame11.frame12.frame19.entry21  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe8.frame11.frame12.frame19.label22  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe8.frame11.frame12.frame23
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe8.frame11.frame12.frame23.label24  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe8.frame11.frame12.frame23.entry25  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe8.frame11.frame12.frame23.label27

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe8.frame11.frame12.frame26
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe8.frame11.frame12.frame26.checkbutton14  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe8.frame11.frame12.frame26.checkbutton15  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe8.frame11.frame28
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe8.frame11.frame28.checkbutton20  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe8.frame11.frame28.label18  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe8.frame11.frame28.entry19  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe8.frame11.frame10
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe8.frame11.frame10.label11  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe8.frame13
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe8.frame13.button29  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe1.tframe4  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe1.frame0  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe1.frame0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe1.frame0.frame2  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe1.frame0.frame3  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe1.frame0.frame0  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe1.frame0.frame2
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe1.frame0.frame2.label9  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe1.frame0.frame2.entry10  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe1.frame0.frame2.tbutton0  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe1.frame0.frame2.tbutton7  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe1.frame0.frame3
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe1.frame0.frame3.label11  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe1.frame0.frame3.entry12  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe1.frame0.frame3.button4  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe1.frame0.frame0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe1.frame0.frame0.label11  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe1.frame0.frame0.entry12  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe1.frame0.frame0.button0  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe1.tframe4
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe1.tframe4.tbutton1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.frame31  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.tframe9  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.tframe0  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.tframe14  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.tframe22  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.frame31
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.frame31.frame14  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.frame31.frame7  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.frame31.frame2  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.frame31.frame4  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.frame31.frame14
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.frame31.frame14.frame16  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.frame31.frame14.frame16
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.frame31.frame14.frame16.frame1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.frame31.frame14.frame16.label0  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.frame31.frame14.frame16.frame17  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.frame31.frame14.frame16.tframe6  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.frame31.frame14.frame16.button1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.frame31.frame14.frame16.frame1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.frame31.frame14.frame16.frame1.label14  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.frame31.frame14.frame16.frame17
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.frame31.frame14.frame16.frame17.label19  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.frame31.frame14.frame16.frame17.label23  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.frame31.frame14.frame16.tframe6
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.frame31.frame14.frame16.tframe6.tlabel7  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.frame31.frame14.frame16.tframe6.tentry8

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.frame31.frame7
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.frame31.frame7.label14  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.frame31.frame7.scale15  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.frame31.frame2
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.frame31.frame2.label14  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.frame31.frame2.scale15  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.frame31.frame4
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.frame31.frame4.label14  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.frame31.frame4.scale15  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.tframe9
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.tframe9.tlabel10  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.tframe9.tlabel11  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.tframe9.tlabel12  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.tframe9.tlabel13  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.tframe9.tlabel20  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.tframe9.tlabel21  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.tframe14
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.tframe14.tlabel15  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.tframe14.tframe16  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.tframe14.tframe16
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.tframe14.tframe16.tcheckbutton26  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.tframe14.tframe16.tcheckbutton17  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.tframe14.tframe16.tcheckbutton18  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.tframe14.tframe16.tcheckbutton27  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.tframe14.tframe16.tcheckbutton19  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.tframe22
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.tframe22.tbutton0  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.tframe0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.tframe0.tcheckbutton1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.tframe0.tlabel2  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.tframe0.tentry3  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.frame31  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.tframe9  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.tframe0  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.tframe14  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.tframe22  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.frame31
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.frame31.frame14  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.frame31.frame7  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.frame31.frame2  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.frame31.frame4  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.frame31.frame14
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.frame31.frame14.frame16  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.frame31.frame14.frame16
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.frame31.frame14.frame16.frame1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.frame31.frame14.frame16.label0  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.frame31.frame14.frame16.frame17  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.frame31.frame14.frame16.tframe6  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.frame31.frame14.frame16.button1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.frame31.frame14.frame16.frame1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.frame31.frame14.frame16.frame1.label14  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.frame31.frame14.frame16.frame17
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.frame31.frame14.frame16.frame17.label19  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.frame31.frame14.frame16.frame17.label23  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.frame31.frame14.frame16.tframe6
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.frame31.frame14.frame16.tframe6.tlabel7  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.frame31.frame14.frame16.tframe6.tentry8

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.frame31.frame7
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.frame31.frame7.label14  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.frame31.frame7.scale15  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.frame31.frame2
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.frame31.frame2.label14  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.frame31.frame2.scale15  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.frame31.frame4
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.frame31.frame4.label14  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.frame31.frame4.scale15  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.tframe9
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.tframe9.tlabel10  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.tframe9.tlabel11  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.tframe9.tlabel12  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.tframe9.tlabel13  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.tframe9.tlabel20  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.tframe9.tlabel21  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.tframe14
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.tframe14.tlabel15  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.tframe14.tframe16  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.tframe14.tframe16
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.tframe14.tframe16.tcheckbutton26  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.tframe14.tframe16.tcheckbutton17  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.tframe14.tframe16.tcheckbutton18  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.tframe14.tframe16.tcheckbutton27  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.tframe14.tframe16.tcheckbutton19  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.tframe22
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.tframe22.tbutton0  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.tframe0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.tframe0.tcheckbutton1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.tframe0.tlabel2  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.tframe0.tentry3  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe8
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe8.tframe1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe8.tframe0  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe8.tframe0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe8.tframe0.tframe14  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe8.tframe0.tframe22  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe8.tframe0.tframe14
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe8.tframe0.tframe14.tlabel15  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe8.tframe0.tframe14.tframe16  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe8.tframe0.tframe14.tframe16
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe8.tframe0.tframe14.tframe16.tcheckbutton26  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe8.tframe0.tframe14.tframe16.tcheckbutton17  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe8.tframe0.tframe22
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe8.tframe0.tframe22.tbutton0  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe8.tframe0.tframe22.tbutton1  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe8.tframe0.tframe22.tlabel2  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe8.tframe0.tframe22.tlabel3  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe8.tframe1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe8.tframe1.label14  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe8.tframe1.label0  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe8.tframe1.tlabel7  -fill y  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe8.tframe1.tentry8  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe8.tframe1.button1  -fill both  -side right

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe0  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe0.tframe0  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe0.tframe0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe0.tframe0.treeview1  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe0.tframe0.tscrollbar0  -expand 1  -fill y

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.tlabel4  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.tframe8  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.frame0  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.tframe8
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.tframe8.menubutton9  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.tframe8.menubutton10  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.tframe8.menubutton12  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.tframe8.tlabel5  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.tframe8.menubutton11  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.tframe8.menubuttonMember  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe1.tframe8.menubuttonLoft  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.frame31  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.frame31
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.frame31.frame14  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.frame31.frame7  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.frame31.frame14
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.frame31.frame14.frame16  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.frame31.frame14.frame16
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.frame31.frame14.frame16.frame1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.frame31.frame14.frame16.label0  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.frame31.frame14.frame16.frame17  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.frame31.frame14.frame16.button1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.frame31.frame14.frame16.frame1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.frame31.frame14.frame16.frame1.label14  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.frame31.frame14.frame16.frame17
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.frame31.frame14.frame16.frame17.label19  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.frame31.frame14.frame16.frame17.label23  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.frame31.frame7
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.frame31.frame7.label14  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.frame31.frame7.scale15  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame59  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame10  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame42  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.tlabelframe1  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.frame22  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.tlabelframe1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.tlabelframe1.frame2  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.tlabelframe1.frame8  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.tlabelframe1.frame32  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.tlabelframe1.frame37  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.tlabelframe1.frame12  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.tlabelframe1.menubutton3  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.tlabelframe1.frame2
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.tlabelframe1.frame2.label16  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.tlabelframe1.frame37
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.tlabelframe1.frame37.radiobutton13  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.tlabelframe1.frame37.entry10  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.tlabelframe1.frame12
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.tlabelframe1.frame12.radiobutton14  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.tlabelframe1.frame12.entry22  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.tlabelframe1.frame8
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.tlabelframe1.frame8.label16  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.tlabelframe1.frame8.label17  -fill both  -ipadx 4  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.tlabelframe1.frame8.entry18  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.tlabelframe1.frame8.label19  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.tlabelframe1.frame8.entry20  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.tlabelframe1.frame32
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.tlabelframe1.frame32.frame40  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.tlabelframe1.frame32.frame40
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.tlabelframe1.frame32.frame40.label32  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.tlabelframe1.frame32.frame40.label17  -fill both  -ipadx 4  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.tlabelframe1.frame32.frame40.entry44  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.tlabelframe1.frame32.frame40.label29  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.tlabelframe1.frame32.frame40.entry41  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.frame22
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.frame22.label23  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.frame22.frame34  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.frame22.frame37  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.frame22.frame12  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.frame22.frame34
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.frame22.frame34.frame38  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.frame22.frame34.frame39  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.frame22.frame34.frame38
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.frame22.frame34.frame38.label30  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.frame22.frame34.frame38.entry42  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.frame22.frame34.frame39
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.frame22.frame34.frame39.label31  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.frame22.frame34.frame39.entry45  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.frame22.frame37
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.frame22.frame37.radiobutton13  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.frame22.frame37.entry10  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.frame22.frame12
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.frame22.frame12.radiobutton14  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame40.frame48.frame22.frame12.entry22  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame42
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame42.frame24  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame42.frame0  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame42.frame24
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame42.frame24.label31
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame42.frame24.frame38  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame42.frame24.frame40  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame42.frame24.frame39  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame42.frame24.frame2  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame42.frame24.frame0  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame42.frame24.frame1  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame42.frame24.frame0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame42.frame24.frame0.label32  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame42.frame24.frame0.entry44  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame42.frame24.frame38
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame42.frame24.frame38.label30  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame42.frame24.frame38.entry42  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame42.frame24.frame39
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame42.frame24.frame39.label31  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame42.frame24.frame39.entry45  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame42.frame24.frame40
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame42.frame24.frame40.label32  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame42.frame24.frame40.entry44  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame42.frame24.frame1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame42.frame24.frame1.label32  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame42.frame24.frame1.entry44  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame42.frame24.frame2
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame42.frame24.frame2.label32  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame42.frame24.frame2.entry44  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame42.frame0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame42.frame0.label44
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame42.frame0.frame20  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame42.frame0.button3  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame42.frame0.frame20
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame42.frame0.frame20.label21  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame42.frame0.frame20.entry22  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame10
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame10.frame23  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame10.frame23
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame15.frame10.frame23.label26  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame59
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame59.frame11  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame59.frame11
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame59.frame11.button52  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame59.frame11.button0  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1.frame59.frame11.button53  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame24  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame59  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame24
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame24.frame63  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame24.frame9  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame24.frame63
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame24.frame63.label65  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame24.frame9
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame24.frame9.frame0  -expand 1  -fill both  -side right
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame24.frame9.frame64  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame24.frame9.frame0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame24.frame9.frame0.label65  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame24.frame9.frame0.radiobutton1  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame24.frame9.frame0.radiobutton2  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame24.frame9.frame0.radiobutton12  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame24.frame9.frame64
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame24.frame9.frame64.frame63  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame24.frame9.frame64.frame10  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame24.frame9.frame64.frame37  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame24.frame9.frame64.frame63
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame24.frame9.frame64.frame63.label21  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame24.frame9.frame64.frame63.entry22  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame24.frame9.frame64.frame37
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame24.frame9.frame64.frame37.label29  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame24.frame9.frame64.frame37.entry41  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame24.frame9.frame64.frame8
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame24.frame9.frame64.frame8.label16  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame24.frame9.frame64.frame8.label17  -fill both  -ipadx 4  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame24.frame9.frame64.frame8.entry18  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame24.frame9.frame64.frame8.label19  -fill both  -ipadx 4  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame24.frame9.frame64.frame8.entry20  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame24.frame9.frame64.frame8.label20  -fill both  -ipadx 4  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame24.frame9.frame64.frame8.entry21  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame24.frame9.frame64.frame10
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame24.frame9.frame64.frame10.label29  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame24.frame9.frame64.frame10.entry41  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame59
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame59.frame60  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame59.frame11  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame59.frame60
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame59.frame60.label61  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame59.frame11
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame59.frame11.button52  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2.frame59.frame11.button53  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame33  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.button1  -ipadx 150

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame33
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame33.label34  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame33.frame35  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame33.frame35
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame33.frame35.radiobutton36  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame33.frame35.radiobutton37  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame40  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame41  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame40
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame40.label42  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame40.frame43  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame40.frame43
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame40.frame43.frame8  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame40.frame43.frame40  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame40.frame43.button35  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame40.frame43.frame8
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame40.frame43.frame8.label16  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame40.frame43.frame8.label17  -fill both  -ipadx 4  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame40.frame43.frame8.entry18  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame40.frame43.frame8.label19  -fill both  -ipadx 4  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame40.frame43.frame8.entry20  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame40.frame43.frame40
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame40.frame43.frame40.label32  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame40.frame43.frame40.entry44  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame41
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame41.label44  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame41.frame45  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame41.frame45
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame41.frame45.frame8  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame41.frame45.frame50  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame41.frame45.button35  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame41.frame45.frame8
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame41.frame45.frame8.label16  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame41.frame45.frame8.label17  -fill both  -ipadx 4  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame41.frame45.frame8.entry18  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame41.frame45.frame8.label19  -fill both  -ipadx 4  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame41.frame45.frame8.entry20  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame41.frame45.frame50
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame41.frame45.frame50.label51  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame41.frame45.frame50.entry1  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame41.frame45.frame50.label17  -fill both  -ipadx 4  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame41.frame45.frame50.entry18  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame41.frame45.frame50.label19  -fill both  -ipadx 4  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3.frame38.frame41.frame45.frame50.entry20  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe4
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe4.frame71  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe4.frame33  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe4.frame15  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe4.frame69  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe4.frame71
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe4.frame71.label34  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe4.frame71.frame35  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe4.frame71.frame35
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe4.frame71.frame35.radiobutton36  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe4.frame71.frame35.radiobutton37  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe4.frame33
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe4.frame33.label34  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe4.frame33.frame35  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe4.frame33.frame35
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe4.frame33.frame35.radiobutton36  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe4.frame33.frame35.radiobutton37  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe4.frame15
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe4.frame15.label66  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe4.frame15.button67  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe4.frame69
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe4.frame69.label70  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe4.frame69.frame  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe4.frame69.frame
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe4.frame69.frame.scrollbar1  -fill y  -side right
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe4.frame69.frame.text2  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame61  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame14  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame27  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame61
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame61.label62  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame61.frame0  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame61.button53  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame61.frame0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame61.frame0.frame1  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame61.frame0.frame1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame61.frame0.frame1.frame31  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame61.frame0.frame1.frame36  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame61.frame0.frame1.frame31
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame61.frame0.frame1.frame31.button32  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame61.frame0.frame1.frame31.button33  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame61.frame0.frame1.frame31.button34  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame61.frame0.frame1.frame36
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame61.frame0.frame1.frame36.button37  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame61.frame0.frame1.frame36.entry38  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame61.frame0.frame1.frame36.button39  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame61.frame0.frame1.frame36.label52  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame61.frame0.frame1.frame36.entry40  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame61.frame0.frame1.frame36.label44  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame61.frame0.frame1.frame36.entry41  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame61.frame0.frame1.frame36.button4  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame61.frame0.frame1.frame36.entry6  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame14
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame14.label62  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame14.frame0  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame14.button53  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame14.frame0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame14.frame0.frame1  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame14.frame0.frame1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame14.frame0.frame1.frame31  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame14.frame0.frame1.frame36  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame14.frame0.frame1.frame31
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame14.frame0.frame1.frame31.button32  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame14.frame0.frame1.frame31.button33  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame14.frame0.frame1.frame31.button34  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame14.frame0.frame1.frame36
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame14.frame0.frame1.frame36.button37  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame14.frame0.frame1.frame36.entry38  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame14.frame0.frame1.frame36.button39  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame14.frame0.frame1.frame36.label52  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame14.frame0.frame1.frame36.entry40  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame14.frame0.frame1.frame36.label44  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame14.frame0.frame1.frame36.entry41  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame14.frame0.frame1.frame36.button4  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame14.frame0.frame1.frame36.entry6  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame27
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame27.label47  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame27.frame0  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame27.frame48  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame27.frame11  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame27.frame0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame27.frame0.frame1  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame27.frame0.frame1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame27.frame0.frame1.frame36  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame27.frame0.frame1.frame36
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame27.frame0.frame1.frame36.button37  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame27.frame0.frame1.frame36.entry38  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame27.frame11
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame27.frame11.button53  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame27.frame48
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame27.frame48.button39  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame27.frame48.label52  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame27.frame48.entry40  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame27.frame48.label44  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5.frame27.frame48.entry41  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame60  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame16  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame60
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame60.frame60  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame60.frame12  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame60.frame0  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame60.frame1  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame60.frame60
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame60.frame60.label61  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame60.frame12
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame60.frame12.label54  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame60.frame12.entry55  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame60.frame0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame60.frame0.frame26  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame60.frame0.frame57  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame60.frame0.frame26
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame60.frame0.frame26.checkbutton27  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame60.frame0.frame57
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame60.frame0.frame57.button57  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame60.frame0.frame57.button58  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame60.frame1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame60.frame1.button0  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame60.frame1.frame4  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame60.frame1.frame4
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame60.frame1.frame4.button4  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame60.frame1.frame4.entry6  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame16
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame16.frame60  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame16.frame6  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame16.frame1  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame16.frame60
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame16.frame60.label61  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame16.frame6
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame16.frame6.frame12  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame16.frame6.frame57  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame16.frame6.frame12
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame16.frame6.frame12.label54  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame16.frame6.frame12.entry55  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame16.frame6.frame57
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame16.frame6.frame57.button57  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame16.frame6.frame57.button58  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame16.frame6.frame57.button0  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame16.frame1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame16.frame1.button0  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame16.frame1.frame4  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame16.frame1.frame4
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame16.frame1.frame4.button4  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6.frame16.frame1.frame4.entry6  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame10  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe1  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe3  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe4  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe1.frame17  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe1.frame17
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe1.frame17.frame3  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe1.frame17.frame8  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe1.frame17.frame11  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe1.frame17.frame12  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe1.frame17.frame3
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe1.frame17.frame3.label1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe1.frame17.frame3.label2  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe1.frame17.frame3.label3  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe1.frame17.frame3.label4  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe1.frame17.frame8
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe1.frame17.frame8.label1  -fill x  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe1.frame17.frame8.label2  -fill x  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe1.frame17.frame8.entry1  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe1.frame17.frame8.label3  -fill x  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe1.frame17.frame8.label4  -fill x  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe1.frame17.frame8.entry2  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe1.frame17.frame8.label10  -fill x  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe1.frame17.frame8.label5  -fill x  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe1.frame17.frame8.entry3  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe1.frame17.frame8.label6  -fill x  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe1.frame17.frame8.label7  -fill x  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe1.frame17.frame8.entry4  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe1.frame17.frame11
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe1.frame17.frame11.label16  -fill x  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe1.frame17.frame11.label17  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe1.frame17.frame11.entry18  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe1.frame17.frame11.label19  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe1.frame17.frame11.label7  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe1.frame17.frame11.entry20  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe1.frame17.frame12
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe1.frame17.frame12.label16  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2.frame4  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2.frame4
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2.frame4.frame8  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2.frame4.frame15  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2.frame4.tlabelframe1  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2.frame4.frame8
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2.frame4.frame8.label16  -fill x  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2.frame4.frame8.label17  -fill both  -padx 3  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2.frame4.frame8.entry18  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2.frame4.frame8.label19  -fill both  -padx 2  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2.frame4.frame8.label7  -fill both  -padx 2  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2.frame4.frame8.entry20  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2.frame4.frame15
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2.frame4.frame15.label16  -fill x  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2.frame4.frame15.label17  -fill both  -padx 3  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2.frame4.frame15.entry18  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2.frame4.tlabelframe1.frame10
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2.frame4.tlabelframe1.frame10.frame3  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2.frame4.tlabelframe1.frame10.frame5  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2.frame4.tlabelframe1.frame10.frame3
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2.frame4.tlabelframe1.frame10.frame3.label16  -fill x  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2.frame4.tlabelframe1.frame10.frame3.label17  -fill both  -padx 3  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2.frame4.tlabelframe1.frame10.frame3.entry18  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2.frame4.tlabelframe1.frame10.frame3.label19  -fill both  -padx 2  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2.frame4.tlabelframe1.frame10.frame3.label7  -fill both  -padx 2  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2.frame4.tlabelframe1.frame10.frame3.entry20  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2.frame4.tlabelframe1.frame10.frame5
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2.frame4.tlabelframe1.frame10.frame5.label16  -fill x  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2.frame4.tlabelframe1.frame10.frame5.label17  -fill both  -padx 3  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2.frame4.tlabelframe1.frame10.frame5.entry18  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2.frame4.tlabelframe1.frame10.frame5.label19  -fill both  -padx 2  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2.frame4.tlabelframe1.frame10.frame5.label7  -fill both  -padx 2  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2.frame4.tlabelframe1.frame10.frame5.entry20  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe3
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe3.frame13  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe3.frame13
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe3.frame13.frame2  -fill x
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe3.frame13.frame8  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe3.frame13.frame11  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe3.frame13.tlabelframe1  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe3.frame13.frame2
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe3.frame13.frame2.label16  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe3.frame13.frame8
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe3.frame13.frame8.label16  -fill x  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe3.frame13.frame8.label17  -fill both  -padx 3  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe3.frame13.frame8.entry18  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe3.frame13.frame8.label19  -fill both  -padx 2  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe3.frame13.frame8.label7  -fill both  -padx 2  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe3.frame13.frame8.entry20  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe3.frame13.frame11
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe3.frame13.frame11.label16  -fill x  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe3.frame13.frame11.label17  -fill both  -padx 3  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe3.frame13.frame11.entry18  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe3.frame13.frame11.label19  -fill both  -padx 2  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe3.frame13.frame11.label7  -fill both  -padx 2  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe3.frame13.frame11.entry20  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe3.frame13.tlabelframe1.frame5
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe3.frame13.tlabelframe1.frame5.label16  -fill x  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe3.frame13.tlabelframe1.frame5.label17  -fill both  -padx 3  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe3.frame13.tlabelframe1.frame5.entry18  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe3.frame13.tlabelframe1.frame5.label19  -fill both  -padx 2  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe3.frame13.tlabelframe1.frame5.label7  -fill both  -padx 2  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe3.frame13.tlabelframe1.frame5.entry20  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe4
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe4.frame1  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe4.frame1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe4.frame1.button52  -anchor w  -expand 1  -fill y  -pady 3  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe4.frame1.button53  -anchor e  -expand 1  -fill y  -pady 3  -side right

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame10
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame10.frame23  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame10.frame23
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame10.frame23.label26  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe5  -anchor nw  -fill x
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe6  -fill x

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe5
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe5.frame4  -anchor nw  -fill x

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe5.frame4
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe5.frame4.frame2  -anchor nw  -fill x
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe5.frame4.frame12  -anchor nw  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe5.frame4.frame5  -anchor nw  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe5.frame4.frame2
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe5.frame4.frame2.label16  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe5.frame4.frame12
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe5.frame4.frame12.label16  -fill x
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe5.frame4.frame12.radiobutton13  -fill x
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe5.frame4.frame12.radiobutton5  -fill x
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe5.frame4.frame12.radiobutton1  -fill x

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe5.frame4.frame5
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe5.frame4.frame5.label16  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe5.frame4.frame5.frame138  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe5.frame4.frame5.frame11  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe5.frame4.frame5.frame13  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe5.frame4.frame5.frame138
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe5.frame4.frame5.frame138.checkbutton83  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe5.frame4.frame5.frame138.label92  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe5.frame4.frame5.frame11
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe5.frame4.frame5.frame11.checkbutton83  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe5.frame4.frame5.frame11.label92  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe5.frame4.frame5.frame13
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe5.frame4.frame5.frame13.checkbutton83  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe5.frame4.frame5.frame13.label92  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe6
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe6.frame13  -anchor nw  -expand 1  -fill x

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe6.frame13
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe6.frame13.frame7  -expand 1  -fill both  -pady 3
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe6.frame13.frame1  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe6.frame13.frame6  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe6.frame13.frame1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe6.frame13.frame1.button52  -fill x  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe6.frame13.frame1.entry18  -expand 1  -fill x  -padx 3  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe6.frame13.frame6
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe6.frame13.frame6.frame12  -anchor nw  -fill y  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe6.frame13.frame6.frame13  -anchor nw  -padx 6  -pady 3  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe6.frame13.frame6.frame12
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe6.frame13.frame6.frame12.frame12  -fill x
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe6.frame13.frame6.frame12.frame13  -fill x

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe6.frame13.frame6.frame12.frame12
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe6.frame13.frame6.frame12.frame12.checkbutton83  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe6.frame13.frame6.frame12.frame12.label92  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe6.frame13.frame6.frame12.frame13
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe6.frame13.frame6.frame12.frame13.checkbutton84  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe6.frame13.frame6.frame12.frame13.label93  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe6.frame13.frame6.frame13
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe6.frame13.frame6.frame13.label16  -fill x
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe6.frame13.frame6.frame13.frame11  -fill x
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe6.frame13.frame6.frame13.frame12  -fill x

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe6.frame13.frame6.frame13.frame11
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe6.frame13.frame6.frame13.frame11.label16  -anchor nw  -fill x  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe6.frame13.frame6.frame13.frame11.label15  -anchor w  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe6.frame13.frame6.frame13.frame12
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe6.frame13.frame6.frame13.frame12.label16  -anchor nw  -fill x  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe6.frame13.frame6.frame13.frame12.label15  -anchor w  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe6.frame13.frame7
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe6.frame13.frame7.frame12  -fill x

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe6.frame13.frame7.frame12
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe6.frame13.frame7.frame12.frame11  -fill x

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe6.frame13.frame7.frame12.frame11
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe6.frame13.frame7.frame12.frame11.button52  -fill x  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame48.tlabelframe6.frame13.frame7.frame12.frame11.entry18  -expand 1  -fill x  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframe0  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframe31  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframeDisp  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframe4  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame0  -anchor nw  -fill both  -padx 3  -pady 3  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame1  -anchor nw  -fill both  -pady 3  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame0.line0  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame0.line1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame0.line2  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame0.line3  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame0.line4  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame0.line5  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame0.line0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame0.line0.label0  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame0.line1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame0.line1.label0  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame0.line1.menubutton0  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame0.line2
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame0.line2.label0  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame0.line2.entry0  -fill x  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame0.line3
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame0.line3.label0  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame0.line3.entry0  -fill x  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame0.line4
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame0.line4.label0  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame0.line4.entry0  -fill x  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame0.line5
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame0.line5.button0  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame1.line0  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame1.line1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame1.line2  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame1.labelframe0  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame1.line0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame1.line0.label0  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame1.line1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame1.line1.label0  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame1.line1.menubutton0  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame1.line2
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame1.line2.label0  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame1.line2.entry0  -fill x  -padx 2  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame1.labelframe0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame1.labelframe0.frame0  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame1.labelframe0.frame0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame1.labelframe0.frame0.line0  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame1.labelframe0.frame0.line1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame1.labelframe0.frame0.line0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame1.labelframe0.frame0.line0.label0  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame1.labelframe0.frame0.line0.entry0  -fill x  -padx 2  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame1.labelframe0.frame0.line0.label1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame1.labelframe0.frame0.line0.entry1  -fill x  -padx 2  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame1.labelframe0.frame0.line1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame1.labelframe0.frame0.line1.label0  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame1.labelframe0.frame0.line1.entry0  -fill x  -padx 2  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame1.labelframe0.frame0.line1.label1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame0.labelframe1.frame0.frame1.labelframe0.frame0.line1.entry1  -fill x  -padx 2  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframe4
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframe4.frame11  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframe4.frame11
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframe4.frame11.button52  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframe4.frame11.button1  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframe0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframe0.tlabel2  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframe0.tradiobutton3  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframe0.tradiobutton4  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame17
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame17.label11  -fill y  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame17.entry12  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame17.menubutton20

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame29
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame29.label11  -fill y  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame29.entry12  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.frame29.menubutton20

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframe31
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframe31.tlabel34  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframe31.tradiobutton32  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframe31.tradiobutton33  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframe31.tradiobutton34  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframeDisp
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframeDisp.tlabel1  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframeDisp.tradiobutton0  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2.tframeDisp.tradiobutton1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tlabel1  -fill y
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.frame17  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.frame5  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.frame17
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.frame17.label11  -fill y  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.frame17.entry12  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.frame17.menubutton20

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.frame5
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.frame5.line0  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.frame5.line1  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.frame5.line0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.frame5.line0.label55  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.frame5.line0.button0  -side right

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.frame5.line1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.frame5.line1.text56  -anchor nw  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0  -fill both  -ipady 1  -pady 1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.frame15  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe1.tlabel0  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe1.tradiobutton0  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe1.tradiobutton1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframeXYZ  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframeXYZ
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframeXYZ.frame3  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframeXYZ.frame1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframeXYZ.frame11  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframeXYZ.frame12  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframeXYZ.frame8  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframeXYZ.frame1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframeXYZ.frame1.label7  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframeXYZ.frame1.scale10  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframeXYZ.frame1.label0  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframeXYZ.frame11
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframeXYZ.frame11.label7  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframeXYZ.frame11.scale10  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframeXYZ.frame11.label1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframeXYZ.frame12
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframeXYZ.frame12.label7  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframeXYZ.frame12.scale10  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframeXYZ.frame12.label2  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframeXYZ.frame3
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframeXYZ.frame3.label8  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframeXYZ.frame3.label5  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframeXYZ.frame3.label7  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframeXYZ.frame3.label9  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframeXYZ.frame8
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframeXYZ.frame8.label9  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframeXYZ.frame8.radiobutton10  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframeXYZ.frame8.radiobutton11  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframeXYZ.frame8.entry0  -expand 1  -fill both  -side right
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframeXYZ.frame8.label1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframePATH
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframePATH.frame14  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframePATH.frame7  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframePATH.frame14
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframePATH.frame14.frame16  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframePATH.frame14.frame16
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframePATH.frame14.frame16.frame1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframePATH.frame14.frame16.label0  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframePATH.frame14.frame16.frame17  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframePATH.frame14.frame16.button1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframePATH.frame14.frame16.frame1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframePATH.frame14.frame16.frame1.label14  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframePATH.frame14.frame16.frame17
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframePATH.frame14.frame16.frame17.label19  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframePATH.frame14.frame16.frame17.label23  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframePATH.frame7
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframePATH.frame7.label14  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframePATH.frame7.scale15  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.frame15
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.frame15.frame18  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.frame15.frame2  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.frame15.frame12  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.frame15.frame2
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.frame15.frame2.tbutton0  -side right
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.frame15.frame2.tlabel0

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.frame15.frame18
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.frame15.frame18.menubutton0  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.frame15.frame18.menubutton1  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.frame15.frame18.menubutton2  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.frame15.frame12
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.frame15.frame12.label7  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.frame15.frame12.scale10  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.frame15.frame12.label2  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.frame15.frame12.tframe3

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.frame15.frame12.tframe3
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.frame15.frame12.tframe3.tframe4  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.frame15.frame12.tframe3.tframe5  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.frame15.frame12.tframe3.tframe4
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.frame15.frame12.tframe3.tframe4.tlabel6  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.frame15.frame12.tframe3.tframe4.tentry7  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.frame15.frame12.tframe3.tframe5
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.frame15.frame12.tframe3.tframe5.tlabel8  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.frame15.frame12.tframe3.tframe5.tentry9  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe6  -fill x
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe1  -fill x

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe6
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe6.tlabelframe0  -expand 1  -fill x  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe6.tlabelframe0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe6.tlabelframe0.tframe12  -expand 1  -fill x

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe6.tlabelframe0.tframe12
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe6.tlabelframe0.tframe12.tbutton4  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe6.tlabelframe0.tframe12.tbutton10  -side right

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe1.tlabelframe14  -fill x

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe1.tlabelframe14
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe1.tlabelframe14.tframe4  -fill x  -side bottom

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe1.tlabelframe14.tframe4
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe1.tlabelframe14.tframe4.tlabelframe8  -expand 1  -fill x
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe1.tlabelframe14.tframe4.tlabelframe11  -expand 1  -fill x
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe1.tlabelframe14.tframe4.tframe5  -expand 1  -fill x  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe1.tlabelframe14.tframe4.tlabelframe8
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe1.tlabelframe14.tframe4.tlabelframe8.tframe1  -fill x  -side bottom

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe1.tlabelframe14.tframe4.tlabelframe8.tframe1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe1.tlabelframe14.tframe4.tlabelframe8.tframe1.tframe19  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe1.tlabelframe14.tframe4.tlabelframe8.tframe1.tframe11  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe1.tlabelframe14.tframe4.tlabelframe8.tframe1.tframe19
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe1.tlabelframe14.tframe4.tlabelframe8.tframe1.tframe19.tlabel7  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe1.tlabelframe14.tframe4.tlabelframe8.tframe1.tframe19.tentry6  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe1.tlabelframe14.tframe4.tlabelframe8.tframe1.tframe11
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe1.tlabelframe14.tframe4.tlabelframe8.tframe1.tframe11.tlabel7  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe1.tlabelframe14.tframe4.tlabelframe8.tframe1.tframe11.tentry6  -expand 1  -fill x  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe1.tlabelframe14.tframe4.tlabelframe11
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe1.tlabelframe14.tframe4.tlabelframe11.tframe10  -fill x  -side bottom

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe1.tlabelframe14.tframe4.tlabelframe11.tframe10
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe1.tlabelframe14.tframe4.tlabelframe11.tframe10.tframe3  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe1.tlabelframe14.tframe4.tlabelframe11.tframe10.tframe4  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe1.tlabelframe14.tframe4.tlabelframe11.tframe10.tframe20  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe1.tlabelframe14.tframe4.tlabelframe11.tframe10.tframe3
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe1.tlabelframe14.tframe4.tlabelframe11.tframe10.tframe3.tlabel7  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe1.tlabelframe14.tframe4.tlabelframe11.tframe10.tframe3.tentry6  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe1.tlabelframe14.tframe4.tlabelframe11.tframe10.tframe4
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe1.tlabelframe14.tframe4.tlabelframe11.tframe10.tframe4.tcheckbutton5  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe1.tlabelframe14.tframe4.tlabelframe11.tframe10.tframe4.tlabel7  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe1.tlabelframe14.tframe4.tlabelframe11.tframe10.tframe4.tentry6  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe1.tlabelframe14.tframe4.tlabelframe11.tframe10.tframe20
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe1.tlabelframe14.tframe4.tlabelframe11.tframe10.tframe20.tcheckbutton5  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe1.tlabelframe14.tframe4.tlabelframe11.tframe10.tframe20.tlabel7  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe1.tlabelframe14.tframe4.tlabelframe11.tframe10.tframe20.tentry6  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe1.tlabelframe14.tframe4.tframe5
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe1.tlabelframe14.tframe4.tframe5.tbutton5  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe17  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe16  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe18  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe3  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe19  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe20  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe16
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe16.frame1  -fill x  -side bottom

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe16.frame1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe16.frame1.frame0  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe16.frame1.frame2  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe16.frame1.frame0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe16.frame1.frame0.label14  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe16.frame1.frame0.entry15  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe16.frame1.frame0.button16  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe16.frame1.frame2
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe16.frame1.frame2.button4  -side right

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe17
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe17.frame0  -fill x  -side bottom

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe17.frame0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe17.frame0.tframe0  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe17.frame0.frame9  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe17.frame0.frame9
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe17.frame0.frame9.label24  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe17.frame0.frame9.entry0  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe17.frame0.frame9.button1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe17.frame0.tframe0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe17.frame0.tframe0.tlabel3  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe17.frame0.tframe0.tradiobutton1  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe17.frame0.tframe0.tradiobutton2  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe18
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe18.frame27  -fill x  -side bottom

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe18.frame27
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe18.frame27.label0  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe18.frame27.entry1  -fill x  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe18.frame27.frame2  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe18.frame27.frame2
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe18.frame27.frame2.radiobutton3  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe18.frame27.frame2.radiobutton4  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe19
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe19.frame24  -fill x  -side bottom

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe19.frame24
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe19.frame24.frame27  -expand 1  -fill x

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe19.frame24.frame27
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe19.frame24.frame27.frame0  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe19.frame24.frame27.frame0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe19.frame24.frame27.frame0.label4  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe19.frame24.frame27.frame0.entry5  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe19.frame24.frame27.frame0.tbutton15  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe19.frame24.frame27.frame0.tbutton17  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe3
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe3.frame5  -fill x  -side bottom

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe3.frame5
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe3.frame5.tframe21  -fill x

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe3.frame5.tframe21
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe3.frame5.tframe21.button3  -fill y  -side right
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe3.frame5.tframe21.tbutton5  -fill y  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe20.frame5
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe20.frame5.button3  -fill y  -side right

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe6  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe18  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe99  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe14  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1  -fill x  -side bottom

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tlabelframe3  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tlabelframe3
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tlabelframe3.frame  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tlabelframe3.frame
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tlabelframe3.frame.scrollbar2  -fill y  -side right
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tlabelframe3.frame.listbox1  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tlabelframe3.frame.scrollbar3  -fill x  -side bottom

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe6  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe13  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe6
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe6.frame2  -fill x  -side bottom

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe6.frame2
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe6.frame2.frame5  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe6.frame2.tframe0  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe6.frame2.frame7  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe6.frame2.tframe12  -fill x

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe6.frame2.frame5
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe6.frame2.frame5.frame15  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe6.frame2.frame5.frame15
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe6.frame2.frame5.frame15.label17  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe6.frame2.frame5.frame15.menubutton18  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe6.frame2.frame7
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe6.frame2.frame7.label12  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe6.frame2.frame7.entry13  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe6.frame2.tframe0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe6.frame2.tframe0.label8  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe6.frame2.tframe0.menubutton9  -expand 1  -fill both  -side right

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe6.frame2.tframe12
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe6.frame2.tframe12.button24  -fill x  -side right

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe13
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe13.tframe14  -fill x  -side bottom

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe13.tframe14
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe13.tframe14.frame2  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe13.tframe14.frame2
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe13.tframe14.frame2.frame5  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe13.tframe14.frame2.frame7  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe13.tframe14.frame2.frame15  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe13.tframe14.frame2.frame5
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe13.tframe14.frame2.frame5.tframe6  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe13.tframe14.frame2.frame5.frame21  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe13.tframe14.frame2.frame5.frame21
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe13.tframe14.frame2.frame5.frame21.label8  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe13.tframe14.frame2.frame5.frame21.menubutton9  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe13.tframe14.frame2.frame5.tframe6
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe13.tframe14.frame2.frame5.tframe6.label8  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe13.tframe14.frame2.frame5.tframe6.menubutton9  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe13.tframe14.frame2.frame7
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe13.tframe14.frame2.frame7.frame7  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe13.tframe14.frame2.frame7.frame22  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe13.tframe14.frame2.frame7.frame23  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe13.tframe14.frame2.frame7.frame7
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe13.tframe14.frame2.frame7.frame7.label12  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe13.tframe14.frame2.frame7.frame7.entry13  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe13.tframe14.frame2.frame7.frame22
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe13.tframe14.frame2.frame7.frame22.label12  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe13.tframe14.frame2.frame7.frame22.entry13  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe13.tframe14.frame2.frame7.frame23
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe13.tframe14.frame2.frame7.frame23.label12  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe13.tframe14.frame2.frame7.frame23.entry13  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe13.tframe14.frame2.frame15
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe13.tframe14.frame2.frame15.button24  -side right

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe19  -fill x
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe20  -fill x

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe19
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe19.frame26  -fill x  -side bottom

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe19.frame26
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe19.frame26.frame2  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe19.frame26.frame2
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe19.frame26.frame2.frame7  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe19.frame26.frame2.frame15  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe19.frame26.frame2.frame7
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe19.frame26.frame2.frame7.frame7  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe19.frame26.frame2.frame7.frame22  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe19.frame26.frame2.frame7.frame23  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe19.frame26.frame2.frame7.frame7
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe19.frame26.frame2.frame7.frame7.label12  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe19.frame26.frame2.frame7.frame7.entry13  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe19.frame26.frame2.frame7.frame22
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe19.frame26.frame2.frame7.frame22.label12  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe19.frame26.frame2.frame7.frame22.entry13  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe19.frame26.frame2.frame7.frame23
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe19.frame26.frame2.frame7.frame23.label12  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe19.frame26.frame2.frame7.frame23.entry13  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe19.frame26.frame2.frame15
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe19.frame26.frame2.frame15.button24  -side right

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe20
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe20.frame26  -fill x  -side bottom

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe20.frame26
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe20.frame26.frame27  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe20.frame26.frame27
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe20.frame26.frame27.frame7  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe20.frame26.frame27.frame28  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe20.frame26.frame27.frame15  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe20.frame26.frame27.frame7
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe20.frame26.frame27.frame7.frame7  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe20.frame26.frame27.frame7.frame22  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe20.frame26.frame27.frame7.frame23  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe20.frame26.frame27.frame7.frame7
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe20.frame26.frame27.frame7.frame7.label12  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe20.frame26.frame27.frame7.frame7.entry13  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe20.frame26.frame27.frame7.frame22
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe20.frame26.frame27.frame7.frame22.label12  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe20.frame26.frame27.frame7.frame22.entry13  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe20.frame26.frame27.frame7.frame23
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe20.frame26.frame27.frame7.frame23.label12  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe20.frame26.frame27.frame7.frame23.entry13  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe20.frame26.frame27.frame15
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe20.frame26.frame27.frame15.button24  -side right

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe20.frame26.frame27.frame28
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe20.frame26.frame27.frame28.frame7  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe20.frame26.frame27.frame28.frame22  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe20.frame26.frame27.frame28.frame7
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe20.frame26.frame27.frame28.frame7.label12  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe20.frame26.frame27.frame28.frame7.entry13  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe20.frame26.frame27.frame28.frame22
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe20.frame26.frame27.frame28.frame22.label12  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9.tlabelframe20.frame26.frame27.frame28.frame22.entry13  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe14
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe14.tframe15  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe14.tframe15
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe14.tframe15.frame  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe14.tframe15.frame
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe14.tframe15.frame.scrollbar1  -fill y  -side right
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe14.tframe15.frame.text2  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe6.frame2
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe6.frame2.frame5  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe6.frame2.tframe0  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe6.frame2.frame7  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe6.frame2.tframe12  -fill x

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe6.frame2.frame5
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe6.frame2.frame5.frame15  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe6.frame2.frame5.frame15
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe6.frame2.frame5.frame15.label17  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe6.frame2.frame5.frame15.menubutton18  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe6.frame2.frame7
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe6.frame2.frame7.label12  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe6.frame2.frame7.entry13  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe6.frame2.tframe0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe6.frame2.tframe0.label8  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe6.frame2.tframe0.menubutton9  -expand 1  -fill both  -side right

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe6.frame2.tframe12
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe6.frame2.tframe12.button24  -fill x  -side right

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe18.frame5
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe18.frame5.frame7  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe18.frame5.frame15  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe18.frame5.frame7
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe18.frame5.frame7.menubutton8  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe18.frame5.frame7.menubutton9  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe18.frame5.frame7.menubutton11  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe18.frame5.frame15
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe18.frame5.frame15.frame28  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe18.frame5.frame15.frame28
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe18.frame5.frame15.frame28.frame19  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe18.frame5.frame15.frame28.frame19
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe18.frame5.frame15.frame28.frame19.label51  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe18.frame5.frame15.frame28.frame19.scale52  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe99.frame5
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe99.frame5.button3  -fill both  -side right

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe9  -fill x
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe8  -fill x
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe10  -fill x
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe11  -fill x
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe12  -fill x

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe8
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe8.frame1  -fill x  -side bottom

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe8.frame1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe8.frame1.frame9  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe8.frame1.frame3  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe8.frame1.frame6  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe8.frame1.frame7  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe8.frame1.frame8  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe8.frame1.tframe0  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe8.frame1.frame3
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe8.frame1.frame3.label14  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe8.frame1.frame3.entry15  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe8.frame1.frame3.button16  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe8.frame1.frame6
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe8.frame1.frame6.label14  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe8.frame1.frame6.entry15  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe8.frame1.frame6.button16  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe8.frame1.frame7
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe8.frame1.frame7.label14  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe8.frame1.frame7.entry15  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe8.frame1.frame7.button16  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe8.frame1.frame8
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe8.frame1.frame8.label14  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe8.frame1.frame8.entry15  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe8.frame1.frame8.button16  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe8.frame1.frame9
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe8.frame1.frame9.label24  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe8.frame1.frame9.entry0  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe8.frame1.frame9.button1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe8.frame1.tframe0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe8.frame1.tframe0.tlabel3  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe8.frame1.tframe0.tradiobutton1  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe8.frame1.tframe0.tradiobutton2  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe9
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe9.frame1  -fill x  -side bottom

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe9.frame1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe9.frame1.frame6  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe9.frame1.frame7  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe9.frame1.frame27  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe9.frame1.frame15  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe9.frame1.tframe13  -fill x

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe9.frame1.frame6
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe9.frame1.frame6.label9  -fill y  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe9.frame1.frame6.entry10  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe9.frame1.frame6.button11  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe9.frame1.frame7
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe9.frame1.frame7.label12  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe9.frame1.frame7.entry13  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe9.frame1.frame7.button14  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe9.frame1.frame27
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe9.frame1.frame27.label28  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe9.frame1.frame27.radiobutton29  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe9.frame1.frame27.radiobutton30  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe9.frame1.frame15
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe9.frame1.frame15.label17  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe9.frame1.frame15.entry18  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe9.frame1.tframe13
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe9.frame1.tframe13.tbutton8  -expand 1 -fill x

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe10
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe10.frame5  -fill x  -side bottom

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe10.frame5
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe10.frame5.frame15  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe10.frame5.frame15
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe10.frame5.frame15.frame28  -fill x  -side top
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe10.frame5.frame15.frame29  -fill x  -side top
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe10.frame5.frame15.frame30  -fill x  -side top
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe10.frame5.frame15.frame31  -fill x  -side top

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe10.frame5.frame15.frame28
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe10.frame5.frame15.frame28.frame6  -fill y  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe10.frame5.frame15.frame28.frame27  -fill y  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe10.frame5.frame15.frame28.frame2  -fill y  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe10.frame5.frame15.frame28.frame27
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe10.frame5.frame15.frame28.frame27.label0 -fill y -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe10.frame5.frame15.frame28.frame27.entry1 -fill y -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe10.frame5.frame15.frame28.frame2
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe10.frame5.frame15.frame28.frame2.label0 -fill y -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe10.frame5.frame15.frame28.frame2.entry1 -fill y -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe10.frame5.frame15.frame28.frame6
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe10.frame5.frame15.frame28.frame6.label0 -fill y -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe10.frame5.frame15.frame28.frame6.entry1 -fill y -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe10.frame5.frame15.frame29
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe10.frame5.frame15.frame29.frame2  -fill y  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe10.frame5.frame15.frame29.frame6  -fill y  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe10.frame5.frame15.frame29.frame27  -fill y  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe10.frame5.frame15.frame29.frame27
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe10.frame5.frame15.frame29.frame27.label0 -fill y -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe10.frame5.frame15.frame29.frame27.entry1 -fill y -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe10.frame5.frame15.frame29.frame2
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe10.frame5.frame15.frame29.frame2.label0 -fill y -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe10.frame5.frame15.frame29.frame2.entry1 -fill y -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe10.frame5.frame15.frame29.frame6
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe10.frame5.frame15.frame29.frame6.label0 -fill y -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe10.frame5.frame15.frame29.frame6.entry1 -fill y -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe10.frame5.frame15.frame30
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe10.frame5.frame15.frame30.label0 -fill y -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe10.frame5.frame15.frame30.entry1 -fill y -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe10.frame5.frame15.frame31
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe10.frame5.frame15.frame31.label0 -fill y -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe10.frame5.frame15.frame31.entry1 -fill y -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe11
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe11.tframe12  -fill x  -side bottom

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe11.tframe12
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe11.tframe12.tbutton9  -expand 1 -fill x

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe12.tframe0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe12.tframe0.tbutton9  -side right -fill y

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe1.tlabelframe6  -fill x

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe1.tlabelframe6
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe1.tlabelframe6.tframe8  -fill x  -side bottom

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe1.tlabelframe6.tframe8
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe1.tlabelframe6.tframe8.tbutton3  -anchor w
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe1.tlabelframe6.tframe8.tbutton4  -anchor w
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe1.tlabelframe6.tframe8.tbutton5  -anchor w

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe18  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe16  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe20  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe21  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe40  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe18
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe18.frame18  -fill x  -side bottom

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe18.frame18
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe18.frame18.label17  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe18.frame18.entry0  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe18.frame18.button1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe16
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe16.frame1  -fill x  -side bottom

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe16.frame1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe16.frame1.frame0  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe16.frame1.frame2  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe16.frame1.frame0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe16.frame1.frame0.label14  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe16.frame1.frame0.entry15  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe16.frame1.frame0.button16  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe16.frame1.frame2
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe16.frame1.frame2.button4  -side right

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame0  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame2  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame4  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame6  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame8  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame10  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame12  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame14  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame16  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame18  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame0.checkbutton0  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame0.label0  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame0.scale0  -expand 1  -fill both  -side right

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame2
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame2.checkbutton1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame2.label4  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame2.scale9  -expand 1  -fill both  -side right

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame4
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame4.checkbutton2  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame4.label6  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame4.entry3  -expand 1  -fill both  -side right

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame6
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame6.checkbutton3  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame6.label6  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame8
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame8.checkbutton4  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame8.label2  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame10
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame10.checkbutton5  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame10.label3  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame12
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame12.checkbutton6  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame12.label6  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame14
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame14.checkbutton7  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame14.label7  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame16
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame16.checkbutton8  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame16.label8  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame18
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame18.checkbutton9  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame18.label9  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7.frame18.entry9  -expand 1  -fill both  -side right

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe40.frame5
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe40.frame5.button3  -fill both  -side right

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe20
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe20.frame14  -fill x  -side bottom

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe20.frame14
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe20.frame14.frame2  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe20.frame14.frame3  -expand 1  -fill both  -side bottom

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe20.frame14.frame2
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe20.frame14.frame2.frame5  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe20.frame14.frame2.frame7  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe20.frame14.frame2.frame1  -fill both  -side right

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe20.frame14.frame2.frame5
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe20.frame14.frame2.frame5.tbutton4  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe20.frame14.frame2.frame7
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe20.frame14.frame2.frame7.label1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe20.frame14.frame2.frame7.entry1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe20.frame14.frame2.frame1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe20.frame14.frame2.frame1.button6  -fill both  -side right

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe20.frame14.frame3
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe20.frame14.frame3.frame5  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe20.frame14.frame3.tbutton1  -fill both  -side bottom

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe20.frame14.frame3.frame5
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe20.frame14.frame3.frame5.frame  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe20.frame14.frame3.frame5.frame
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe20.frame14.frame3.frame5.frame.scrollbar2  -fill y  -side right
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe20.frame14.frame3.frame5.frame.listbox1  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe20.frame14.frame3.frame5.frame.scrollbar3  -fill x  -side bottom

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe21
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe21.frame27  -fill x  -side bottom

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe21.frame27
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe21.frame27.label4  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe21.frame27.entry5  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe21.frame27.tbutton15  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe21.frame27.tbutton17  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe4  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe2  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe9  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe10  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe3  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe11  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe1.frame0  -fill x  -side bottom

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe1.frame0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe1.frame0.tframe99  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe1.frame0.tframe99
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe1.frame0.tframe99.tframe3  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe1.frame0.tframe99.tframe4  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe1.frame0.tframe99.tframe5  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe1.frame0.tframe99.tframe6  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe1.frame0.tframe99.tframe3
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe1.frame0.tframe99.tframe3.label1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe1.frame0.tframe99.tframe3.tcheckbutton1  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe1.frame0.tframe99.tframe4
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe1.frame0.tframe99.tframe4.label4  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe1.frame0.tframe99.tframe4.entry4  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe1.frame0.tframe99.tframe5
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe1.frame0.tframe99.tframe5.label5  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe1.frame0.tframe99.tframe5.entry5  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe1.frame0.tframe99.tframe6
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe1.frame0.tframe99.tframe6.label6  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe1.frame0.tframe99.tframe6.entry6  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe4
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe4.frame0  -fill both  -side bottom

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe4.frame0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe4.frame0.frame2  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe4.frame0.button2  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe4.frame0.frame2
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe4.frame0.frame2.label2  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe4.frame0.frame2.entry2  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe2
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe2.frame1  -fill x  -side bottom

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe2.frame1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe2.frame1.tframe15  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe2.frame1.tframe9  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe2.frame1.tframe15
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe2.frame1.tframe15.checkbutton2  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe2.frame1.tframe15.label7  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe2.frame1.tframe15.button2  -fill both  -side right

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe2.frame1.tframe9
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe2.frame1.tframe9.tframe5  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe2.frame1.tframe9.tframe8  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe2.frame1.tframe9.tframe5
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe2.frame1.tframe9.tframe5.label5  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe2.frame1.tframe9.tframe5.entry5  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe2.frame1.tframe9.tframe8
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe2.frame1.tframe9.tframe8.label8  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe2.frame1.tframe9.tframe8.entry8  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe9
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe9.frame9  -fill x  -side bottom

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe9.frame9
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe9.frame9.tframe1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe9.frame9.tframe1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe9.frame9.tframe1.tframe11  -fill x

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe9.frame9.tframe1.tframe11
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe9.frame9.tframe1.tframe11.tlabel5  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe9.frame9.tframe1.tframe11.checkbutton5  -fill x  -side bottom

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe10.frame1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe10.frame1.tframe5  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe10.frame1.tframe7  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe10.frame1.tframe5
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe10.frame1.tframe5.label3  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe10.frame1.tframe5.checkbutton4  -fill x  -side bottom

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe10.frame1.tframe7
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe10.frame1.tframe7.label45  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe10.frame1.tframe7.checkbutton5  -fill x  -side bottom

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe3.frame5
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe3.frame5.button3  -fill both  -side right

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe11
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe11.tframe1  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe11.tframe1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe11.tframe1.frame  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe11.tframe1.frame
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe11.tframe1.frame.scrollbar1  -fill y  -side right
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe11.tframe1.frame.text2  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe8  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe7  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe9  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe10  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe11  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe7
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe7.frame1  -fill x  -side bottom

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe7.frame1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe7.frame1.frame9  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe7.frame1.frame3  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe7.frame1.frame10  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe7.frame1.frame14  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe7.frame1.frame3
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe7.frame1.frame3.label14  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe7.frame1.frame3.entry15  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe7.frame1.frame3.button16  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe7.frame1.frame14
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe7.frame1.frame14.label14  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe7.frame1.frame14.entry15  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe7.frame1.frame14.button16  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe7.frame1.frame9
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe7.frame1.frame9.label24  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe7.frame1.frame9.entry0  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe7.frame1.frame9.button1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe7.frame1.frame10
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe7.frame1.frame10.label24  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe7.frame1.frame10.entry0  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe7.frame1.frame10.button1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe8
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe8.frame1  -fill x  -side bottom

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe8.frame1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe8.frame1.frame6  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe8.frame1.frame7  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe8.frame1.frame27  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe8.frame1.frame15  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe8.frame1.tbutton8  -fill x

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe8.frame1.frame6
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe8.frame1.frame6.label9  -fill y  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe8.frame1.frame6.entry10  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe8.frame1.frame6.button11  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe8.frame1.frame7
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe8.frame1.frame7.label12  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe8.frame1.frame7.entry13  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe8.frame1.frame7.button14  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe8.frame1.frame27
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe8.frame1.frame27.label28  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe8.frame1.frame27.radiobutton29  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe8.frame1.frame27.radiobutton30  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe8.frame1.frame15
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe8.frame1.frame15.label17  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe8.frame1.frame15.entry18  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe9
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe9.frame5  -fill x  -side top
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe9.frame6  -fill x  -side top
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe9.frame7  -fill x  -side top
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe9.frame8  -fill x  -side top

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe9.frame5
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe9.frame5.frame6  -fill y  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe9.frame5.frame27  -fill y  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe9.frame5.frame2  -fill y  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe9.frame5.frame27
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe9.frame5.frame27.label0 -fill y -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe9.frame5.frame27.entry1 -fill y -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe9.frame5.frame2
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe9.frame5.frame2.label0 -fill y -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe9.frame5.frame2.entry1 -fill y -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe9.frame5.frame6
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe9.frame5.frame6.label0 -fill y -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe9.frame5.frame6.entry1 -fill y -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe9.frame6
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe9.frame6.tframe8  -fill y  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe9.frame6.tframe9  -fill y  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe9.frame6.tframe10  -fill y  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe9.frame6.tframe8
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe9.frame6.tframe8.label17 -fill y -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe9.frame6.tframe8.entry18 -fill y -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe9.frame6.tframe9
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe9.frame6.tframe9.label18 -fill y -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe9.frame6.tframe9.entry19 -fill y -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe9.frame6.tframe10
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe9.frame6.tframe10.label19 -fill y -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe9.frame6.tframe10.entry20 -fill y -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe9.frame7
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe9.frame7.label17  -fill y  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe9.frame7.entry18  -fill y  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe9.frame8
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe9.frame8.label17  -fill y  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe9.frame8.entry18  -fill y  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe10
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe10.frame6  -fill x  -side bottom

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe10.frame6
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe10.frame6.tbutton9  -fill x

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe11.frame0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe11.frame0.tbutton9  -side right -fill y

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe1.frame2  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe1.frame0  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe1.frame2
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe1.frame2.frame8  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe1.frame2.frame9  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe1.frame2.frame8
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe1.frame2.frame8.label10  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe1.frame2.frame9
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe1.frame2.frame9.label15  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe1.frame2.frame9.label16  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe1.frame2.frame9.button29  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe1.frame0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe1.frame0.label17  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe1.frame0.frame9  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe1.frame0.frame1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe1.frame0.frame  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe1.frame0.frame2  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe1.frame0.frame1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe1.frame0.frame1.button4  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe1.frame0.frame9
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe1.frame0.frame9.label24  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe1.frame0.frame9.entry0  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe1.frame0.frame9.button1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe1.frame0.frame2
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe1.frame0.frame2.button2  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe1.frame0.frame2.button3  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe1.frame0.frame
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe1.frame0.frame.scrollbar1  -fill y  -side right
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe1.frame0.frame.text2  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame3  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame4  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame5  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame7  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame1.label8  -fill x
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame1.frame6  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame1.frame7  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame1.frame15  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame1.frame16  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame1.frame27  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame1.frame34  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame1.frame6
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame1.frame6.label9  -fill y  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame1.frame6.entry10  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame1.frame6.button11  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame1.frame7
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame1.frame7.label12  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame1.frame7.entry13  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame1.frame7.button14  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame1.frame15
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame1.frame15.label17  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame1.frame15.entry18  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame1.frame15.label19  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame1.frame15.entry20  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame1.frame15.label21  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame1.frame15.entry22  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame1.frame16
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame1.frame16.label23  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame1.frame16.entry24  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame1.frame16.label25  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame1.frame16.entry26  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame1.frame27
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame1.frame27.label28  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame1.frame27.radiobutton29  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame1.frame27.radiobutton30  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame1.frame34
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame1.frame34.label28  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame1.frame34.radiobutton29  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame1.frame34.radiobutton30  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame3
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame3.label31  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame3.frame32  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame3.frame39  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame3.frame32
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame3.frame32.checkbutton35  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame3.frame32.checkbutton36  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame3.frame32.checkbutton37  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame3.frame39
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame3.frame39.checkbutton35  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame3.frame39.checkbutton36  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame3.frame39.checkbutton37  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame4
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame4.label40  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame4.frame32  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame4.frame6  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame4.frame46  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame4.frame32
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame4.frame32.checkbutton35  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame4.frame32.checkbutton36  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame4.frame32.checkbutton37  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame4.frame6
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame4.frame6.label9  -fill y  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame4.frame6.entry10  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame4.frame6.button11  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame4.frame46
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame4.frame46.label9  -fill y  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame4.frame46.entry10  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame5
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame5.label47  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame5.button48  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame5.button49  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame7
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe2.frame7.button50  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.frame22  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer  -fill x

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.frame22
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.frame22.label26  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.frame22.frame23  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.frame22.frame24  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.frame22.frame23
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.frame22.frame23.label6  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.frame22.frame23.entry28  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.frame22.frame23.scale7  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.frame22.frame24
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.frame22.frame24.label26  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.frame22.frame24.label27  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tcheckbutton8  -anchor w
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4  -expand 1  -fill both  -side bottom

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer  -fill x
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27  -fill x
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28  -fill x
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29  -fill x

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tcheckbutton8  -anchor w

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame83  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame83
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame83.checkbutton19  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8.frame47  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8.frame5  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8.frame47
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8.frame47.label65  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8.frame47.frame50  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8.frame47.label10  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8.frame47.frame50
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8.frame47.frame50.menubutton4  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8.frame47.frame50.frame59  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8.frame47.frame50.frame60  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8.frame47.frame50.frame59
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8.frame47.frame50.frame59.label61  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8.frame47.frame50.frame59.entry62  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8.frame47.frame50.frame60
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8.frame47.frame50.frame60.label63  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8.frame47.frame50.frame60.entry64  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8.frame5
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8.frame5.label65  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8.frame5.frame50  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8.frame5.frame59  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8.frame5.frame50
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8.frame5.frame50.menubutton4  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8.frame5.frame50.frame59  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8.frame5.frame50.frame60  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8.frame5.frame50.frame59
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8.frame5.frame50.frame59.label61  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8.frame5.frame50.frame59.entry62  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8.frame5.frame50.frame60
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8.frame5.frame50.frame60.label63  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8.frame5.frame50.frame60.entry64  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8.frame5.frame59
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8.frame5.frame59.label61  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4.frame8.frame5.frame59.entry30  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tcheckbutton8  -anchor w

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame83  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame83
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame83.radiobutton66  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame83.radiobutton28  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame83.frame11  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame83.frame11
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame83.frame11.checkbutton19  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame83.frame11.checkbutton0  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8.frame47  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8.frame5  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8.frame47
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8.frame47.label65  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8.frame47.frame50  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8.frame47.label10  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8.frame47.frame50
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8.frame47.frame50.menubutton4  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8.frame47.frame50.frame59  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8.frame47.frame50.frame60  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8.frame47.frame50.frame59
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8.frame47.frame50.frame59.label61  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8.frame47.frame50.frame59.entry62  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8.frame47.frame50.frame60
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8.frame47.frame50.frame60.label63  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8.frame47.frame50.frame60.entry64  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8.frame5
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8.frame5.label65  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8.frame5.frame50  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8.frame5.frame59  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8.frame5.frame50
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8.frame5.frame50.menubutton4  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8.frame5.frame50.frame59  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8.frame5.frame50.frame60  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8.frame5.frame50.frame59
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8.frame5.frame50.frame59.label61  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8.frame5.frame50.frame59.entry62  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8.frame5.frame50.frame60
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8.frame5.frame50.frame60.label63  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8.frame5.frame50.frame60.entry64  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8.frame5.frame59
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8.frame5.frame59.label61  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4.frame8.frame5.frame59.entry30  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tcheckbutton8  -anchor w

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame81  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame81
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame81.checkbutton79  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame81.checkbutton82  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8.frame47  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8.frame5  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8.frame47
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8.frame47.label65  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8.frame47.frame50  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8.frame47.label10  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8.frame47.frame50
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8.frame47.frame50.menubutton4  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8.frame47.frame50.frame59  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8.frame47.frame50.frame60  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8.frame47.frame50.frame59
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8.frame47.frame50.frame59.label61  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8.frame47.frame50.frame59.entry62  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8.frame47.frame50.frame60
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8.frame47.frame50.frame60.label63  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8.frame47.frame50.frame60.entry64  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8.frame5
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8.frame5.label65  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8.frame5.frame50  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8.frame5.frame59  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8.frame5.frame50
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8.frame5.frame50.menubutton4  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8.frame5.frame50.frame59  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8.frame5.frame50.frame60  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8.frame5.frame50.frame59
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8.frame5.frame50.frame59.label61  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8.frame5.frame50.frame59.entry62  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8.frame5.frame50.frame60
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8.frame5.frame50.frame60.label63  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8.frame5.frame50.frame60.entry64  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8.frame5.frame59
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8.frame5.frame59.label61  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4.frame8.frame5.frame59.entry30  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tcheckbutton8  -anchor w

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4.frame1  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4.frame1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4.frame1.label2  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4.frame1.frame7  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4.frame1.frame3  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4.frame1.frame10  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4.frame1.frame16  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4.frame1.frame17  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4.frame1.frame0  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4.frame1.frame50  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4.frame1.frame3
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4.frame1.frame3.label4  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4.frame1.frame3.radiobutton5  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4.frame1.frame3.radiobutton6  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4.frame1.frame7
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4.frame1.frame7.checkbutton9  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4.frame1.frame10
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4.frame1.frame10.label12  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4.frame1.frame10.entry13  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4.frame1.frame50
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4.frame1.frame50.radiobutton66  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4.frame1.frame50.frame59  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4.frame1.frame50.frame60  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4.frame1.frame50.frame59
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4.frame1.frame50.frame59.label61  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4.frame1.frame50.frame59.entry62  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4.frame1.frame50.frame60
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4.frame1.frame50.frame60.label63  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4.frame1.frame50.frame60.entry64  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4.frame1.frame16
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4.frame1.frame16.label12  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4.frame1.frame16.entry13  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4.frame1.frame17
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4.frame1.frame17.label12  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4.frame1.frame17.entry13  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4.frame1.frame0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4.frame1.frame0.label12  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4.frame1.frame0.entry13  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame12  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame8  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.button13  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame12
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame12.frame25  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame12.frame25
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame12.frame25.label26  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame12.frame25.frame32  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame12.frame25.frame2  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame12.frame25.frame32
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame12.frame25.frame32.frame33  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame12.frame25.frame32.frame34  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame12.frame25.frame32.frame1  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame12.frame25.frame32.frame33
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame12.frame25.frame32.frame33.label36  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame12.frame25.frame32.frame33.label37  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame12.frame25.frame32.frame33.label38  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame12.frame25.frame32.frame33.label45  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame12.frame25.frame32.frame34
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame12.frame25.frame32.frame34.label46  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame12.frame25.frame32.frame34.entry47  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame12.frame25.frame32.frame34.entry48  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame12.frame25.frame32.frame34.entry49  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame12.frame25.frame32.frame1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame12.frame25.frame32.frame1.label2  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame12.frame25.frame2
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame12.frame25.frame2.label3  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame12.frame25.frame2.entry4  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame12.frame25.frame2.label18  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame12.frame25.frame2.entry19  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame12.frame25.frame2.button20  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame8
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame8.label10  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame8.frame1  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame8.frame9  -expand 1  -fill both  -pady 4
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame8.frame15  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame8.frame9
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame8.frame9.label10  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame8.frame9.entry11  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame8.frame9.label12  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame8.frame9.entry13  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame8.frame9.button14  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame8.frame15
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame8.frame15.button27  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame8.frame15.button14  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame8.frame1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame8.frame1.checkbutton3  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22.frame8.frame1.button14  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe23
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe23.frame1  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe23.frame1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe23.frame1.label2  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe23.frame1.frame3  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe23.frame1.frame10  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe23.frame1.frame0  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe23.frame1.frame17  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe23.frame1.frame3
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe23.frame1.frame3.label4  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe23.frame1.frame3.radiobutton5  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe23.frame1.frame3.radiobutton6  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe23.frame1.frame10
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe23.frame1.frame10.label12  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe23.frame1.frame10.entry13  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe23.frame1.frame17
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe23.frame1.frame17.button31  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe23.frame1.frame0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe23.frame1.frame0.label12  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe23.frame1.frame0.entry13  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe24
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe24.frame9  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe24.frame9
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe24.frame9.label2  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe24.frame9.frame33  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe24.frame9.frame3  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe24.frame9.frame10  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe24.frame9.frame0  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe24.frame9.frame17  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe24.frame9.frame3
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe24.frame9.frame3.label4  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe24.frame9.frame3.radiobutton5  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe24.frame9.frame3.radiobutton6  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe24.frame9.frame10
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe24.frame9.frame10.label12  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe24.frame9.frame10.entry13  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe24.frame9.frame17
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe24.frame9.frame17.button31  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe24.frame9.frame17.button32  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe24.frame9.frame33
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe24.frame9.frame33.label12  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe24.frame9.frame33.label13  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe24.frame9.frame0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe24.frame9.frame0.label12  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe24.frame9.frame0.entry13  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame9  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame0  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame2  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame3  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame1  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame9
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame9.label2  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame9.frame10  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame9.frame3  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame9.frame0  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame9.frame10
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame9.frame10.label12  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame9.frame10.entry13  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame9.frame10.tcheckbutton0

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame9.frame0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame9.frame0.label12  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame9.frame0.entry13  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame9.frame3
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame9.frame3.label12  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame9.frame3.entry13  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame0.label2  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame0.frame5  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame0.frame17  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame0.frame17
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame0.frame17.button31  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame0.frame17.button32  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame0.frame5
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame0.frame5.label12  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame0.frame5.entry13  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame2
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame2.label2  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame2.frame5  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame2.frame17  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame2.frame17
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame2.frame17.button31  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame2.frame17.button32  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame2.frame5
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame2.frame5.label12  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame2.frame5.entry13  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame3
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame3.label2  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame3.frame5  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame3.frame1  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame3.frame17  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame3.frame17
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame3.frame17.button31  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame3.frame17.button32  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame3.frame5
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame3.frame5.label12  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame3.frame5.entry13  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame3.frame1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame3.frame1.label12  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame3.frame1.entry13  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame1.label2  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame1.label3  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame1.frame5  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame1.frame17  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame1.frame17
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame1.frame17.button31  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame1.frame5
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame1.frame5.label12  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25.frame1.frame5.entry13  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame1.label2  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame1.frame10  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame1.frame2  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame1.frame3  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame1.frame3
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame1.frame3.checkbutton4  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame1.frame10
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame1.frame10.label12  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame1.frame10.entry13  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame1.frame2
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame1.frame2.label12  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame1.frame2.entry13  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.label2  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame18  -expand 1  -fill x
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame1  -expand 1  -fill x
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame33  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame1.frame6  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame1.frame13  -expand 1  -fill both  -pady 4  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame1.frame6
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame1.frame6.checkbutton17  -anchor n  -expand 1  -fill x

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame1.frame13
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame1.frame13.frame8  -expand 1  -fill x
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame1.frame13.frame3

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame1.frame13.frame8
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame1.frame13.frame8.label9  -fill x  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame1.frame13.frame8.entry10  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame1.frame13.frame3
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame1.frame13.frame3.frame16  -expand 1  -fill x
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame1.frame13.frame3.label11  -fill x  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame1.frame13.frame3.frame16
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame1.frame13.frame3.frame16.label4  -fill x  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame1.frame13.frame3.frame16.entry5  -expand 1  -fill x

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame18
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame18.frame3  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame18.frame7  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame18.frame0  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame18.frame16  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame18.frame9  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame18.frame1  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame18.frame16
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame18.frame16.label12  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame18.frame16.entry13  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame18.frame0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame18.frame0.label12  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame18.frame0.entry13  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame18.frame3
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame18.frame3.label4  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame18.frame3.radiobutton5  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame18.frame3.radiobutton6  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame18.frame3.radiobutton0  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame18.frame7
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame18.frame7.label12  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame18.frame7.entry13  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame18.frame7.label8  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame18.frame9
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame18.frame9.label12  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame18.frame9.entry13  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame18.frame9.label8  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame18.frame1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame18.frame1.label12  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame18.frame1.entry13  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame18.frame1.label8  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame33
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame33.button31  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26.frame5.frame33.button12  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe2
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe2.frame18  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe2.frame18
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe2.frame18.frame22  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe2.frame18.frame23  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe2.frame18.frame2  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe2.frame18.frame0  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe2.frame18.frame3  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe2.frame18.frame22
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe2.frame18.frame22.label26  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe2.frame18.frame23
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe2.frame18.frame23.button27  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe2.frame18.frame23.entry28  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe2.frame18.frame2
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe2.frame18.frame2.checkbutton4  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe2.frame18.frame2.checkbutton5  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe2.frame18.frame0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe2.frame18.frame0.radiobutton1  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe2.frame18.frame0.radiobutton2  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe2.frame18.frame3
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe2.frame18.frame3.radiobutton1  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe2.frame18.frame3.radiobutton2  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe2.frame18.frame3.radiobutton3  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe2.frame18.frame3.radiobutton0  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe2.frame18.frame3.radiobutton4  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame2  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame3  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame4  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame5  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame1.tframe6  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame1.frame8  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame1.frame15  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame1.frame16  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame1.frame17  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame1.frame8
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame1.frame8.label11  -fill y  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame1.frame8.entry12  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame1.frame8.menubutton20

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame1.frame15
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame1.frame15.label11  -fill y  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame1.frame15.entry12  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame1.frame15.menubutton20

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame1.frame16
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame1.frame16.label11  -fill y  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame1.frame16.entry12  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame1.frame16.menubutton20

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame1.frame17
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame1.frame17.label11  -fill y  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame1.frame17.entry12  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame1.frame17.menubutton20

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame1.tframe6
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame1.tframe6.tbutton6  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame1.tframe6.label7  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame2
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame2.label21  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame2.frame22  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame2.frame23  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame2.frame22
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame2.frame22.checkbutton24  -expand 1  -fill x

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame2.frame23
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame2.frame23.frame25  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame2.frame23.frame26  -fill y  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame2.frame23.frame25
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame2.frame23.frame25.frame  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame2.frame23.frame25.frame
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame2.frame23.frame25.frame.scrollbar2  -fill y  -side right
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame2.frame23.frame25.frame.listbox1  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame2.frame23.frame25.frame.scrollbar3  -fill x  -side bottom

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame2.frame23.frame26
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame2.frame23.frame26.button0  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame2.frame23.frame26.text27  -expand 1  -fill y

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame3
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame3.label28  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame3.frame29  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame3.frame30  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame3.frame29
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame3.frame29.checkbutton31  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame3.frame29.checkbutton32  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame3.frame30
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame3.frame30.checkbutton33  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame3.frame30.checkbutton57  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame4
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame4.label35  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame4.frame38  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame4.frame58  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame4.frame39  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame4.frame0  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame4.frame38
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame4.frame38.label44  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame4.frame38.button40  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame4.frame38.button41  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame4.frame38.button0  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame4.frame38.button53  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame4.frame39
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame4.frame39.label46  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame4.frame39.label47  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame4.frame39.entry48  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame4.frame39.label49  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame4.frame39.entry50  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame4.frame58
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame4.frame58.label44  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame4.frame58.button53  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame4.frame58.button59  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame4.frame0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame4.frame0.label46  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame4.frame0.label47  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame4.frame0.entry48  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame5
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame5.label55  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame5.text56  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.tframe8  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.label8  -fill x
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.frame6  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.frame7  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.frame15  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.frame16  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.tlabelframe1  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.frame17  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.frame6
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.frame6.label9  -fill y  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.frame6.entry10  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.frame6.button11  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.frame7
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.frame7.label12  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.frame7.entry13  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.frame7.button14  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.frame15
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.frame15.label17  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.frame15.entry18  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.frame15.label19  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.frame15.entry20  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.frame15.label21  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.frame15.entry22  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.frame16
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.frame16.label23  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.frame16.tcheckbutton1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.frame16.tcheckbutton2  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.frame16.tcheckbutton3  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.frame16.tcheckbutton31  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.frame16.tlabel1  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.frame16.tmenubutton0  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.frame16.tcheckbutton4  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.tlabelframe1.frame1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.tlabelframe1.frame1.frame1  -expand 1  -fill x
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.tlabelframe1.frame1.frame2  -expand 1  -fill x

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.tlabelframe1.frame1.frame1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.tlabelframe1.frame1.frame1.label1  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.tlabelframe1.frame1.frame1.entry1  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.tlabelframe1.frame1.frame1.button1  -side right

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.tlabelframe1.frame1.frame2
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.tlabelframe1.frame1.frame2.checkbutton1  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.tlabelframe1.frame1.frame2.checkbutton2  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.tlabelframe1.frame1.frame2.label1  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.tlabelframe1.frame1.frame2.entry1  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.frame17
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.frame17.tbutton1  -pady 3  -side right

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.tframe8
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.tframe8.frame9  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.tframe8.frame9
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.tframe8.frame9.label2  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.tframe8.frame9.frame10  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.tframe8.frame9.frame3  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.tframe8.frame9.frame0  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.tframe8.frame9.frame10
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.tframe8.frame9.frame10.label12  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.tframe8.frame9.frame10.entry13  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.tframe8.frame9.frame10.tcheckbutton0  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.tframe8.frame9.frame10.tbutton15  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.tframe8.frame9.frame0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.tframe8.frame9.frame0.tbutton10  -side right
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.tframe8.frame9.frame0.tbutton11  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.tframe8.frame9.frame3
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.tframe8.frame9.frame3.label12  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.tframe8.frame9.frame3.entry13  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.tframe8.frame9.frame3.tcheckbutton1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.tframe8.frame9.frame3.tbutton15  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tlabel2  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe2  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe18  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe23  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe0  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe4  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe12  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe13  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe14  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe16  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe17  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe24  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe3  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe4
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe4.tlabel5  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe4.tmenubutton6  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe12
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe12.tlabel5  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe12.tmenubutton6  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe13
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe13.tlabel5  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe13.tmenubutton6  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe14
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe14.tlabel5  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe14.tmenubutton6  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe16
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe16.tlabel5  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe16.tmenubutton6  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe17
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe17.tlabel5  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe17.tmenubutton6  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe18
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe18.tbutton21  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe18.tentry20  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe23
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe23.tcheckbutton22  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe0.tlabel1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe0.tentry2  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe1.tbutton21  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe1.tentry20  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe2
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe2.tlabel4  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe2.tentry20  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe24
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe24.tlabel7  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe24.tbutton25  -fill y  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe3
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe3.tlabel8
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe3.tframe1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe3.tframe0  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe3.tframe2  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe3.tframe1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe3.tframe1.tbutton21  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe3.tframe1.tentry20  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe3.tframe1.tbutton5  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe3.tframe1.tbutton26  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe3.tframe0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe3.tframe0.tbutton21  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe3.tframe0.tentry20  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe3.tframe0.tbutton5  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe3.tframe0.tbutton26  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe3.tframe2
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe3.tframe2.tbutton21  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe3.tframe2.tentry20  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe3.tframe2.tbutton5  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2.tframe1.tframe3.tframe3.tframe2.tbutton26  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe3
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe3.tframe11  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe3.tframe4  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe3.tframe24  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe3.tframe4
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe3.tframe4.tlabel2  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe3.tframe4.tframe18  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe3.tframe4.tframe6  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe3.tframe4.tframe9  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe3.tframe4.tframe10  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe3.tframe4.tframe18
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe3.tframe4.tframe18.tbutton21  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe3.tframe4.tframe18.tentry20  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe3.tframe4.tframe6
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe3.tframe4.tframe6.tbutton21  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe3.tframe4.tframe6.tentry20  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe3.tframe4.tframe9
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe3.tframe4.tframe9.tbutton21  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe3.tframe4.tframe9.tentry20  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe3.tframe4.tframe10
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe3.tframe4.tframe10.tbutton21  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe3.tframe4.tframe10.tentry20  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe3.tframe11
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe3.tframe11.tframe0  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe3.tframe11.tframe12  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe3.tframe11.tframe0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe3.tframe11.tframe0.tlabel1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe3.tframe11.tframe0.tentry2  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe3.tframe11.tframe12
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe3.tframe11.tframe12.tlabel1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe3.tframe11.tframe12.tentry2  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe3.tframe24
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe3.tframe24.tbutton25  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tlabel2  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe2  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe18  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe23  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe0  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe4  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe13  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe14  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe24  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe3  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe4
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe4.tlabel5  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe4.tmenubutton6  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe13
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe13.tlabel5  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe13.tmenubutton6  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe14
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe14.tlabel5  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe14.tmenubutton6  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe18
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe18.tbutton21  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe18.tentry20  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe23
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe23.tcheckbutton22  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe0.tlabel1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe0.tentry2  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe1.tbutton21  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe1.tentry20  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe2
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe2.tlabel4  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe2.tentry20  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe24
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe24.tlabel7  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe24.tbutton25  -fill y  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe3
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe3.tlabel8
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe3.tframe1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe3.tframe0  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe3.tframe2  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe3.tframe1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe3.tframe1.tbutton21  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe3.tframe1.tentry20  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe3.tframe1.tbutton5  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe3.tframe1.tbutton26  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe3.tframe0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe3.tframe0.tbutton21  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe3.tframe0.tentry20  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe3.tframe0.tbutton5  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe3.tframe0.tbutton26  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe3.tframe2
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe3.tframe2.tbutton21  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe3.tframe2.tentry20  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe3.tframe2.tbutton5  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7.tframe1.tframe3.tframe3.tframe2.tbutton26  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tlabel2  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe2  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe18  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe23  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe0  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe4  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe13  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe24  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe5  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe4
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe4.tlabel5  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe4.tentry1  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe4.tbutton2  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe13
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe13.tlabel5  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe13.tmenubutton6  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe13.tentry3  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe18
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe18.tbutton21  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe18.tentry20  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe23
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe23.tcheckbutton22  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe24
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe24.tlabel7  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe24.tbutton25  -fill y  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe0.tlabel1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe0.tentry2  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe1.tbutton21  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe1.tentry20  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe2
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe2.tlabel4  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe2.tentry20  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe5
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe5.tframe3  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe5.tframe3
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe5.tframe3.tlabel8
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe5.tframe3.tframe1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe5.tframe3.tframe0  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe5.tframe3.tframe2  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe5.tframe3.tframe1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe5.tframe3.tframe1.tbutton21  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe5.tframe3.tframe1.tentry20  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe5.tframe3.tframe1.tbutton5  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe5.tframe3.tframe1.tbutton26  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe5.tframe3.tframe0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe5.tframe3.tframe0.tbutton21  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe5.tframe3.tframe0.tentry20  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe5.tframe3.tframe0.tbutton5  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe5.tframe3.tframe0.tbutton26  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe5.tframe3.tframe2
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe5.tframe3.tframe2.tbutton21  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe5.tframe3.tframe2.tentry20  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe5.tframe3.tframe2.tbutton5  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8.tframe1.tframe3.tframe5.tframe3.tframe2.tbutton26  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0.tframe1  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0.tframe1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0.tframe1.tlabel2  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0.tframe1.tframe3  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0.tframe1.tframe3
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0.tframe1.tframe3.tframe18  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0.tframe1.tframe3.tframe1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0.tframe1.tframe3.tframe23  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0.tframe1.tframe3.tframe24  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0.tframe1.tframe3.tframe5  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0.tframe1.tframe3.tframe18
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0.tframe1.tframe3.tframe18.tbutton21  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0.tframe1.tframe3.tframe18.tentry20  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0.tframe1.tframe3.tframe18.tcheckbutton22  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0.tframe1.tframe3.tframe23
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0.tframe1.tframe3.tframe23.tframe0  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0.tframe1.tframe3.tframe23.tframe0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0.tframe1.tframe3.tframe23.tframe0.tlabel1  -fill x  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0.tframe1.tframe3.tframe23.tframe0.tentry2  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0.tframe1.tframe3.tframe24
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0.tframe1.tframe3.tframe24.tlabel7  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0.tframe1.tframe3.tframe24.tbutton25  -fill y  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0.tframe1.tframe3.tframe1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0.tframe1.tframe3.tframe1.tbutton21  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0.tframe1.tframe3.tframe1.tentry20  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0.tframe1.tframe3.tframe5
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0.tframe1.tframe3.tframe5.tframe3  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0.tframe1.tframe3.tframe5.tframe3
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0.tframe1.tframe3.tframe5.tframe3.tlabel8  -fill x
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0.tframe1.tframe3.tframe5.tframe3.tframe1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0.tframe1.tframe3.tframe5.tframe3.tframe2  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0.tframe1.tframe3.tframe5.tframe3.tframe1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0.tframe1.tframe3.tframe5.tframe3.tframe1.tbutton21  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0.tframe1.tframe3.tframe5.tframe3.tframe1.tentry20  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0.tframe1.tframe3.tframe5.tframe3.tframe1.tbutton5  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0.tframe1.tframe3.tframe5.tframe3.tframe1.tbutton26  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0.tframe1.tframe3.tframe5.tframe3.tframe2
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0.tframe1.tframe3.tframe5.tframe3.tframe2.tbutton21  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0.tframe1.tframe3.tframe5.tframe3.tframe2.tentry20  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0.tframe1.tframe3.tframe5.tframe3.tframe2.tbutton5  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0.tframe1.tframe3.tframe5.tframe3.tframe2.tbutton26  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame6  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame1  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame3  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame4  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame6
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame6.frame0  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame6.frame30  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame6.frame0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame6.frame0.label2  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame6.frame30
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame6.frame30.frame32  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame6.frame30.frame32
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame6.frame30.frame32.radiobutton7  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame6.frame30.frame32.radiobutton8  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame6.frame30.frame32.radiobutton9  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame1.frame5  -fill x
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame1.frame6  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame1.frame5
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame1.frame5.label7  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame1.frame6
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame1.frame6.frame8  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame1.frame6.frame9  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame1.frame6.frame10  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame1.frame6.frame8
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame1.frame6.frame8.label12  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame1.frame6.frame8.label13  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame1.frame6.frame9
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame1.frame6.frame9.entry18  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame1.frame6.frame9.entry19  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame1.frame6.frame10
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame1.frame6.frame10.frame21  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame1.frame6.frame10.frame22  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame1.frame6.frame10.frame21
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame1.frame6.frame10.frame21.button24  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame1.frame6.frame10.frame22
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame1.frame6.frame10.frame22.button25  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame27  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame28  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame27
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame27.frame29  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame27.frame30  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame27.frame29
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame27.frame29.label31  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame27.frame30
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame27.frame30.frame32  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame27.frame30.frame33  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame27.frame30.frame34  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame27.frame30.frame41  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame27.frame30.frame32
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame27.frame30.frame32.label35  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame27.frame30.frame32.entry36  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame27.frame30.frame33
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame27.frame30.frame33.label37  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame27.frame30.frame33.entry38  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame27.frame30.frame34
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame27.frame30.frame34.label39  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame27.frame30.frame34.entry40  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame27.frame30.frame41
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame27.frame30.frame41.label39  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame27.frame30.frame41.tcheckbutton0  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame28
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame28.frame42  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame28.frame30  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame28.frame42
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame28.frame42.label44  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame28.frame30
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame28.frame30.frame32  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame28.frame30.frame33  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame28.frame30.frame34  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame28.frame30.frame41  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame28.frame30.frame32
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame28.frame30.frame32.label35  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame28.frame30.frame32.entry36  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame28.frame30.frame33
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame28.frame30.frame33.label37  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame28.frame30.frame33.entry38  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame28.frame30.frame34
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame28.frame30.frame34.label39  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame28.frame30.frame34.entry40  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame28.frame30.frame41
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame28.frame30.frame41.tcheckbutton1  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame2.frame28.frame30.frame41.tcheckbutton3  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame3
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame3.frame0  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame3.frame30  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame3.frame0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame3.frame0.label2  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame3.frame30
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame3.frame30.frame41  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame3.frame30.frame1  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame3.frame30.frame41
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame3.frame30.frame41.label39  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame3.frame30.frame41.entry40  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame3.frame30.frame1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame3.frame30.frame1.label39  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame3.frame30.frame1.entry40  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame4
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6.tframe3.frame4.button5  -expand 1  -fill x  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.frame31  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.frame27  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe18
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.frame31
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.frame31.label64  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.frame31.frame7  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.frame31.frame11  -expand 1  -fill both  -side bottom

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.frame31.frame7
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.frame31.frame7.label14  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.frame31.frame7.scale15  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.frame31.frame11
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.frame31.frame11.label12  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.frame31.frame11.entry13  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.frame31.frame11.tbutton14

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.frame27
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.frame27.label30  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.frame27.frame30  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.frame27.frame30
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.frame27.frame30.tframe16  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.frame27.frame30.frame24  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.frame27.frame30.frame24
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.frame27.frame30.frame24.menubutton8  -fill y  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.frame27.frame30.tframe16
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.frame27.frame30.tframe16.frame45  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.frame27.frame30.tframe16.frame5  -anchor nw  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.frame27.frame30.tframe16.frame45
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.frame27.frame30.tframe16.frame45.label46  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.frame27.frame30.tframe16.frame45.entry47  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.frame27.frame30.tframe16.frame5
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.frame27.frame30.tframe16.frame5.label46  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.frame27.frame30.tframe16.frame5.entry47  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15  -fill x
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame11  -fill x

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame10  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame42  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame17  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame22  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame17
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame17.frame2  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame17.frame8  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame17.frame32  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame17.frame37  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame17.frame12  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame17.menubutton3  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame17.frame2
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame17.frame2.label16  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame17.frame37
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame17.frame37.radiobutton13  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame17.frame37.entry10  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame17.frame12
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame17.frame12.radiobutton14  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame17.frame12.entry22  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame17.frame8
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame17.frame8.label16  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame17.frame8.label17  -fill both  -ipadx 4  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame17.frame8.entry18  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame17.frame8.label19  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame17.frame8.entry20  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame17.frame32
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame17.frame32.frame40  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame17.frame32.frame40
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame17.frame32.frame40.label32  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame17.frame32.frame40.label17  -fill both  -ipadx 4  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame17.frame32.frame40.entry44  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame17.frame32.frame40.label29  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame17.frame32.frame40.entry41  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame22
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame22.label23  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame22.frame34  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame22.frame37  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame22.frame12  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame22.frame34
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame22.frame34.frame38  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame22.frame34.frame39  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame22.frame34.frame38
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame22.frame34.frame38.label30  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame22.frame34.frame38.entry42  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame22.frame34.frame39
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame22.frame34.frame39.label31  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame22.frame34.frame39.entry45  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame22.frame37
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame22.frame37.radiobutton13  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame22.frame37.entry10  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame22.frame12
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame22.frame12.radiobutton14  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame40.frame48.frame22.frame12.entry22  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame42
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame42.frame24  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame42.frame0  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame42.frame24
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame42.frame24.label31
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame42.frame24.frame38  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame42.frame24.frame40  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame42.frame24.frame39  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame42.frame24.frame2  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame42.frame24.frame0  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame42.frame24.frame1  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame42.frame24.frame0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame42.frame24.frame0.label32  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame42.frame24.frame0.entry44  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame42.frame24.frame38
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame42.frame24.frame38.label30  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame42.frame24.frame38.entry42  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame42.frame24.frame39
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame42.frame24.frame39.label31  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame42.frame24.frame39.entry45  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame42.frame24.frame40
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame42.frame24.frame40.label32  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame42.frame24.frame40.entry44  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame42.frame24.frame1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame42.frame24.frame1.label32  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame42.frame24.frame1.entry44  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame42.frame24.frame2
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame42.frame24.frame2.label32  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame42.frame24.frame2.entry44  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame42.frame0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame42.frame0.label44
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame42.frame0.frame20  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame42.frame0.button3  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame42.frame0.frame20
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame42.frame0.frame20.label21  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame42.frame0.frame20.entry22  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame10
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame10.frame23  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame10.frame23
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame15.frame10.frame23.label26  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame11
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame11.button52  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame11.button0  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8.frame11.button53  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9.frame24  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9.frame11  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9.frame24
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9.frame24.frame63  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9.frame24.frame9  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9.frame24.frame63
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9.frame24.frame63.label65  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9.frame24.frame9
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9.frame24.frame9.frame0  -expand 1  -fill both  -side right
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9.frame24.frame9.frame64  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9.frame24.frame9.frame0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9.frame24.frame9.frame0.label65  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9.frame24.frame9.frame0.radiobutton1  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9.frame24.frame9.frame0.radiobutton2  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9.frame24.frame9.frame0.radiobutton12  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9.frame24.frame9.frame64
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9.frame24.frame9.frame64.frame8  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9.frame24.frame9.frame64.frame63  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9.frame24.frame9.frame64.frame10  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9.frame24.frame9.frame64.frame37  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9.frame24.frame9.frame64.frame63
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9.frame24.frame9.frame64.frame63.label21  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9.frame24.frame9.frame64.frame63.entry22  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9.frame24.frame9.frame64.frame37
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9.frame24.frame9.frame64.frame37.label29  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9.frame24.frame9.frame64.frame37.entry41  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9.frame24.frame9.frame64.frame8
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9.frame24.frame9.frame64.frame8.label16  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9.frame24.frame9.frame64.frame8.label17  -fill both  -ipadx 4  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9.frame24.frame9.frame64.frame8.entry18  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9.frame24.frame9.frame64.frame8.label19  -fill both  -ipadx 4  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9.frame24.frame9.frame64.frame8.entry20  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9.frame24.frame9.frame64.frame10
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9.frame24.frame9.frame64.frame10.label29  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9.frame24.frame9.frame64.frame10.entry41  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9.frame11
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9.frame11.button52  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9.frame11.button53  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame33  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame27  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame33
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame33.label34  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame33.frame35  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame33.frame35
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame33.frame35.radiobutton36  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame33.frame35.radiobutton37  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame40  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame41  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame40
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame40.label42  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame40.frame43  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame40.frame43
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame40.frame43.frame8  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame40.frame43.frame40  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame40.frame43.button35  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame40.frame43.frame8
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame40.frame43.frame8.label16  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame40.frame43.frame8.label17  -fill both  -ipadx 4  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame40.frame43.frame8.entry18  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame40.frame43.frame8.label19  -fill both  -ipadx 4  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame40.frame43.frame8.entry20  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame40.frame43.frame40
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame40.frame43.frame40.label32  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame40.frame43.frame40.entry44  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame41
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame41.label44  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame41.frame45  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame41.frame45
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame41.frame45.frame8  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame41.frame45.frame50  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame41.frame45.button35  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame41.frame45.frame8
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame41.frame45.frame8.label16  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame41.frame45.frame8.label17  -fill both  -ipadx 4  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame41.frame45.frame8.entry18  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame41.frame45.frame8.label19  -fill both  -ipadx 4  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame41.frame45.frame8.entry20  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame41.frame45.frame50
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame41.frame45.frame50.label51  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame41.frame45.frame50.entry1  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame41.frame45.frame50.label17  -fill both  -ipadx 4  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame41.frame45.frame50.entry18  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame41.frame45.frame50.label19  -fill both  -ipadx 4  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame38.frame41.frame45.frame50.entry20  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame27
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame27.label47  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame27.frame0  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame27.frame48  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame27.frame11  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame27.frame0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame27.frame0.frame1  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame27.frame0.frame1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame27.frame0.frame1.frame36  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame27.frame0.frame1.frame36
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame27.frame0.frame1.frame36.button37  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame27.frame0.frame1.frame36.entry38  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame27.frame11
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame27.frame11.button53  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame27.frame48
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame27.frame48.button39  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame27.frame48.label52  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame27.frame48.entry40  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame27.frame48.label44  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10.frame27.frame48.entry41  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe11
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe11.frame71  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe11.frame33  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe11.frame15  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe11.frame69  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe11.frame71
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe11.frame71.label34  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe11.frame71.frame35  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe11.frame71.frame35
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe11.frame71.frame35.radiobutton36  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe11.frame71.frame35.radiobutton37  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe11.frame33
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe11.frame33.label34  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe11.frame33.frame35  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe11.frame33.frame35
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe11.frame33.frame35.radiobutton36  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe11.frame33.frame35.radiobutton37  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe11.frame15
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe11.frame15.label66  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe11.frame15.button67  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe11.frame69
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe11.frame69.label70  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe11.frame69.frame  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe11.frame69.frame
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe11.frame69.frame.scrollbar1  -fill y  -side right
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe11.frame69.frame.text2  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame61  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame24  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame61
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame61.label62  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame61.frame0  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame61.frame0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame61.frame0.frame1  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame61.frame0.frame1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame61.frame0.frame1.frame31  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame61.frame0.frame1.frame36  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame61.frame0.frame1.frame31
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame61.frame0.frame1.frame31.button32  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame61.frame0.frame1.frame31.button33  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame61.frame0.frame1.frame31.button34  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame61.frame0.frame1.frame36
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame61.frame0.frame1.frame36.button37  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame61.frame0.frame1.frame36.entry38  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame61.frame0.frame1.frame36.button39  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame61.frame0.frame1.frame36.label52  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame61.frame0.frame1.frame36.entry40  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame61.frame0.frame1.frame36.label44  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame61.frame0.frame1.frame36.entry41  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame61.frame0.frame1.frame36.button4  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame61.frame0.frame1.frame36.entry6  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame24
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame24.label62  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame24.frame0  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame24.frame0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame24.frame0.frame1  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame24.frame0.frame1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame24.frame0.frame1.frame31  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame24.frame0.frame1.frame36  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame24.frame0.frame1.frame31
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame24.frame0.frame1.frame31.button32  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame24.frame0.frame1.frame31.button33  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame24.frame0.frame1.frame31.button34  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame24.frame0.frame1.frame36
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame24.frame0.frame1.frame36.button37  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame24.frame0.frame1.frame36.entry38  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame24.frame0.frame1.frame36.button39  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame24.frame0.frame1.frame36.label52  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame24.frame0.frame1.frame36.entry40  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame24.frame0.frame1.frame36.label44  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame24.frame0.frame1.frame36.entry41  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame24.frame0.frame1.frame36.button4  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12.frame24.frame0.frame1.frame36.entry6  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame60  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame22  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame60
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame60.frame60  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame60.frame12  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame60.frame0  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame60.frame1  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame60.frame60
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame60.frame60.label61  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame60.frame12
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame60.frame12.label54  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame60.frame12.entry55  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame60.frame0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame60.frame0.frame26  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame60.frame0.frame57  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame60.frame0.frame57
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame60.frame0.frame57.button57  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame60.frame0.frame57.button58  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame60.frame1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame60.frame1.button0  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame60.frame1.frame4  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame60.frame1.frame4
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame60.frame1.frame4.button4  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame60.frame1.frame4.entry6  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame22
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame22.frame60  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame22.frame6  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame22.frame1  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame22.frame60
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame22.frame60.label61  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame22.frame6
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame22.frame6.frame12  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame22.frame6.frame57  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame22.frame6.frame12
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame22.frame6.frame12.label54  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame22.frame6.frame12.entry55  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame22.frame6.frame57
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame22.frame6.frame57.button57  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame22.frame6.frame57.button58  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame22.frame6.frame57.button0  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame22.frame1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame22.frame1.button0  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame22.frame1.frame4  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame22.frame1.frame4
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame22.frame1.frame4.button4  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13.frame22.frame1.frame4.entry6  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.tframe2  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame2  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame13  -fill x
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame17  -fill x
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame18  -fill x

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame2
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame2.frame1  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame2.frame14  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame2.frame1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame2.frame1.frame3  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame2.frame1.frame4  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame2.frame1.frame3
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame2.frame1.frame3.frame  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame2.frame1.frame3.frame
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame2.frame1.frame3.frame.scrollbar2  -fill y  -side right
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame2.frame1.frame3.frame.listbox1  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame2.frame1.frame3.frame.scrollbar3  -fill x  -side bottom

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame2.frame1.frame4
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame2.frame1.frame4.label5  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame2.frame1.frame4.frame6  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame2.frame1.frame4.frame6
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame2.frame1.frame4.frame6.button7  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame2.frame1.frame4.frame6.frame8  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame2.frame1.frame4.frame6.frame8
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame2.frame1.frame4.frame6.frame8.label9  -expand 1  -fill x
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame2.frame1.frame4.frame6.frame8.button10  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame2.frame1.frame4.frame6.frame8.button11  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame2.frame1.frame4.frame6.frame8.button12  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame2.frame14
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame2.frame14.text16  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame13
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame13.label21  -expand 1  -fill x
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame13.frame22  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame13.frame22
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame13.frame22.radiobutton23  -fill y  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame13.frame22.radiobutton24  -fill y  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame13.frame22.radiobutton25  -fill y  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame13.frame22.button26  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame13.frame22.button27  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame13.frame22.button28  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame17
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame17.frame33  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame17.frame36  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame17.frame37  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame17.frame33
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame17.frame33.label34  -fill y  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame17.frame33.entry35  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame17.frame36
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame17.frame36.label34  -fill y  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame17.frame36.entry35  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame17.frame37
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame17.frame37.label34  -fill y  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame17.frame37.entry35  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame18
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame18.label38  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame18.frame33  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame18.frame33
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame18.frame33.label34  -fill y  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame18.frame33.entry35  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame18.frame33.button42
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame18.frame33.button43

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.tframe2
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.tframe2.tbutton4  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.tframe2.button45  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15.frame71  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15.frame17  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15.frame69  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15.frame71
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15.frame71.label34  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15.frame71.frame35  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15.frame71.frame35
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15.frame71.frame35.radiobutton36  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15.frame71.frame35.radiobutton37  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15.frame17
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15.frame17.label21  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15.frame17.frame22  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15.frame17.frame23  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15.frame17.frame17  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15.frame17.frame22
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15.frame17.frame22.button8  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15.frame17.frame23
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15.frame17.frame23.frame11  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15.frame17.frame23.button10  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15.frame17.frame23.frame11
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15.frame17.frame23.frame11.label12  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15.frame17.frame23.frame11.entry13  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15.frame17.frame17
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15.frame17.frame17.label21  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15.frame17.frame17.frame23  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15.frame17.frame17.frame23
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15.frame17.frame17.frame23.frame11  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15.frame17.frame17.frame23.button10  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15.frame17.frame17.frame23.button2  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15.frame17.frame17.frame23.frame11
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15.frame17.frame17.frame23.frame11.label12  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15.frame17.frame17.frame23.frame11.entry13  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15.frame69
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15.frame69.label70  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15.frame69.frame  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15.frame69.frame
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15.frame69.frame.scrollbar1  -fill y  -side right
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15.frame69.frame.text2  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe16
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe16.frame12  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe16.tcheckbutton5  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe16.tframe11  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe16.tframe10  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe16.frame12
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe16.frame12.label54  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe16.frame12.entry55  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe16.tframe10
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe16.tframe10.tlabel7  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe16.tframe10.tbutton8
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe16.tframe10.tbutton9

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe16.tframe11
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe16.tframe11.tlabel13
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe16.tframe11.tbutton12
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe16.tframe11.tbutton13

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame127  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame0  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame9  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame127
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame127.frame114  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame127.frame115  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame127.frame126  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame127.frame116  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame127.frame114
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame127.frame114.label117  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame127.frame115
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame127.frame115.label118  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame127.frame115.entry119  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame127.frame116
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame127.frame116.button125  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame127.frame126
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame127.frame126.label122  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame127.frame126.entry123  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame0.frame114  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame0.frame115  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame0.frame116  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame0.frame114
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame0.frame114.label117  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame0.frame115
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame0.frame115.label118  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame0.frame115.entry119  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame0.frame116
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame0.frame116.button125  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame0.frame116.button2  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame9
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame9.frame10  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame9.frame11  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame9.frame10
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame9.frame10.frame0  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame9.frame10.frame0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame9.frame10.frame0.frame114  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame9.frame10.frame0.frame115  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame9.frame10.frame0.frame126  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame9.frame10.frame0.frame116  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame9.frame10.frame0.frame114
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame9.frame10.frame0.frame114.label117  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame9.frame10.frame0.frame115
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame9.frame10.frame0.frame115.label118  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame9.frame10.frame0.frame115.entry119  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame9.frame10.frame0.frame116
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame9.frame10.frame0.frame116.button125  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame9.frame10.frame0.frame126
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame9.frame10.frame0.frame126.label122  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame9.frame10.frame0.frame126.entry123  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame9.frame11
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame9.frame11.frame2  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame9.frame11.frame2
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame9.frame11.frame2.frame114  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame9.frame11.frame2.frame115  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame9.frame11.frame2.frame126  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame9.frame11.frame2.frame116  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame9.frame11.frame2.frame114
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame9.frame11.frame2.frame114.label117  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame9.frame11.frame2.frame115
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame9.frame11.frame2.frame115.label118  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame9.frame11.frame2.frame115.entry119  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame9.frame11.frame2.frame116
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame9.frame11.frame2.frame116.button125  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame9.frame11.frame2.frame126
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame9.frame11.frame2.frame126.label122  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame9.frame11.frame2.frame126.entry123  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame1.frame4  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame1.frame5  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame1.frame4
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame1.frame4.frame128  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame1.frame4.frame128
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame1.frame4.frame128.frame114  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame1.frame4.frame128.frame115  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame1.frame4.frame128.frame126  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame1.frame4.frame128.frame2  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame1.frame4.frame128.frame0  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame1.frame4.frame128.frame133  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame1.frame4.frame128.frame116  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame1.frame4.frame128.frame114
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame1.frame4.frame128.frame114.label117  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame1.frame4.frame128.frame115
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame1.frame4.frame128.frame115.label118  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame1.frame4.frame128.frame115.entry119  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame1.frame4.frame128.frame116
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame1.frame4.frame128.frame116.button124  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame1.frame4.frame128.frame126
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame1.frame4.frame128.frame126.label122  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame1.frame4.frame128.frame126.entry123  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame1.frame4.frame128.frame133
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame1.frame4.frame128.frame133.label122  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame1.frame4.frame128.frame133.entry123  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame1.frame4.frame128.frame0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame1.frame4.frame128.frame0.label122  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame1.frame4.frame128.frame0.entry123  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame1.frame4.frame128.frame2
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame1.frame4.frame128.frame2.label122  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29.frame1.frame4.frame128.frame2.entry123  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe0.frame54  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe0.frame54
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe0.frame54.frame22  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe0.frame54.frame23  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe0.frame54.frame25  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe0.frame54.frame1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe0.frame54.frame22
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe0.frame54.frame22.label26  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe0.frame54.frame23
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe0.frame54.frame23.label4  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe0.frame54.frame23.entry28  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe0.frame54.frame23.button27  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe0.frame54.frame25
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe0.frame54.frame25.frame31  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe0.frame54.frame25.frame32  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe0.frame54.frame25.frame31
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe0.frame54.frame25.frame31.label29
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe0.frame54.frame25.frame31.entry30

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe0.frame54.frame25.frame32
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe0.frame54.frame25.frame32.frame33  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe0.frame54.frame25.frame32.frame34  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe0.frame54.frame25.frame32.frame35  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe0.frame54.frame25.frame32.frame33
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe0.frame54.frame25.frame32.frame33.label36  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe0.frame54.frame25.frame32.frame33.label37  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe0.frame54.frame25.frame32.frame33.label38  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe0.frame54.frame25.frame32.frame34
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe0.frame54.frame25.frame32.frame34.label46  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe0.frame54.frame25.frame32.frame34.entry47  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe0.frame54.frame25.frame32.frame34.entry48  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe0.frame54.frame25.frame32.frame35
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe0.frame54.frame25.frame32.frame35.label50  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe0.frame54.frame25.frame32.frame35.entry51  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe0.frame54.frame25.frame32.frame35.entry52  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe0.frame54.frame1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe0.frame54.frame1.button2  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3  -expand 1  -fill both  -side bottom

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe38
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe38.frame68  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe38.frame68
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe38.frame68.frame101  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe38.frame68.frame101
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe38.frame68.frame101.frame138  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe38.frame68.frame101.frame76  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe38.frame68.frame101.frame102  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe38.frame68.frame101.frame78  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe38.frame68.frame101.frame79  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe38.frame68.frame101.frame76
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe38.frame68.frame101.frame76.checkbutton83  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe38.frame68.frame101.frame76.label92  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe38.frame68.frame101.frame78
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe38.frame68.frame101.frame78.checkbutton85  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe38.frame68.frame101.frame78.label95  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe38.frame68.frame101.frame79
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe38.frame68.frame101.frame79.checkbutton86  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe38.frame68.frame101.frame79.label96  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe38.frame68.frame101.frame102
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe38.frame68.frame101.frame102.checkbutton83  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe38.frame68.frame101.frame102.label92  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe38.frame68.frame101.frame138
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe38.frame68.frame101.frame138.checkbutton83  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe38.frame68.frame101.frame138.label92  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe39
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe39.frame68  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe39.frame68
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe39.frame68.frame101  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe39.frame68.frame101
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe39.frame68.frame101.frame138  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe39.frame68.frame101.frame5  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe39.frame68.frame101.frame76  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe39.frame68.frame101.frame99  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe39.frame68.frame101.frame76
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe39.frame68.frame101.frame76.checkbutton83  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe39.frame68.frame101.frame76.label92  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe39.frame68.frame101.frame138
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe39.frame68.frame101.frame138.checkbutton83  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe39.frame68.frame101.frame138.label92  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe39.frame68.frame101.frame99
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe39.frame68.frame101.frame99.label89  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe39.frame68.frame101.frame99.entry90  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe39.frame68.frame101.frame5
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe39.frame68.frame101.frame5.checkbutton87  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe39.frame68.frame101.frame5.label97  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe40
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe40.frame71  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe40.frame71
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe40.frame71.frame136  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe40.frame71.frame76  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe40.frame71.frame77  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe40.frame71.frame78  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe40.frame71.frame79  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe40.frame71.frame0  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe40.frame71.frame76
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe40.frame71.frame76.checkbutton83  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe40.frame71.frame76.label92  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe40.frame71.frame77
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe40.frame71.frame77.checkbutton84  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe40.frame71.frame77.label93  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe40.frame71.frame78
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe40.frame71.frame78.checkbutton85  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe40.frame71.frame78.label95  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe40.frame71.frame79
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe40.frame71.frame79.checkbutton86  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe40.frame71.frame79.label96  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe40.frame71.frame136
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe40.frame71.frame136.checkbutton83  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe40.frame71.frame136.label92  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe40.frame71.frame0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe40.frame71.frame0.checkbutton83  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe40.frame71.frame0.label92  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe41
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe41.frame100  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe41.frame100
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe41.frame100.frame137  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe41.frame100.frame76  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe41.frame100.frame2  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe41.frame100.frame77  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe41.frame100.frame78  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe41.frame100.frame79  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe41.frame100.frame76
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe41.frame100.frame76.checkbutton83  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe41.frame100.frame76.label92  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe41.frame100.frame77
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe41.frame100.frame77.checkbutton84  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe41.frame100.frame77.label93  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe41.frame100.frame78
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe41.frame100.frame78.checkbutton85  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe41.frame100.frame78.label95  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe41.frame100.frame79
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe41.frame100.frame79.checkbutton86  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe41.frame100.frame79.label96  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe41.frame100.frame137
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe41.frame100.frame137.checkbutton83  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe41.frame100.frame137.label92  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe41.frame100.frame2
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe41.frame100.frame2.checkbutton83  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe41.frame100.frame2.label92  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame136  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame2  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame4  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame6  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame8  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame76  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame0  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame77  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame78  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame79  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame80  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame3  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame5  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame1  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame99  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame11  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame13  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame7  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame9  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame10  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame76
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame76.checkbutton83  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame76.label92  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame77
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame77.checkbutton84  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame77.label93  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame78
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame78.checkbutton85  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame78.label95  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame79
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame79.checkbutton86  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame79.label96  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame80
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame80.checkbutton87  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame80.label97  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame99
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame99.label89  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame99.entry90  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame136
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame136.checkbutton83  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame136.label92  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame3
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame3.checkbutton87  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame3.label97  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame7
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame7.label89  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame7.entry90  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame0.checkbutton87  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame0.label97  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame1.checkbutton87  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame1.label97  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame2
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame2.checkbutton83  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame2.label92  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame4
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame4.checkbutton83  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame4.label92  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame6
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame6.checkbutton83  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame6.label92  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame8
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame8.checkbutton83  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame8.label92  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame5
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame5.checkbutton87  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame5.label97  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame9
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame9.label89  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame9.entry90  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame10
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame10.label89  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame10.entry90  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame11
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame11.label89  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame11.entry90  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame13
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame13.label89  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42.frame71.frame13.entry90  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame137  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame76  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame2  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame77  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame78  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame79  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame80  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame5  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame3  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame11  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame15  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame16  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame7  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame12  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame13  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame76
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame76.checkbutton83  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame76.label92  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame77
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame77.checkbutton84  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame77.label93  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame78
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame78.checkbutton85  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame78.label95  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame79
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame79.checkbutton86  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame79.label96  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame80
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame80.checkbutton87  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame80.label97  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame137
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame137.checkbutton83  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame137.label92  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame5
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame5.checkbutton87  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame5.label97  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame7
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame7.label89  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame7.entry90  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame11
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame11.label89  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame11.entry90  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame2
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame2.checkbutton87  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame2.label97  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame3
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame3.checkbutton87  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame3.label97  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame12
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame12.label89  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame12.entry90  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame13
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame13.label89  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame13.entry90  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame15
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame15.label89  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame15.entry90  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame16
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame16.label89  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43.frame100.frame16.entry90  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame2  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame6  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame36  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame37  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame5  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame0  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame1.label6  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame1.entry7  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame2
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame2.frame8  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame2.frame9  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame2.frame2  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame2.frame8
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame2.frame8.label10  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame2.frame8.label11  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame2.frame9
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame2.frame9.button12  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame2.frame9.button13  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame2.frame9.button14  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame2.frame2
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame2.frame2.frame8  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame2.frame2.frame9  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame2.frame2.frame8
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame2.frame2.frame8.label10  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame2.frame2.frame8.label11  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame2.frame2.frame9
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame2.frame2.frame9.button12  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame2.frame2.frame9.button13  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame2.frame2.frame9.button14  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame21  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame22  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame23  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame24  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame25  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame31  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame21
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame21.frame15  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame21.frame16  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame21.frame15
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame21.frame15.label17  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame21.frame15.label18  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame21.frame16
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame21.frame16.entry19  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame21.frame16.button20  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame22
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame22.frame15  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame22.frame16  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame22.frame15
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame22.frame15.label17  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame22.frame15.label18  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame22.frame16
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame22.frame16.entry19  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame22.frame16.button20  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame23
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame23.frame15  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame23.frame16  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame23.frame15
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame23.frame15.label17  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame23.frame15.label18  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame23.frame16
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame23.frame16.entry19  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame23.frame16.button20  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame24
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame24.frame15  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame24.frame16  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame24.frame15
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame24.frame15.label17  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame24.frame15.label18  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame24.frame16
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame24.frame16.entry19  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame24.frame16.button20  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame25
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame25.frame15  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame25.frame16  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame25.frame15
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame25.frame15.label17  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame25.frame15.label18  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame25.frame16
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame25.frame16.entry19  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame25.frame16.button20  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame31
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame31.frame15  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame31.frame16  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame31.frame15
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame31.frame15.label17  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame31.frame15.label18  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame31.frame16
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame31.frame16.entry19  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame5.frame31.frame16.button20  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame30  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame26  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame27  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame28  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame29  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame32  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame30
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame30.frame15  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame30.frame16  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame30.frame15
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame30.frame15.label17  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame30.frame15.label18  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame30.frame16
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame30.frame16.entry19  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame30.frame16.button20  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame26
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame26.frame15  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame26.frame16  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame26.frame15
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame26.frame15.label17  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame26.frame15.label18  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame26.frame16
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame26.frame16.entry19  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame26.frame16.button20  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame27
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame27.frame15  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame27.frame16  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame27.frame15
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame27.frame15.label17  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame27.frame15.label18  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame27.frame16
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame27.frame16.entry19  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame27.frame16.button20  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame28
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame28.frame15  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame28.frame16  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame28.frame15
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame28.frame15.label17  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame28.frame15.label18  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame28.frame16
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame28.frame16.entry19  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame28.frame16.button20  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame29
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame29.frame15  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame29.frame16  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame29.frame15
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame29.frame15.label17  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame29.frame15.label18  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame29.frame16
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame29.frame16.entry19  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame29.frame16.button20  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame32
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame32.frame15  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame32.frame16  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame32.frame15
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame32.frame15.label17  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame32.frame15.label18  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame32.frame16
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame32.frame16.entry19  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame3.frame6.frame32.frame16.button20  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame6
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame6.label8  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame6.entry9  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame6.button10  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame6.entry11  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame6.button12  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame36
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame36.label35  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame36.radiobutton33  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame36.radiobutton34  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame37
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame37.label35  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame37.radiobutton33  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame37.radiobutton34  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame5
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame5.label35  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame5.radiobutton33  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame5.radiobutton34  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame0.label35  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame0.radiobutton33  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame0.radiobutton34  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18  -anchor w
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe34  -anchor w
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.menubutton0  -anchor w
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tbutton33  -anchor w

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18.tframe21  -fill x
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18.tframe24  -fill x
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18.tframe25  -fill x
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18.tframe26  -fill x
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18.tframe27  -fill x
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18.tframe28  -fill x
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18.tframe29  -fill x
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18.tframe30  -fill x
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18.tframe31  -fill x
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18.tframe32  -fill x

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18.tframe21
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18.tframe21.tlabel22  -fill y  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18.tframe21.tentry23  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18.tframe24
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18.tframe24.tlabel22  -fill y  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18.tframe24.tentry23  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18.tframe25
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18.tframe25.tlabel22  -fill y  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18.tframe25.tentry23  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18.tframe26
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18.tframe26.tlabel22  -fill y  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18.tframe26.tentry23  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18.tframe27
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18.tframe27.tlabel22  -fill y  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18.tframe27.tentry23  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18.tframe28
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18.tframe28.tlabel22  -fill y  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18.tframe28.tentry23  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18.tframe29
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18.tframe29.tlabel22  -fill y  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18.tframe29.tentry23  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18.tframe30
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18.tframe30.tlabel22  -fill y  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18.tframe30.tentry23  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18.tframe31
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18.tframe31.tlabel22  -fill y  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18.tframe31.tentry23  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18.tframe32
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18.tframe32.tlabel22  -fill y  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe18.tframe32.tentry23  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe34
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe34.tcheckbutton35  -fill x
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe34.tcheckbutton36  -fill x
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5.tframe34.tcheckbutton37  -fill x

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe1.notebook0  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe26  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe41  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe42  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.frame17  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.frame29  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe26
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe26.tlabel27  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe26.frame24  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe26.tbutton28  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe26.frame24
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe26.frame24.frame38  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe26.frame24.frame40  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe26.frame24.frame1  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe26.frame24.frame43  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe26.frame24.frame38
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe26.frame24.frame38.label30  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe26.frame24.frame38.entry42  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe26.frame24.frame40
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe26.frame24.frame40.label32  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe26.frame24.frame40.entry44  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe26.frame24.frame1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe26.frame24.frame1.label32  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe26.frame24.frame1.entry44  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe26.frame24.frame43
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe26.frame24.frame43.label32  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe26.frame24.frame43.entry44  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe41
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe41.tlabel27  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe41.frame24  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe41.tframe46  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe41.frame24
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe41.frame24.frame38  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe41.frame24.frame40  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe41.frame24.frame38
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe41.frame24.frame38.label30  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe41.frame24.frame38.entry42  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe41.frame24.frame40
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe41.frame24.frame40.label32  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe41.frame24.frame40.entry44  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe41.tframe46
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe41.tframe46.tbutton28  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe41.tframe46.tcheckbutton47  -fill both  -side right

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe42
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe42.tlabel27  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe42.frame24  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe42.frame24
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe42.frame24.frame38  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe42.frame24.frame40  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe42.frame24.frame1  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe42.frame24.frame44  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe42.frame24.frame45  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe42.frame24.tframe46  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe42.frame24.frame38
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe42.frame24.frame38.label30  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe42.frame24.frame38.entry42  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe42.frame24.frame40
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe42.frame24.frame40.label32  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe42.frame24.frame40.entry44  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe42.frame24.frame1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe42.frame24.frame1.label32  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe42.frame24.frame1.entry44  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe42.frame24.frame44
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe42.frame24.frame44.label32  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe42.frame24.frame44.entry44  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe42.frame24.frame45
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe42.frame24.frame45.label32  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe42.frame24.frame45.entry44  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe42.frame24.tframe46
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe42.frame24.tframe46.tbutton28  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.tframe42.frame24.tframe46.tcheckbutton47  -fill both  -side right

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.frame17
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.frame17.label11  -fill y  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.frame17.entry12  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.frame17.menubutton20

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.frame29
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.frame29.label11  -fill y  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.frame29.entry12  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe4.frame29.menubutton20

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1  -fill x
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe2  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe8  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe21  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe8
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe8.tlabel6
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe8.tframe9  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe8.tframe9
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe8.tframe9.tframe10  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe8.tframe9.tframe11  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe8.tframe9.tframe10
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe8.tframe9.tframe10.tlabel12  -expand 1  -fill y
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe8.tframe9.tframe10.tlabel13  -expand 1  -fill y
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe8.tframe9.tframe10.tlabel16  -expand 1  -fill y
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe8.tframe9.tframe10.tlabel20  -expand 1  -fill y

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe8.tframe9.tframe11
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe8.tframe9.tframe11.tmenubutton14  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe8.tframe9.tframe11.tmenubutton15  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe8.tframe9.tframe11.tmenubutton17  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe8.tframe9.tframe11.tframe19  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe8.tframe9.tframe11.tframe19
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe8.tframe9.tframe11.tframe19.tcheckbutton14  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe8.tframe9.tframe11.tframe19.tscale0  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe8.tframe9.tframe11.tframe19.tbutton1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe21
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe21.tlabel6
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe21.tframe9  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe21.tframe9
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe21.tframe9.tframe10  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe21.tframe9.tframe11  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe21.tframe9.tframe10
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe21.tframe9.tframe10.tlabel12  -expand 1  -fill y
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe21.tframe9.tframe10.tlabel13  -expand 1  -fill y
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe21.tframe9.tframe10.tlabel16  -expand 1  -fill y
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe21.tframe9.tframe10.tlabel20  -expand 1  -fill y

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe21.tframe9.tframe11
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe21.tframe9.tframe11.tmenubutton14  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe21.tframe9.tframe11.tmenubutton15  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe21.tframe9.tframe11.tmenubutton17  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe21.tframe9.tframe11.tframe19  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe21.tframe9.tframe11.tframe19
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe21.tframe9.tframe11.tframe19.tcheckbutton14  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe21.tframe9.tframe11.tframe19.tscale0  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe21.tframe9.tframe11.tframe19.tbutton1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe2
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe2.tpanedwindow0  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe2.tpanedwindow0.tframe1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe2.tpanedwindow0.tframe1.tlabel0  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe2.tpanedwindow0.tframe2
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe2.tpanedwindow0.tframe2.tlabel1  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe9  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe11  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe9
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe9.frame1  -fill both  -side right
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe9.frame19  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe9.frame19
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe9.frame19.tframe1  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe9.frame19.tframe1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe9.frame19.tframe1.frame8  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe9.frame19.tframe1.frame8
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe9.frame19.tframe1.frame8.label10  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe9.frame19.tframe1.frame8.frame9  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe9.frame19.tframe1.frame8.frame5  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe9.frame19.tframe1.frame8.frame5
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe9.frame19.tframe1.frame8.frame5.label5  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe9.frame19.tframe1.frame8.frame5.entry0  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe9.frame19.tframe1.frame8.frame5.button7  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe9.frame19.tframe1.frame8.frame9
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe9.frame19.tframe1.frame8.frame9.frame2  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe9.frame19.tframe1.frame8.frame9.frame6  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe9.frame19.tframe1.frame8.frame9.frame2
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe9.frame19.tframe1.frame8.frame9.frame2.label5  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe9.frame19.tframe1.frame8.frame9.frame2.entry0  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe9.frame19.tframe1.frame8.frame9.frame6
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe9.frame19.tframe1.frame8.frame9.frame6.label5  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe9.frame19.tframe1.frame8.frame9.frame6.label11

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe11
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe11.frame1  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe11.frame2  -fill both  -side right

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe11.frame1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe11.frame1.treeview1  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe11.frame1.tscrollbar0  -fill y  -side right

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe11.frame2
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe11.frame2.tlabel1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe11.frame2.menubutton9  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe11.frame2.menubutton10  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe11.frame2.menubutton11  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe11.frame2.tlabel2  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe11.frame2.menubutton12  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe11.frame2.menubutton13  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe11.frame2.tbutton1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe2
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe2.tlabelframe1 -fill x
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe2.tlabelframe2 -fill x

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe2.tlabelframe1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe2.tlabelframe1.tframe5  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe2.tlabelframe1.tframe5
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe2.tlabelframe1.tframe5.frame1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe2.tlabelframe1.tframe5.frame8  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe2.tlabelframe1.tframe5.frame1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe2.tlabelframe1.tframe5.frame1.button12  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe2.tlabelframe1.tframe5.frame8
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe2.tlabelframe1.tframe5.frame8.label10  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe2.tlabelframe1.tframe5.frame8.frame1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe2.tlabelframe1.tframe5.frame8.frame1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe2.tlabelframe1.tframe5.frame8.frame1.label8  -fill y  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe2.tlabelframe1.tframe5.frame8.frame1.entry9  -fill y  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe2.tlabelframe2
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe2.tlabelframe2.tframe5  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe2.tlabelframe2.tframe5
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe2.tlabelframe2.tframe5.tframe6  -fill both -side top
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe2.tlabelframe2.tframe5.tframe7  -fill both -side bottom

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe2.tlabelframe2.tframe5.tframe6
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe2.tlabelframe2.tframe5.tframe6.button1  -fill y -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe2.tlabelframe2.tframe5.tframe7
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe2.tlabelframe2.tframe5.tframe7.tlabel1  -fill y -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe2.tlabelframe2.tframe5.tframe7.tentry1  -fill y -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe3
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe3.tframe7  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe3.tframe7
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe3.tframe7.frame1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe3.tframe7.frame2  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe3.tframe7.frame18  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe3.tframe7.frame1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe3.tframe7.frame1.label16  -expand 1  -fill x
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe3.tframe7.frame1.frame0  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe3.tframe7.frame1.frame2  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe3.tframe7.frame1.frame0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe3.tframe7.frame1.frame0.label14  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe3.tframe7.frame1.frame0.entry15  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe3.tframe7.frame1.frame0.button16  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe3.tframe7.frame1.frame2
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe3.tframe7.frame1.frame2.button3  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe3.tframe7.frame1.frame2.button4  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe3.tframe7.frame2
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe3.tframe7.frame2.label17  -expand 1  -fill x
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe3.tframe7.frame2.frame0  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe3.tframe7.frame2.frame0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe3.tframe7.frame2.frame0.button3  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe3.tframe7.frame18
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe3.tframe7.frame18.frame10  -fill x
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe3.tframe7.frame18.frame20  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe3.tframe7.frame18.frame20
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe3.tframe7.frame18.frame20.frame  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe3.tframe7.frame18.frame20.frame
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe3.tframe7.frame18.frame20.frame.scrollbar1  -fill y  -side right
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe3.tframe7.frame18.frame20.frame.text2  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe3.tframe7.frame18.frame10
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe3.tframe7.frame18.frame10.label17  -expand 1  -fill x  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe3.tframe7.frame18.frame10.label6  -expand 1  -fill x  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe3.tframe7.frame18.frame10.label8  -expand 1  -fill x  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe4
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe4.tframe9  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe4.tframe9
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe4.tframe9.tlabel6
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe4.tframe9.button17  -anchor w  -fill y

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe1  -fill x
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0  -fill x
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe10  -fill x

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13  -fill x  -side bottom

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe15  -fill x
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe16  -fill x
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe13  -fill x
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe17  -fill x
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe14  -fill x

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe13
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe13.tframe13  -fill x  -side bottom

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe13.tframe13
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe13.tframe13.tframe9  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe13.tframe13.tframe9
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe13.tframe13.tframe9.tframe31  -fill x

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe13.tframe13.tframe9.tframe31
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe13.tframe13.tframe9.tframe31.tlabel22  -fill y  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe13.tframe13.tframe9.tframe31.tentry23  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe13.tframe13.tframe9.tframe31.tbutton18  -side right

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe14.tframe13
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe14.tframe13.tframe7  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe14.tframe13.tframe7
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe14.tframe13.tframe7.tframe31  -fill x

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe14.tframe13.tframe7.tframe31
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe14.tframe13.tframe7.tframe31.tlabel22  -fill y  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe14.tframe13.tframe7.tframe31.tentry23  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe14.tframe13.tframe7.tframe31.tbutton18  -side right

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe15
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe15.tframe13  -fill x  -side bottom

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe15.tframe13
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe15.tframe13.tframe0  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe15.tframe13.tframe0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe15.tframe13.tframe0.tframe31  -fill x

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe15.tframe13.tframe0.tframe31
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe15.tframe13.tframe0.tframe31.tlabel22  -fill y  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe15.tframe13.tframe0.tframe31.tentry23  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe15.tframe13.tframe0.tframe31.tbutton18  -side right

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe16
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe16.tframe13  -fill x  -side bottom

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe16.tframe13
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe16.tframe13.tframe2  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe16.tframe13.tframe2
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe16.tframe13.tframe2.tframe31  -fill x
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe16.tframe13.tframe2.tframe32  -fill x

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe16.tframe13.tframe2.tframe31
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe16.tframe13.tframe2.tframe31.tlabel22  -fill y  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe16.tframe13.tframe2.tframe31.tentry23  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe16.tframe13.tframe2.tframe32
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe16.tframe13.tframe2.tframe32.tlabel22  -fill y  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe16.tframe13.tframe2.tframe32.tentry23  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe16.tframe13.tframe2.tframe32.tbutton4  -side right

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe17.tframe13
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe17.tframe13.tframe0  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe17.tframe13.tframe0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe17.tframe13.tframe0.tframe31  -fill x
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe17.tframe13.tframe0.tframe32  -fill x

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe17.tframe13.tframe0.tframe31
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe17.tframe13.tframe0.tframe31.tlabel22  -fill y  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe17.tframe13.tframe0.tframe31.tentry23  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe17.tframe13.tframe0.tframe32
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe17.tframe13.tframe0.tframe32.tlabel22  -fill y  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe17.tframe13.tframe0.tframe32.tentry23  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe17.tframe13.tframe0.tframe32.tbutton4  -side right

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe1.tframe21  -fill x  -side bottom

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe1.tframe21
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe1.tframe21.tframe14  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe1.tframe21.tframe14
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe1.tframe21.tframe14.tbutton0  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe1.tframe21.tframe14.tbutton20  -side right

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe10.tframe21
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe10.tframe21.tbutton1  -fill x  -side right

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0  -fill x
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13  -fill x  -side bottom

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe15  -fill x
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe16  -fill x
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe18  -fill x
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe17  -fill x

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe15
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe15.tframe13  -fill x  -side bottom

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe15.tframe13
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe15.tframe13.tframe0  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe15.tframe13.tframe0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe15.tframe13.tframe0.tframe31  -fill x

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe15.tframe13.tframe0.tframe31
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe15.tframe13.tframe0.tframe31.tlabel22  -fill y  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe15.tframe13.tframe0.tframe31.tentry23  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe15.tframe13.tframe0.tframe31.tbutton18  -side right

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe16
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe16.tframe13  -fill x  -side bottom

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe16.tframe13
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe16.tframe13.tframe2  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe16.tframe13.tframe2
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe16.tframe13.tframe2.tframe31  -fill x
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe16.tframe13.tframe2.tframe32  -fill x

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe16.tframe13.tframe2.tframe31
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe16.tframe13.tframe2.tframe31.tlabel22  -fill y  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe16.tframe13.tframe2.tframe31.tentry23  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe16.tframe13.tframe2.tframe32
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe16.tframe13.tframe2.tframe32.tlabel22  -fill y  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe16.tframe13.tframe2.tframe32.tentry23  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe16.tframe13.tframe2.tframe32.tbutton4  -side right

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe18
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe18.tframe13  -fill x  -side bottom

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe18.tframe13
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe18.tframe13.tframe2  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe18.tframe13.tframe2
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe18.tframe13.tframe2.tframe31  -fill x
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe18.tframe13.tframe2.tframe32  -fill x

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe18.tframe13.tframe2.tframe31
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe18.tframe13.tframe2.tframe31.tlabel22  -fill y  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe18.tframe13.tframe2.tframe31.tentry23  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe18.tframe13.tframe2.tframe32
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe18.tframe13.tframe2.tframe32.tlabel22  -fill y  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe18.tframe13.tframe2.tframe32.tentry23  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe18.tframe13.tframe2.tframe32.tbutton4  -side right

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe17
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe17.tframe13  -fill x  -side bottom

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe17.tframe13
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe17.tframe13.tframe0  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe17.tframe13.tframe0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe17.tframe13.tframe0.tframe31  -fill x

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe17.tframe13.tframe0.tframe31
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe17.tframe13.tframe0.tframe31.tlabel22  -fill y  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe17.tframe13.tframe0.tframe31.tentry23  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe17.tframe13.tframe0.tframe31.tbutton18  -side right

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13  -fill x

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15  -fill x
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.tframe1  -fill x  -side bottom

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.tframe1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.tframe1.tlabelframe14  -fill both  -side bottom

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.tframe1.tlabelframe14
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.tframe1.tlabelframe14.tframe15  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.tframe1.tlabelframe14.tframe15
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.tframe1.tlabelframe14.tframe15.frame  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.tframe1.tlabelframe14.tframe15.frame
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.tframe1.tlabelframe14.tframe15.frame.scrollbar1  -fill y  -side right
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.tframe1.tlabelframe14.tframe15.frame.text2  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe1.tframe1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe1.tframe1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe1.tframe1.tframe2  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe1.tframe1.button2  -fill both  -side bottom

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe1.tframe1.tframe2
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe1.tframe1.tframe2.tcheckbutton1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe1.tframe1.tframe2.tframe9  -fill both  -side right

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe1.tframe1.tframe2.tframe9
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe1.tframe1.tframe2.tframe9.tframe5  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe1.tframe1.tframe2.tframe9.tframe5
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe1.tframe1.tframe2.tframe9.tframe5.label5  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe1.tframe1.tframe2.tframe9.tframe5.entry5  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe2
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe2.tframe1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe2.tframe1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe2.tframe1.tframe2  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe2.tframe1.button2  -fill both  -side bottom

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe2.tframe1.tframe2
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe2.tframe1.tframe2.tlabel4  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe3
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe3.tframe1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe3.tframe1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe3.tframe1.tframe2  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe3.tframe1.button2  -fill both  -side bottom

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe3.tframe1.tframe2
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe3.tframe1.tframe2.tlabel1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe3.tframe1.tframe2.tlabel2  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe4
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe4.tframe1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe4.tframe1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe4.tframe1.tframe2  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe4.tframe1.button2  -fill both  -side bottom
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe4.tframe1.tframe3  -fill both  -side bottom

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe4.tframe1.tframe2
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe4.tframe1.tframe2.tlabel4  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe4.tframe1.tframe3
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe4.tframe1.tframe3.label5  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe4.tframe1.tframe3.entry5  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.frame1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.frame2  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.tlabelframe4  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.frame18  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.frame1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.frame1.label16  -expand 1  -fill x
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.frame1.frame0  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.frame1.frame2  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.frame1.frame0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.frame1.frame0.label14  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.frame1.frame0.entry15  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.frame1.frame0.button16  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.frame1.frame2
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.frame1.frame2.button3  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.frame1.frame2.button4  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.frame2
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.frame2.label17  -expand 1  -fill x
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.frame2.frame0  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.frame2.frame0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.frame2.frame0.button3  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.tlabelframe4
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.tlabelframe4.tframe1  -expand 1

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.tlabelframe4.tframe1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.tlabelframe4.tframe1.label17  -expand 1  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.tlabelframe4.tframe1.entry12  -expand 1  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.tlabelframe4.tframe1.label18  -expand 1  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.tlabelframe4.tframe1.entry13  -expand 1  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.tlabelframe4.tframe1.label19  -expand 1  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.tlabelframe4.tframe1.entry14  -expand 1  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.tlabelframe4.tframe1.label20  -expand 1  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.tlabelframe4.tframe1.entry15  -expand 1  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.tlabelframe4.tframe1.label21  -expand 1  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.tlabelframe4.tframe1.entry16  -expand 1  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.tlabelframe4.tframe1.label22  -expand 1  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.tlabelframe4.tframe1.entry17  -expand 1  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.frame18
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.frame18.frame10  -fill x
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.frame18.frame20  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.frame18.frame20
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.frame18.frame20.frame  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.frame18.frame20.frame
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.frame18.frame20.frame.scrollbar1  -fill y  -side right
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.frame18.frame20.frame.text2  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.frame18.frame10
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.frame18.frame10.label17  -expand 1  -fill x  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.frame18.frame10.label6  -expand 1  -fill x  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.frame18.frame10.label8  -expand 1  -fill x  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe3  -fill x
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe9  -fill x
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe7  -fill x
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe14  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe3
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe3.tframe1  -fill x  -side bottom

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe3.tframe1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe3.tframe1.frame17  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe3.tframe1.frame17
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe3.tframe1.frame17.label11  -fill y  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe3.tframe1.frame17.entry12  -expand 1  -fill x  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe3.tframe1.frame17.tbutton21  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe3.tframe1.frame17.tbutton22  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe9
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe9.tframe1  -fill x  -side bottom

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe9.tframe1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe9.tframe1.tlabelframe9  -fill x
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe9.tframe1.tlabelframe11  -fill x

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe9.tframe1.tlabelframe9
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe9.tframe1.tlabelframe9.tframe1  -fill x  -side bottom

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe9.tframe1.tlabelframe9.tframe1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe9.tframe1.tlabelframe9.tframe1.frame4  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe9.tframe1.tlabelframe9.tframe1.frame4
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe9.tframe1.tlabelframe9.tframe1.frame4.frame38  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe9.tframe1.tlabelframe9.tframe1.frame4.frame0  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe9.tframe1.tlabelframe9.tframe1.frame4.frame38
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe9.tframe1.tlabelframe9.tframe1.frame4.frame38.checkbutton33  -fill x  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe9.tframe1.tlabelframe9.tframe1.frame4.frame38.button0  -fill x  -side right
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe9.tframe1.tlabelframe9.tframe1.frame4.frame38.button41  -fill x  -side right

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe9.tframe1.tlabelframe9.tframe1.frame4.frame0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe9.tframe1.tlabelframe9.tframe1.frame4.frame0.label46  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe9.tframe1.tlabelframe9.tframe1.frame4.frame0.entry48  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe9.tframe1.tlabelframe11
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe9.tframe1.tlabelframe11.tframe1  -fill x  -side bottom

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe9.tframe1.tlabelframe11.tframe1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe9.tframe1.tlabelframe11.tframe1.frame4  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe9.tframe1.tlabelframe11.tframe1.frame4
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe9.tframe1.tlabelframe11.tframe1.frame4.frame38  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe9.tframe1.tlabelframe11.tframe1.frame4.frame38
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe9.tframe1.tlabelframe11.tframe1.frame4.frame38.checkbutton33  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe9.tframe1.tlabelframe11.tframe1.frame4.frame38.button40  -fill both  -side right

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe14
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe14.tframe15  -expand 1  -fill both  -side bottom

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe14.tframe15
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe14.tframe15.frame  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe14.tframe15.frame
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe14.tframe15.frame.scrollbar1  -fill y  -side right
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe14.tframe15.frame.text2  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe7.tframe1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe7.tframe1.tbutton1  -fill x  -side right

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9.frame22  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9.frame19  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9.frame22
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9.frame22.tlabelframe4  -fill x

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9.frame22.tlabelframe4
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9.frame22.tlabelframe4.tframe4  -fill x
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9.frame22.tlabelframe4.tframe5  -fill x

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9.frame22.tlabelframe4.tframe4
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9.frame22.tlabelframe4.tframe4.tlabel3  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9.frame22.tlabelframe4.tframe4.tscale2  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9.frame22.tlabelframe4.tframe5
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9.frame22.tlabelframe4.tframe5.tbutton5  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9.frame19
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9.frame19.tframe1  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9.frame19.tframe1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9.frame19.tframe1.tlabelframe9  -fill x
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9.frame19.tframe1.tlabelframe10  -fill x
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9.frame19.tframe1.tlabelframe11  -fill x
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9.frame19.tframe1.tlabelframe12  -fill x

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9.frame19.tframe1.tlabelframe9
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9.frame19.tframe1.tlabelframe9.frame8  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9.frame19.tframe1.tlabelframe9.frame8
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9.frame19.tframe1.tlabelframe9.frame8.button7  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9.frame19.tframe1.tlabelframe10
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9.frame19.tframe1.tlabelframe10.tframe7  -fill x  -side bottom

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9.frame19.tframe1.tlabelframe10.tframe7
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9.frame19.tframe1.tlabelframe10.tframe7.tframe8  -expand 1  -fill x
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9.frame19.tframe1.tlabelframe10.tframe7.tframe9  -expand 1  -fill x  -side bottom

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9.frame19.tframe1.tlabelframe10.tframe7.tframe8
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9.frame19.tframe1.tlabelframe10.tframe7.tframe8.tlabel5  -expand 1  -fill x  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9.frame19.tframe1.tlabelframe10.tframe7.tframe8.tentry6  -expand 1  -fill x  -side right

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9.frame19.tframe1.tlabelframe10.tframe7.tframe9
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9.frame19.tframe1.tlabelframe10.tframe7.tframe9.tbutton5  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9.frame19.tframe1.tlabelframe11
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9.frame19.tframe1.tlabelframe11.tframe9  -fill x
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9.frame19.tframe1.tlabelframe11.tframe10  -fill x  -side bottom

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9.frame19.tframe1.tlabelframe11.tframe9
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9.frame19.tframe1.tlabelframe11.tframe9.tbutton5  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9.frame19.tframe1.tlabelframe11.tframe10
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9.frame19.tframe1.tlabelframe11.tframe10.tbutton6  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9.frame19.tframe1.tlabelframe12.tframe9
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20.tframe9.frame19.tframe1.tlabelframe12.tframe9.tbutton5  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe21
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe21.tframe0  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe21.tframe2  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe21.tframe0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe21.tframe0.tlabelframe4  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe21.tframe0.tlabelframe1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe21.tframe0.tlabelframe4
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe21.tframe0.tlabelframe4.frame5  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe21.tframe0.tlabelframe4.frame5
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe21.tframe0.tlabelframe4.frame5.tframe8  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe21.tframe0.tlabelframe4.frame5.tframe4  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe21.tframe0.tlabelframe4.frame5.tframe5  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe21.tframe0.tlabelframe4.frame5.tframe8
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe21.tframe0.tlabelframe4.frame5.tframe8.tbutton4  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe21.tframe0.tlabelframe4.frame5.tframe4
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe21.tframe0.tlabelframe4.frame5.tframe4.tframe9  -expand 1  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe21.tframe0.tlabelframe4.frame5.tframe4.tframe10  -expand 1  -side right

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe21.tframe0.tlabelframe4.frame5.tframe4.tframe9
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe21.tframe0.tlabelframe4.frame5.tframe4.tframe9.tcheckbutton7  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe21.tframe0.tlabelframe4.frame5.tframe4.tframe9.tbutton7  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe21.tframe0.tlabelframe4.frame5.tframe4.tframe10
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe21.tframe0.tlabelframe4.frame5.tframe4.tframe10.tcheckbutton14  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe21.tframe0.tlabelframe4.frame5.tframe4.tframe10.tbutton14  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe21.tframe0.tlabelframe4.frame5.tframe5
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe21.tframe0.tlabelframe4.frame5.tframe5.tbutton4  -expand 1  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe21.tframe0.tlabelframe1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe21.tframe0.tlabelframe1.frame4  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe21.tframe0.tlabelframe1.frame4
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe21.tframe0.tlabelframe1.frame4.tframe2  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe21.tframe0.tlabelframe1.frame4.tframe3  -expand 1  -fill both  -side bottom

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe21.tframe0.tlabelframe1.frame4.tframe2
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe21.tframe0.tlabelframe1.frame4.tframe2.tlabel1  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe21.tframe0.tlabelframe1.frame4.tframe2.tlabel2  -expand 1  -fill both  -side bottom

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe21.tframe0.tlabelframe1.frame4.tframe3
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe21.tframe0.tlabelframe1.frame4.tframe3.tbutton4  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe21.tframe0.tlabelframe1.frame4.tframe3.tbutton5  -fill both  -side right

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe7  -fill x
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe14  -fill x
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe9  -fill x
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe8  -fill x

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe7
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe7.tframe8  -fill x  -side bottom

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe7.tframe8
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe7.tframe8.tframe9  -expand 1  -fill x  -side right

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe7.tframe8.tframe9
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe7.tframe8.tframe9.tbutton4  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe14
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe14.tframe4  -fill x  -side bottom

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe14.tframe4
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe14.tframe4.tlabelframe8  -expand 1  -fill x
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe14.tframe4.tlabelframe11  -expand 1  -fill x

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe14.tframe4.tlabelframe8
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe14.tframe4.tlabelframe8.tframe1  -fill x  -side bottom

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe14.tframe4.tlabelframe8.tframe1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe14.tframe4.tlabelframe8.tframe1.tframe19  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe14.tframe4.tlabelframe8.tframe1.tframe11  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe14.tframe4.tlabelframe8.tframe1.tframe19
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe14.tframe4.tlabelframe8.tframe1.tframe19.tlabel7  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe14.tframe4.tlabelframe8.tframe1.tframe19.tentry6  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe14.tframe4.tlabelframe8.tframe1.tframe11
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe14.tframe4.tlabelframe8.tframe1.tframe11.tlabel7  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe14.tframe4.tlabelframe8.tframe1.tframe11.tentry6  -expand 1  -fill x  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe14.tframe4.tlabelframe11
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe14.tframe4.tlabelframe11.tframe10  -fill x  -side bottom

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe14.tframe4.tlabelframe11.tframe10
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe14.tframe4.tlabelframe11.tframe10.tframe3  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe14.tframe4.tlabelframe11.tframe10.tframe4  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe14.tframe4.tlabelframe11.tframe10.tframe20  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe14.tframe4.tlabelframe11.tframe10.tframe3
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe14.tframe4.tlabelframe11.tframe10.tframe3.tlabel7  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe14.tframe4.tlabelframe11.tframe10.tframe3.tentry6  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe14.tframe4.tlabelframe11.tframe10.tframe4
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe14.tframe4.tlabelframe11.tframe10.tframe4.tcheckbutton5  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe14.tframe4.tlabelframe11.tframe10.tframe4.tlabel7  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe14.tframe4.tlabelframe11.tframe10.tframe4.tentry6  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe14.tframe4.tlabelframe11.tframe10.tframe20
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe14.tframe4.tlabelframe11.tframe10.tframe20.tcheckbutton5  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe14.tframe4.tlabelframe11.tframe10.tframe20.tlabel7  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe14.tframe4.tlabelframe11.tframe10.tframe20.tentry6  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe9
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe9.tframe2  -fill x  -side bottom

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe9.tframe2
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe9.tframe2.tbutton1  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe8.tframe1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe8.tframe1.tbutton1  -fill x  -side right

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe3
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe3.tlabelframe11  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe3.tframe2  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe3.tlabelframe11
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe3.tlabelframe11.tframe2  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe3.tlabelframe11.tframe2
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe3.tlabelframe11.tframe2.tbutton1  -side left -fill y
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe3.tlabelframe11.tframe2.tframe4  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe3.tlabelframe11.tframe2.tframe4
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe3.tlabelframe11.tframe2.tframe4.tlabel1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe3.tlabelframe11.tframe2.tframe4.tentry1  -fill both  -side right

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe2
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe2.tlabelframe1 -fill x
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe2.tlabelframe2 -fill x
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe2.tlabelframe3 -fill x

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe2.tlabelframe1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe2.tlabelframe1.tframe5  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe2.tlabelframe1.tframe5
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe2.tlabelframe1.tframe5.frame1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe2.tlabelframe1.tframe5.frame8  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe2.tlabelframe1.tframe5.frame1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe2.tlabelframe1.tframe5.frame1.button12  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe2.tlabelframe1.tframe5.frame1.button13  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe2.tlabelframe1.tframe5.frame8
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe2.tlabelframe1.tframe5.frame8.label10  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe2.tlabelframe1.tframe5.frame8.frame1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe2.tlabelframe1.tframe5.frame8.frame1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe2.tlabelframe1.tframe5.frame8.frame1.label8  -fill y  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe2.tlabelframe1.tframe5.frame8.frame1.entry9  -fill y  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe2.tlabelframe2
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe2.tlabelframe2.tframe5  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe2.tlabelframe2.tframe5
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe2.tlabelframe2.tframe5.tframe6  -fill both -side top

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe2.tlabelframe2.tframe5.tframe6
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe2.tlabelframe2.tframe5.tframe6.button1  -fill y -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe2.tlabelframe3
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe2.tlabelframe3.tframe5  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe2.tlabelframe3.tframe5
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe2.tlabelframe3.tframe5.tframe6  -fill both -side top

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe2.tlabelframe3.tframe5.tframe6
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe2.tlabelframe3.tframe5.tframe6.button1  -fill y -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe3
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe3.tframe7  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe3.tframe7
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe3.tframe7.frame1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe3.tframe7.frame2  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe3.tframe7.frame18  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe3.tframe7.frame1
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe3.tframe7.frame1.label16  -expand 1  -fill x
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe3.tframe7.frame1.frame0  -expand 1  -fill both
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe3.tframe7.frame1.frame2  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe3.tframe7.frame1.frame0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe3.tframe7.frame1.frame0.label14  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe3.tframe7.frame1.frame0.entry15  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe3.tframe7.frame1.frame0.button16  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe3.tframe7.frame1.frame2
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe3.tframe7.frame1.frame2.button3  -expand 1  -fill both  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe3.tframe7.frame1.frame2.button4  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe3.tframe7.frame2
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe3.tframe7.frame2.label17  -expand 1  -fill x
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe3.tframe7.frame2.frame0  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe3.tframe7.frame2.frame0
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe3.tframe7.frame2.frame0.button3  -expand 1  -fill both  -side left

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe3.tframe7.frame18
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe3.tframe7.frame18.frame10  -fill x
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe3.tframe7.frame18.frame20  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe3.tframe7.frame18.frame20
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe3.tframe7.frame18.frame20.frame  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe3.tframe7.frame18.frame20.frame
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe3.tframe7.frame18.frame20.frame.scrollbar1  -fill y  -side right
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe3.tframe7.frame18.frame20.frame.text2  -expand 1  -fill both

  # pack master .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe3.tframe7.frame18.frame10
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe3.tframe7.frame18.frame10.label17  -expand 1  -fill x  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe3.tframe7.frame18.frame10.label6  -expand 1  -fill x  -side left
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe3.tframe7.frame18.frame10.label8  -expand 1  -fill x  -side left

  # pack master .guiCV.tframe9
  pack configure .guiCV.tframe9.tsizegrip10  -fill both  -side right

  # pack master .guiCV
  pack configure .guiCV.tframe2  -fill both
  pack configure .guiCV.tframe3  -expand 1  -fill both
  pack configure .guiCV.tframe9  -expand 1  -fill both  -side right

  #  pane settings for .guiCV.tframe3.tpanedwindow4
  .guiCV.tframe3.tpanedwindow4 add .guiCV.tframe3.tpanedwindow4.tframe5
  .guiCV.tframe3.tpanedwindow4 add .guiCV.tframe3.tpanedwindow4.tframe6

  #  pane settings for .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45 add .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36

  #  pane settings for .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0 add .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0 add .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0 add .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3

  #  pane settings for .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0 add .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane0
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0 paneconfigure .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane0 -after {}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0 paneconfigure .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane0 -before {}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0 paneconfigure .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane0 -height {}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0 paneconfigure .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane0 -hide {0}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0 paneconfigure .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane0 -minsize {0}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0 paneconfigure .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane0 -padx {0}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0 paneconfigure .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane0 -pady {0}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0 paneconfigure .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane0 -sticky {nesw}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0 paneconfigure .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane0 -stretch {last}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0 paneconfigure .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane0 -width {}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0 add .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane1
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0 paneconfigure .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane1 -after {}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0 paneconfigure .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane1 -before {}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0 paneconfigure .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane1 -height {}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0 paneconfigure .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane1 -hide {0}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0 paneconfigure .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane1 -minsize {0}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0 paneconfigure .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane1 -padx {0}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0 paneconfigure .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane1 -pady {0}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0 paneconfigure .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane1 -sticky {nesw}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0 paneconfigure .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane1 -stretch {last}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0 paneconfigure .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane1 -width {}

  #  pane settings for .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane0
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane0 add .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane0.f0
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane0 paneconfigure .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane0.f0 -after {}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane0 paneconfigure .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane0.f0 -before {}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane0 paneconfigure .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane0.f0 -height {}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane0 paneconfigure .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane0.f0 -hide {0}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane0 paneconfigure .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane0.f0 -minsize {0}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane0 paneconfigure .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane0.f0 -padx {0}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane0 paneconfigure .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane0.f0 -pady {0}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane0 paneconfigure .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane0.f0 -sticky {nesw}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane0 paneconfigure .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane0.f0 -stretch {last}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane0 paneconfigure .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane0.f0 -width {}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane0 add .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane0.f1
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane0 paneconfigure .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane0.f1 -after {}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane0 paneconfigure .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane0.f1 -before {}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane0 paneconfigure .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane0.f1 -height {}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane0 paneconfigure .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane0.f1 -hide {0}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane0 paneconfigure .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane0.f1 -minsize {0}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane0 paneconfigure .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane0.f1 -padx {0}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane0 paneconfigure .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane0.f1 -pady {0}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane0 paneconfigure .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane0.f1 -sticky {nesw}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane0 paneconfigure .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane0.f1 -stretch {last}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane0 paneconfigure .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane0.f1 -width {}

  #  pane settings for .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane1
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane1 add .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane1.f2
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane1 paneconfigure .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane1.f2 -after {}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane1 paneconfigure .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane1.f2 -before {}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane1 paneconfigure .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane1.f2 -height {}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane1 paneconfigure .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane1.f2 -hide {0}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane1 paneconfigure .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane1.f2 -minsize {0}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane1 paneconfigure .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane1.f2 -padx {0}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane1 paneconfigure .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane1.f2 -pady {0}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane1 paneconfigure .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane1.f2 -sticky {nesw}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane1 paneconfigure .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane1.f2 -stretch {last}
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane1 paneconfigure .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane1.f2 -width {}

  #  pane settings for .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5 add .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe6
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5 add .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe7

  #  pane settings for .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8 add .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe9
  .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8 add .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe10

  #  pane settings for .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2

  #  tab settings for .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35 -text {Volume Properties}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35 -state {normal}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35 -underline {-1}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36 -text {Volume Rendering}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36 -state {normal}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36 -underline {-1}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37 -text {Subvolume Properties}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37 -state {normal}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37 -underline {-1}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe38
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe38 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe38 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe38 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe38 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe38 -text {Subvolume Rendering}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe38 -state {normal}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe38 -underline {-1}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe0
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe0 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe0 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe0 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe0 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe0 -text {MIP}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe0 -state {normal}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe0 -underline {-1}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23 -text {Filters}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23 -state {normal}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe23 -underline {-1}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1 -text {Info}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1 -state {normal}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe1 -underline {-1}

  # build canvas items .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer4.tframe4.tframe0.tframe2.canvas7
  # build canvas items .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer4.tframe4.tframe0.tframe12.canvas7
  # build canvas items .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer4.tframe4.tframe0.tframe13.canvas7
  # build canvas items .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer4.tframe4.tframe0.tframe14.canvas7
  #  tab settings for .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe3
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe3 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe3 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe3 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe3 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe3 -text {Console}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe3 -state {normal}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe3 -underline {-1}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7 -text {DICOM}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7 -state {normal}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7 -underline {-1}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8 -text {Paths}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8 -state {normal}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8 -underline {-1}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9 -text {Segmentation}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9 -state {normal}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9 -underline {-1}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2 -text {3D Segmentation}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2 -state {normal}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2 -underline {-1}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6 -text {Model}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6 -state {normal}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6 -underline {-1}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10 -text {Meshing}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10 -state {normal}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10 -underline {-1}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0 -text {PCMRI}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0 -state {normal}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0 -underline {-1}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12 -text {Simulations}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12 -state {normal}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12 -underline {-1}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1 -text {Displays}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1 -state {normal}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1 -underline {-1}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4 -text {CPM Results}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4 -state {normal}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4 -underline {-1}

  #  tab settings for .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1 -text {Load Image Data}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1 -state {normal}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1 -underline {-1}

  #  pane settings for .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe4
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10

  #  tab settings for .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe1
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe1 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe1 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe1 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe1 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe1 -text {General}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe1 -state {normal}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe1 -underline {-1}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6 -text {Manual}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6 -state {normal}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6 -underline {-1}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe7
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe7 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe7 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe7 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe7 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe7 -text {Automatic}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe7 -state {normal}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe7 -underline {-1}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe8
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe8 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe8 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe8 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe8 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe8 -text {Smooth}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe8 -state {normal}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe8 -underline {-1}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0 -text {Quantification}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0 -state {normal}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0 -underline {-1}

  #  tab settings for .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6 -text {path1}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6 -state {normal}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6 -underline {-1}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7 -text {path2}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7 -state {normal}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7 -underline {-1}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe8
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe8 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe8 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe8 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe8 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe8 -text {twist}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe8 -state {normal}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe8 -underline {-1}

  #  pane settings for .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0 paneconfigure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27 -after {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0 paneconfigure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27 -before {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0 paneconfigure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27 -height {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0 paneconfigure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27 -hide {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0 paneconfigure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27 -minsize {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0 paneconfigure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27 -padx {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0 paneconfigure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27 -pady {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0 paneconfigure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27 -sticky {nesw}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0 paneconfigure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27 -stretch {last}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0 paneconfigure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27 -width {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0 paneconfigure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0 -after {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0 paneconfigure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0 -before {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0 paneconfigure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0 -height {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0 paneconfigure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0 -hide {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0 paneconfigure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0 -minsize {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0 paneconfigure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0 -padx {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0 paneconfigure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0 -pady {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0 paneconfigure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0 -sticky {nesw}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0 paneconfigure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0 -stretch {last}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0 paneconfigure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0 -width {}

  #  tab settings for .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1 -text {2D Segmentation}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1 -state {normal}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1 -underline {-1}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2 -text {3D Segmentation}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2 -state {normal}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2 -underline {-1}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3 -text {Lofting Parameters}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3 -state {normal}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3 -underline {-1}

  #  tab settings for .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0 -text {Level Set}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0 -state {normal}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0 -underline {-1}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1 -text {Legacy Level Set}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1 -state {normal}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe1 -underline {-1}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2 -text {Threshold}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2 -state {normal}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe2 -underline {-1}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3 -text {Analytic}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3 -state {normal}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe3 -underline {-1}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe4
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe4 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe4 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe4 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe4 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe4 -text {Manual}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe4 -state {normal}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe4 -underline {-1}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5 -text {Smooth}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5 -state {normal}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe5 -underline {-1}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6 -text {Batch}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6 -state {normal}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe6 -underline {-1}

  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe4.frame69.frame.text2 insert end {You must turn on parallel projection to create
profiles by hand.  Inside of the 2-D Intensity graphic window, the following commands can be used:

"a"           : add point
"s"           : show cursor
"Shift-a"   : remove last point
"button 1" : show scalar value under pointer
"c"           : create contour from points}
  #  tab settings for .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6 -text {Seeds}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6 -state {normal}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6 -underline {-1}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2 -text {Segment}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2 -state {normal}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe2 -underline {-1}

  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.frame5.line1.text56 insert end {replaceme_textreplaceme_text}
  #  tab settings for .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1 -text {MeshSim}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1 -state {normal}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1 -underline {-1}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2 -text {TetGen}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2 -state {normal}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2 -underline {-1}

  #  tab settings for .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21 -text {Mesh}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21 -state {normal}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21 -underline {-1}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22 -text {Advanced Meshing}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22 -state {normal}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22 -underline {-1}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0 -text {Adapt}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0 -state {normal}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0 -underline {-1}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe1
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe1 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe1 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe1 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe1 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe1 -text {Licenses}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe1 -state {normal}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe1 -underline {-1}

  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe14.tframe15.frame.text2 insert end {}
  #  tab settings for .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1 -text {Mesh}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1 -state {normal}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1 -underline {-1}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6 -text {Advanced Meshing}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6 -state {normal}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6 -underline {-1}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0 -text {Adapt}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0 -state {normal}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0 -underline {-1}

  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe11.tframe1.frame.text2 insert end {}
  #  tab settings for .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6 -text {Inflow BC}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6 -state {normal}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe6 -underline {-1}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe1
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe1 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe1 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe1 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe1 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe1 -text {Create 3-D Solver Files}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe1 -state {normal}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe1 -underline {-1}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5 -text {Run Solver}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5 -state {normal}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5 -underline {-1}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0 -text {Create VTU Files}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0 -state {normal}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0 -underline {-1}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4 -text {Vis WSS}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4 -state {normal}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4 -underline {-1}

  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe1.frame0.frame.text2 insert end { }
  #  tab settings for .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe2
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe2 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe2 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe2 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe2 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe2 -text {Read Results}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe2 -state {normal}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe2 -underline {-1}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21 -text {Vis Options}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21 -state {normal}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21 -underline {-1}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22 -text {Define Cut Plane}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22 -state {normal}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe22 -underline {-1}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe23
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe23 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe23 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe23 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe23 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe23 -text {Save Images}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe23 -state {normal}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe23 -underline {-1}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe24
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe24 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe24 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe24 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe24 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe24 -text {Plot Along Path}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe24 -state {normal}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe24 -underline {-1}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25 -text {Inlet & Outlet Values}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25 -state {normal}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe25 -underline {-1}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26 -text {Volumetric Flow}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26 -state {normal}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe26 -underline {-1}

  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame2.frame23.frame26.text27 insert end {instructions
-----------------

double click on face to use in calculations}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame5.text56 insert end {replaceme_text}
  #  tab settings for .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0 -text {no mpi}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0 -state {normal}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe0 -underline {-1}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8 -text {localhost}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8 -state {normal}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe8 -underline {-1}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2 -text {MSU}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2 -state {hidden}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe2 -underline {-1}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7 -text {OSMSC}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7 -state {hidden}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe7 -underline {-1}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe3
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe3 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe3 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe3 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe3 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe3 -text {Output Surfaces}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe3 -state {hidden}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1.tframe3 -underline {-1}

  #  tab settings for .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe0
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe0 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe0 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe0 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe0 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe0 -text {Load Data}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe0 -state {normal}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe0 -underline {-1}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28 -text {Process PCMRI Data}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28 -state {normal}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28 -underline {-1}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29 -text {Write Output}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29 -state {normal}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe29 -underline {-1}

  #  tab settings for .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8 -text {Level Set}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8 -state {normal}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe8 -underline {-1}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9 -text {Threshold}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9 -state {normal}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe9 -underline {-1}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10 -text {Analytic}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10 -state {normal}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe10 -underline {-1}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe11
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe11 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe11 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe11 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe11 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe11 -text {Manual}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe11 -state {normal}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe11 -underline {-1}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12 -text {Smooth}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12 -state {normal}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe12 -underline {-1}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13 -text {Batch}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13 -state {normal}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe13 -underline {-1}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14 -text {Baseline}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14 -state {normal}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14 -underline {-1}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15 -text {Pixel Flow}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15 -state {normal}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15 -underline {-1}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe16
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe16 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe16 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe16 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe16 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe16 -text {Flow}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe16 -state {normal}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe16 -underline {-1}

  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe11.frame69.frame.text2 insert end {You must turn on parallel projection to create
profiles by hand.  Inside of the 2-D Intensity graphic window, the following commands can be used:

"a"           : add point
"s"           : show cursor
"Shift-a"   : remove last point
"button 1" : show scalar value under pointer
"c"           : create contour from points}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame2.frame14.text16 insert end {Calculate a baseline correction equation
using this GUI

keystrokes over graphics window
------------------------------------------------
"a" : add point for polygon
"s" : show cursor
"c" : create polygon
"x" : plot x-comp of velocity under arrow
"y" : plot y-comp of velocity under arrow
"z" : plot z-comp of velocity under arrow
Left Mouse : Show Value
 }
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe15.frame69.frame.text2 insert end {You must turn on parallel projection to select individual pixels to calculate volumetric flow.  Inside of the 2-D graphics window, the following commands can be used:

"t"            : add (tag) voxel
"Shift-t"      : remove voxel
"button 1"     : show scalar value under pointer
"x","y","z"    : display velocity of pixel}
  #  tab settings for .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe38
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe38 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe38 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe38 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe38 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe38 -text {3-D Window}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe38 -state {hidden}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe38 -underline {-1}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe39
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe39 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe39 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe39 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe39 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe39 -text {3-D PCMRI}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe39 -state {hidden}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe39 -underline {-1}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe40
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe40 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe40 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe40 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe40 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe40 -text {2-D Intensity}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe40 -state {hidden}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe40 -underline {-1}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe41
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe41 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe41 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe41 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe41 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe41 -text {2-D Potential}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe41 -state {hidden}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe41 -underline {-1}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42 -text {PCMRI Intensity}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42 -state {hidden}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe42 -underline {-1}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43 -text {PCMRI Potential}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43 -state {hidden}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe43 -underline {-1}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5 -text {General}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5 -state {normal}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe5 -underline {-1}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44 -text {Actor Properties}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44 -state {normal}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44 -underline {-1}

  #  pane settings for .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.frame27
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0 paneconfigure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.frame27 -after {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0 paneconfigure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.frame27 -before {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0 paneconfigure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.frame27 -height {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0 paneconfigure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.frame27 -hide {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0 paneconfigure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.frame27 -minsize {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0 paneconfigure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.frame27 -padx {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0 paneconfigure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.frame27 -pady {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0 paneconfigure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.frame27 -sticky {nesw}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0 paneconfigure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.frame27 -stretch {last}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0 paneconfigure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.frame27 -width {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0 paneconfigure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0 -after {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0 paneconfigure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0 -before {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0 paneconfigure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0 -height {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0 paneconfigure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0 -hide {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0 paneconfigure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0 -minsize {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0 paneconfigure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0 -padx {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0 paneconfigure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0 -pady {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0 paneconfigure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0 -sticky {nesw}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0 paneconfigure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0 -stretch {last}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0 paneconfigure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0 -width {}

  #  tab settings for .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe1
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe1 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe1 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe1 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe1 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe1 -text {LS Segment}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe1 -state {normal}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe1 -underline {-1}

  #  tab settings for .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe1.notebook0

  #  pane settings for .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe2.tpanedwindow0
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe2.tpanedwindow0 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe2.tpanedwindow0.tframe1
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe2.tpanedwindow0 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe2.tpanedwindow0.tframe2

  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe9.frame19.tframe1.frame8.frame0.entry0 insert end {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe9.frame19.tframe1.frame8.frame5.entry0 insert end {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe9.frame19.tframe1.frame8.frame9.frame2.entry0 insert end {}
  #  tab settings for .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11 -text {Parasolid}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11 -state {normal}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11 -underline {-1}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13 -text {PolyData}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13 -state {normal}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13 -underline {-1}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe3
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe3 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe3 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe3 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe3 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe3 -text {Discrete}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe3 -state {normal}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe3 -underline {-1}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4 -text {OpenCASCADE}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4 -state {normal}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4 -underline {-1}

  #  tab settings for .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe2
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe2 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe2 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe2 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe2 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe2 -text {Create Model}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe2 -state {normal}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe2 -underline {-1}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe3
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe3 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe3 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe3 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe3 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe3 -text {Blend Model}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe3 -state {normal}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe3 -underline {-1}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe4
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe4 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe4 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe4 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe4 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe4 -text {Trim Model}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe4 -state {normal}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe4 -underline {-1}

  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe3.tframe7.frame18.frame20.frame.text2 insert end {}
  #  tab settings for .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0 -text {Create Model}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0 -state {normal}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0 -underline {-1}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17 -text {Global Ops}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17 -state {normal}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17 -underline {-1}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18 -text {Local Ops}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18 -state {normal}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18 -underline {-1}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22 -text {Blend Model}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22 -state {normal}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22 -underline {-1}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19 -text {Trim}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19 -state {normal}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19 -underline {-1}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20 -text {Face Manipulation}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20 -state {normal}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe20 -underline {-1}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe21
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe21 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe21 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe21 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe21 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe21 -text {Centerline Extraction}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe21 -state {normal}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe21 -underline {-1}

  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.frame18.frame20.frame.text2 insert end {}

  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.tframe1.tlabelframe14.tframe15.frame.text2 insert end {}
  #  tab settings for .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe2
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe2 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe2 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe2 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe2 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe2 -text {Face Selection}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe2 -state {normal}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe2 -underline {-1}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe4
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe4 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe4 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe4 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe4 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe4 -text {Blend}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe4 -state {normal}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe4 -underline {-1}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe1
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe1 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe1 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe1 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe1 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe1 -text {Sphere Region}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe1 -state {normal}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe1 -underline {-1}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe3
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe3 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe3 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe3 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe3 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe3 -text {Cell Selection}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe3 -state {normal}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.notebook15.tframe3 -underline {-1}

  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe14.tframe15.frame.text2 insert end {}

  #  tab settings for .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe2
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe2 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe2 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe2 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe2 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe2 -text {Create Model}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe2 -state {normal}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe2 -underline {-1}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1 add .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe3
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe3 -image {}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe3 -sticky {nsew}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe3 -padding {0}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe3 -compound {none}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe3 -text {Blend Model}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe3 -state {normal}
  .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1 tab .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe3 -underline {-1}



  if {"[info procs XFEdit]" != ""} {
    catch "XFMiscBindWidgetTree .guiCV"
    after 2 "catch {XFEditSetShowWindows}"
  }
}

proc DestroyWindow.guiCV {} {# xf ignore me 7
  if {"[info procs XFEdit]" != ""} {
    if {"[info commands .guiCV]" != ""} {
      global xfShowWindow.guiCV
      set xfShowWindow.guiCV 0
      XFEditSetPath .
      after 2 "XFSaveAsProc .guiCV; XFEditSetShowWindows"
    }
  } {
    catch "destroy .guiCV"
    update
  }
}


# procedure to show window ShowWindow.guiDICOM
proc ShowWindow.guiDICOM { args} {
# xf ignore me 7

  # build widget .guiDICOM
  if {"[info procs XFEdit]" != ""} {
    catch "XFDestroy .guiDICOM"
  } {
    catch "destroy .guiDICOM"
  }
  toplevel .guiDICOM

  # Window manager configurations
  wm positionfrom .guiDICOM program
  wm sizefrom .guiDICOM program
  wm maxsize .guiDICOM 1920 1059
  wm minsize .guiDICOM 124 100
  wm protocol .guiDICOM WM_DELETE_WINDOW {XFProcError {Application windows can not be destroyed.
Please use the "Current widget path:" to show/hide windows.}}
  wm title .guiDICOM {Load DICOM Data}


  # build widget .guiDICOM.tlabelframe17
  ttk::labelframe .guiDICOM.tlabelframe17  -text {Select Original DICOM Data Directory [-]}  -width {436}  -height {25}
  # bindings
  bind .guiDICOM.tlabelframe17 <Button-1> {guiCV_squeezer_labelframe .frame0 %W}

  # build widget .guiDICOM.tlabelframe17.frame0
  ttk::frame .guiDICOM.tlabelframe17.frame0  -borderwidth {0}  -relief {flat}  -width {479}  -height {86}

  # build widget .guiDICOM.tlabelframe17.frame0.frame9
  ttk::frame .guiDICOM.tlabelframe17.frame0.frame9  -width {497}  -height {28}

  # build widget .guiDICOM.tlabelframe17.frame0.frame9.label24
  ttk::label .guiDICOM.tlabelframe17.frame0.frame9.label24  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Directory:}  -width {10}

  # build widget .guiDICOM.tlabelframe17.frame0.frame9.entry0
  ttk::entry .guiDICOM.tlabelframe17.frame0.frame9.entry0  -font {Helvetica 10}  -textvariable {guiDICOMvars(original_dicom_dir)}  -width {40}
  # bindings
  bind .guiDICOM.tlabelframe17.frame0.frame9.entry0 <Key-Return> {guiFNMloadSolidModel atdb_solid_file atdb_solid}

  # build widget .guiDICOM.tlabelframe17.frame0.frame9.button1
  ttk::button .guiDICOM.tlabelframe17.frame0.frame9.button1  -command {guiDICOM_select_original_dicom_dir}  -text {Select}

  # build widget .guiDICOM.tlabelframe17.frame0.tframe0
  ttk::frame .guiDICOM.tlabelframe17.frame0.tframe0  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiDICOM.tlabelframe17.frame0.tframe0.tlabel3
  ttk::label .guiDICOM.tlabelframe17.frame0.tframe0.tlabel3  -font {Helvetica 10}  -relief {flat}  -width {10}

  # build widget .guiDICOM.tlabelframe17.frame0.tframe0.tcheckbutton2
  ttk::checkbutton .guiDICOM.tlabelframe17.frame0.tframe0.tcheckbutton2  -variable {guiDICOMvars(recursive_dir_search)}  -text {Recursive Directory Search}

  # build widget .guiDICOM.tlabelframe3
  ttk::labelframe .guiDICOM.tlabelframe3  -text {Select Sorted DICOM Output Directory [-]}  -width {472}  -height {25}
  # bindings
  bind .guiDICOM.tlabelframe3 <Button-1> {guiCV_squeezer_labelframe .frame0 %W}

  # build widget .guiDICOM.tlabelframe3.frame0
  ttk::frame .guiDICOM.tlabelframe3.frame0  -borderwidth {0}  -relief {flat}  -width {479}  -height {86}

  # build widget .guiDICOM.tlabelframe3.frame0.frame9
  ttk::frame .guiDICOM.tlabelframe3.frame0.frame9  -width {497}  -height {28}

  # build widget .guiDICOM.tlabelframe3.frame0.frame9.label24
  ttk::label .guiDICOM.tlabelframe3.frame0.frame9.label24  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Directory:}  -width {10}

  # build widget .guiDICOM.tlabelframe3.frame0.frame9.entry0
  ttk::entry .guiDICOM.tlabelframe3.frame0.frame9.entry0  -font {Helvetica 10}  -textvariable {guiDICOMvars(output_sorted_dicom_dir)}  -width {40}
  # bindings
  bind .guiDICOM.tlabelframe3.frame0.frame9.entry0 <Key-Return> {guiFNMloadSolidModel atdb_solid_file atdb_solid}

  # build widget .guiDICOM.tlabelframe3.frame0.frame9.button1
  ttk::button .guiDICOM.tlabelframe3.frame0.frame9.button1  -command {guiDICOM_select_output_sorted_dicom_dir}  -text {Select}

  # build widget .guiDICOM.tlabelframe3.frame0.tframe0
  ttk::frame .guiDICOM.tlabelframe3.frame0.tframe0  -borderwidth {0}  -relief {flat}  -width {30}  -height {30}

  # build widget .guiDICOM.tlabelframe3.frame0.tframe0.tlabel3
  ttk::label .guiDICOM.tlabelframe3.frame0.tframe0.tlabel3  -font {Helvetica 10}  -relief {flat}  -width {10}

  # build widget .guiDICOM.tlabelframe3.frame0.tframe0.tbutton5
  ttk::button .guiDICOM.tlabelframe3.frame0.tframe0.tbutton5  -command {guiDICOMsortFiles}  -text {sort!}

  # build widget .guiDICOM.tlabelframe3.frame0.tframe0.tlabel6
  ttk::label .guiDICOM.tlabelframe3.frame0.tframe0.tlabel6  -font {Helvetica 10}  -relief {flat}  -text {  (NOTE: Only works on Windows & Linux!)}

  # build widget .guiDICOM.tlabelframe7
  ttk::labelframe .guiDICOM.tlabelframe7  -text {Load Single Volume From DICOM Data [-]}  -width {443}  -height {25}
  # bindings
  bind .guiDICOM.tlabelframe7 <Button-1> {guiCV_squeezer_labelframe .frame0 %W}

  # build widget .guiDICOM.tlabelframe7.frame0
  ttk::frame .guiDICOM.tlabelframe7.frame0  -borderwidth {0}  -relief {flat}  -width {479}  -height {86}

  # build widget .guiDICOM.tlabelframe7.frame0.frame9
  ttk::frame .guiDICOM.tlabelframe7.frame0.frame9  -width {497}  -height {28}

  # build widget .guiDICOM.tlabelframe7.frame0.frame9.label24
  ttk::label .guiDICOM.tlabelframe7.frame0.frame9.label24  -font {Helvetica 10}  -borderwidth {0}  -relief {flat}  -text {Directory:}  -width {10}

  # build widget .guiDICOM.tlabelframe7.frame0.frame9.entry0
  ttk::entry .guiDICOM.tlabelframe7.frame0.frame9.entry0  -font {Helvetica 10}  -textvariable {gImageVol(data_dirname)}  -width {40}
  # bindings
  bind .guiDICOM.tlabelframe7.frame0.frame9.entry0 <Key-Return> {guiFNMloadSolidModel atdb_solid_file atdb_solid}

  # build widget .guiDICOM.tlabelframe7.frame0.frame9.tbutton5
  ttk::button .guiDICOM.tlabelframe7.frame0.frame9.tbutton5  -command {guiCVloadDICOM}  -text {Select & Load}

  # build widget .guiDICOM.tframe1
  ttk::frame .guiDICOM.tframe1  -borderwidth {0}  -relief {flat}  -width {40}  -height {30}

  # build widget .guiDICOM.tframe1.tbutton0
  ttk::button .guiDICOM.tframe1.tbutton0  -text {CLOSE} -command {DestroyWindow.guiDICOM}

  # pack master .guiDICOM.tlabelframe17
  pack configure .guiDICOM.tlabelframe17.frame0  -fill x  -side bottom

  # pack master .guiDICOM.tlabelframe17.frame0
  pack configure .guiDICOM.tlabelframe17.frame0.frame9  -expand 1  -fill both
  pack configure .guiDICOM.tlabelframe17.frame0.tframe0  -fill both

  # pack master .guiDICOM.tlabelframe17.frame0.frame9
  pack configure .guiDICOM.tlabelframe17.frame0.frame9.label24  -fill both  -side left
  pack configure .guiDICOM.tlabelframe17.frame0.frame9.entry0  -expand 1  -fill both  -side left
  pack configure .guiDICOM.tlabelframe17.frame0.frame9.button1  -fill both  -side left

  # pack master .guiDICOM.tlabelframe17.frame0.tframe0
  pack configure .guiDICOM.tlabelframe17.frame0.tframe0.tlabel3  -side left
  pack configure .guiDICOM.tlabelframe17.frame0.tframe0.tcheckbutton2  -fill both  -side left

  # pack master .guiDICOM.tlabelframe3
  pack configure .guiDICOM.tlabelframe3.frame0  -fill x  -side bottom

  # pack master .guiDICOM.tlabelframe3.frame0
  pack configure .guiDICOM.tlabelframe3.frame0.frame9  -expand 1  -fill both
  pack configure .guiDICOM.tlabelframe3.frame0.tframe0  -fill both

  # pack master .guiDICOM.tlabelframe3.frame0.frame9
  pack configure .guiDICOM.tlabelframe3.frame0.frame9.label24  -fill both  -side left
  pack configure .guiDICOM.tlabelframe3.frame0.frame9.entry0  -expand 1  -fill both  -side left
  pack configure .guiDICOM.tlabelframe3.frame0.frame9.button1  -fill both  -side left

  # pack master .guiDICOM.tlabelframe3.frame0.tframe0
  pack configure .guiDICOM.tlabelframe3.frame0.tframe0.tlabel3  -side left
  pack configure .guiDICOM.tlabelframe3.frame0.tframe0.tbutton5  -side left
  pack configure .guiDICOM.tlabelframe3.frame0.tframe0.tlabel6  -side left

  # pack master .guiDICOM.tlabelframe7
  pack configure .guiDICOM.tlabelframe7.frame0  -fill x  -side bottom

  # pack master .guiDICOM.tlabelframe7.frame0
  pack configure .guiDICOM.tlabelframe7.frame0.frame9  -expand 1  -fill both

  # pack master .guiDICOM.tlabelframe7.frame0.frame9
  pack configure .guiDICOM.tlabelframe7.frame0.frame9.label24  -fill both  -side left
  pack configure .guiDICOM.tlabelframe7.frame0.frame9.entry0  -expand 1  -fill both  -side left
  pack configure .guiDICOM.tlabelframe7.frame0.frame9.tbutton5  -side left

  # pack master .guiDICOM.tframe1
  pack configure .guiDICOM.tframe1.tbutton0  -side left

  # pack master .guiDICOM
  pack configure .guiDICOM.tlabelframe17  -fill both
  pack configure .guiDICOM.tlabelframe3  -fill both
  pack configure .guiDICOM.tlabelframe7  -fill both
  pack configure .guiDICOM.tframe1  -fill x

  if {"[info procs XFEdit]" != ""} {
    catch "XFMiscBindWidgetTree .guiDICOM"
    after 2 "catch {XFEditSetShowWindows}"
  }
}

proc DestroyWindow.guiDICOM {} {# xf ignore me 7
  if {"[info procs XFEdit]" != ""} {
    if {"[info commands .guiDICOM]" != ""} {
      global xfShowWindow.guiDICOM
      set xfShowWindow.guiDICOM 0
      XFEditSetPath .
      after 2 "XFSaveAsProc .guiDICOM; XFEditSetShowWindows"
    }
  } {
    catch "destroy .guiDICOM"
    update
  }
}


# procedure to show window ShowWindow.guiPPselectPath
proc ShowWindow.guiPPselectPath { args} {
# xf ignore me 7

  # build widget .guiPPselectPath
  if {"[info procs XFEdit]" != ""} {
    catch "XFDestroy .guiPPselectPath"
  } {
    catch "destroy .guiPPselectPath"
  }
  toplevel .guiPPselectPath   -background {white}

  # Window manager configurations
  wm positionfrom .guiPPselectPath program
  wm sizefrom .guiPPselectPath program
  wm maxsize .guiPPselectPath 1280 1024
  wm minsize .guiPPselectPath 132 10
  wm protocol .guiPPselectPath WM_DELETE_WINDOW {XFProcError {Application windows can not be destroyed.
Please use the "Current widget path:" to show/hide windows.}}
  wm title .guiPPselectPath {Select Path}


  # build widget .guiPPselectPath.frame7
  ttk::frame .guiPPselectPath.frame7  -width {212} -height {46}
  # build widget .guiPPselectPath.frame7.label11
  ttk::label .guiPPselectPath.frame7.label11  -font {Helvetica 10}  -borderwidth {0}  -text {Select Path}

  # build widget .guiPPselectPath.frame7.label12
  ttk::label .guiPPselectPath.frame7.label12  -font {Helvetica 10}  -borderwidth {0}  -text {(double click on line)}

  # build widget .guiPPselectPath.frame8
  ttk::frame .guiPPselectPath.frame8  -width {212} -height {250}
  # build widget .guiPPselectPath.frame8.frame
  ttk::frame .guiPPselectPath.frame8.frame
  # build widget .guiPPselectPath.frame8.frame.scrollbar3
  ttk::scrollbar .guiPPselectPath.frame8.frame.scrollbar3  -command {.guiPPselectPath.frame8.frame.listbox1 xview}  -orient {horizontal}

  # build widget .guiPPselectPath.frame8.frame.scrollbar2
  ttk::scrollbar .guiPPselectPath.frame8.frame.scrollbar2  -command {.guiPPselectPath.frame8.frame.listbox1 yview}

  # build widget .guiPPselectPath.frame8.frame.listbox1
  listbox .guiPPselectPath.frame8.frame.listbox1  -font {Helvetica 10}  -relief {raised}  -xscrollcommand {.guiPPselectPath.frame8.frame.scrollbar3 set}  -yscrollcommand {.guiPPselectPath.frame8.frame.scrollbar2 set}
  # bindings
  bind .guiPPselectPath.frame8.frame.listbox1 <Double-Button-1> {guiPPselectPathChoose}

  # build widget .guiPPselectPath.frame9
  ttk::frame .guiPPselectPath.frame9  -width {85} -height {38}
  # build widget .guiPPselectPath.frame9.button10
  ttk::button .guiPPselectPath.frame9.button10  -command {guiPPselectPathCancel}  -text {CANCEL}  -takefocus {ttk::takefocus}

  # pack master .guiPPselectPath.frame7
  pack configure .guiPPselectPath.frame7.label11  -fill both
  pack configure .guiPPselectPath.frame7.label12  -fill both

  # pack master .guiPPselectPath.frame8
  pack configure .guiPPselectPath.frame8.frame  -expand 1  -fill both

  # pack master .guiPPselectPath.frame8.frame
  pack configure .guiPPselectPath.frame8.frame.scrollbar2  -fill y  -side right
  pack configure .guiPPselectPath.frame8.frame.listbox1  -expand 1  -fill both
  pack configure .guiPPselectPath.frame8.frame.scrollbar3  -fill x  -side bottom

  # pack master .guiPPselectPath.frame9
  pack configure .guiPPselectPath.frame9.button10  -fill both

  # pack master .guiPPselectPath
  pack configure .guiPPselectPath.frame7  -fill both
  pack configure .guiPPselectPath.frame8  -expand 1  -fill both
  pack configure .guiPPselectPath.frame9  -fill both

  if {"[info procs XFEdit]" != ""} {
    catch "XFMiscBindWidgetTree .guiPPselectPath"
    after 2 "catch {XFEditSetShowWindows}"
  }
}

proc DestroyWindow.guiPPselectPath {} {# xf ignore me 7
  if {"[info procs XFEdit]" != ""} {
    if {"[info commands .guiPPselectPath]" != ""} {
      global xfShowWindow.guiPPselectPath
      set xfShowWindow.guiPPselectPath 0
      XFEditSetPath .
      after 2 "XFSaveAsProc .guiPPselectPath; XFEditSetShowWindows"
    }
  } {
    catch "destroy .guiPPselectPath"
    update
  }
}


# procedure to show window ShowWindow.guiSELECTGROUPS
proc ShowWindow.guiSELECTGROUPS { args} {
# xf ignore me 7

  # build widget .guiSELECTGROUPS
  if {"[info procs XFEdit]" != ""} {
    catch "XFDestroy .guiSELECTGROUPS"
  } {
    catch "destroy .guiSELECTGROUPS"
  }
  toplevel .guiSELECTGROUPS   -background {white}

  # Window manager configurations
  wm positionfrom .guiSELECTGROUPS program
  wm sizefrom .guiSELECTGROUPS program
  wm maxsize .guiSELECTGROUPS 1280 1024
  wm minsize .guiSELECTGROUPS 108 100
  wm protocol .guiSELECTGROUPS WM_DELETE_WINDOW {XFProcError {Application windows can not be destroyed.
Please use the "Current widget path:" to show/hide windows.}}
  wm title .guiSELECTGROUPS {Select a Group}


  # build widget .guiSELECTGROUPS.frame
ttk::frame .guiSELECTGROUPS.frame  -width {256} -height {245}
  # build widget .guiSELECTGROUPS.frame.scrollbar3
  ttk::scrollbar .guiSELECTGROUPS.frame.scrollbar3  -command {.guiSELECTGROUPS.frame.listbox1 xview}  -orient {horizontal}

  # build widget .guiSELECTGROUPS.frame.scrollbar2
  ttk::scrollbar .guiSELECTGROUPS.frame.scrollbar2  -command {.guiSELECTGROUPS.frame.listbox1 yview}

  # build widget .guiSELECTGROUPS.frame.listbox1
  listbox .guiSELECTGROUPS.frame.listbox1  -font {Helvetica 10}  -relief {raised}  -xscrollcommand {.guiSELECTGROUPS.frame.scrollbar3 set}  -yscrollcommand {.guiSELECTGROUPS.frame.scrollbar2 set}
  # bindings
  bind .guiSELECTGROUPS.frame.listbox1 <Double-Button-1> {guiSELECTGROUPSdone}

  # build widget .guiSELECTGROUPS.frame17
ttk::frame .guiSELECTGROUPS.frame17  -width {256} -height {66}
  # build widget .guiSELECTGROUPS.frame17.button18
  ttk::button .guiSELECTGROUPS.frame17.button18  -command {guiSELECTGROUPScancel}  -text {CANCEL}  -takefocus {ttk::takefocus}

  # build widget .guiSELECTGROUPS.frame17.button19
  ttk::button .guiSELECTGROUPS.frame17.button19  -command {guiSELECTGROUPSdone}  -text {DONE}  -takefocus {ttk::takefocus}

  # pack master .guiSELECTGROUPS.frame
  pack configure .guiSELECTGROUPS.frame.scrollbar2  -fill y  -side right
  pack configure .guiSELECTGROUPS.frame.listbox1  -expand 1  -fill both
  pack configure .guiSELECTGROUPS.frame.scrollbar3  -fill x  -side bottom

  # pack master .guiSELECTGROUPS.frame17
  pack configure .guiSELECTGROUPS.frame17.button18  -expand 1  -fill both  -side left
  pack configure .guiSELECTGROUPS.frame17.button19  -expand 1  -fill both  -side left

  # pack master .guiSELECTGROUPS
  pack configure .guiSELECTGROUPS.frame  -expand 1  -fill both
  pack configure .guiSELECTGROUPS.frame17  -fill both

  if {"[info procs XFEdit]" != ""} {
    catch "XFMiscBindWidgetTree .guiSELECTGROUPS"
    after 2 "catch {XFEditSetShowWindows}"
  }
}

proc DestroyWindow.guiSELECTGROUPS {} {# xf ignore me 7
  if {"[info procs XFEdit]" != ""} {
    if {"[info commands .guiSELECTGROUPS]" != ""} {
      global xfShowWindow.guiSELECTGROUPS
      set xfShowWindow.guiSELECTGROUPS 0
      XFEditSetPath .
      after 2 "XFSaveAsProc .guiSELECTGROUPS; XFEditSetShowWindows"
    }
  } {
    catch "destroy .guiSELECTGROUPS"
    update
  }
}


# procedure to show window ShowWindow.lsGUIselectPath
proc ShowWindow.lsGUIselectPath { args} {
# xf ignore me 7

  # build widget .lsGUIselectPath
  if {"[info procs XFEdit]" != ""} {
    catch "XFDestroy .lsGUIselectPath"
  } {
    catch "destroy .lsGUIselectPath"
  }
  toplevel .lsGUIselectPath   -background {white}

  # Window manager configurations
  wm positionfrom .lsGUIselectPath program
  wm sizefrom .lsGUIselectPath program
  wm maxsize .lsGUIselectPath 1280 1024
  wm minsize .lsGUIselectPath 132 10
  wm protocol .lsGUIselectPath WM_DELETE_WINDOW {XFProcError {Application windows can not be destroyed.
Please use the "Current widget path:" to show/hide windows.}}
  wm title .lsGUIselectPath {Select Path}


  # build widget .lsGUIselectPath.frame7
ttk::frame .lsGUIselectPath.frame7  -width {212} -height {46}
  # build widget .lsGUIselectPath.frame7.label11
  ttk::label .lsGUIselectPath.frame7.label11  -font {Helvetica 10}  -borderwidth {0}  -text {Select Path}

  # build widget .lsGUIselectPath.frame7.label12
  ttk::label .lsGUIselectPath.frame7.label12  -font {Helvetica 10}  -borderwidth {0}  -text {(double click on line)}

  # build widget .lsGUIselectPath.frame8
ttk::frame .lsGUIselectPath.frame8  -width {212} -height {250}
  # build widget .lsGUIselectPath.frame8.frame
ttk::frame .lsGUIselectPath.frame8.frame
  # build widget .lsGUIselectPath.frame8.frame.scrollbar3
  ttk::scrollbar .lsGUIselectPath.frame8.frame.scrollbar3  -command {.lsGUIselectPath.frame8.frame.listbox1 xview}  -orient {horizontal}

  # build widget .lsGUIselectPath.frame8.frame.scrollbar2
  ttk::scrollbar .lsGUIselectPath.frame8.frame.scrollbar2  -command {.lsGUIselectPath.frame8.frame.listbox1 yview}

  # build widget .lsGUIselectPath.frame8.frame.listbox1
  listbox .lsGUIselectPath.frame8.frame.listbox1  -font {Helvetica 10}  -relief {raised}  -xscrollcommand {.lsGUIselectPath.frame8.frame.scrollbar3 set}  -yscrollcommand {.lsGUIselectPath.frame8.frame.scrollbar2 set}
  # bindings
  bind .lsGUIselectPath.frame8.frame.listbox1 <Double-Button-1> {lsGUIselectPathChoose}

  # build widget .lsGUIselectPath.frame9
ttk::frame .lsGUIselectPath.frame9  -width {85} -height {38}
  # build widget .lsGUIselectPath.frame9.button10
  ttk::button .lsGUIselectPath.frame9.button10  -command {lsGUIselectPathCancel}  -text {CANCEL}  -takefocus {ttk::takefocus}

  # pack master .lsGUIselectPath.frame7
  pack configure .lsGUIselectPath.frame7.label11  -fill both
  pack configure .lsGUIselectPath.frame7.label12  -fill both

  # pack master .lsGUIselectPath.frame8
  pack configure .lsGUIselectPath.frame8.frame  -expand 1  -fill both

  # pack master .lsGUIselectPath.frame8.frame
  pack configure .lsGUIselectPath.frame8.frame.scrollbar2  -fill y  -side right
  pack configure .lsGUIselectPath.frame8.frame.listbox1  -expand 1  -fill both
  pack configure .lsGUIselectPath.frame8.frame.scrollbar3  -fill x  -side bottom

  # pack master .lsGUIselectPath.frame9
  pack configure .lsGUIselectPath.frame9.button10  -fill both

  # pack master .lsGUIselectPath
  pack configure .lsGUIselectPath.frame7  -fill both
  pack configure .lsGUIselectPath.frame8  -expand 1  -fill both
  pack configure .lsGUIselectPath.frame9  -fill both

  if {"[info procs XFEdit]" != ""} {
    catch "XFMiscBindWidgetTree .lsGUIselectPath"
    after 2 "catch {XFEditSetShowWindows}"
  }
}

proc DestroyWindow.lsGUIselectPath {} {# xf ignore me 7
  if {"[info procs XFEdit]" != ""} {
    if {"[info commands .lsGUIselectPath]" != ""} {
      global xfShowWindow.lsGUIselectPath
      set xfShowWindow.lsGUIselectPath 0
      XFEditSetPath .
      after 2 "XFSaveAsProc .lsGUIselectPath; XFEditSetShowWindows"
    }
  } {
    catch "destroy .lsGUIselectPath"
    update
  }
}


# procedure to show window ShowWindow.svGroupWindow
proc ShowWindow.svGroupWindow { {cmd "0"}} {

  # build widget .lsGUIselectPath
  if {"[info procs XFEdit]" != ""} {
    catch "XFDestroy .svGroupWindow"
  } {
    catch "destroy .svGroupWindow"
  }
  toplevel .svGroupWindow -background {white}

    # Window manager configurations
  wm positionfrom .svGroupWindow program
  wm sizefrom .svGroupWindow program
  wm maxsize .svGroupWindow 1280 1024
  wm minsize .svGroupWindow 150 10
  wm protocol .svGroupWindow WM_DELETE_WINDOW {DestroyWindow.svGroupWindow}


  ttk::frame .svGroupWindow.tframe6  -borderwidth {0}  -relief {flat}  -width {60}  -height {10}
  ttk::frame .svGroupWindow.tframe6.frame1  -borderwidth {0}  -relief {flat}  -width {60}  -height {10}
  ttk::frame .svGroupWindow.tframe6.frame1.frame2  -width {769}  -height {10}
  ttk::label .svGroupWindow.tframe6.frame1.frame2.label9  -font {Helvetica 10}  -relief {flat}  -text {Group Name:}  -width {12}
  ttk::entry .svGroupWindow.tframe6.frame1.frame2.entry10  -font {Helvetica 10}  -textvariable {guiSVvars(groups_entry_group_name)}  -width {30}

  ttk::button .svGroupWindow.tframe6.frame1.frame2.tbutton0  -command {guiSV_group_new_group}  -text {Create Group}
  ttk::button .svGroupWindow.tframe6.frame1.frame2.tbutton1  -command {guiSV_group_rename_group}  -text {Rename Group}
  ttk::button .svGroupWindow.tframe6.frame1.frame2.tbutton2  -command {guiSV_group_duplicate_group}  -text {Duplicate Group}
  ttk::button .svGroupWindow.tframe6.frame1.frame2.tbutton4  -command {guiSV_group_copy_members}  -text {Copy Members}


  ttk::button .svGroupWindow.tframe6.frame1.frame2.tbutton3  -command {DestroyWindow.svGroupWindow}  -text {Cancel}

  pack configure .svGroupWindow.tframe6  -fill both -ipadx 5 -ipady 5

  # pack master .svGroupWindow.tframe6
  pack configure .svGroupWindow.tframe6.frame1  -fill both
  #pack configure .svGroupWindow.tframe6.tframe0  -fill both


  # pack master .svGroupWindow.tframe6.frame1
  pack configure .svGroupWindow.tframe6.frame1.frame2  -expand 1  -fill both
  # pack configure .svGroupWindow.tframe6.frame1.frame1  -fill both

  # pack master .svGroupWindow.tframe6.frame1.frame2
  pack configure .svGroupWindow.tframe6.frame1.frame2.label9  -fill both  -side left
  pack configure .svGroupWindow.tframe6.frame1.frame2.entry10  -expand 1  -fill both  -side left

  if { $cmd == "rename"} {
    pack configure .svGroupWindow.tframe6.frame1.frame2.tbutton1  -side left
    bind .svGroupWindow.tframe6.frame1.frame2.entry10 <Key-Return> {guiSV_group_rename_group}
    wm title .svGroupWindow {Rename Group}
  } elseif {$cmd == "duplicate"} {
    wm title .svGroupWindow {Duplicate Group}
    bind .svGroupWindow.tframe6.frame1.frame2.entry10 <Key-Return> {guiSV_group_duplicate_group}
    pack configure .svGroupWindow.tframe6.frame1.frame2.tbutton2  -side left
  } elseif {$cmd == "copymembers"} {
    wm title .svGroupWindow {Copy Members}
    bind .svGroupWindow.tframe6.frame1.frame2.entry10 <Key-Return> {guiSV_group_copy_members}
    pack configure .svGroupWindow.tframe6.frame1.frame2.tbutton4  -side left
  } else {
    wm title .svGroupWindow {New Contour Group}
    bind .svGroupWindow.tframe6.frame1.frame2.entry10 <Key-Return> {guiSV_group_new_group}
    pack configure .svGroupWindow.tframe6.frame1.frame2.tbutton0  -side left
  }

  pack configure .svGroupWindow.tframe6.frame1.frame2.tbutton3  -side left
  focus .svGroupWindow.tframe6.frame1.frame2.entry10


  if {"[info procs XFEdit]" != ""} {
    catch "XFMiscBindWidgetTree .svGroupWindow"
    after 2 "catch {XFEditSetShowWindows}"
  }
}

proc DestroyWindow.svGroupWindow {} {# xf ignore me 7
  if {"[info procs XFEdit]" != ""} {
    if {"[info commands .svGroupWindow]" != ""} {
      global xfShowWindow.svGroupWindow
      set xfShowWindow.svGroupWindow 0
      XFEditSetPath .
      after 2 "XFSaveAsProc .svGroupWindow; XFEditSetShowWindows"
    }
  } {
    catch "destroy .svGroupWindow"
    update
  }
}


# procedure to show window ShowWindow.svSaveSegWindow
proc ShowWindow.svSaveSegWindow { {args "0"}} {

  global guiSVvars
  # build widget .lsGUIselectPath
  if {"[info procs XFEdit]" != ""} {
    catch "XFDestroy .svSaveSegWindow"
  } {
    catch "destroy .svSaveSegWindow"
  }
  toplevel .svSaveSegWindow   -background {white}

    # Window manager configurations
  wm positionfrom .svSaveSegWindow program
  wm sizefrom .svSaveSegWindow program
  wm maxsize .svSaveSegWindow 1280 1024
  wm minsize .svSaveSegWindow 150 60
  wm protocol .svSaveSegWindow WM_DELETE_WINDOW {DestroyWindow.svSaveSegWindow}



  ttk::frame .svSaveSegWindow.tframe6  -borderwidth {0}  -relief {flat}  -width {60}  -height {10}
  ttk::frame .svSaveSegWindow.tframe6.frame1  -borderwidth {0}  -relief {flat}  -width {60}  -height {10}
  ttk::frame .svSaveSegWindow.tframe6.frame1.frame2  -width {769}  -height {10}
  ttk::label .svSaveSegWindow.tframe6.frame1.frame2.label9  -font {Helvetica 10}  -relief {flat}  -text {Group Name:}  -width {12}
  ttk::entry .svSaveSegWindow.tframe6.frame1.frame2.entry10  -font {Helvetica 10}  -textvariable {guiSVvars(groups_entry_seg3d_name)}  -width {30}

  ttk::button .svSaveSegWindow.tframe6.frame1.frame2.tbutton0  -command {guiSV_seg3d_new_seg}  -text {Save Segmenation}
  ttk::button .svSaveSegWindow.tframe6.frame1.frame2.tbutton1  -command {guiSV_seg3d_rename_seg}  -text {Rename Segmenation}
  ttk::button .svSaveSegWindow.tframe6.frame1.frame2.tbutton2  -command {guiSV_seg3d_duplicate_seg}  -text {Duplicate Segmenation}


  #bind .svGroupWindow.tframe6.frame1.frame1.entry9 <Key-Return> {guiGROUPSUpdateSource}
  ttk::button .svSaveSegWindow.tframe6.frame1.frame2.tbutton3  -command {DestroyWindow.svSaveSegWindow}  -text {Cancel}

  pack configure .svSaveSegWindow.tframe6  -fill both -ipadx 5 -ipady 5

  # pack master .svGroupWindow.tframe6
  pack configure .svSaveSegWindow.tframe6.frame1  -fill both


  # pack master .svGroupWindow.tframe6.frame1
  pack configure .svSaveSegWindow.tframe6.frame1.frame2  -expand 1  -fill both

  # pack master .svGroupWindow.tframe6.frame1.frame2
  pack configure .svSaveSegWindow.tframe6.frame1.frame2.label9  -fill both  -side left
  pack configure .svSaveSegWindow.tframe6.frame1.frame2.entry10  -expand 1  -fill both  -side left

  if { $args == "rename"} {
    pack configure .svSaveSegWindow.tframe6.frame1.frame2.tbutton1  -side left
    bind .svSaveSegWindow.tframe6.frame1.frame2.entry10 <Key-Return> {guiSV_seg3d_rename_seg}
    wm title .svSaveSegWindow {Rename Segmenation}
  } elseif {$args == "duplicate"} {
    wm title .svSaveSegWindow {Duplicate Segmentation}
    bind .svSaveSegWindow.tframe6.frame1.frame2.entry10 <Key-Return> {guiSV_seg3d_duplicate_seg}
    pack configure .svSaveSegWindow.tframe6.frame1.frame2.tbutton2  -side left
  } else {
    wm title .svSaveSegWindow {Save Segmentation}
    bind .svSaveSegWindow.tframe6.frame1.frame2.entry10 <Key-Return> {guiSV_seg3d_new_seg}
    pack configure .svSaveSegWindow.tframe6.frame1.frame2.tbutton0  -side left
  }

  pack configure .svSaveSegWindow.tframe6.frame1.frame2.tbutton3  -side left
  focus .svSaveSegWindow.tframe6.frame1.frame2.entry10

  if {"[info procs XFEdit]" != ""} {
    catch "XFMiscBindWidgetTree .svSaveSegWindow"
    after 2 "catch {XFEditSetShowWindows}"
  }
}

proc DestroyWindow.svSaveSegWindow {} {# xf ignore me 7
  if {"[info procs XFEdit]" != ""} {
    if {"[info commands .svSaveSegWindow]" != ""} {
      global xfShowWindow.svSaveSegWindow
      set xfShowWindow.svSaveSegWindow 0
      XFEditSetPath .
      after 2 "XFSaveAsProc .svSaveSegWindow; XFEditSetShowWindows"
    }
  } {
    catch "destroy .svSaveSegWindow"
    update
  }
}


# procedure to show window ShowWindow.svmessage
proc ShowWindow.svmessage { args} {
# xf ignore me 7

  # build widget .svmessage
  if {"[info procs XFEdit]" != ""} {
    catch "XFDestroy .svmessage"
  } {
    catch "destroy .svmessage"
  }
  toplevel .svmessage   -relief {raised}

  # Window manager configurations
  wm positionfrom .svmessage program
  wm sizefrom .svmessage program
  wm maxsize .svmessage 1920 1200
  wm minsize .svmessage 150 150
  wm protocol .svmessage WM_DELETE_WINDOW {XFProcError {Application windows can not be destroyed.
Please use the "Current widget path:" to show/hide windows.}}
  wm title .svmessage {SimVascular Message}


  # build widget .svmessage.frame0
  ttk::frame .svmessage.frame0  -borderwidth {0}  -relief {flat}  -width {600}  -height {360}

  # build widget .svmessage.frame0.frame2
  ttk::frame .svmessage.frame0.frame2  -width {618}  -height {30}

  # build widget .svmessage.frame0.frame2.button3
  ttk::button .svmessage.frame0.frame2.button3  -command {DestroyWindow.svmessage}  -text {Close}

  # build widget .svmessage.frame0.frame2.button2
  ttk::button .svmessage.frame0.frame2.button2  -command {guiSVMSGsave}  -text {Save Message}

  # build widget .svmessage.frame0.frame
  ttk::frame .svmessage.frame0.frame  -relief {flat}

  # build widget .svmessage.frame0.frame.scrollbar1
  ttk::scrollbar .svmessage.frame0.frame.scrollbar1  -command {.svmessage.frame0.frame.text2 yview}

  # build widget .svmessage.frame0.frame.text2
  text .svmessage.frame0.frame.text2  -font {Helvetica 10}  -height {30}  -relief {raised}  -wrap {none}  -yscrollcommand {.svmessage.frame0.frame.scrollbar1 set}
  # bindings
  bind .svmessage.frame0.frame.text2 <Key> {NoFunction}

  # pack master .svmessage.frame0
  pack configure .svmessage.frame0.frame  -expand 1  -fill both
  pack configure .svmessage.frame0.frame2  -fill both

  # pack master .svmessage.frame0.frame2
  pack configure .svmessage.frame0.frame2.button2  -expand 1  -fill both  -side left
  pack configure .svmessage.frame0.frame2.button3  -expand 1  -fill both  -side left

  # pack master .svmessage.frame0.frame
  pack configure .svmessage.frame0.frame.scrollbar1  -fill y  -side right
  pack configure .svmessage.frame0.frame.text2  -expand 1  -fill both

  # pack master .svmessage
  pack configure .svmessage.frame0  -expand 1  -fill both

  .svmessage.frame0.frame.text2 insert end { }



  if {"[info procs XFEdit]" != ""} {
    catch "XFMiscBindWidgetTree .svmessage"
    after 2 "catch {XFEditSetShowWindows}"
  }
}

proc DestroyWindow.svmessage {} {# xf ignore me 7
  if {"[info procs XFEdit]" != ""} {
    if {"[info commands .svmessage]" != ""} {
      global xfShowWindow.svmessage
      set xfShowWindow.svmessage 0
      XFEditSetPath .
      after 2 "XFSaveAsProc .svmessage; XFEditSetShowWindows"
    }
  } {
    catch "destroy .svmessage"
    update
  }
}


# procedure to show window .
proc ShowWindow. {args} {# xf ignore me 7

  # Window manager configurations
  wm positionfrom . user
  wm sizefrom . ""
  update idletask
  wm iconify .
  wm maxsize . 1920 1200
  wm minsize . 124 1
  wm protocol . WM_DELETE_WINDOW {mainGUIexit}
  wm title . {gui-2.tcl}

  # bindings
  bind . <Button-3> {MenuPopupPost .smasherGUIview.frame1.menu6 %X %Y}
  bind . <ButtonRelease-3> {MenuPopupRelease .smasherGUIview.frame1.menu6 %W}

  if {"[info procs XFEdit]" != ""} {
    catch "XFMiscBindWidgetTree ."
    after 2 "catch {XFEditSetShowWindows}"
  }
}

# Procedure: bcGUI_hand_EndQueryInteraction
proc bcGUI_hand_EndQueryInteraction { widget} {

  global bcGUIhanddrawShowMagValue
  set bcGUIhanddrawShowMagValue 0
  global bcGUImagWindow
  vis_textClr $bcGUImagWindow(ren)
  global bcGUIpotWindow
  vis_textClr $bcGUIpotWindow(ren)
}


# Procedure: bcGUI_hand_StartQueryInteraction
proc bcGUI_hand_StartQueryInteraction { widget x y} {

  set x [expr [winfo pointerx $widget] - [winfo rootx $widget]]
  set y [expr [winfo pointery $widget] - [winfo rooty $widget]]

  global bcGUIhanddrawShowMagValue
  set bcGUIhanddrawShowMagValue 1
  bcGUI_hand_UpdateQueryInteraction $widget $x $y
}


# Procedure: bcGUI_hand_UpdateQueryInteraction
proc bcGUI_hand_UpdateQueryInteraction { widget x y} {

  global bcGUImagWindow
  global bcGUIpotWindow

  set x [expr [winfo pointerx $widget] - [winfo rootx $widget]]
  set y [expr [winfo pointery $widget] - [winfo rooty $widget]]

  global symbolicName
  if {[file rootname $widget] == $symbolicName(bcRenWinMag)} {
    set ren $bcGUImagWindow(ren)
  } else {
    set ren $bcGUIpotWindow(ren)
  }

  # y is flipped upside down
  set height [lindex [$widget configure -height] 4]
  set y [expr $height - $y]

  set coord tmp-add_point_cord
  catch {$coord Delete}
  vtkCoordinate $coord
  $coord SetCoordinateSystemToDisplay
  $coord SetValue $x $y
  set worldValue [$coord GetComputedWorldValue $ren]
  $coord Delete
  #puts "x: $x  y: $y  worldValue: $worldValue"

  global gBC
  foreach param $gBC(phase_contrast_params) {
    set [lindex $param 0] [lindex $param 1]
  }

  set i [expr int(floor([lindex $worldValue 0]/[lindex $voxel_dims 0]))]
  set j [expr int(floor([lindex $worldValue 1]/[lindex $voxel_dims 1]))]

  if {$i < $gBC(voi_x0) || $i > $gBC(voi_x1) ||  $j < $gBC(voi_y0) || $j > $gBC(voi_y1)} {
      puts "$i $j out of range!"
      return
   }

  # only true when entire image is used!
  #set pixel [expr $i+$j*$gBC(ext_i)]
  #set pixelI [expr $pixel%$gBC(ext_i)]
  #set pixelJ [expr $pixel/$gBC(ext_i)]
  #puts "i: $i  j: $j pixelI: $pixelI  pixelJ:  $pixelJ"

  set pixel [expr ($i - $gBC(voi_x0)) + ($j - $gBC(voi_y0))*($gBC(voi_x1)-$gBC(voi_x0)+1)]

  global bcGUIcurrentFrameNumber
  set magslice /gBC/pcdata/mag/$bcGUIcurrentFrameNumber
  set magvalue [[[[repos_exportToVtk -src $magslice] GetPointData] GetScalars] GetTuple1 $pixel]

  # slightly different output depending on 1-comp or 3-comp
  # velocity data
  if {$gBC(numVelComp) == 1} {
    # only for thruplane
    set velslice /gBC/pcdata/vel/$bcGUIcurrentFrameNumber
    set velvalue [[[[repos_exportToVtk -src $velslice] GetPointData] GetScalars] GetTuple1 $pixel]
    set velstring "vel: $velvalue"
  } elseif {$gBC(numVelComp) == 3} {
    set velsliceX /gBC/pcdata/vel/$bcGUIcurrentFrameNumber/r
    set velsliceY /gBC/pcdata/vel/$bcGUIcurrentFrameNumber/a
    set velsliceZ /gBC/pcdata/vel/$bcGUIcurrentFrameNumber/s
    set velvalueX [[[[repos_exportToVtk -src $velsliceX] GetPointData] GetScalars] GetTuple1 $pixel]
    set velvalueY [[[[repos_exportToVtk -src $velsliceY] GetPointData] GetScalars] GetTuple1 $pixel]
    set velvalueZ [[[[repos_exportToVtk -src $velsliceZ] GetPointData] GetScalars] GetTuple1 $pixel]
    set velstring "vel: <$velvalueX,$velvalueY,$velvalueZ>"
  } else {
    return -code error "ERROR:  Illegal number of velocity components"
  }

  vis_textSet $ren "$i $j mag:$magvalue $velstring"
}


# Procedure: bcGUI_hand_add_point
proc bcGUI_hand_add_point { widget x y} {

  global bcGUImagWindow
  global bcGUIpotWindow

  set x [expr [winfo pointerx $widget] - [winfo rootx $widget]]
  set y [expr [winfo pointery $widget] - [winfo rooty $widget]]

  global symbolicName
  if {[file rootname $widget] == $symbolicName(bcRenWinMag)} {
    set ren $bcGUImagWindow(ren)
  } else {
    set ren $bcGUIpotWindow(ren)
  }

  set selectedPoints bcGUItmp-handdraw-pts1
  set selectedLines bcGUItmp-handdraw-lines1

  # y is flipped upside down
  set height [lindex [$widget configure -height] 4]
  set y [expr $height - $y]

  set coord tmp-add_point_cord
  catch {$coord Delete}
  vtkCoordinate $coord
  $coord SetCoordinateSystemToDisplay
  $coord SetValue $x $y
  set worldValue [$coord GetComputedWorldValue $ren]
  $coord Delete
  puts "x: $x  y: $y  worldValue: $worldValue"

  #$selectedPoints InsertNextPoint $x $y 0
  $selectedPoints InsertNextPoint [lindex $worldValue 0] [lindex $worldValue 1] 0

  if {[$selectedPoints GetNumberOfPoints] == 1} {return}

  $selectedLines InsertNextCell 2
  $selectedLines InsertCellPoint [expr [$selectedPoints GetNumberOfPoints] - 2]
  $selectedLines InsertCellPoint [expr [$selectedPoints GetNumberOfPoints] - 1]

  foreach renWin {bcRenWinMag bcRenWinPot} {
      global symbolicName
      set widget $symbolicName($renWin).r1
      if {[info commands $widget] != ""} {
           $widget Render
      }
  }
}


# Procedure: bcGUI_hand_make_poly
proc bcGUI_hand_make_poly { widget x y} {

  set selectedPoints bcGUItmp-handdraw-pts1
  set selectedLines bcGUItmp-handdraw-lines1
  set cursorPoints bcGUItmp-handdraw-crsr-pts1

  # create a  closed polygon from the selected points

  set npts [$selectedPoints GetNumberOfPoints]

  if {$npts < 3} {
    return -code error "Need at 3 points to define a closed contour!"
  }

  global bcGUIbaselineAddPolys
  if {$bcGUIbaselineAddPolys == 0} {

    global bcGUIcurrentFrameNumber
    set frame $bcGUIcurrentFrameNumber

    global bcGUIhandContourType
    set type $bcGUIhandContourType

    if {$type == "levelset"} {
      set seg /gBC/pcdata/mag/$frame/ls
    } elseif {$type == "threshold"} {
      set seg /gBC/pcdata/mag/$frame/thr/selected
    } else {
      return -code error "Invalid segmentation type ($type)."
    }

    catch {repos_delete -obj $seg}

    # create the contour
    set pts {}
    for {set i 0} {$i < $npts} {incr i} {
      lappend pts [$selectedPoints GetPoint $i]
    }

    global gBC
    foreach param $gBC(phase_contrast_params) {
      set [lindex $param 0] [lindex $param 1]
    }

    # subsample the loop
    set curveLength [math_curveLength -pts $pts -closed 1]
    set numSamplePoints [expr int(ceil($curveLength/[lindex $voxel_dims 0]))]
    set newpts [math_linearInterpCurve -pts $pts -closed 1 -numInterpPts $numSamplePoints]
    geom_mkLinesFromPts $newpts $seg 1

    # track creation parameters via labels
    foreach obj [list $seg] {
      repos_setLabel -obj $obj -key creation_method     -value "hand_drawn"
      repos_setLabel -obj $obj -key num_hand_picked_pts -value $npts
      repos_setLabel -obj $obj -key creation_type       -value $type
      repos_setLabel -obj $obj -key num_subsample_pts   -value $numSamplePoints
      repos_setLabel -obj $obj -key frame               -value $frame
    }

    # update display
    bcGUIchangeFrame $frame

  } else {

    global bcGUIbaselineRegions

    # find the highest region id and use id+1 for next region number
    set id 0
    if {[llength $bcGUIbaselineRegions] > 0} {
      foreach i $bcGUIbaselineRegions {
        set obj [lindex $i 0]
        set objid [file tail $obj]
        if {$objid > $id} {
         set id $objid
        }
      }
    }
    incr id

    set nextRegion /bcGUI/region/$id
    set visobj /bcGUI/region/vis/$id

    lappend bcGUIbaselineRegions [list $nextRegion {}]

    catch {repos_delete -obj $nextRegion}
    catch {repos_delete -obj $visobj}

    set pts {}
    for {set i 0} {$i < $npts} {incr i} {
      lappend pts [$selectedPoints GetPoint $i]
    }

    geom_polygonFromPts $pts $nextRegion
    geom_triangulate $nextRegion $visobj

    # add to the listbox
    global symbolicName
    set lbox $symbolicName(bcGUIbaselineRegionListbox)
    $lbox insert end [list "region_$id" {}]

    # display the polygon
    global bcGUImagWindow
    set ren $bcGUImagWindow(ren)
    catch {vis_pRm $ren $visobj}
    set actor [vis_pRepos $ren $visobj]
    [$actor GetProperty] SetColor 0 1 0
    [$actor GetProperty] SetOpacity 0.33

  }

  # clear the selection polygon
  $selectedLines Reset
  $selectedPoints Reset

  # clear the cursor if necessary
  $cursorPoints Reset

  foreach renWin {bcRenWinMag bcRenWinPot} {
      global symbolicName
      set widget $symbolicName($renWin).r1
      if {[info commands $widget] != ""} {
           $widget Render
      }
  }
}


# Procedure: bcGUI_hand_remove_last_point
proc bcGUI_hand_remove_last_point { widget x y} {

  set selectedPoints bcGUItmp-handdraw-pts1
  set selectedLines bcGUItmp-handdraw-lines1
  set cursorPoints bcGUItmp-handdraw-crsr-pts1

  set x [expr [winfo pointerx $widget] - [winfo rootx $widget]]
  set y [expr [winfo pointery $widget] - [winfo rooty $widget]]

  $cursorPoints Reset

  set desiredNumPts [expr [$selectedPoints GetNumberOfPoints] - 1]
  if {$desiredNumPts <= 0} {
     $selectedLines Reset
     $selectedPoints  Reset
     foreach renWin {bcRenWinMag bcRenWinPot} {
       global symbolicName
       set widget $symbolicName($renWin).r1
       if {[info commands $widget] != ""} {
           $widget Render
       }
     }
     return
  }

  $selectedLines Reset

  foreach renWin {bcRenWinMag bcRenWinPot} {
    global symbolicName
    set widget $symbolicName($renWin).r1
    if {[info commands $widget] != ""} {
       $widget Render
    }
  }

  $selectedPoints SetNumberOfPoints $desiredNumPts
  $selectedPoints Squeeze

  if {$desiredNumPts > 1} {

    # not sure how to remove just the last cell, lets rebuild from scratch
    for {set i 0} {$i < [expr $desiredNumPts - 1]} {incr i} {
      puts "$i: [expr 2*$i] [expr 2*$i+1]"
      $selectedLines InsertNextCell 2
      $selectedLines InsertCellPoint $i
      $selectedLines InsertCellPoint [expr $i+1]
    }
  }

  foreach renWin {bcRenWinMag bcRenWinPot} {
      global symbolicName
      set widget $symbolicName($renWin).r1
      if {[info commands $widget] != ""} {
           $widget Render
      }
  }

  bcGUI_hand_show_cursor $widget $x $y
}


# Procedure: bcGUI_hand_show_cursor
proc bcGUI_hand_show_cursor { widget x y} {


  set selectedPoints bcGUItmp-handdraw-pts1

  set cursorPoints bcGUItmp-handdraw-crsr-pts1

  set x [expr [winfo pointerx $widget] - [winfo rootx $widget]]
  set y [expr [winfo pointery $widget] - [winfo rooty $widget]]

  global bcGUImagWindow
  global bcGUIpotWindow

  global symbolicName
  if {[file rootname $widget] == $symbolicName(bcRenWinMag)} {
    set ren $bcGUImagWindow(ren)
  } else {
    set ren $bcGUIpotWindow(ren)
  }

  global bcGUIhanddrawShowCursorFlag
  set showit $bcGUIhanddrawShowCursorFlag

  if {!$showit} {
    return
  }

  if {[$selectedPoints GetNumberOfPoints] == 0} {return}

  # y is flipped upside down
  set height [lindex [$widget configure -height] 4]
  set y [expr $height - $y]

  set p1 [$selectedPoints GetPoint [expr [$selectedPoints GetNumberOfPoints] - 1]]

  set coord tmp-add_point_cord
  catch {$coord Delete}
  vtkCoordinate $coord
  $coord SetCoordinateSystemToDisplay
  $coord SetValue $x $y

  set worldValue [$coord GetComputedWorldValue $ren]
  $coord Delete

  set p2 [list [lindex $worldValue 0] [lindex $worldValue 1] 0]

  $cursorPoints Reset
  $cursorPoints InsertNextPoint [lindex $p1 0] [lindex $p1 1] [lindex $p1 2]
  $cursorPoints InsertNextPoint [lindex $p2 0] [lindex $p2 1] [lindex $p2 2]

  foreach renWin {bcRenWinMag bcRenWinPot} {
      global symbolicName
      set widget $symbolicName($renWin).r1
      if {[info commands $widget] != ""} {
           $widget Render
      }
  }
}


# Procedure: bcGUI_hand_tag_voxel
proc bcGUI_hand_tag_voxel { widget x y} {

  global bcGUImagWindow
  set ren $bcGUImagWindow(ren)

  set x [expr [winfo pointerx $widget] - [winfo rootx $widget]]
  set y [expr [winfo pointery $widget] - [winfo rooty $widget]]

  # y is flipped upside down
  set height [lindex [$widget configure -height] 4]
  set y [expr $height - $y]

  set coord tmp-add_point_cord
  catch {$coord Delete}
  vtkCoordinate $coord
  $coord SetCoordinateSystemToDisplay
  $coord SetValue $x $y
  set worldValue [$coord GetComputedWorldValue $ren]
  $coord Delete
  puts "x: $x  y: $y  worldValue: $worldValue"

  global bcGUIcurrentFrameNumber
  global gBC

  foreach param $gBC(phase_contrast_params) {
    set [lindex $param 0] [lindex $param 1]
  }

  set i [expr int(floor([lindex $worldValue 0]/[lindex $voxel_dims 0]))]
  set j [expr int(floor([lindex $worldValue 1]/[lindex $voxel_dims 1]))]

  if {$i < $gBC(voi_x0) || $i > $gBC(voi_x1) ||  $j < $gBC(voi_y0) || $j > $gBC(voi_y1)} {
      puts "$i $j out of range!"
      return
   }

  set pixel [expr ($i - $gBC(voi_x0)) + ($j - $gBC(voi_y0))*($gBC(voi_x1)-$gBC(voi_x0)+1)]

  # can only tag a pixel once
  global gTaggedPixels
  if {[info exists gTaggedPixels($pixel)] == 1} {
    return
  }

  set magslice /gBC/pcdata/mag/$bcGUIcurrentFrameNumber

  set gTaggedPixels($pixel) 1

  # vis the tagged pixel
  set box /tmp/bcGUI/taggedPixels/pixel/$pixel
  set boxpd /tmp/bcGUI/taggedPixels/pixel/$pixel/pd
  catch {repos_delete -obj $box}
  catch {repos_delete -obj $boxpd}
  solid_box3d -result $box -ctr [[repos_exportToVtk -src $magslice] GetPoint $pixel] -dims [list [expr [lindex $voxel_dims 0]]  [expr [lindex $voxel_dims 1]] [expr [lindex $voxel_dims 0]]]
  $box GetPolyData -result $boxpd
  repos_setLabel -obj $boxpd -key opacity -value 0.25
  repos_setLabel -obj $boxpd -key color -value yellow

  global bcGUImagWindow
  #global bcGUIpotWindow
  generalView $bcGUImagWindow(ren) $boxpd
  #generalView $bcGUIpotWindow(ren) $boxpd
  [$bcGUImagWindow(ren) GetRenderWindow] Render
  #[$bcGUIpotWindow(ren) GetRenderWindow] Render
}


# Procedure: bcGUI_hand_toggle_show_cursor
proc bcGUI_hand_toggle_show_cursor { widget x y} {

  set cursorPoints bcGUItmp-handdraw-crsr-pts1
  global bcGUIhanddrawShowCursorFlag
  set showit $bcGUIhanddrawShowCursorFlag
  set bcGUIhanddrawShowCursorFlag [expr !$showit]
  $cursorPoints Reset
  foreach renWin {bcRenWinMag bcRenWinPot} {
      global symbolicName
      set widget $symbolicName($renWin).r1
      if {[info commands $widget] != ""} {
           $widget Render
      }
  }
}


# Procedure: bcGUI_hand_untag_voxel
proc bcGUI_hand_untag_voxel { widget x y} {

  global bcGUImagWindow
  set ren $bcGUImagWindow(ren)

  set x [expr [winfo pointerx $widget] - [winfo rootx $widget]]
  set y [expr [winfo pointery $widget] - [winfo rooty $widget]]

  # y is flipped upside down
  set height [lindex [$widget configure -height] 4]
  set y [expr $height - $y]

  set coord tmp-add_point_cord
  catch {$coord Delete}
  vtkCoordinate $coord
  $coord SetCoordinateSystemToDisplay
  $coord SetValue $x $y
  set worldValue [$coord GetComputedWorldValue $ren]
  $coord Delete
  puts "x: $x  y: $y  worldValue: $worldValue"

  global bcGUIcurrentFrameNumber
  global gBC

  foreach param $gBC(phase_contrast_params) {
    set [lindex $param 0] [lindex $param 1]
  }

  set i [expr int(floor([lindex $worldValue 0]/[lindex $voxel_dims 0]))]
  set j [expr int(floor([lindex $worldValue 1]/[lindex $voxel_dims 1]))]

  if {$i < $gBC(voi_x0) || $i > $gBC(voi_x1) ||  $j < $gBC(voi_y0) || $j > $gBC(voi_y1)} {
      puts "$i $j out of range!"
      return
   }

  set pixel [expr ($i - $gBC(voi_x0)) + ($j - $gBC(voi_y0))*($gBC(voi_x1)-$gBC(voi_x0)+1)]

  # make sure pixel has already been tagged
  global gTaggedPixels
  if {[info exists gTaggedPixels($pixel)] == 0} {
    return
  }

  set magslice /gBC/pcdata/mag/$bcGUIcurrentFrameNumber

  unset gTaggedPixels($pixel)

  # remove the pixel from the display
  set boxpd /tmp/bcGUI/taggedPixels/pixel/$pixel/pd
  global bcGUImagWindow
  #global bcGUIpotWindow
  vis_pRm $bcGUImagWindow(ren) $boxpd
  #vis_pRm $bcGUIpotWindow(ren) $boxpd
  [$bcGUImagWindow(ren) GetRenderWindow] Render
  #[$bcGUIpotWindow(ren) GetRenderWindow] Render
}


# Procedure: bcGUI_hand_xyplot_velocity
proc bcGUI_hand_xyplot_velocity { widget x y plotdir} {

  set vVectors tmp-bcGUI_hand_xyplot-vectors
  set vScalars tmp-bcGUI_hand_xyplot-scalars
  set vPoints tmp-bcGUI_hand_xyplot-points
  set vPoly tmp-bcGUI_hand_xyplot-poly
  set ds2do tmp-bcGUI_hand_xyplot-ds2d0
  set xyplot3 tmp-bcGUI_hand_xyplot-myxyplot

  set x [expr [winfo pointerx $widget] - [winfo rootx $widget]]
  set y [expr [winfo pointery $widget] - [winfo rooty $widget]]

  global bcGUIcurrentFrameNumber
  global bcGUIhanddrawXpressed
  global gBC

  global bcGUImagWindow
  global bcGUIpotWindow

  global symbolicName
  if {[file rootname $widget] == $symbolicName(bcRenWinMag)} {
    set ren $bcGUImagWindow(ren)
  } else {
    set ren $bcGUIpotWindow(ren)
  }

  if {$bcGUIhanddrawXpressed == 1} {
    return
  }
  set bcGUIhanddrawXpressed 1

  # y is flipped upside down
  set height [lindex [$widget configure -height] 4]
  set y [expr $height - $y]

  set coord tmp-add_point_cord
  catch {$coord Delete}
  vtkCoordinate $coord
  $coord SetCoordinateSystemToDisplay
  $coord SetValue $x $y
  set worldValue [$coord GetComputedWorldValue $ren]
  $coord Delete
  #puts "x: $x  y: $y  worldValue: $worldValue"

  foreach param $gBC(phase_contrast_params) {
    set [lindex $param 0] [lindex $param 1]
  }

  set i [expr int(floor([lindex $worldValue 0]/[lindex $voxel_dims 0]))]
  set j [expr int(floor([lindex $worldValue 1]/[lindex $voxel_dims 1]))]

  if {$i < $gBC(voi_x0) || $i > $gBC(voi_x1) ||  $j < $gBC(voi_y0) || $j > $gBC(voi_y1)} {
      puts "$i $j out of range!"
      return
   }

  # only true when entire image is used!
  #set pixel [expr $i+$j*$gBC(ext_i)]
  #set pixelI [expr $pixel%$gBC(ext_i)]
  #set pixelJ [expr $pixel/$gBC(ext_i)]
  #puts "i: $i  j: $j pixelI: $pixelI  pixelJ:  $pixelJ"

  set pixel [expr ($i - $gBC(voi_x0)) + ($j - $gBC(voi_y0))*($gBC(voi_x1)-$gBC(voi_x0)+1)]

  set magslice /gBC/pcdata/mag/$bcGUIcurrentFrameNumber
  set magvalue [[[[repos_exportToVtk -src $magslice] GetPointData] GetScalars] GetTuple1 $pixel]

  catch {$vVectors Delete}
  catch {$vScalars Delete}
  catch {$vPoints Delete}
  catch {$vPoly Delete}

  vtkFloatArray $vVectors; $vVectors SetNumberOfComponents 3
  vtkFloatArray $vScalars
  vtkPoints $vPoints
  vtkPolyData $vPoly

  $vVectors Allocate 100 100
  $vScalars Allocate 100 100
  $vPoints Allocate 100 100
  $vPoly Allocate 100 100

  set totalv 0

  for {set frame 1} {$frame <= $gBC(numSlices)} {incr frame} {
    # slightly different output depending on 1-comp or 3-comp
    # velocity data
    set magslice /gBC/pcdata/mag/$frame
    set magvalue [[[[repos_exportToVtk -src $magslice] GetPointData] GetScalars] GetTuple1 $pixel]
    $vScalars InsertNextTuple1 $magvalue
    if {$gBC(numVelComp) == 1} {
      # only for thruplane
      set velslice /gBC/pcdata/vel/$frame
      set velvalueX 0
      set velvalueY 0
      set velvalueZ [[[[repos_exportToVtk -src $velslice] GetPointData] GetScalars] GetTuple1 $pixel]
      $vPoints InsertNextPoint $frame $velvalueZ 0
      set totalv [expr double($totalv) + $velvalueZ]
      puts "frame: [expr $frame - 1]  mag: $magvalue  velZ: $velvalueZ"
    } elseif {$gBC(numVelComp) == 3} {
      set velsliceX /gBC/pcdata/vel/$frame/r
      set velsliceY /gBC/pcdata/vel/$frame/a
      set velsliceZ /gBC/pcdata/vel/$frame/s
      set velvalueX [[[[repos_exportToVtk -src $velsliceX] GetPointData] GetScalars] GetTuple1 $pixel]
      set velvalueY [[[[repos_exportToVtk -src $velsliceY] GetPointData] GetScalars] GetTuple1 $pixel]
      set velvalueZ [[[[repos_exportToVtk -src $velsliceZ] GetPointData] GetScalars] GetTuple1 $pixel]
      switch $plotdir {
        0 {
          $vPoints InsertNextPoint $frame $velvalueX 0
          set totalv [expr double($totalv) + $velvalueX]
    }
        1 {
          $vPoints InsertNextPoint $frame $velvalueY 0
          set totalv [expr double($totalv) + $velvalueY]
    }
        2 {
          $vPoints InsertNextPoint $frame $velvalueZ 0
          set totalv [expr double($totalv) + $velvalueZ]
    }
        default {
          return -code error "ERROR:  Illegal direction $plotdir"
  }
      }
      puts "frame: [expr $frame -1]  mag: $magvalue  vel: <$velvalueX,$velvalueY,$velvalueZ>"
    } else {
      return -code error "ERROR:  Illegal number of velocity components"
    }
    $vVectors InsertNextTuple3 $velvalueX $velvalueY $velvalueZ
  }

  set avgv [expr double($totalv)/double($gBC(numSlices))]

  # attach the points and point data to the polydata object
  $vPoly SetPoints $vPoints
  [$vPoly GetPointData] SetScalars $vScalars
  [$vPoly GetPointData] SetVectors $vVectors

  # tranform into data object.  I don't really understand
  # this transformation, but it appears to be required
  # (since vtk core dumps if you just AddDataObject the
  # vtkPolyData directly).
  catch {$ds2do Delete}
  vtkDataSetToDataObjectFilter $ds2do
  $ds2do SetInputDataObject $vPoly
  $ds2do GeometryOn
  $ds2do TopologyOff
  $ds2do PointDataOff
  $ds2do CellDataOff
  $ds2do FieldDataOff
  $ds2do Update

  # create the xy plot 2D actor
  catch {$xyplot3 Delete}
  vtkXYPlotActor $xyplot3
    $xyplot3 AddDataObjectInput [$ds2do GetOutput]
    #$xyplot3 SetXRange 0 20
    #$xyplot3 SetYRange -200 600
    #$xyplot3 SetPointComponent 0 1
    $xyplot3 SetDataObjectXComponent 0 0
    $xyplot3 SetDataObjectYComponent 0 1
    $xyplot3 SetPlotColor 0 1 0 0
    $xyplot3 SetPlotLabel 0 "Magnitude"
    [$xyplot3 GetPositionCoordinate] SetValue 0.0 0.0 0
    [$xyplot3 GetPosition2Coordinate] SetValue 1.0 0.33 0;#relative to Position
    #$xyplot3 SetXValuesToIndex
    #$xyplot3 SetNumberOfXLabels 6
    $xyplot3 SetTitle "Velocity (without baseline correction) vs. Frame  (Avg: [format %6.3f $avgv])"
    $xyplot3 SetXTitle "Frame"
    $xyplot3 SetYTitle "Velocity"
    $xyplot3 PlotPointsOn
    $xyplot3 PlotLinesOn
    [$xyplot3 GetProperty] SetColor 0 0 1
    [$xyplot3 GetProperty] SetPointSize 3
    #$xyplot3 LegendOn
    #$xyplot3 SetLegendPosition 0.8 0.35
    #$xyplot3 SetLegendPosition2 0.20 0.20
    #$xyplot3 ReverseYAxisOn
    #$xyplot3 SetDataObjectPlotModeToColumns

  # add the actor to the render window
  $ren AddActor2D $xyplot3
  [$ren GetRenderWindow] Render
}


# Procedure: bcGUI_hand_xyplot_velocity_release
proc bcGUI_hand_xyplot_velocity_release { widget x y} {

  set xyplot3 tmp-bcGUI_hand_xyplot-myxyplot

  set x [expr [winfo pointerx $widget] - [winfo rootx $widget]]
  set y [expr [winfo pointery $widget] - [winfo rooty $widget]]

  global bcGUIhanddrawXpressed
  set bcGUIhanddrawXpressed 0

  global bcGUImagWindow
  global bcGUIpotWindow

  global symbolicName
  if {[file rootname $widget] == $symbolicName(bcRenWinMag)} {
    set ren $bcGUImagWindow(ren)
  } else {
    set ren $bcGUIpotWindow(ren)
  }

  $ren RemoveActor2D $xyplot3
  [$ren GetRenderWindow] Render
}


# Procedure: bcGUIaddToGroup
proc bcGUIaddToGroup { type} {

  global bcGUIcurrentFrameNumber
  set frame $bcGUIcurrentFrameNumber
  global bcGUIcurrentGroup
  set group $bcGUIcurrentGroup

  # check that the group exists, if it doesn't offer to
  # create
  if {$group == ""} {
    return -code error "Group name cannot be blank!"
  }

  if {[group_exists $group] == 0} {
    set yesno [tk_messageBox -default yes  -message "Current group ($group) does not exist.  It must exist to be able to add segmentations.  Create it now?"  -title "Current Group Does Not Exist"  -type yesno]
    switch -- $yesno {
       yes {
          group_create $group
       }
       no {
          return -code error "ERROR: group does not exist."
       }
    }
  }

  # need to translate hand/analytic to proper type
  if {$type == "analytic"} {
    global bcGUIanalContourType
    set type $bcGUIanalContourType
  } elseif {$type == "hand"} {
    global bcGUIhandContourType
    set type $bcGUIhandContourType
  }

  set groupItem "/group/$group/$frame"

  if {$type == "levelset"} {
    set seg /gBC/pcdata/mag/$frame/ls
  } elseif {$type == "threshold"} {
    set seg /gBC/pcdata/mag/$frame/thr/selected
  } else {
    return -code error "Invalid segmentation type ($type)."
  }

  if {[repos_exists -obj $seg] == 0} {
    puts "WARNING:  No oriented segmentation found!"
    return
    #return -code error "ERROR:  No oriented segmentation found!"
  }
  if {[group_idtaken $group $frame] == 1} {
     puts "WARNING:  A slice existed at $frame and is being replaced with current selection!"
     group_remove $group $groupItem
  }
  catch {repos_delete -obj $groupItem}
  geom_copy -src $seg -dst $groupItem
  foreach key [repos_getLabelKeys -obj $seg] {
    set value [repos_getLabel -obj $seg -key $key]
    repos_setLabel -obj $groupItem -key $key -value $value
  }
  group_add $group $groupItem $frame
}


# Procedure: bcGUIaddToGroupBatch
proc bcGUIaddToGroupBatch { type} {

  global bcGUIbatchEntry
  set entry $bcGUIbatchEntry

  # find min/max frame number
  global gBC
  set minFrame 1
  set maxFrame $gBC(numSlices)
  set allframes [string_parse $bcGUIbatchEntry $minFrame $maxFrame]
  if {[llength $allframes] == 0} {
       puts "ERROR:  No frames specified."
       return -code error "ERROR:  No frames specified."
  }
  foreach frame $allframes {
      puts "frame: $frame"
      global bcGUIcurrentFrameNumber
      set bcGUIcurrentFrameNumber $frame
      bcGUIaddToGroup $type
  }
}


# Procedure: bcGUIaddToSegBatch
proc bcGUIaddToSegBatch {} {

  global bcGUIcurrentFrameNumber
  set frame $bcGUIcurrentFrameNumber

  global bcGUIbatchEntry
  set chosen [string trim $bcGUIbatchEntry]
  if {$chosen == ""} {
     set bcGUIbatchEntry $posId
  } else {
     set bcGUIbatchEntry "$chosen,$frame"
  }
  return
}


# Procedure: bcGUIbaselineCalcEqn
proc bcGUIbaselineCalcEqn { order} {

  global gBC
  global bcGUIbaselineEqnRadioButton
  set comp $bcGUIbaselineEqnRadioButton

  # create a list of the velocity images
  set image_list {}
  for {set frame 1} {$frame <= $gBC(numSlices)} {incr frame} {
    # slightly different output depending on 1-comp or 3-comp
    # velocity data
    if {$gBC(numVelComp) == 1} {
      # only for thruplane
      set velslice /gBC/pcdata/vel/$frame
    } elseif {$gBC(numVelComp) == 3} {
      switch $comp {
        x {
           set velslice /gBC/pcdata/vel/$frame/r
    }
        y {
           set velslice /gBC/pcdata/vel/$frame/a
    }
        z {
           set velslice /gBC/pcdata/vel/$frame/s
    }
        default {
           return -code error "ERROR:  Improper value of EqnRadioButton!"
  }
      }
    } else {
      return -code error "ERROR:  Illegal number of velocity components"
    }
    lappend image_list $velslice
  }

  # we only use regions if the user has specified it for this direction
  global bcGUIbaselineRegions
  set region_list {}

  foreach i $bcGUIbaselineRegions {
      set obj [lindex $i 0]
      set id [file tail $obj]
      set uses [lindex $i 1]
      if {[regexp $comp $uses] == 1} {
         lappend region_list /bcGUI/region/$id
      }
  }

  # tcl function call
  #set fit [img_calcBaselineCorrectionEqn $region_list $image_list $order]
  set fit [img_calcCorrectionEqn -regions $region_list  -images $image_list -order $order]

  global gBC
  switch $comp {
    x {
      set gBC(baselineCorrectionX) $fit
    }
    y {
      set gBC(baselineCorrectionY) $fit
    }
    z {
      set gBC(baselineCorrectionZ) $fit
    }
  }
}


# Procedure: bcGUIbaselineCloseWindow
proc bcGUIbaselineCloseWindow {} {
  global bcGUIbaselineAddPolys
  set bcGUIbaselineAddPolys 0
}


# Procedure: bcGUIbaselineDeleteRegion
proc bcGUIbaselineDeleteRegion {} {

  global symbolicName
  set lbox $symbolicName(bcGUIbaselineRegionListbox)
  set select [$lbox curselection]

  # check for a selection
  if {$select == ""} {
    return
  }

  set line [$lbox get $select]
  set name [string trim [lindex $line 0]]
  if {[scan $name "region_%i" id] != 1} {
    return -code error "ERROR finding region id."
  }

  set nextRegion /bcGUI/region/$id
  set visobj /bcGUI/region/vis/$id

  # remove the polygon from display
  global bcGUImagWindow
  set ren $bcGUImagWindow(ren)
  catch {vis_pRm $ren $visobj}

  global bcGUIbaselineRegions
  set keepem {}

  foreach i $bcGUIbaselineRegions {
      set obj [lindex $i 0]
      set objid [file tail $obj]
      if {$objid != $id} {
       lappend keepem $i
      }
  }
  set bcGUIbaselineRegions $keepem

  $lbox delete $select $select

  # update display
  [$ren GetRenderWindow] Render
}


# Procedure: bcGUIbaselineLoadRegions
proc bcGUIbaselineLoadRegions {} {
  global gFilenames
  set mydir $gFilenames(baseline_regions_dir)
  if {[file isdirectory $mydir] == 0} {
     return -code error "ERROR:  $mydir does not exist or is not a directory."
  }

  # read in the regions
  source [file join $mydir baseline_regions.tcl]

  # redisplay
  bcGUIbaselineRedisplayAllRegions
}


# Procedure: bcGUIbaselineRedisplayAllRegions
proc bcGUIbaselineRedisplayAllRegions {} {

  global symbolicName
  global bcGUIbaselineRegions
  global bcGUImagWindow
  set lbox $symbolicName(bcGUIbaselineRegionListbox)
  set ren $bcGUImagWindow(ren)
  set regions $bcGUIbaselineRegions

  $lbox delete 0 end

  foreach region $regions {
    set id [file tail [lindex $region 0]]

    set nextRegion /bcGUI/region/$id
    set visobj /bcGUI/region/vis/$id
    catch {repos_delete -obj $visobj}

    geom_triangulate $nextRegion $visobj
    catch {vis_pRm $ren $visobj}
    set actor [vis_pRepos $ren $visobj]
    [$actor GetProperty] SetColor 0 1 0
    [$actor GetProperty] SetOpacity 0.33

    $lbox insert end [list "region_$id" [lindex $region 1]]
  }

  # update display
  [$ren GetRenderWindow] Render
}


# Procedure: bcGUIbaselineSaveRegions
proc bcGUIbaselineSaveRegions {} {
  global gFilenames
  set mydir $gFilenames(baseline_regions_dir)
  if {[file exists $mydir] == 0} {
     file mkdir $mydir
  } elseif {[file isdirectory $mydir] == 0} {
     return -code error "ERROR:  $mydir is not a directory."
  }
  global bcGUIbaselineRegions
  foreach region $bcGUIbaselineRegions {
    set id [file tail [lindex $region 0]]
    repos_writeVtkPolyData -obj [lindex $region 0] -type ascii -file [file join $mydir region_$id.vtk]
  }

  # create a file to track parameters and load back in regions
  set fp [open [file join $mydir baseline_regions.tcl] "w"]
  puts $fp "# geodesic_baseline_regions 1.0"
  puts $fp "global bcGUIbaselineRegions"
  puts $fp "set bcGUIbaselineRegions \{\}"
  puts $fp "repos_deleteList \[repos_subList /bcGUI/region/*\]"
  foreach region $bcGUIbaselineRegions {
      set id [file tail [lindex $region 0]]
      puts $fp "lappend bcGUIbaselineRegions \{$region\}"
      puts $fp "repos_readVtkPolyData -file [file join $mydir region_$id.vtk]  -obj [lindex $region 0]"
  }

  # save the baseline equations
  global gBC
  puts $fp "global gBC"
  puts $fp "set gBC(baselineCorrectionX) \{$gBC(baselineCorrectionX)\}"
  puts $fp "set gBC(baselineCorrectionY) \{$gBC(baselineCorrectionY)\}"
  puts $fp "set gBC(baselineCorrectionZ) \{$gBC(baselineCorrectionZ)\}"

  close $fp
}


# Procedure: bcGUIbaselineSetup
proc bcGUIbaselineSetup {} {

  global bcGUIparallelProjectionFlag
  set bcGUIparallelProjectionFlag 1
  bcGUIparallelProjection

  global bcGUIbaselineAddPolys
  set bcGUIbaselineAddPolys 1

  global bcGUIbaselineRegions
  if {[llength $bcGUIbaselineRegions] != 0} {
      bcGUIbaselineRedisplayAllRegions
  }
}


# Procedure: bcGUIbaselineUseFor
proc bcGUIbaselineUseFor { direction} {

  global symbolicName
  set lbox $symbolicName(bcGUIbaselineRegionListbox)
  set select [$lbox curselection]

  # check for a selection
  if {$select == ""} {
    return
  }

  set line [$lbox get $select]
  set name [string trim [lindex $line 0]]
  if {[scan $name "region_%i" id] != 1} {
    return -code error "ERROR finding region id."
  }

  global bcGUIbaselineRegions

  set index 0
  foreach i $bcGUIbaselineRegions {
      set obj [lindex $i 0]
      set uses [lindex $i 1]
      set objid [file tail $obj]
      if {$objid == $id} {

       # here we find the current settings and toggle
       # the desired flag
       set x 0
       set y 0
       set z 0
       foreach j $uses {
          set $j 1
       }
       set $direction [eval expr !\$$direction]
       set newuses {}
       if {$x == 1} {
         lappend newuses x
       }
       if {$y == 1} {
         lappend newuses y
       }
       if {$z == 1} {
         lappend newuses z
       }

       set newstr [list "region_$id" $newuses]
       set region [list /bcGUI/region/$id $newuses]

       set bcGUIbaselineRegions [lreplace $bcGUIbaselineRegions  $index $index $region]

       $lbox selection clear $index
       $lbox delete $index

       $lbox insert $index $newstr
       puts "$lbox insert $index $newstr"
       puts "[$lbox size]"
       $lbox selection set $index

       puts "newuses: $newuses  x: $x y: $y z: $z"
       return
      }
      incr index
  }
  puts "variable: $bcGUIbaselineRegions"
  puts "listbox: [$lbox size]"
  return -code error "Could not find region."
}


# Procedure: bcGUIchangeFrame
proc bcGUIchangeFrame { value} {

  # note:  value is ignored

  global bcGUImagWindow
  global bcGUIpotWindow

  global bcGUIcurrentFrameNumber
  set value $bcGUIcurrentFrameNumber

  foreach loop {bcGUImagWindow bcGUIpotWindow} {

    # create some local variables containing the options
    # contained in the loop array
    foreach i [array names $loop] {
      set $i [subst $[subst $loop]($i)]
    }

    if {$showWindow == "0"} {
       continue
    }

    # this is sloppy, but easy
    catch {crd_ren $ren}
    catch {vis_warpRm $ren}
    catch {vis_imgRm $ren}
    set displayedImgObj {}
    if {$loop == "bcGUImagWindow"} {
      if {$bcGUImagWindow(showMagImg) == 1} {
        generalView $ren /gBC/pcdata/mag/$value
        set displayedImgObj /gBC/pcdata/mag/$value
      } elseif {$bcGUImagWindow(showVelImg) != 0} {
        global gBC
  if {$gBC(numVelComp) == 1} {
          generalView $ren /gBC/pcdata/phase/$value
          set displayedImgObj /gBC/pcdata/phase/$value
  } elseif {$gBC(numVelComp) == 3} {
          generalView $ren /gBC/pcdata/phase/$value/$bcGUImagWindow(showVelImg)
          set displayedImgObj /gBC/pcdata/phase/$value/$bcGUImagWindow(showVelImg)
  }
      }
    } else {
      generalView $ren /gBC/pcdata/pot/$value
      set displayedImgObj /gBC/pcdata/pot/$value
    }

    # allow the user to hard code the displayed image scalar range
    if {$displayedImgObj != ""} {
      set usegray {}
      set grayrange [[repos_exportToVtk -src $displayedImgObj] GetScalarRange]
      set lookupGrayscale vis_img_g8bitGrayscaleLUT_$ren
      if {[string trim $img_min_val] != ""} {
         set usegray $img_min_val
      } else {
         set usegray [lindex $grayrange 0]
      }
      if {[string trim $img_max_val] != ""} {
         lappend usegray $img_max_val
      } else {
         lappend usegray [lindex $grayrange 1]
      }
      #puts "grays: $usegray"
      $lookupGrayscale SetTableRange [lindex $usegray 0] [lindex $usegray 1]
      [$ren GetRenderWindow] Render
    }

    # display threshold
    if {$showThr == "1"} {
      if {[repos_exists -obj /gBC/pcdata/mag/$value/thr] == 1} {
        generalView $ren /gBC/pcdata/mag/$value/thr
      }
    }

    # display selected threshold
    if {$showSelectedThr == "1"} {
      if {[repos_exists -obj /gBC/pcdata/mag/$value/thr/selected] == 1} {
        set throbj /gBC/pcdata/mag/$value/thr/selected
        generalView $ren $throbj
        # make the line more visible
        set actor [vis_pGetActor $ren $throbj]
        [$actor GetProperty] SetLineWidth 5
        [$ren GetRenderWindow] Render
      }
    }

    # display center sphere
    if {$showInitSphere == "1"} {
      set sphere /tmp/bcGUI/sphere
      catch {repos_delete -obj $sphere}
      global bcGUIradius
      global bcGUIctrX
      global bcGUIctrY
      global gBC
      # calculate center from voxel dims
      set imageInfo $gBC(phase_contrast_params)
      foreach i $imageInfo {
        set [lindex $i 0] [lindex $i 1]
      }
      set center [list [expr double([lindex $voxel_dims 0])*double($bcGUIctrX)]  [expr double([lindex $voxel_dims 1])*double($bcGUIctrY)] 0]
      solid_sphere -r $bcGUIradius -ctr $center -result $sphere
      repos_setLabel -obj $sphere -key color -value green
      repos_setLabel -obj $sphere -key opacity -value 0.33
      generalView $ren $sphere
    }

    # set up warp displays
    if {$showWarp == 1 || $showMeshWarp == 1} {
      vis_warpSetup $ren
    }

    # display warp
    if {$showWarp == 1} {
      set warpVel /gBC/pcdata/warpVel/$value
      if {[repos_exists -obj $warpVel] == 1} {
        set warpactor [vis_warpShowRepos $ren $warpVel]
        vis_warpScaleFactor $ren $warpFactor
        vis_warpSetOpacity $ren 1.0
        #vis_warpSetColor $ren 0 1 0
        vis_warpColorize $ren
        set warprangeorg [[$warpactor GetMapper] GetScalarRange]
  if {$warp_min_val == ""} {
          set warprange [lindex $warprangeorg 0]
  } else {
          set warprange $warp_min_val
  }
        if {$warp_max_val == ""} {
          lappend warprange [lindex $warprangeorg 1]
  } else {
          lappend warprange $warp_max_val
  }
  [$warpactor GetMapper] SetScalarRange [lindex $warprange 0] [lindex $warprange 1]
        [$ren GetRenderWindow] Render
      }
    }

    # display warp
    if {$showRawVelWarp == 1} {
      global gBC
      if {$gBC(numVelComp) == 1} {
          set warpVel /gBC/pcdata/phase/$value
      } elseif {$gBC(numVelComp) == 3} {
          set warpVel /gBC/pcdata/phase/$value/$bcGUImagWindow(showVelImg)
      }
      if {[repos_exists -obj $warpVel] == 1} {
        set warpactor [vis_warpShowRepos $ren $warpVel]
        vis_warpScaleFactor $ren $warpFactor
        vis_warpSetOpacity $ren 1.0
        vis_warpColorize $ren
        set warprangeorg [[$warpactor GetMapper] GetScalarRange]
  if {$warp_min_val == ""} {
          set warprange [lindex $warprangeorg 0]
  } else {
          set warprange $warp_min_val
  }
        if {$warp_max_val == ""} {
          lappend warprange [lindex $warprangeorg 1]
  } else {
          lappend warprange $warp_max_val
  }
  [$warpactor GetMapper] SetScalarRange [lindex $warprange 0] [lindex $warprange 1]
        [$ren GetRenderWindow] Render
      }
    }

    # display mesh warp
    if {$showMeshWarp == 1} {
      set inletMeshFace /gBC/pcdata/inletMeshFace/$value
      if {[repos_exists -obj $inletMeshFace] == 1} {
        set warpactor [vis_warpShowRepos $ren $inletMeshFace]
        vis_warpScaleFactor $ren $warpFactor
        vis_warpSetOpacity $ren 1.0
        #vis_warpSetColor $ren 0 1 0
        vis_warpColorize $ren
        vis_warpTranslate $ren $inletMeshFace $meshOffset
        set warprangeorg [[$warpactor GetMapper] GetScalarRange]
  if {$warp_min_val == ""} {
          set warprange [lindex $warprangeorg 0]
  } else {
          set warprange $warp_min_val
  }
        if {$warp_max_val == ""} {
          lappend warprange [lindex $warprangeorg 1]
  } else {
          lappend warprange $warp_max_val
  }
  [$warpactor GetMapper] SetScalarRange [lindex $warprange 0] [lindex $warprange 1]
        [$ren GetRenderWindow] Render
      }
    }

    # display level set result
    if {$showLS == "1"} {
      set lsres /gBC/pcdata/mag/$value/ls
      if {[repos_exists -obj $lsres] == 1} {
        generalView $ren $lsres
        # make the line more visible
        set actor [vis_pGetActor $ren $lsres]
        [$actor GetProperty] SetLineWidth 5
        [$ren GetRenderWindow] Render
      }
    }

    # display levelset evolution
    global gOptions
    set lset_rens $gOptions(lsetDisplayWindows)
    set loc [lsearch $lset_rens $renderWindow]
    if {$showIntermediateLS ==  1} {
       if {$loc < 0} {
         lappend gOptions(lsetDisplayWindows) $renderWindow
       }
    } else {
   if {$loc >= 0} {
           set gOptions(lsetDisplayWindows) [lreplace $lset_rens $loc $loc]
   }
     }

     # display tagged pixels for velocity calculation
     if {$showTaggedPixels == 1} {
        global gTaggedPixels
  if {[info exists gTaggedPixels] == 1} {
          global gBC
          foreach param $gBC(phase_contrast_params) {
            set [lindex $param 0] [lindex $param 1]
          }
          # vis the tagged pixel
          foreach pixel [lsort -dictionary [array names gTaggedPixels]] {
            set magslice /gBC/pcdata/mag/$value
            set pt [[repos_exportToVtk -src $magslice] GetPoint $pixel]
            set box /tmp/bcGUI/taggedPixels/pixel/$pixel
            set boxpd /tmp/bcGUI/taggedPixels/pixel/$pixel/pd
            catch {repos_delete -obj $box}
            catch {repos_delete -obj $boxpd}
            solid_box3d -result $box -ctr [[repos_exportToVtk -src $magslice] GetPoint $pixel] -dims [list [expr [lindex $voxel_dims 0]]  [expr [lindex $voxel_dims 1]] [expr [lindex $voxel_dims 0]]]
            $box GetPolyData -result $boxpd
            repos_setLabel -obj $boxpd -key opacity -value 0.25
            repos_setLabel -obj $boxpd -key color -value yellow
            generalView $ren $boxpd
    }
        }
      }

  }

  # update gRen3d display
  bcGUIupdate3dWindow

  # display baseline regions
  global bcGUIbaselineAddPolys
  if {$bcGUIbaselineAddPolys != 0} {
     bcGUIbaselineRedisplayAllRegions
  }
}


# Procedure: bcGUIclearAllSegs
proc bcGUIclearAllSegs {} {

  # find min/max frame number
  global symbolicName
  global gBC
  set minFrame 1
  set maxFrame $gBC(numSlices)

  for {set i $minFrame} {$i <= $maxFrame} {incr i} {
    catch {repos_delete -obj /gBC/pcdata/mag/$i/ls}
    catch {repos_delete -obj /gBC/pcdata/mag/$i/thr}
    catch {repos_delete -obj /gBC/pcdata/mag/$i/thr/selected}
  }
}


# Procedure: bcGUIcopySeg
proc bcGUIcopySeg { type} {

  set copyobj /bcGUI/copied

  global bcGUIcurrentFrameNumber
  set frame $bcGUIcurrentFrameNumber

  if {$type == "levelset"} {
    set seg /gBC/pcdata/mag/$frame/ls
  } elseif {$type == "threshold"} {
    set seg /gBC/pcdata/mag/$frame/thr/selected
  } else {
    return -code error "Invalid segmentation type ($type)."
  }

  if {[repos_exists -obj $seg] == 0} {
    puts "WARNING:  No segmentation found!"
    return -code error "ERROR:  No oriented segmentation found!"
  }

  catch {repos_delete -obj $copyobj}
  geom_copy -src $seg -dst $copyobj
  foreach key [repos_getLabelKeys -obj $seg] {
    set value [repos_getLabel -obj $seg -key $key]
    repos_setLabel -obj $copyobj -key $key -value $value
  }
}


# Procedure: bcGUIcreateNewGroup
proc bcGUIcreateNewGroup {} {
  global bcGUIcurrentGroup
  set group $bcGUIcurrentGroup
  if {[group_exists $group] == 1} {
    puts "ERROR: Group $group already exists."
    return -code error "ERROR: Group $group already exists."
  }
  if {[group_create $group] != 1} {
    puts "ERROR: Could not create group $group."
    return -code error "ERROR: Could not create group $group."
  }
  return SV_OK
}


# Procedure: bcGUIdeleteGroup
proc bcGUIdeleteGroup {} {
  global bcGUIcurrentGroup
  set group $bcGUIcurrentGroup
  if {[group_exists $group] == 0} {
    puts "ERROR: Group $group does not exist."
    return -code error "ERROR: Group $group does not exist."
  }
  if {[group_delete $group] != 1} {
    puts "ERROR: Could not delete group $group."
    return -code error "ERROR: Could not delete group $group."
  }
  return SV_OK
}


# Procedure: bcGUIflowBatch
proc bcGUIflowBatch {} {
  global bcGUIcurrentFrameNumber
  global bcGUIctrlCurrentFrameChoice
  global bcGUIbatchEntry

  set entry $bcGUIbatchEntry
  set isFile 0
  if {[file exists $entry] == 1} {
    set isFile 1
  }

  # find min/max frame number
  global symbolicName
  global gBC
  set minFrame 1
  set maxFrame $gBC(numSlices)

  global bcGUIctrlBatchChoice

  set choice $bcGUIctrlBatchChoice

  if {$choice == "threshold"} {
    # check if entry widget contains filename first.
    # for now, assume it is a vcalc threshold file.
    if {$isFile == 1} {
      set allframes {}
      set fp [open $entry "r"]
      while {[gets $fp line] >= 0} {
         scan $line "Frame %i, threshold = %i" frame value
         set threshValues($frame) $value
         lappend allframes $frame
      }
      close $fp
    } else {
      global gBC
      set allframes [string_parse $bcGUIbatchEntry 1 $gBC(numSlices)]
    }
    if {[llength $allframes] == 0} {
       puts "ERROR:  No frames specified."
       return -code error "ERROR:  No frames specified."
    }
    foreach frame $allframes {
      set bcGUIcurrentFrameNumber $frame
      global bcGUIctrlCurrentFrameChoice
      set bcGUIctrlCurrentFrameChoice "Threshold"
      bcGUIflowCur
    }
  } else {
    global gBC
    set allframes [string_parse $bcGUIbatchEntry 1 $gBC(numSlices)]
    if {[llength $allframes] == 0} {
       puts "ERROR:  No frames specified."
       return -code error "ERROR:  No frames specified."
    }
    foreach frame $allframes {
      set bcGUIcurrentFrameNumber $frame
      global bcGUIctrlCurrentFrameChoice
      set bcGUIctrlCurrentFrameChoice "Level Set"
      bcGUIflowCur
    }
  }
}


# Procedure: bcGUIflowBatchByPixels
proc bcGUIflowBatchByPixels {} {
  global bcGUIcurrentFrameNumber
  global bcGUIbatchEntry

  set entry $bcGUIbatchEntry

  # find min/max frame number
  global gBC
  set minFrame 1
  set maxFrame $gBC(numSlices)

  set allframes [string_parse $bcGUIbatchEntry $minFrame $maxFrame]

   if {[llength $allframes] == 0} {
       puts "ERROR:  No frames specified."
       return -code error "ERROR:  No frames specified."
   }

   foreach frame $allframes {
      set bcGUIcurrentFrameNumber $frame
      bcGUIflowCurByPixels
   }
}


# Procedure: bcGUIflowCur
proc bcGUIflowCur {} {

  global bcGUIcurrentFrameNumber
  global gFlow
  set frame $bcGUIcurrentFrameNumber
  global bcGUIcurrentGroup
  set group $bcGUIcurrentGroup
  global bcGUIzeroBoundVelFlag

  if {[group_idtaken $group $frame] != 1} {
    return -code error "ERROR:  id $frame doesn't exist in $group."
  }

  set object "/group/$group/$frame"

  #
  #
  # old code
  global gOptions
  if {$gOptions(calc_flow_with_constant_pixels) == 1} {
  #
  #
  #

  # only calculate flow params if object exists
  if {[repos_exists -obj $object] == 1} {
    global gBC
    if {$gBC(numVelComp) == 1} {
      set velocityData /gBC/pcdata/vel/$frame
      set warpVel /gBC/pcdata/warpVel/$frame
      catch {repos_delete -obj $warpVel}
      puts "Creating warp velocity object for $frame."
      img_blankVelocities $velocityData $object $warpVel flowRate AvgVel MinVel MaxVel totalArea
      #puts "approximate flow rate: $flowRate"
      set gFlow($frame) [list $flowRate $AvgVel $MinVel $MaxVel $totalArea]
      puts [format "%15s%15s%15s%15s%15s%15s" "Frame" "Flow (ml/min)"  "Avg V" "Min V" "Max V" "area (mm^2)"]
      set flowRate [expr double($flowRate)/1000.0*60.0]
      puts [format "%15i%15.3f%15.3f%15.3f%15.3f%15.3f" $frame $flowRate $AvgVel $MinVel $MaxVel $totalArea]
      bcGUIchangeFrame $frame
    } elseif {$gBC(numVelComp) == 3} {
      puts "Experimental 3-comp velocity flow calc code!"
      set velocityData /gBC/pcdata/vel/$frame/s
      set warpVel /gBC/pcdata/warpVel/$frame
      catch {repos_delete -obj $warpVel}
      puts "Creating warp velocity object for $frame."
      img_blankVelocities $velocityData $object $warpVel flowRate AvgVel MinVel MaxVel totalArea
      #puts "approximate flow rate: $flowRate"
      set gFlow($frame) [list $flowRate $AvgVel $MinVel $MaxVel $totalArea]
      puts [format "%15s%15s%15s%15s%15s%15s" "Frame" "Flow (ml/min)"  "Avg V" "Min V" "Max V" "area (mm^2)"]
      set flowRate [expr double($flowRate)/1000.0*60.0]
      puts [format "%15i%15.3f%15.3f%15.3f%15.3f%15.3f" $frame $flowRate $AvgVel $MinVel $MaxVel $totalArea]
      bcGUIchangeFrame $frame
    } else {
     return -code error "Illegal number of velocity components: $gBC(numVelComp)"
    }
  }
    return
  }

  #
  #
  #

  #
  #
  #
  # new code
  #
  #
  #

  if {[repos_exists -obj $object] == 1} {

    # calculate cross-sectional area (totalArea)

    set merged /tmp/bcGUIflowCur/merged
    set merged_pd /tmp/bcGUIflowCur/merged_pd
    catch {repos_delete -obj $merged}
    catch {repos_delete -obj $merged_pd}
    # clean up point list
    geom_mergePts -src $object -dst $merged
    # check that points define single region
    if {[geom_numClosedLineRegions -obj $merged] != 1} {
      return -code error "Need just 1 closed region in $merged"
    }
    set points [geom_getOrderedPts -obj $merged]
    geom_polygonFromPts $points $merged_pd
    set totalArea [geom_surfArea -src $merged_pd]
    # clean up
    catch {repos_delete -obj $merged}
    catch {repos_delete -obj $merged_pd}

    global gBC
    set warpVel /gBC/pcdata/warpVel/$frame
    catch {repos_delete -obj $warpVel}

    if {$gBC(numVelComp) == 1} {
      set velocityData /gBC/pcdata/vel/$frame
      img_createSegVelPD {} {} $velocityData 0 0 $gBC(baselineCorrectionZ) $gBC(directions) $object 0.05 $bcGUIzeroBoundVelFlag $warpVel
    } elseif {$gBC(numVelComp) == 3} {
      set vxFile /gBC/pcdata/vel/$frame/[lindex $gBC(xyz) 0]
      set vyFile /gBC/pcdata/vel/$frame/[lindex $gBC(xyz) 1]
      set vzFile /gBC/pcdata/vel/$frame/[lindex $gBC(xyz) 2]
      set helper(r) $gBC(baselineCorrectionX)
      set helper(a) $gBC(baselineCorrectionY)
      set helper(s) $gBC(baselineCorrectionZ)
      set correctX $helper([lindex $gBC(xyz) 0])
      set correctY $helper([lindex $gBC(xyz) 1])
      set correctZ $helper([lindex $gBC(xyz) 2])
      img_createSegVelPD $vxFile $vyFile $vzFile $correctX $correctY $correctZ $gBC(directions) $object 0.05 $bcGUIzeroBoundVelFlag $warpVel
    } else {
      return -code error "Illegal number of velocity components: $gBC(numVelComp)"
    }

    # calculate some parameters
    set flowRate [geom_integrateSurfaceFlux -obj $warpVel -nrm {0 0 1} -tensorType 0]
    set AvgVel [expr double($flowRate)/double($totalArea)]
    set minmax [[repos_exportToVtk -src $warpVel] GetScalarRange]
    set MinVel [lindex $minmax 0]
    set MaxVel [lindex $minmax 1]
    set gFlow($frame) [list $flowRate $AvgVel $MinVel $MaxVel $totalArea]
    puts [format "%15s%15s%15s%15s%15s%15s" "Frame" "Flow (ml/min)"  "Avg V" "Min V" "Max V" "area (mm^2)"]
    set flowRate [expr double($flowRate)/1000.0*60.0]
    puts [format "%15i%15.3f%15.3f%15.3f%15.3f%15.3f" $frame $flowRate $AvgVel $MinVel $MaxVel $totalArea]
    bcGUIchangeFrame $frame
  }

  #
  #
  #
}


# Procedure: bcGUIflowCurByPixels
proc bcGUIflowCurByPixels {} {

  global bcGUIcurrentFrameNumber
  global gFlow
  global gBC

  foreach param $gBC(phase_contrast_params) {
    set [lindex $param 0] [lindex $param 1]
  }
  set directions $gBC(directions)

  # can only tag a pixel once
  global gTaggedPixels
  if {[info exists gTaggedPixels] == 0} {
    return -code error "ERROR:  No pixels tagged!"
  }

  set frame $bcGUIcurrentFrameNumber

  # some parameters to track
  set flowRate 0
  set AvgVel  0
  set MinVel  999999
  set MaxVel -999999

  foreach pixel [lsort -dictionary [array names gTaggedPixels]] {
    set magslice /gBC/pcdata/mag/$frame
    set pt [[repos_exportToVtk -src $magslice] GetPoint $pixel]
    set x [lindex $pt 0]
    set y [lindex $pt 1]

   if {$gBC(numVelComp) == 1} {
      set velocityData /gBC/pcdata/vel/$frame
      set vx 0
      set vy 0
      set correctZ $gBC(baselineCorrectionZ)
      if {[string trim $correctZ] == ""} {
        set correctZ 0
      }
      set vz [[[[repos_exportToVtk -src $velocityData] GetPointData] GetScalars] GetTuple1 $pixel]
      #puts "vz: $vz"
      set vz [expr double([lindex $directions 2])*($vz-[expr $correctZ])]
      #puts "corrected vz: $vz"
    } elseif {$gBC(numVelComp) == 3} {
      set vxFile /gBC/pcdata/vel/$frame/[lindex $gBC(xyz) 0]
      set vyFile /gBC/pcdata/vel/$frame/[lindex $gBC(xyz) 1]
      set vzFile /gBC/pcdata/vel/$frame/[lindex $gBC(xyz) 2]
      set helper(r) $gBC(baselineCorrectionX)
      set helper(a) $gBC(baselineCorrectionY)
      set helper(s) $gBC(baselineCorrectionZ)
      set correctX $helper([lindex $gBC(xyz) 0])
      set correctY $helper([lindex $gBC(xyz) 1])
      set correctZ $helper([lindex $gBC(xyz) 2])
      # convert empty strings to zero values
      if {[string trim $correctX] == ""} {
        set correctX 0
      }
      if {[string trim $correctY] == ""} {
        set correctY 0
      }
      if {[string trim $correctZ] == ""} {
        set correctZ 0
      }
      set vx [[[[repos_exportToVtk -src $vxFile] GetPointData] GetScalars] GetTuple1 $pixel]
      set vy [[[[repos_exportToVtk -src $vyFile] GetPointData] GetScalars] GetTuple1 $pixel]
      set vz [[[[repos_exportToVtk -src $vzFile] GetPointData] GetScalars] GetTuple1 $pixel]
      set vx [expr double([lindex $directions 0])*($vx-[expr $correctX])]
      set vy [expr double([lindex $directions 1])*($vy-[expr $correctY])]
      set vz [expr double([lindex $directions 2])*($vz-[expr $correctZ])]
    } else {
      return -code error "Illegal number of velocity components: $gBC(numVelComp)"
    }

    # calculate some parameters
    set flowRate [expr $flowRate + $vz]
    set AvgVel [expr $AvgVel + $vz]
    if {$vz < $MinVel} {
      set MinVel $vz
    }
    if {$vz > $MaxVel} {
      set MaxVel $vz
    }

  }

  set numPixels [llength [array names gTaggedPixels]]
  set pixelArea [expr double([lindex $voxel_dims 0]) * double([lindex $voxel_dims 1])]
  #puts "numPixels: $numPixels  pixelArea: $pixelArea"
  set flowRate [expr double($flowRate) * double($pixelArea)]
  set AvgVel [expr double($AvgVel)/double($numPixels)]
  set totalArea [expr double($pixelArea)*double($numPixels)]
  set gFlow($frame) [list $flowRate $AvgVel $MinVel $MaxVel $totalArea]
  puts [format "%15s%15s%15s%15s%15s%15s" "Frame" "Flow (ml/min)"  "Avg V" "Min V" "Max V" "area (mm^2)"]
  set flowRate [expr double($flowRate)/1000.0*60.0]
  puts [format "%15i%15.3f%15.3f%15.3f%15.3f%15.3f" $frame $flowRate $AvgVel $MinVel $MaxVel $totalArea]
  bcGUIchangeFrame $frame
}


# Procedure: bcGUIfourierSmoothBatch
proc bcGUIfourierSmoothBatch { choice} {

  global bcGUIbatchEntry
  set entry $bcGUIbatchEntry

  # find min/max frame number
  global gBC
  set minFrame 1
  set maxFrame $gBC(numSlices)

  set allframes [string_parse $bcGUIbatchEntry $minFrame $maxFrame]
  if {[llength $allframes] == 0} {
       puts "ERROR:  No frames specified."
       return -code error "ERROR:  No frames specified."
  }
  foreach frame $allframes {
      puts "frame: $frame"
      global bcGUIcurrentFrameNumber
      set bcGUIcurrentFrameNumber $frame
      catch {bcGUIfourierSmoothSeg $choice}
  }
}


# Procedure: bcGUIfourierSmoothSeg
proc bcGUIfourierSmoothSeg { type} {

  global symbolicName
  global bcGUIcurrentFrameNumber
  set frame $bcGUIcurrentFrameNumber

  # need to translate hand/analytic to proper type
  if {$type == "analytic"} {
    global bcGUIanalContourType
    set type $bcGUIanalContourType
  } elseif {$type == "hand"} {
    global bcGUIhandContourType
    set type $bcGUIhandContourType
  }

  if {$type == "levelset"} {
    set seg /gBC/pcdata/mag/$frame/ls
  } elseif {$type == "threshold"} {
    set seg /gBC/pcdata/mag/$frame/thr/selected
  } else {
    return -code error "Invalid segmentation type ($type)."
  }

  if {[repos_exists -obj $seg] == 0} {
    return
  }

  # keep the tags on the segmentation
  foreach key [repos_getLabelKeys -obj $seg] {
    set seg_keys($key) [repos_getLabel -obj $seg -key $key]
  }

  set segpts [geom_getOrderedPts -obj $seg]

  catch {repos_delete -obj $seg}

  global bcGUIfourierNumModes
  set numModes $bcGUIfourierNumModes

  if {[expr [llength $segpts] * 2] < $numModes} {
    set numInterpPts [expr 3*$numModes]
  } else {
    set numInterpPts [llength $segpts]
  }

  set newpts [math_smoothCurve -pts $segpts -closed 1 -numModes $numModes -numInterpPts $numInterpPts]

  geom_mkLinesFromPts $newpts $seg 1

  # reattach tags
  foreach key [array names seg_keys] {
    repos_setLabel -obj $seg -key $key -value $seg_keys($key)
  }

  # update seg
  if {[info exists seg_keys(num_smooth_modes)] == 1} {
    repos_clearLabel -obj $seg -key num_smooth_modes
  }
  repos_setLabel -obj $seg -key num_smooth_modes -value $numModes

  # update display
  bcGUIchangeFrame $frame
}


# Procedure: bcGUIgroupLoad
proc bcGUIgroupLoad {} {

    global gFilenames
    set grpdir $gFilenames(vel_seg_dir)
    set filename [file join $grpdir group_contents.tcl]

    # check and see if the file exists
    if {[file exists $filename] == 0} {
      puts "ERROR: File $filename does not exist."
      return -code error "ERROR: File $filename does not exist."
    }

    # check for header
    set fp [open $filename "r"]
    set line {}
    catch {gets $fp line}
    close $fp

    if {[regexp geodesic_groups_file $line] == 0} {
      puts "ERROR: File $filename is not of the right format."
      return -code error "ERROR: File $filename is not of the right format."
    }

    if {[regexp 1.0 $line] == 0 && [regexp 2.0 $line] == 0} {
      puts "ERROR: File $filename is not version 1.0 or 2.0.  File being ignored!"
      return -code error "ERROR: File $filename is not version 1.0 or 2.0.  File being ignored!"
    }

    source $filename

    group_autoload
}


# Procedure: bcGUIgroupSave
proc bcGUIgroupSave {} {

  # create the directory if it doesn't exist
  global gFilenames
  set grpdir $gFilenames(vel_seg_dir)
  set contents_file [file join $grpdir group_contents.tcl]

  if {[file exists $grpdir] == 1} {
    if {[file isdirectory $grpdir] == 0} {
      puts "ERROR:  Group directory $grpdir is apparently a file!"
      return -code error "ERROR:  Group directory $grpdir is apparently a file!"
    }
  } else {
    if [catch {file mkdir $grpdir}] {
      puts "ERROR:  Could not create directory $grpdir."
      return -code error "ERROR:  Could not create directory $grpdir."
    }
  }

  set fp [open $contents_file "w"]
  puts $fp "# geodesic_groups_file 2.0"
  puts $fp ""
  puts $fp "#"
  puts $fp "# Group Stuff"
  puts $fp "#"
  puts $fp ""
  set names [group_names]
  if {[llength $names] > 0} {
    puts $fp "proc group_autoload {} {"
    foreach name $names {
        puts $fp "  group_readProfiles $name \{[file join $grpdir $name]\}"
        group_saveProfiles $name [file join $grpdir $name]
    }
    puts $fp "}"
  }
  close $fp
}


# Procedure: bcGUIguessParams
proc bcGUIguessParams {} {
  # this code is a copy of the code found in bcGUIlssSlice
  # related to guessing parameters.  A change in one location
  # should be mirrored in other!

  global bcGUIthrValue
  if {$bcGUIthrValue == 0} {
      return -code error "ERROR:  To guess parameters you must set a non-zero threshold value!"
  }

  global bcGUIcurrentFrameNumber
  set frame $bcGUIcurrentFrameNumber

  set mag   /gBC/pcdata/mag/$frame
  set pot   /gBC/pcdata/pot/$frame

  global bcGUIctrX
  global bcGUIctrY
  global bcGUIradius
  global bcGUIlsParams
  global bcGUInumSamplePoints
  set numSamplePoints $bcGUInumSamplePoints

  # need header to convert voxel number into coord
  global gBC
  set imageInfo $gBC(phase_contrast_params)
  foreach i $imageInfo {
        set [lindex $i 0] [lindex $i 1]
  }

  set radius  $bcGUIradius
  set x [expr double([lindex $voxel_dims 0])*double($bcGUIctrX)]
  set y [expr double([lindex $voxel_dims 1])*double($bcGUIctrY)]
  set z 0
  set kt $bcGUIlsParams(Kthr)
  set klow $bcGUIlsParams(Klow)
  set kupp $bcGUIlsParams(Kupp)
  set magGradFactor $bcGUIlsParams(MagFactor)
  set gridType SparseGrid
  set maxTS $bcGUIlsParams(MaxSteps)
  set gridFactor $bcGUIlsParams(GridFactor)
  set isotropicFlag 1
  set goodnessStop $bcGUIlsParams(GoodnessStop)

    puts "Guessing parameters for frame $frame."
    #puts "  Reseting ctrX and ctrY to zero!"
    #set bcGUIctrX 0
    #set bcGUIctrY 0
    # threshold slice with current threshold setting
    bcGUIthrSlice
    set picked /gBC/pcdata/mag/$frame/thr/selected

    if {[repos_exists -obj $picked] == 0} {
        puts "  No selected contour found.  Skipping $picked."
        return
    }
    # need the center of the selected contour and the min radius
    # from it to the nearest point on the threshold section
    set center [geom_avgPt -obj $picked]
    # can't use closestPt since there are points in picked
    # not on the boundary!
    #set closestpt [geom_closestPt $picked $center]
    #set minr [math_distance $center $closestpt]
    set minr 1000000
    set closestPt {}
    foreach i [geom_getOrderedPts -obj $picked] {
      set tmpdist [math_distance $i $center]
      if  {$tmpdist < $minr} {
        set closestPt $i
  set minr $tmpdist
      }
    }
    if {$closestPt == ""} {
      return -code error "ERROR:  Could not find minimum radius."
    }

    puts "  center: $center closestPt: $closestPt minr: $minr"

    # reset the parameters if it makes sense.  All sorts of stuff
    # hard coded below.  As Ken would say, the weak of heart should
    # avert their eyes...

    if {$minr > 4.0} {
       set gridFactor 1.0
    } elseif {$minr > 2.0} {
       set gridFactor 0.5
    } elseif {$minr > 0.5} {
       set gridFactor 0.25
    } else {
       puts "  Minimum radius to small.  Skipping $frame."
       return
    }

    set bcGUIlsParams(gridFactor) $gridFactor
    set radius [expr 0.8*$minr]
    set bcGUIradius $radius
    set x [lindex $center 0]
    set y [lindex $center 1]
    set bcGUIctrX [expr double($x)/double([lindex $voxel_dims 0])]
    set bcGUIctrY [expr double($y)/double([lindex $voxel_dims 1])]
    set kt [expr 1.0/(0.9*$radius)]
    set klow 0.0
    set kupp [expr 1.2*$kt]
    set bcGUIlsParams(Klow) $klow
    set bcGUIlsParams(Kthr) $kt
    set bcGUIlsParams(Kupp) $kupp

    puts "  minr: $minr  radius: $radius  gridFactor: $gridFactor  x: $x  y: $y"
    puts "  bcGUIctrX: $bcGUIctrX  bcGUIctrY:  $bcGUIctrY"
    puts "  kthr: $kt  klow: $klow  kupp: $kupp"

  # update display
  bcGUIchangeFrame $frame

  return
}


# Procedure: bcGUIinterpCircle
proc bcGUIinterpCircle { type} {

  set tmpclean /bcGUI/interpCircle/clean
  set tmppd /bcGUI/interpCircle/clean/pd
  set tmpcir /bcGUI/interpCircle/cir

  catch {repos_delete -obj $tmpclean}
  catch {repos_delete -obj $tmppd}
  catch {repos_delete -obj $tmpcir}

  global bcGUIcurrentFrameNumber
  set frame $bcGUIcurrentFrameNumber

  # need to translate hand/analytic to proper type
  if {$type == "analytic"} {
    global bcGUIanalContourType
    set type $bcGUIanalContourType
  } elseif {$type == "hand"} {
    global bcGUIhandContourType
    set type $bcGUIhandContourType
  }

  if {$type == "levelset"} {
    set seg /gBC/pcdata/mag/$frame/ls
  } elseif {$type == "threshold"} {
    set seg /gBC/pcdata/mag/$frame/thr/selected
  } else {
    return -code error "Invalid segmentation type ($type)."
  }

  if {[repos_exists -obj $seg] == 0} {
    puts "WARNING:  No segmentation found!"
    return -code error "ERROR:  No oriented segmentation found!"
  }

  # clean up point list
  geom_mergePts -src $seg -dst $tmpclean

  # check that points define single region
  if {[geom_numClosedLineRegions -obj $tmpclean] != 1} {
       return -code error "Need just 1 closed region in $tmpclean"
  }

  set points [geom_getOrderedPts -obj $tmpclean]
  geom_polygonFromPts $points $tmppd
  set area [geom_surfArea -src $tmppd]

  set r [expr sqrt(double($area)/[math_pi])]
  set center [geom_avgPt -obj $seg]

  # keep the tags on the segmentation
  foreach key [repos_getLabelKeys -obj $seg] {
    set seg_keys($key) [repos_getLabel -obj $seg -key $key]
  }

  catch {repos_delete -obj $seg}

  # create the unoriented circle
  geom_circle $r 0 0 $tmpcir
  geom_translate -src $tmpcir -vec $center -dst $seg

  # reattach tags
  foreach key [array names seg_keys] {
    repos_setLabel -obj $seg -key $key -value $seg_keys($key)
  }
  if {[info exists seg_keys(replaced_with_circle)] == 0} {
    repos_setLabel -obj $seg         -key replaced_with_circle -value 1
  }

  # clean up
  catch {repos_delete -obj $tmpclean}
  catch {repos_delete -obj $tmppd}
  catch {repos_delete -obj $tmpcir}

  # update display
  bcGUIchangeFrame $frame
}


# Procedure: bcGUIinterpCircleBatch
proc bcGUIinterpCircleBatch { choice} {

  global bcGUIbatchEntry
  set entry $bcGUIbatchEntry

  # find min/max frame number
  global gBC
  set minFrame 1
  set maxFrame $gBC(numSlices)

  set allframes [string_parse $bcGUIbatchEntry $minFrame $maxFrame]
  if {[llength $allframes] == 0} {
       puts "ERROR:  No frames specified."
       return -code error "ERROR:  No frames specified."
  }
  foreach frame $allframes {
      puts "frame: $frame"
      global bcGUIcurrentFrameNumber
      set bcGUIcurrentFrameNumber $frame
      catch {bcGUIinterpCircle $choice}
  }
}


# Procedure: bcGUIloadTaggedPixels
proc bcGUIloadTaggedPixels {} {

    global gFilenames
    set filename $gFilenames(tagged_pixels_file)

    # check and see if the file exists
    if {[file exists $filename] == 0} {
      puts "ERROR: File $filename does not exist."
      return -code error "ERROR: File $filename does not exist."
    }

    # check for header
    set fp [open $filename "r"]
    set line {}
    catch {gets $fp line}
    close $fp

    if {[regexp geodesic_tagged_pixels $line] == 0} {
      puts "ERROR: File $filename is not of the right format."
      return -code error "ERROR: File $filename is not of the right format."
    }

    source $filename
}


# Procedure: bcGUIlsSlice
proc bcGUIlsSlice {} {

  global bcGUIcurrentFrameNumber
  set frame $bcGUIcurrentFrameNumber

  set mag   /gBC/pcdata/mag/$frame
  set pot   /gBC/pcdata/pot/$frame

  set lsres /gBC/pcdata/mag/$frame/ls
  set lsres_unclean /gBC/pcdata/mag/$frame/ls/unclean
  catch {repos_delete -obj $lsres}
  catch {repos_delete -obj $lsres_unclean}

  global bcGUIctrX
  global bcGUIctrY
  global bcGUIradius
  global bcGUIlsParams
  global bcGUInumSamplePoints
  set numSamplePoints $bcGUInumSamplePoints

  # need header to convert voxel number into coord
  global gBC
  set imageInfo $gBC(phase_contrast_params)
  foreach i $imageInfo {
        set [lindex $i 0] [lindex $i 1]
  }

  set radius  $bcGUIradius
  set x [expr double([lindex $voxel_dims 0])*double($bcGUIctrX)]
  set y [expr double([lindex $voxel_dims 1])*double($bcGUIctrY)]
  set z 0
  set kt $bcGUIlsParams(Kthr)
  set klow $bcGUIlsParams(Klow)
  set kupp $bcGUIlsParams(Kupp)
  set magGradFactor $bcGUIlsParams(MagFactor)
  set gridType SparseGrid
  set maxTS $bcGUIlsParams(MaxSteps)
  set gridFactor $bcGUIlsParams(GridFactor)
  set isotropicFlag 1
  set goodnessStop $bcGUIlsParams(GoodnessStop)
  set stopV $bcGUIlsParams(stopV)
  set rebuildPhiFreq $bcGUIlsParams(rebuildPhiFrequency)
  set acInterval $bcGUIlsParams(checkGoodnessFrequency)
  set calcDecayConstBy $bcGUIlsParams(calcDecayConstBy)
  set potentialValueDecay $bcGUIlsParams(potentialValueDecay)
  set calcPotConstBy $bcGUIlsParams(calcPotConstBy)
  set pFactor $bcGUIlsParams(pFactor)
  set potentialValuePotential $bcGUIlsParams(potentialValuePotential)

  global bcGUIguessParamsCheckButton
  if {$bcGUIguessParamsCheckButton == 1} {
    puts "Guessing parameters for frame $frame."
    #puts "  Reseting ctrX and ctrY to zero!"
    #set bcGUIctrX 0
    #set bcGUIctrY 0
    # threshold slice with current threshold setting
    bcGUIthrSlice
    set picked /gBC/pcdata/mag/$frame/thr/selected

    if {[repos_exists -obj $picked] == 0} {
        puts "  No selected contour found.  Skipping $picked."
        return
    }
    # need the center of the selected contour and the min radius
    # from it to the nearest point on the threshold section
    set center [geom_avgPt -obj $picked]
    # can't use closestPt since there are points in picked
    # not on the boundary!
    #set closestpt [geom_closestPt $picked $center]
    #set minr [math_distance $center $closestpt]
    set minr 1000000
    set closestPt {}
    foreach i [geom_getOrderedPts -obj $picked] {
      set tmpdist [math_distance $i $center]
      if  {$tmpdist < $minr} {
        set closestPt $i
  set minr $tmpdist
      }
    }
    if {$closestPt == ""} {
      return -code error "ERROR:  Could not find minimum radius."
    }

    puts "  center: $center closestPt: $closestPt minr: $minr"

    # reset the parameters if it makes sense.  All sorts of stuff
    # hard coded below.  As Ken would say, the weak of heart should
    # avert their eyes...

    if {$minr > 4.0} {
       set gridFactor 1.0
    } elseif {$minr > 2.0} {
       set gridFactor 0.5
    } elseif {$minr > 0.5} {
       set gridFactor 0.25
    } else {
       puts "  Minimum radius to small.  Skipping $frame."
       return
    }

    set bcGUIlsParams(gridFactor) $gridFactor
    set radius [expr 0.8*$minr]
    set bcGUIradius $radius
    set x [lindex $center 0]
    set y [lindex $center 1]
    set bcGUIctrX [expr double($x)/double([lindex $voxel_dims 0])]
    set bcGUIctrY [expr double($y)/double([lindex $voxel_dims 1])]
    set kt [expr 1.0/(0.9*$radius)]
    set klow 0.0
    set kupp [expr 1.2*$kt]
    set bcGUIlsParams(Klow) $klow
    set bcGUIlsParams(Kthr) $kt
    set bcGUIlsParams(Kupp) $kupp

    puts "  minr: $minr  radius: $radius  gridFactor: $gridFactor  x: $x  y: $y"
    puts "  bcGUIctrX: $bcGUIctrX  bcGUIctrY:  $bcGUIctrY"
    puts "  kthr: $kt  klow: $klow  kupp: $kupp"

  }

  global bcGUIrunInParallel
  if {$bcGUIrunInParallel == 0} {

    set starttime [clock seconds]

    catch {lset2_main $mag $pot  $gridType $maxTS $gridFactor $stopV  $isotropicFlag $rebuildPhiFreq  $goodnessStop $acInterval  $radius $x $y $z $kt  $calcDecayConstBy $magGradFactor $potentialValueDecay  $klow $kupp   $calcPotConstBy $pFactor $potentialValuePotential  $lsres_unclean}

    #atch {lset_nate $mag $pot $radius $x $y $z  $kt $klow $kupp $magGradFactor  $gridType $maxTS $gridFactor  $isotropicFlag $goodnessStop $lsres_unclean}

    set totaltime  "[expr [clock seconds] - $starttime] seconds"

    # save the ls params with this slice
    if {[repos_exists -obj $lsres_unclean]} {

       # subsample the loop
       global bcGUInumSamplePoints
       #set numSamplePoints $bcGUInumSamplePoints
       geom_mergePts -src $lsres_unclean -dst $lsres -tol 0.001
       repos_delete -obj $lsres_unclean
       set pts [geom_getOrderedPts -obj $lsres]
       set curveLength [math_curveLength -pts $pts -closed 1]
       set numSamplePoints [expr int(ceil($curveLength/[lindex $voxel_dims 0]))]
       set bcGUInumSamplePoints $numSamplePoints
       set newpts [math_linearInterpCurve -pts $pts -closed 1 -numInterpPts $numSamplePoints]
       repos_delete -obj $lsres
       geom_mkLinesFromPts $newpts $lsres 1
       puts "curveLength: $curveLength  numSamplePoints: $numSamplePoints"

       foreach tagobj [list $lsres] {
         repos_setLabel -obj $tagobj -key radius                 -value $radius
         repos_setLabel -obj $tagobj -key center_x               -value $x
         repos_setLabel -obj $tagobj -key center_y               -value $y
         repos_setLabel -obj $tagobj -key center_z               -value $z
         repos_setLabel -obj $tagobj -key kt                     -value $kt
         repos_setLabel -obj $tagobj -key klow                   -value $klow
         repos_setLabel -obj $tagobj -key kupp                   -value $kupp
         repos_setLabel -obj $tagobj -key mag_grad_factor        -value $magGradFactor
         repos_setLabel -obj $tagobj -key grid_type              -value $gridType
         repos_setLabel -obj $tagobj -key max_num_time_steps     -value $maxTS
         repos_setLabel -obj $tagobj -key grid_factor            -value $gridFactor
         repos_setLabel -obj $tagobj -key isotropic_flag         -value $isotropicFlag
         repos_setLabel -obj $tagobj -key goodness_stop_criteria -value $goodnessStop
         repos_setLabel -obj $tagobj -key center_x_in_pixels     -value $bcGUIctrX
         repos_setLabel -obj $tagobj -key center_y_in_pixels     -value $bcGUIctrY
         repos_setLabel -obj $tagobj -key num_of_subsample_pts   -value $numSamplePoints
         repos_setLabel -obj $tagobj -key creation_method        -value "levelset"
         repos_setLabel -obj $tagobj -key creation_type          -value "levelset"
         repos_setLabel -obj $tagobj -key simulation_runtime     -value $totaltime
         repos_setLabel -obj $tagobj -key frame                  -value $frame
         repos_setLabel -obj $tagobj -key stop_velocity          -value $stopV
         repos_setLabel -obj $tagobj -key rebuild_phi_interval   -value $rebuildPhiFreq
         repos_setLabel -obj $tagobj -key area_check_interval    -value $acInterval
         repos_setLabel -obj $tagobj -key calc_decay_const_mtd   -value $calcDecayConstBy
         repos_setLabel -obj $tagobj -key explicit_pot_for_decay -value $potentialValueDecay
         repos_setLabel -obj $tagobj -key calc_pot_const_mtd     -value $calcPotConstBy
         repos_setLabel -obj $tagobj -key pFactor                -value $pFactor
         repos_setLabel -obj $tagobj -key explicit_pot_for_pot   -value $potentialValuePotential
       }

    }
    # update display
    bcGUIchangeFrame $frame

  } else {


    global tcl_platform
    if {$tcl_platform(platform) != "windows"} {
       return -code error "ERROR:  Running in Parallel not supported on UNIX."
    }
    set servers [getTclServers]
    if {[lsearch $servers "geodesic_batch_server"] < 0} {
      # check if the user wants to start the batch server
      set choicebs [tk_messageBox -title "Error: No batch server found." -message "Start a new batch server?" -icon question -type yesno]
      switch -- $choicebs {
        yes {
          batchGUIstartBatchServer
          # wait up to 30 seconds for the server to start, then return error
    for {set waitforserver 0} {$waitforserver < 30} {incr waitforserver} {
            after 1000
            set servers [getTclServers]
      if {[lsearch $servers "geodesic_batch_server"] > 0} {
              break
      }
    }
          if {$waitforserver == 30} {
            return -code error "ERROR:  server starting slowly!"
    }
  }
        no {
          return -code error "ERROR:  No ASPIRE2 batch server running!"
  }
      }
    }

    # set up directories
    global env
    global gFilenames
    file mkdir $gFilenames(tmp_dir)
    set batchdir [file join [pwd] $gFilenames(tmp_dir) pcmri]
    file mkdir $batchdir
    set baseScriptName $env(USER)-[file tail [pwd]]-[pid]-$frame
    set fullPathBSN [file join $batchdir $baseScriptName]


    # write out image slices
    repos_writeVtkStructuredPoints -obj $mag -type ascii -file $fullPathBSN-mag.vtk
    repos_writeVtkStructuredPoints -obj $pot -type ascii -file $fullPathBSN-pot.vtk

    # remove any previous seg results
    file delete $fullPathBSN-seg.vtk

    # create a script file to run in parallel
    set fp [open $fullPathBSN.tcl "w"]
    puts $fp "# geodesic_segment_autoscript 1.1"
    puts $fp ""
    puts $fp "set exit_when_done 0"
    puts $fp "if \{\[info exists batch_status\] == 0\} \{"
    puts $fp "  global tcl_rcFileName"
    puts $fp "  source \$tcl_rcFileName"
    puts $fp "  set exit_when_done 1"
    puts $fp "  set batch_status \[lindex \$argv 0\]"
    puts $fp "  catch \{set segment_number \[lindex \$argv 1\]\}"
    puts $fp "\}"
    puts $fp ""
    puts $fp "set lsres_unclean \{$lsres_unclean\}"
    puts $fp "set lsres \{$lsres\}"
    puts $fp "catch \{repos_delete -obj \$lsres\}"
    puts $fp "catch \{repos_delete -obj \$lsres_unclean\}"
    puts $fp "if \{\$batch_status == \"segment\"\} \{"
    puts $fp "  # read in magnitude and potential structured points"
    puts $fp "  catch \{tmp-sp-reader Delete\}"
    puts $fp "  vtkStructuredPointsReader tmp-sp-reader"
    puts $fp "  tmp-sp-reader SetFileName \{$baseScriptName-mag.vtk\}"
    puts $fp "  tmp-sp-reader Update"
    puts $fp "  catch \{repos_delete -obj $mag\}"
    puts $fp "  repos_importVtkSp -src \[tmp-sp-reader GetOutput\] -dst $mag"
    puts $fp "  catch \{tmp-sp-reader Delete\}"
    puts $fp "  vtkStructuredPointsReader tmp-sp-reader"
    puts $fp "  tmp-sp-reader SetFileName \{$baseScriptName-pot.vtk\}"
    puts $fp "  tmp-sp-reader Update"
    puts $fp "  catch \{repos_delete -obj $pot\}"
    puts $fp "  repos_importVtkSp -src \[tmp-sp-reader GetOutput\] -dst $pot"
    puts $fp "  file delete \{$baseScriptName-seg.vtk\}"
    puts $fp "  catch \{lset2_main $mag $pot $gridType $maxTS $gridFactor $stopV $isotropicFlag $rebuildPhiFreq $goodnessStop $acInterval $radius $x $y $z $kt $calcDecayConstBy $magGradFactor $potentialValueDecay $klow $kupp $calcPotConstBy $pFactor $potentialValuePotential $lsres_unclean\}"
    #puts $fp "  catch \{lset_nate $mag $pot $radius $x $y $z  $kt $klow $kupp $magGradFactor  $gridType $maxTS $gridFactor  $isotropicFlag $goodnessStop $lsres_unclean\}"
    puts $fp "  if \{\[repos_exists -obj $lsres_unclean\]\} \{"
    puts $fp "    repos_writeVtkPolyData -file \{$baseScriptName-seg.vtk\} -type ascii -obj \$lsres_unclean"
    puts $fp "  \}"

    puts $fp "\} elseif \{\$batch_status == \"read\"\} \{"

    puts $fp "  if \{\[file exists \{$fullPathBSN-seg.vtk\}\] == 1\} \{"
    puts $fp "     repos_readVtkPolyData -obj \$lsres_unclean -file \{$fullPathBSN-seg.vtk\}"
    puts $fp "     # subsample the loop"
    puts $fp "     geom_mergePts -src \$lsres_unclean -dst \$lsres"
    puts $fp "     catch \{repos_delete -obj \$lsres_unclean\}"
    puts $fp "     set pts \[geom_getOrderedPts -obj \$lsres\]"
    puts $fp "     set curveLength \[math_curveLength -pts \$pts -closed 1\]"
    puts $fp "     set numSamplePoints \[expr int(ceil(\$curveLength/[lindex $voxel_dims 0]))\]"
    puts $fp "     set newpts \[math_linearInterpCurve -pts \$pts -closed 1 -numInterpPts \$numSamplePoints\]"
    puts $fp "     repos_delete -obj \$lsres"
    puts $fp "     geom_mkLinesFromPts \$newpts \$lsres 1"
    puts $fp ""
    puts $fp "     foreach tagobj \[list \$lsres\] \{"
    puts $fp "       repos_setLabel -obj \$tagobj -key radius                 -value \{$radius\}"
    puts $fp "       repos_setLabel -obj \$tagobj -key center_x               -value \{$x\}"
    puts $fp "       repos_setLabel -obj \$tagobj -key center_y               -value \{$y\}"
    puts $fp "       repos_setLabel -obj \$tagobj -key center_z               -value \{$z\}"
    puts $fp "       repos_setLabel -obj \$tagobj -key kt                     -value \{$kt\}"
    puts $fp "       repos_setLabel -obj \$tagobj -key klow                   -value \{$klow\}"
    puts $fp "       repos_setLabel -obj \$tagobj -key kupp                   -value \{$kupp\}"
    puts $fp "       repos_setLabel -obj \$tagobj -key mag_grad_factor        -value \{$magGradFactor\}"
    puts $fp "       repos_setLabel -obj \$tagobj -key grid_type              -value \{$gridType\}"
    puts $fp "       repos_setLabel -obj \$tagobj -key max_num_time_steps     -value \{$maxTS\}"
    puts $fp "       repos_setLabel -obj \$tagobj -key grid_factor            -value \{$gridFactor\}"
    puts $fp "       repos_setLabel -obj \$tagobj -key isotropic_flag         -value \{$isotropicFlag\}"
    puts $fp "       repos_setLabel -obj \$tagobj -key goodness_stop_criteria -value \{$goodnessStop\}"
    puts $fp "       repos_setLabel -obj \$tagobj -key center_x_in_pixels     -value \{$bcGUIctrX\}"
    puts $fp "       repos_setLabel -obj \$tagobj -key center_y_in_pixels     -value \{$bcGUIctrY\}"
    puts $fp "       repos_setLabel -obj \$tagobj -key frame                  -value \{$frame\}"
    puts $fp "       repos_setLabel -obj \$tagobj -key creation_method        -value \{levelset\}"
    puts $fp "       repos_setLabel -obj \$tagobj -key creation_type          -value \{levelset\}"
    puts $fp "       repos_setLabel -obj \$tagobj -key run_in_parallel        -value 1"
    puts $fp "       repos_setLabel -obj \$tagobj -key stop_velocity          -value \{$stopV\}"
    puts $fp "       repos_setLabel -obj \$tagobj -key rebuild_phi_interval   -value \{$rebuildPhiFreq\}"
    puts $fp "       repos_setLabel -obj \$tagobj -key area_check_interval    -value \{$acInterval\}"
    puts $fp "       repos_setLabel -obj \$tagobj -key calc_decay_const_mtd   -value \{$calcDecayConstBy\}"
    puts $fp "       repos_setLabel -obj \$tagobj -key explicit_pot_for_decay -value \{$potentialValueDecay\}"
    puts $fp "       repos_setLabel -obj \$tagobj -key calc_pot_const_mtd     -value \{$calcPotConstBy\}"
    puts $fp "       repos_setLabel -obj \$tagobj -key pFactor                -value \{$pFactor\}"
    puts $fp "       repos_setLabel -obj \$tagobj -key explicit_pot_for_pot   -value \{$potentialValuePotential\}"
    puts $fp "     \}"
    puts $fp ""
    puts $fp "  \}"
    puts $fp ""
    puts $fp "\}"
    puts $fp ""
    puts $fp "if \{\$exit_when_done == 1\} \{"
    puts $fp "  exit 0"
    puts $fp "\}"

    close $fp

    set params [list [file join [pwd] $gFilenames(tmp_dir) pcmri]   $fullPathBSN.tcl  $fullPathBSN-seg.vtk]

    dde eval geodesic_batch_server batch_addToQueue \{$params\}

  }
}


# Procedure: bcGUImakeCircle
proc bcGUImakeCircle {} {

  global bcGUIcurrentFrameNumber
  set frame $bcGUIcurrentFrameNumber

  global bcGUIanalContourType
  set type $bcGUIanalContourType

  global gBC
  set imageInfo $gBC(phase_contrast_params)
  foreach i $imageInfo {
    set [lindex $i 0] [lindex $i 1]
  }

  global bcGUIctrX
  global bcGUIctrY
  set x [expr double([lindex $voxel_dims 0])*double($bcGUIctrX)]
  set y [expr double([lindex $voxel_dims 1])*double($bcGUIctrY)]

  if {$type == "levelset"} {
    set seg /gBC/pcdata/mag/$frame/ls
  } elseif {$type == "threshold"} {
    set seg /gBC/pcdata/mag/$frame/thr/selected
  } else {
    return -code error "Invalid segmentation type ($type)."
  }

  catch {repos_delete -obj $seg}

  # create the unoriented circle
  global bcGUIradius
  set r $bcGUIradius
  geom_circle $r $x $y $seg

  # track creation parameters via labels
  foreach obj [list $seg] {
       repos_setLabel -obj $obj -key center_x_in_pixels -value $bcGUIctrX
       repos_setLabel -obj $obj -key center_y_in_pixels -value $bcGUIctrY
       repos_setLabel -obj $obj -key center_x           -value $x
       repos_setLabel -obj $obj -key center_y           -value $y
       repos_setLabel -obj $obj -key radius             -value $r
       repos_setLabel -obj $obj -key creation_method    -value "make_circle"
       repos_setLabel -obj $obj -key creation_type      -value $type
       repos_setLabel -obj $obj -key frame              -value $frame
  }

  # update display
  bcGUIchangeFrame $frame
}


# Procedure: bcGUImakeEllipse
proc bcGUImakeEllipse {} {

  global bcGUIcurrentFrameNumber
  set frame $bcGUIcurrentFrameNumber

  global bcGUIanalContourType
  set type $bcGUIanalContourType

  global gBC
  set imageInfo $gBC(phase_contrast_params)
  foreach i $imageInfo {
    set [lindex $i 0] [lindex $i 1]
  }

  global bcGUIctrX
  global bcGUIctrY
  set x [expr double([lindex $voxel_dims 0])*double($bcGUIctrX)]
  set y [expr double([lindex $voxel_dims 1])*double($bcGUIctrY)]

  if {$type == "levelset"} {
    set seg /gBC/pcdata/mag/$frame/ls
  } elseif {$type == "threshold"} {
    set seg /gBC/pcdata/mag/$frame/thr/selected
  } else {
    return -code error "Invalid segmentation type ($type)."
  }

  catch {repos_delete -obj $seg}

  # create the unoriented ellipse
  global bcGUIellipseA
  global bcGUIellipseB
  set a $bcGUIellipseA
  set b $bcGUIellipseB
  geom_ellipse $a $b $x $y $seg

  # track creation parameters via labels
  foreach obj [list $seg] {
       repos_setLabel -obj $obj -key center_x_in_pixels -value $bcGUIctrX
       repos_setLabel -obj $obj -key center_y_in_pixels -value $bcGUIctrY
       repos_setLabel -obj $obj -key center_x           -value $x
       repos_setLabel -obj $obj -key center_y           -value $y
       repos_setLabel -obj $obj -key a                  -value $a
       repos_setLabel -obj $obj -key b                  -value $b
       repos_setLabel -obj $obj -key creation_method    -value "make_ellipse"
       repos_setLabel -obj $obj -key frame              -value $frame
       repos_setLabel -obj $obj -key creation_type      -value $type
  }

  # update display
  bcGUIchangeFrame $frame
}


# Procedure: bcGUImapToMeshBatch
proc bcGUImapToMeshBatch {} {

  global bcGUIcurrentFrameNumber
  global gBC
  global bcGUIbatchEntry

  set allframes [string_parse $bcGUIbatchEntry 1 $gBC(numSlices)]
  if {[llength $allframes] == 0} {
     puts "ERROR:  No frames specified."
     return -code error "ERROR:  No frames specified."
  }
  foreach frame $allframes {
    set bcGUIcurrentFrameNumber $frame
    bcGUImapToMeshCur
  }
}


# Procedure: bcGUImapToMeshCur
proc bcGUImapToMeshCur {} {

  global bcGUIcurrentFrameNumber
  global gFilenames
  global gObjects

  set frame $bcGUIcurrentFrameNumber

  set warpVel /gBC/pcdata/warpVel/$frame

  set inletMeshFace /gBC/pcdata/inletMeshFace/$frame
  catch {repos_delete -obj $inletMeshFace}

  # check that face exists
  set face $gObjects(inflow_mesh_face)
  set flatFace $gObjects(inflow_mesh_face_flat)

  if {[repos_exists -obj $face] == 0} {
     puts "ERROR:  No inflow mesh face loaded!"
     return -code error "NO MESH FACE LOADED!"
  }

  # now rotate it to be flat
  set mymatrix tmp-bcGUImapToMeshCur-matrix
  catch {$mymatrix Delete}
  catch {repos_delete -obj $flatFace}
  img_calcTransformMatrixToRAS $gFilenames(phase_contrast_geometric) $mymatrix
  $mymatrix Invert
  geom_applyTransformMatrix $face $mymatrix $flatFace
  catch {$mymatrix Delete}

  if {[repos_exists -obj /gBC/pcdata/warpVel/$frame] == 1} {
       geom_mapVectors $warpVel $flatFace $inletMeshFace
       repos_setLabel -obj $inletMeshFace -key showK -value 1
  } else {
      puts "ERROR:  No velocity map for frame $frame."
  }

  # update display
  bcGUIchangeFrame $frame

  return SV_OK
}


# Procedure: bcGUIparallelProjection
proc bcGUIparallelProjection {} {

  global bcGUImagWindow
  global bcGUIpotWindow

  set renMag $bcGUImagWindow(ren)
  set renPot $bcGUIpotWindow(ren)

  global bcGUIparallelProjectionFlag
  set flag $bcGUIparallelProjectionFlag

  if {$flag == 0} {

    foreach renWin {bcRenWinMag bcRenWinPot} {

      global symbolicName
      set widget $symbolicName($renWin).r1

      if {[cmdExists $widget] == 0} {
        continue
      }

      vis_renPerspectiveProjection $renMag
      vis_renPerspectiveProjection $renPot

      set selectedPoints bcGUItmp-handdraw-pts1
      set selectedLines bcGUItmp-handdraw-lines1
      set selectedActor bcGUItmp-handdraw-actor

      set cursorPoints bcGUItmp-handdraw-crsr-pts1
      set cursorLines bcGUItmp-handdraw-crsr-lines1
      set cursorPd bcGUItmp-handdraw-crsr-polydata-1
      set cursorActor bcGUItmp-handdraw-crsr-actor

      # remove the actor from the scene
      $renMag RemoveActor2D $selectedActor
      $renPot RemoveActor2D $selectedActor

      # remove the actor from the scene
      $renMag RemoveActor2D $cursorActor
      $renPot RemoveActor2D $cursorActor

      global symbolicName
      set widget $symbolicName($renWin).r1
      bind $widget <B1-Motion> {}
      bind $widget <KeyPress-a> {}
      bind $widget <KeyPress-s> {}
      bind $widget <Motion> {}
      bind $widget <KeyPress-c> {}
      bind $widget <KeyPress-x> {}
      bind $widget <KeyRelease-x> {}
      bind $widget <KeyPress-y> {}
      bind $widget <KeyRelease-y> {}
      bind $widget <KeyPress-z> {}
      bind $widget <KeyRelease-z> {}

      # Get the value
      bind $widget <ButtonPress-1> {}
      bind $widget <B1-Motion> {}
      bind $widget <ButtonRelease-1> {}

      # now reattach original bindings
      BindTkRenderWidget $symbolicName($renWin).r1
    }

    catch {vis_textRm $renMag}
    catch {vis_textRm $renPot}

    # clear the selection polygon
    $selectedLines Reset
    $selectedPoints Reset

    # clear the cursor if necessary
    $cursorPoints Reset
    $widget Render

    return
  }

  # a little sloppy, but easiest to remove the window
  # from the display and then redisplay it before we
  # turn on parallel projection (in case the user has
  # screwed up the window orientation somehow).

  # remove the window if it's displayed
  global bcGUImagWindow
  set bcGUImagWindow(showWindow) 0
  bcGUIupdateMagWindow

  # now show the window
  set bcGUImagWindow(showWindow) 1
  bcGUIupdateMagWindow

  # remove the window if it's displayed
  global bcGUIpotWindow
  set bcGUIpotWindow(showWindow) 0
  bcGUIupdatePotWindow

  # now show the window
  set bcGUIpotWindow(showWindow) 1
  bcGUIupdatePotWindow

  set renMag $bcGUImagWindow(ren)
  set renPot $bcGUIpotWindow(ren)

  # turn on parallel projection
  vis_renParallelProjection $renMag
  vis_renParallelProjection $renPot

  # bind key events needed for drawing by hand
    set selectedPoints bcGUItmp-handdraw-pts1
    set selectedLines bcGUItmp-handdraw-lines1
    set selectedPd bcGUItmp-handdraw-polydata-1
    set selectedMap bcGUItmp-handdraw-mapper
    set selectedProp bcGUItmp-handdraw-prop
    set selectedActor bcGUItmp-handdraw-actor

    set cursorPoints bcGUItmp-handdraw-crsr-pts1
    set cursorLines bcGUItmp-handdraw-crsr-lines1
    set cursorPd bcGUItmp-handdraw-crsr-polydata-1
    set cursorMap bcGUItmp-handdraw-crsr-mapper
    set cursorProp bcGUItmp-handdraw-crsr-prop
    set cursorActor bcGUItmp-handdraw-crsr-actor

    set crdtrans bcGUItm-handdraw-crdsystem

    foreach i [list $selectedPoints $selectedLines $selectedPd $selectedMap  $selectedProp $selectedActor $cursorPoints $cursorLines  $cursorPd $cursorMap $cursorProp $cursorActor $crdtrans] {
      catch {$i Delete}
    }

    # create a coordinate system transform for the 2d actors
    vtkCoordinate $crdtrans
    $crdtrans SetCoordinateSystemToWorld

    # create a 3-d polydata object representing the
    # selected points (and line segments)

    vtkPoints $selectedPoints
    $selectedPoints Allocate 1 1

    vtkCellArray $selectedLines
    $selectedLines InitTraversal

    vtkPolyData $selectedPd
    $selectedPd Allocate 1 1
    $selectedPd SetPoints $selectedPoints
    $selectedPd SetLines $selectedLines

    # create a 2D mapper
    vtkPolyDataMapper2D $selectedMap
    $selectedMap SetInputDataObject $selectedPd
    $selectedMap SetTransformCoordinate $crdtrans

    # create a 2D property
    vtkProperty2D $selectedProp
    $selectedProp SetColor 1 0 0
    $selectedProp SetLineWidth 1

    # create a 2D actor
    vtkActor2D $selectedActor
    $selectedActor SetMapper $selectedMap
    $selectedActor SetProperty $selectedProp

    # add the actor to the scene
    $renMag AddActor2D $selectedActor
    $renPot AddActor2D $selectedActor

    # create a 3-d polydata object representing
    # a line connecting the final selected point
    # with the current mouse pointer location

    vtkPoints $cursorPoints
    $cursorPoints Allocate 1 1

    vtkCellArray $cursorLines
    $cursorLines InitTraversal

    vtkPolyData $cursorPd
    $cursorPd Allocate 1 1
    $cursorPd SetPoints $cursorPoints
    $cursorPd SetLines $cursorLines
    $cursorLines InsertNextCell 2
    $cursorLines InsertCellPoint 0
    $cursorLines InsertCellPoint 1

    # create a 2D mapper
    vtkPolyDataMapper2D $cursorMap
    $cursorMap SetInputDataObject $cursorPd
    $cursorMap SetTransformCoordinate $crdtrans

    # create a 2D property
    vtkProperty2D $cursorProp
    $cursorProp SetColor 1 0 0
    $cursorProp SetLineWidth 1

    # create a 2D actor
    vtkActor2D $cursorActor
    $cursorActor SetMapper $cursorMap
    $cursorActor SetProperty $cursorProp

    # add the actor to the scene
    $renMag AddActor2D $cursorActor
    $renPot AddActor2D $cursorActor

    global bcGUIhanddrawShowCursorFlag
    set bcGUIhanddrawShowCursorFlag  1

    foreach renWin {bcRenWinMag bcRenWinPot} {
      global symbolicName
      set widget $symbolicName($renWin).r1

      bind $widget <B1-Motion> {}
      bind $widget <KeyPress-a> {bcGUI_hand_add_point %W %x %y}
      bind $widget <KeyPress-A> {bcGUI_hand_remove_last_point %W %x %y}
      bind $widget <KeyPress-s> {bcGUI_hand_toggle_show_cursor %W %x %y}
      bind $widget <Motion> {bcGUI_hand_show_cursor %W %x %y}
      bind $widget <KeyPress-c> {bcGUI_hand_make_poly %W %x %y}
      bind $widget <KeyPress-x> {bcGUI_hand_xyplot_velocity %W %x %y 0}
      bind $widget <KeyRelease-x> {bcGUI_hand_xyplot_velocity_release %W %x %y}
      bind $widget <KeyPress-y> {bcGUI_hand_xyplot_velocity %W %x %y 1}
      bind $widget <KeyRelease-y> {bcGUI_hand_xyplot_velocity_release %W %x %y}
      bind $widget <KeyPress-z> {bcGUI_hand_xyplot_velocity %W %x %y 2}
      bind $widget <KeyRelease-z> {bcGUI_hand_xyplot_velocity_release %W %x %y}
      bind $widget <KeyPress-t> {bcGUI_hand_tag_voxel %W %x %y}
      bind $widget <KeyPress-T> {bcGUI_hand_untag_voxel %W %x %y}

      # Get the value
      bind $widget <ButtonPress-1> {bcGUI_hand_StartQueryInteraction %W %x %y}
      bind $widget <B1-Motion> {bcGUI_hand_UpdateQueryInteraction %W %x %y}
      bind $widget <ButtonRelease-1> {bcGUI_hand_EndQueryInteraction %W}
    }
    catch {vis_textRm $renMag}
    catch {vis_textRm $renPot}

    vis_textSetup $renMag
    vis_textSetup $renPot
}


# Procedure: bcGUIpasteSeg
proc bcGUIpasteSeg { type} {

  set copyobj /bcGUI/copied

  if {[repos_exists -obj $copyobj] == 0} {
       puts "ERROR:  No copy slice found!"
       return -code error "ERROR:  No copy slice found!"
  }

  global bcGUIcurrentFrameNumber
  set frame $bcGUIcurrentFrameNumber

  if {$type == "levelset"} {
    set seg /gBC/pcdata/mag/$frame/ls
  } elseif {$type == "threshold"} {
    set seg /gBC/pcdata/mag/$frame/thr/selected
  } else {
    return -code error "Invalid segmentation type ($type)."
  }

  catch {repos_delete -obj $seg}

  # copy the unoriented slice
  geom_copy -src $copyobj -dst $seg

  # copy tags
  foreach myobj [list $seg] {
    foreach key [repos_getLabelKeys -obj $copyobj] {
      set value [repos_getLabel -obj $copyobj -key $key]
      repos_setLabel -obj $myobj -key $key -value $value
    }
  }
  # update tags
  catch {repos_clearLabel -obj $seg -key paste_frame}
  repos_setLabel -obj $seg -key paste_frame -value $frame

  # update display
  bcGUIchangeFrame $frame
}


# Procedure: bcGUIrestoreGroup
proc bcGUIrestoreGroup {} {
  global bcGUIcurrentGroup
  set group $bcGUIcurrentGroup
  if {[group_exists $group] == 0} {
    puts "ERROR: Group $group does not exist."
    return -code error "ERROR: Group $group does not exist."
  }
  group_restorePCMRISegs $group
  return SV_OK
}


# Procedure: bcGUIsaveTaggedPixels
proc bcGUIsaveTaggedPixels {} {
   global gFilenames
   global gTaggedPixels

   if {[info exists gTaggedPixels] == 0} {
     return -code error "ERROR:  no tagged pixels!"
   }
   if {[llength [array names gTaggedPixels]] <= 0} {
      return -code error "ERROR: no tagged pixels"
   }

   set fp [open $gFilenames(tagged_pixels_file) w]
   puts $fp "# geodesic_tagged_pixels 1.0"
   puts $fp "global gTaggedPixels"
   puts $fp "catch {unset gTaggedPixels}"
   foreach i [lsort -dictionary [array names gTaggedPixels]] {
     puts $fp "set gTaggedPixels($i) 1"
   }
   close $fp
}


# Procedure: bcGUIscaleSeg
proc bcGUIscaleSeg { type} {

  global bcGUIcurrentFrameNumber
  set frame $bcGUIcurrentFrameNumber

  # need to translate hand/analytic to proper type
  if {$type == "analytic"} {
    global bcGUIanalContourType
    set type $bcGUIanalContourType
  } elseif {$type == "hand"} {
    global bcGUIhandContourType
    set type $bcGUIhandContourType
  }

  if {$type == "levelset"} {
    set seg /gBC/pcdata/mag/$frame/ls
  } elseif {$type == "threshold"} {
    set seg /gBC/pcdata/mag/$frame/thr/selected
  } else {
    return -code error "Invalid segmentation type ($type)."
  }

  if {[repos_exists -obj $seg] == 0} {
    return
  }

  # keep the tags on the segmentation
  foreach key [repos_getLabelKeys -obj $seg] {
    set seg_keys($key) [repos_getLabel -obj $seg -key $key]
  }

  global bcGUIscaleFactor

  set cntrseg   /bcGUI/scaled/centered
  set scaledseg /bcGUI/scaled/scaled

  catch {repos_delete -obj $cntrseg}
  catch {repos_delete -obj $scaledseg}

  # move center to origin
  set center [geom_avgPt -obj $seg]
  geom_translate -src $seg -dst $cntrseg -vec [math_scaleVec $center -1.0]
  # scale segmentation
  geom_scaleAvg -src $cntrseg -dst $scaledseg -factor $bcGUIscaleFactor
  catch {repos_delete -obj $seg}
  catch {repos_delete -obj $segoriented}
  # move back to center
  geom_translate -src $scaledseg -dst $seg -vec $center

  # reattach tags
  foreach key [array names seg_keys] {
    repos_setLabel -obj $seg -key $key -value $seg_keys($key)
  }
  # update seg
  set scale_factor 1.0
  if {[info exists seg_keys(scale_factor)] == 1} {
    repos_clearLabel -obj $seg -key scale_factor
    set scale_factor $seg_keys(scale_factor)
  }
  repos_setLabel -obj $seg -key scale_factor -value [expr double($scale_factor) * $bcGUIscaleFactor]

  # update display
  bcGUIchangeFrame $frame
}


# Procedure: bcGUIsegBatch
proc bcGUIsegBatch { choice} {

  global bcGUIbatchEntry

  set entry $bcGUIbatchEntry

  # find min/max frame number
  global symbolicName
  global gBC
  set minFrame 1
  set maxFrame $gBC(numSlices)

  # we allow a special file to be specified which comes from vcalc
  # in the batch space for thresholding

  if {$choice == "threshold"} {

    set isFile 0
    if {[file exists $entry] == 1} {
      set isFile 1
    }
    if {$isFile == 1} {
      set allframes {}
      set fp [open $entry "r"]
      while {[gets $fp line] >= 0} {
        scan $line "Frame %i, threshold = %i" frame value
        set threshValues($frame) $value
        lappend allframes $frame
      }
      close $fp
    } else {
      set allframes [string_parse $bcGUIbatchEntry $minFrame $maxFrame]
    }
  } elseif {$choice == "levelset"} {

    set allframes [string_parse $bcGUIbatchEntry $minFrame $maxFrame]

  } else {

    return -code error "ERROR:  Illegal type $choice."

  }

  if {[llength $allframes] == 0} {
     puts "ERROR:  No frames specified."
     return -code error "ERROR:  No frames specified."
  }
  set yesno [tk_messageBox -message "Do you want to attempt [llength $allframes] segmentations?" -default no -icon question -type yesno]
  if {$yesno == "no"} {
        return -code error "User halted."
  }
  if {[llength $allframes] >= 5} {
     set yesno [tk_messageBox -message "Are you really, really sure?  You will be attempting [llength $allframes] segmentations." -default no -icon question -type yesno]
     if {$yesno == "no"} {
        return -code error "User halted."
     }
  }

  set starttime [clock seconds]
  foreach frame $allframes {
    $symbolicName(bcGUIframeScrollbar) set $frame
    if {$choice == "threshold"} {
      # only set the threshold value if we've read in a file of them
      if {$isFile == 1} {
        global bcGUIthrValue
        set bcGUIthrValue $threshValues($frame)
      }
      bcGUIthrSlice
    } elseif {$choice == "levelset"} {
      bcGUIlsSlice
    } else {
      return -code error "ERROR:  $type not valid."
    }
  }
  puts "time for batch run: [expr [clock seconds] - $starttime] seconds."
}


# Procedure: bcGUIselectGroup
proc bcGUIselectGroup {} {

  global bcGUIcurrentGroup
  global guiSELECTGROUPSvars
  if {[info exists guiSELECTGROUPSvars(callbackFunction)] == 0} {
      set guiSELECTGROUPSvars(callbackFunction) {}
  }
  set callback $guiSELECTGROUPSvars(callbackFunction)
  if {$callback == ""} {
     set guiSELECTGROUPSvars(callbackFunction) bcGUIselectGroup
     ShowWindow.guiSELECTGROUPS
     guiSELECTGROUPSrefresh
  } else {
    set guiSELECTGROUPSvars(callbackFunction) {}
    global guiSELECTGROUPSvars
    set choice $guiSELECTGROUPSvars(selectedGroup)
    if {$choice != ""} {
       global bcGUIcurrentGroup
       set bcGUIcurrentGroup $choice
    }
  }
}


# Procedure: bcGUIsetMagFactorWithPotWin
proc bcGUIsetMagFactorWithPotWin {} {

   global bcGUIcurrentFrameNumber
   set value $bcGUIcurrentFrameNumber

   # hard coded name of color map
   set colorMap vis_img_g8bitGrayscaleLUT_bcRenWinPot_ren1
   # hard coded reslice pot name
   set slice /gBC/pcdata/pot/$value

   if {[cmdExists $colorMap] == 1} {
      set tableRange [$colorMap GetTableRange]
      set scalarRange [[repos_exportToVtk -src $slice] GetScalarRange]
      puts "tableRange: $tableRange"
      puts "scalarRange: $scalarRange"
      global bcGUIlsParams
      set bcGUIlsParams(MagFactor) [expr double(0.33*[lindex $tableRange 1])/double([lindex $scalarRange 1])]
      set maxPot [expr int(double($bcGUIlsParams(MagFactor))*double([lindex $scalarRange 1]))]
      set minPot [expr int(0.9*$maxPot)]
      $colorMap SetTableRange $minPot $maxPot
      global bcGUIpotWindow
      [$bcGUIpotWindow(ren) GetRenderWindow] Render
      return
   }
   puts "WARNING:  Potential window LUT not found."
   return
}


# Procedure: bcGUIsetPotWinWithMagFactor
proc bcGUIsetPotWinWithMagFactor {} {

   global bcGUIcurrentFrameNumber
   set value $bcGUIcurrentFrameNumber

   # hard coded name of color map
   set colorMap vis_img_g8bitGrayscaleLUT_bcRenWinPot_ren1
   # hard coded reslice pot name
   set slice /gBC/pcdata/pot/$value

   if {[cmdExists $colorMap] == 1} {
      set tableRange [$colorMap GetTableRange]
      set scalarRange [[repos_exportToVtk -src $slice] GetScalarRange]
      puts "tableRange: $tableRange"
      puts "scalarRange: $scalarRange"
      global bcGUIlsParams
      set maxPot [expr int(double($bcGUIlsParams(MagFactor))*double([lindex $scalarRange 1]))]
      set minPot [expr int(0.9*$maxPot)]
      $colorMap SetTableRange $minPot $maxPot
      global bcGUIpotWindow
      [$bcGUIpotWindow(ren) GetRenderWindow] Render
      return
   }
   puts "WARNING:  Potential window LUT not found."
   return
}


# Procedure: bcGUIsetupCtrlWindow
proc bcGUIsetupCtrlWindow {} {

  global symbolicName
  global gBC
  set scale $symbolicName(bcGUIframeScrollbar)
  $scale configure -from 1
  $scale configure -to $gBC(numSlices)
}


# Procedure: bcGUIthrSlice
proc bcGUIthrSlice {} {

  global bcGUIthrValue
  global bcGUIcurrentFrameNumber
  set frame $bcGUIcurrentFrameNumber
  set thr /gBC/pcdata/mag/$frame/thr
  set thr_unclean /gBC/pcdata/mag/$frame/thr/unclean
  set picked /gBC/pcdata/mag/$frame/thr/selected
  catch {repos_delete -obj $thr}
  catch {repos_delete -obj $thr_unclean}
  catch {repos_delete -obj $picked}

  set mag  /gBC/pcdata/mag/$frame
  set pot  /gBC/pcdata/pot/$frame

  global gBC
  set imageInfo $gBC(phase_contrast_params)
  foreach i $imageInfo {
    set [lindex $i 0] [lindex $i 1]
  }

  # threshold
  global bcGUIthresholdType
  set type $bcGUIthresholdType

  if {$type == "mag"} {
    set img [repos_exportToVtk -src $mag]
    if {$bcGUIthrValue == 0} {
      return -code error "ERROR:  Must set a non-zero threshold value!"
    }
    repos_importVtkPd -src [img_contour $img $bcGUIthrValue]  -dst $thr_unclean
  } elseif {$type == "grad"} {
    global bcGUIlsParams
    # find the range of the mangitude gradient
    set MGrng [[repos_exportToVtk -src $pot] GetScalarRange]
    set maxMGi [lindex $MGrng 1]
    set MGi_c [expr $bcGUIlsParams(MagFactor) * $maxMGi]
    repos_importVtkPd -src [img_contour [repos_exportToVtk -src $pot] $MGi_c]  -dst $thr_unclean
  } else {
    puts "ERROR:  Invalid threshold type $type."
    return -code error "ERROR:  Invalid threshold type $type."
  }

  geom_mergePts -src $thr_unclean -dst $thr
  repos_delete -obj $thr_unclean

  repos_setLabel -obj $thr -key thresholdValue  -value $bcGUIthrValue

  # select contour
  global bcGUIctrX
  global bcGUIctrY

  set center [list [expr double([lindex $voxel_dims 0])*double($bcGUIctrX)]  [expr double([lindex $voxel_dims 1])*double($bcGUIctrY)] 0]

  if [catch {geom_pick -result $picked -obj $thr -pos $center} msg] {

    puts "Did not find closed boundary for $thr.  ($msg)"

  } else {

    # subsample the loop
    set pts [geom_getOrderedPts -obj $picked]
    set curveLength [math_curveLength -pts $pts -closed 1]
    set numSamplePoints [expr int(ceil($curveLength/[lindex $voxel_dims 0]))]
    global bcGUInumSamplePoints
    set bcGUInumSamplePoints $numSamplePoints
    set newpts [math_linearInterpCurve -pts $pts -closed 1 -numInterpPts $numSamplePoints]
    repos_delete -obj $picked
    geom_mkLinesFromPts $newpts $picked 1

    repos_setLabel -obj $picked -key center_x_in_pixels -value $bcGUIctrX
    repos_setLabel -obj $picked -key center_y_in_pixels -value $bcGUIctrY
    repos_setLabel -obj $picked -key center_x           -value [lindex $center 0]
    repos_setLabel -obj $picked -key center_y           -value [lindex $center 1]
    repos_setLabel -obj $picked -key threshold_value    -value $bcGUIthrValue
    repos_setLabel -obj $picked -key creation_method    -value "threshold"
    repos_setLabel -obj $picked -key creation_type      -value "threshold"
    repos_setLabel -obj $picked -key num_subsample_pts  -value $numSamplePoints
    repos_setLabel -obj $picked -key frame              -value $frame

  }

  # update display
  bcGUIchangeFrame $frame
}


# Procedure: bcGUItranslateSeg
proc bcGUItranslateSeg { type} {

  global bcGUIcurrentFrameNumber
  set frame $bcGUIcurrentFrameNumber

  # need to translate hand/analytic to proper type
  if {$type == "analytic"} {
    global bcGUIanalContourType
    set type $bcGUIanalContourType
  } elseif {$type == "hand"} {
    global bcGUIhandContourType
    set type $bcGUIhandContourType
  }

  if {$type == "levelset"} {
    set seg /gBC/pcdata/mag/$frame/ls
  } elseif {$type == "threshold"} {
    set seg /gBC/pcdata/mag/$frame/thr/selected
  } else {
    return -code error "Invalid segmentation type ($type)."
  }

  if {[repos_exists -obj $seg] == 0} {
    return
  }

  # keep the tags on the segmentation
  foreach key [repos_getLabelKeys -obj $seg] {
    set seg_keys($key) [repos_getLabel -obj $seg -key $key]
  }

  global bcGUItransX
  global bcGUItransY

  set beforetrans   /bcGUI/before-translate

  catch {repos_delete -obj $beforetrans}
  geom_copy -src $seg -dst $beforetrans
  catch {repos_delete -obj $seg}
  geom_translate -src $beforetrans -dst $seg -vec [list $bcGUItransX $bcGUItransY 0.0]

  # reattach tags
  foreach key [array names seg_keys] {
    repos_setLabel -obj $seg -key $key -value $seg_keys($key)
  }
  # update seg
  set translation_in_x 0.0
  set translation_in_y 0.0
  if {[info exists seg_keys(translation_in_x)] == 1} {
    repos_clearLabel -obj $seg -key translation_in_x
    set translation_in_x $seg_keys(translation_in_x)
  }
  repos_setLabel -obj $seg -key translation_in_x -value [expr $translation_in_x + $bcGUItransX]
  if {[info exists seg_keys(translation_in_y)] == 1} {
    repos_clearLabel -obj $seg -key translation_in_y
    set translation_in_y $seg_keys(translation_in_y)
  }
  repos_setLabel -obj $seg -key translation_in_y -value [expr $translation_in_y + $bcGUItransY]

  # update display
  bcGUIchangeFrame $frame
}


# Procedure: bcGUIupdate3dWindow
proc bcGUIupdate3dWindow {} {
    global bcGUI3dWindow
    global bcGUIcurrentFrameNumber
    global gRen3d
    set frame $bcGUIcurrentFrameNumber
    set magpd /gBC/pcdata/mag/hardcoded/pd
    set tmpobj /tmp/bcGUIupdate3dWindow/tmpobj
    set vectrepos /gBC/pcdata/vel/hardcoded/pd

    if {$bcGUI3dWindow(showWindow) == 1} {
      # create a polydata so we can visualize the
      # mag slice in the 3-d window
      set myfilt tmp-bcGUIupdate3dWindow-myfilt
      catch {$myfilt Delete}
      vtkImageDataGeometryFilter  $myfilt
      $myfilt SetInputDataObject [repos_exportToVtk -src /gBC/pcdata/mag/$frame]
      $myfilt Update
      global gFilenames

      set mymatrix tmp-bcgui-matrix
      catch {$mymatrix Delete}
      img_calcTransformMatrixToRAS $gFilenames(phase_contrast_geometric) $mymatrix

      catch {repos_delete -obj $magpd}
      catch {repos_delete -obj $tmpobj}
      repos_importVtkPd -src [$myfilt GetOutput] -dst $tmpobj
      geom_applyTransformMatrix $tmpobj $mymatrix $magpd

      repos_setLabel -obj $magpd -key showK -value 1

      global gRen3d
      catch {vis_pRm $gRen3d $magpd}
      catch {vis_vRm $gRen3d $vectrepos}

      # so we can visualize the vectors
      if {$bcGUI3dWindow(showRawVectors) == 1} {
        set vVectors gBC-pcdata-hardcoded-vectors
        set vPoly gBC-pcdata-hardcoded-pd
        catch {$vVectors Delete}
        catch {$vPoly Delete}

        vtkFloatArray $vVectors; $vVectors SetNumberOfComponents 3
        $vVectors Allocate 100 100
        vtkPolyData $vPoly
        $vPoly Allocate 100 100

        for {set pixel 0} {$pixel < [[repos_exportToVtk -src /gBC/pcdata/mag/$frame] GetNumberOfPoints]} {incr pixel} {
          global gBC
          if {$gBC(numVelComp) == 1} {
            # only for thruplane
            set velslice /gBC/pcdata/vel/$frame
            set velvalueX 0
            set velvalueY 0
            set velvalueZ [[[[repos_exportToVtk -src $velslice] GetPointData] GetScalars] GetTuple1 $pixel]
          } elseif {$gBC(numVelComp) == 3} {
            set velsliceX /gBC/pcdata/vel/$frame/[lindex $gBC(xyz) 0]
            set velsliceY /gBC/pcdata/vel/$frame/[lindex $gBC(xyz) 1]
            set velsliceZ /gBC/pcdata/vel/$frame/[lindex $gBC(xyz) 2]
            #set velsliceX /gBC/pcdata/vel/$frame/r
            #set velsliceY /gBC/pcdata/vel/$frame/a
            #set velsliceZ /gBC/pcdata/vel/$frame/s
            set velvalueX [[[[repos_exportToVtk -src $velsliceX] GetPointData] GetScalars] GetTuple1 $pixel]
            set velvalueY [[[[repos_exportToVtk -src $velsliceY] GetPointData] GetScalars] GetTuple1 $pixel]
            set velvalueZ [[[[repos_exportToVtk -src $velsliceZ] GetPointData] GetScalars] GetTuple1 $pixel]
            # flip directions if necessary
            set velvalueX [expr double([lindex $gBC(directions) 0])*$velvalueX]
            set velvalueY [expr double([lindex $gBC(directions) 1])*$velvalueY]
            set velvalueZ [expr double([lindex $gBC(directions) 2])*$velvalueZ]
      } else {
            return -code error
      }
          #puts "pixel: $pixel value: $velvalueX $velvalueY $velvalueZ"
          # flip directions if necessary

          $vVectors InsertNextTuple3 $velvalueX $velvalueY $velvalueZ
        }

        set vCreateNorm bcGUI-pcdata-hardcoded-norm
        catch {$vCreateNorm Delete}
        set tmpvectrepos /gBC/pcdata/vel/hardcoded/tmp/pd

        catch {repos_delete -obj $tmpvectrepos}
        catch {repos_delete -obj $vectrepos}

        $vPoly CopyStructure [$myfilt GetOutput]
        [$vPoly GetPointData] SetVectors $vVectors

        vtkVectorNorm $vCreateNorm
        $vCreateNorm SetInputDataObject $vPoly
        $vCreateNorm Update

        repos_importVtkPd -src [$vCreateNorm GetOutput] -dst $tmpvectrepos
        set velscalarrange [[$vCreateNorm GetOutput] GetScalarRange]
        $vCreateNorm Delete

        geom_applyTransformMatrix $tmpvectrepos $mymatrix $vectrepos
        catch {vis_vRm $gRen3d $vectrepos}
        set velactor [vis_vRepos $gRen3d $vectrepos]
        [$velactor GetMapper] ScalarVisibilityOn
        [$velactor GetMapper] SetLookupTable gBlueToRedLUT
        [$velactor GetMapper] SetScalarRange  [lindex $velscalarrange 0] [lindex $velscalarrange 1]
        global bcGUI3dWindow
        vis_vSetScale $gRen3d $vectrepos $bcGUI3dWindow(scaleFactor)
      }

      if {$bcGUI3dWindow(showMagSlice) == 1} {
        set actor [vis_pRepos $gRen3d $magpd]
        [$actor GetMapper] ScalarVisibilityOn

        set lookupGrayscale vis_img_g8bitGrayscaleLUT_3d_pcmri
        set lookupColor vis_img_gBlueToRedLUT_3d_pcmri

        if {[cmdExists $lookupGrayscale] == 0} {
          # 8-bit grayscale lookup table
          # ----------------------------
          vtkLookupTable $lookupGrayscale
          $lookupGrayscale SetHueRange 0.0 0.0
          $lookupGrayscale SetSaturationRange 0.0 0.0
          $lookupGrayscale SetValueRange 0.0 1.0
          $lookupGrayscale SetNumberOfColors 16384
          $lookupGrayscale Build

          # Red-to-blue colormap
          # --------------------
          vtkLookupTable $lookupColor
          $lookupColor SetHueRange 0.6667 0.0
          $lookupColor SetSaturationRange 1.0 1.0
          $lookupColor SetValueRange 1.0 1.0
          $lookupColor SetAlphaRange 1.0 1.0
          $lookupColor SetNumberOfColors 16384
          $lookupColor Build
        }

        [$actor GetMapper] SetLookupTable $lookupGrayscale

        set irng  [[repos_exportToVtk -src /gBC/pcdata/mag/$frame] GetScalarRange]
        [$actor GetMapper] SetScalarRange [lindex $irng 0] [lindex $irng 1]
        #[$actor GetMapper] SetLookupTable gBlueToRedLUT
        [$gRen3d GetRenderWindow] Render
        # set color here
      }

    } else {

       catch {vis_pRm $gRen3d $magpd}
       catch {vis_vRm $gRen3d $vectrepos}

    }
}


# Procedure: bcGUIupdateMagWindow
proc bcGUIupdateMagWindow {} {
    global bcGUImagWindow
    # delete window if it is no longer wanted
    if {$bcGUImagWindow(showWindow) == "0" &&
        [cmdExists bcRenWinMag] == "1"} {
       #vis_deleteWindow bcRenWinMag $bcGUImagWindow(ren)
       vis_2DRenWin_delete bcRenWinMag
       # if render window is deleted, make sure we
       # are not trying to update the level set evolution in
       # the deleted window
       global gOptions
       set rens $gOptions(lsetDisplayWindows)
       set loc [lsearch $rens bcRenWinMag]
       if {$loc >= 0} {
          set gOptions(lsetDisplayWindows) [lreplace $rens $loc $loc]
       }
       return
    }
    # create window if it doesn't exist and we want it to
    if {$bcGUImagWindow(showWindow) == "1" && [cmdExists bcRenWinMag] == "0"} {
  set bcGUImagWindow(ren) [vis_2DRenWin bcRenWinMag]
        set bcGUImagWindow(renderWindow) bcRenWinMag
        global bcGUIcurrentFrameNumber
        set frame $bcGUIcurrentFrameNumber
        bcGUIchangeFrame $frame
        vis_renReset $bcGUImagWindow(ren)
    } else {
        global bcGUIcurrentFrameNumber
        set frame $bcGUIcurrentFrameNumber
        bcGUIchangeFrame $frame
    }
}


# Procedure: bcGUIupdatePotWindow
proc bcGUIupdatePotWindow {} {
    global bcGUIpotWindow
    # delete window if it is no longer wanted
    if {$bcGUIpotWindow(showWindow) == "0" &&
        [cmdExists bcRenWinPot] == "1"} {
       #vis_deleteWindow bcRenWinPot $bcGUIpotWindow(ren)
       vis_2DRenWin_delete bcRenWinPot
       # if render window is deleted, make sure we
       # are not trying to update the level set evolution in
       # the deleted window
       global gOptions
       set rens $gOptions(lsetDisplayWindows)
       set loc [lsearch $rens bcRenWinPot]
       if {$loc >= 0} {
          set gOptions(lsetDisplayWindows) [lreplace $rens $loc $loc]
       }
       return
    }
    # create window if it doesn't exist and we want it to
    if {$bcGUIpotWindow(showWindow) == "1" && [cmdExists bcRenWinPot] == "0"} {
  set bcGUIpotWindow(ren) [vis_2DRenWin bcRenWinPot]
        set bcGUIpotWindow(renderWindow) bcRenWinPot
        global bcGUIcurrentFrameNumber
        set frame $bcGUIcurrentFrameNumber
        bcGUIchangeFrame $frame
        vis_renReset $bcGUIpotWindow(ren)
    } else {
        global bcGUIcurrentFrameNumber
        set frame $bcGUIcurrentFrameNumber
        bcGUIchangeFrame $frame
    }
}


# Procedure: bcGUIwriteBCTDAT
proc bcGUIwriteBCTDAT {} {

  global symbolicName

  global gImageVol
  #img_guessRASmin $gImageVol(filename)

  global gFilenames
  set mymatrix tmp-bcGUIwriteBCTDAT-matrix
  catch {$mymatrix Delete}
  img_calcTransformMatrixToRAS $gFilenames(phase_contrast_geometric) $mymatrix

  set outFileName $gFilenames(bct_dat_file)

  # parameters needed to create bct & do fft
  global gBC
  global bcGUIbctdatNumFourierTerms
  global bcGUIbctdatNumPoints
  set period $gBC(period)
  set npts $bcGUIbctdatNumPoints
  set nterms $bcGUIbctdatNumFourierTerms

  global bcGUIbctdatFrames

  catch {repos_deleteList [repos_subList /tmp/bcGUIwriteBCTDAT/*/ras]}

  global gBC
  set allframes [string_parse $bcGUIbctdatFrames 1 $gBC(numSlices)]
  foreach frame $allframes {

    set inletMeshFace /gBC/pcdata/inletMeshFace/$frame
    if {[repos_exists -obj $inletMeshFace] == 0} {
      puts "ERROR:  No usable velocity map found for frame $frame."
      continue
    }

    # do the transformation
    catch {repos_delete -obj /tmp/bcGUIwriteBCTDAT/$frame/ras}
    geom_applyTransformMatrix $inletMeshFace $mymatrix /tmp/bcGUIwriteBCTDAT/$frame/ras
  }

  set fp [open $outFileName "w"]

  foreach frame $allframes {
    set object /tmp/bcGUIwriteBCTDAT/$frame/ras
    set pointer($frame) [repos_exportToVtk -src $object]
    set pointData($frame) [$pointer($frame) GetPointData]
    set vectors($frame) [$pointData($frame) GetVectors]
    set points($frame) [$pointer($frame) GetPoints]
  }

  set numPoints [$points([lindex $allframes 0]) GetNumberOfPoints]
  puts "number of points: $numPoints"

  set numTimeSteps [llength $allframes]
  puts "numTimeSteps: $numTimeSteps"

  set timeStep [expr double($period)/double($numTimeSteps)]
  puts "Time Step: $timeStep"

  incr numTimeSteps

  #
  #  this code does not fft the nodal velocities
  #

  if {$nterms <= 0} {
    # first line of bct.dat
    puts $fp "$numPoints $numTimeSteps"
    for {set ptId 0} {$ptId < $numPoints} {incr ptId} {
      set pt [$points([lindex $allframes 0]) GetPoint $ptId]
      puts $fp [format "%e %e %e %i" [lindex $pt 0] [lindex $pt 1] [lindex $pt 2] $numTimeSteps]
      set objId 0
      foreach frame $allframes {
        set time [expr $objId*$timeStep]
        set v [$vectors($frame) GetTuple3 $ptId]
        puts $fp [format "%e %e %e %e" [lindex $v 0] [lindex $v 1] [lindex $v 2] $time]
        incr objId
      }
      # output the first point again
      set v [$vectors([lindex $allframes 0]) GetTuple3 $ptId]
      puts $fp [format "%e %e %e %e" [lindex $v 0] [lindex $v 1] [lindex $v 2] $period]
    }
  }

  #
  #  this code does FFT the nodal velocities
  #

  if {$nterms >= 1} {
    set dt [expr double($period)/double([expr $npts - 1])]
    set omega [expr 2.0*[math_pi]/$period]
    puts "period: $period"
    puts "dt: $dt"
    puts "omega: $omega"
    puts "num fourier terms: $nterms"
    puts "Time Step: $timeStep"
    puts "numTimeSteps: $numTimeSteps"

    # first line of bct.dat
    puts $fp "$numPoints $npts"
    for {set ptId 0} {$ptId < $numPoints} {incr ptId} {
      set pt [$points([lindex $allframes 0]) GetPoint $ptId]
      puts $fp [format "%e %e %e %i" [lindex $pt 0] [lindex $pt 1] [lindex $pt 2] $npts]
      set objId 0
      set vx {}
      set vy {}
      set vz {}
      foreach frame $allframes {
        set time [expr $objId*$timeStep]
        set v [$vectors($frame) GetTuple3 $ptId]
        lappend vx [list $time [lindex $v 0]]
        lappend vy [list $time [lindex $v 1]]
        lappend vz [list $time [lindex $v 2]]
        incr objId
      }
      # output the first point again
      set v [$vectors([lindex $allframes 0]) GetTuple3 $ptId]
      lappend vx [list $period [lindex $v 0]]
      lappend vy [list $period [lindex $v 1]]
      lappend vz [list $period [lindex $v 2]]
      # now do the fft in the x dir
      set terms [math_FFT -pts $vx -numInterpPts 64 -nterms $nterms]
      set vx [math_inverseFFT -terms $terms -t0 0  -dt $dt -omega $omega -numPts $npts]
      # now do the fft in the y dir
      set terms [math_FFT -pts $vy -numInterpPts 64 -nterms $nterms]
      set vy [math_inverseFFT -terms $terms -t0 0  -dt $dt -omega $omega -numPts $npts]
      # now do the fft in the z dir
      set terms [math_FFT -pts $vz -numInterpPts 64 -nterms $nterms]
      set vz [math_inverseFFT -terms $terms -t0 0  -dt $dt -omega $omega -numPts $npts]
      for {set i 0} {$i < $npts} {incr i} {
        puts $fp [format "%e %e %e %e" [lindex [lindex $vx $i] 1]  [lindex [lindex $vy $i] 1]  [lindex [lindex $vz $i] 1] [lindex [lindex $vx $i] 0]]
      }
    }
  }

  close $fp
  puts "File $outFileName written."

  catch {repos_deleteList [repos_subList /tmp/bcGUIwriteBCTDAT/*/ras]}
  catch {$mymatrix Delete}
}


# Procedure: bcGUIwriteSegsVTKflat
proc bcGUIwriteSegsVTKflat {} {

  global gFilenames
  global bcGUIcurrentGroup
  # create the directory if it doesn't exist
  set mydir $gFilenames(vel_seg_dir)
  file mkdir $mydir
  group_writeVTK $bcGUIcurrentGroup {} [file join $gFilenames(vel_seg_dir) $bcGUIcurrentGroup]
}


# Procedure: bcGUIwriteSegsVTKras
proc bcGUIwriteSegsVTKras {} {

  global gFilenames
  global bcGUIcurrentGroup
  # create the directory if it doesn't exist
  set mydir $gFilenames(vel_seg_dir)
  file mkdir $mydir
  group_writeVTK $bcGUIcurrentGroup $gFilenames(phase_contrast_geometric) [file join $gFilenames(vel_seg_dir) $bcGUIcurrentGroup]
}


# Procedure: bcGUIwriteVTKinletMeshVel
proc bcGUIwriteVTKinletMeshVel {} {

  global symbolicName

  global gImageVol
  #img_guessRASmin $gImageVol(filename)

  global gFilenames
  set mymatrix tmp-bcGUIwriteVTKinlet-matrix
  catch {$mymatrix Delete}
  img_calcTransformMatrixToRAS $gFilenames(phase_contrast_geometric) $mymatrix

  global bcGUIoutInletMeshVelFrames

  # create the directory if it doesn't exist
  set mydir $gFilenames(mapped_inlet_mesh_dir)
  file mkdir $mydir

  global gBC
  set allframes [string_parse $bcGUIoutInletMeshVelFrames 1 $gBC(numSlices)]
  foreach frame $allframes {

    set inletMeshFace /gBC/pcdata/inletMeshFace/$frame
    if {[repos_exists -obj $inletMeshFace] == 0} {
      puts "ERROR:  No usable velocity map found for frame $frame."
      continue
    }

    # do the transformation
    catch {repos_delete -obj /tmp/bcGUIwriteVTKinletVel/ras}
    geom_applyTransformMatrix $inletMeshFace $mymatrix /tmp/bcGUIwriteVTKinletVel/ras
    repos_writeVtkPolyData -file [file join $mydir inlet-mesh-with-vel-$frame.vtk] -obj /tmp/bcGUIwriteVTKinletVel/ras -type ascii

  }

    catch {repos_delete -obj /tmp/bcGUIwriteVTKinletVel/ras}
    catch {$mymatrix Delete}
}


# Procedure: bcGUIwriteVTKinletVel
proc bcGUIwriteVTKinletVel {} {
  global symbolicName
  global gFilenames
  global bcGUIoutInletVelFrames

  global gBC
  set allframes [string_parse $bcGUIoutInletVelFrames 1 $gBC(numSlices)]

  # create directory if it doesn't exist
  set mydir $gFilenames(mapped_vel_dir)
  file mkdir $mydir

  foreach frame $allframes {
    set velocity_map /gBC/pcdata/warpVel/$frame
    set filename [file join $mydir velocity_map-$frame.vtk]
    repos_writeVtkPolyData -file $filename -obj $velocity_map -type ascii
  }
}


# Procedure: bcGUIwriteVolFlowResults
proc bcGUIwriteVolFlowResults {} {
  global gFlow
  # make vcalc like output
  global gFilenames
  set fp [open $gFilenames(vcalc_flow_file) "w"]
  puts [format "%15s%15s%15s%15s%15s%15s" "Frame" "Flow (ml/min)"  "Avg V" "Min V" "Max V" "area (mm^2)"]
  puts $fp [format "%15s%15s%15s%15s%15s%15s" "Frame" "Flow (ml/min)"  "Avg V" "Min V" "Max V" "area (mm^2)"]
  global bcGUIvcalcFrames
  global gBC
  set allframes [string_parse $bcGUIvcalcFrames 1 $gBC(numSlices)]
  foreach i $allframes {
    if {[info exists gFlow($i)] == 1} {
      set data $gFlow($i)
    } else {
      puts "Warning: flow calculation results does not exist for $i."
      continue
    }
    set flowRate [expr double([lindex $data 0])/1000.0*60.0]
    set AvgVel [lindex $data 1]
    set MinVel [lindex $data 2]
    set MaxVel [lindex $data 3]
    set totalArea [lindex $data 4]
    puts [format "%15i%15.3f%15.3f%15.3f%15.3f%15.3f" $i $flowRate $AvgVel $MinVel $MaxVel $totalArea]
    puts $fp [format "%15i%15.3f%15.3f%15.3f%15.3f%15.3f" $i $flowRate $AvgVel $MinVel $MaxVel $totalArea]
  }
  close $fp
}


# Procedure: createPREOPgrpLoadGroups
proc createPREOPgrpLoadGroups {} {

    global gFilenames
    set grpdir $gFilenames(groups_dir)
    set filename [file join $grpdir group_contents.tcl]

    # check and see if the file exists
    if {[file exists $filename] == 0} {
      puts "ERROR: File $filename does not exist."
      return -code error "ERROR: File $filename does not exist."
    }

    # check for header
    set fp [open $filename "r"]
    set line {}
    catch {gets $fp line}
    close $fp

    if {[regexp geodesic_groups_file $line] == 0} {
      puts "ERROR: File $filename is not of the right format."
      return -code error "ERROR: File $filename is not of the right format."
    }

    if {[regexp 1.0 $line] == 0 && [regexp 2. $line] == 0} {
      puts "ERROR: File $filename is not version 1.0 or 2.x.  File being ignored!"
      return -code error "ERROR: File $filename is not version 1.0 or 2.x.  File being ignored!"
    }
    set version "2.0"
    regexp 2.* $line version sub] != 0


    source $filename

    group_autoload
    if {$version >= "2.3"} {
      seg3d_autoload
    }
    #createPREOPgrpUpdateAvailGrps
}


# Procedure: createPREOPgrpSaveGroups
proc createPREOPgrpSaveGroups {} {

  # create the directory if it doesn't exist
  global gFilenames
  set grpdir $gFilenames(groups_dir)
  set contents_file [file join $grpdir group_contents.tcl]

  if {[file exists $grpdir] == 1} {
    if {[file isdirectory $grpdir] == 0} {
      puts "ERROR:  Group directory $grpdir is apparently a file!"
      return -code error "ERROR:  Group directory $grpdir is apparently a file!"
    }
  } else {
      if [catch {file mkdir $grpdir}] {
      puts "ERROR:  Could not create directory $grpdir."
      return -code error "ERROR:  Could not create directory $grpdir."
    }
  }

  set fp [open $contents_file "w"]
  puts $fp "# geodesic_groups_file 2.3"
  puts $fp ""
  puts $fp "#"

  puts $fp "proc group_autoload {} {"
  puts $fp "  global gFilenames"
  puts $fp "  set grpdir \$gFilenames(groups_dir)"
  puts $fp "  # Group Stuff"
  set names [group_names]
  if {[llength $names] > 0} {

    foreach name $names {
  puts $fp "  group_readProfiles \{$name\} \[file join \$grpdir \{$name\}\]"
        group_saveProfiles $name [file join $grpdir $name]
    }

  }
  puts $fp "}"


  puts $fp "proc seg3d_autoload {} {"
  puts $fp "  global gFilenames"
  puts $fp "  set grpdir \$gFilenames(groups_dir)"
  set names [seg3d_names]
  puts $names
  puts $fp "# Seg Stuff"
  if {[llength $names] > 0} {
    foreach name $names {
      set fn [file join $grpdir $name.svsurf]
      puts $fp "  seg3d_readSurf \{$name\} \[file join \$grpdir \{$fn\}\]"

      puts $fn
      seg3d_saveSurf $name $fn

    }

  }

  puts $fp "}"
  close $fp
}


# Procedure: createPREOPgrpUpdateAvailGrps
proc createPREOPgrpUpdateAvailGrps {} {

 global symbolicName

 # delete any existing entries first
 $symbolicName(createPREOPgrpAvailLB) delete 0 end

 # insert the group names into the listbox
 foreach i [group_names] {
   $symbolicName(createPREOPgrpAvailLB) insert end $i
 }

 $symbolicName(createPREOPgrpAvailLB) selection clear 0 end
}


# Procedure: createPREOPloadsaveLoadPCMRI
proc createPREOPloadsaveLoadPCMRI {} {

  global gFilenames
  global gBC
  global gImageVol

  # for pc data
  if {[info exists gFilenames(phase_contrast_geometric)] == 1} {
    if {[string length [string trim $gFilenames(phase_contrast_geometric)]] != 0} {
      set fn $gFilenames(phase_contrast_geometric)
      set roi [list $gBC(voi_x0) $gBC(voi_x1) $gBC(voi_y0) $gBC(voi_y1)]
      catch {repos_deleteList [repos_subList /gBC/pcdata/mag/*]}
      catch {repos_deleteList [repos_subList /gBC/pcdata/pot/*]}
      catch {repos_deleteList [repos_subList /gBC/pcdata/vel/*]}
      catch {repos_deleteList [repos_subList /gBC/pcdata/phase/*]}
      catch {repos_deleteList [repos_subList /gBC/pcdata/warpVel/*]}
      catch {unset gFlow}
      puts "Loading phase contrast data."

      # autodect if we have 1 or 3 component velocity data
      set speed {}
      set collapse {}
      set r {}
      set a {}
      set s {}
      set mag {}

      foreach i [lsort -dictionary [glob [file join [file dirname $fn] I.*]]] {
        if [catch {set header [img_readHeader -file $i]}] continue
        foreach piece $header {
          set [lindex $piece 0] [lindex $piece 1]
        }
        if {$vas_collapse == 0 || $vas_collapse == 7 ||  $vas_collapse == 12} {
           #puts "$i: $vas_collapse is speed"
           lappend speed $i
        } elseif {$vas_collapse == 1 || $vas_collapse == 13} {
           #puts "$i: $vas_collapse is collapse"
           lappend collapse $i
        } elseif {$vas_collapse == 2 || $vas_collapse == 8} {
           #puts  "$i: $vas_collapse is mag"
           lappend mag $i
        } elseif {$vas_collapse == 3 || $vas_collapse == 9} {
           #puts "$i: $vas_collapse is R/L"
           lappend r $i
        } elseif {$vas_collapse == 4 || $vas_collapse == 10} {
           #puts  "$i: $vas_collapse is A/P"
           lappend a $i
        } elseif {$vas_collapse == 5 || $vas_collapse == 11} {
           #puts  "$i: $vas_collapse is S/I"
           lappend s $i
        }

      }

      if {[llength $mag] == 0} {
        puts "ERROR:  No magnitude image slices!"
        return -code error "ERROR:  No magnitude image slices!"
      }

      # we basically are ignoring the user set value of numSlices
      global gBC
      set numSlices $gBC(numSlices)

      # load the magnitude data
      for {set i 1} {$i <= $numSlices} {incr i} {
        set magslice "/gBC/pcdata/mag/$i"
        set imgname [lindex $mag [expr $i - 1]]
        img2_readSliceROI $imgname $magslice $roi
        repos_importVtkImg -src [img_magGrad $magslice] -dst /gBC/pcdata/pot/$i
      }

      if {[llength $r] == $numSlices && [llength $a] == $numSlices && [llength $s] == $numSlices} {
         puts "Found 3-component data."
         set gBC(numVelComp) 3
         # the orientation should be the same for all slices, so just
         # arbitrarily pick a file
   set xyz {}
   set directions {}
         img_findPCMRIorientation [lindex $r 0] xyz directions
         set gBC(xyz) $xyz
         set gBC(directions) $directions
         puts "xyz: $xyz  directions: $directions"

         #  process the files

         foreach fileSet {r a s} {

           eval set filenames \$$fileSet

     for {set i 1} {$i <= $numSlices} {incr i} {

             # read phase information
             set imgname [lindex $filenames [expr $i - 1]]
             set phaseslice "/gBC/pcdata/phase/$i/$fileSet"
             puts "$fileSet: $imgname $i $phaseslice"
             img2_readSliceROI $imgname $phaseslice $roi

             # get userN and vencscale from header
             set imageInfo [img_readHeader -file $imgname]
             foreach piece $imageInfo {
               set [lindex $piece 0] [lindex $piece 1]
             }

             # we have two venc's in this case, so lets rename from the header
             set in_plane_venc $venc

             # Determine venc to use for this image based on sequence used
             # and slice direction.

             # is 2dpcspgr the same as 2dphcon??

             if {$psdname == "~wedding/2d2vpc"} {
           if {[lindex $xyz 2] == $fileSet} {
              set venc [expr double($venc) * double($user2)]
              puts "    through plane venc: $venc  ($psdname --> venc * user2)"
           } else {
              set venc $in_plane_venc
                    puts "    in plane venc:  $venc ($psdname -->  venc)"
               }
       } elseif {$psdname == "mVINNIE"} {
           if {$fileSet == "r"} {
              set venc [expr 10.0 * double($user5)]
              puts "    r/l venc:  $venc ($psdname --> user5)"
           } elseif {$fileSet == "a"} {
              set venc [expr 10.0 * double($user6)]
              puts "    a/p venc:  $venc ($psdname --> user6)"
           } elseif {$fileSet == "s"} {
              set venc [expr 10.0 * double($user7)]
                    puts "    s/i venc:  $venc ($psdname --> user7)"
             } else {
              return -code error "ERROR:  unknown file type  $fileSet"
           }
       } elseif {$psdname == "mvinnie"} {
           if {$fileSet == "r"} {
              set venc [expr 10.0 * double($user5)]
              puts "    r/l venc:  $venc ($psdname --> user5)"
           } elseif {$fileSet == "a"} {
              set venc [expr 10.0 * double($user6)]
              puts "    a/p venc:  $venc ($psdname --> user6)"
           } elseif {$fileSet == "s"} {
              set venc [expr 10.0 * double($user7)]
                    puts "    s/i venc:  $venc ($psdname --> user7)"
             } else {
              return -code error "ERROR:  unknown file type  $fileSet"
           }
       } elseif {$psdname == "calvpc"} {
           if {$fileSet == "r"} {
              set venc [expr 10.0 * double($user12)]
              puts "    r/l venc:  $venc ($psdname --> user12)"
           } elseif {$fileSet == "a"} {
              set venc [expr 10.0 * double($user13)]
              puts "    a/p venc:  $venc ($psdname --> user13)"
           } elseif {$fileSet == "s"} {
              set venc [expr 10.0 * double($user14)]
                    puts "    s/i venc:  $venc ($psdname --> user14)"
             } else {
              return -code error "ERROR:  unknown file type  $fileSet"
           }
       } elseif {$psdname == "2dpcspgr"} {
           if {[lindex $xyz 2] == $fileSet} {
              set venc $user2
              puts "    through plane venc:  $venc  ($psdname --> user2)"
           } else {
              set venc $in_plane_venc
                    puts "    in plane venc:  $venc ($psdname -->  venc)"
               }
             } elseif {$psdname == "2dphcon"} {
           set venc $in_plane_venc
           puts "     venc:  $venc ($psdname --> venc)"
             } elseif {$psdname == "fgre"} {
           set venc $in_plane_venc
           puts "     venc:  $venc ($psdname --> venc)"
       } else {
                 puts " $psdname NOT SUPPORTED!!"
                 return -code error "ERROR:  $psdname not supported!"
       }

             # decode velocity info
             #puts "decode slice $i"
             set magslice "/gBC/pcdata/mag/$i"
             # we need to be careful and look at the value of _MR_vasflags to see
             # if the phase angle has been multipled by the magnitude.
             if {[expr $mag_weight_flag & 2] == 0} {
               img_decode -phaseImage $phaseslice -venc $venc  -vencscale $vencscale -result /gBC/pcdata/vel/$i/$fileSet
         } else {
               img_decode -magImage $magslice -phaseImage $phaseslice -venc $venc  -vencscale $vencscale -result /gBC/pcdata/vel/$i/$fileSet
         }
             repos_setLabel -obj /gBC/pcdata/vel/$i/$fileSet -key originalImageFile -value $imgname
           }

         }

      } else {

         puts "Assuming through-plane data."
         set gBC(numVelComp) 1
         # 1-comp data usually appear as just r slices, but
         # just in case
         set velImages [lsort -dictionary [concat $r $a $s]]
         if {[llength $velImages] != $numSlices} {
           puts "ERROR:  Not enough phase image slices!"
           return -code error "ERROR:  Not enough phase image slices!"
         }

         # the orientation should be the same for all slices, so just
         # arbitrarily pick a file
   set xyz {}
   set directions {}
         img_findPCMRIorientation [lindex $velImages 0] xyz directions
         # xyz is ignored for single component data
         set gBC(xyz) {}
         set gBC(directions) $directions
         puts "xyz: $xyz  directions: $directions"

        for {set i 1} {$i <= $numSlices} {incr i} {
          # read phase information
          set imgname [lindex $velImages [expr $i - 1]]
          set phaseslice "/gBC/pcdata/phase/$i"
          img2_readSliceROI $imgname $phaseslice $roi
          # get venc and vencscale from header
          set imageInfo [img_readHeader -file $imgname]
          foreach piece $imageInfo {
            set [lindex $piece 0] [lindex $piece 1]
          }
          # now the claim is that venc is used for 1-D calvpc
          # venc is ignored in calvpc sequence
    #if {$psdname == "calvpc"} {
    #   set venc [expr 10.0 * double($user14)]
    #}
          # decode velocity info
          #puts "decode slice $i"
          set magslice "/gBC/pcdata/mag/$i"
          if {[expr $mag_weight_flag & 2] == 0} {
            img_decode -phaseImage $phaseslice -venc $venc  -vencscale $vencscale -result /gBC/pcdata/vel/$i
    } else {
            img_decode -magImage $magslice -phaseImage $phaseslice -venc $venc  -vencscale $vencscale -result /gBC/pcdata/vel/$i
    }
          repos_setLabel -obj /gBC/pcdata/vel/$i -key originalImageFile -value $imgname
        }
      }

      # set the initial frame number
      global bcGUIcurrentFrameNumber
      set bcGUIcurrentFrameNumber 1
      # set the initial center
      global bcGUIctrX
      global bcGUIctrY
      global gBC
      set bcGUIctrX [expr $gBC(ext_i)/2]
      set bcGUIctrY [expr $gBC(ext_j)/2]
      puts "Done loading phase contrast data."
    }
   }

  bcGUIsetupCtrlWindow
  return SV_OK
}


# Procedure: createPREOPloadsaveLoadVol
proc createPREOPloadsaveLoadVol {} {

  global gOptions
  global gFilenames
  global gImageVol

  set change_to_cm_flag 0

  # want to load VTI, DICOM if no vti specified
  if {[string length $gImageVol(xml_filename)] > 0} {
    mc_LoadImageXML
    } elseif {[string length $gImageVol(data_dirname)] > 0} {
      set yesno [tk_messageBox -default yes  -message "Would you like to convert this volume from mm to cm?"  -title "Convert from mm to cm"  -type yesno]
      switch -- $yesno {
       yes {
        set change_to_cm_flag 1
      }
      no {
        set change_to_cm_flag 0
      }
    }

    if {$gOptions(image_data_type) == "GE_MR_5X"} {
      mc_LoadImage
      } else {
        mc_LoadImageDICOM $change_to_cm_flag
      }

      set yesno [tk_messageBox -default yes  -message "Would you like to save this volume as a VTI file?"  -title "Save Volume as VTI"  -type yesno]
      switch -- $yesno {
       yes {
        set filename [tk_getSaveFile -filetypes {{VTI *.vti} {"All Files" *.*}} -title "Choose File gdscName for Image File In VTI Format"]
        if {$filename != ""} {
         if {[file extension $filename] == ""} {
          set filename "$filename.vti"
        }
        img_writeXML volume_image $filename
      }
    }
    no {
    }
  }
  } elseif {[string length $gImageVol(mha_filename)] > 0} {
    seg_LoadImageMha
    } else {
      return -code error "ERROR:  No image data specified!"
    }

  global gImageVol
  global symbolicName
  global gOptions
  global guiPPchooserXlabel
  global guiPPchooserYlabel
  global guiPPchooserZlabel
  global guiPPsmoothVoxelSize

  global guiPPchooserExists
  set guiPPchooserExists 1

  if {$gOptions(orientImgVolToRAS) == 0} {
     # old xyz system
     set voi_x0 $gImageVol(voi_x0)
     set voi_x1 $gImageVol(voi_x1)
     set voi_y0 $gImageVol(voi_y0)
     set voi_y1 $gImageVol(voi_y1)
     set voi_z0 $gImageVol(voi_z0)
     set voi_z1 $gImageVol(voi_z1)
     set guiPPchooserXlabel { X }
     set guiPPchooserYlabel { Y }
     set guiPPchooserZlabel { Z }
     set guiPPsmoothVoxelSize [math_minVec  [list $gImageVol(vdims_x) $gImageVol(vdims_y) $gImageVol(vdims_z)]]
  } else {
     # properly oriented volume in ras space
     set voi_x0 [lindex $gImageVol(voi_ras) 0]
     set voi_x1 [lindex $gImageVol(voi_ras) 1]
     set voi_y0 [lindex $gImageVol(voi_ras) 2]
     set voi_y1 [lindex $gImageVol(voi_ras) 3]
     set voi_z0 [lindex $gImageVol(voi_ras) 4]
     set voi_z1 [lindex $gImageVol(voi_ras) 5]
     set guiPPchooserXlabel { L }
     set guiPPchooserYlabel { P }
     set guiPPchooserZlabel { I }
     set guiPPsmoothVoxelSize [math_minVec $gImageVol(vdims_ras)]
  }
  $symbolicName(guiPPchooserXscale) configure -from $voi_x0
  $symbolicName(guiPPchooserXscale) configure -to $voi_x1
  $symbolicName(guiPPchooserYscale) configure -from $voi_y0
  $symbolicName(guiPPchooserYscale) configure -to $voi_y1
  $symbolicName(guiPPchooserZscale) configure -from $voi_z0
  $symbolicName(guiPPchooserZscale) configure -to $voi_z1

  guiVOLRENupdate init 0

  return SV_OK
}


# Procedure: createPREOPloadsavePCgeometric
proc createPREOPloadsavePCgeometric {} {

    set filename [tk_chooseDirectory -mustexist true -title "Choose Phase Contrast Image Data Directory" -initialdir [pwd]]
  if {[string length [string trim $filename]] == 0} {
    return
  }
  global gFilenames
  set gFilenames(phase_contrast_geometric) $filename

  # now read the parameters from the magnitude image slices in the given directory
  createPREOPloadsavePCgetParams
}


# Procedure: createPREOPloadsavePCgetParams
proc createPREOPloadsavePCgetParams {} {

  global gFilenames
  set filename $gFilenames(phase_contrast_geometric)

  if {[file isdirectory $filename] == 0} {
     set filename [file dirname $filename]
     set gFilenames(phase_contrast_geometric) $filename
  }

  # check if specified name is a directory
  if {[file isdirectory $filename] == 0} {
    puts "ERROR:  Invalid directory ($filename) for phase contrast data."
    set gFilenames(phase_contrast_geometric) {}
    return -code error "ERROR: Invalid directory name ($filename) for phase contrast directory!"
  }

  # autodect if we have 1 or 3 component velocity data
  set speed {}
  set collapse {}
  set r {}
  set a {}
  set s {}
  set mag {}

  if [catch {glob [file join $filename I.*]}] {
    puts "ERROR: No image slices found in directory $filename."
    return -code error "ERROR: No image slices found in directory $filename."
  }
  global gBC
  foreach i [lsort -dictionary [glob [file join $filename I.*]]] {
        if [catch {set header [img_readHeader -file $i]}] continue
        foreach piece $header {
          set [lindex $piece 0]  [lindex $piece 1]
        }
        if {$vas_collapse == 0 || $vas_collapse == 7 ||  $vas_collapse == 12} {
           #puts "$i: $vas_collapse is speed"
           lappend speed $i
        } elseif {$vas_collapse == 1 || $vas_collapse == 13} {
           #puts "$i: $vas_collapse is collapse"
           lappend collapse $i
        } elseif {$vas_collapse == 2 || $vas_collapse == 8} {
           #puts  "$i: $vas_collapse is mag"
           lappend mag $i
        } elseif {$vas_collapse == 3 || $vas_collapse == 9} {
           #puts "$i: $vas_collapse is R/L"
           lappend r $i
        } elseif {$vas_collapse == 4 || $vas_collapse == 10} {
           #puts  "$i: $vas_collapse is A/P"
           lappend a $i
        } elseif {$vas_collapse == 5 || $vas_collapse == 11} {
           #puts  "$i: $vas_collapse is S/I"
           lappend s $i
        }

  }

  if {[llength $mag] == 0} {
        puts "ERROR:  Not enough magnitude image slices!"
        set gFilenames(phase_contrast_geometric) {}
        set gBC(numSlices) {}
        return -code error "ERROR:  No magnitude image slices!"
  }
  set gBC(numSlices) [llength $mag]

  set filename [lindex [lsort -dictionary $mag] 0]
  set gFilenames(phase_contrast_geometric) $filename
  set gBC(phase_contrast_params) [img_readHeader -file $filename]
  foreach i $gBC(phase_contrast_params) {
    set option [lindex $i 0]
    set value [lindex $i 1]
    if {[lindex $i 0] == "extent"} {
      set gBC(ext_i) [lindex $value 0]
      set gBC(ext_j) [lindex $value 1]
      set gBC(voi_x0) 0
      set gBC(voi_y0) 0
      set gBC(voi_x1) [expr $gBC(ext_i) - 1]
      set gBC(voi_y1) [expr $gBC(ext_j) - 1]
    } elseif {[lindex $i 0] == "top_left_corner"} {
      set gBC(top_left_corner) $value
    } elseif {[lindex $i 0] == "top_right_corner"} {
      set gBC(top_right_corner) $value
    } elseif {[lindex $i 0] == "bottom_right_corner"} {
      set gBC(bottom_right_corner) $value
    } elseif {[lindex $i 0] == "heart_rate_bpm"} {
      set gBC(heart_rate_bpm) $value
      set gBC(period) 0
      catch {set gBC(period) [expr 60.0/double($value)]}
    }
  }
  set gBC(size_of_trim_box) -400

  return SV_OK
}


# Procedure: createPREOPloadsaveSave
proc createPREOPloadsaveSave {} {

  global gFilenames
  global gOptions

  set filename [tk_getSaveFile -filetypes {{"patient" .patient} {"all files" *}} -title "Options File" -initialfile $gFilenames(patient_file)]

  if {$filename == ""} {
     return
  }
  if {[file extension $filename] == ""} {
    set filename "$filename.patient"
  }

  set gFilenames(patient_file) $filename

  set fp [open $gFilenames(patient_file) "w"]
  global gImageVol
  global gBC
  global gFilenames
  global gOptions

  puts $fp "# geodesic_params_file_format 2.1"
  puts $fp ""
  puts $fp "#"
  puts $fp "# Volumetric Image Data"
  puts $fp "#"
  puts $fp ""
  puts $fp "global gImageVol"
  foreach i [lsort -dictionary [array names gImageVol]] {
    puts $fp "set gImageVol($i) {$gImageVol($i)}"
  }
  puts $fp ""
  puts $fp "#"
  puts $fp "# Phase Contrast Image Data"
  puts $fp "#"
  puts $fp ""
  puts $fp "global gBC"
  foreach i [lsort -dictionary [array names gBC]] {
    puts $fp "set gBC($i) {$gBC($i)}"
  }
  puts $fp ""
  puts $fp "#"
  puts $fp "# Filenames"
  puts $fp "#"
  puts $fp ""
  puts $fp "global gFilenames"
  foreach i [lsort -dictionary [array names gFilenames]] {
    puts $fp "set gFilenames($i) {$gFilenames($i)}"
  }

  puts $fp ""
  puts $fp "#"
  puts $fp "# Additional Options"
  puts $fp "#"
  puts $fp ""
  puts $fp "global gOptions"
  foreach i [lsort -dictionary [array names gOptions]] {
    puts $fp "set gOptions($i) {$gOptions($i)}"
  }

  close $fp
  puts "Save file created ($gFilenames(patient_file))."
}


# Procedure: createPREOPloadsaveVolDirectory
proc createPREOPloadsaveVolDirectory {} {

  global gImageVol
  set filename [tk_chooseDirectory -mustexist 1 -title "Choose DICOM/5X (SINGLE VOLUME) Image Directory" -initialdir [pwd]]
  if {[string length [string trim $filename]] != 0} {
    set gImageVol(data_dirname) $filename
  }
}


# Procedure: createPREOPloadsaveVolFile
proc createPREOPloadsaveVolFile {} {

  global gImageVol

  set filename [tk_chooseDirectory -mustexist true -title "Choose Volumetric Image Data Directory" -initialdir [pwd]]
  set gImageVol(tmpfilename) [string trim $filename]

  if {[string length [string trim $filename]] != 0} {
    set gImageVol(filename) $filename
    set gImageVol(data_dirname) $filename
    #  check to make sure image files exist
    if {[glob -nocomplain [file join $filename I.???]] != ""} {
     set gImageVol(filePattern) "\%s.\%03d"
    } elseif {[glob -nocomplain [file join $filename I.????]] != ""} {
     set gImageVol(filePattern) "\%s.\%04d"
    } elseif {[glob -nocomplain [file join $filename I.???.dcm]] != ""} {
     set gImageVol(filePattern) "\%s.\%03d.dcm"
    } elseif {[glob -nocomplain [file join $filename I.????.dcm]] != ""} {
     set gImageVol(filePattern) "\%s.\%04d.dcm"
    } elseif {[glob -nocomplain [file join $filename IM-????-????.dcm]] != ""} {
     set gImageVol(filePattern) "\%s-\%04d-\%04d.dcm"
    } else {
      puts "ERROR:  Directory ($filename) does not appear to contain image files."
      return -code error "ERROR:  Directory ($filename) does not appear to contain image files."
    }

    if [catch {img_guessVolParams $filename} msg] {
      return -code error "ERROR:  ($msg)"
    } else {
        img_guessRASmin $filename
    }

  }
}


# Procedure: createPREOPloadsaveVolXMLFile
proc createPREOPloadsaveVolXMLFile {} {

  global gImageVol
  set filename [tk_getOpenFile -filetypes {{XML *.xml} {XML *.vti} {"All Files" *.*}} -title "Choose Volumetric Image File In VTI Format"]
  if {[string length [string trim $filename]] != 0} {
    set gImageVol(xml_filename) $filename
  }
}


# Procedure: createPREOPmodelSaveModel
proc createPREOPmodelSaveModel {} {

  global symbolicName
  global gFilenames
  global gObjects

  set filename $gFilenames(preop_solid_file)
  set modelname $gObjects(preop_solid)

  if {[repos_exists -obj $modelname] == 0} {
    puts "Error:  Object $modelname does not exist!"
    return -code error "ERROR:  Object $modelname does not exist!"
  }
  if {[repos_type -obj $modelname] != "SolidModel"} {
    puts "Error:  Object $modelname is not a solid model!"
    return -code error "ERROR:  Object $modelname is not a solid model!"
  }
  if {[file exists $filename] == "1"} {
    puts "Warning:  File $filename exists and will be overwritten!"
  }

  $modelname WriteNative -file [file rootname $filename]
}


# Procedure: createPREOPmodelTrim
proc createPREOPmodelTrim {} {

  global symbolicName
  global gObjects

  trimSolid

  # rename the  face ids so they range from 1 to n.
  # this is required by phasta.
  foreach trimmedModel [list $gObjects(preop_trimmed1) $gObjects(preop_trimmed2)] {
    set valid 1
    foreach i [$trimmedModel GetFaceIds] {
      set id {}
      catch {set id [$trimmedModel GetFaceAttr -attr gdscId -faceId $i]}
      if {$id != ""} {
        $trimmedModel SetFaceAttr -attr gdscId -faceId $i -value $valid
        incr valid
      }
    }
  }
}


# Procedure: force_reload_tree
proc force_reload_tree { {args "0"}} {

  global symbolicName
  set tv $symbolicName(guiSV_group_tree)

  catch {$tv delete .groups.3d}
  catch {$tv delete .groups.all}
  $tv insert {} 0 -id .groups.all -text "2D Group Surfaces" -open 0
  $tv insert {} 1 -id .groups.3d -text "3D Surfaces" -open 0

  guiSV_group_update_tree
}


# Procedure: gRenWin_3D_showSolid
proc gRenWin_3D_showSolid { solid_name} {

  global gRenWin_3D_vars
  global lsGUI3dWindow
  global gRen3d
  global gObjects
  global gOptions

  set useLOD $gRenWin_3D_vars(solid_use_LOD)

  # preop solid
  if {$solid_name == "preop_solid"} {
    set pd /gRenWin_3D/preopsolid/pd
    set flag $gRenWin_3D_vars(show_preop_solid)
    set object $gObjects(preop_solid)
  } elseif {$solid_name == "trimmed1_solid"} {
    set pd /gRenWin_3D/trimmed1_solid/pd
    set flag $gRenWin_3D_vars(show_trimmed1_solid)
    set object $gObjects(preop_trimmed1)
  } elseif {$solid_name == "trimmed2_solid"} {
    set pd /gRenWin_3D/trimmed2_solid/pd
    set flag $gRenWin_3D_vars(show_trimmed2_solid)
    set object $gObjects(preop_trimmed2)
  } elseif {$solid_name == "meshing_solid"} {
    set pd /gRenWin_3D/meshing_solid/pd
    set flag $gRenWin_3D_vars(show_meshing_solid)
    set object $gObjects(atdb_solid)
  } elseif {$solid_name == "blend_solid"} {
    set pd /gRenWin_3D/blend_solid/pd
    set flag $gRenWin_3D_vars(show_blend_solid)
    set object $gObjects(blend_solid)
  } elseif {$solid_name == "polydata_solid"} {
    set pd /gRenWin_3D/polydata_solid/pd
    set flag $gRenWin_3D_vars(show_polydata_solid)
    set object $gObjects(polydata_solid)
  }

  if {$flag == 1} {
     if {[repos_exists -obj $object] == 1} {
  catch {repos_delete -obj $pd}
        if {$gOptions(facet_max_edge_size) == ""} {
          $object GetPolyData -result $pd
  } else {
          $object GetPolyData -result $pd  -max_edge_size $gOptions(facet_max_edge_size)
  }
        if {$useLOD == 1} {
          vis_lodRepos $gRen3d $pd
  } else {
          vis_pRepos $gRen3d $pd
  }
     }
  } else {
     if {$useLOD == 1} {
       vis_lodRm $gRen3d $pd
     } else {
       vis_pRm $gRen3d $pd
     }
     catch {repos_delete -obj $pd}
  }
}


# Procedure: geomConnectTwoProfiles
proc geomConnectTwoProfiles { pts1 pts2 dstName} {

  set vpts tmp-geomConnectTwoProfilesPts
  set vconn tmp-geomConnectTwoProfilesConn
  set vpd tmp-geomConnectTwoProfilesPd

  catch {$vpts Delete}
  catch {$vconn Delete}
  catch {$vpd Delete}

  vtkPoints $vpts
  $vpts Allocate 200 400

  vtkIdList $vconn
  $vconn Initialize
  $vconn Allocate 200 400

  vtkPolyData $vpd
  $vpd Initialize
  $vpd Allocate 200 400

  # create vtkPoints array
  set numPts [llength $pts1]

  for {set i 0} {$i < $numPts} {incr i} {
    set pt1 [lindex $pts1 $i]
    $vpts InsertNextPoint [lindex $pt1 0] [lindex $pt1 1] [lindex $pt1 2]
  }
  for {set i 0} {$i < $numPts} {incr i} {
    set pt2 [lindex $pts2 $i]
    $vpts InsertNextPoint [lindex $pt2 0] [lindex $pt2 1] [lindex $pt2 2]
  }

  $vpd SetPoints $vpts
  set numPolys $numPts
  for {set i 0} {$i < $numPolys} {incr i} {
    # create connectivity for polygon
    $vconn InsertNextId $i
    if {$i == [expr $numPolys  - 1]} {
      $vconn InsertNextId 0
      $vconn InsertNextId [expr $numPts]
    } else {
      $vconn InsertNextId [expr $i + 1]
      $vconn InsertNextId [expr $numPts + $i + 1]
    }
    $vconn InsertNextId [expr $numPts + $i]
    set VTK_POLYGON 7
    $vpd InsertNextCell $VTK_POLYGON $vconn
    $vconn Initialize
  }

  repos_importVtkPd -src $vpd -dst $dstName
  $vconn Delete
  $vpts Delete
  $vpd Delete
}


# Procedure: getTclServers
proc getTclServers {} {
    set servers {}
    foreach server [dde services TclEval {}] {
      set service [lindex $server 0]
      set topic [lindex $server 1]
  if {[string equal $service TclEval]} {
          lappend servers $topic
  }
    }
    return $servers
}


# Procedure: gui3DaddSeed
proc gui3DaddSeed {} {

  global gui3Dvars
  global symbolicName

  set flag $gui3Dvars(chooserShowSphereFlag)

  if {$flag == 0} return

  set ss $gui3Dvars(sphere_source)
  set r [$ss GetRadius]
  set ctr [$ss GetCenter]

  set tbox $symbolicName(gui3DseedsTB)
  $tbox insert end "\# sphere radius x y z\n"
  $tbox insert end "sphere $r [lindex $ctr 0] [lindex $ctr 1] [lindex $ctr 2]\n"

  gui3DchooserShowAllSeeds not_clicked $r [lindex $ctr 0] [lindex $ctr 1] [lindex $ctr 2]
}


# Procedure: gui3DbeginInteraction
proc gui3DbeginInteraction {} {
  #puts "BeginInteraction Event"
  global gInteractorInteracting
  set gInteractorInteracting 1
  global gInteractorRen
  set curpos [vis_pointWidgetGetPosition $gInteractorRen gui3D]
  global gui3Dvars
  set gui3Dvars(chooserCurPos) $curpos
}


# Procedure: gui3DbrowseLSFile
proc gui3DbrowseLSFile {} {
   global gFilenames
   set fn [tk_getOpenFile -filetypes {{VTK *.vtk} {"All Files" *.*}} -title "Choose Segmentation File"]
   if {$fn != ""} {
     set gFilenames(3d_ls_seg_file) $fn
   }
  return
}


# Procedure: gui3DbrowseSeedsFile
proc gui3DbrowseSeedsFile {} {
   global gFilenames
   set fn [tk_getOpenFile -filetypes {{SEEDS *.seeds} {"All Files" *.*}} -title "Choose Seeds File"]
   if {$fn != ""} {
     set gFilenames(3d_seeds_file) $fn
   }
  return
}


# Procedure: gui3DchangeSurface
proc gui3DchangeSurface { operation} {
  global gui3Dvars
  gui3DcheckBeforeSmooth
  global smasherInputName
  global guiPDvars
  global gPolyDataFaceNames
  global gOptions
  global gKernel

  set model [guiSV_model_get_tree_current_models_selected]
  if {[llength $model] != 1} {
    return -code error "ERROR: Must select model from tree and only one allowed for operation"
  }
  set kernel $gKernel($model)
  if {$kernel != "PolyData"} {
    return -code error "ERROR: Kernel must be PolyData for operation"
  }
  set gOptions(meshing_solid_kernel) $kernel
  solid_setKernel -name $kernel

  #set oldmodel "[string trim $model]_[string trim $operation]"
  guiSV_model_add_to_backup_list $kernel $model
  #if {[model_create $kernel $oldmodel] != 1} {
  #  guiSV_model_delete_model $kernel $oldmodel
  #  model_create $kernel $oldmodel
  #}

  set modelpd /tmp/3D/modelpd/input
  set obj /tmp/3D/modelpd/output
  catch {repos_delete -obj $modelpd}
  catch {repos_delete -obj $obj}
  $model GetPolyData -result $modelpd

  if {$operation == "gSm"} {
     set relax $gui3Dvars(smooth_smooth_relax_factor)
     set num   $gui3Dvars(smooth_smooth_num_iters)
     geom_smooth $modelpd $relax $num $obj

  } elseif {$operation == "gSSm"} {
     set band  $gui3Dvars(smooth_syncsmooth_pass_band_value)
     set num   $gui3Dvars(smooth_syncsmooth_num_iters)
     geom_syncsmooth $modelpd $band $num $obj

  } elseif {$operation == "gBut"} {
     set num   $gui3Dvars(smooth_butterfly_divisions)
     geom_butterfly $modelpd $num $obj

  } elseif {$operation == "gDen"} {
     set num   $gui3Dvars(smooth_densify_divisions)
     geom_densify $modelpd $num $obj

  } elseif {$operation == "gDec"} {
     set target  $gui3Dvars(smooth_quad_target)
     geom_quadraticDecimation $modelpd $target $obj

  } elseif {$operation == "fill"} {
     geom_fillHoles $modelpd $obj

  } elseif {$operation == "larg"} {
     geom_largestConnected $modelpd $obj

  } elseif {$operation == "lDec"} {
     geom_localOperation $operation $modelpd $obj

  } elseif {$operation == "lLinSub"} {
     geom_localOperation $operation $modelpd $obj

  } elseif {$operation == "lButSub"} {
     geom_localOperation $operation $modelpd $obj

  } elseif {$operation == "lLoopSub"} {
     geom_localOperation $operation $modelpd $obj

  } elseif {$operation == "lLap"} {
     geom_localOperation $operation $modelpd $obj

  } elseif {$operation == "lCon"} {
     geom_localOperation $operation $modelpd $obj

  } else {
     return -code error "ERROR:  invalid ($operation)."
  }

  $model SetVtkPolyData -obj $obj
  guiSV_model_update_tree
  guiSV_model_update_view_model $kernel $model
  #guiSV_model_update_new_solid $kernel $model $newmodel
}


# Procedure: gui3DcheckBeforeSmooth
proc gui3DcheckBeforeSmooth {} {

  global gui3Dvars

  set obj $gui3Dvars(polydata_change_obj)
  set sel $gui3Dvars(smooth_org_segment)

  if {![repos_exists -obj $obj]} {
    if {$sel == "level_set"} {
        set lsobj $gui3Dvars(ls_finalSegmentation)
  catch {geom_copy -src $lsobj -dst $obj}
    } else {
  catch {geom_copy -src $sel -dst $obj}
    }
  }
}


# Procedure: gui3DchooserShowAllSeeds
proc gui3DchooserShowAllSeeds { clicked args} {

  global gui3Dvars
  global symbolicName
  global gRen3d

  set flag $gui3Dvars(chooserShowAllSeedsFlag)
  set state $::vis::frozen($gRen3d)
  set ::vis::frozen($gRen3d) 1

  if {$clicked == "clicked"} {
    if {$flag == 0 } {
      set spheres $gui3Dvars(displayed_spheres)
      set pds     $gui3Dvars(displayed_pds)
      set len [llength $pds]
      for {set i 0} {$i < $len} {incr i} {
        set ss  [lindex $spheres $i]
        set pd  [lindex $pds $i]
        ::vis::polyRm $gRen3d $pd
        $ss Delete
      }
      set gui3Dvars(displayed_spheres) ""
      set gui3Dvars(displayed_pds) ""
    } else {
      set mytext {}
      set tbox $symbolicName(gui3DseedsTB)
      set numlines [lindex [split [$tbox index end] .] 0]
      for {set i 1} {$i < $numlines} {incr i} {
        set line [$tbox get $i.0 $i.end]
        set line [string trim $line]
        if {[string length $line] == 0} { continue }
        if {[string index $line 0] == "\#"} { continue }
        if {[lindex $line 0] == "sphere"} {
          set r [lindex $line 1]
          set x [lindex $line 2]
          set y [lindex $line 3]
          set z [lindex $line 4]
          #jtm seed color
          set cr [lindex $gui3Dvars(vis_seed_color) 0]
          set cg [lindex $gui3Dvars(vis_seed_color) 1]
          set cb [lindex $gui3Dvars(vis_seed_color) 2]
          puts "rgb: $cr $cg $cb"
          set ss [tmpobj]
          vtkSphereSource $ss
          $ss SetRadius $r
          $ss SetCenter $x $y $z
          $ss Update
          set spd [$ss GetOutput]
          lappend gui3Dvars(displayed_spheres) $ss
          lappend gui3Dvars(displayed_pds) $spd
          set actor [::vis::poly $gRen3d $spd]
          [$actor GetProperty] SetOpacity $gui3Dvars(sphere_opacity)
          [$actor GetProperty] SetColor $cr $cg $cb
        } else {
          puts "WARNING: line ignored ($line)"
        }
      }
    }
    # end clicked
  } else {
    if {$flag != 0} {
      set r [lindex $args 0]
      set x [lindex $args 1]
      set y [lindex $args 2]
      set z [lindex $args 3]
      set ss [tmpobj]
      vtkSphereSource $ss
      $ss SetRadius $r
      $ss SetCenter $x $y $z
      $ss Update
      set spd [$ss GetOutput]
      lappend gui3Dvars(displayed_spheres) $ss
      lappend gui3Dvars(displayed_pds) $spd
      set actor [::vis::poly $gRen3d $spd]
      [$actor GetProperty] SetOpacity $gui3Dvars(sphere_opacity)
      set cr [lindex $gui3Dvars(vis_seed_color) 0]
      set cg [lindex $gui3Dvars(vis_seed_color) 1]
      set cb [lindex $gui3Dvars(vis_seed_color) 2]
      [$actor GetProperty] SetColor $cr $cg $cb
    }
  }
  set ::vis::frozen($gRen3d) $state
  vis_render $gRen3d
}


# Procedure: gui3DchooserShowAllSeedsRefresh
proc gui3DchooserShowAllSeedsRefresh {} {
  global gui3Dvars
    global gRen3d
    set spheres $gui3Dvars(displayed_spheres)
  set pds     $gui3Dvars(displayed_pds)
  set len [llength $pds]
  for {set i 0} {$i < $len} {incr i} {
    set ss  [lindex $spheres $i]
    set pd  [lindex $pds $i]
    ::vis::polyRm $gRen3d $pd
    $ss Delete
  }
  set gui3Dvars(displayed_spheres) ""
  set gui3Dvars(displayed_pds) ""

  gui3DchooserShowAllSeeds clicked
}


# Procedure: gui3DchooserShowCursor
proc gui3DchooserShowCursor {} {
  global gRen3d
  global gui3Dvars

  set flag $gui3Dvars(chooserShowCursorFlag)
  if {$flag == 0} {
    catch {vis_pointWidgetOff $gRen3d gui3D}
    catch {vis_pointWidgetRm $gRen3d gui3D}
  } else {
    global gRen3d
    catch {vis_pointWidgetRm $gRen3d gui3D}
    vis_pointWidgetAdd $gRen3d [repos_exportToVtk -src volume_image] gui3D  gui3DenableInteraction gui3DbeginInteraction  gui3DprobeData gui3DendInteraction
    vis_pointWidgetOn $gRen3d gui3D
    # since it appears the beginInteraction gets called when you turn on the widget,
    # we need to explicitly call the endInteraction the first time
    gui3DendInteraction
    vis_pointWidgetOn $gRen3d gui3D
    gui3DchooserUpdateXYZ
  }
}


# Procedure: gui3DchooserShowSphere
proc gui3DchooserShowSphere { clicked} {

  global gRen3d
  global gui3Dvars

  set flag $gui3Dvars(chooserShowSphereFlag)

  if {$clicked == "clicked"} {
    if {$flag == 0} {
      set ss  $gui3Dvars(sphere_source)
      set spd $gui3Dvars(sphere_pd)
      ::vis::polyRm $gRen3d $spd
      $ss Delete
    } else {
  set ss [tmpobj]
        vtkSphereSource $ss
        $ss SetRadius $gui3Dvars(radius)
        set x $gui3Dvars(chooserXvar)
        set y $gui3Dvars(chooserYvar)
        set z $gui3Dvars(chooserZvar)
        $ss SetCenter $x $y $z
        $ss Update
        set spd [$ss GetOutput]
        set gui3Dvars(sphere_pd) $spd
        set gui3Dvars(sphere_source) $ss
        set actor [::vis::poly $gRen3d $spd]
        [$actor GetProperty] SetOpacity $gui3Dvars(sphere_opacity)
        vis_render $gRen3d
    }
  }
}


# Procedure: gui3DchooserUpdateAttach
proc gui3DchooserUpdateAttach {} {
  gui3DchooserUpdateXYZ
}


# Procedure: gui3DchooserUpdateIncrement
proc gui3DchooserUpdateIncrement {} {
   global symbolicName
   global gui3Dvars
   set chooserIncrement $gui3Dvars(chooserIncrement)
   global gImageVol
   global gOptions

   if {$gOptions(orientImgVolToRAS) == 0} {
     # old xyz system
     set org_x [lindex $gImageVol(vtk_org_xyz) 0]
     set org_y [lindex $gImageVol(vtk_org_xyz) 1]
     set org_z [lindex $gImageVol(vtk_org_xyz) 2]
     set ext_i $gImageVol(ext_i)
     set ext_j $gImageVol(ext_j)
     set ext_k $gImageVol(ext_k)
     set vdims_x $gImageVol(vdims_x)
     set vdims_y $gImageVol(vdims_y)
     set vdims_z $gImageVol(vdims_z)
   } else {
     # properly oriented volume in ras space
     set org_x [lindex $gImageVol(vtk_org_ras) 0]
     set org_y [lindex $gImageVol(vtk_org_ras) 1]
     set org_z [lindex $gImageVol(vtk_org_ras) 2]
     set ext_i [lindex $gImageVol(ext_ras) 0]
     set ext_j [lindex $gImageVol(ext_ras) 1]
     set ext_k [lindex $gImageVol(ext_ras) 2]
     set vdims_x [lindex $gImageVol(vdims_ras) 0]
     set vdims_y [lindex $gImageVol(vdims_ras) 1]
     set vdims_z [lindex $gImageVol(vdims_ras) 2]
   }
   set axes_x $gImageVol(axes-x)
   set axes_y $gImageVol(axes-y)
   set axes_z $gImageVol(axes-z)
   set increment $gui3Dvars(chooserIncrement)

   set scalex $symbolicName(gui3DchooserXscale)
   set scaley $symbolicName(gui3DchooserYscale)
   set scalez $symbolicName(gui3DchooserZscale)

   set curx $gui3Dvars(chooserXvar)
   set cury $gui3Dvars(chooserYvar)
   set curz $gui3Dvars(chooserZvar)

   $scalex configure -to [expr int($ext_i/$increment)]
   $scaley configure -to [expr int($ext_j/$increment)]
   $scalez configure -to [expr int($ext_k/$increment)]

   # adding the vdims/4 just to avoid rounding issues
   set gImageVol(axes-x) [expr int(($curx-$org_x+$increment*$vdims_x/4.0)/($increment*$vdims_x))]
   set gImageVol(axes-y) [expr int(($cury-$org_y+$increment*$vdims_y/4.0)/($increment*$vdims_y))]
   set gImageVol(axes-z) [expr int(($curz-$org_z+$increment*$vdims_z/4.0)/($increment*$vdims_z))]
   $scalex set $gImageVol(axes-x)
   $scaley set $gImageVol(axes-y)
   $scalez set $gImageVol(axes-z)
}


# Procedure: gui3DchooserUpdateX
proc gui3DchooserUpdateX { scale} {
  #puts "X: $scale"
  global gImageVol
  set gImageVol(axes-x) $scale
  gui3DchooserUpdateXYZ
}


# Procedure: gui3DchooserUpdateXYZ
proc gui3DchooserUpdateXYZ {} {

  global gImageVol
  global gui3Dvars
  global symbolicName
  global gOptions


  if {$gOptions(orientImgVolToRAS) == 0} {
    if {[llength $gImageVol(vtk_org_xyz)] == 0} {
      return
    }
    # old xyz system
    set org_x [lindex $gImageVol(vtk_org_xyz) 0]
    set org_y [lindex $gImageVol(vtk_org_xyz) 1]
    set org_z [lindex $gImageVol(vtk_org_xyz) 2]
    set ext_i $gImageVol(ext_i)
    set ext_j $gImageVol(ext_j)
    set ext_k $gImageVol(ext_k)
    set vdims_x $gImageVol(vdims_x)
    set vdims_y $gImageVol(vdims_y)
    set vdims_z $gImageVol(vdims_z)
    set voi_x0 $gImageVol(voi_x0)
    set voi_x1 $gImageVol(voi_x1)
    set voi_y0 $gImageVol(voi_y0)
    set voi_y1 $gImageVol(voi_y1)
    set voi_z0 $gImageVol(voi_z0)
    set voi_z1 $gImageVol(voi_z1)
  } else {
    if {[llength $gImageVol(vtk_org_ras)] == 0} {
      return
    }
    # properly oriented volume in ras space
    set org_x [lindex $gImageVol(vtk_org_ras) 0]
    set org_y [lindex $gImageVol(vtk_org_ras) 1]
    set org_z [lindex $gImageVol(vtk_org_ras) 2]
    set ext_i [lindex $gImageVol(ext_ras) 0]
    set ext_j [lindex $gImageVol(ext_ras) 1]
    set ext_k [lindex $gImageVol(ext_ras) 2]
    set vdims_x [lindex $gImageVol(vdims_ras) 0]
    set vdims_y [lindex $gImageVol(vdims_ras) 1]
    set vdims_z [lindex $gImageVol(vdims_ras) 2]
    set voi_x0 [lindex $gImageVol(voi_ras) 0]
    set voi_x1 [lindex $gImageVol(voi_ras) 1]
    set voi_y0 [lindex $gImageVol(voi_ras) 2]
    set voi_y1 [lindex $gImageVol(voi_ras) 3]
    set voi_z0 [lindex $gImageVol(voi_ras) 4]
    set voi_z1 [lindex $gImageVol(voi_ras) 5]
  }

  set axes_x $gImageVol(axes-x)
  set axes_y $gImageVol(axes-y)
  set axes_z $gImageVol(axes-z)

  puts  "$axes_x $axes_y $axes_z"

  set increment $gui3Dvars(chooserIncrement)

  set gui3Dvars(chooserXvar) [format "%.3f" [expr double($org_x+$axes_x*$vdims_x*$increment)]]
  set gui3Dvars(chooserYvar) [format "%.3f" [expr double($org_y+$axes_y*$vdims_y*$increment)]]
  set gui3Dvars(chooserZvar) [format "%.3f" [expr double($org_z+$axes_z*$vdims_z*$increment)]]

  puts "inrc $increment, gui3Dvars: $gui3Dvars(chooserXvar) $gui3Dvars(chooserYvar) $gui3Dvars(chooserZvar)"
  global guiVIB

  set gui3Dvars(pixelValue) [lindex [img_computeStructuredCoord -image $guiVIB(repos_image_obj) -pt [list $gui3Dvars(chooserXvar) $gui3Dvars(chooserYvar) $gui3Dvars(chooserZvar)]] 2]
  if {$gui3Dvars(pixelValue) == ""} {
     set gui3Dvars(pixelValue) "error"
  } else {
     set gui3Dvars(pixelValue) [format "%6.0f" $gui3Dvars(pixelValue)]
  }
  # display distance map value if map exists
  if {[repos_exists -obj $guiVIB(repos_distancemap_obj)]} {
    set distanceval [lindex [img_computeStructuredCoord -image $guiVIB(repos_distancemap_obj) -pt [list $gui3Dvars(chooserXvar) $gui3Dvars(chooserYvar) $gui3Dvars(chooserZvar)]] 2]
    if {$distanceval == ""} {
      set gui3Dvars(pixelValue) "$gui3Dvars(pixelValue),error"
    } else {
  set gui3Dvars(pixelValue) "$gui3Dvars(pixelValue),[format %05i [expr int($distanceval)]]"
    }
  }

  # move slice planes if desired
  global symbolicName
  # Ken's sliders vary from 0 to ext, so we subtract off
  # voi lower offset.
  if {$gui3Dvars(chooserAttachX) == 1} {
    $symbolicName(volGUI_sliderx) set [expr int($axes_x*$increment-$voi_x0)]
  }
  if {$gui3Dvars(chooserAttachY) == 1} {
    $symbolicName(volGUI_slidery) set [expr int($axes_y*$increment-$voi_y0)]
  }
  if {$gui3Dvars(chooserAttachZ) == 1} {
    $symbolicName(volGUI_sliderz) set [expr int($axes_z*$increment-$voi_z0)]
  }

  #global gInteractorRen
  # intentionally use gRen3d since we want all views
  # to sync up
  global gRen3d
  if {$gui3Dvars(chooserShowCursorFlag) != 0} {
    vis_pointWidgetSetPosition $gRen3d gui3D $gui3Dvars(chooserXvar) $gui3Dvars(chooserYvar) $gui3Dvars(chooserZvar)
  }

  global gRen3d
  gui3DupdateRadiusScale 0
  vis_render $gRen3d
}


# Procedure: gui3DchooserUpdateY
proc gui3DchooserUpdateY { scale} {
  #puts "Y: $scale"
  global gImageVol
  set gImageVol(axes-y) $scale
  gui3DchooserUpdateXYZ
}


# Procedure: gui3DchooserUpdateZ
proc gui3DchooserUpdateZ { scale} {
  #puts "Z: $scale"
  global gImageVol
  set gImageVol(axes-z) $scale
  gui3DchooserUpdateXYZ
}


# Procedure: gui3DenableInteraction
proc gui3DenableInteraction {} {
  global gInteractorInteracting
  set gInteractorInteracting 1
}


# Procedure: gui3DendInteraction
proc gui3DendInteraction {} {
  #puts "EndInteraction Event"
  global gInteractorInteracting
  set gInteractorInteracting 0
}


# Procedure: gui3Dfast
proc gui3Dfast { operation} {

  global symbolicName
  global gui3Dvars

  if {$operation == "sigmod"} {
    set min   $gui3Dvars(fast_sigmod_min_value)
    set max   $gui3Dvars(fast_sigmod_max_value)
    set alpha $gui3Dvars(fast_sigmod_alpha)
    set beta  $gui3Dvars(fast_sigmod_beta)
    set img   $gui3Dvars(ls_volume)

    set fimg /gui3D/fast/volume_float

    set caster tmp-caster
    catch {$caster Delete}

    vtkImageCast $caster
    $caster SetInputDataObject [repos_exportToVtk -src $img]
    $caster SetOutputScalarTypeToFloat
    $caster Update
    catch {repos_delete -obj $fimg}
    repos_importVtkImg -src [$caster GetOutput] -dst $fimg
    $caster Delete

    set gui3Dvars(fast_sigmod_map_obj) [itk_sigMap -image $fimg -min $min -max $max -alpha $alpha -beta $beta]
  } elseif {$operation == "fmm_segment"} {
    # create initialization PD
    set seedPts {}
    set tbox $symbolicName(gui3DseedsTB)
    set numlines [lindex [split [$tbox index end] .] 0]
    set all_spheres {}
    for {set i 1} {$i < $numlines} {incr i} {
      set line [$tbox get $i.0 $i.end]
      set line [string trim $line]
      if {[string length $line] == 0} {
        continue
      }
      if {[string index $line 0] == "\#"} {
        continue
      }
      if {[lindex $line 0] == "sphere"} {
  lappend seedPts [lrange $line 2 4]
      } else {
        puts "WARNING: line ignored ($line)"
      }
    }

    if {[llength $seedPts] == 0} {
       return -code error "ERROR: no seeds!"
    }
    puts "seeds: $seedPts"
    set img   $gui3Dvars(fast_sigmod_map_obj)
    set starttime $gui3Dvars(fast_fmm_start_time)
    set endtime   $gui3Dvars(fast_fmm_stop_time)
    set gui3Dvars(fast_ls_obj) "/tmp/gui3D/fast/fmm"
    set lsimg $gui3Dvars(fast_ls_obj)
    set gui3Dvars(fast_fmm_obj) [itk_fastMarch -image $img -output $img -seedPts $seedPts -start $starttime -stop $endtime]
    set gui3Dvars(fast_ls_obj) $gui3Dvars(fast_fmm_obj)
  } elseif {$operation == "ls_segment"} {
    set img $gui3Dvars(fast_ls_obj)
    set l $gui3Dvars(fast_ls_lower_threshold)
    set u $gui3Dvars(fast_ls_upper_threshold)
    set p $gui3Dvars(fast_ls_propagation_scaling)
    set c $gui3Dvars(fast_ls_curvature_scaling)
    set n $gui3Dvars(fast_ls_num_iterations)
    set gui3Dvars(fast_ls_obj) [itk_TLSF -image $gui3Dvars(fast_sigmod_map_obj) -levelset $img -upperThreshold $u -lowerThreshold $l -propagationScaling $p -curvatureScaling $c -numberOfIterations $n]
  } else {
    return -error "ERROR: invalid operation ($operation)"
  }
}


# Procedure: gui3DioFastParamsFile
proc gui3DioFastParamsFile { operation} {

  global gFilenames
  global gui3Dvars

  if {$operation == "browse"} {

    # browse
    global gFilenames
    set fn [tk_getOpenFile -filetypes {{"All Files" *.*}} -title "Choose Fast Seg. Params File"]
    if {$fn != ""} {
       set gFilenames(3d_fast_seg_params) $fn
     }

  } elseif {$operation == "load"} {

    # load
    set fn $gFilenames(3d_fast_seg_params)
    source $fn

  } elseif {$operation == "save"} {

    # save
    set fn $gFilenames(3d_fast_seg_params)
    set fp [open $fn w]
    puts $fp "\# simvascular_fast_level_set_params_file 1"
    puts $fp "global gui3Dvars"
    foreach i [lsort -dictionary [array names gui3Dvars fast_*]] {
       puts $fp "set gui3Dvars($i) \{$gui3Dvars($i)\}"
    }
    close $fp

  }
}


# Procedure: gui3DioFastfile
proc gui3DioFastfile { operation} {

  global gFilenames
  global gui3Dvars

  if {$operation == "browse"} {

    # browse
    global gFilenames
    set fn [tk_getOpenFile -filetypes {{VTK *.vtk} {"All Files" *.*}} -title "Choose Segmentation File"]
    if {$fn != ""} {
       set gFilenames(3d_ls_seg_file) $fn
     }

  } elseif {$operation == "load"} {

    # load
    set fn $gFilenames(3d_ls_seg_file)
    set obj $gui3Dvars(smooth_obj)
    catch {repos_delete -obj $obj}
    repos_readXMLPolyData $fn $obj
    gui3DvisSmooth no

  } elseif {$operation == "save"} {

    # save
    set fn $gFilenames(3d_ls_seg_file)
    set obj $gui3Dvars(smooth_obj)
    repos_writeVtkPolyData -file $fn -obj $obj -type ascii

  }
}


# Procedure: gui3DioLSfile
proc gui3DioLSfile { operation} {

  global gFilenames
  global gui3Dvars

  if {$operation == "browse"} {

    # browse
    global gFilenames
    set fn [tk_getOpenFile -filetypes {{VTK *.vtk} {"All Files" *.*}} -title "Choose Segmentation File"]
    if {$fn != ""} {
       set gFilenames(3d_ls_seg_file) $fn
     }

  } elseif {$operation == "load"} {

    # load
    set fn $gFilenames(3d_ls_seg_file)
    set obj $gui3Dvars(ls_finalSegmentation)
    catch {repos_delete -obj $obj}
    repos_readVtkPolyData -file $fn -obj $obj
    gui3DvisSmooth no

  } elseif {$operation == "save"} {

    # save
    set fn $gFilenames(3d_ls_seg_file)
    set obj $gui3Dvars(ls_finalSegmentation)
    repos_writeVtkPolyData -file $fn -obj $obj -type ascii

  } else {

    return -code error "ERROR:  operation ($operation) not valid."

  }
}


# Procedure: gui3DioLSparamsFile
proc gui3DioLSparamsFile { operation} {

  global gFilenames
  global gui3Dvars

  if {$operation == "browse"} {

    # browse
    global gFilenames
    set fn [tk_getOpenFile -filetypes {{"All Files" *.*}} -title "Choose LS Seg. Params File"]
    if {$fn != ""} {
       set gFilenames(3d_ls_seg_params) $fn
     }

  } elseif {$operation == "load"} {

    # load
    set fn $gFilenames(3d_ls_seg_params)
    source $fn

  } elseif {$operation == "save"} {

    # save
    set fn $gFilenames(3d_ls_seg_params)
    set fp [open $fn w]
    puts $fp "\# simvascular_level_set_params_file 1"
    puts $fp "global gui3Dvars"
    foreach i [lsort -dictionary [array names gui3Dvars ls_*]] {
       puts $fp "set gui3Dvars($i) \{$gui3Dvars($i)\}"
    }
    close $fp

  }
}


# Procedure: gui3DioSmoothFile
proc gui3DioSmoothFile { operation} {

  global gFilenames
  global gui3Dvars

  if {$operation == "browse_and_load"} {

    # browse
    global gFilenames
    set fn [tk_getOpenFile -filetypes {{VTK *.vtp} {VTK *.vtk} {"All Files" *.*}} -title "Choose Input File"]
    if {$fn != ""} {
       set gFilenames(3d_smoothed_seg_file) $fn
       # load
      set fn $gFilenames(3d_smoothed_seg_file)
      set obj $gui3Dvars(polydata_change_obj)
      catch {repos_delete -obj $obj}
      repos_readXMLPolyData $fn $obj
      global gui3Dvars
      set gui3Dvars(smooth_num_tris) [[repos_exportToVtk -src $obj] GetNumberOfCells]
      gui3DvisSmooth no
    }
  } elseif {$operation == "save"} {

    # save
    set fn [tk_getSaveFile -filetypes {{"VTK" .vtp}} -defaultextension .vtp -title "Save Smoothed Surface File" -initialfile $gFilenames(3d_smoothed_seg_out_file)]
    if {$fn == ""} {
      puts "User Cancelled."
      return
    }
    set obj $gui3Dvars(polydata_change_obj)
    repos_writeXMLPolyData $obj $fn
    set gFilenames(3d_smoothed_seg_out_file) $fn

  } else {

    return -code error "ERROR:  invalid operation ($operation)."

  }
}


# Procedure: gui3DloadSeedsFile
proc gui3DloadSeedsFile {} {

  global gui3Dvars
  global gFilenames
  global symbolicName

  set mytext {}
  set tbox $symbolicName(gui3DseedsTB)
  $tbox delete 1.0 end
  set fp [open $gFilenames(3d_seeds_file) r]
  set i 1
  while {[gets $fp line] >= 0} {
    $tbox insert $i.0 "$line\n"
    set mytext "$mytext$line\n"
    incr i
  }
  set gui3Dvars(loaded_seeds_file_text) $mytext

  close $fp
}


# Procedure: gui3DprobeData
proc gui3DprobeData {} {

  global gImageVol
  global gui3Dvars
  global symbolicName
  global gOptions

  if {$gOptions(orientImgVolToRAS) == 0} {
    # old xyz system
    set org_x [lindex $gImageVol(vtk_org_xyz) 0]
    set org_y [lindex $gImageVol(vtk_org_xyz) 1]
    set org_z [lindex $gImageVol(vtk_org_xyz) 2]
    set ext_i $gImageVol(ext_i)
    set ext_j $gImageVol(ext_j)
    set ext_k $gImageVol(ext_k)
    set vdims_x $gImageVol(vdims_x)
    set vdims_y $gImageVol(vdims_y)
    set vdims_z $gImageVol(vdims_z)
    set voi_x0 $gImageVol(voi_x0)
    set voi_x1 $gImageVol(voi_x1)
    set voi_y0 $gImageVol(voi_y0)
    set voi_y1 $gImageVol(voi_y1)
    set voi_z0 $gImageVol(voi_z0)
    set voi_z1 $gImageVol(voi_z1)
  } else {
    # properly oriented volume in ras space
    set org_x [lindex $gImageVol(vtk_org_ras) 0]
    set org_y [lindex $gImageVol(vtk_org_ras) 1]
    set org_z [lindex $gImageVol(vtk_org_ras) 2]
    set ext_i [lindex $gImageVol(ext_ras) 0]
    set ext_j [lindex $gImageVol(ext_ras) 1]
    set ext_k [lindex $gImageVol(ext_ras) 2]
    set vdims_x [lindex $gImageVol(vdims_ras) 0]
    set vdims_y [lindex $gImageVol(vdims_ras) 1]
    set vdims_z [lindex $gImageVol(vdims_ras) 2]
    set voi_x0 [lindex $gImageVol(voi_ras) 0]
    set voi_x1 [lindex $gImageVol(voi_ras) 1]
    set voi_y0 [lindex $gImageVol(voi_ras) 2]
    set voi_y1 [lindex $gImageVol(voi_ras) 3]
    set voi_z0 [lindex $gImageVol(voi_ras) 4]
    set voi_z1 [lindex $gImageVol(voi_ras) 5]
  }

  set increment $gui3Dvars(chooserIncrement)
  global gInteractorRen
  set curpos [vis_pointWidgetGetPosition $gInteractorRen gui3D]

  set orgcurpos $gui3Dvars(chooserCurPos)

  if {$gui3Dvars(chooserFixAxisX) != 0} {
    set x [lindex $orgcurpos 0]
  } else {
    set x [lindex $curpos 0]
  }
  if {$gui3Dvars(chooserFixAxisY) != 0} {
    set y [lindex $orgcurpos 1]
  } else {
    set y [lindex $curpos 1]
  }
  if {$gui3Dvars(chooserFixAxisZ) != 0} {
    set z [lindex $orgcurpos 2]
  } else {
    set z [lindex $curpos 2]
  }
  set curpos [list $x $y $z]

  set axes_x $gImageVol(axes-x)
  set axes_y $gImageVol(axes-y)
  set axes_z $gImageVol(axes-z)

  # need to do the inverse of the code from sliders, that
  # is calculate axes location give an interactor point

  set axes_x [expr int(([lindex $curpos 0] - $org_x)/($increment*$vdims_x))]
  set axes_y [expr int(([lindex $curpos 1] - $org_y)/($increment*$vdims_y))]
  set axes_z [expr int(([lindex $curpos 2] - $org_z)/($increment*$vdims_z))]

  set gImageVol(axes-x) $axes_x
  set gImageVol(axes-y) $axes_y
  set gImageVol(axes-z) $axes_z

  set gui3Dvars(chooserXscale) $axes_x
  set gui3Dvars(chooserYscale) $axes_y
  set gui3Dvars(chooserZscale) $axes_z

  gui3DchooserUpdateXYZ
}


# Procedure: gui3DrunLS
proc gui3DrunLS {} {

    global gui3Dvars
    global symbolicName

    set img  $gui3Dvars(ls_volume)

    set useDenseGrid $gui3Dvars(ls_use_dense_grid)
    set verbose 1
    set outPd /gui3D/lset/out/pd
    set connPd /gui3D/lset/conn/pd
    set tempPd /gui3D/lset/temp/pd
    set segPd $gui3Dvars(ls_finalSegmentation)

    # create initialization PD
    #todo: JTM make other seed types work
    if {$gui3Dvars(ls_init_option) == "seeds"} {
      set mytext {}
      set tbox $symbolicName(gui3DseedsTB)
      set numlines [lindex [split [$tbox index end] .] 0]
      set all_spheres {}
      for {set i 1} {$i < $numlines} {incr i} {
        set pd /tmp/gui3D/sphere/$i
        catch {repos_delete -obj $pd}
        set line [$tbox get $i.0 $i.end]
        set line [string trim $line]
        if {[string length $line] == 0} {
          continue
        }
        if {[string index $line 0] == "\#"} {
          continue
        }
        if {[lindex $line 0] == "sphere"} {

        geom_mkSphere [lindex $line 2] [lindex $line 3] [lindex $line 4] [lindex $line 1] $pd

          lappend all_spheres $pd
        } else {
          puts "WARNING: line ignored ($line)"
        }
      }

      if {[llength $all_spheres] == 0} {
         return -code error "ERROR: no seeds!"
      }

      set initPD /tmp/gui3D/initPD
      catch {repos_delete -obj $initPD}
      geom_appendPds $all_spheres $initPD
      set initData [list polydata $initPD]
    } elseif { $gui3Dvars(ls_init_option) == "smooth_poly" } {

      #set ignored [tk_messageBox -title "Done Segmentation" -type ok -message "Done!"]

      set initPD /tmp/gui3D/initPD
      catch {repos_delete -obj $initPD}
      geom_copy -src $segPd -dst $initPD
      set initData [list polydata $initPD]


    } elseif { $gui3Dvars(ls_init_option) == "selected_poly" } {

      #set ignored [tk_messageBox -title "Done Segmentation" -type ok -message "Done!"]
      set initPDs {}
      catch {repos_delete -obj $initPDs}
      set selected [guiSV_group_get_tree_current_groups_selected]
      if {$selected != ""} {
        foreach grp $selected {
          set inPD /tmp/gui3D/outPD/$grp
          catch {repos_delete -obj $inPD}
          global guiBOOLEANvars
          set sampling_default $guiBOOLEANvars(sampling_default)
          set lin_multiplier   $guiBOOLEANvars(linear_sampling_along_length_multiplier)
          set useLinearSampleAlongLength   $guiBOOLEANvars(use_linear_sampling_along_length)
          set numModes         $guiBOOLEANvars(num_modes_for_FFT)
          array set overrides  $guiBOOLEANvars(sampling_overrides)
          set useFFT           $guiBOOLEANvars(use_FFT)
          set sample_per_segment $guiBOOLEANvars(sampling_along_length_multiplier)
          set addCaps          1
          set noInterOut       1
	  set splineType       $guiBOOLEANvars(spline_type)

          set vecFlag 0
          set numOutPtsInSegs $sampling_default
          set numSegs [llength [group_get $grp]]
          set numOutPtsAlongLength [expr $sample_per_segment * $numSegs]
          set numPtsInLinearSampleAlongLength [expr $lin_multiplier *$numOutPtsAlongLength]

          if {$numSegs > 1} {
            polysolid_c_create_vessel_from_group $grp $vecFlag $useLinearSampleAlongLength  $numPtsInLinearSampleAlongLength $useFFT $numModes $numOutPtsInSegs $numOutPtsAlongLength $addCaps $splineType $inPD
            lappend initPDs $inPD
          }
        }
      }
      global gSeg3D
      set selected [guiSV_group_get_tree_current_surfaces_selected]
      if {$selected != ""} {
        foreach grp $selected {
          set objName $gSeg3D($grp)

          catch {cleaner Delete}
          vtkCleanPolyData cleaner
          cleaner ConvertPolysToLinesOff
          cleaner PointMergingOff
          cleaner ConvertLinesToPointsOff
          cleaner SetInputDataObject [repos_exportToVtk -src $objName]
          cleaner Update

          set inPD /tmp/gui3D/outPD2/$grp
          catch {repos_delete -obj $inPD}
          repos_importVtkPd -src [cleaner GetOutput] -dst $inPD
          #geom_copy -src [cleaner GetOutput] -dst $inPD


          lappend initPDs $inPD

        }
      }


      if { $gui3Dvars(ls_init_option_combine) == "boolean" } {
        set initSolid /tmp/gui3D/initSolid
        catch {repos_delete -obj $initSolid}
        geom_all_union -srclist $initPDs -intertype $noInterOut -result $initSolid

        set initPD /tmp/gui3D/initPD
        catch {repos_delete -obj $initPD}
        $initSolid GetPolyData -result $initPD
      } else {
        set initPD /tmp/gui3D/initPD
        catch {repos_delete -obj $initPD}
        puts "Appending PDs"
        geom_appendPds $initPDs $initPD
      }

      set initData [list polydata $initPD]

    }

    global gRen3d
    set rens $gRen3d
    if {[vis_pExists $gRen3d $segPd]} {
       vis_pRm $gRen3d $segPd
     }

    #lset_run $img $pot $initData $kt $klow $kupp  $serialInit $gridFactor $initOnly  $sparseFlag $isotropicFlag $expandFlag  $convFlag $timerFlag  $maxTSFlag $maxTS  $writeIntermediate  $runVpot $runVSmooth $runVConst $numVConst  $magGradFactor $pFactor  $rens $objPrefix $verbose  $stopV $rebuildPhiFreq $ac $acInterval $3d_curv $segPd $grid
    catch {repos_delete -obj $outPd}
    #jtm 3d levelset runs from here
    itk3dLSRun $img $initPD $outPd



    set connfilt /gui3D/lset/connfilt
    catch {$connfilt Delete}
    vtkPolyDataConnectivityFilter $connfilt
    $connfilt SetInputData [repos_exportToVtk -src $outPd]
    $connfilt SetExtractionModeToLargestRegion
    $connfilt Update

    set tmpPD /gui3D/lset/addCapArray
    catch {repos_delete -obj $segPd}
    repos_importVtkPd -src [$connfilt GetOutput] -dst $segPd

    set_capids_for_pd $segPd

    #todo: let the user set which pd they want
  #   catch {repos_delete -obj $connPd}

    repos_setLabel -obj $segPd -key color -value red
    repos_setLabel -obj $segPd -key opacity -value 0.75

    generalView $gRen3d $segPd
}


# Procedure: gui3DsaveSeedsFile
proc gui3DsaveSeedsFile {} {
  global gui3Dvars
  global gFilenames
  global symbolicName

  set tbox $symbolicName(gui3DseedsTB)

  set fp [open $gFilenames(3d_seeds_file) w]
  puts $fp [$tbox get 1.0 end-1c]
  close $fp
}


# Procedure: gui3DsetSeedTransparency
proc gui3DsetSeedTransparency { val} {

  global gui3Dvars
  global gRen3d

  set gui3Dvars(sphere_opacity) $val
  set flag $gui3Dvars(chooserShowSphereFlag)

  if {$flag == 0} return

  set spd $gui3Dvars(sphere_pd)
  set actor [::vis::polyGetActor $gRen3d $spd]
  [$actor GetProperty] SetOpacity $gui3Dvars(sphere_opacity)

  vis_render $gRen3d
}


# Procedure: gui3DsmoothSetInitSeg
proc gui3DsmoothSetInitSeg { opt} {
  global gui3Dvars
  set obj $gui3Dvars(smooth_obj)
  catch {repos_delete -obj $obj}
  gui3DcheckBeforeSmooth
}


# Procedure: gui3DupdateRadiusScale
proc gui3DupdateRadiusScale { val} {
  global gui3Dvars
  global gRen3d
  set flag $gui3Dvars(chooserShowSphereFlag)

  if {$flag == 0} return

  set ss $gui3Dvars(sphere_source)
  $ss SetRadius $gui3Dvars(radius)
  set x $gui3Dvars(chooserXvar)
  set y $gui3Dvars(chooserYvar)
  set z $gui3Dvars(chooserZvar)
  $ss SetCenter $x $y $z
  $ss Update

  vis_render $gRen3d
}


# Procedure: gui3DuserUpdateMinMaxR
proc gui3DuserUpdateMinMaxR {} {

  global gui3Dvars
  global symbolicName

  set min $gui3Dvars(userMinR)
  set max $gui3Dvars(userMaxR)
  if {$min == $max} {
      set max [expr $min + 1.0]
  } elseif {$min > $max} {
      set tmp $max
      set max $min
      set min $tmp
  }
  set scale $symbolicName(gui3DsphereScale)
  $scale configure -digits 0 -from $min -to $max -resolution 0.0  -tickinterval [expr 1.0*($max-$min)/10.0]
  set gui3Dvars(minSeedRadius) $min
  set gui3Dvars(maxSeedRadius) $max
}


# Procedure: gui3DvisFast
proc gui3DvisFast { pressed} {

  global gRen3d
  global gui3Dvars

  set opt gui3Dvars(smooth_vis_surface)
  set obj $gui3Dvars(smooth_obj)

  if {$pressed == "yes"} {
      if {$opt == 0} {
        vis_pRm $gRen3d $obj
      } else {
  if [repos_exists -obj $obj] {
    set actor [vis_pRepos $gRen3d $obj]
    [$actor GetProperty] SetRepresentationToWireFrame
  }
      }
  } else {
      if {$opt == 0} return
      catch {vis_pRm $gRen3d $obj}
      set actor [vis_pRepos $gRen3d $obj]
      [$actor GetProperty] SetRepresentationToWireFrame
  }
}


# Procedure: gui3DvisSmooth
proc gui3DvisSmooth { pressed} {

  global gRen3d
  global gui3Dvars

  gui3DcheckBeforeSmooth

  set opt $gui3Dvars(smooth_vis_surface)
  set obj $gui3Dvars(polydata_change_obj)

  if {$pressed == "yes"} {
      if {$opt == 0} {
        vis_pRm $gRen3d $obj
      } else {
  if [repos_exists -obj $obj] {
    set actor [vis_pRepos $gRen3d $obj]
    [$actor GetProperty] SetRepresentationToWireframe
          vis_render $gRen3d
  }
      }
  } else {
      if {$opt == 0} return
      catch {vis_pRm $gRen3d $obj}
      set actor [vis_pRepos $gRen3d $obj]
      [$actor GetProperty] SetRepresentationToWireframe
      vis_render $gRen3d
  }
}


# Procedure: gui3dchangeSeedColor
proc gui3dchangeSeedColor {} {
  global gui3Dvars
  global gRen3d
  set color [tk_chooseColor]
  if {$color == ""} return
  set r [expr (0x[string range $color 1 2])/255.0]
  set g [expr (0x[string range $color 3 4])/255.0]
  set b [expr (0x[string range $color 5 6])/255.0]
  set gui3Dvars(vis_seed_color) "$r $g $b "
  gui3DchooserShowAllSeedsRefresh
}


# Procedure: guiBLENDSblend
proc guiBLENDSblend {} {
  global gObjects
  global symbolicName
  set presolid $gObjects(preblend_solid)
  set solid $gObjects(blend_solid)
  catch {repos_delete -obj $solid}
  solid_copy -src $presolid -dst $solid
  set faceids [$solid GetFaceIds]
  foreach id $faceids {
    set ident [$solid GetFaceAttr -attr identifier -faceId $id]
    set facename [$solid GetFaceAttr -attr gdscName -faceId $id]
    if {$facename != ""} {
      set ids($facename) $id
    }
    set ids($ident) $id
  }
  set params [$symbolicName(guiBLENDSscript) get 0.0 end]

  set broken [split $params "\n"]
  for {set i 0} {$i < [llength $broken]} {incr i} {
    set trimmed [string trim [lindex $broken $i]]
    if {$trimmed == ""} {continue}
    if {[llength $trimmed] != 3} {
      puts "ERROR: line ($trimmed) ignored!"
    }
    set faceA -1
    set faceB -1
    catch {set faceA $ids([lindex $trimmed 0])}
    catch {set faceB $ids([lindex $trimmed 1])}
    set r [lindex $trimmed 2]
    if {$faceA < 0 || $faceB < 0} {
       puts "ERROR: invalid values in line ($trimmed).  Line Ignored."
       continue
    }
    $solid CreateEdgeBlend -faceA $faceA -faceB $faceB -radius $r
    set nameA [$solid GetFaceAttr -attr gdscName -faceId $faceA]
    set nameB [$solid GetFaceAttr -attr gdscName -faceId $faceB]
    set wallblend 0
    if {[string range $nameA 0 4] == "wall_"} {
       set nameA [string range $nameA 5 end]
       incr wallblend
    }
    if {[string range $nameB 0 4] == "wall_"} {
       set nameB [string range $nameB 5 end]
       incr wallblend
    }

    if {$wallblend > 0} {
       set name "wall_blend"
    } else {
       set name "blend"
    }

    # tag new faces
    set tagger 0
    foreach id [$solid GetFaceIds] {
      set facename [$solid GetFaceAttr -attr gdscName -faceId $id]
      set value [lsearch -exact $faceids $id]
      if {$value < 0} {
        set name "$name\_$nameA\_$nameB"
  if {$tagger > 0} {
          set name "$name\_tag$tagger"
  }
        incr tagger
        puts "new face id: $id ($name)"
        $solid SetFaceAttr -attr gdscName -faceId $id -value $name
      }
    }
    set faceids [$solid GetFaceIds]
  }

  set pretty_names {}
  foreach i [$solid GetFaceIds] {
    catch {lappend pretty_names [$solid GetFaceAttr -attr gdscName -faceId $i]}
  }
  if {[llength [lsort -unique $pretty_names]] != [llength $pretty_names]} {
    set duplist [lsort -dictionary $pretty_names]
    foreach i [lsort -unique $pretty_names] {
      set idx [lsearch -exact $duplist $i]
      set duplist [lreplace $duplist $idx $idx]
    }
    set msg "Duplicate faces found!\n\n"
    foreach dup $duplist {
      set msg "$msg  name: $dup\n"
    }
    tk_messageBox -title "Duplicate Face Names" -type ok -message $msg
  }
}


# Procedure: guiBLENDSbrowseFile
proc guiBLENDSbrowseFile { name} {
   global gFilenames
   set fn [tk_getOpenFile]
   if {$fn != ""} {
     set gFilenames($name) $fn
   }
  return
}


# Procedure: guiBLENDSbrowseFileSolid
proc guiBLENDSbrowseFileSolid { name objname} {
   global gFilenames
   set fn [tk_getOpenFile]
   if {$fn != ""} {
     set gFilenames($name) $fn
     guiFNMloadSolidModel $name $objname
   }
  return
}


# Procedure: guiBLENDSbrowseScript
proc guiBLENDSbrowseScript { name} {
   global gFilenames
   set fn [tk_getOpenFile -filetypes {{BLENDS *.blends} {"All Files" *.*}} -title "Choose Blends Options File"]
   if {$fn != ""} {
     set gFilenames($name) $fn
     guiBLENDSloadBLENDfile
   }
  return
}


# Procedure: guiBLENDSloadBLENDfile
proc guiBLENDSloadBLENDfile {} {

  global gFilenames
  global symbolicName

  set tbox $symbolicName(guiBLENDSscript)
  $tbox delete 1.0 end
  set fp [open $gFilenames(blend_file) r]
  set i 1
  while {[gets $fp line] >= 0} {
    $tbox insert $i.0 "$line\n"
    incr i
  }
  close $fp
}


# Procedure: guiBLENDSsaveBLENDfile
proc guiBLENDSsaveBLENDfile {} {

  global gFilenames
  global symbolicName

  set tbox $symbolicName(guiBLENDSscript)

  set fp [open $gFilenames(blend_file) w]
  puts $fp [$tbox get 1.0 end-1c]
  close $fp
}


# Procedure: guiBLENDSsaveModel
proc guiBLENDSsaveModel {} {

  global symbolicName
  global gFilenames
  global gObjects

  set filename $gFilenames(blend_solid_file)
  set modelname $gObjects(blend_solid)

  if {[repos_exists -obj $modelname] == 0} {
    puts "Error:  Object $modelname does not exist!"
    return -code error "ERROR:  Object $modelname does not exist!"
  }
  if {[repos_type -obj $modelname] != "SolidModel"} {
    puts "Error:  Object $modelname is not a solid model!"
    return -code error "ERROR:  Object $modelname is not a solid model!"
  }
  if {[file exists $filename] == "1"} {
    puts "Warning:  File $filename exists and will be overwritten!"
  }

  $modelname WriteNative -file [file rootname $filename]
}


# Procedure: guiBOOLEANboolean
proc guiBOOLEANboolean {} {

  global gRen3d

  set tmppolysolid /guiBOOLEAN/tmpsolid
  set myresult /guiBOOLEAN/solid

  catch {repos_delete -obj $tmppolysolid}
  catch {repos_delete -obj $myresult}

  global guiBOOLEANvars

  set ordered_names    $guiBOOLEANvars(selected_groups)
  set sampling_default $guiBOOLEANvars(sampling_default)
  set lin_multiplier   $guiBOOLEANvars(linear_sampling_along_length_multiplier)
  set useLinearSampleAlongLength   $guiBOOLEANvars(use_linear_sampling_along_length)
  set numModes         $guiBOOLEANvars(num_modes_for_FFT)
  array set overrides  $guiBOOLEANvars(sampling_overrides)
  set useFFT           $guiBOOLEANvars(use_FFT)
  set sample_per_segment $guiBOOLEANvars(sampling_along_length_multiplier)
  set addCaps          $guiBOOLEANvars(add_caps_to_vessels)
  set tol              $guiBOOLEANvars(tolerance)
  set splineType       $guiBOOLEANvars(spline_type)

  foreach grp $ordered_names {

    set numOutPtsInSegs $sampling_default

    if [info exists overrides($grp)] {
      set numOutPtsInSegs $overrides($grp)
      puts "overriding default ($sampling_default) with ($numOutPtsInSegs) for ($grp)."
    }

    set vecFlag 0

    set numSegs [llength [group_get $grp]]

    set numOutPtsAlongLength [expr $sample_per_segment * $numSegs]

    set numPtsInLinearSampleAlongLength [expr $lin_multiplier *$numOutPtsAlongLength]

    puts "num pts along length: $numPtsInLinearSampleAlongLength"

    set outPD /guiGROUPS/polydatasurface/$grp
    catch {repos_delete -obj $outPD}

    polysolid_c_create_vessel_from_group $grp $vecFlag  $useLinearSampleAlongLength $numPtsInLinearSampleAlongLength  $useFFT $numModes  $numOutPtsInSegs $numOutPtsAlongLength $addCaps $splineType $outPD

  }

  if {[llength $ordered_names] == 0} {
    tk_messageBox -title "Select Ordered Groups Please"  -type ok -message "WARNING: You need to load groups and use the 'Select Ordered Groups' button to select groups to form a solid"
    return
  } elseif {[llength $ordered_names] == 1} {
    geom_copy -src /guiGROUPS/polydatasurface/[lindex $ordered_names 0] -dst $myresult
  } else {
    geom_copy -src /guiGROUPS/polydatasurface/[lindex $ordered_names 0] -dst $tmppolysolid
  }

#  file delete error.txt

  for {set i 1} {$i < [llength $ordered_names]} {incr i} {
#    set fp [open error.txt a]
#    puts $fp "[lindex $ordered_names $i]"
#    close $fp
    set bname /guiGROUPS/polydatasurface/[lindex $ordered_names $i]
    catch {repos_delete -obj $myresult}

    global guiPDvars
    if {$guiPDvars(useGTS) == 0} {
      geom_union -result $myresult -a $tmppolysolid -b $bname -tolerance $tol
    } else {
      geom_union_gts -result $myresult -a $tmppolysolid -b $bname
    }

    catch {repos_delete -obj $tmppolysolid}
    geom_copy -src $myresult -dst $tmppolysolid
  }

  catch {repos_delete -obj $tmppolysolid}
  set rtnstr [geom_checksurface -src $myresult -tolerance $tol]

  vis_pRepos $gRen3d $myresult
  tk_messageBox -title "Solid Unions Complete"  -type ok -message "Number of Free Edges: [lindex $rtnstr 0]\n (Free edges are okay for open surfaces)\n Number of Bad Edges: [lindex $rtnstr 1]"
}


# Procedure: guiBOOLEANloadPreviousParams
proc guiBOOLEANloadPreviousParams {} {
  set fn [tk_getOpenFile -filetypes {{"PolyData Booleans File" {.bool}} {"All Files" *}}  -title "Read PolyData Booleans File" -initialdir [pwd]]

  if {$fn != ""} {
     source $fn
  }
}


# Procedure: guiBOOLEANsave
proc guiBOOLEANsave {} {
  global gOptions
  set gOptions(meshing_solid_kernel) PolyData

  smasherGUIwriteModel
}


# Procedure: guiBOOLEANsavePreviousParams
proc guiBOOLEANsavePreviousParams {} {

  global guiBOOLEANvars

  set fn [tk_getSaveFile -initialdir [pwd] -defaultextension .bool]
  if {$fn == ""} return

  puts "Creating polydata booleans options file ($fn)."
  set fp [open $fn w]
  fconfigure $fp -translation lf
  puts $fp  "global guiBOOLEANvars"
  foreach i [lsort -dictionary [array names guiBOOLEANvars]] {
    puts $fp "set \{guiBOOLEANvars($i)\} \{$guiBOOLEANvars($i)\}"
  }
  close $fp
}


# Procedure: guiBOOLEANselectOrderedGroups
proc guiBOOLEANselectOrderedGroups {} {
  #global guiBOOLEANvars
  #set all_grps [group_names]
  #::swaplist::swaplist .guiCV.select_boolean_groups guiBOOLEANvars(selected_groups) [lsort -dictionary [group_names]] $guiBOOLEANvars(selected_groups)
  tk_messageBox -title "Select Surfaces on Segmentation Tab"  -type ok -message "Please select surfaces for boolean on segmentation tab"
      return
}


# Procedure: guiBOUNDARIESdeleteRegions
proc guiBOUNDARIESdeleteRegions {} {
  global gOptions
  global guiPDvars
  global gPolyDataFaceNames
  global smasherInputName
  set gOptions(meshing_solid_kernel) PolyData

  if {$smasherInputName == "none"} {
    tk_messageBox -title "Load Solid Model Please"  -type ok -message "WARNING: You need to load the solid and extract the boundaries before combining faces"
    return
  }
  set all_names [return_pd_region_names]
    set run [::swaplist::swaplist .guiCV.select_boundary_groups guiPDvars(selected_groups) [lsort -dictionary [return_pd_region_names]] $guiPDvars(selected_groups)]

  if {$run == 1} {
    PolyDataDeleteRegions
  }
  set guiPDvars(updatedSolid) 1
}


# Procedure: guiBOUNDARIESfillWithIds
proc guiBOUNDARIESfillWithIds {} {
  global gOptions
  global guiPDvars
  global gPolyDataFaceNames
  global smasherInputName
  global gui3Dvars

  if {$smasherInputName == "none"} {
    tk_messageBox -title "Load Solid Model Please"  -type ok -message "WARNING: You need to load the model with face ids before filling with ids"
    return
  }

  set maxid 0
  set allids [$smasherInputName GetFaceIds]
  set numfaceids [llength $allids]
  if {$numfaceids == 0} {
    tk_messageBox -title "No Faces on Solid"  -type ok -message "WARNING: You need to apply faceids to the surface before filling with ids"
    return
  }
  foreach id $allids {
    if {$id > $maxid} {
      set maxid $id
    }
  }
  set fillpd /guiBOUNDARIES/fillpd
  set outfillpd /guiBOUNDARIES/outfillpd
  catch {repos_delete -obj $fillpd}
  catch {repos_delete -obj $outfillpd}

  $smasherInputName GetPolyData -result $fillpd

  set filltype 2
  geom_fillHolesWithIds $fillpd $outfillpd $maxid $filltype

  $smasherInputName SetVtkPolyData -obj $outfillpd
  set newids [$smasherInputName GetFaceIds]
  foreach id $newids {
    if {$id > $maxid} {
      set gPolyDataFaceNames($id) "noname_$id"
    }
  }

  crd_ren gRenWin_3D_ren1
  smasherGUIupdateViewWindow
  set guiPDvars(updatedSolid) 1
}

# Procedure: guiBOUNDARIESremeshSurfaces
proc guiBOUNDARIESremeshSurfaces { sizeName} {
  global gOptions
  global guiPDvars
  global gPolyDataFaceNames
  global smasherInputName
  set gOptions(meshing_solid_kernel) PolyData

  set yesno [tk_messageBox -default yes  -message "Select remesh size before running remesh. Continue?"  -title "Set Mesh Size"  -type yesno]

  if {$smasherInputName == "none"} {
    tk_messageBox -title "Load Solid Model Please"  -type ok -message "WARNING: You need to load the solid and extract the boundaries before remeshing faces"
    return
  }
  if {$yesno == yes} {
    set all_names [return_pd_region_names]
      set run [::swaplist::swaplist .guiCV.select_boundary_groups guiPDvars(selected_groups) [lsort -dictionary [return_pd_region_names]] $guiPDvars(selected_groups)]

    if {$run == 1} {
      PolyDataRemeshSurfaces $sizeName
    }
  }
  set guiPDvars(updatedSolid) 1
}


# Procedure: guiBOUNDARIESselectCombineFace
proc guiBOUNDARIESselectCombineFace {} {
  global gOptions
  global guiPDvars
  global gPolyDataFaceNames
  global smasherInputName
  set gOptions(meshing_solid_kernel) PolyData

  if {$smasherInputName == "none"} {
    tk_messageBox -title "Load Solid Model Please"  -type ok -message "WARNING: You need to load the solid and extract the boundaries before combining faces"
    return
  }
  set all_names [return_pd_region_names]
    set run [::swaplist::swaplist .guiCV.select_boundary_groups guiPDvars(selected_groups) [lsort -dictionary [return_pd_region_names]] $guiPDvars(selected_groups)]

  if {$run == 1} {
    PolyDataCombine
  }
  set guiPDvars(updatedSolid) 1
}


# Procedure: guiCVIMG_squeezer
proc guiCVIMG_squeezer { widget} {
global guiCVIMGvars
if {$guiCVIMGvars($widget)} {
  pack configure $widget -side bottom -fill both -expand true
} {
  pack forget $widget
}
}


# Procedure: guiCVIMG_squeezer_canvas
proc guiCVIMG_squeezer_canvas { widget} {
global guiCVIMGvars
if {$guiCVIMGvars($widget)} {
  pack configure $widget -side bottom -fill both -expand true
  if {"[info procs XFEdit]" == ""} {
    guiSVIMG_vol_ren_with_canvas
  }
} {
  if {"[info procs XFEdit]" == ""} {
    guiSVIMG_vol_ren_with_canvas_cleanup
  }
  pack forget $widget
}
}


# Procedure: guiCV_button_load_options
proc guiCV_button_load_options {} {
  guiFNMloadPatientFile
}


# Procedure: guiCV_display_windows
proc guiCV_display_windows { view} {
  global guiCVvars
  global symbolicName
  set win $symbolicName(3d_windows)
  set h [winfo height $win]
  #puts "height: $h"
  if {$view == "3d_only"} {
      set sash1 [expr $h - 5]
      set sash0 [expr $sash1 - 5]
      $win sashpos 0 $sash0
      $win sashpos 1 $sash1
  } elseif {$view == "3d_and_2d"} {
      set sash1 [expr $h - 5]
      set sash0 [expr $sash1 - 350]
      $win sashpos 0 $sash0
      $win sashpos 1 $sash1
  } elseif {$view == "2d_only"} {
      set sash0 0
      set sash1 [expr $h - 5]
      $win sashpos 0 $sash0
      $win sashpos 1 $sash1
  } elseif {$view == "pcmri_only"} {
      set sash0 0
      set sash1 5
      $win sashpos 0 $sash0
      $win sashpos 1 $sash1
  } else {
    return -code error "ERROR: invalid option ($view)!"
  }
}


# Procedure: guiCV_group_picked_actor
proc guiCV_group_picked_actor { name1 name2 op} {

  global PickedAssembly

  # if not a point do nothing
  if {[regexp "/group/" $PickedAssembly] == 0} {
    return
  }

  set pieces [split $PickedAssembly /]
  if {[llength $pieces] < 3} {
     return
  }
  set id [lindex $pieces end]
  set grp [lindex $pieces end-1]

  global symbolicName
  set tv $symbolicName(guiSV_group_tree)
  catch {$tv see .groups.all.$grp.$id}
  catch {$tv selection set .groups.all.$grp.$id}
}


# Procedure: guiCV_select_cpm_directory
proc guiCV_select_cpm_directory {} {

  set dir [tk_chooseDirectory -mustexist 0 -title "Select Project Directory" -initialdir [pwd]]

  if {$dir == ""} return

  if {![file exists $dir]} {

      set choice [tk_messageBox -title "Directory not found." -message "Create a new directory?" -icon question -type yesno]
      switch -- $choice {
        yes {
          file mkdir $dir
  }
        no {
          return -code error "ERROR:  Directory does not exist!"
  }
      }

  }

  if {![file isdirectory $dir]} {
     return -code error "ERROR:  ($dir) is not a directory!"
  }
  cd $dir

#  global SV_VERSION
#  puts "SV_VERISON $SV_VERSION"
#  if [catch {registry set "HKEY_CURRENT_USER\\Software\\cpmViewer\\$SV_VERSION 2.0" LastProjectDir $dir} msg] {
#       puts "ERROR updating LastProjectDir in registry! ($msg)"
#  }

  guiFREE_load_cpm_model [lindex [glob [file join $dir *.cpm]] 0]

  wm title .guiCV "cpmViewer: [file tail $dir]"

  global gPathPoints
  global symbolicName

  # find the current list of paths to choose from
  set names [lsort -dictionary [array names gPathPoints *,name]]

  # set default path for user
  if {[llength $names] != 0} {
    set busted [split [string trim [lindex $names 0]] ,]
    global lsGUIcurrentPathNumber
    set lsGUIcurrentPathNumber [string trim [lindex $busted 0]]
    global lsGUIcurrentPathLabel
    set lsGUIcurrentPathLabel $gPathPoints($lsGUIcurrentPathNumber,name)
    # make sure scale bar is active
    set cpscale $symbolicName(lsGUIpathPositionScale)
    $cpscale configure -state normal
    lsGUIupdatePath
  }

  global symbolicName
  set mymenu $symbolicName(display_solid_menu_3D)
  catch {$mymenu delete 0 end}
  set solids [lsort -dictionary [repos_subList solid_*]]

  global guiRESULTSvars

  global gRenWin_3D_vars
  foreach solid $solids {
      $mymenu add checkbutton -variable gRenWin_3D_vars(show_$solid)  -command "gRenWin_3D_showPD $solid"  -label [repos_getLabel -obj $solid -key name]
  }

  catch {unset guiRESULTSvars(solid_names)}
  catch {unset guiRESULTSvars(solid_objs)}
  set guiRESULTSvars(visopts_solid_None) [list show 0 opacity 1.0 r 1.0 g 0.0 b 0.0]
  foreach solid $solids {
      lappend guiRESULTSvars(solid_objs) $solid
      lappend guiRESULTSvars(solid_names)  [repos_getLabel -obj $solid -key name]
      set guiRESULTSvars(visopts_solid_$solid) [list show 0 opacity 1.0 r 1.0 g 0.0 b 0.0]
  }

  set leftmenu $symbolicName(results_tab_left_model_menu).m
  set rightmenu $symbolicName(results_tab_right_model_menu).m

  $leftmenu delete 0 end
  $rightmenu delete 0 end
  $leftmenu add radiobutton  -value None  -variable {guiRESULTSvars(left_model_selected)}  -command {guiRESULTSselectModel left model}  -label None
  $rightmenu add radiobutton  -value None -variable {guiRESULTSvars(right_model_selected)}  -command {guiRESULTSselectModel right model}  -label None
  foreach solid $solids {
    $leftmenu add radiobutton  -value [repos_getLabel -obj $solid -key name]  -variable {guiRESULTSvars(left_model_selected)}  -command {guiRESULTSselectModel left model}  -label [repos_getLabel -obj $solid -key name]
    $rightmenu add radiobutton  -value [repos_getLabel -obj $solid -key name]  -variable {guiRESULTSvars(right_model_selected)}  -command {guiRESULTSselectModel right model}  -label [repos_getLabel -obj $solid -key name]
  }

  if {0 == 1} {
  global symbolicName
  set templateFrame $symbolicName(results_tab_control_frame_template)
  pack forget $symbolicName(results_tab_control_frame_template)
  #pack forget $symbolicName(results_tab_control_frame)
  set topPackFrame $symbolicName(results_tab_image_frame)
  set topPackFrame $symbolicName(results_tab_control_subframe)
  set id 0

  foreach solid $solids {
      set packFrame $topPackFrame.tframe$id
      ttk::frame $packFrame
      $packFrame configure -relief raised
      pack $topPackFrame $packFrame -side left -fill x -expand 1
      incr id
      foreach child [pack slaves $templateFrame] {
          set name [lindex [split $child .] end]
          set widgetType [winfo class $child]
          puts "name $name widgetType $widgetType"
          if {$widgetType == "TLabel"} {
            ttk::label $packFrame.tlabel$id
      $packFrame.tlabel$id configure -text "[repos_getLabel -obj $solid -key name]"
            pack $packFrame $packFrame.tlabel$id
            incr id
    } elseif {$widgetType == "TCheckbutton"} {
            ttk::checkbutton $packFrame.tcheckbutton$id
      foreach i [$child configure] {
              puts "tcheckbutton$id configure [lindex $i 0] [$child cget [lindex $i 0]]"
        set childopt [$child cget [lindex $i 0]]
    set childopt [regsub -all Sample $childopt $solid]
        catch {$packFrame.tcheckbutton$id configure [lindex $i 0] $childopt}
      }
            pack $packFrame $packFrame.tcheckbutton$id
            incr id
    } elseif {$widgetType == "TButton"} {
            ttk::button $packFrame.tbutton$id
      foreach i [$child configure] {
              puts "tbutton$id configure [lindex $i 0] [$child cget [lindex $i 0]]"
        set childopt [$child cget [lindex $i 0]]
        set childopt [regsub -all Sample $childopt $solid]
        catch {$packFrame.tbutton$id configure [lindex $i 0] $childopt}
      }
            pack $packFrame $packFrame.tbutton$id
            incr id
    } elseif {$widgetType == "TScale"} {
            ttk::scale $packFrame.tscale$id
      foreach i [$child configure] {
              puts "tscale$id configure [lindex $i 0] [$child cget [lindex $i 0]]"
        set childopt [$child cget [lindex $i 0]]
    set childopt [regsub -all Sample $childopt $solid]
        catch {$packFrame.tscale$id configure [lindex $i 0] $childopt}
      }
            global gRenWin_3D_vars
            puts "set [$packFrame.tscale$id cget -variable] [$child get]"
      set [$packFrame.tscale$id cget -variable] [$child get]
            pack $packFrame $packFrame.tscale$id
            incr id
    }
      }
  }
  }

  $mymenu add separator
  $mymenu add checkbutton  -variable {gRenWin_3D_vars(solid_use_LOD)}  -label {Use level-of-detail display}
  $mymenu add checkbutton  -variable {gRenWin_3D_vars(solid_show_one_at_a_time)}  -label {Show one at a time}
  $mymenu add checkbutton  -variable {gRenWin_3D_vars(solid_show_second_opaque)}  -label {Vary opacity}

  # make native the default color map
  global guiVIB
  set guiVIB(color_map) native
  volGUIupdateColorMaps guiVIB

  global guiVOLRENvars
  set guiVOLRENvars(intensity_pt_1) 0.0
  set guiVOLRENvars(intensity_pt_2) 0.05
  set guiVOLRENvars(intensity_pt_3) 0.25
  set guiVOLRENvars(intensity_pt_4) 1.0
  set guiVOLRENvars(opacity_pt_1) 0.0
  set guiVOLRENvars(opacity_pt_2) 0.0
  set guiVOLRENvars(opacity_pt_3) 0.01
  set guiVOLRENvars(opacity_pt_4) 0.5
  set guiVOLRENvars(color_pt_1) {0 0 0}
  set guiVOLRENvars(color_pt_2) {0 0 0}
  set guiVOLRENvars(color_pt_3) {1 1 1}
  set guiVOLRENvars(color_pt_4) {1 1 1}
  guiVOLRENupdate init 0

  bind .guiCV <Configure> {guiRESULTSconfigureEvent %h %w}

  set leftmenu $symbolicName(results_tab_left_plots_menu).m
  set rightmenu $symbolicName(results_tab_right_plots_menu).m

  $leftmenu delete 0 end
  $rightmenu delete 0 end
  $leftmenu add radiobutton  -value None  -variable {guiRESULTSvars(left_plots_selected)}  -command {guiRESULTSselectPlots left}  -label None
  $rightmenu add radiobutton  -value None -variable {guiRESULTSvars(right_plots_selected)}  -command {guiRESULTSselectPlots right}  -label None

  set leftmenu $symbolicName(results_tab_left_3D_menu).m
  set rightmenu $symbolicName(results_tab_right_3D_menu).m

  $leftmenu delete 0 end
  $rightmenu delete 0 end
  $leftmenu add radiobutton  -value None  -variable {guiRESULTSvars(left_3D_selected)}  -command {guiRESULTS3Dshow left results}  -label None
  $rightmenu add radiobutton  -value None -variable {guiRESULTSvars(right_3D_selected)}  -command {guiRESULTS3Dshow right results}  -label None

  foreach solid $solids {
    catch {unset guiRESULTSvars(plot_names_$solid)}
    catch {unset guiRESULTSvars(plot_objs_$solid)}
  }
  foreach solid $solids {
    catch {unset guiRESULTSvars(3D_names_$solid)}
    catch {unset guiRESULTSvars(3D_objs_$solid)}
    catch {unset guiRESULTSvars(3D_scalar_ranges_$solid)}
  }

  foreach solid $solids {
      set gRenWin_3D_vars(show_$solid\_opacity) 1.0
      set guiRESULTSvars(plot_names_$solid) {}
      set guiRESULTSvars(plot_objs_$solid) {}
      set guiRESULTSvars(3D_names_$solid) {}
      set guiRESULTSvars(3D_objs_$solid) {}
      set guiRESULTSvars(3D_scalar_ranges_$solid) {}
  }

  set results_3D_list {}
  set results_plots_list {}

  set leftmenu $symbolicName(results_tab_left_plots_menu).m
  set rightmenu $symbolicName(results_tab_right_plots_menu).m

  set imgid 0

  global gAnatomicModelSurfaces
  global gAnatomicModelSurfacePictures
  global gPictures

  foreach model_id [array names gAnatomicModelSurfacePictures] {
    set solid $gAnatomicModelSurfaces($model_id)
    foreach mypic $gAnatomicModelSurfacePictures($model_id) {
      lappend guiRESULTSvars(plot_objs_$solid)  [lindex $gPictures($mypic) 0]
      lappend guiRESULTSvars(plot_names_$solid) [lindex $gPictures($mypic) 1]
    }
  }

  set leftmenu $symbolicName(results_tab_left_3D_menu).m
  set rightmenu $symbolicName(results_tab_right_3D_menu).m

  set id 0
  global gSurfaceResults
  global gAnatomicModelSurfaceResults

  foreach model_id [array names gAnatomicModelSurfaceResults] {
    set solid $gAnatomicModelSurfaces($model_id)
    foreach mysurf $gAnatomicModelSurfaceResults($model_id) {
      set myvtkobj results_vtkobj_$id
      catch {repos_delete -obj $myvtkobj}
      geom_copy -src $solid -dst $myvtkobj
      set surfres $gSurfaceResults($mysurf)
      set polydata_identifier [lindex $surfres 0]
      set field_name          [lindex $surfres 1]
      set range               [lrange $surfres 2 3]
      set text_description    [lindex $surfres 4]
      [[repos_exportToVtk -src $myvtkobj] GetPointData] SetActiveScalars $field_name
      lappend guiRESULTSvars(3D_names_$solid) $text_description
      lappend guiRESULTSvars(3D_objs_$solid)  $myvtkobj
      lappend guiRESULTSvars(3D_scalar_ranges_$solid) $range
      incr id
    }
  }
}


# Procedure: guiCV_select_project_directory
proc guiCV_select_project_directory {} {

  set dir [tk_chooseDirectory -mustexist 0 -title "Select Project Directory" -initialdir [pwd]]

  if {$dir == ""} return

  if {![file exists $dir]} {

      set choice [tk_messageBox -title "Directory not found." -message "Create a new directory?" -icon question -type yesno]
      switch -- $choice {
        yes {
          file mkdir $dir
  }
        no {
          return -code error "ERROR:  Directory does not exist!"
  }
      }

  }

  if {![file isdirectory $dir]} {
     return -code error "ERROR:  ($dir) is not a directory!"
  }
  cd $dir

  set choice [tk_messageBox -title "Reset default filenames" -message "Set default filenames using project directory name?" -icon question -type yesno]
  switch -- $choice {
     yes {
       guiFNMsetDefaultFilenames
     }
     no {
        # do nothing
     }
  }

  global SV_TIMESTAMP

  if [catch {registry set "HKEY_CURRENT_USER\\Software\\SimVascular\\SimVascular\\$SV_TIMESTAMP" LastProjectDir $dir} msg] {
       puts "ERROR updating LastProjectDir in registry! ($msg)"
  }
}


# Procedure: guiCV_squeezer
proc guiCV_squeezer { widget} {
global guiCVvars
if {$guiCVvars($widget)} {
  pack configure $widget -side bottom -fill both -expand true
} {
  pack forget $widget
}
}


# Procedure: guiCV_squeezer_labelframe
proc guiCV_squeezer_labelframe { frame widget} {

  global guiCVvars

  if {![info exists guiCVvars($widget$frame)]} {
   set guiCVvars($widget$frame) 1
   pack configure $widget$frame -side bottom -fill x -expand false
   return
  }

  # add in some simple defaults if pack params haven't been saved
  if {![info exists guiCVvars($widget$frame\_pack_info)]} {
     set guiCVvars($widget$frame\_pack_info) "-side top -fill x -expand false"
  }

  if {!$guiCVvars($widget$frame)} {
    #puts "$widget$frame"
    array set opts $guiCVvars($widget$frame\_pack_info)
    #foreach i [array names opts] {
      #puts "$i: $opts($i)"
      #if {$i != "-in" } {
      #
      #}
    #}
    pack configure $widget$frame -side $opts(-side) -fill $opts(-fill) -expand $opts(-expand) -anchor $opts(-anchor)
    set guiCVvars($widget$frame) 1
    set orgtext [$widget cget -text]
    if {[string range $orgtext end-2 end] == {[+]}} {
      set orgtext [string range $orgtext 0 end-4]
    }
    $widget configure -text "$orgtext \[\-\]"
  } else {
    set guiCVvars($widget$frame\_pack_info) [pack info $widget$frame]
    set guiCVvars($widget$frame) 0
    set reqwidth [winfo reqwidth $widget$frame]
    pack forget $widget$frame
    $widget configure -height 25 -width $reqwidth
    set orgtext [$widget cget -text]
    if {[string range $orgtext end-2 end] == {[-]}} {
      set orgtext [string range $orgtext 0 end-4]
    }
    $widget configure -text "$orgtext \[\+\]"
  }
}


# Procedure: guiCV_swapframes
proc guiCV_swapframes { frame1 frame2} {
global guiCVvars

if {![info exists guiCVvars($frame2\_pack_info)]} {
   set guiCVvars($frame2\_pack_info) "-fill both"
  }

pack forget $frame1

#todo: more opts, check that frame2 exists
array set opts $guiCVvars($frame2\_pack_info)
pack configure $frame2 -fill $opts(-fill)
}


# Procedure: guiCVloadDICOM
proc guiCVloadDICOM {} {

  global gImageVol
  createPREOPloadsaveVolFile
  if {$gImageVol(tmpfilename) != ""} {
    createPREOPloadsaveLoadVol
  }
}


# Procedure: guiCVloadMha
proc guiCVloadMha {} {

  global gImageVol
  set filename [tk_getOpenFile -filetypes {{MetaImage {*.mha *.mhd}} {"All Files" *.*}} -title "Choose Volumetric Image File In mha Format"]
  if {[string length [string trim $filename]] != 0} {
    set gImageVol(mha_filename) $filename
    createPREOPloadsaveLoadVol
  }
}


# Procedure: guiCVloadVTI
proc guiCVloadVTI {} {

  global gImageVol
  set filename [tk_getOpenFile -filetypes {{XML *.vti} {"All Files" *.*}} -title "Choose Volumetric Image File In VTI Format"]
  if {[string length [string trim $filename]] != 0} {
    set gImageVol(xml_filename) $filename
    createPREOPloadsaveLoadVol
  }
}


# Procedure: guiCVshowHideMenu
proc guiCVshowHideMenu { mainbox text} {

  global symbolicName
  global guiCVvars

  set fbox $symbolicName($mainbox)

  set varname show_tab_[string range $mainbox 15 end]\_$text
  set varname [string tolower [regsub -all " " $varname _]]

  eval set flag \$guiCVvars($varname)

  #puts "tab is $varname"
  set num_tabs [$fbox index end]
  #puts "found $num_tabs tabs!"
  for {set i 0} {$i < $num_tabs} {incr i} {
    set opvals [$fbox tab $i]
    array set vals $opvals
    # hide
    #puts "-text $vals(-text)"

    if {[string tolower $vals(-text)] == [string tolower $text]} {

      if {$flag} {
        puts "adding tab $i \($vals(-text)\)"
        set slavewindow [lindex [$fbox tabs] $i]
        $fbox add $slavewindow
        break
        } else {
          puts "hiding tab $i \($vals(-text)\)"
          $fbox hide $i
        }
        break
      }
    }
}


# Procedure: guiCVshowHideMenu_SV_level_set
proc guiCVshowHideMenu_SV_level_set {} {
  global guiCVvars
  set guiCVvars(show_tab_create_vessel_legacy_level_set) $guiCVvars(show_tabs_legacy_level_set)
  set guiCVvars(show_tab_3d_ls_segment) $guiCVvars(show_tabs_legacy_level_set)
  guiCVshowHideMenu guiCV_notebook_create_vessel "Legacy Level Set"
  guiCVshowHideMenu guiCV_notebook_3D_LS "Segment"
}


# Procedure: guiCVshowHideMenu_itk_level_set
proc guiCVshowHideMenu_itk_level_set {} {
  global guiCVvars
  set guiCVvars(show_tab_create_vessel_level_set) $guiCVvars(show_tabs_level_set)
  set guiCVvars(show_tab_3d_fast_segment) $guiCVvars(show_tabs_level_set)
  guiCVshowHideMenu guiCV_notebook_create_vessel "Level Set"
  guiCVshowHideMenu guiCV_notebook_3D "Fast Segment"
}


# Procedure: guiDELETEvis
proc guiDELETEvis {} {
  global guiPDvars
  global gOptions
  global gObjects

  set kernel $gOptions(meshing_solid_kernel)
  set solid $gObjects(polydata_solid)

  if {$kernel != "PolyData"} {
    return -code error "ERROR: PolyData needs to be used to view full solid"
  }

  if {$guiPDvars(vis_full_pd) == 1} {
    crd_ren gRenWin_3D_ren1
    set waitvar 0
    after 1000 set waitvar 1
    vwait waitvar
    guiMMloadPolyData $solid
  }
}


# Procedure: guiDICOM_select_original_dicom_dir
proc guiDICOM_select_original_dicom_dir {} {

  global guiDICOMvars

  set dir [tk_chooseDirectory -mustexist 1 -title "Select Original DICOM Data Directory" -initialdir [pwd]]

  if {$dir == ""} return

  if {![file isdirectory $dir]} {
     return -code error "ERROR:  ($dir) is not a directory!"
  }

  set guiDICOMvars(original_dicom_dir) $dir

  set guiDICOMvars(original_dicom_files) {}

  if {$guiDICOMvars(recursive_dir_search)} {
    set files [file_find $dir *]
  } else {
    set files [glob [file join $dir *]]
  }

  set just_files {}
  foreach i [file_find $dir *] {
      if  {[file isdirectory $i]} continue
        lappend just_files $i
  }

  set guiDICOMvars(original_dicom_files) [lsort -dictionary $just_files]
}


# Procedure: guiDICOM_select_output_sorted_dicom_dir
proc guiDICOM_select_output_sorted_dicom_dir {} {

  global guiDICOMvars

  set dir [tk_chooseDirectory -mustexist 0 -title "Select Original DICOM Data Directory" -initialdir [pwd]]

  if {$dir == ""} return

  set guiDICOMvars(output_sorted_dicom_dir) $dir

#  if {[file isdirectory $dir]} {
#     return -code error "ERROR:  ($dir) must not exist!"
#  }
}


# Procedure: guiDICOMsortFiles
proc guiDICOMsortFiles {} {
  global guiDICOMvars
  cd $guiDICOMvars(output_sorted_dicom_dir)
  dicom_sortFiles $guiDICOMvars(original_dicom_files)
}


# Procedure: guiFILT
proc guiFILT { operation} {
  global guiFILTvars
  set image_obj $guiFILTvars(volume)
  set backup_obj "$image_obj/backup"
  # restore original image volume
  if {$operation == "restore"} {
    if {![repos_exists -obj $backup_obj]} {
      return -code error "ERROR:  No backup currently stored!"
    }
    repos_delete -obj $image_obj
    repos_importVtkImg -src [repos_exportToVtk -src $backup_obj] -dst $image_obj
  } elseif {$operation == "save"} {
    set yesno [tk_messageBox -default yes  -message "Would you like to save this volume as a VTI file?"  -title "Save Volume as VTI"  -type yesno]
    switch -- $yesno {
       yes {
          set filename [tk_getSaveFile -filetypes {{VTI *.vti} {"All Files" *.*}} -title "Choose File gdscName for Image File In VTI Format"]
    if {$filename != ""} {
      if {[file extension $filename] == ""} {
              set filename "$filename.vti"
      }
            img_writeXML $image_obj $filename
          }
       }
       no {
         puts "Nothing done."
       }
    }

 } elseif {$operation == "delete_original"} {

   catch {repos_delete -obj $backup_obj}

 } elseif {$operation == "smooth"} {

   catch {repos_delete -obj $backup_obj}
   repos_importVtkImg -src [repos_exportToVtk -src $image_obj] -dst $backup_obj

   set caster tmp-guiFILT-caster
   catch {$caster Delete}

   vtkImageCast $caster
   $caster SetInputDataObject [repos_exportToVtk -src $backup_obj]
   $caster SetOutputScalarTypeToFloat
   $caster Update

   set floatImg guiFILT_volume_float
   set floatSmoothImg $floatImg\_smoothed

   catch {repos_delete -obj $floatImg}
   catch {repos_delete -obj $floatSmoothImg}

   repos_importVtkImg -src [$caster GetOutput] -dst $floatImg
   $caster Delete

   set num   $guiFILTvars(flow_num_iters)
   set r     $guiFILTvars(flow_stencil_radius)
   set steps $guiFILTvars(flow_time_step)

   itk_minMaxCurvSmooth -image $floatImg -numIterations $num -stencilRadius $r -timeStep $steps

   vtkImageCast $caster
   $caster SetInputDataObject [repos_exportToVtk -src $floatSmoothImg]
   $caster SetOutputScalarTypeToShort
   $caster Update

   repos_delete -obj $image_obj
   repos_importVtkImg -src [$caster GetOutput] -dst $image_obj

   $caster Delete
   repos_delete -obj $floatSmoothImg
   repos_delete -obj $floatImg

 } elseif {$operation == "diffuse"} {

   catch {repos_delete -obj $backup_obj}
   repos_importVtkImg -src [repos_exportToVtk -src $image_obj] -dst $backup_obj

   set diffV $guiFILTvars(aniso_diffusion_threshold)
   set flag $guiFILTvars(aniso_mag_grad_thr_flag)
   set num $guiFILTvars(aniso_num_iterations)

   set ansy tmp-guiFILT-ansy
   catch {$ansy Delete}

   vtkImageAnisotropicDiffusion3D $ansy
   $ansy SetInputDataObject [repos_exportToVtk -src $backup_obj]
   $ansy SetNumberOfIterations $num
   $ansy SetDiffusionThreshold $diffV
   $ansy SetGradientMagnitudeThreshold $flag
   $ansy Update

   repos_delete -obj $image_obj
   repos_importVtkImg -src [$ansy GetOutput] -dst $image_obj

   $ansy Delete

 } elseif {$operation == "shift_and_scale"} {

   catch {repos_delete -obj $backup_obj}
   repos_importVtkImg -src [repos_exportToVtk -src $image_obj] -dst $backup_obj

   set shift $guiFILTvars(shift_shift)
   set scale $guiFILTvars(shift_scale)
   set clamp $guiFILTvars(shift_clamp_overflow)
   set otype $guiFILTvars(shift_output_scalar_type)

   set shifty tmp-guiFILT-shifty
   catch {$shifty Delete}

   vtkImageShiftScale $shifty
   $shifty SetInputDataObject [repos_exportToVtk -src $backup_obj]
   $shifty SetShift $shift
   $shifty SetScale $scale
   $shifty SetClampOverflow $clamp
   $shifty SetOutputScalarTypeTo$otype
   $shifty Update

   repos_delete -obj $image_obj
   repos_importVtkImg -src [$shifty GetOutput] -dst $image_obj

   $shifty Delete

 } elseif {$operation == "threshold"} {

   catch {repos_delete -obj $backup_obj}
   repos_importVtkImg -src [repos_exportToVtk -src $image_obj] -dst $backup_obj

   set thr $guiFILTvars(threshold_value)
   if {$thr == 0 || $thr == ""} {
       if  {$image_obj == "volume_image"} {
         global guiVIB
         set thr $guiVIB(min_thr_value)
       } elseif {$image_obj == "resampled_image"} {
         global guiRIB
         set thr $guiRIB(min_thr_value)
       } else {
         return -code error "ERROR: valid volume ($image_obj)"
       }
   }

   repos_delete -obj $image_obj
   img_mkThrImg $backup_obj $thr $image_obj

 } else {

    return -code error "ERROR: invalid option ($operation)!"
 }
}


# Procedure: guiFILTsetShiftScaleParams
proc guiFILTsetShiftScaleParams {} {
   global guiFILTvars
   set min $guiFILTvars(shift_window_min)
   set max $guiFILTvars(shift_window_max)
   set guiFILTvars(shift_clamp_overflow) 1
   set guiFILTvars(shift_output_scalar_type) UnsignedChar

   set image_obj $guiFILTvars(volume)
   set range [[repos_exportToVtk -src $image_obj] GetScalarRange]
   set shift [expr -1.0*$min]
   set scale [expr 255.0/(1.0*($max - $min))]
   set guiFILTvars(shift_shift) $shift
   set guiFILTvars(shift_scale) $scale
}


# Procedure: guiFNMloadHandPaths
proc guiFNMloadHandPaths {} {
    global gFilenames
    set filename $gFilenames(path_file)

    # check and see if the file exists
    if {[file exists $filename] == 0} {
      puts "ERROR: File $filename does not exist."
      return -code error "ERROR: File $filename does not exist."
    }

    # check for header
    set fp [open $filename "r"]
    set line {}
    catch {gets $fp line}
    close $fp

    if {[regexp guiPP $line] == 0} {
      puts "ERROR: File $filename is not of the right format."
      return -code error "ERROR: File $filename is not of the right format."
    }
    global gPathPoints
    catch {unset gPathPoints}
    source $filename

    guiSV_path_update_tree
}


# Procedure: guiFNMloadPatientFile
proc guiFNMloadPatientFile {} {

    global gFilenames
    global gOptions

    set filename [tk_getOpenFile -filetypes {{"patient" .patient} {"all files" *}} -title "Options File" -initialfile $gFilenames(patient_file)]

    # check and see if the file exists
    if {[file exists $filename] == 0} {
      puts "ERROR: File $filename does not exist."
      return -code error "ERROR: File $filename does not exist."
    }
    set gFilenames(patient_file) $filename

    # check for header
    set fp [open $filename "r"]
    set line {}
    catch {gets $fp line}
    close $fp

    if {[regexp geodesic_params_file_format $line] == 0} {
      puts "ERROR: File $filename is not of the right format."
      return -code error "ERROR: File $filename is not of the right format."
    }

    if {[regexp 2.* $line] == 0} {
      puts "ERROR: File $filename is not version 2.0.  File being ignored!"
      return -code error "ERROR: File $filename is not version 2.0.  File being ignored!"
    }

    if {[regexp 2.1 $line] != 1} {
      puts "WARNING:  File $filename is not the latest version.  Please resave."
      puts "          Some previously selected options may have been lost."
    }

    source $filename
}


# Procedure: guiFNMloadSolidModel
proc guiFNMloadSolidModel { fn solid} {
    global gFilenames
    global gObjects
    global gOptions
    set filename $gFilenames($fn)
    set object $gObjects($solid)
    set solid_kernel $gOptions(meshing_solid_kernel)

    # check and see if the file exists
    if {[file exists $filename] == 0} {
      puts "ERROR: File $filename does not exist."
      return -code error "ERROR: File $filename does not exist."
    }

    catch {repos_delete -obj $object}
    global gOptions

    solid_setKernel -name $gOptions(meshing_solid_kernel)
    solid_readNative -file $filename -obj $object

    # if discrete model, try and load faces file or create defaults
    if {$gOptions(meshing_solid_kernel) == "Discrete"} {
      global gDiscreteModelFaceNames
      global gDiscreteModelFaceNamesInfo
      catch {unset gDiscreteModelFaceNames}
      catch {unset gDiscreteModelFaceNamesInfo}
      if [file exists $filename.facenames] {
        puts "sourcing $filename.facenames"
        source $filename.facenames
        package require md5
        set mymd5 [::md5::md5 -hex -file $filename]
        if {$mymd5 != $gDiscreteModelFaceNamesInfo(model_file_md5)} {
          return -code error "ERROR: dsm model ($filename) file doesn't match one used to generate facenames ($filename.facenames)!"
        }
      } else {
        set allids [$object GetFaceIds]
        foreach id $allids {
          set gDiscreteModelFaceNames($id) "noname_$id"
        }
      }
    } elseif {$gOptions(meshing_solid_kernel) == "PolyData"} {
      global gPolyDataFaceNames
      global gPolyDataFaceNamesInfo
      catch {unset gPolyDataFaceNames}
      catch {unset gPolyDataFaceNamesInfo}
      if [file exists $filename.facenames] {
        puts "sourcing $filename.facenames"
        source $filename.facenames
        package require md5
        set mymd5 [::md5::md5 -hex -file $filename]
        #if {$mymd5 != $gPolyDataFaceNamesInfo(model_file_md5)} {
        #  return -code error "ERROR: polydata model ($filename) file doesn't match one used to generate facenames ($filename.facenames)!"
        #}
      } else {

        guiMMloadPolyData $object
  return

      }
    }

    if {$solid_kernel == "Parasolid" || $solid_kernel == "Discrete" || $solid_kernel == "PolyData"} {
  set pretty_names {}
  foreach i [$object GetFaceIds] {
    if {$solid_kernel == "Parasolid"} {
      catch {lappend pretty_names [$object GetFaceAttr -attr gdscName -faceId $i]}
    } elseif {$solid_kernel == "Discrete"} {
      lappend pretty_names $gDiscreteModelFaceNames($i)
    } elseif {$solid_kernel == "PolyData"} {
      lappend pretty_names $gPolyDataFaceNames($i)
    }
  }
  if {[llength [lsort -unique $pretty_names]] != [llength $pretty_names]} {
    set duplist [lsort -dictionary $pretty_names]
    foreach i [lsort -unique $pretty_names] {
      set idx [lsearch -exact $duplist $i]
      set duplist [lreplace $duplist $idx $idx]
    }
    set msg "Duplicate faces found!\n\n"
    foreach dup $duplist {
      set msg "$msg  name: $dup\n"
    }
    tk_messageBox -title "Duplicate Face Names" -type ok -message $msg
  }
    } else {
      return -code error "ERROR: invalid solid_kernel ($solid_kernel)"
    }
}


# Procedure: guiFNMsetDefaultFilenames
proc guiFNMsetDefaultFilenames {} {

  global gFilenames

  # our default will be the current directory name
  set root [file tail [pwd]]

  # default file names
  global gFilenames
  set gFilenames(atdb_file) $root.atdb
  set gFilenames(atdb_solid_file) $root-trimmed.xmt_txt
  set gFilenames(bct_dat_file) bct.dat
  set gFilenames(numstart_file) numstart.dat
  set gFilenames(blend_file) $root.blends
  set gFilenames(blend_solid_file) $root-blended.xmt_txt
  set gFilenames(inflow_mesh_face_file) inflow_mesh_face.vtk
  set gFilenames(mesh_script_file) $root.mss
  set gFilenames(tet_mesh_script_file) $root.tgs
  set gFilenames(mesh_file) $root.sms
  set gFilenames(mesh_out_prefix) $root
  set gFilenames(path_file) $root.paths
  set gFilenames(patient_file) $root.patient
  set gFilenames(preblend_solid_file) $root-trimmed-1.xmt_txt
  set gFilenames(preop_solid_file) $root.xmt_txt
  set gFilenames(preop_trimmed1_file) $root-trimmed.xmt_txt
  set gFilenames(preop_trimmed2_file) $root-trimmed-2.xmt_txt
  set gFilenames(spectrum_usrNBC1_file) usrNBC1.var
  set gFilenames(spectrum_usrNBC2_file) usrNBC2.var
  set gFilenames(spectrum_usrNBC3_file) usrNBC3.var
  set gFilenames(supre_script_file) $root.svpre
  set gFilenames(tagged_pixels_file) tagged_pixels
  set gFilenames(vcalc_flow_file) $root.flow
  set gFilenames(cuts_file) $root.cuts

  # default directories
  set gFilenames(baseline_regions_dir) baseline_regions
  set gFilenames(groups_dir) groups
  set gFilenames(mapped_inlet_mesh_dir) inflow-mesh-face-vel
  set gFilenames(mapped_vel_dir) mapped-velocity
  set gFilenames(mesh_faces_dir) mesh-surfaces
  set gFilenames(vel_seg_dir) pcmri-segs
  set gFilenames(tmp_dir) tmp
}


# Procedure: guiGROUPSUpdateSource
proc guiGROUPSUpdateSource {} {

  global symbolicName
  set lb $symbolicName(guiGROUPSSrcLB)

  global guiGROUPSvars
  set inGroup $guiGROUPSvars(InputGroup)

  # delete any existing entries first
  $lb delete 0 end

  # get the source group name
  # check that source name exists
  if {[group_exists $inGroup] == 0} {
    puts "ERROR:  Group doesn't exist."
    return -code error SV_ERROR
  }

  # insert the group items into the listbox
  foreach i [group_get $inGroup] {
    set name [string range $i 0 [expr [string last / $i] -1]]
    set id [string range $i [expr [string last / $i] + 1] end]
    $lb insert end $id
  }

  return SV_OK
}


# Procedure: guiGROUPSalignAllProfiles
proc guiGROUPSalignAllProfiles {} {

  global guiGROUPSvars
  global gPathBrowser
  global symbolicName

  set tv $symbolicName(guiSV_group_tree)

  set selected [guiSV_group_get_tree_current_groups_selected]
  if {$selected == ""} return

  foreach grp $selected {

    switch -exact $gPathBrowser(align_mtd_radio) {
  dist {
      set vecFlag false
  }
  vec {
      set vecFlag true
  }
  default {
      return -code error "ERR: Unexpected profile alignment  option \[$gPathBrowser(align_mtd_radio)\]"
  }
    }

    puts ">>> Vector-based alignment flag:  \[$vecFlag\]"

    if {($grp == "") || (![group_exists $grp])} {
  return -code error "Current group $grp not valid."
    }
    set sortedList [group_get $grp]
    if {[llength $sortedList] == 0} {
  return -code error "No profiles found for sampling."
    }

    #
    # supersample profiles
    #

    # sample all to the same resolution as the maximal resolution
    set numSuperPts 0
    foreach profile $sortedList {
      set numpts [geom_numPts -obj $profile]
      if {$numpts > $numSuperPts} {
        set numSuperPts $numpts
      }
    }

    set sample $gPathBrowser(solid_sample)
    puts ">>> Num fit pts per curve:  \[$sample\]"
    if {$sample > $numSuperPts} {
       set numSuperPts $sample
    }

    if {$numSuperPts == 0} {
      return -code error "ERROR: numSuperPts cant be zero!"
    }

    puts "Sampling all contours to a resolution of $numSuperPts points."

    foreach profile $sortedList {
      catch {repos_delete -obj $profile/supersample}
      geom_sampleLoop -src $profile -num $numSuperPts -dst $profile/supersample
    }


    #
    #  align profiles
    #

    set prof [lindex $sortedList 0]
    catch {repos_delete -obj $prof/aligned}
    geom_copy -src $prof/supersample -dst $prof/aligned

    for {set i 1} {$i < [llength $sortedList]} {incr i} {

  set p [lindex $sortedList [expr $i - 1]]
  set q [lindex $sortedList $i]

        catch {repos_delete -obj $q/aligned}

  geom_alignProfile  -ref $p/aligned  -src $q/supersample -dst $q/aligned  -vecMtd $vecFlag

    }

    #
    #  sample profiles
    #

    set sample $gPathBrowser(solid_sample)
    puts ">>> Num fit pts per curve:  \[$sample\]"

    foreach profile $sortedList {
      catch {repos_delete -obj $profile/sample}
      geom_sampleLoop -src $profile/aligned -num $sample -dst $profile/sample
    }

    catch {repos_deleteList [repos_subList /guiGROUPS/segment/$grp/*]}
    catch {repos_delete -obj /guiGROUPS/polydatasurface/tmp/$grp}
    catch {repos_delete -obj /guiGROUPS/polydatasurface/$grp}
    set branch_segs {}
    set numSegs [expr [llength $sortedList] - 1]
    for {set i 0} {$i < $numSegs} {incr i} {
      set seg /guiGROUPS/segment/$grp/$i
      catch {repos_delete -obj $seg}
      lappend branch_segs $seg
      geom_getPts [lindex $sortedList $i]/sample pts1
      geom_getPts [lindex $sortedList [expr $i+1]]/sample pts2
      geomConnectTwoProfiles $pts1 $pts2 $seg
    }
    geom_appendPds $branch_segs /guiGROUPS/polydatasurface/$grp
    #geom_triangulate /guiGROUPS/polydatasurface/$grp /guiGROUPS/polydatasurface/tmp/$grp
    #repos_delete -obj /guiGROUPS/polydatasurface/$grp
    #geom_mergePts -src /guiGROUPS/polydatasurface/tmp/$grp  #              -dst /guiGROUPS/polydatasurface/$grp
    #repos_delete -obj /guiGROUPS/polydatasurface/tmp/$grp
  }
}


# Procedure: guiGROUPSchangeOpacity
proc guiGROUPSchangeOpacity {} {
  global gRen3d
  global gRen3dFreeze
  global guiGROUPSvars
  set seg /guiGROUPS/segment
  set gRen3dFreeze 1
  foreach i [repos_subList $seg/*] {
    set a [vis_pGetActor $gRen3d $i]
    [$a GetProperty] SetOpacity $guiGROUPSvars(surface_opacity)
  }
  set gRen3dFreeze 0
  vis_render $gRen3d
}


# Procedure: guiGROUPSrefreshSpline
proc guiGROUPSrefreshSpline {} {
  guiGROUPSshowSpline
}


# Procedure: guiGROUPSreplaceWithSpline
proc guiGROUPSreplaceWithSpline {} {

  global guiGROUPSvars
  global symbolicName
  global gRen3d

  global symbolicName

  set tv $symbolicName(guiSV_group_tree)
  set segs [$tv selection]

  if {$segs == ""} {return}

  # only handle the case of a single spline image for now!
  set segs [lindex $segs 0]

  foreach i $segs {
    set id [string range [file extension $i] 1 end]
    set grp [string range [file extension [file rootname $i]] 1 end]
    puts "id: $id grp: $grp"
    set obj /group/$grp/$id
  }

  if {$obj == ""} {return}

  set yesno [tk_messageBox -icon question -message "This cannot be undone.  Proceed?"  -type yesno -default yes]
  if {$yesno == "no"} {
     puts "Operation cancelled.\n"
     return
  }

  foreach key [repos_getLabelKeys -obj $obj] {
      set tags($key) [repos_getLabel -obj $obj -key $key]
  }
  set tags(modified_as_spline) 1

  repos_delete -obj $obj

  set pts [vis_splineClosedWidgetGetPts $gRen3d guiGROUPS]
  geom_mkLinesFromPts $pts $obj 1

  foreach key [array names tags]  {
    repos_setLabel -obj $obj -key $key -value $tags($key)
  }
}


# Procedure: guiGROUPSshowSpline
proc guiGROUPSshowSpline {} {
  global guiGROUPSvars

  global gRen3d
  global guiGROUPSvars
  set flag $guiGROUPSvars(show_spline)

  catch {vis_splineClosedWidgetRm $gRen3d guiGROUPS}

  if {$flag == 0} {
    return
  }

  vis_splineClosedWidgetAdd $gRen3d  [repos_exportToVtk -src volume_image]  guiGROUPS  guiGROUPSsplineEnableEvent  guiGROUPSsplineStartInteractionEvent  guiGROUPSsplineInteractionEvent  guiGROUPSsplineEndInteractionEvent

  global symbolicName

  set tv $symbolicName(guiSV_group_tree)
  set segs [$tv selection]

  if {$segs == ""} {return}

  # only handle the case of a single spline image for now!
  set segs [lindex $segs 0]

  foreach i $segs {
    set id [string range [file extension $i] 1 end]
    set grp [string range [file extension [file rootname $i]] 1 end]
    puts "id: $id grp: $grp"
    set obj /group/$grp/$id
  }

  set seg /guiGROUPS/segment
  set guiGROUPSvars(spline_id) $id
  set idloc [lsearch [group_get $grp] /group/$grp/$id]

  if {$idloc < 0} {
     return -code error  "ERROR:  could not find id!"
  }
  set idloclength [expr [llength [group_get $grp]] - 1]
  if {$idloc == 0} {
    set guiGROUPSvars(seg_before_id) ""
    set guiGROUPSvars(seg_after_id)  $seg/0
  } elseif {$idloc == $idloclength } {
    set guiGROUPSvars(seg_before_id) $seg/$idloclength
    set guiGROUPSvars(seg_after_id)  ""
  } else {
    set guiGROUPSvars(seg_before_id) $seg/[expr $idloc - 1]
    set guiGROUPSvars(seg_after_id) $seg/$idloc
  }
  global gPathBrowser
  set numHandles $gPathBrowser(solid_sample)

  vis_splineClosedWidgetSetPts $gRen3d guiGROUPS /group/$grp/$id $numHandles

  vis_splineClosedWidgetOn $gRen3d guiGROUPS
  # since it appears the beginInteraction gets called when you turn on the widget,
  # we need to explicitly call the endInteraction the first time
  guiGROUPSsplineEndInteractionEvent
}


# Procedure: guiGROUPSshowSplineImage
proc guiGROUPSshowSplineImage {} {

  global guiGROUPSvars
  global gRen3d
  global symbolicName

  set flag $guiGROUPSvars(show_image_slice)

  catch {vis_splineClosedWidgetRmSlice $gRen3d guiGROUPS}

  if {$flag == 0} {
    vis_render $gRen3d
    return
  }

  set tv $symbolicName(guiSV_group_tree)
  set segs [$tv selection]

  if {$segs == ""} {return}

  # only handle the case of a single spline image for now!
  set segs [lindex $segs 0]

  foreach i $segs {
    set id [string range [file extension $i] 1 end]
    set grp [string range [file extension [file rootname $i]] 1 end]
    #puts "id: $id grp: $grp"
    set obj /group/$grp/$id

    geom_getPts $obj pts

    vis_splineClosedWidgetCalcSlice $gRen3d guiGROUPS $pts 1

  }
}


# Procedure: guiGROUPSshowSurface
proc guiGROUPSshowSurface {} {

  global gRen3d
  global gRen3dFreeze
  global guiGROUPSvars
  set seg /guiGROUPS/segment
  set gRen3dFreeze 1

  foreach i [repos_subList $seg/*] {
    catch {vis_pRm $gRen3d $i}
  }

  if {$guiGROUPSvars(show_surface) == 0} {
    set gRen3dFreeze 0
    vis_render $gRen3d
    return
  }

  foreach i [repos_subList $seg/*] {
    set a [vis_pRepos $gRen3d $i]
    [$a GetProperty] SetOpacity $guiGROUPSvars(surface_opacity)
  }
  set gRen3dFreeze 0
  vis_render $gRen3d
}


# Procedure: guiGROUPSsplineEnableEvent
proc guiGROUPSsplineEnableEvent {} {
  #puts "BeginInteraction Event"
  global gInteractorInteracting
  set gInteractorInteracting 1

  global guiGROUPSvars
  global gRen3d

  set guiGROUPSvars(orgSplinePts) [vis_splineClosedWidgetGetPts $gRen3d guiGROUPS]
}


# Procedure: guiGROUPSsplineEndInteractionEvent
proc guiGROUPSsplineEndInteractionEvent {} {
  global gInteractorInteracting
  set gInteractorInteracting 0
}


# Procedure: guiGROUPSsplineInteractionEvent
proc guiGROUPSsplineInteractionEvent {} {
  global guiGROUPSvars
  global gRen3d
  global gPathBrowser
  set numHandles $gPathBrowser(solid_sample)

  global gInteractorRen

  set pts [vis_splineClosedWidgetGetPts $gInteractorRen guiGROUPS]

  set orgSplinePts $guiGROUPSvars(orgSplinePts)

  set fixAxisX 0
  set fixAxisY 0
  set fixAxisZ 0
  set fixPlane 1

  for {set i 0} {$i < [llength $pts]} {incr i} {
    set orgpt [lindex $orgSplinePts $i]
    set newpt [lindex $pts $i]
    if {$fixAxisX != 0} {
       set x [lindex $orgpt 0]
    } else {
       set x [lindex $newpt 0]
    }
    if {$fixAxisY != 0} {
       set y [lindex $orgpt 1]
    } else {
       set y [lindex $newpt 1]
    }
    if {$fixAxisZ != 0} {
       set z [lindex $orgpt 2]
    } else {
       set z [lindex $newpt 2]
    }
    lappend fixedpts [list $x $y $z]
  }

  if {$fixPlane == 0} {
    vis_splineClosedWidgetUpdatePts $gRen3d guiGROUPS $fixedpts
  } else {
    vis_splineClosedWidgetUpdatePtsPlaneOnly $gRen3d guiGROUPS $fixedpts
  }

  global guiGROUPSvars

  if {$guiGROUPSvars(show_surface) != 0} {
    global gRen3dFreeze
    set gRen3dFreeze 1
    if {$guiGROUPSvars(seg_before_id) != ""} {
      set vtkobj [repos_exportToVtk -src $guiGROUPSvars(seg_before_id)]
      set ptobj [$vtkobj GetPoints]
      for {set i 0} {$i < [llength $fixedpts]} {incr i} {
        eval $ptobj SetPoint [expr $i + [llength $fixedpts]] [lindex $fixedpts $i]
      }
      vis_pRm $gRen3d $guiGROUPSvars(seg_before_id)
      set a [vis_pRepos $gRen3d $guiGROUPSvars(seg_before_id)]
      [$a GetProperty] SetOpacity $guiGROUPSvars(surface_opacity)
    }
    if {$guiGROUPSvars(seg_after_id) != ""} {
      set vtkobj [repos_exportToVtk -src $guiGROUPSvars(seg_after_id)]
      set ptobj [$vtkobj GetPoints]
      for {set i 0} {$i < [llength $fixedpts]} {incr i} {
        eval $ptobj SetPoint $i [lindex $fixedpts $i]
      }
      vis_pRm $gRen3d $guiGROUPSvars(seg_after_id)
      set a [vis_pRepos $gRen3d $guiGROUPSvars(seg_after_id)]
      [$a GetProperty] SetOpacity $guiGROUPSvars(surface_opacity)
    }
    set gRen3dFreeze 0
    vis_render $gRen3d
  }
}


# Procedure: guiGROUPSsplineStartInteractionEvent
proc guiGROUPSsplineStartInteractionEvent {} {
   guiGROUPSsplineEnableEvent
}


# Procedure: guiLaunchRenWinHelper
proc guiLaunchRenWinHelper {} {

  global PickedAssembly
  # set the actor here
  if {$PickedAssembly == ""} {
    return
  }

  global guiRWH
  if {[$PickedAssembly GetClassName] == "vtkLODProp3D"} {
     set propCol PickActorPropCollection
     catch {$propCol Delete}
     vtkPropCollection $propCol
     $PickedAssembly GetActors $propCol
     set actor [$propCol GetItemAsObject 0]
     set guiRWH(actor) $actor
     catch {$propCol Delete}
  } else {
    set guiRWH(actor) $PickedAssembly
  }

  guiRWHgetProperties
}


# Procedure: guiMESHSIM_create_mesh
proc guiMESHSIM_create_mesh {} {

  global gOptions
  set gOptions(meshing_kernel) MeshSim

  set fail [catch {mesh_setKernel -name $gOptions(meshing_kernel)}]

  if { $fail != "0"} {
   tk_messageBox -title "MeshSim not available"  -type ok -message "MeshSim could not load.  Check your MeshSim License."
   return
  }


  guiMMlaunchInternal
}


# Procedure: guiMESHSIM_load_existing_mesh
proc guiMESHSIM_load_existing_mesh {} {

  global gOptions
  set gOptions(meshing_kernel) MeshSim

  mesh_setKernel -name $gOptions(meshing_kernel)

  guiMMreadMesh

  guiMMprintMeshStats
}


# Procedure: guiMESHSIM_load_polydata
proc guiMESHSIM_load_polydata {} {

  global gFilenames
  global gOptions

#  set fn [tk_getOpenFile -filetypes {{VTK *.vtk} {VTK *.vtp} {"All Files" *.*}} -title "Choose VTK PolyData File"]
#  if {$fn == ""} {
#     return
#  }

  set gOptions(meshing_solid_kernel) PolyData
#  set gFilenames(segmentation_file) $fn

  set fn [guiTRIMloadSeg]

  if {$fn == ""} return

  if {$gOptions(meshing_solid_kernel) == "PolyData"} {
#    set gObjects(polydata_solid) $smasherInputName
#    set gFilenames(polydata_solid_file) $fn
    global gPolyDataFaceNames
    global gPolyDataFaceNamesInfo
    catch {unset gPolyDataFaceNames}
    catch {unset gPolyDataFaceNamesInfo}
    if [file exists $fn.facenames] {
      puts "sourcing $fn.facenames"
      source $fn.facenames
      package require md5
      set mymd5 [::md5::md5 -hex -file $fn]
      #if {$mymd5 != $gPolyDataFaceNamesInfo(model_file_md5)} {
      #  return -code error "ERROR: dsm model ($fn) file doesn't match one used to generate facenames ($fn.facenames)!"
      #}
#    } else {
#      #If boundaries aren't identified, read in PolyData as full PolyData
#      #Boundaries will be extracted with Surface Extraction button
#      guiMMloadPolyData $smasherInputName
#      return
    }
  }
  guiTRIMvis vis_initial_surface

  return
}


# Procedure: guiMESHSIM_load_script_file
proc guiMESHSIM_load_script_file {} {

  global gOptions
  set gOptions(meshing_kernel) MeshSim

  mesh_setKernel -name $gOptions(meshing_kernel)

  guiMMbrowseFileScript mesh_script_file
}


# Procedure: guiMESHSIM_save_script_file
proc guiMESHSIM_save_script_file {} {

  global gOptions
  set gOptions(meshing_kernel) MeshSim

  mesh_setKernel -name $gOptions(meshing_kernel)

  # make sure the advanced attributes get updated from the text widget
  global symbolicName
  global guiMMvars
  set tbox $symbolicName(guiMMmeshControlAttributesTextBox)
  set guiMMvars(meshControlAttributes) [$tbox get 0.0 end]

  guiMMcreateScriptFile
}


# Procedure: guiMESHSIM_select_solid_model
proc guiMESHSIM_select_solid_model {} {

  global gFilenames
  global gOptions
  global gRen3d

  # different file extensions for parasolid and discrete models
  if {$gOptions(meshing_solid_kernel) == "Parasolid"} {
    set fn [tk_getOpenFile -filetypes {{PARASOLID *.xmt_txt} {"All Files" *.*}} -title "Choose Solid Model"]
  } elseif {$gOptions(meshing_solid_kernel) == "Discrete"} {
    set fn [tk_getOpenFile -filetypes {{Discrete *.dsm} {"All Files" *.*}} -title "Choose Solid Model"]
  } else {
    return -code error "ERROR: invalid meshing kernel!"
  }

  # no file selected
  if {$fn == ""} return

  set gFilenames(atdb_solid_file) $fn

  # load model and get face names (if available for discrete model)
  guiFNMloadSolidModel atdb_solid_file atdb_solid

  #display mesh model and update listboxes
  global smasherInputName
  set smasherInputName atdb_solid
  smasherGUIupdateViewWindow

  # automatically resize to see entire model
  vis_renReset $gRen3d
  vis_render $gRen3d
}


# Procedure: guiMMadaptMesh
proc guiMMadaptMesh {} {

  global gOptions
  global gFilenames
  global guiMMvars

  set ascflag                $guiMMvars(phasta_format)
  set model_file             $gFilenames(atdb_solid_file)
  set mesh_file              $gFilenames(mesh_file)
  set solution_file          [file join $guiMMvars(error_input_dir) $gFilenames(solution_file)]
  # gui has been hard wired to only let use create a combo result and error file
  #set error_file             [file join $guiMMvars(error_input_dir) $gFilenames(error_file)]
  set error_file             [file join $guiMMvars(error_input_dir) $gFilenames(solution_file)]
  set out_mesh_file          $gFilenames(adapted_mesh_file)
  set out_solution_file      $gFilenames(adapted_solution_file)
  set stepNumber             $guiMMvars(error_step_number)
  set selectedStrategy       1
  set numberVariables        5
  set reductionRatio         $guiMMvars(error_reduction_factor)
  set maxCoarseFactor        $guiMMvars(gsize)
  set maxRefineFactor        $guiMMvars(min_gsize)
  set option                 1
  if {$gOptions(meshing_solid_kernel) == "Parasolid"} {
   set discreteFlag          0
  } else {
   set discreteFlag          1
  }

  global gExternalPrograms
  set cvadapt $gExternalPrograms(cvadaptor)

  file delete [file join [pwd] adaptor_done_running]
  set fp [open [file join [pwd] run_adaptor.log] w]
  puts $fp "Start running adaptor..."
  puts $fp "exec $cvadapt -model_file $model_file\n -mesh_file $mesh_file\n -solution_file $solution_file\n -error_indicator_file $error_file\n -out_mesh_file $out_mesh_file\n -out_solution_file $out_solution_file\n  -out_sn $stepNumber\n -ratio $reductionRatio\n  -hmax $maxCoarseFactor\n -hmin $maxRefineFactor\n -discrete_model_flag $discreteFlag\n -sphere_refinement [lindex $gOptions(adaptor_sphere) 0] [lindex $gOptions(adaptor_sphere) 1] [lindex $gOptions(adaptor_sphere) 2] [lindex $gOptions(adaptor_sphere) 3] [lindex $gOptions(adaptor_sphere) 4]"
  close $fp

  catch {unset ::tail_adaptorlog}
  cancelTail [file join [pwd] run_adaptor.log] ::tail_adaptorlog
  set ::tail_adaptorlog {}

  tail [file join [pwd] run_adaptor.log] .+ 1000 ::tail_adaptorlog
  trace variable ::tail_adaptorlog w guiMMadaptMesh_handle

  catch {exec $cvadapt -model_file $model_file -mesh_file $mesh_file -solution_file $solution_file -error_indicator_file $error_file -out_mesh_file $out_mesh_file -out_solution_file $out_solution_file  -out_sn $stepNumber -ratio $reductionRatio  -hmax $maxCoarseFactor -hmin $maxRefineFactor -discrete_model_flag $discreteFlag -sphere_refinement [lindex $gOptions(adaptor_sphere) 0] [lindex $gOptions(adaptor_sphere) 1] [lindex $gOptions(adaptor_sphere) 2] [lindex $gOptions(adaptor_sphere) 3] [lindex $gOptions(adaptor_sphere) 4] &; } msg
  tk_messageBox -message "Launched adaptor in background!" -title "cvadaptor started" -icon info -type ok
}


# Procedure: guiMMadaptMesh_handle
proc guiMMadaptMesh_handle { args} {
  puts -nonewline [ set [ lindex $args 0 ] ]
  global ::tail_adaptorlog
  if [regexp "Writing out solution..." $::tail_adaptorlog] {
    catch {cancelTail [file join [pwd] run_adaptor.log ::tail_adaptorlog]}
    catch {unset ::tail_adaptorlog}
    tk_messageBox -message "Adaptor appears to be done!" -title "cvadaptor done" -icon info -type ok
  }
}


# Procedure: guiMMangleForBoundaries
proc guiMMangleForBoundaries { angle} {
  global guiMMvars
  set guiPDvars(angleForBoundaries) $angle
}


# Procedure: guiMMbrowseFile
proc guiMMbrowseFile { name} {
   global gFilenames
   set fn [tk_getOpenFile]
   if {$fn != ""} {
     set gFilenames($name) $fn
   }
  return
}


# Procedure: guiMMbrowseFileScript
proc guiMMbrowseFileScript { name} {
   global gFilenames
   global gOptions

   if {$gOptions(meshing_kernel) == "MeshSim"} {
     set fn [tk_getOpenFile -filetypes {{"MeshSim" *.mss}} -title "Choose Mesh Script File"]
   } elseif {$gOptions(meshing_kernel) == "TetGen"} {
     set fn [tk_getOpenFile -filetypes {{"TetGen" *.tgs}} -title "Choose Mesh Script File"]
   } else {
     return -code error "ERROR: Must Choose Meshing Kernel Type"
   }
   if {$fn != ""} {
     set gFilenames($name) $fn
     guiMMreadScriptFile
   }
  return
}


# Procedure: guiMMbrowseFileSolid
proc guiMMbrowseFileSolid { name} {
   global gFilenames
   global gOptions
   if {$gOptions(meshing_solid_kernel) == "Parasolid"} {
     set fn [tk_getOpenFile -filetypes {{PARASOLID *.xmt_txt} {"All Files" *.*}} -title "Choose Solid Model"]
   } elseif {$gOptions(meshing_solid_kernel) == "Discrete"} {
     set fn [tk_getOpenFile -filetypes {{Discrete *.dsm} {"All Files" *.*}} -title "Choose Solid Model"]
   } elseif {$gOptions(meshing_solid_kernel) == "PolyData"} {
     set fn [tk_getOpenFile -filetypes {{vtkPolyData *.vtp} {LegacyVTK *.vtk} {Stereolithography *.stl} {"Polygon File Format" *.ply} {"All Files" *.*}} -title "Choose Solid Model"]
   } else {
     set fn [tk_getOpenFile -filetypes {{"All Files" *.*}} -title "Choose Solid Model"]
   }
   if {$fn != ""} {
     set gFilenames($name) $fn
     guiFNMloadSolidModel atdb_solid_file atdb_solid
   }
  return
}


# Procedure: guiMMcheckMeshSimLicenseKeys
proc guiMMcheckMeshSimLicenseKeys {} {

  set pk [guiMMfindMeshSimLicenseKeys]

  set meshsim_value_names [registry values "$pk" MESHSIM*]

  foreach value_name $meshsim_value_names {
    set value [registry get "$pk" $value_name]
    puts "$value_name: $value"
  }
}


# Procedure: guiMMcreateCondensedFile
proc guiMMcreateCondensedFile {} {

  global guiMMvars

  set stepnum  $guiMMvars(last_step_number)
  set ascflag  $guiMMvars(phasta_format)
  set outdir   $guiMMvars(error_output_dir)
  set indir    $guiMMvars(error_input_dir)

  # don't know if I'll need to covert other fields or not
  if {0 == 1} {
      if {$guiPOSTvars(displacement_flag) != 0} {
        set dispflag "-disp"
      } else {
        set dispflag ""
      }
      if {$guiPOSTvars(traction_flag) != 0} {
        set tractflag "-bflux"
      } else {
        set tractflag ""
      }
      if {$guiPOSTvars(wss_flag) != 0} {
        set wssflag "-wss"
      } else {
        set wssflag ""
      }
  } else {
   set dispflag ""
   set tractflag ""
   set wssflag ""
  }

  global gExternalPrograms
  set cvpost $gExternalPrograms(svpost)
  puts "PostSolver Dir"
  puts $cvpost

  catch {exec $cvpost -sn $stepnum -indir $indir -outdir $indir $ascflag $dispflag $tractflag $wssflag -sol -ybar -ph} msg

  global gFilenames
  set gFilenames(solution_file) $guiMMvars(error_input_dir)/restart.$stepnum.0
  #tk_messageBox -message $msg -title "svpost output" -icon info -type ok
  guiSVMSGshow $msg
}


# Procedure: guiMMcreateMeshMacro
proc guiMMcreateMeshMacro { type} {

  global guiMMvars
  global symbolicName
  set addstr {}

  global symbolicName
  set facename ""
  set facename [$symbolicName(smasherAttNameLabel) get]
  if {$facename == ""} {
     return -code error "ERROR: facename cannot be blank!"
  }

  set guiMMvars(mca_id) $facename
  set guiMMvars(mca_bl_id) $facename

  if {$type == "global_size"} {
    set flag $guiMMvars(mca_global_size_type)
    if {$flag == "Global Max Edge Size"} {
      set addstr "gsize $guiMMvars(mca_global_type) $guiMMvars(mca_global_size)\n"
    } elseif {$flag == "Global Max Curvature Size"} {
      set addstr "gcurv $guiMMvars(mca_global_type) $guiMMvars(mca_global_size)\n"
    } elseif {$flag == "Global Min Curvature Size"} {
      set addstr "gmincurv $guiMMvars(mca_global_type) $guiMMvars(mca_global_size)\n"
    } else {
      return -code error "ERROR: invalid flag ($flag)."
    }
  } elseif {$type == "size"} {
    set flag $guiMMvars(mca_size_type)
    if {$flag == "Local Max Edge Size"} {
      set addstr "size $guiMMvars(mca_id) $guiMMvars(mca_type) $guiMMvars(mca_size)\n"
    } elseif {$flag == "Local Max Curvature Size"} {
      set addstr "curv $guiMMvars(mca_id) $guiMMvars(mca_type) $guiMMvars(mca_size)\n"
    } elseif {$flag == "Local Min Curvature Size"} {
      set addstr "mincurv $guiMMvars(mca_id) $guiMMvars(mca_type) $guiMMvars(mca_size)\n"
    } else {
      return -code error "ERROR: invalid flag ($flag)."
    }
  } elseif {$type == "boundaryLayer"} {
    puts "boundaryLayer"
    set flag $guiMMvars(mca_bl_type)
    if {$flag == "Geometric Growth of Layer Thickness (type 1)"} {
      set opt 1
    } elseif {$flag == "Relative Height Gradation (type 2)"} {
      set opt 2
    } elseif {$flag == "User Specified Heights (type 3)"} {
      set opt 3
    } elseif {$flag == "Relative Height Gradation (type 4)"} {
      set opt 4
    } else {
      return -code error "ERROR: invalid flag ($flag)."
    }
    set addstr "boundaryLayer $guiMMvars(mca_bl_id) $opt $guiMMvars(mca_bl_dir) $guiMMvars(mca_bl_numLayers) $guiMMvars(mca_bl_params)\n"
  } elseif {$type == "sphereRefinement"} {
    set addstr "sphereRefinement $guiMMvars(mca_sphere_size) $guiMMvars(mca_sphere_radius) $guiMMvars(mca_sphere_center)\n"
  } elseif {$type == "cylinderRefinement"} {
    set addstr "cylinderRefinement $guiMMvars(mca_cylinder_size) $guiMMvars(mca_cylinder_radius) $guiMMvars(mca_cylinder_length) $guiMMvars(mca_cylinder_center)  $guiMMvars(mca_cylinder_normal)\n"
  } else {
    return -code error "ERROR: invalid code ($type)."
  }

  $symbolicName(guiMMmeshControlAttributesTextBox) insert end $addstr
}


# Procedure: guiMMcreateMeshSimScriptFile
proc guiMMcreateMeshSimScriptFile {} {

  global gFilenames
  global guiMMvars
  global gOptions

  set mesh_kernel $gOptions(meshing_kernel)

  if {$mesh_kernel == "MeshSim"} {
    set scriptfile [file rootname $gFilenames(mesh_script_file)].mss
  } else {
    return -code error "ERROR: Invalid Mesh Script File"
  }

  set gFilenames(mesh_script_file) $scriptfile

  set basename [file rootname [file tail $gFilenames(mesh_file)]]

  puts "Writing attribute file $scriptfile."

  set fp [open $scriptfile "w"]

  if {$mesh_kernel == "MeshSim"} {
    puts $fp "# geodesic_meshSim_script 1.0"
  } elseif {$mesh_kernel == "TetGen"} {
    puts $fp "# geodesic_tetGen_script 1.0"
  } else {
    return -code error "ERROR: Invalide Mesh Script File"
  }

  puts $fp "#"
  puts $fp "msinit"
  # only initialize if we are going to create a boundary layer mesh
  if {$guiMMvars(meshGenerateBoundaryLayerMesh) == "1"} {
    puts $fp "msinitbl"
  }
  puts $fp "# create log"
  puts $fp "logon $basename.logfile"
  puts $fp "# load solid model"
  puts $fp "loadModel $gFilenames(atdb_solid_file)"
  puts $fp "# create a new mesh object"
  puts $fp "newMesh"
  puts $fp "# control options"
  if {$guiMMvars(meshConstrainSurface) == 1} {
    puts $fp "constrainSurface"
  }
  puts $fp "option surface optimization $guiMMvars(meshOptimizeSurfaceMesh)"
  puts $fp "option surface smoothing $guiMMvars(meshNumSmoothingPasses)"
  puts $fp "option volume optimization $guiMMvars(meshOptimizeVolumeMesh)"
  puts $fp "option volume smoothing $guiMMvars(meshSmoothVolumeMesh)"
  puts $fp "option surface $guiMMvars(meshGenerateSurfaceMesh)"
  puts $fp "option volume $guiMMvars(meshGenerateVolumeMesh)"

  puts $fp "gsize $guiMMvars(gsize_type) $guiMMvars(gsize)"

  puts $fp "# start_of_user_meshing_control_parameters"

  # strip out blank lines
  set broke [split $guiMMvars(meshControlAttributes) "\n"]
  for {set i 0} {$i < [llength $broke]} {incr i} {
    set trimed [string trim [lindex $broke $i]]
    if {$trimed != ""} {
      puts $fp $trimed
    }
  }

  puts $fp "# end_of_user_meshing_control_parameters"

  if {$guiMMvars(meshGenerateSurfaceMesh) == 1 && $guiMMvars(meshGenerateVolumeMesh) == 1} {
     puts $fp "generateMesh"
  } elseif {$guiMMvars(meshGenerateSurfaceMesh) == 1} {
     puts $fp "generateSurfaceMesh"
  } elseif {$guiMMvars(meshGenerateVolumeMesh) == 1} {
     puts $fp "generateVolumeMesh"
  }

  puts $fp "# write out mesh"
  puts $fp "writeMesh $gFilenames(mesh_file) sms 0"

  if {$guiMMvars(meshWriteMeshStats) == 1} {
     puts $fp "writeStats $basename.sts"
  }

  puts $fp "# clean up and shut down"
  puts $fp "deleteMesh"
  puts $fp "deleteModel"
  puts $fp "logoff"

  close $fp
}


# Procedure: guiMMcreateScriptFile
proc guiMMcreateScriptFile {} {

  global gOptions

  set mesh_kernel $gOptions(meshing_kernel)

  if {$mesh_kernel == "MeshSim"} {
    guiMMcreateMeshSimScriptFile
  } elseif {$mesh_kernel == "TetGen"} {
    guiMMcreateTetGenScriptFile
  } else {
    return -code error "ERROR: Invalid Mesh Script File Type"
  }
}


# Procedure: guiMMfindMeshSimLicenseKeys
proc guiMMfindMeshSimLicenseKeys {} {

  global SV_VERSION

  global tcl_platform
  if {$tcl_platform(platform) == "windows"} {
    package require registry
  } else {
    tk_messageBox -title "Not Available"  -type ok -message "Installing Registry Keys is only available on windows.  For MeshSim functionality on Linux, Please see README-install in your installtion directory"
    return
  }

  set parentkeys [list "HKEY_LOCAL_MACHINE\\SOFTWARE\\Wow6432Node\\SimVascular\\Licenses"]

  set foundit 0
  foreach pk $parentkeys {
    set keys {}
    if [catch {set keys [registry keys $pk]}] continue
    puts "keys found: $keys"
    if {[lsearch -exact $keys MeshSim] >= 0} {
      set foundit 1
      break
    }
  }

  if {!$foundit} {
    return -code error "ERROR: could not find installed licenses for MeshSim!"
  }

  return "$pk\\MeshSim"
}


# Procedure: guiMMinstallMeshSimLicenseKeys
proc guiMMinstallMeshSimLicenseKeys {} {

  global tcl_platform
  global SV_VERSION

  if {$tcl_platform(platform) == "windows"} {
    package require registry
  } else {
   tk_messageBox -title "Not Available"  -type ok -message "Installing Registry Keys is only available on windows.  For MeshSim functionality on Linux, Please see README-install in your installtion directory"
   return
  }

  set fn [tk_getOpenFile -filetypes {{"All Files" *.*}} -title "Choose MeshSim License File"]

  if {$fn == ""} return

  # install in Wow6432Node location for 64-bit

  set using32bit 0
  if {[string range $SV_VERSION end-1 end] == "32"} {
    set using32bit 1
    set parentkeys "HKEY_LOCAL_MACHINE\\SOFTWARE\\SimVascular\\Licenses\\MeshSim"
  } else {
    set using32bit 0
    set parentkeys "HKEY_LOCAL_MACHINE\\SOFTWARE\\Wow6432Node\\SimVascular\\Licenses\\MeshSim"
  }

  # delete old keys just if they exist

  if {![catch {set pk [guiMMfindMeshSimLicenseKeys]}]} {
     puts "deleting all registry keys for ($pk)"
     registry delete $pk
  }

  # process file and add new keys

  # do we need to worry about /cr on linux here?
  set licfp [open $fn r]
  while {[gets $licfp line] >= 0} {
    if {$line == ""} continue
    set line [string trim $line]
    if {[string index $line 0] == "\#"} continue
      set keyname [lindex $line 1]
      set keyname [string toupper $keyname]
      set parentkeys "HKEY_LOCAL_MACHINE\\SOFTWARE\\SimVascular\\Licenses\\MeshSim"
      catch {registry set $parentkeys MESHSIM_KEY_$keyname $line sz}
      set parentkeys "HKEY_LOCAL_MACHINE\\SOFTWARE\\Wow6432Node\\SimVascular\\Licenses\\MeshSim"
      catch {registry set $parentkeys MESHSIM_KEY_$keyname $line sz}
   }
   close $licfp

   set yesno [tk_messageBox -default yes  -message "You must restart SimVascular for MeshSim to be available.  Close SimVascular now?"  -title "Exit SimVascular?"  -type yesno]
   switch -- $yesno {
     yes {
          mainGUIexit
        }
     no {
        }
     }
}


# Procedure: guiMMlaunchInternal
proc guiMMlaunchInternal {} {
#
  global gFilenames
  global gObjects
  global gOptions
  global gDiscreteModelFaceNames
  global gDiscreteModelFaceNamesInfo
  global gPolyDataFaceNames
  global gPolyDataFaceNamesInfo

  #mesh_setKernel -name $gOptions(meshing_kernel)
  set kernel $gOptions(meshing_solid_kernel)

  set meshing_kernel $gOptions(meshing_kernel)

  puts $gOptions(meshing_kernel)
  set yesno [tk_messageBox -message "Creating a mesh can take a long time.  Continue anyway?" -default no -icon question -type yesno]

   if  {$yesno == "yes"} {
      set yesno [tk_messageBox -message "Use currently selected meshing options?  This will save/overwrite the meshing script file." -default yes -icon question -type yesno]
      if {$yesno == "yes"} {
   if {$meshing_kernel == "MeshSim"} {
           guiMESHSIM_save_script_file
   } elseif {$meshing_kernel == "TetGen"} {
     guiTETGEN_save_script_file
   } else {
     return -code error "Invalid Kernel"
   }
      }

      puts $gOptions(meshing_kernel)
      # remove the mesh if it is currently displayed before remeshing
      global guiMMvars
      global gRen3d
      puts $gOptions(meshing_kernel)
      if {$guiMMvars(viewMeshVtkFlag) !=  0} {
        catch {vis_pRm $gRen3d $gObjects(mesh_object_pd)}
      }
      puts $gOptions(meshing_kernel)

      if [catch {repos_delete -obj $gObjects(mesh_object)} msg] {
  puts $msg
      }
      puts $gOptions(meshing_kernel)
      if [catch {repos_delete -obj $gObjects(mesh_object_pd)} newmsg] {
  puts $newmsg
      }
      puts $meshing_kernel
      puts $gOptions(meshing_kernel)
      if {$meshing_kernel == "MeshSim"} {
        mesh_readMSS $gFilenames(mesh_script_file) $gObjects(mesh_object)
      } elseif {$meshing_kernel == "TetGen"} {
  puts $gOptions(meshing_kernel)
  mesh_readTGS $gFilenames(tet_mesh_script_file) $gObjects(mesh_object)
      } else {
  return -code error "ERROR: Invalid Mesh Type"
      }

      set guiMMvars(viewMeshVtkFlag) 1
      guiMMviewMeshVtk

      guiMMprintMeshStats

   } else {
      puts "nothing done!"
   }
}


# Procedure: guiMMloadPolyData
proc guiMMloadPolyData { object} {
  #Author: Adam Updegrove
  #e-mail: updega2@gmail.com
  #UC Berkeley
  #shaddenlab.berkeley.edu
  #
  #This is a procedure to load the solid model as a full PolyData
  #The boundaries can then be extracted later with the GetBoundaryFaces
  #method

  global gRenWin_3D_vars
  global gFilenames
  global gObjects
  global gOptions
  global gRen3d

  set kernel $gOptions(meshing_solid_kernel)
  set useLOD $gRenWin_3D_vars(solid_use_LOD)
  set pd /gRenWin_3D/meshing_solid/pd

  if {$kernel == "PolyData"} {
    if {[repos_exists -obj $object] == 1} {
       catch {repos_delete -obj $pd}
       if {$gOptions(facet_max_edge_size) == ""} {
         $object GetPolyData -result $pd
       } else {
         $object GetPolyData -result $pd  -max_edge_size $gOptions(facet_max_edge_size)
       }
       if {$useLOD == 1} {
         vis_lodRepos $gRen3d $pd
       } else {
         vis_pRepos $gRen3d $pd
       }
    }
  } else {
    return -code error "Kernel must be PolyData"
  }
}


# Procedure: guiMMmeshControlAttributesShow
proc guiMMmeshControlAttributesShow {} {

  global symbolicName
  global guiMMvars
  $symbolicName(guiMMmeshControlAttributesTextBox) delete 0.0 end
  $symbolicName(guiMMmeshControlAttributesTextBox) insert end $guiMMvars(meshControlAttributes)
  global gObjects
  set solid $gObjects(atdb_solid)
  set names {}
  global gOptions
  if {$gOptions(meshing_solid_kernel) == "Parasolid"} {
    foreach i [$solid GetFaceIds] {
      set name ""
      catch {set name [$solid GetFaceAttr -attr gdscName -faceId $i]}
      if {$name == ""} {
         set name [$solid GetFaceAttr -attr identifier -faceId $i]
      }
      lappend names $name
    }
  } elseif {$gOptions(meshing_solid_kernel) == "Discrete"} {
    global gDiscreteModelFaceNames
    foreach id [array names gDiscreteModelFaceNames] {
       lappend names $gDiscreteModelFaceNames($id)
    }
  } else {
    return -code error "ERROR: invalid solid kernel ($kernel)"
  }

  set names [lsort -dictionary $names]

  # insert the face names into menu buttons
  $symbolicName(guiMMsizeFaceNamesMenu) delete 0 end
  foreach i $names {
    $symbolicName(guiMMsizeFaceNamesMenu) add radiobutton -value $i -label $i -variable guiMMvars(mca_id)
  }
  $symbolicName(guiMMblFaceNamesMenu) delete 0 end
  foreach i $names {
    $symbolicName(guiMMblFaceNamesMenu) add radiobutton -value $i -label $i -variable guiMMvars(mca_bl_id)
  }
  global guiMMvars
  set guiMMvars(mca_id) [lindex $names 0]
  set guiMMvars(mca_bl_id) [lindex $names 0]
}


# Procedure: guiMMmeshScaleNumSmoothingPasses
proc guiMMmeshScaleNumSmoothingPasses { numpasses} {
  global guiMMvars
  set guiMMvars(meshNumSmoothingPasses) $numpasses
}


# Procedure: guiMMmodelSaveModel
proc guiMMmodelSaveModel {} {

  global symbolicName
  global gFilenames
  global gObjects
  global gOptions

  if {$gOptions(meshing_solid_kernel) == "Parasolid" || $gOptions(meshing_solid_kernel) == "Discrete"} {
    set filename $gFilenames(atdb_solid_file)
    set modelname $gObjects(atdb_solid)
  } elseif {$gOptions(meshing_solid_kernel) == "PolyData"} {
    set filename $gFilenames(polydata_solid_file)
    set modelname $gObjects(polydata_solid)
  }

  if {[repos_exists -obj $modelname] == 0} {
    puts "Error:  Object $modelname does not exist!"
    return -code error "ERROR:  Object $modelname does not exist!"
  }
  if {[repos_type -obj $modelname] != "SolidModel"} {
    puts "Error:  Object $modelname is not a solid model!"
    return -code error "ERROR:  Object $modelname is not a solid model!"
  }
  if {[file exists $filename] == "1"} {
    puts "Warning:  File $filename exists and will be overwritten!"
  }

  $modelname WriteNative -file [file rootname $filename]
}


# Procedure: guiMMprintMeshStats
proc guiMMprintMeshStats {} {

  global gObjects

  puts "Printing Mesh Statistics"
  set meshstats [$gObjects(mesh_object) Print]
  set messagetext "Meshing Done.  Statistics:\n\n"
  foreach i $meshstats {
    set messagetext "$messagetext\n[format "%-20s\t%-15i" [lindex $i 0] [lindex $i 1]]"
  }
  tk_messageBox -message $messagetext -title "Mesh Statistics" -icon info -type ok
}


# Procedure: guiMMreadMesh
proc guiMMreadMesh {} {

  global symbolicName
  global gFilenames
  global gObjects
  global gOptions

  set yesno [tk_messageBox -message "Read the script file from disk?" -default yes -icon question -type yesno]
  if {$yesno == "yes" } {
    guiMMreadScriptFile
  } else {
   set fn [tk_getOpenFile -title "Select mesh filename"]
   if {$fn != ""} {
     set gFilenames(mesh_file) $fn
   }
  }

  # create mesh object if requested

  puts "Read mesh."

  set yesno [tk_messageBox -message "Reading a mesh can take a long time.  Continue anyway?" -default no -icon question -type yesno]

  if  {$yesno == "no"} {
     return
  }

  set meshobj $gObjects(mesh_object)
  set meshpd $gObjects(mesh_object_pd)

  catch {repos_delete -obj $meshobj}
  catch {repos_delete -obj $meshpd}

  mesh_setKernel -name $gOptions(meshing_kernel)
  mesh_newObject -result $meshobj
  global gOptions
  $meshobj SetSolidKernel -name $gOptions(meshing_solid_kernel)
  $meshobj LoadModel -file $gFilenames(atdb_solid_file)
  $meshobj NewMesh
  $meshobj LoadMesh -file $gFilenames(mesh_file)
  #mesh_newObject -result $meshobj -solidfile $gFilenames(atdb_solid_file)  -meshfile $gFilenames(mesh_file)
}


# Procedure: guiMMreadMeshSimScriptFile
proc guiMMreadMeshSimScriptFile {} {
  global symbolicName
  global gFilenames
  global gObjects
  global guiMMvars
  global gOptions

  set fp [open $gFilenames(mesh_script_file) "r"]

  set guiMMvars(meshControlAttributes) {}

  while {[gets $fp line] >=0 } {

     set line [string trim $line]
     catch {set cmd [lindex $line 0]}

     if {$line == ""} {
       # just skip blank line
     } elseif {[string index $line 0] == "#"} {
       # don't preserve comment lines
       #set guiMMvars(meshControlAttributes) "$guiMMvars(meshControlAttributes) $line\n"
     } elseif {$cmd == "newMesh"} {
       # automatically generated
     } elseif {$cmd == "loadModel"} {
       set gFilenames(atdb_solid_file) [lindex $line 1]
       # should we check that the solid model exists here?
     } elseif {$cmd == "msinit"} {
       # automatically generated
     } elseif {$cmd == "msinitbl"} {
       # automatically generated if needed
     } elseif {$cmd == "msexit"} {
       # automatically generated
     } elseif {$cmd == "memoff"} {
       # ignore
       set guiMMvars(meshControlAttributes) "$guiMMvars(meshControlAttributes) #IGNORED: $line\n"
     } elseif {$cmd == "deleteMesh"} {
       # automatically generated
     } elseif {$cmd == "deleteModel"} {
       # automatically generated
     } elseif {$cmd == "writeSMS"} {
       puts "WARNING:  writeSMS not compatible with Geodesic."
       puts "          Converting call from writeSMS to writeMesh."
       set guiMMvars(meshControlAttributes) "$guiMMvars(meshControlAttributes) #WARNING: converted writeSMS to writeMesh.\n"
       set gFilenames(mesh_file) [lindex $line 1]
     } elseif {$cmd == "writeMesh"} {
       set gFilenames(mesh_file) [lindex $line 1]
     } elseif {$cmd == "writeStats"} {
       set guiMMvars(meshWriteMeshStats) 1
       # what about the filename?
     } elseif {$cmd == "readSMS"} {
       # ignore
       set guiMMvars(meshControlAttributes) "$guiMMvars(meshControlAttributes) #IGNORED: $line\n"
     } elseif {$cmd == "constrainSurface"} {
       set guiMMvars(meshConstrainSurface) 1
     } elseif {$cmd == "generateMesh"} {
       set guiMMvars(meshGenerateSurfaceMesh) 1
       set guiMMvars(meshGenerateVolumeMesh) 1
     } elseif {$cmd == "generateSurfaceMesh"} {
       set guiMMvars(meshGenerateSurfaceMesh) 1
     } elseif {$cmd == "generateVolumeMesh"} {
       set guiMMvars(meshGenerateVolumeMesh) 1
     } elseif {$cmd == "tri2quad"} {
       # ignore
       set guiMMvars(meshControlAttributes) "$guiMMvars(meshControlAttributes) #IGNORED: $line\n"
     } elseif {$cmd  == "option"} {
       # now process configuration options
       if {[lindex $line 1] == "surface" && [lindex $line 2] == "snap"} {
         # ignore
         set guiMMvars(meshControlAttributes) "$guiMMvars(meshControlAttributes) #IGNORED: $line\n"
       } elseif {[lindex $line 1] == "surface" && [lindex $line 2] == "optimization"} {
          set guiMMvars(meshOptimizeSurfaceMesh) [lindex $line 3]
       } elseif {[lindex $line 1] == "surface" && [lindex $line 2] == "smoothing"} {
          set guiMMvars(meshSmoothSurfaceMesh) [lindex $line 3]
          set guiMMvars(meshNumSmoothingPasses) [lindex $line 3]
       } elseif {[lindex $line 1] == "surface"} {
          set guiMMvars(meshGenerateSurfaceMesh) [lindex $line 2]
       } elseif {[lindex $line 1] == "volume" && [lindex $line 2] == "optimization"} {
          set guiMMvars(meshOptimizeVolumeMesh) [lindex $line 3]
       } elseif {[lindex $line 1] == "volume" && [lindex $line 2] == "smoothing"} {
          set guiMMvars(meshSmoothVolumeMesh) [lindex $line 3]
       } elseif {[lindex $line 1] == "volume"} {
          set guiMMvars(meshGenerateVolumeMesh) [lindex $line 2]
       } elseif {[lindex $line 1] == "bl" && [lindex $line 1] == "type"} {
          set guiMMvars(meshBoundaryLayerType) [lindex $line 3]
       } else {
          puts "ERROR: line $line ignored in meshSim script file."
       }
     } elseif {$cmd == "nomesh"} {
       # ignore
       set guiMMvars(meshControlAttributes) "$guiMMvars(meshControlAttributes) #IGNORED: $line\n"
     } elseif {$cmd == "size"} {
       set guiMMvars(meshControlAttributes) "$guiMMvars(meshControlAttributes) $line\n"
     } elseif {$cmd == "minsize"} {
       set guiMMvars(meshControlAttributes) "$guiMMvars(meshControlAttributes) $line\n"
     } elseif {$cmd == "gsize"} {
       set guiMMvars(gsize_type) [lindex $line 1]
       set guiMMvars(gsize) [lindex $line 2]
     } elseif {$cmd == "gminsize"} {
       set guiMMvars(meshControlAttributes) "$guiMMvars(meshControlAttributes) $line\n"
     } elseif {$cmd == "curv"} {
       set guiMMvars(meshControlAttributes) "$guiMMvars(meshControlAttributes) $line\n"
     } elseif {$cmd =="gcurv"} {
       set guiMMvars(meshControlAttributes) "$guiMMvars(meshControlAttributes) $line\n"
     } elseif {$cmd == "mincurv"} {
       set guiMMvars(meshControlAttributes) "$guiMMvars(meshControlAttributes) $line\n"
     } elseif {$cmd =="gmincurv"} {
       set guiMMvars(meshControlAttributes) "$guiMMvars(meshControlAttributes) $line\n"
     } elseif {$cmd == "bl"} {
       set guiMMvars(meshControlAttributes) "$guiMMvars(meshControlAttributes) $line\n"
     } elseif {$cmd == "refine"} {
       set guiMMvars(meshControlAttributes) "$guiMMvars(meshControlAttributes) $line\n"
     } elseif {$cmd == "match"} {
       set guiMMvars(meshControlAttributes) "$guiMMvars(meshControlAttributes) $line\n"
     } elseif {$cmd == "setEdgeMesh"} {
       set guiMMvars(meshControlAttributes) "$guiMMvars(meshControlAttributes) $line\n"
     } elseif {$cmd == "sphereRefinement"} {
       set guiMMvars(meshControlAttributes) "$guiMMvars(meshControlAttributes) $line\n"
     } elseif {$cmd == "cylinderRefinement"} {
       set guiMMvars(meshControlAttributes) "$guiMMvars(meshControlAttributes) $line\n"
     } elseif {$cmd == "boundaryLayer"} {
       set guiMMvars(meshControlAttributes) "$guiMMvars(meshControlAttributes) $line\n"
     } elseif {$cmd == "newMeshAdapt"} {
       # ignore
       set guiMMvars(meshControlAttributes) "$guiMMvars(meshControlAttributes) #IGNORED: $line\n"
     } elseif {$cmd == "deleteMeshAdapt"} {
       # ignore
       set guiMMvars(meshControlAttributes) "$guiMMvars(meshControlAttributes) #IGNORED: $line\n"
     } elseif {$cmd == "adapt"} {
       # ignore
       set guiMMvars(meshControlAttributes) "$guiMMvars(meshControlAttributes) #IGNORED: $line\n"
     } elseif {$cmd == "refineRandom"} {
       # ignore
       set guiMMvars(meshControlAttributes) "$guiMMvars(meshControlAttributes) #IGNORED: $line\n"
     } elseif {$cmd == "refineGFaceRegions"} {
       # ignore
       set guiMMvars(meshControlAttributes) "$guiMMvars(meshControlAttributes) #IGNORED: $line\n"
     } elseif {$cmd == "logon"} {
       # automatically generated
     } elseif {$cmd == "logoff"} {
       # automatically generated
     } else {
       puts "ERROR:  line $line ignored from meshSim script file."
     }
  }
  close $fp
}


# Procedure: guiMMreadScriptFile
proc guiMMreadScriptFile {} {

  global symbolicName
  global gFilenames
  global gObjects
  global guiMMvars
  global gOptions

  puts "Read mesh script file."

  # first we check the file exists


  set kernel $gOptions(meshing_kernel)

  if {$kernel == "MeshSim"} {
    if {[file exists $gFilenames(mesh_script_file)] != 1} {
      puts "ERROR:  File \"$gFilenames(mesh_script_file)\" does not exist!"
      return -code error "ERROR:  File \"$gFilenames(mesh_script_file)\" does not exist!"
    }
    guiMMreadMeshSimScriptFile
  } elseif {$kernel == "TetGen"} {
    if {[file exists $gFilenames(tet_mesh_script_file)] != 1} {
      puts "ERROR:  File \"$gFilenames(mesh_script_file)\" does not exist!"
      return -code error "ERROR:  File \"$gFilenames(mesh_script_file)\" does not exist!"
    }
    guiMMreadTetGenScriptFile
  }
}


# Procedure: guiMMremoveMeshSimLicenseKeys
proc guiMMremoveMeshSimLicenseKeys {} {

  set pk [guiMMfindMeshSimLicenseKeys]

  set yesno [tk_messageBox -default yes  -message "Would you like to delete all the MeshSim License Keys?  This cannot be undone."  -title "Delete All MeshSim License Keys"  -type yesno]
  switch -- $yesno {
    yes {
          puts "deleting all registry keys for ($pk)"
          registry delete $pk
        }
    no {
       }
    }
}


# Procedure: guiMMselectDir
proc guiMMselectDir { dir} {

   if {$dir == "error_input_dir"} {
     set otherdir error_output_dir
   } else {
     set otherdir error_input_dir
   }

   set tryme [tk_chooseDirectory -initialdir [pwd]]
   if {$tryme != ""} {
      global guiMMvars
      set guiMMvars($dir) $tryme
      if {$guiMMvars($dir) != $guiMMvars($otherdir)} {
        set yesno [tk_messageBox -message "You must set the input and output directories to be the same."  -title "Input Dir .ne. Output Dir"  -type ok]
        set yesno yes
        switch -- $yesno {
          yes {
            set guiMMvars($otherdir) $tryme
          }
          no {
            # do nothing
          }
         }
      }
   }
}


# Procedure: guiMMviewMeshVtk
proc guiMMviewMeshVtk {} {

  global gObjects
  set meshobj $gObjects(mesh_object)
  set meshpd $gObjects(mesh_object_pd)
  global gRen3d
  global gObjects
  global gOptions
  global guiMMvars

  if {$guiMMvars(viewMeshVtkFlag) ==  0} {
      catch {vis_pRm $gRen3d $meshpd}
      return
  }

  # check to make sure we've read in the mesh
  if {[repos_exists -obj $meshobj] == 0} {
     set guiMMvars(viewMeshVtkFlag) 0
     puts "ERROR:  mesh apparently not loaded."
     return -code error "ERROR:  mesh apparently not loaded."
  }

  if {[repos_exists -obj $meshpd] == 0} {
    $meshobj GetPolyData -result $meshpd
  }

  set gRen3d [vis_gRenWin_3D]
  vis_pRepos $gRen3d $meshpd
  set myact [vis_pGetActor $gRen3d $meshpd]
  set myprop [$myact GetProperty]
  $myprop SetRepresentationToWireframe
  $myprop SetInterpolationToFlat
  $myprop SetColor 0.8900 0.8100 0.3400
  $myprop SetSpecularColor 1 1 1
  $myprop SetSpecular 0.3
  $myprop SetSpecularPower 20
  $myprop SetAmbient 0.2
  $myprop SetDiffuse 0.8
  [$gRen3d GetRenderWindow] Render
}


# Procedure: guiMMviewSolidVtk
proc guiMMviewSolidVtk {} {

  global gObjects
  global gRen3d
  global gObjects
  global gOptions
  global guiMMvars

  set solidkernel $gOptions(meshing_solid_kernel)

  if {$solidkernel == "Parasolid" || $solidkernel == "Discrete"} {
    set solidobj $gObjects(atdb_solid)
  } elseif {$solidkernel == "PolyData"} {
    set solidobj $gObjects(polydata_solid)
  } else {
    return -code error "ERROR: Invalid solid kernel"
  }

  # check to make sure we've read in the mesh
  if {[repos_exists -obj $solidobj] == 0} {
     puts "ERROR:  solid apparently not loaded."
     return -code error "ERROR:  solid apparently not loaded."
  }

  set gRen3d [vis_gRenWin_3D]
  vis_pRepos $gRen3d $solidobj
  set myact [vis_pGetActor $gRen3d $solidobj]
  set myprop [$myact GetProperty]
  $myprop SetRepresentationToWireframe
  $myprop SetInterpolationToFlat
  $myprop SetColor 0.8900 0.8100 0.3400
  $myprop SetSpecularColor 1 1 1
  $myprop SetSpecular 0.3
  $myprop SetSpecularPower 20
  $myprop SetAmbient 0.2
  $myprop SetDiffuse 0.8
  [$gRen3d GetRenderWindow] Render
}

# Procedure: guiMMwriteExteriorFaces
proc guiMMwriteExteriorFaces {} {
  global gFilenames
  global gObjects
  global gOptions

  set solidkernel $gOptions(meshing_solid_kernel)

  if {$solidkernel == "Parasolid" || $solidkernel == "Discrete"} {
    set solid $gObjects(atdb_solid)
  } elseif {$solidkernel == "PolyData"} {
    set solid $gObjects(polydata_solid)
  } else {
    return -code error "ERROR: Invalid solid kernel"
  }

  set mesh $gObjects(mesh_object)
  set mydir $gFilenames(mesh_faces_dir)

  if {[file isdirectory $mydir] == 0} {
    return -code error "ERROR:  $mydir is not a directory!"
  }

  # gunzip the files if necessary
  #puts "Gunzipping ebc files if necessary..."
  #foreach i [glob -nocomplain [file join $mydir *.ebc.gz]] {
  #  file delete [file rootname $i]
  #  gunzip $i
  #}
  puts "Creating exterior faces file..."
  file delete all_exterior_faces.ebc
  file delete all_exterior_faces.ebc.gz

  if {[llength [glob -nocomplain [file join $mydir *.ebc.gz]]] > 0} {
    file_append [glob [file join $mydir *.ebc.gz]] all_exterior_faces.ebc.gz
  } else {
    file_append [glob [file join $mydir *.ebc]] all_exterior_faces.ebc
  }
}


# Procedure: guiMMwriteInflowFace
proc guiMMwriteInflowFace {} {

  global gFilenames
  global gObjects
  global gOptions

  set solidkernel $gOptions(meshing_solid_kernel)

  if {$solidkernel == "Parasolid" || $solidkernel == "Discrete"} {
    set solid $gObjects(atdb_solid)
  } elseif {$solidkernel == "PolyData"} {
    set solid $gObjects(polydata_solid)
  } else {
    return -code error "ERROR: Invalid solid kernel"
  }

  set faceid -1

  set mesh $gObjects(mesh_object)
  set outfile $gFilenames(inflow_mesh_face_file)
  set facePD $gObjects(inflow_mesh_face)

  if {[repos_exists -obj $facePD]} {
      puts "inflow_mesh_face exists and is being replaced."
      repos_delete -obj $facePD
  }

  foreach face [$solid GetFaceIds] {
    set facename {}
    catch {set facename [$solid GetFaceAttr -attr gdscName -faceId $face]}
    if {$facename == "inflow"} {
      set faceid $face
      break
    }
  }
  if {$faceid < 0} {
    puts "ERROR:  Could not find \"inflow\" face!"
    return -code error "ERROR:  Could not find \"inflow\" face!"
  }

  puts "Getting Inflow Mesh Face PolyData (face $faceid)."
  $mesh GetFacePolyData -result $facePD -face $faceid
  puts "Writing file $outfile."
  repos_writeVtkPolyData -file $outfile -type ascii -obj $facePD
}


## Procedure: guiMMwriteOutput
#proc guiMMwriteOutput { method ext} {
#
#  global gFilenames
#  global gObjects
#
#  set meshobject $gObjects(mesh_object)
#
#  if {[repos_exists -obj $meshobject] == 0} {
#    puts "No mesh object loaded.  Nothing done."
#    return
#  }
#
#  set prefix $gFilenames(mesh_out_prefix)
#
#  # this is due to ken, darn it!!
#  if {$method == "WriteSpectrumVis"} {
#     $meshobject $method -filePrefix $prefix
#     puts "File $prefix\_mesh.vis and $prefix\_res1.vis written."
#  } else {
#     $meshobject $method -file $prefix$ext
#     puts "File $prefix$ext written."
#  }
#}


# Procedure: guiMMwriteSUPRE
proc guiMMwriteSUPRE {} {
  global gFilenames
  global gObjects
  set mesh $gObjects(mesh_object)
  set prefix $gFilenames(mesh_out_prefix)

  #
  #  Create script file for supre
  #
  foreach i [$mesh Print] {
    set [lindex $i 0] [lindex $i 1]
  }

  puts "Create script file for svpre."
  set fp [open $gFilenames(supre_script_file) w]
  puts $fp "number_of_variables 5"
  puts $fp "number_of_nodes $number_of_nodes"
  puts $fp "number_of_elements $number_of_elements"
  puts $fp "number_of_mesh_edges $number_of_mesh_edges"
  puts $fp "number_of_mesh_faces $number_of_mesh_faces"
  puts $fp "nodes $prefix.coordinates.gz"
  puts $fp "elements $prefix.connectivity.gz"
  #puts $fp "nodes phasta-coord"
  #puts $fp "elements phasta-conn"
  puts $fp "boundary_faces all_exterior_faces.ebc.gz"
  #puts $fp "adjacency phasta-xadj"
  puts $fp "adjacency $prefix.xadj.gz"
  puts $fp "prescribed_velocities prescribed_velocities.nbc.gz"
  puts $fp "noslip wall.nbc.gz"
  puts $fp "zero_pressure zero_pressure.ebc.gz"
  puts $fp "set_surface_id all_exterior_faces.ebc.gz 1"
  puts $fp "write_geombc geombc.dat.1"
  puts $fp "write_restart restart.0.1"
  close $fp
}


## Procedure: guiMMwriteSpectrumSolver
#proc guiMMwriteSpectrumSolver {} {
#  global gFilenames
#  global gObjects
#  set mesh $gObjects(mesh_object)
#  set prefix $gFilenames(mesh_out_prefix)
#  $mesh WriteSpectrumSolverElements -file $prefix.connectivity
#  $mesh WriteSpectrumSolverNodes -file $prefix.coordinates
#}


# Procedure: guiPDloadSolidModel
proc guiPDloadSolidModel { fn} {
  global gOptions
  global gRen3d
  global gui3Dvars
  global smasherInputName
  global gObjects

  set gOptions(meshing_solid_kernel) PolyData

  smasherGUIreadModel

  set obj /tmp/load/polydata
  catch {repos_delete -obj $obj}
  $smasherInputName GetPolyData -result $obj
  set gObjects(polydata_solid) $smasherInputName
  set gui3Dvars(polydata_change_obj) $obj

  vis_renReset $gRen3d
  vis_render $gRen3d
}


# Procedure: guiPDrestoreSolidModel
proc guiPDrestoreSolidModel {} {
  global gui3Dvars
  global guiPDvars
  global smasherInputName
  global gPolyDataFaceNames
  global gRen3d
  global gObjects

  set obj $gui3Dvars(polydata_change_obj)

  set guiPDvars(updatedSolid) 1

  set faceids [$smasherInputName GetFaceIds]
  if {[llength $faceids] == 0} {
    catch {unset gPolyDataFaceNames}
  }

  crd_ren gRenWin_3D_ren1
  if {[array size gPolyDataFaceNames] != 0} {
    smasherGUIupdateViewWindow
  } else {
    catch {repos_delete -obj $obj}
    $smasherInputName GetPolyData -result $obj
    set gui3Dvars(polydata_change_obj) $obj
    set gObjects(polydata_solid) $smasherInputName
    gui3DvisSmooth no
  }
  vis_renReset $gRen3d
  vis_render $gRen3d
}


# Procedure: guiPDsaveCenterlines
proc guiPDsaveCenterlines {} {

  global gFilenames
  global guiPDvars
  global symbolicName

  set centerlinepd $guiPDvars(centerlines)

  set initialdirectory [file dirname $gFilenames(polydata_solid_file)]
  set initialfilename [file tail $gFilenames(polydata_solid_file)]
  set fn [tk_getSaveFile -filetypes { {"VTK" .vtp}} -defaultextension .vtp -title "Save Centerlines" -initialfile $initialfilename -initialdir $initialdirectory ]

  if {$fn == ""} {
     puts "User Cancelled."
     return
  }

  repos_writeXMLPolyData $centerlinepd $fn
}


# Procedure: guiPDsaveSolidModel
proc guiPDsaveSolidModel {} {
  global gOptions
  set gOptions(meshing_solid_kernel) PolyData

  smasherGUIwriteModel
}


# Procedure: guiPDsaveVoronoi
proc guiPDsaveVoronoi {} {

  global gFilenames
  global guiPDvars
  global symbolicName

  set voronoipd $guiPDvars(voronoi)

  set initialdirectory [file dirname $gFilenames(polydata_solid_file)]
  set initialfilename [file tail $gFilenames(polydata_solid_file)]
  set fn [tk_getSaveFile -filetypes { {"VTK" .vtp}} -defaultextension .vtp -title "Save Voronoi" -initialfile $initialfilename -initialdir $initialdirectory ]

  if {$fn == ""} {
     puts "User Cancelled."
     return
  }

  repos_writeXMLPolyData $voronoipd $fn
}


# Procedure: guiPDupdateSolidModel
proc guiPDupdateSolidModel {} {
  global gui3Dvars
  global guiPDvars
  global smasherInputName
  global gPolyDataFaceNames
  global gRen3d
  global gOptions
  global gObjects

  set obj /tmp/update/solid
  catch {repos_delete -obj $obj}

  if {$guiPDvars(updatedSolid) == 1} {
     $smasherInputName GetPolyData -result $obj
  } else {
     set obj $gui3Dvars(polydata_change_obj)
  }

  $smasherInputName SetVtkPolyData -obj $obj
  set gObjects(polydata_solid) $smasherInputName

  set guiPDvars(updatedSolid) 1

  set faceids [$smasherInputName GetFaceIds]
  if {[llength $faceids] == 0} {
    catch {unset gPolyDataFaceNames}
  }

  crd_ren gRenWin_3D_ren1
  if {[array size gPolyDataFaceNames] != 0} {
    smasherGUIupdateViewWindow
  } else {
    gui3DvisSmooth no
  }
  vis_renReset $gRen3d
  vis_render $gRen3d
}


# Procedure: guiPDvisObj
proc guiPDvisObj { pdobject pressed} {
  global gRen3d
  global guiPDvars

  set opt $guiPDvars(vis_$pdobject)
  set obj $guiPDvars($pdobject)

  if {$pressed == "yes"} {
      if {$opt == 0} {
        vis_pRm $gRen3d $obj
      } else {
  if [repos_exists -obj $obj] {
    set actor [vis_pRepos $gRen3d $obj]
#   [$actor GetProperty] SetRepresentationToWireframe
          vis_render $gRen3d
  }
      }
  } else {
      if {$opt == 0} return
      catch {vis_pRm $gRen3d $obj}
      set actor [vis_pRepos $gRen3d $obj]
#      [$actor GetProperty] SetRepresentationToWireframe
      vis_render $gRen3d
  }
}


# Procedure: guiPHASTAbrowseSupreFile
proc guiPHASTAbrowseSupreFile {} {
  global gFilenames
  set fn [tk_getOpenFile -filetypes { {"svpre" .svpre} {"cvpre" .cvpre} {"all files" *}} -title "svPreSolver File" -initialfile $gFilenames(supre_script_file)]
  if {$fn != ""} {
    set gFilenames(supre_script_file) $fn
  }
}


# Procedure: guiPHASTAcreateNumstartFile
proc guiPHASTAcreateNumstartFile {} {
  global gFilenames
  puts "Creating numstart.dat file."

  set initialdirectory [file dirname $gFilenames(numstart_file)]
  set initialfilename [file tail $gFilenames(numstart_file)]
  set fn [tk_getSaveFile -filetypes { {"Numstart File" .dat}} -defaultextension .dat -title "Save Numstart" -initialfile $initialfilename -initialdir $initialdirectory ]

  if {$fn == ""} {
     puts "User Cancelled."
     return
  }

  set fp [open $fn w]
  fconfigure $fp -translation lf
  puts $fp "0"
  close $fp
}


# Procedure: guiPHASTAexecuteTclCode
proc guiPHASTAexecuteTclCode { cmdvar} {
  global guiPHASTAvars
  eval $guiPHASTAvars($cmdvar)
}


# Procedure: guiPHASTAloadSupreFile
proc guiPHASTAloadSupreFile {} {

  global guiPHASTAvars
  global gFilenames
  global symbolicName

  set tbox $symbolicName(guiPHASTAsupreScript)
  $tbox delete 1.0 end
  set fp [open $gFilenames(supre_script_file) r]
  set i 1
  while {[gets $fp line] >= 0} {
    $tbox insert $i.0 "$line\n"
    incr i
  }
  close $fp
}


# Procedure: guiPHASTArunSupre
proc guiPHASTArunSupre {} {

  global gFilenames

  set yesno [tk_messageBox -message "Run svpre?" -default no -icon question -type yesno]
  if {$yesno == "no"} {return}

  set yesno [tk_messageBox -message "Use currently loaded svpre script?  This will save/overwrite the svpre script file." -default yes -icon question -type yesno]
  if {$yesno == "yes"} {
    guiPHASTAsaveSupreFile
  }

  set fn $gFilenames(supre_script_file)

  global gExternalPrograms

  catch {exec $gExternalPrograms(svpre) $fn} msg
  set fp [open "$fn.log" w]
  puts $fp "Executing:  $gExternalPrograms(svpre) $fn >& $fn.log"
  puts $fp $msg
  close $fp
  #tk_messageBox -message $msg -title "svpre output" -icon info -type ok
  guiSVMSGshow $msg
}


# Procedure: guiPHASTAsaveSupreFile
proc guiPHASTAsaveSupreFile {} {

  global guiPHASTAvars
  global gFilenames
  global symbolicName

  set tbox $symbolicName(guiPHASTAsupreScript)

  set fp [open $gFilenames(supre_script_file) w]
  puts $fp [$tbox get 1.0 end-1c]
  close $fp
}


# Procedure: guiPOSTbothFromVTK
proc guiPOSTbothFromVTK {} {
  guiPOSTconvertFilesToVTK
  guiPOSTcalcFlowsFromVTK
}


# Procedure: guiPOSTcalcFlowsFromVTK
proc guiPOSTcalcFlowsFromVTK {} {
  global guiPOSTvars
  global gFilenames
  global gOptions
  set vtkFileName $guiPOSTvars(vtkFlowFile)
  if {$guiPOSTvars(look_for_vtp)} {
    set vtpfn [file rootname $vtkFileName].vtp
    if [file exists $vtpfn] {
       set guiPOSTvars(vtkFlowFile) $vtpfn
       set vtkFileName $vtpfn
    }
  }

  if {![file exists $vtkFileName]} {
     return -code error "ERROR: must specify existing filename ($vtkFileName)."
  }
  if [file isdirectory $vtkFileName] {
     return -code error "ERROR: must specify file not directory ($vtkFileName)."
  }
  set mesh_surfaces_dir $gFilenames(complete_mesh_dir)

  if {![file isdirectory $mesh_surfaces_dir]} {
     return -code error "ERROR: must be directory ($mesh_surfaces_dir)."
  }
  if [file isdirectory [file join $mesh_surfaces_dir mesh-surfaces]] {
    set mesh_surfaces_dir [file join $mesh_surfaces_dir mesh-surfaces]
  }

  # first look for vtp's, then fall back to vtk's
  set mesh_surface_vtk_filenames {}
  if [catch {set mesh_surface_vtk_filenames [glob [file join $mesh_surfaces_dir *.vtp]]}] {
    if [catch {set mesh_surface_vtk_filenames [glob [file join $mesh_surfaces_dir *.vtk]]}] {
      return -code error "ERROR:  does not appear to be a mesh-surfaces dir ($mesh_surfaces_dir)"
    }
  }

  set skipWalls $gOptions(exclude_walls_from_flows)
  set sim_units $guiPOSTvars(sim_units)

  set outFlowFileName [file rootname $vtkFileName]-flows.txt
  set outPressureFileName [file rootname $vtkFileName]-pressures.txt
  set outAveragesFileName [file rootname $vtkFileName]-averages.txt
  set outAveragesUnitsFileName [file rootname $vtkFileName]-averages-from_$sim_units-to-mmHg-L_per_min.txt
  vtx_TemporalFlowThruFaces $vtkFileName $mesh_surface_vtk_filenames $skipWalls $sim_units $outFlowFileName $outPressureFileName $outAveragesFileName $outAveragesUnitsFileName
}


# Procedure: guiPOSTconvertFilesToVTK
proc guiPOSTconvertFilesToVTK {} {

  global guiPOSTvars

  set indir $guiPOSTvars(restartFilesDir)
  if {[string trim $indir] == ""} {
      set indir [pwd]
  }
  if {![file isdirectory $indir]} {
    set indir [file dirname $indir]
  }

  set outdir $guiPOSTvars(vtkFlowFile)
  if {[string trim $outdir] == ""} {
      set outdir [pwd]
  }
  if {![file isdirectory $outdir]} {
    set outdir [file dirname $outdir]
  }

  set vtkcombo {}
  if {$guiPOSTvars(combine_results)} {
     set vtkcombo "-vtkcombo"
  }

  set laststep {}
  if {$guiPOSTvars(reduce_last_step)} {
    set laststep "-ph -laststep"
  }

  set sim_units $guiPOSTvars(sim_units)

  if {$sim_units == "mm"} {
     set simunitsflag "-sim_units_mm"
  } elseif {$sim_units == "cm"} {
     set simunitsflag "-sim_units_cm"
  } else {
     return -code error "ERROR: illegal sim_units ($sim_units)!"
  }

  set makevtu {}
  set vtufn {}
  if {$guiPOSTvars(write_vtu_results)} {
    set makevtu "-vtu"
    if {$guiPOSTvars(combine_results)} {
      set vtufn [file rootname [file tail $guiPOSTvars(vtkFlowFile)]].vtu
    } else {
      set vtufn [file rootname [file tail $guiPOSTvars(vtkFlowFile)]]
    }
    set vtufn "\"$vtufn\""
  }

  set makevtp {}
  set vtpfn {}
  if {$guiPOSTvars(write_vtp_results)} {
    set makevtp "-vtp"
    if {$guiPOSTvars(combine_results)} {
      set vtpfn [file rootname [file tail $guiPOSTvars(vtkFlowFile)]].vtp
    } else {
      set vtpfn [file rootname [file tail $guiPOSTvars(vtkFlowFile)]]
    }
    set vtpfn "\"$vtpfn\""
  }

  set start $guiPOSTvars(start)
  set stop $guiPOSTvars(stop)
  set increment $guiPOSTvars(increment)

  set wallflag {}
  set wallfile {}
  set calcws {}
  set muflag {}
  set mu {}
  set applywd {}

  if {$guiPOSTvars(wall_filter)} {
    set wallfile [string trim $guiPOSTvars(meshFaceFile)]
    if {$wallfile == ""} {
      tk_messageBox -title "Wall File Not Provided"  -type ok -message "Please specify a wall file for wall data output!"
      return
    } else {
      if {[file exists $wallfile]==0} {
        tk_messageBox -title "Wall File Not Found"  -type ok -message "Please provide a correct name!"
        return
      }
      set wallflag "-wfilter"
      set wallfile "\"$wallfile\""
    }

    if {$guiPOSTvars(recalc_wall_stress)} {

      set mu [string trim $guiPOSTvars(mu)]
      if {$mu != ""} {
        set muflag "-mu"
      } else {
        set yesno [tk_messageBox -default yes -message "You have not provided fluid viscosity. Make sure geombc file has the value. Continue?" -title "Missing Viscosity Value" -type yesno]
        switch -- $yesno {
          yes {
          }
          no {
            return
          }
        }
      }
      set calcws "-calcws"

      if {$guiPOSTvars(apply_wall_deformation)} {
        set applywd "-applywd"
      }
    }
  }
  set cmdstr "-all -indir \"$indir\" -outdir \"$outdir\" $vtkcombo $simunitsflag -start $start -stop $stop -incr $increment $makevtu $vtufn $makevtp $vtpfn $laststep $wallflag $wallfile $calcws $applywd $muflag $mu"

  puts "executing svpost with cmdstr: $cmdstr"

  global gExternalPrograms
  catch {eval exec \"$gExternalPrograms(svpost)\" $cmdstr} msg
  guiSVMSGshow $msg
}


# Procedure: guiPOSTcreateAll
proc guiPOSTcreateAll {} {
  guiPOSTp2vis
  guiPOSTv2pv
}


# Procedure: guiPOSTp2vis
proc guiPOSTp2vis {} {

  global guiPOSTvars

  set startnum $guiPOSTvars(start)
  set endnum   $guiPOSTvars(stop)
  set incrnum  $guiPOSTvars(increment)
  set prefix   $guiPOSTvars(out_prefix)
  set ascflag  $guiPOSTvars(phasta_format)
  set gzipped  $guiPOSTvars(vis_format)
  set outdir   $guiPOSTvars(output_dir)
  set indir    $guiPOSTvars(input_dir)

  if {$guiPOSTvars(displacement_flag) != 0} {
    set dispflag "-disp"
  } else {
    set dispflag ""
  }
  if {$guiPOSTvars(traction_flag) != 0} {
    set tractflag "-bflux"
  } else {
    set tractflag ""
  }
  if {$guiPOSTvars(wss_flag) != 0} {
    set wssflag "-wss"
  } else {
    set wssflag ""
  }

  global gExternalPrograms
  set cvpost $gExternalPrograms(svpost)

  for {set i $startnum} {$i <= $endnum} {incr i $incrnum} {
    puts "creating file $prefix\_res$i.vis"
    exec $cvpost -sn $i -indir $indir -outdir $indir $ascflag $dispflag $tractflag $wssflag -vis [file join $outdir $prefix\_res$i.vis]
  }

  puts "creating file $prefix\_mesh.vis"
  exec $cvpost -sn $startnum -indir $indir -outdir $indir  $ascflag -vismesh [file join $outdir $prefix\_mesh.vis]
}


# Procedure: guiPOSTselectDir
proc guiPOSTselectDir { dir} {

   if {$dir == "input_dir"} {
     set otherdir output_dir
   } else {
     set otherdir input_dir
   }

   set tryme [tk_chooseDirectory -initialdir [pwd]]
   if {$tryme != ""} {
      global guiPOSTvars
      set guiPOSTvars($dir) $tryme
      if {$guiPOSTvars($dir) != $guiPOSTvars($otherdir)} {
        set yesno [tk_messageBox -default yes  -message "Usually you want the input and output directories to be the same.  Set them equal now?"  -title "Input Dir .ne. Output Dir"  -type yesno]
        switch -- $yesno {
          yes {
            set guiPOSTvars($otherdir) $tryme
          }
          no {
            # do nothing
          }
         }
      }
   }
}


# Procedure: guiPOSTselectFlowsFile
proc guiPOSTselectFlowsFile {} {
  global guiPOSTvars
  if [file exists $guiPOSTvars(vtkFlowFile)] {
    if [file isdirectory $guiPOSTvars(vtkFlowFile)] {
       set initdir $guiPOSTvars(vtkFlowFile)
       set fn      ""
      } else {
  set initdir [file dirname $guiPOSTvars(vtkFlowFile)]
  set fn      [file tail $guiPOSTvars(vtkFlowFile)]
      }
  } else {
      set initdir [pwd]
      set fn ""
  }

  set fn [tk_getOpenFile -initialdir $initdir -initialfile $fn]
  if {$fn == ""} return
  set guiPOSTvars(vtkFlowFile) $fn
}


# Procedure: guiPOSTselectMeshCompleteDir
proc guiPOSTselectMeshCompleteDir {} {
  global guiPOSTvars
  global gFilenames
  #set curdir $guiPOSTvars(vtkFlowFile)
  set curdir $gFilenames(complete_mesh_dir)
  if {![file isdirectory $curdir]} {
    set curdir [pwd]
  }

  set curdir [tk_chooseDirectory -mustexist 1 -title "Choose mesh-complete directory" -initialdir $curdir]

  if {$curdir == ""} return
  set gFilenames(complete_mesh_dir) $curdir
}


# Procedure: guiPOSTselectMeshFaceFile
proc guiPOSTselectMeshFaceFile {} {
  global guiPOSTvars
  set filename [tk_getOpenFile -filetypes {{{vtkPolyData file} {.vtk .VTK .vtp .VTP}} {{all files} *} } -title "Select Wall File"]
  if {$filename != ""} {
    set guiPOSTvars(meshFaceFile) $filename
  }
  return
}


# Procedure: guiPOSTselectRestartDir
proc guiPOSTselectRestartDir {} {

  global guiPOSTvars

  set fn [tk_getOpenFile -defaultextension restart.*.1 -initialdir [pwd] -multiple 1]
  if {$fn == ""} return

  if {[llength $fn] == 1} {
     set increment 1
     set start [string range [file extension [file rootname [file tail $fn]]] 1 end]
     set stop $start
  }
  set stepnos {}
  foreach i $fn {
      puts "[file extension [file extension [file tail $fn]]]"
      set stepno [string range [file extension [file rootname [file tail $i]]] 1 end]
      #puts "$stepno"
      lappend stepnos $stepno
  }
  set stepnos [lsort -integer -unique $stepnos]
  if {[llength $stepnos] == 1} {
     set start [lindex $stepnos 0]
     set stop $start
     set increment 1
  } else {
    set start [lindex $stepnos 0]
    set stop [lindex $stepnos end]
    set increment [expr [lindex $stepnos 1] - [lindex $stepnos 0]]
  }

  set guiPOSTvars(restartFilesDir) [file dirname [lindex $fn 0]]
  set guiPOSTvars(start) $start
  set guiPOSTvars(stop) $stop
  set guiPOSTvars(increment) $increment
}


# Procedure: guiPOSTselectVTKOutputDir
proc guiPOSTselectVTKOutputDir {} {
  global guiPOSTvars
  set fn [tk_getSaveFile -initialdir [pwd] -defaultextension .vtu -initialfile $guiPOSTvars(vtkFlowFile)]
  if {$fn == ""} return
  set guiPOSTvars(vtkFlowFile) $fn
}


# Procedure: guiPOSTselectWallFile
proc guiPOSTselectWallFile {} {
   set tryme [tk_getOpenFile -initialdir [pwd]]
   if {$tryme != ""} {
      global guiPOSTvars
      set guiPOSTvars(wall_nbc_file) $tryme
   }
}


# Procedure: guiPOSTv2pv
proc guiPOSTv2pv {} {

  set mymeshpara   /tmp/guiPOSTcreatev2pv/mymeshpara
  set myrespara    /tmp/guiPOSTcreatev2pv/myrespara
  set mytractpara  /tmp/guiPOSTcreatev2pv/mytractpara
  set mydisppara   /tmp/guiPOSTcreatev2pv/mydisppara
  set mydispinit   /tmp/guiPOSTcreatev2pv/mydispinit
  set mywsspara    /tmp/guiPOSTcreatev2pv/mywsspara
  set myexterior   /tmp/guiPOSTcreatev2pv/myexterior
  set mytranspara  /tmp/guiPOSTcreatev2pv/mytranspara
  set warped       /tmp/guiPOSTcreatev2pv-warped

  set my8bitGrayscaleLUT  guiPOSTcreatev2pv-my8bitGrayscaleLUT
  set myBlueToRedLUT      guiPOSTcreatev2pv-myBlueToRedLUT
  set xwrite              guiPOSTcreatev2pv-xwrite
  set walldisp            guiPOSTcreatev2pv-walldisp
  set walldispsub         guiPOSTcreatev2pv-walldispsub
  set wallvel             guiPOSTcreatev2pv-wallvel
  set myextcopy           guiPOSTcreatev2pv-myextcopy
  set mywarpit            guiPOSTcreatev2pv-mywarpit
  set dummyscalars        guiPOSTcreatev2pv-dummyscalars
  set myw                 guiPOSTcreatev2pv-myw

  catch {repos_delete -obj $mymeshpara}
  catch {repos_delete -obj $myrespara}
  catch {repos_delete -obj $mytractpara}
  catch {repos_delete -obj $mydisppara}
  catch {repos_delete -obj $mydispinit}
  catch {repos_delete -obj $mywsspara}
  catch {repos_delete -obj $myexterior}
  catch {repos_delete -obj $mytranspara}
  catch {repos_delete -obj $warped}

  catch {$my8bitGrayscaleLUT Delete}
  catch {$myBlueToRedLUT Delete}
  catch {$xwrite Delete}
  catch {$walldisp Delete}
  catch {$walldispsub Delete}
  catch {$wallvel Delete}

  global guiPOSTvars
  set displacement_flag $guiPOSTvars(displacement_flag)
  set in_prefix $guiPOSTvars(in_prefix)
  set increment $guiPOSTvars(increment)
  set input_dir $guiPOSTvars(input_dir)
  set open_inventor_flag $guiPOSTvars(open_inventor_flag)
  set out_prefix $guiPOSTvars(out_prefix)
  set output_dir $guiPOSTvars(output_dir)
  set phasta_format $guiPOSTvars(phasta_format)
  set polydata_flag $guiPOSTvars(polydata_flag)
  set pressure_flag $guiPOSTvars(pressure_flag)
  set scale_factor $guiPOSTvars(scale_factor)
  set start $guiPOSTvars(start)
  set stop $guiPOSTvars(stop)
  set subtract_step_number $guiPOSTvars(subtract_step_number)
  set traction_flag $guiPOSTvars(traction_flag)
  set transport_flag $guiPOSTvars(transport_flag)
  set velocity_flag $guiPOSTvars(velocity_flag)
  set vis_format $guiPOSTvars(vis_format)
  set wall_displacement_flag $guiPOSTvars(wall_displacement_flag)
  set wall_displacement_real_flag $guiPOSTvars(wall_displacement_real_flag)
  set wall_nbc_file $guiPOSTvars(wall_nbc_file)
  set wall_velocity_flag $guiPOSTvars(wall_velocity_flag)
  set wss_flag $guiPOSTvars(wss_flag)

  # create color maps if needed for open inventor files
  if {$open_inventor_flag == 1} {
    # 8-bit grayscale lookup table
    # ----------------------------
    vtkLookupTable $my8bitGrayscaleLUT
    $my8bitGrayscaleLUT SetHueRange 0.0 0.0
    $my8bitGrayscaleLUT SetSaturationRange 0.0 0.0
    $my8bitGrayscaleLUT SetValueRange 0.0 1.0
    $my8bitGrayscaleLUT SetNumberOfColors 16384
    $my8bitGrayscaleLUT Build

    # Red-to-blue colormap
    # --------------------
    vtkLookupTable $myBlueToRedLUT
    $myBlueToRedLUT SetHueRange 0.6667 0.0
    $myBlueToRedLUT SetSaturationRange 1.0 1.0
    $myBlueToRedLUT SetValueRange 1.0 1.0
    $myBlueToRedLUT SetAlphaRange 1.0 1.0
    $myBlueToRedLUT SetNumberOfColors 16384
    $myBlueToRedLUT Build
  }

  # read in the nodes from the wall.nbc
  # if needed  (assumes file is not gzipped)

  if {$wall_displacement_flag != 0 ||  $wall_displacement_real_flag != 0 ||  $wall_velocity_flag != 0} {

    set dispfp [open $guiPOSTvars(wall_nbc_file) r]
    set displacement_nodes {}
    while {[gets $dispfp line] > 0} {
      lappend displacement_nodes $line
    }
    close $dispfp
    set displacement_nodes [lsort -integer -unique $displacement_nodes]

  }

  # read mesh
  post_readVisMesh -file [file join $input_dir $in_prefix\_mesh.vis$vis_format] -obj $mymeshpara

  if {$wall_displacement_flag != 0 ||  $wall_displacement_real_flag != 0 ||  $wall_velocity_flag != 0} {
    post_getSurfMesh [repos_exportToVtk -src $mymeshpara] $myexterior
  }

  if {$wall_displacement_real_flag != 0} {
    post_readVisRes -file [file join $input_dir $in_prefix\_res$subtract_step_number.vis$vis_format]  -grid $mymeshpara -displacement $mydispinit
    set initdisplacement [[[repos_exportToVtk -src $mydispinit] GetPointData] GetVectors]
  }

  for {set i $start} {$i <= $stop} {incr i $increment} {

    set execstr [list post_readVisRes -file [file join $input_dir $in_prefix\_res$i.vis$vis_format]  -grid $mymeshpara -result $myrespara]

    if {$displacement_flag == 1} {
      set execstr "$execstr -displacement $mydisppara"
    } else {
    }

    if {$traction_flag == 1} {
      set execstr "$execstr -traction $mytractpara"
    } else {
    }

    if {$wss_flag == 1} {
      set execstr "$execstr -wss $mywsspara"
    } else {
    }

    if {$transport_flag == 1} {
      set execstr "$execstr -transport $mytranspara"
    } else {
    }

    puts $execstr
    eval $execstr

    set theMesh [repos_exportToVtk -src $mymeshpara]

    if {$pressure_flag == 1} {
      set pressure [[[repos_exportToVtk -src $myrespara] GetPointData] GetScalars]
    }
    if {$velocity_flag == 1} {
      set velocity [[[repos_exportToVtk -src $myrespara] GetPointData] GetVectors]
    }
    if {$traction_flag == 1} {
      set traction [[[repos_exportToVtk -src $mytractpara] GetPointData] GetVectors]
    }
    if {$transport_flag == 1} {
      set transport [[[repos_exportToVtk -src $mytranspara] GetPointData] GetScalars]
    }
    if {$wss_flag == 1} {
      set wss [[[repos_exportToVtk -src $mywsspara] GetPointData] GetVectors]
    }
    if {$displacement_flag == 1} {
      set displacement [[[repos_exportToVtk -src $mydisppara] GetPointData] GetVectors]
    }

    if {$wall_displacement_flag == 1} {
       vtkFloatArray $walldisp
       $walldisp SetNumberOfComponents 3
       $walldisp SetNumberOfTuples [$displacement GetNumberOfTuples]
       $walldisp FillComponent 0 0
       $walldisp FillComponent 1 0
       $walldisp FillComponent 2 0
    }

    if {$wall_displacement_real_flag == 1} {
       vtkFloatArray $walldispsub
       $walldispsub SetNumberOfComponents 3
       $walldispsub SetNumberOfTuples [$displacement GetNumberOfTuples]
       $walldispsub FillComponent 0 0
       $walldispsub FillComponent 1 0
       $walldispsub FillComponent 2 0
    }

    if {$wall_velocity_flag == 1} {
      vtkFloatArray $wallvel
      $wallvel SetNumberOfComponents 3
      $wallvel SetNumberOfTuples [$velocity GetNumberOfTuples]
      $wallvel FillComponent 0 0
      $wallvel FillComponent 1 0
      $wallvel FillComponent 2 0
    }

    if {$wall_displacement_flag != 0 ||  $wall_displacement_real_flag != 0 ||  $wall_velocity_flag != 0} {
      foreach dn $displacement_nodes {
  if {$wall_displacement_flag == 1} {
          set d [$displacement GetTuple3 [expr $dn-1]]
          $walldisp SetTuple3 [expr $dn-1] [lindex $d 0] [lindex $d 1] [lindex $d 2]
  }
        if {$wall_displacement_real_flag == 1} {
          set dinit [$initdisplacement GetTuple3 [expr $dn-1]]
          set drel [math_subVectors $d $dinit]
          $walldispsub SetTuple3 [expr $dn-1] [lindex $drel 0] [lindex $drel 1] [lindex $drel 2]
  }
        if {$wall_velocity_flag == 1} {
           set v [$velocity GetTuple3 [expr $dn-1]]
           $wallvel SetTuple3 [expr $dn-1] [lindex $v 0] [lindex $v 1] [lindex $v 2]
  }
      }
    }

    if {$pressure_flag == 1} {
      $pressure SetName pressure
      [$theMesh GetPointData] SetScalars $pressure
    }
    if {$velocity_flag == 1} {
      $velocity SetName velocity
      [$theMesh GetPointData] SetVectors $velocity
    }

    if {$transport_flag == 1} {
      $transport SetName transport
      [$theMesh GetPointData] AddArray $transport
    }

    if {$traction_flag == 1} {
      $traction SetName traction
      [$theMesh GetPointData] AddArray $traction
    }

    if {$displacement_flag == 1} {
      $displacement SetName displacement
      [$theMesh GetPointData] AddArray $displacement
    }

    if {$wss_flag == 1} {
      $wss SetName wss
      [$theMesh GetPointData] AddArray $wss
    }

    if {$wall_displacement_flag == 1} {
      $walldisp SetName wall_displacement
      [$theMesh GetPointData] AddArray $walldisp
    }

    if {$wall_displacement_real_flag == 1} {
      $walldispsub SetName wall_displacement_real
      [$theMesh GetPointData] AddArray $walldispsub
    }

    if {$wall_velocity_flag == 1} {
      $wallvel  SetName wall_velocity
      [$theMesh GetPointData] AddArray $wallvel
    }

    $theMesh Update

    vtkXMLDataSetWriter $xwrite
    $xwrite SetInputDataObject $theMesh
    $xwrite SetFileName [file join $output_dir $out_prefix-[format "%04i" $i].vtu]
    $xwrite Write

    if {$polydata_flag == 1} {
      # create vtk polydata file
      catch {repos_delete -obj $myextcopy}
      geom_copy -src $myexterior -dst $myextcopy
      [[repos_exportToVtk -src $myextcopy] GetPointData] SetVectors $walldispsub
      catch {$mywarpit Delete}
      vtkWarpVector $mywarpit
      $mywarpit SetInputDataObject [repos_exportToVtk -src $myextcopy]
      $mywarpit SetScaleFactor $scale_factor
      $mywarpit Update
      catch {repos_delete -obj $warped}
      repos_importVtkPd -src [$mywarpit GetOutput] -dst $warped
      repos_writeVtkPolyData -file [file join $output_dir $out_prefix-[format "%04i" $i].vtk] -obj $warped -type ascii
    }

    # create open inventor file
    if {$open_inventor_flag == 1} {
      catch {$dummyscalars Delete}
      vtkFloatArray $dummyscalars
      $dummyscalars SetNumberOfComponents 3
      $dummyscalars SetNumberOfTuples [$displacement GetNumberOfTuples]
      $dummyscalars FillComponent 0 0
      $dummyscalars FillComponent 1 0
      $dummyscalars FillComponent 2 0

      [[repos_exportToVtk -src $warped] GetPointData] SetScalars $dummyscalars
      [[[repos_exportToVtk -src $warped] GetPointData] GetScalars] SetLookupTable $myBlueToRedLUT

      $myBlueToRedLUT SetTableRange 0 1
      catch {$myw Delete}
      vtkIVWriter $myw
      $myw SetFileTypeToASCII
      $myw SetInputDataObject [repos_exportToVtk -src $warped]
      $myw SetFileName [file join $output_dir $out_prefix-[format "%04i" $i].iv]
      $myw Write
      catch {$myx Delete}
    }

    catch {repos_delete -obj $myrespara}
    catch {repos_delete -obj $mytractpara}
    catch {repos_delete -obj $mydisppara}
    catch {repos_delete -obj $mywsspara}
    catch {repos_delete -obj $mytranspara}

    catch {$xwrite Delete}
    catch {$walldisp Delete}
    catch {$walldispsub Delete}
    catch {$wallvel Delete}

  }
  catch {repos_delete -obj $myexterior}
  catch {repos_delete -obj $mydispinit}
  catch {repos_delete -obj $mymeshpara}

  catch {$my8bitGrayscaleLUT Delete}
  catch {$myBlueToRedLUT Delete}
}


# Procedure: guiPOSTwriteCompleteMeshFiles
proc guiPOSTwriteCompleteMeshFiles {} {

   global gObjects
   global gFilenames
   global gOptions

   set solidkernel $gOptions(meshing_solid_kernel)
  set mesh_kernel $gOptions(meshing_kernel)

   if {$solidkernel == "Parasolid" || $solidkernel == "Discrete"} {
     set solid $gObjects(atdb_solid)
   } elseif {$solidkernel == "PolyData"} {
     set solid $gObjects(polydata_solid)
   } else {
     return -code error "ERROR: Invalid solid kernel"
   }

   if {[repos_exists -obj $solid] == 0} {
       set yesno [tk_messageBox -default yes -message "You have not loaded the solid model used for meshing.  Load it now?" -title "Missing Solid Model" -type yesno]
       switch -- $yesno {
         yes {
               guiFNMloadSolidModel atdb_solid_file atdb_solid
         }
         no {
         }
       }
  }
  if {[repos_exists -obj $solid] == 0} {
       return -code error "ERROR:  you need to manually load meshing solid first!"
  }

  global gFilenames

  set outdir $gFilenames(complete_mesh_dir)

   #if [file exists $outdir] {
   #   return -code error "ERROR: Can't specify an existing directory!"
   #}

   # guess prefix based on solid model
   set prefix [file rootname [file tail $outdir]]

   set mesh $gObjects(mesh_object)

   mesh_writeCompleteMesh $mesh $solid $prefix $outdir

   if {$mesh_kernel == "TetGen"} {
     set script_file [file join $outdir ${prefix}.tgs]
     file copy -force $gFilenames(tet_mesh_script_file) $script_file
   } elseif {$mesh_kernel == "MeshSim"} {
     set script_file [file join $outdir ${prefix}.mss]
     file copy -force $gFilenames(mesh_script_file) $script_file
   }
}


# Procedure: guiPP3dSplWidData
proc guiPP3dSplWidData {} {
  global gRen3d
  global guiPPchooserNumHandles
  global gInteractorRen
  global guiPPchooserSplineInteractorFlag
  set flag $guiPPchooserSplineInteractorFlag
  if {$flag == 1} {
    set pts [vis_splineWidgetGetPts $gInteractorRen guiPP]
  } else {
    set pts [vis_splineImageWidgetGetPts $gInteractorRen guiPP]
  }
  global guiPPorgSplinePts
  global guiPPchooserFixAxisX
  global guiPPchooserFixAxisY
  global guiPPchooserFixAxisZ
  for {set i 0} {$i < [llength $pts]} {incr i} {
    set orgpt [lindex $guiPPorgSplinePts $i]
    set newpt [lindex $pts $i]
    if {$guiPPchooserFixAxisX != 0} {
       set x [lindex $orgpt 0]
    } else {
       set x [lindex $newpt 0]
    }
    if {$guiPPchooserFixAxisY != 0} {
       set y [lindex $orgpt 1]
    } else {
       set y [lindex $newpt 1]
    }
    if {$guiPPchooserFixAxisZ != 0} {
       set z [lindex $orgpt 2]
    } else {
       set z [lindex $newpt 2]
    }
    lappend fixedpts [list $x $y $z]
  }

  if {$flag == 1} {
    vis_splineWidgetUpdatePts $gRen3d guiPP $fixedpts
  } else {
    global guiPPchooserFixAxisPlane
      if {$guiPPchooserFixAxisPlane == 0} {
        vis_splineImageWidgetUpdatePts $gRen3d guiPP $fixedpts
      } else {
        vis_splineImageWidgetUpdatePtsPlaneOnly $gRen3d guiPP $fixedpts
      }
  }
  vis_render $gRen3d
}


# Procedure: guiPPbeginInteraction
proc guiPPbeginInteraction {} {
  #puts "BeginInteraction Event"
  global gInteractorInteracting
  set gInteractorInteracting 1
  global gInteractorRen
  set curpos [vis_pointWidgetGetPosition $gInteractorRen guiPP]
  global guiPPchooserCurPos
  set guiPPchooserCurPos $curpos
}


# Procedure: guiPPbeginSplineInteraction
proc guiPPbeginSplineInteraction {} {
  #puts "BeginInteraction Event"
  global gInteractorInteracting
  set gInteractorInteracting 1
  global guiPPorgSplinePts
  global gRen3d

  global guiPPchooserSplineInteractorFlag
  set flag $guiPPchooserSplineInteractorFlag

  if {$flag == 1} {
    set guiPPorgSplinePts [vis_splineWidgetGetPts $gRen3d guiPP]
  } else {
    set guiPPorgSplinePts [vis_splineImageWidgetGetPts $gRen3d guiPP]
  }
}


# Procedure: guiPPchooserAddPoint
proc guiPPchooserAddPoint {} {
  global guiPPchooserXvar
  global guiPPchooserYvar
  global guiPPchooserZvar
  global symbolicName
  set x $guiPPchooserXvar
  set y $guiPPchooserYvar
  set z $guiPPchooserZvar
  set point [list $x $y $z]

  guiPPchooserAddSpecifiedPoint $point
}


# Procedure: guiPPchooserAddPointAboveSelection
proc guiPPchooserAddPointAboveSelection { args} {

  global guiPPchooserXvar
  global guiPPchooserYvar
  global guiPPchooserZvar
  global symbolicName

  if {$args == ""} {
    set x $guiPPchooserXvar
    set y $guiPPchooserYvar
    set z $guiPPchooserZvar
    set point [list $x $y $z]
  } else {
    eval set point "$args"
  }

  set selectedPoints [guiSV_path_get_tree_current_points_selected]
  if {[llength $selectedPoints] == 0 || [llength $selectedPoints] > 1 } {
    return -code error "Must select a single point in a path first!"
  }

  set pathId [lindex [lindex $selectedPoints 0] 0]
  set posId  [lindex [lindex $selectedPoints 0] 1]

  global symbolicName
  set tv $symbolicName(guiSV_path_tree)
  set maxnum [llength [$tv children .paths.all.$pathId]]

  # update global data structure
  global gPathPoints

  for {set i $maxnum} {$i >= 1} {incr i -1} {
    set prevId [expr $i - 1]
    set gPathPoints($pathId,$i) $gPathPoints($pathId,$prevId)
    if {$prevId == $posId} {
      set gPathPoints($pathId,$posId) $point
      break
    }
  }

  guiSV_path_update_tree

  global symbolicName
  set tv $symbolicName(guiSV_path_tree)
  $tv see .paths.all.$pathId.$posId
  $tv selection set .paths.all.$pathId.$posId

  set gPathPoints($pathId,splinePts) {}
  guiPPchooserSplinePts

  guiPPchooserShowPath
  guiPPchooserShowSpline
}


# Procedure: guiPPchooserAddPointBelowSelection
proc guiPPchooserAddPointBelowSelection { args} {
  global guiPPchooserXvar
  global guiPPchooserYvar
  global guiPPchooserZvar
  global symbolicName
  if {$args == ""} {
    set x $guiPPchooserXvar
    set y $guiPPchooserYvar
    set z $guiPPchooserZvar
    set point [list $x $y $z]
  } else {
    eval set point "$args"
  }

  set selectedPoints [guiSV_path_get_tree_current_points_selected]
  if {[llength $selectedPoints] == 0 || [llength $selectedPoints] > 1 } {
    return -code error "Must select a single point in a path first!"
  }

  set pathId [lindex [lindex $selectedPoints 0] 0]
  set posId  [lindex [lindex $selectedPoints 0] 1]

  global symbolicName
  set tv $symbolicName(guiSV_path_tree)
  set maxpos [expr [llength [$tv children .paths.all.$pathId]] - 1]

  # update global data structure
  global gPathPoints

    for {set i $maxpos} {$i > [expr $posId + 1]} {incr i -1} {
    set nextId [expr $i + 1]
    set gPathPoints($pathId,$nextId) $gPathPoints($pathId,$i)
  }

  set gPathPoints($pathId,[expr $posId + 1]) $point

  guiSV_path_update_tree

  global symbolicName
  set tv $symbolicName(guiSV_path_tree)
  $tv see .paths.all.$pathId.$posId
  $tv selection set .paths.all.$pathId.$posId

   set gPathPoints($pathId,splinePts) {}
   guiPPchooserSplinePts

   guiPPchooserShowPath
   guiPPchooserShowSpline
}


# Procedure: guiPPchooserAddSpecifiedPoint
proc guiPPchooserAddSpecifiedPoint { point} {
  global symbolicName
  set paths [guiSV_path_get_tree_current_paths_selected]
  if {$paths == ""} {
    puts "ERROR:  Must specify a Path ID before selecting points!"
    return -code error "ERROR:  Must specify a Path ID before selecting points!"
  }
  if {[llength $paths] > 1} {
    return -code error "Cannot add point to more than one path!"
  }
  set pathId [lindex $paths 0]
  global symbolicName
  set tv $symbolicName(guiSV_path_tree)
  set maxnum [llength [$tv children .paths.all.$pathId]]
  # update global data structure
  global gPathPoints
  set gPathPoints($pathId,$maxnum) $point
  $tv insert .paths.all.$pathId end -id .paths.all.$pathId.$maxnum -text $point
  $tv see .paths.all.$pathId.$maxnum
  $tv selection set .paths.all.$pathId.$maxnum

  set gPathPoints($pathId,splinePts) {}
  guiPPchooserSplinePts

  guiPPchooserShowPath
  guiPPchooserShowSpline
}


# Procedure: guiPPchooserAutoPathNew
proc guiPPchooserAutoPathNew {} {

  global symbolicName
  global gPathPoints

  set paths [guiSV_path_get_tree_current_paths_selected]
  if {$paths == ""} {
    puts "ERROR:  Must specify a Path ID before automatically finding path!"
    return -code error "ERROR:  Must specify a Path ID before automatically finding path!"
  }
  if {[llength $paths] > 1} {
    return -code error "Cannot automatically find more than one path!"
  }
  set pathId [lindex $paths 0]
  global symbolicName
  set tv $symbolicName(guiSV_path_tree)
  set maxnum [llength [$tv children .paths.all.$pathId]]

  global guiPPsmoothVolumeChoice
  set choice $guiPPsmoothVolumeChoice

  if {$choice == "volume"} {
    global guiVIB
    set imgobj $guiVIB(repos_image_obj)
    set distobj $guiVIB(repos_distancemap_obj)
    if {[repos_exists -obj $distobj] == 0} {
      return -code error "ERROR:  DistanceMap object does not exist."
    }
  } elseif {$choice == "resample"} {
    global guiRIB
    set imgobj $guiRIB(repos_image_obj)
    set distobj $guiRIB(repos_distancemap_obj)
    if {[repos_exists -obj $distobj] == 0} {
      return -code error "ERROR:  DistanceMap object does not exist."
    }
    if {[repos_exists -obj $imgobj] == 0} {
      return -code error "ERROR:  Resampled object does not exist."
    }
  } elseif {$choice == "seed_resample"} {
    global guiRIB
    set imgobj $guiRIB(repos_seed_thr_obj)
    set distobj $guiRIB(repos_distancemap_obj)
    if {[repos_exists -obj $distobj] == 0} {
      return -code error "ERROR:  DistanceMap object does not exist."
    }
    if {[repos_exists -obj $imgobj] == 0} {
      return -code error "ERROR:  Seeded threshold object does not exist."
    }
  } elseif {$choice == "seed_volume"} {
    global guiVIB
    set imgobj $guiVIB(repos_seed_thr_obj)
    set distobj $guiVIB(repos_distancemap_obj)
    if {[repos_exists -obj $distobj] == 0} {
      return -code error "ERROR:  DistanceMap object does not exist."
    }
    if {[repos_exists -obj $imgobj] == 0} {
      return -code error "ERROR:  Seeded threshold object does not exist."
    }
  } else {
    return -code error "ERROR:  invalid choice ($choice)."
  }

  if {[string trim $pathId] == ""} {
    puts "ERROR:  Must specify a Path ID before selecting points!"
    return -code error "ERROR:  Must specify a Path ID before selecting points!"
  }

  global guiPPchooserGuessThrValue
  set thr $guiPPchooserGuessThrValue

  if {$thr <= 0 && $choice != "seed_volume" && $choice != "seed_resample"} {
    return -code error "ERROR:  Threshold ($thr) must be > 0."
  }

  # we allow 3 cases:
  #  1.  just 2 points, obviously autopath between them
  #  2.  > 2 points, no current selection, autopath between
  #      last two points
  #  3.  if there is a current selection, autopath between the two
  #      points (NOT IMPLEMENTED YET!!!)

  # check that only two points have been specified in the listbox
  if {$maxnum < 2} {
    puts "ERROR:  You must select at least a beginning and ending point."
    return -code error "ERROR:  You must select at least a beginning and ending point."
  } elseif {$maxnum == 2} {
    set startPos $gPathPoints($pathId,0)
    set insertAtPoint 0
    set stopPos $gPathPoints($pathId,1)
  } else {
    set insertAtPoint $gPathPoints($pathId,[expr $maxnum - 3])
    set startPos $gPathPoints($pathId,[expr $maxnum - 2])
    set stopPos $gPathPoints($pathId,[expr $maxnum - 1])
  }

  # let vtk find the starting and ending voxel
  set startIJK {}
  set stopIJK {}
  set startIJK [img_computeStructuredCoord -image $imgobj -pt $startPos]
  set stopIJK [img_computeStructuredCoord -image $imgobj -pt $stopPos]

  if {$startIJK == ""} {
    return -code error "ERROR: starting point ($startPos) not inside of volume!"
  }
  if {$stopIJK == ""} {
      return -code error "ERROR: stopping point ($stopPos) not inside of volume!"
  }

  # check pixel value here

  set start_pixel_value [lindex $startIJK 2]
  set stop_pixel_value [lindex $stopIJK 2]
  set startIJK [lindex $startIJK 0]
  set stopIJK [lindex $stopIJK 0]

  puts "start: $startIJK  pixel_value: $start_pixel_value"
  puts "stop: $stopIJK  pixel_value: $stop_pixel_value"

  if {$choice == "seed_volume" || $choice == "seed_resample"} {
    if {([expr $start_pixel_value - 0.5] < 0) || ([expr $stop_pixel_value - 0.5] < 0)} {
      return -code error "ERROR:  start or stop point not in segmentation!"
    }
  } else {
    if {($start_pixel_value < $thr) || ($stop_pixel_value < $thr)} {
      return -code error "ERROR:  start or stop point not in segmentation!"
    }
  }

  # check distance map values here

  if {$choice == "volume" || $choice ==  "seed_volume"} {
     if {![repos_exists -obj $guiVIB(repos_distancemap_obj)]} {
        return -code error "ERROR: DistanceMap does not exist for volume!"
     }
     set distanceval_start [lindex [img_computeStructuredCoord -image $guiVIB(repos_distancemap_obj) -pt $startPos] 2]
     set distanceval_stop [lindex [img_computeStructuredCoord -image $guiVIB(repos_distancemap_obj) -pt $stopPos] 2]
    if {$distanceval_start == "" || $distanceval_stop == ""} {
      return -code error "ERROR: could not get distance value from DistanceMap!"
    }
  }

  if {$choice == "resample" || $choice ==  "seed_resample"} {
     if {![repos_exists -obj $guiRIB(repos_distancemap_obj)]} {
        return -code error "ERROR: DistanceMap does not exist for resampled volume!"
     }
     set distanceval_start [lindex [img_computeStructuredCoord -image $guiRIB(repos_distancemap_obj) -pt $startPos] 2]
     set distanceval_stop [lindex [img_computeStructuredCoord -image $guiRIB(repos_distancemap_obj) -pt $stopPos] 2]
    if {$distanceval_start == "" || $distanceval_stop == ""} {
      return -code error "ERROR: could not get distance value from DistanceMap!"
    }
  }

  # allow user to fake it to get the initial starting point of the
  # distance map as the first point in the path
  if {$startIJK == $stopIJK} {
     set minqstop 0
  } else {
     if {$distanceval_start >= $distanceval_stop} {
       return -code error "ERROR:  start distance ($distanceval_start) cannot be larger than stop ($distanceval_stop)"
     }
      set minqstop [expr int($distanceval_start)]
  }

  set tmppath /tmp/guiPPchooserAutoPathNew/path
  catch {repos_delete -obj $tmppath}

  # find the medial axis path
  global guiPPchooserNumThinningPasses
  set thinpasses $guiPPchooserNumThinningPasses
  if {[string trim $thinpasses] == "" || $thinpasses == "0"} {
    img_findPath -src $distobj -stop $stopIJK -dst $tmppath -min_dist $minqstop
  } else {
    img_findPath -src $distobj -stop $stopIJK -dst $tmppath -min_dist $minqstop -thin_passes $thinpasses
  }

  geom_getPts $tmppath pts
  catch {repos_delete -obj $tmppath}

  # update gPathPoints
  for {set i 0} {$i < [llength $pts]} {incr i} {
     set gPathPoints($pathId,[expr $i + $insertAtPoint]) [lindex $pts $i]
  }
  global guiSVvars
  set gPathPoints($pathId,name) $guiSVvars(path_entry_path_name)
  set gPathPoints($pathId,numSplinePts) $guiSVvars(path_entry_number_spline_pts)

  # create a new spline for the path
  set gPathPoints($pathId,splinePts) {}
  guiPPchooserSplinePts

  guiSV_path_update_tree

  set tv $symbolicName(guiSV_path_tree)
  $tv see .paths.all.$pathId
  $tv selection set .paths.all.$pathId

  # update displayed graphics
  guiPPchooserShowPath
  guiPPchooserShowSpline
}


# Procedure: guiPPchooserDeletePoint
proc guiPPchooserDeletePoint {} {
   global symbolicName
   global gPathPoints
   set tv $symbolicName(guiSV_path_tree)
  set selectedPoints [guiSV_path_get_tree_current_points_selected]
  if {[llength $selectedPoints] == 0} {
    return -code error "Must select points in a path first!"
  }

  # first unset the points
  foreach spt $selectedPoints {
    set pathId [lindex $spt 0]
    set posId  [lindex $spt 1]
    set updateMePaths($pathId) [llength [$tv children .paths.all.$pathId]]
    unset gPathPoints($pathId,$posId)
  }

  # now loop over paths with deleted points and condense
  foreach p [array names updateMePaths] {
    set max $updateMePaths($p)
    set newId 0
    set numdel 0
    for {set i 0} {$i < $max} {incr i} {
  if [info exists gPathPoints($p,$i)] {
      set gPathPoints($p,$newId) $gPathPoints($p,$i)
      incr newId
  } else {
            incr numdel
  }
    }
    for {set i [expr $max - $numdel]} {$i < $max} {incr i} {
  catch {unset gPathPoints($p,$i)}
    }
    set gPathPoints($p,splinePts) {}
    guiPPchooserSplinePts $p
  }

  guiSV_path_update_tree

  guiPPchooserShowPath
  guiPPchooserShowSpline
}


# Procedure: guiPPchooserShowAllPaths
proc guiPPchooserShowAllPaths {} {
  global gPathPoints
  global symbolicName
  global gRen3d

  # find the current list of paths to choose from
  set names [lsort -dictionary [array names gPathPoints *,name]]
  set allPathIds {}
  foreach n $names {
    set busted [split [string trim $n] ,]
    lappend allPathIds [lindex $busted 0]
  }

  # do show path stuff
  global gRen3dFreeze
  set gRen3dFreeze 1

  global gOptions
  set color $gOptions(color_for_all_paths)
  set thick $gOptions(line_width_for_all_paths)

  foreach id $allPathIds {

    foreach path $id {
      set indexes [array names gPathPoints $path,*]
      set ptIndex {}
      set numSplinePts {}
      foreach index $indexes {
        set pieces [split [string trim $index] ,]
        set tok1 [lindex $pieces 0]
        set tok2 [lindex $pieces 1]
        if {$path == $tok1} {
    if {$tok2 == "name"} {
            # skip
    } elseif {$tok2 == "numSplinePts"} {
            # skip
          } elseif {$tok2 == "splinePts"} {
            # skip
    } else {
            lappend ptIndex $tok2
    }
        }
      }
    }

    if {$ptIndex == ""} {
      puts "Warning:  pathId $path contains no points!"
      return
    }

    set ptIndex [lsort -integer $ptIndex]

    set pts {}

    foreach ptId $ptIndex {
      set pt $gPathPoints($path,$ptId)
      lappend pts $pt
    }

    set obj  /tmp/pathplan/allpaths/$id

    if {[llength $ptIndex] > 1} {
      if {[repos_exists -obj $obj] == "1"} {
        repos_delete -obj $obj
        vis_pRm $gRen3d $obj
      }
      geom_openLinesFromPts $pts $obj
      repos_setLabel -obj $obj -key color -value $color
      generalView $gRen3d $obj
      set myact [vis_pGetActor $gRen3d $obj]
      set myprop [$myact GetProperty]
      $myprop SetLineWidth $thick
      $myprop SetInterpolationToFlat
    }
  }

  set gRen3dFreeze 0
  vis_render $gRen3d
  return SV_OK
}


# Procedure: guiPPchooserShowAllSplines
proc guiPPchooserShowAllSplines {} {
  global gPathPoints
  global symbolicName
  global gRen3d

  # find the current list of paths to choose from
  set names [lsort -dictionary [array names gPathPoints *,name]]
  set allPathIds {}
  foreach n $names {
    set busted [split [string trim $n] ,]
    lappend allPathIds [lindex $busted 0]
  }

  # do show path stuff
  global gRen3dFreeze
  set gRen3dFreeze 1

  global gOptions
  set color $gOptions(color_for_all_splines)
  set thick $gOptions(line_width_for_all_splines)

  foreach id $allPathIds {

    set splinePd /tmp/guiPPchooser/spline/$id
    catch {repos_delete -obj $splinePd}
    catch {vis_pRm $gRen3d $splinePd}

    if {[info exists gPathPoints($id,splinePts)] == 0} {
      continue
    }

    set splinePts $gPathPoints($id,splinePts)

    if {[llength $splinePts] < 2} {
      continue
    }

    path_MakePolyData $splinePts $splinePd

     repos_setLabel -obj $splinePd -key color -value $color
     generalView $gRen3d $splinePd
     set myact [vis_pGetActor $gRen3d $splinePd]
     set myprop [$myact GetProperty]
     $myprop SetLineWidth $thick
     $myprop SetInterpolationToFlat
  }

  set gRen3dFreeze 0
  vis_render $gRen3d
  return SV_OK
}


# Procedure: guiPPchooserShowCursor
proc guiPPchooserShowCursor {} {
  global gRen3d
  global guiPPchooserShowCursorFlag
  set flag $guiPPchooserShowCursorFlag
  if {$flag == 0} {
    catch {vis_pointWidgetOff $gRen3d guiPP}
    catch {vis_pointWidgetRm $gRen3d guiPP}
  } else {
    global gRen3d
    catch {vis_pointWidgetRm $gRen3d guiPP}
    vis_pointWidgetAdd $gRen3d [repos_exportToVtk -src volume_image] guiPP  guiPPbeginInteraction guiPPbeginInteraction  guiPPprobeData guiPPendInteraction
    vis_pointWidgetOn $gRen3d guiPP
    # since it appears the beginInteraction gets called when you turn on the widget,
    # we need to explicitly call the endInteraction the first time
    guiPPendInteraction
    vis_pointWidgetOn $gRen3d guiPP
    guiPPchooserUpdateXYZ
  }
}


# Procedure: guiPPchooserShowPath
proc guiPPchooserShowPath {} {
  global gPathPoints
  global symbolicName
  global gRen3d
  global guiPPchooserShowPathFlag
  global guiPPchooserShowPointsFlag

  set ids [guiSV_path_get_tree_current_paths_selected]
  if {$ids == ""} return
  set id [lindex $ids 0]

  # create a list of points if we're going to display something
  if {$guiPPchooserShowPathFlag == 1 || $guiPPchooserShowPointsFlag == 1} {
    foreach path $id {
      set indexes [array names gPathPoints $path,*]
      set ptIndex {}
      set numSplinePts {}
      foreach index $indexes {
        set pieces [split [string trim $index] ,]
        set tok1 [lindex $pieces 0]
        set tok2 [lindex $pieces 1]
        if {$path == $tok1} {
    if {$tok2 == "name"} {
            # skip
    } elseif {$tok2 == "numSplinePts"} {
            # skip
          } elseif {$tok2 == "splinePts"} {
            # skip
    } else {
            lappend ptIndex $tok2
    }
        }
      }
    }

    if {$ptIndex == ""} {
      puts "Warning:  pathId $path contains no points!"
      return
    }

    set ptIndex [lsort -integer $ptIndex]

    set pts {}

    foreach ptId $ptIndex {
      set pt $gPathPoints($path,$ptId)
      lappend pts $pt
    }
    #puts "pts: $pts"
  }

  # do show path stuff
  global gRen3dFreeze
  set gRen3dFreeze 1

  global gOptions
  set color $gOptions(color_for_path)
  set thick $gOptions(line_width_for_path)

  if {$guiPPchooserShowPathFlag == "0"} {
    set obj  /tmp/pathplan/current_path
    if {[repos_exists -obj $obj] == "1"} {
      repos_delete -obj $obj
      vis_pRm $gRen3d $obj
    }
  } else {
    if {[llength $ptIndex] > 1} {
      set obj  /tmp/pathplan/current_path
      if {[repos_exists -obj $obj] == "1"} {
        repos_delete -obj $obj
        vis_pRm $gRen3d $obj
      }
      geom_openLinesFromPts $pts $obj
      repos_setLabel -obj $obj -key color -value $color
      generalView $gRen3d $obj
      set myact [vis_pGetActor $gRen3d $obj]
      set myprop [$myact GetProperty]
      $myprop SetLineWidth $thick
      $myprop SetInterpolationToFlat
    }
  }

  # show points stuff
  foreach i [repos_subList /tmp/pathplan/box*] {
    repos_delete -obj $i
    vis_pRm $gRen3d $i
  }
  if {$guiPPchooserShowPointsFlag == 1} {
    #solid_setKernel -name PolyData
    for {set i 0} {$i < [llength $pts]} {incr i} {
      set pt [lindex $pts $i]
      set pti [lindex $ptIndex $i]
      set obj /tmp/pathplan/box
      set objpd /tmp/pathplan/box/pd/$path/$pti
      catch {repos_delete -obj $obj}
      catch {repos_delete -obj $objpd}
      global gOptions
      set bdims $gOptions(pathDisplayPointSize)
      solid_box3d -dims [list $bdims $bdims $bdims] -ctr $pt -result $obj
      $obj GetPolyData -result $objpd
      repos_setLabel -obj $objpd -key color -value purple
      generalView $gRen3d $objpd
    }
  }
  set gRen3dFreeze 0
  vis_render $gRen3d
  return SV_OK
}


# Procedure: guiPPchooserShowSpline
proc guiPPchooserShowSpline {} {
  global gPathPoints
  global symbolicName
  global gRen3d
  global guiPPchooserShowSplineFlag

  set ids [guiSV_path_get_tree_current_paths_selected]
  if {$ids == ""} return
  set id [lindex $ids 0]

  set splinePd /tmp/guiPPchooserShowSpline
  catch {repos_delete -obj $splinePd}
  catch {vis_pRm $gRen3d $splinePd}

  if {$guiPPchooserShowSplineFlag == 0} {
     return
  }

  if {[info exists gPathPoints($id,splinePts)] == 0} {
     return
  }

  set splinePts $gPathPoints($id,splinePts)

  if {[llength $splinePts] < 2} {
     return
   }

   path_MakePolyData $splinePts $splinePd

   global gOptions
   set color $gOptions(color_for_spline)
   set thick $gOptions(line_width_for_spline)

   repos_setLabel -obj $splinePd -key color -value $color
   generalView $gRen3d $splinePd
   set myact [vis_pGetActor $gRen3d $splinePd]
   set myprop [$myact GetProperty]
   $myprop SetLineWidth $thick
   $myprop SetInterpolationToFlat
   [$gRen3d GetRenderWindow] Render
}


# Procedure: guiPPchooserSplineInteractorUpdatePath
proc guiPPchooserSplineInteractorUpdatePath {} {
  global gRen3d
  global gPathPoints
  global symbolicName

  global guiPPchooserSplineInteractorFlag
  set flag $guiPPchooserSplineInteractorFlag
  global guiSVvars

  set paths [guiSV_path_get_tree_current_paths_selected]
  if {$paths == ""} {
    puts "ERROR:  Must specify a Path ID setting with spline!"
    return -code error "ERROR:  Must specify a Path ID before selecting points!"
  }
  if {[llength $paths] > 1} {
    return -code error "Cannot replace more than one path!"
  }
  set pathId [lindex $paths 0]
  set tv $symbolicName(guiSV_path_tree)
  set maxnum [llength [$tv children .paths.all.$pathId]]

  set name $guiSVvars(path_entry_path_name)
  set numSplinePts $guiSVvars(path_entry_number_spline_pts)

  if {$flag == 1} {
    set pts [vis_splineWidgetGetPts $gRen3d guiPP]
  } else {
    set pts [vis_splineImageWidgetGetPts $gRen3d guiPP]
  }
  set targetID $pathId

  # update target gPathPoints
  foreach i [array names gPathPoints $targetID,*] {
    unset gPathPoints($i)
  }
  for {set i 0} {$i < [llength $pts]} {incr i} {
     set gPathPoints($targetID,$i) [lindex $pts $i]
  }
  # preserve name and number of spline points if it exists
  set gPathPoints($targetID,name) $name
  set gPathPoints($targetID,numSplinePts) $numSplinePts

  set gPathPoints($targetID,splinePts) {}
  guiPPchooserSplinePts

  guiSV_path_update_tree
  set tv $symbolicName(guiSV_path_tree)
  $tv see .paths.all.$targetID
  $tv selection set .paths.all.$targetID
}


# Procedure: guiPPchooserSplinePts
proc guiPPchooserSplinePts { args} {

  set ptpd /tmp/guiPPchooserSplinePts
  catch {repos_delete -obj $ptpd}

  global symbolicName
  if {$args == ""} {
    set paths [guiSV_path_get_tree_current_paths_selected]
  } else {
    set paths $args
  }

  if {$paths == ""} {
    puts "ERROR:  Must specify a Path ID before creating spline!"
    return -code error "ERROR:  Must specify a Path ID before creating spline!"
  }
  if {[llength $paths] > 1} {
    return -code error "Cannot spline more than one path!"
  }

  global symbolicName
  global gPathPoints

  set id [lindex $paths 0]

  set indexes [array names gPathPoints $id,*]
  set ptIndex {}
  set numSplinePts {}
  foreach index $indexes {
    set pieces [split [string trim $index] ,]
    set tok1 [lindex $pieces 0]
    set tok2 [lindex $pieces 1]
    if {$tok2 == "name"} {
      # skip
    } elseif {$tok2 == "numSplinePts"} {
      set numSplinePts $gPathPoints($id,numSplinePts)
    } elseif {$tok2 == "splinePts"} {
      # skip
    } else {
      lappend ptIndex $tok2
    }
  }

  # can only create a spline if we have more than 2 points
  if {[llength $ptIndex] < 2} {
    set gPathPoints($id,splinePts) {}
    return
  }

  set ptIndex [lsort -integer $ptIndex]

  # create an ordered list of points
  set pts {}
  foreach i $ptIndex {
    lappend pts $gPathPoints($id,$i)
  }

  geom_mkPtsPd $pts $ptpd

  if {$numSplinePts == ""} {
      puts "Warning:  Number of requested spline points for path $id"
      puts "          not specified.  Defaulting to 100."
      set numSplinePts 100
      set gPathPoints($id,numSplinePts) $numSplinePts
  }

  set flag 0
  # spline points
  set gPathPoints($id,splinePts) [geom_splinePtsToPathPlan -src $ptpd  -numOutputPts $numSplinePts  -flag $flag]

  catch {repos_delete -obj $ptpd}
}


# Procedure: guiPPchooserToggleShowPath
proc guiPPchooserToggleShowPath {} {
  guiPPchooserShowPath
}


# Procedure: guiPPchooserToggleShowSpline
proc guiPPchooserToggleShowSpline {} {
  guiPPchooserShowSpline
}


# Procedure: guiPPchooserToggleSplineInteractor
proc guiPPchooserToggleSplineInteractor {} {

  global gRen3d
  global guiPPchooserSplineInteractorFlag

  set flag $guiPPchooserSplineInteractorFlag

  catch {vis_splineWidgetRm $gRen3d guiPP}
  catch {vis_splineImageWidgetRm $gRen3d guiPP}

  if {$flag == 0} {
    return
  }

  set ptpd /tmp/guiPP/splineinteractor
  catch {repos_delete -obj $ptpd}

  global symbolicName
  global gPathPoints
  global guiSVvars

  set paths [guiSV_path_get_tree_current_paths_selected]
  if {$paths == ""} {
    puts "ERROR:  Must specify a Path ID before displaying spline!"
    return -code error "ERROR:  Must specify a Path ID before displaying spline!"
  }
  if {[llength $paths] > 1} {
    return -code error "Cannot show spline of more than one path!"
  }
  set pathId [lindex $paths 0]
  set tv $symbolicName(guiSV_path_tree)
  set maxnum [llength [$tv children .paths.all.$pathId]]

  set name $guiSVvars(path_entry_path_name)
  set numSplinePts $guiSVvars(path_entry_number_spline_pts)

  # create a list of points from the current path
  set pts {}
  for {set i 0} {$i < $maxnum} {incr i} {
     lappend pts $gPathPoints($pathId,$i)
  }

  # can only create a spline if we have more than 2 points
  if {[llength $pts] < 2} {
    return -code error "not enough points to display spline!"
  }

  geom_mkPtsPd $pts $ptpd

  if {$flag == 1} {
    vis_splineWidgetAdd $gRen3d [repos_exportToVtk -src volume_image] guiPP guiPPbeginSplineInteraction  guiPPbeginSplineInteraction  guiPP3dSplWidData  guiPPendInteraction
    global guiPPchooserNumHandles
    vis_splineWidgetSetPts $gRen3d guiPP $ptpd $guiPPchooserNumHandles
    #vis_splineWidgetSetNumHandles $gRen3d guiPP $guiPPchooserNumHandles
    vis_splineWidgetOn $gRen3d guiPP
    guiPPendInteraction
  } else {
    vis_splineImageWidgetAdd $gRen3d [repos_exportToVtk -src volume_image] guiPP guiPPbeginSplineInteraction  guiPPbeginSplineInteraction  guiPP3dSplWidData  guiPPendInteraction
    global guiPPimageSplineWidgetDisplayedSlice
    set guiPPimageSplineWidgetDisplayedSlice 0
    global gRen3d
    vis_splineImageWidgetSetShowIds $gRen3d guiPP $guiPPimageSplineWidgetDisplayedSlice
    global guiPPchooserNumHandles
    vis_splineImageWidgetSetPts $gRen3d guiPP $ptpd $guiPPchooserNumHandles
    #vis_splineImageWidgetSetNumHandles $gRen3d guiPP $guiPPchooserNumHandles
    vis_splineImageWidgetOn $gRen3d guiPP
    guiPPendInteraction
  }
}


# Procedure: guiPPchooserUpdateAttach
proc guiPPchooserUpdateAttach {} {
  guiPPchooserUpdateXYZ
}


# Procedure: guiPPchooserUpdateIncrement
proc guiPPchooserUpdateIncrement {} {
   global symbolicName
   global guiPPchooserIncrement
   global gImageVol
   global guiPPchooserXvar
   global guiPPchooserYvar
   global guiPPchooserZvar
   global gOptions
   if {$gOptions(orientImgVolToRAS) == 0} {
     # old xyz system
     set org_x [lindex $gImageVol(vtk_org_xyz) 0]
     set org_y [lindex $gImageVol(vtk_org_xyz) 1]
     set org_z [lindex $gImageVol(vtk_org_xyz) 2]
     set ext_i $gImageVol(ext_i)
     set ext_j $gImageVol(ext_j)
     set ext_k $gImageVol(ext_k)
     set vdims_x $gImageVol(vdims_x)
     set vdims_y $gImageVol(vdims_y)
     set vdims_z $gImageVol(vdims_z)
   } else {
     # properly oriented volume in ras space
     set org_x [lindex $gImageVol(vtk_org_ras) 0]
     set org_y [lindex $gImageVol(vtk_org_ras) 1]
     set org_z [lindex $gImageVol(vtk_org_ras) 2]
     set ext_i [lindex $gImageVol(ext_ras) 0]
     set ext_j [lindex $gImageVol(ext_ras) 1]
     set ext_k [lindex $gImageVol(ext_ras) 2]
     set vdims_x [lindex $gImageVol(vdims_ras) 0]
     set vdims_y [lindex $gImageVol(vdims_ras) 1]
     set vdims_z [lindex $gImageVol(vdims_ras) 2]
   }
   set axes_x $gImageVol(axes-x)
   set axes_y $gImageVol(axes-y)
   set axes_z $gImageVol(axes-z)
   set increment $guiPPchooserIncrement

   set scalex $symbolicName(guiPPchooserXscale)
   set scaley $symbolicName(guiPPchooserYscale)
   set scalez $symbolicName(guiPPchooserZscale)

   set curx $guiPPchooserXvar
   set cury $guiPPchooserYvar
   set curz $guiPPchooserZvar

   $scalex configure -to [expr int($ext_i/$increment)]
   $scaley configure -to [expr int($ext_j/$increment)]
   $scalez configure -to [expr int($ext_k/$increment)]

   # adding the vdims/4 just to avoid rounding issues
   set gImageVol(axes-x) [expr int(($curx-$org_x+$increment*$vdims_x/4.0)/($increment*$vdims_x))]
   set gImageVol(axes-y) [expr int(($cury-$org_y+$increment*$vdims_y/4.0)/($increment*$vdims_y))]
   set gImageVol(axes-z) [expr int(($curz-$org_z+$increment*$vdims_z/4.0)/($increment*$vdims_z))]
   $scalex set $gImageVol(axes-x)
   $scaley set $gImageVol(axes-y)
   $scalez set $gImageVol(axes-z)

   # currently can only do guess good point on whole pixels
   global symbolicName
   if {$increment == "1.0" || $increment == "1"} {
     catch {$symbolicName(guiPPchooserGuessGoodPointButton2) configure -state normal}
   } else {
     catch {$symbolicName(guiPPchooserGuessGoodPointButton2) configure -state disabled}
   }
}


# Procedure: guiPPchooserUpdateLBforPathID
proc guiPPchooserUpdateLBforPathID {} {
  global symbolicName
  set box $symbolicName(guiPPchooserPointListBox)
  set id [$symbolicName(guiPPchooserPathID) get]
  set nameEntry $symbolicName(guiPPchooserPathName)
  set interpEntry $symbolicName(guiPPchooserNumIntPoints)

  set name [$nameEntry get]

  global gPathPoints
  # update listbox
  $box delete 0 end
  $nameEntry delete 0 end
  $interpEntry delete 0 end
  set pointIds {}
  foreach i [array names gPathPoints] {
    set ab [split $i ,]
    set a [lindex $ab 0]
    set b [lindex $ab 1]
    #puts "a $a b $b"
    if {$a == $id} {
  if {$b == "name"} {
          $nameEntry insert end $gPathPoints($i)
        } elseif {$b == "numSplinePts"} {
          $interpEntry insert end $gPathPoints($i)
  } elseif {$b == "splinePts"} {
          # skip splined path
        } else {
          lappend pointIds $b
  }
    }
  }
  foreach pt [lsort -integer $pointIds] {
     $box insert end $gPathPoints($id,$pt)
  }
  guiPPchooserShowPath
  guiPPchooserShowSpline
}


# Procedure: guiPPchooserUpdateNumHandles
proc guiPPchooserUpdateNumHandles {} {
  global guiPPchooserNumHandles
  global gRen3d
  global guiPPchooserSplineInteractorFlag

  set flag $guiPPchooserSplineInteractorFlag
  if {$flag == 1} {
    vis_splineWidgetSetNumHandles $gRen3d guiPP $guiPPchooserNumHandles
  } else {
    vis_splineImageWidgetSetNumHandles $gRen3d guiPP $guiPPchooserNumHandles
  }
}


# Procedure: guiPPchooserUpdateX
proc guiPPchooserUpdateX { scale} {
  #puts "X: $scale"
  global gImageVol
  set gImageVol(axes-x) $scale
  guiPPchooserUpdateXYZ
}


# Procedure: guiPPchooserUpdateXYZ
proc guiPPchooserUpdateXYZ {} {

  global gImageVol
  global guiPPchooserIncrement
  global symbolicName
  global gOptions
  if {$gOptions(orientImgVolToRAS) == 0} {
    # old xyz system
    set org_x [lindex $gImageVol(vtk_org_xyz) 0]
    set org_y [lindex $gImageVol(vtk_org_xyz) 1]
    set org_z [lindex $gImageVol(vtk_org_xyz) 2]
    set ext_i $gImageVol(ext_i)
    set ext_j $gImageVol(ext_j)
    set ext_k $gImageVol(ext_k)
    set vdims_x $gImageVol(vdims_x)
    set vdims_y $gImageVol(vdims_y)
    set vdims_z $gImageVol(vdims_z)
    set voi_x0 $gImageVol(voi_x0)
    set voi_x1 $gImageVol(voi_x1)
    set voi_y0 $gImageVol(voi_y0)
    set voi_y1 $gImageVol(voi_y1)
    set voi_z0 $gImageVol(voi_z0)
    set voi_z1 $gImageVol(voi_z1)
  } else {
    if {[llength $gImageVol(vtk_org_ras)] == 0} {
      return
    }
    # properly oriented volume in ras space
    set org_x [lindex $gImageVol(vtk_org_ras) 0]
    set org_y [lindex $gImageVol(vtk_org_ras) 1]
    set org_z [lindex $gImageVol(vtk_org_ras) 2]
    set ext_i [lindex $gImageVol(ext_ras) 0]
    set ext_j [lindex $gImageVol(ext_ras) 1]
    set ext_k [lindex $gImageVol(ext_ras) 2]
    set vdims_x [lindex $gImageVol(vdims_ras) 0]
    set vdims_y [lindex $gImageVol(vdims_ras) 1]
    set vdims_z [lindex $gImageVol(vdims_ras) 2]
    set voi_x0 [lindex $gImageVol(voi_ras) 0]
    set voi_x1 [lindex $gImageVol(voi_ras) 1]
    set voi_y0 [lindex $gImageVol(voi_ras) 2]
    set voi_y1 [lindex $gImageVol(voi_ras) 3]
    set voi_z0 [lindex $gImageVol(voi_ras) 4]
    set voi_z1 [lindex $gImageVol(voi_ras) 5]
  }

  set axes_x $gImageVol(axes-x)
  set axes_y $gImageVol(axes-y)
  set axes_z $gImageVol(axes-z)

  set increment $guiPPchooserIncrement

  global guiPPchooserXvar
  set guiPPchooserXvar [format "%.3f" [expr double($org_x+$axes_x*$vdims_x*$increment)]]
  global guiPPchooserYvar
  set guiPPchooserYvar [format "%.3f" [expr double($org_y+$axes_y*$vdims_y*$increment)]]
  global guiPPchooserZvar
  set guiPPchooserZvar [format "%.3f" [expr double($org_z+$axes_z*$vdims_z*$increment)]]
  global guiVIB
  global guiPPpixelValue
  set guiPPpixelValue [lindex [img_computeStructuredCoord -image $guiVIB(repos_image_obj) -pt [list $guiPPchooserXvar $guiPPchooserYvar $guiPPchooserZvar]] 2]
  if {$guiPPpixelValue == ""} {
     set guiPPpixelValue "error"
  } else {
     set guiPPpixelValue [format "%6.0f" $guiPPpixelValue]
  }
  # display distance map value if map exists
  if {[repos_exists -obj $guiVIB(repos_distancemap_obj)]} {
    set distanceval [lindex [img_computeStructuredCoord -image $guiVIB(repos_distancemap_obj) -pt [list $guiPPchooserXvar $guiPPchooserYvar $guiPPchooserZvar]] 2]
    if {$distanceval == ""} {
      set guiPPpixelValue "$guiPPpixelValue,error"
    } else {
  set guiPPpixelValue "$guiPPpixelValue,[format %05i [expr int($distanceval)]]"
    }
  }

  # move slice planes if desired
  global guiPPchooserAttachX
  global guiPPchooserAttachY
  global guiPPchooserAttachZ
  global symbolicName
  # Ken's sliders vary from 0 to ext, so we subtract off
  # voi lower offset.
  if {$guiPPchooserAttachX == 1} {
    $symbolicName(volGUI_sliderx) set [expr int($axes_x*$increment-$voi_x0)]
  }
  if {$guiPPchooserAttachY == 1} {
    $symbolicName(volGUI_slidery) set [expr int($axes_y*$increment-$voi_y0)]
  }
  if {$guiPPchooserAttachZ == 1} {
    $symbolicName(volGUI_sliderz) set [expr int($axes_z*$increment-$voi_z0)]
  }

  #global gInteractorRen
  # intentionally use gRen3d since we want all views
  # to sync up
  global gRen3d
  global guiPPchooserShowCursorFlag
  if {$guiPPchooserShowCursorFlag != 0} {
    vis_pointWidgetSetPosition $gRen3d guiPP $guiPPchooserXvar $guiPPchooserYvar $guiPPchooserZvar
  }

  global gRen3d

  vis_render $gRen3d
}


# Procedure: guiPPchooserUpdateY
proc guiPPchooserUpdateY { scale} {
  #puts "Y: $scale"
  global gImageVol
  set gImageVol(axes-y) $scale
  guiPPchooserUpdateXYZ
}


# Procedure: guiPPchooserUpdateZ
proc guiPPchooserUpdateZ { scale} {
  #puts "Z: $scale"
  global gImageVol
  set gImageVol(axes-z) $scale
  guiPPchooserUpdateXYZ
}


# Procedure: guiPPcreateDistanceMap
proc guiPPcreateDistanceMap {} {

  global symbolicName
  global gPathPoints

  set paths [guiSV_path_get_tree_current_paths_selected]
  if {$paths == ""} {
    puts "ERROR:  Must specify a Path ID before finding path!"
    return -code error "ERROR:  Must specify a Path ID before finding path!"
  }
  if {[llength $paths] > 1} {
    return -code error "Cannot automatically detect more than one path!"
  }
  set pathId [lindex $paths 0]
  set tv $symbolicName(guiSV_path_tree)
  set maxnum [llength [$tv children .paths.all.$pathId]]

  global guiPPsmoothVolumeChoice
  set choice $guiPPsmoothVolumeChoice

  if {$choice == "volume"} {
    global guiVIB
    set imgobj $guiVIB(repos_image_obj)
    set distobj $guiVIB(repos_distancemap_obj)
  } elseif {$choice == "resample"} {
    global guiRIB
    set imgobj $guiRIB(repos_image_obj)
    set distobj $guiRIB(repos_distancemap_obj)
    if {[repos_exists -obj $imgobj] == 0} {
      return -code error "ERROR:  Resampled object does not exist."
    }
  } elseif {$choice == "seed_resample"} {
    global guiRIB
    set imgobj $guiRIB(repos_seed_thr_obj)
    set distobj $guiRIB(repos_distancemap_obj)
    if {[repos_exists -obj $imgobj] == 0} {
      return -code error "ERROR:  Seeded threshold object does not exist."
    }
  } elseif {$choice == "seed_volume"} {
    global guiVIB
    set imgobj $guiVIB(repos_seed_thr_obj)
    set distobj $guiVIB(repos_distancemap_obj)
    if {[repos_exists -obj $imgobj] == 0} {
      return -code error "ERROR:  Seeded threshold object does not exist."
    }
  } else {
    return -code error "ERROR:  invalid choice ($choice)."
  }

  catch {repos_delete -obj $distobj}

  if {[string trim $pathId] == ""} {
    puts "ERROR:  Must specify a Path ID before selecting points!"
    return -code error "ERROR:  Must specify a Path ID before selecting points!"
  }

  global guiPPchooserGuessThrValue
  set thr $guiPPchooserGuessThrValue

  if {$thr <= 0 && $choice != "seed_volume" && $choice != "seed_resample"} {
    return -code error "ERROR:  Threshold ($thr) must be > 0."
  }

  # we allow 3 cases:
  #  1.  just 2 points, obviously autopath between them
  #  2.  > 2 points, no current selection, autopath between
  #      last two points
  #  3.  if there is a current selection, autopath between the two
  #      points (NOT IMPLEMENTED YET!!!)

  # check that only two points have been specified in the listbox
  if {$maxnum < 1} {
    puts "ERROR:  You must select at least a beginning point in the listbox."
    return -code error "ERROR:  You must select at least a beginning point in the listbox."
  } elseif {$maxnum <= 2} {
    set startPos $gPathPoints($pathId,0)
  } else {
    set startPos $gPathPoints($pathId,[expr $maxnum - 2])
  }

  # let vtk find the starting and ending voxel
  set startIJK {}
  set startIJK [img_computeStructuredCoord -image $imgobj -pt $startPos]

  if {$startIJK == ""} {
    return -code error "ERROR: starting point ($startPos) not inside of volume!"
  }

  # check pixel value here

  set start_pixel_value [lindex $startIJK 2]
  set startIJK [lindex $startIJK 0]

  puts "start: $startIJK  pixel_value: $start_pixel_value"

  if {$choice == "seed_volume" || $choice == "seed_resample"} {
    if {([expr $start_pixel_value - 0.5] < 0)} {
      return -code error "ERROR:  start or stop point not in segmentation!"
    }
    img_createDistanceMap -src $imgobj -start $startIJK -thr 0.5 -dst $distobj
  } else {
    if {($start_pixel_value < $thr)} {
      return -code error "ERROR:  start or stop point not in segmentation!"
    }
    img_createDistanceMap -src $imgobj -start $startIJK -thr $thr -dst $distobj
  }
}


# Procedure: guiPPendInteraction
proc guiPPendInteraction {} {
  #puts "EndInteraction Event"
  global gInteractorInteracting
  set gInteractorInteracting 0
}


# Procedure: guiPPloadPaths
proc guiPPloadPaths {} {

  global gFilenames

  set fn [tk_getOpenFile -filetypes {{"SimVascular Path File" {.paths .PATHS}} {"All Files" *}}  -title "Read SimVascular Path File"  -initialfile $gFilenames(path_file)]

  if {$fn != ""} {
     set gFilenames(path_file) $fn
     guiFNMloadHandPaths
  }

  # check for missing splines and ask to create
  global gPathPoints
  set tmppaths [array names gPathPoints *,name]
  set paths {}
  foreach i $tmppaths {
    lappend paths [string trim [lindex [split $i ,] 0]]
  }
  set paths [lsort -integer $paths]
  set splines [lsort [array names gPathPoints *,splinePts]]
  # eliminate blanks from spline list
  set keepsplines {}
  foreach i $splines {
    if {[llength $gPathPoints($i)] > 0} {
      lappend keepsplines [string trim [lindex [split $i ,] 0]]
    }
  }
  set splines $keepsplines

  #puts "path: $paths"
  #puts "splinePts: $splines"

  if {[llength $paths] != [llength $splines]} {
    set yesno [tk_messageBox -default yes  -message "Generate missing splines?"  -title "Missing Splines Detected"  -type yesno]
    switch -- $yesno {
       yes {
          return -code error "ERROR:  Currently must load without generating missings splines."
          global symbolicName
          set ewidget $symbolicName(guiPPchooserPathID)
          foreach p $paths {
      if {[lsearch -exact $splines $p] < 0} {
              $ewidget delete 0 end
              $ewidget insert end $p
              guiPPchooserSplinePts
              #puts "splining $p"
      }
    }
       }
       no {
       }
     }
  }
  return
}


# Procedure: guiPPprobeData
proc guiPPprobeData {} {

  global gImageVol
  global guiPPchooserIncrement
  global symbolicName
  global gOptions
  if {$gOptions(orientImgVolToRAS) == 0} {
    # old xyz system
    set org_x [lindex $gImageVol(vtk_org_xyz) 0]
    set org_y [lindex $gImageVol(vtk_org_xyz) 1]
    set org_z [lindex $gImageVol(vtk_org_xyz) 2]
    set ext_i $gImageVol(ext_i)
    set ext_j $gImageVol(ext_j)
    set ext_k $gImageVol(ext_k)
    set vdims_x $gImageVol(vdims_x)
    set vdims_y $gImageVol(vdims_y)
    set vdims_z $gImageVol(vdims_z)
    set voi_x0 $gImageVol(voi_x0)
    set voi_x1 $gImageVol(voi_x1)
    set voi_y0 $gImageVol(voi_y0)
    set voi_y1 $gImageVol(voi_y1)
    set voi_z0 $gImageVol(voi_z0)
    set voi_z1 $gImageVol(voi_z1)
  } else {
    # properly oriented volume in ras space
    set org_x [lindex $gImageVol(vtk_org_ras) 0]
    set org_y [lindex $gImageVol(vtk_org_ras) 1]
    set org_z [lindex $gImageVol(vtk_org_ras) 2]
    set ext_i [lindex $gImageVol(ext_ras) 0]
    set ext_j [lindex $gImageVol(ext_ras) 1]
    set ext_k [lindex $gImageVol(ext_ras) 2]
    set vdims_x [lindex $gImageVol(vdims_ras) 0]
    set vdims_y [lindex $gImageVol(vdims_ras) 1]
    set vdims_z [lindex $gImageVol(vdims_ras) 2]
    set voi_x0 [lindex $gImageVol(voi_ras) 0]
    set voi_x1 [lindex $gImageVol(voi_ras) 1]
    set voi_y0 [lindex $gImageVol(voi_ras) 2]
    set voi_y1 [lindex $gImageVol(voi_ras) 3]
    set voi_z0 [lindex $gImageVol(voi_ras) 4]
    set voi_z1 [lindex $gImageVol(voi_ras) 5]
  }

  set increment $guiPPchooserIncrement
  global gInteractorRen
  set curpos [vis_pointWidgetGetPosition $gInteractorRen guiPP]

  global guiPPchooserCurPos
  set orgcurpos $guiPPchooserCurPos
  global guiPPchooserFixAxisX
  global guiPPchooserFixAxisY
  global guiPPchooserFixAxisZ

  if {$guiPPchooserFixAxisX != 0} {
    set x [lindex $orgcurpos 0]
  } else {
    set x [lindex $curpos 0]
  }
  if {$guiPPchooserFixAxisY != 0} {
    set y [lindex $orgcurpos 1]
  } else {
    set y [lindex $curpos 1]
  }
  if {$guiPPchooserFixAxisZ != 0} {
    set z [lindex $orgcurpos 2]
  } else {
    set z [lindex $curpos 2]
  }
  set curpos [list $x $y $z]

  set axes_x $gImageVol(axes-x)
  set axes_y $gImageVol(axes-y)
  set axes_z $gImageVol(axes-z)

  # need to do the inverse of the code from sliders, that
  # is calculate axes location give an interactor point

  set axes_x [expr int(([lindex $curpos 0] - $org_x)/($increment*$vdims_x))]
  set axes_y [expr int(([lindex $curpos 1] - $org_y)/($increment*$vdims_y))]
  set axes_z [expr int(([lindex $curpos 2] - $org_z)/($increment*$vdims_z))]

  set gImageVol(axes-x) $axes_x
  set gImageVol(axes-y) $axes_y
  set gImageVol(axes-z) $axes_z

  global guiPPchooserXscale
  global guiPPchooserYscale
  global guiPPchooserZscale
  set guiPPchooserXscale $axes_x
  set guiPPchooserYscale $axes_y
  set guiPPchooserZscale $axes_z

  guiPPchooserUpdateXYZ
}


# Procedure: guiPPquantCalcCurvature
proc guiPPquantCalcCurvature { pathNo} {
  global guiSVvars
  set startId $guiSVvars(path_quantification_start_id_$pathNo)
  set stopId  $guiSVvars(path_quantification_stop_id_$pathNo)
  set posId  $guiSVvars(path_quantification_current_position_$pathNo)
  set windowSize $guiSVvars(path_quantification_window_size_$pathNo)
  set distances $guiSVvars(path_quantification_distances_$pathNo)
  set pts $guiSVvars(path_quantification_spline_$pathNo)

  set clampEnds $guiSVvars(path_quantification_clamp_ends_$pathNo)

  set curPosL [lindex $distances $posId]

  # need to find the starting point for curvature calc
  if {$clampEnds} {
    set minId $startId
    set maxId $stopId
  } else {
    set minId 0
    set maxId [expr $guiSVvars(path_quantification_num_spline_pts_$pathNo) - 1]
  }

  set ptOneId -1
  set ptTwoId $posId
  set ptThreeId -1

  # find point one (proximal point of curve)
  for {set i $posId} {$i >= $minId} {incr i -1} {
    if {[expr $curPosL - [lindex $distances $i]] >= $windowSize} {
       set ptOneId $i
       #puts "$ptOneId (distance: [expr $curPosL - [lindex $distances $i]])"
       #puts "$ptOneId +1 (distance: [expr $curPosL - [lindex $distances [expr $i + 1]]])"
       break
    }
  }
  # find point three (distal point on curve)
  for {set i $posId} {$i <= $maxId} {incr i 1} {
      if {[expr [lindex $distances $i] - $curPosL] >= $windowSize} {
       set ptThreeId $i
       #puts "$ptThreeId (distance: [expr [lindex $distances $i] - $curPosL])"
       break
    }
  }

  puts "ptIds for curve calc: $ptOneId $ptTwoId $ptThreeId"
  if {$ptOneId < 0 || $ptThreeId < 0} {
    set guiSVvars(path_quantification_curvature_$pathNo) "N/A"
    set guiSVvars(path_quantification_torus_radius_$pathNo) {}
    set guiSVvars(path_quantification_torus_center_$pathNo) {}
    set guiSVvars(path_quantification_torus_normal_$pathNo) {}
    guiPPquantUpdateDisplay $pathNo torus
  } else {
    set res [guiPPquant_calc_discrete_curvature [lindex $pts $ptOneId] [lindex $pts $ptTwoId] [lindex $pts $ptThreeId]]
    set guiSVvars(path_quantification_curvature_$pathNo) [lindex $res 0]
    set guiSVvars(path_quantification_torus_radius_$pathNo) [lindex $res 1]
    set guiSVvars(path_quantification_torus_center_$pathNo) [lindex $res 3]
    set guiSVvars(path_quantification_torus_normal_$pathNo) [lindex $res 2]
    guiPPquantUpdateDisplay $pathNo torus
  }

  #set guiSVvars(path_quantification_curvature) "$ptOneId $ptTwoId $ptThreeId"
}


# Procedure: guiPPquantChangeNumSplinePts
proc guiPPquantChangeNumSplinePts { pathNo} {
  # for now, we just cheat and pretent the user selected new path
  guiPPquantSelectPath $pathNo
}


# Procedure: guiPPquantSaveAngleToFile
proc guiPPquantSaveAngleToFile {} {

  # make sure angle is current
  guiPPquant_calc_parallel_ref

  global guiSVvars
  set coord_ostia_A $guiSVvars(path_quantification_path_point_path1)
  set coord_ostia_B $guiSVvars(path_quantification_path_point_path2)

  set path1_posId   $guiSVvars(path_quantification_current_position_path1)
  set path1_name    $guiSVvars(path_quantification_current_path_name_path1)
  set path1_pathId  $guiSVvars(path_quantification_current_pathId_path1)
  set path2_posId   $guiSVvars(path_quantification_current_position_path2)
  set path2_name    $guiSVvars(path_quantification_current_path_name_path2)
  set path2_pathId  $guiSVvars(path_quantification_current_pathId_path2)
  set twistpath_posId   $guiSVvars(path_quantification_current_position_twistpath)
  set twistpath_name    $guiSVvars(path_quantification_current_path_name_twistpath)
  set twistpath_pathId  $guiSVvars(path_quantification_current_pathId_twistpath)

  set angle_of_separation $guiSVvars(path_quantification_angle_of_separation)

  set fp [open "angle_of_separation_$twistpath_pathId\_$path1_pathId\_$path2_pathId\_created_on_[clock seconds]" w]
  puts $fp "\#  simvascular angle of separation calcuations"
  puts $fp "\#  vessel pathId: $twistpath_pathId"
  puts $fp "\#  vessel pathName: $twistpath_name"
  puts $fp "\#  path1 pathId: $path1_pathId"
  puts $fp "\#  path1 pathName: $path1_name"
  puts $fp "\#  path1 posId: $path1_posId"
  puts $fp "\#  path1 ostia point: $coord_ostia_A"
  puts $fp "\#  path2 pathId: $path2_pathId"
  puts $fp "\#  path2 pathName: $path2_name"
  puts $fp "\#  path2 posId: $path2_posId"
  puts $fp "\#  path2 ostia point: $coord_ostia_B"
  puts $fp "\#"
  puts $fp "\#  Angle in degrees"
  puts $fp "$angle_of_separation"
  close $fp
}


# Procedure: guiPPquantSaveCurvToFile
proc guiPPquantSaveCurvToFile { pathNo} {
  global guiSVvars
  set startId $guiSVvars(path_quantification_start_id_$pathNo)
  set stopId  $guiSVvars(path_quantification_stop_id_$pathNo)
  set posId   $guiSVvars(path_quantification_current_position_$pathNo)
  set name    $guiSVvars(path_quantification_current_path_name_$pathNo)
  set pathId  $guiSVvars(path_quantification_current_pathId_$pathNo)
  set pts     $guiSVvars(path_quantification_spline_$pathNo)
  set windowSize $guiSVvars(path_quantification_window_size_$pathNo)
  set startId $guiSVvars(path_quantification_start_id_$pathNo)
  set stopId  $guiSVvars(path_quantification_stop_id_$pathNo)
  set distances $guiSVvars(path_quantification_distances_$pathNo)

  set fp [open "curvature_$pathId\_$windowSize\_created_on_[clock seconds]" w]
  puts $fp "\#  simvascular curvature calcuations"
  puts $fp "\#  pathId: $pathId"
  puts $fp "\#  pathName: $name"
  puts $fp "\#  windowSize: $windowSize"
  puts $fp "\#  startId: $startId"
  puts $fp "\#  stopId: $stopId"
  puts $fp "\#  curved length: [expr [lindex $distances $stopId] - [lindex $distances $startId]]"
  puts $fp "\#"
  puts $fp "\#  pathId  posId  rel_distance  curvature abs_distance  x  y  z"
  puts $fp "\#"

  set meanCurvature 0.0
  set numPts 0
  set maxCurvature -1.0
  set minCurvature 9999999.0

  for {set i $startId} {$i <= $stopId} {incr i} {
    set guiSVvars(path_quantification_current_position_$pathNo) $i
    guiPPquantCalcCurvature $pathNo
    set pt [lindex $pts $i]
    set curvature $guiSVvars(path_quantification_curvature_$pathNo)
    puts $fp "$pathId\t $i\t [expr [lindex $distances $i] - [lindex $distances $startId]]\t $guiSVvars(path_quantification_curvature_$pathNo)\t [lindex $distances $i]\t [lindex $pt 0]\t [lindex $pt 1]\t [lindex $pt 2]"
    set meanCurvature [expr $meanCurvature + $curvature]
    if {$curvature >= $maxCurvature} {
      set maxCurvature $curvature
      set maxCurvPos $i
    }
    if {$curvature <= $minCurvature} {
      set minCurvature $curvature
      set minCurvPos $i
    }
    incr numPts
  }
  set meanCurvature [expr $meanCurvature/(1.0*$numPts)]

  puts $fp "\#  min curvature: $minCurvature   (position id: $minCurvPos)"
  puts $fp "\#  mean curvature: $meanCurvature"
  puts $fp "\#  max curvature: $maxCurvature  (position id: $maxCurvPos)"

  close $fp
}


# Procedure: guiPPquantSelectPath
proc guiPPquantSelectPath { pathNo} {

  global symbolicName
  global gPathPoints
  global guiSVvars

  set paths [guiSV_path_get_tree_current_paths_selected]
  if {$paths == ""} {
    puts "ERROR:  Must specify a Path ID before quantification!"
    return -code error "ERROR:  Must specify a Path ID before quantification!"
  }
  if {[llength $paths] > 1} {
    return -code error "Cannot quantify more than one path!"
  }
  set pathId [lindex $paths 0]
  global symbolicName
  set tv $symbolicName(guiSV_path_tree)
  set maxnum [llength [$tv children .paths.all.$pathId]]

  # clear current display
  guiPPquantUpdateDisplay $pathNo clear

  # update basic path information
  set guiSVvars(path_quantification_angle_of_separation) 0

  set guiSVvars(path_quantification_current_pathId_$pathNo) $pathId
  set guiSVvars(path_quantification_current_path_name_$pathNo) $gPathPoints($pathId,name)
  set guiSVvars(path_quantification_curvature_$pathNo) 0.0
  set guiSVvars(path_quantification_current_position_$pathNo) 0
  set numSplinePts $guiSVvars(path_quantification_num_spline_pts_$pathNo)
  set guiSVvars(path_quantification_path_point_$pathNo) {}
  set guiSVvars(path_quantification_start_id_$pathNo) 0
  set guiSVvars(path_quantification_stop_id_$pathNo) [expr $numSplinePts - 1]

  set minHandPts 0
  set maxHandPts [expr $maxnum - 1]

  set min 0
  set max [expr $guiSVvars(path_quantification_num_spline_pts_$pathNo) - 1]

  if {$pathNo != "twistpath"} {
    # need to update the scale limits
    set startScale $symbolicName(guiPPquantStartIDScale_$pathNo)
    set stopScale $symbolicName(guiPPquantStopIDScale_$pathNo)
    set posScale  $symbolicName(guiPPquantPositionScale_$pathNo)

    $startScale configure -from $min -to $max
    $stopScale  configure -from $min -to $max
    $posScale   configure -from $min -to $max

    if {$guiSVvars(path_quantification_current_position_$pathNo) > $max} {
      set guiSVvars(path_quantification_current_position_$pathNo) $max
    }

    $startScale set $min
    $stopScale  set $max
    $posScale   set [expr ($min+$max)/2]
  }

  # can only create a spline if we have more than 2 points
  #if {[llength $ptIndex] < 2} {
  #  set gPathPoints($id,splinePts) {}
  #  return -code error "ERROR: not enough points in path!"
  #}

  # create an ordered list of points
  set pts {}
  for {set i $minHandPts} {$i <= $maxHandPts} {incr i} {
    lappend pts $gPathPoints($pathId,$i)
  }

  set ptpd /tmp/guiPPquant/ptpd/$pathNo

  geom_mkPtsPd $pts $ptpd

  set flag 0

  # spline points
  set guiSVvars(path_quantification_path_$pathNo) [geom_splinePtsToPathPlan -src $ptpd  -numOutputPts $numSplinePts  -flag $flag]
  catch {repos_delete -obj $ptpd}

    set pts {}
    set tanpts {}
    for {set i 0} {$i < $numSplinePts} {incr i} {
      array set splinePt [lindex $guiSVvars(path_quantification_path_$pathNo) $i]
      lappend pts [TupleToList $splinePt(p)]
      lappend tanpts [TupleToList $splinePt(t)]
      if {$i == 0} {
         lappend distances 0.0
      } else {
         lappend distances [math_curveLength -pts $pts -closed 0]
      }
    }

    set guiSVvars(path_quantification_spline_$pathNo) $pts
    set guiSVvars(path_quantification_tangents_$pathNo) $tanpts
    set guiSVvars(path_quantification_distances_$pathNo) $distances

    set guiSVvars(path_quantification_startPt_$pathNo) [lindex $pts 0]
    set guiSVvars(path_quantification_stopPt_$pathNo) [lindex $pts end]
    set guiSVvars(path_quantification_path_point_$pathNo) [lindex $pts $guiSVvars(path_quantification_current_position_$pathNo)]
    set guiSVvars(path_quantification_curved_length_$pathNo) [math_curveLength -pts $pts -closed 0]
    set guiSVvars(path_quantification_straight_length_$pathNo) [math_curveLength -pts [list [lindex $pts 0] [lindex $pts end]] -closed 0]

  guiPPquantUpdateDisplay $pathNo all

  return
}


# Procedure: guiPPquantUpdateDisplay
proc guiPPquantUpdateDisplay { pathNo pressed} {

  global gRen3d
  global guiSVvars

  set splinePd /guiPPquant/path/$pathNo
  set splinePts $guiSVvars(path_quantification_spline_$pathNo)
  if {$pressed == "path" || $pressed == "all"} {
    if {$guiSVvars(path_quantification_display_path_$pathNo) != 0 && $splinePts != ""} {
      catch {repos_delete -obj $splinePd}
      geom_mkLinesFromPts $splinePts $splinePd 0
      catch {vis_pRm $gRen3d $splinePd}
      vis_pRepos $gRen3d $splinePd
      set myact [vis_pGetActor $gRen3d $splinePd]
      set myprop [$myact GetProperty]
      $myprop SetLineWidth 2
      $myprop SetInterpolationToFlat
      if {$pathNo == "path1"} {
        eval $myprop SetColor $guiSVvars(path_quantification_color_path1)
      } elseif {$pathNo == "path2"} {
        eval $myprop SetColor $guiSVvars(path_quantification_color_path2)
      } elseif {$pathNo == "twistpath"} {
        eval $myprop SetColor $guiSVvars(path_quantification_color_twistpath)
      } elseif {$pathNo == "refpath"} {
        eval $myprop SetColor $guiSVvars(path_quantification_color_refpath)
      } else {
        $myprop SetColor 1 1 1
      }
      vis_render $gRen3d
    } else {
  catch {vis_pRm $gRen3d $splinePd}
    }
  }
  global gOptions
  set sphereSize $gOptions(pathDisplayPointSize)
  if {$pressed == "start" || $pressed == "all"} {
    set pt $guiSVvars(path_quantification_startPt_$pathNo)
    set startPd /guiPPquant/startPd/$pathNo
    if {$guiSVvars(path_quantification_display_start_sphere_$pathNo) != 0 && $pt != ""} {
        catch {repos_delete -obj $startPd}
  geom_mkSphere [lindex $pt 0] [lindex $pt 1] [lindex $pt 2] $sphereSize $startPd
        catch {vis_pRm $gRen3d $startPd}
        vis_pRepos $gRen3d $startPd
        set myact [vis_pGetActor $gRen3d $startPd]
        set myprop [$myact GetProperty]
        eval $myprop SetColor $guiSVvars(path_quantification_color_start)
        vis_render $gRen3d
    } else {
  catch {vis_pRm $gRen3d $startPd}
    }
  }
  if {$pressed == "stop" || $pressed == "all"} {
    set pt $guiSVvars(path_quantification_stopPt_$pathNo)
    set stopPd /guiPPquant/stopPd/$pathNo
    if {$guiSVvars(path_quantification_display_stop_sphere_$pathNo) != 0 && $pt != ""} {
        catch {repos_delete -obj $stopPd}
  geom_mkSphere [lindex $pt 0] [lindex $pt 1] [lindex $pt 2] $sphereSize $stopPd
        catch {vis_pRm $gRen3d $stopPd}
        vis_pRepos $gRen3d $stopPd
        set myact [vis_pGetActor $gRen3d $stopPd]
        set myprop [$myact GetProperty]
        eval $myprop SetColor $guiSVvars(path_quantification_color_stop)
        vis_render $gRen3d
    } else {
  catch {vis_pRm $gRen3d $stopPd}
    }
  }
  if {$pressed == "position" || $pressed == "all"} {
    set pt $guiSVvars(path_quantification_path_point_$pathNo)
    set curPd /guiPPquant/curPd/$pathNo
    if {$guiSVvars(path_quantification_display_position_sphere_$pathNo) != 0 && $pt != ""} {
        catch {repos_delete -obj $curPd}
  geom_mkSphere [lindex $pt 0] [lindex $pt 1] [lindex $pt 2] $sphereSize $curPd
        catch {vis_pRm $gRen3d $curPd}
        vis_pRepos $gRen3d $curPd
        set myact [vis_pGetActor $gRen3d $curPd]
        set myprop [$myact GetProperty]
        eval $myprop SetColor $guiSVvars(path_quantification_color_position)
        vis_render $gRen3d
    } else {
  catch {vis_pRm $gRen3d $curPd}
    }
  }
  set torus /guiPPquant/torus/$pathNo
  set torusPD /guiPPquant/torus/$pathNo/PD
  if {$pressed == "torus" || $pressed == "all"} {
    if {$guiSVvars(path_quantification_display_radius_torus_$pathNo) != 0} {
      catch {repos_delete -obj $torus}
      catch {repos_delete -obj $torusPD}
      catch {vis_pRm $gRen3d $torusPD}
      set radius $guiSVvars(path_quantification_torus_radius_$pathNo)
      if {$radius != ""} {
        set ctr $guiSVvars(path_quantification_torus_center_$pathNo)
        set nrm $guiSVvars(path_quantification_torus_normal_$pathNo)
        set thick $guiSVvars(path_quantification_torus_thickness_$pathNo)
        solid_torus -result $torus -rmaj [expr $radius - $thick] -rmin $thick -ctr $ctr -axis $nrm
        $torus GetPolyData -result $torusPD
        vis_pRepos $gRen3d $torusPD
        set myact [vis_pGetActor $gRen3d $torusPD]
        set myprop [$myact GetProperty]
        #$myprop SetLineWidth 2
        #$myprop SetInterpolationToFlat
        eval $myprop SetColor $guiSVvars(path_quantification_color_torus_$pathNo)
      }
      vis_render $gRen3d
    } else {
      catch {vis_pRm $gRen3d $torusPD}
    }
  }
}


# Procedure: guiPPquantUpdatePositionScale
proc guiPPquantUpdatePositionScale { pathNo val} {

  global guiSVvars

  set pts $guiSVvars(path_quantification_spline_$pathNo)

  if {$pts == ""} return

  # need to update the scale limits
  #set startScale $symbolicName(guiPPquantStartIDScale_$pathNo)
  #set stopScale $symbolicName(guiPPquantStopIDScale_$pathNo)
  #set posScale  $symbolicName(guiPPquantPositionScale_$pathNo)

  set startId $guiSVvars(path_quantification_start_id_$pathNo)
  set stopId  $guiSVvars(path_quantification_stop_id_$pathNo)
  set posId  $guiSVvars(path_quantification_current_position_$pathNo)

  if {$posId > $stopId} {
    set posId $stopId
    set guiSVvars(path_quantification_current_position_$pathNo) $stopId
  } elseif {$posId < $startId} {
    set posId $startId
    set guiSVvars(path_quantification_current_position_$pathNo) $startId
  }

  set guiSVvars(path_quantification_path_point_$pathNo) [lindex $pts $posId]

  guiPPquantUpdateDisplay $pathNo position
  guiPPquantCalcCurvature $pathNo
}


# Procedure: guiPPquantUpdateStartScale
proc guiPPquantUpdateStartScale { pathNo val} {

  global guiSVvars

  set pts $guiSVvars(path_quantification_spline_$pathNo)

  if {$pts == ""} return

  # need to update the scale limits
  #set startScale $symbolicName(guiPPquantStartIDScale_$pathNo)
  #set stopScale $symbolicName(guiPPquantStopIDScale_$pathNo)
  #set posScale  $symbolicName(guiPPquantPositionScale_$pathNo)

  set startId $guiSVvars(path_quantification_start_id_$pathNo)
  set stopId  $guiSVvars(path_quantification_stop_id_$pathNo)
  set posId  $guiSVvars(path_quantification_current_position_$pathNo)

  if {$startId >= $stopId} {
    set startId [expr $stopId - 1]
    set guiSVvars(path_quantification_start_id_$pathNo) $startId
  }

  set guiSVvars(path_quantification_startPt_$pathNo) [lindex $pts $startId]
  set guiSVvars(path_quantification_curved_length_$pathNo) [math_curveLength -pts [lrange $pts $startId $stopId] -closed 0]
  set guiSVvars(path_quantification_straight_length_$pathNo) [math_curveLength -pts [list [lindex $pts $startId] [lindex $pts $stopId]] -closed 0]

  guiPPquantUpdateDisplay $pathNo start
  guiPPquantUpdatePositionScale $pathNo $posId
}


# Procedure: guiPPquantUpdateStopScale
proc guiPPquantUpdateStopScale { pathNo val} {

  global guiSVvars

  set pts $guiSVvars(path_quantification_spline_$pathNo)

  if {$pts == ""} return

  # need to update the scale limits
  #set startScale $symbolicName(guiPPquantStartIDScale_$pathNo)
  #set stopScale $symbolicName(guiPPquantStopIDScale_$pathNo)
  #set posScale  $symbolicName(guiPPquantPositionScale_$pathNo)

  set startId $guiSVvars(path_quantification_start_id_$pathNo)
  set stopId  $guiSVvars(path_quantification_stop_id_$pathNo)
  set posId  $guiSVvars(path_quantification_current_position_$pathNo)

  if {$stopId <= $startId} {
    set stopId [expr $startId + 1]
    set guiSVvars(path_quantification_stop_id_$pathNo) $stopId
  }

  set guiSVvars(path_quantification_stopPt_$pathNo) [lindex $pts $stopId]
  set guiSVvars(path_quantification_curved_length_$pathNo) [math_curveLength -pts [lrange $pts $startId $stopId] -closed 0]
  set guiSVvars(path_quantification_straight_length_$pathNo) [math_curveLength -pts [list [lindex $pts $startId] [lindex $pts $stopId]] -closed 0]

  guiPPquantUpdateDisplay $pathNo stop
  guiPPquantUpdatePositionScale $pathNo $posId
}


# Procedure: guiPPquant_calc_discrete_curvature
proc guiPPquant_calc_discrete_curvature { p1 p2 p3} {

  # mid point
  set mid_p1_p2 [math_scaleVec [math_addVectors $p1 $p2] 0.5]
  set x1 [lindex $mid_p1_p2 0]
  set y1 [lindex $mid_p1_p2 1]
  set z1 [lindex $mid_p1_p2 2]

  set mid_p2_p3 [math_scaleVec [math_addVectors $p2 $p3] 0.5]
  set x2 [lindex $mid_p2_p3 0]
  set y2 [lindex $mid_p2_p3 1]
  set z2 [lindex $mid_p2_p3 2]


  # normal vector of plane
  set vec_p2_p1 [math_subVectors $p1 $p2]
  set vec_p2_p3 [math_subVectors $p3 $p2]

  set a1 [lindex $vec_p2_p1 0]
  set b1 [lindex $vec_p2_p1 1]
  set c1 [lindex $vec_p2_p1 2]

  set a2 [lindex $vec_p2_p3 0]
  set b2 [lindex $vec_p2_p3 1]
  set c2 [lindex $vec_p2_p3 2]

  # origin (x,y,z)
  # x = alpha1 z + beta1
  # y = alpha2 z + beta2

  set k1 [expr $a1*$x1+$b1*$y1+$c1*$z1]
  set k2 [expr $a2*$x2+$b2*$y2+$c2*$z2]

  set alpha1 [expr $b1/$a1/[expr $b1/$a1-$b2/$a2]*[expr $c1/$a1-$c2/$a2]-$c1/$a1]
  set beta1 [expr $k1/$a1-$b1/$a1/[expr $b1/$a1-$b2/$a2]*[expr $k1/$a1-$k2/$a2]]

  set alpha2 [expr -1.0/[expr $b1/$a1-$b2/$a2]*[expr $c1/$a1-$c2/$a2]]
  set beta2 [expr 1.0/[expr $b1/$a1-$b2/$a2]*[expr $k1/$a1-$k2/$a2]]

  # norm vector of curvature plane
  set norm_vec_plane [math_cross $vec_p2_p1 $vec_p2_p3]

  set a3 [lindex $norm_vec_plane 0]
  set b3 [lindex $norm_vec_plane 1]
  set c3 [lindex $norm_vec_plane 2]

  set t_coeff [expr 1.0/[expr $a3*$alpha1+$b3*$alpha2+$c3]*[expr $a3*$x1+$b3*$y1+$c3*$z1-$a3*$beta1-$b3*$beta2]]

  # curvature origin
  set x3 [expr $alpha1*$t_coeff+$beta1]
  set y3 [expr $alpha2*$t_coeff+$beta2]
  set z3 [expr $t_coeff]

  set origin_curvature "$x3 $y3 $z3"

  # radius of curvature
  set radius [math_magnitude [math_subVectors $p1 $origin_curvature]]

  # curvature
  set curvature [expr 1.0/$radius]

  return [list $curvature $radius [math_normalize $norm_vec_plane] $origin_curvature]
}


# Procedure: guiPPquant_calc_index_projection
proc guiPPquant_calc_index_projection { coord_main_vessel coord_branch} {


  #-------------------------------
  # calculate coorrdinate of the projection
  # coord_main_vessel: 3D coordinates of the main vessel, where a point is being projected
  # coord_branch: 3D coordinate of a point to be projected on the main vessel
  #-------------------------------

  set numSplinePts [llength $coord_main_vessel]
  set min_distance 10000
  for {set j 0} {$j < $numSplinePts} {incr j} {
    set coord_main_vessel_j [lindex $coord_main_vessel $j]
    set distance_to_branch [math_distance $coord_main_vessel_j $coord_branch]

    if {$distance_to_branch < $min_distance} {
      set index_min_distance $j
      set min_distance $distance_to_branch
    }
  }

  return $index_min_distance
}


# Procedure: guiPPquant_calc_parallel_ref
proc guiPPquant_calc_parallel_ref {} {

  global guiSVvars

  set main_path $guiSVvars(path_quantification_spline_twistpath)
  set main_tangents $guiSVvars(path_quantification_tangents_twistpath)
  if {$main_path == "" || $main_tangents == ""} {
    return -code error "No main path or tangents selected!"
  }
  set coord_ostia_A $guiSVvars(path_quantification_path_point_path1)
  set coord_ostia_B $guiSVvars(path_quantification_path_point_path2)
  if {$coord_ostia_A == "" || $coord_ostia_B == ""} {
    return -code error "missing ostia first or second point!"
  }

  set coord_main_vessel_spline $main_path
  set coord_main_vessel_spline_tan $main_tangents

  set index_start [guiPPquant_calc_index_projection $coord_main_vessel_spline $coord_ostia_A]
  set index_end   [guiPPquant_calc_index_projection $coord_main_vessel_spline $coord_ostia_B]

  set coord_ostia_A_prj [lindex $coord_main_vessel_spline $index_start]
  set coord_ostia_B_prj [lindex $coord_main_vessel_spline $index_end]

  set vec_start [math_subVectors $coord_ostia_A $coord_ostia_A_prj]
  set mag_vec_start [math_magnitude $vec_start]

  set parallel_ref {}
  set parallel_ref_for_plot {}

  lappend parallel_ref $coord_ostia_A
  lappend parallel_ref_for_plot $coord_ostia_A_prj
  lappend parallel_ref_for_plot $coord_ostia_A

  for {set i $index_start} {$i < $index_end} {incr i} {

    set next_i [expr $i+1]
    set coord_main_vessel_spline_next_i [lindex $coord_main_vessel_spline $next_i]
    set coord_main_vessel_spline_tan_i [lindex $coord_main_vessel_spline_tan $i]
    set coord_main_vessel_spline_tan_next_i [lindex $coord_main_vessel_spline_tan $next_i]
    set vec_ref_i [math_cross $coord_main_vessel_spline_tan_next_i $coord_main_vessel_spline_tan_i]

    set mag_invariant_axis [math_magnitude $vec_ref_i]
    set vec_ref_i_normalized [math_normalize $vec_ref_i]
    set vec_ref_i_scaled [math_scaleVec $vec_ref_i_normalized $mag_vec_start]

    set ang_wrt_ref_deg [math_radToDeg [math_angleBtw3DVectors $vec_ref_i $vec_start]]

    # find sign to determine rotation orientation
    set cross_ref_start [math_cross $vec_ref_i $vec_start ]
    set dot_tan_vec_i_cross_ref_start [math_dot $coord_main_vessel_spline_tan_i $cross_ref_start]
    set sign_criteria $dot_tan_vec_i_cross_ref_start

    if { $sign_criteria < 0} {
      set sign_axis -1
    } else {
      set sign_axis 1
    }

    set rot_axis_with_sign [math_scaleVec $coord_main_vessel_spline_tan_next_i $sign_axis]
    set n_taylor_expansion 11
    set rot_mat [calc_rotation_matrix $rot_axis_with_sign $ang_wrt_ref_deg $n_taylor_expansion]

    set vec_start [math_matrix_mult_3x1 $rot_mat $vec_ref_i_scaled]
    set parallel_ref_j [math_addVectors $vec_start $coord_main_vessel_spline_next_i]
    lappend parallel_ref $parallel_ref_j
    lappend parallel_ref_for_plot $parallel_ref_j
  }

  lappend parallel_ref_for_plot $coord_ostia_B_prj
  lappend parallel_ref_for_plot $coord_ostia_B

  set n_parallel_ref [llength $parallel_ref]
  set parallel_ref_last_point [lindex $parallel_ref [expr $n_parallel_ref-1]]

  set vec_branch_next_i [math_subVectors $coord_ostia_B $coord_ostia_B_prj]
  set vec_ref_next_i [math_subVectors $parallel_ref_last_point $coord_ostia_B_prj]
  set angle_of_separation_deg [math_radToDeg [math_angleBtw3DVectors $vec_branch_next_i $vec_ref_next_i]]

  set guiSVvars(path_quantification_spline_refpath) $parallel_ref_for_plot
  set guiSVvars(path_quantification_angle_of_separation) $angle_of_separation_deg

  puts "Angle of separation (deg): $angle_of_separation_deg"
}


# Procedure: guiPPsavePaths
proc guiPPsavePaths {} {

  # check for missing splines and ask to create
  global gPathPoints

  set tmppaths [array names gPathPoints *,name]
  set paths {}
  foreach i $tmppaths {
    # if the user forgets to specify a pathId, ignore path
    if {[llength [split [string trim $i] ,]] != 2} {
      puts "ERROR:  invalid blank pathId being ignored."
      continue
    }
    set pathidnum [string trim [lindex [split $i ,] 0]]
    # ignore non-integer pathids
    if [math_isInt $pathidnum] {
      lappend paths $pathidnum
    } else {
      puts "ERROR: pathId ($pathidnum) is not an integer and is being ignored."
    }
  }
  set paths [lsort -integer $paths]
  set splines [lsort [array names gPathPoints *,splinePts]]
  # eliminate blanks from spline list
  set keepsplines {}
  foreach i $splines {
    if {[llength $gPathPoints($i)] > 0} {
      # if the user forgets to specify a pathId, ignore path
      if {[llength [split [string trim $i] ,]] != 2} {
        puts "ERROR:  invalid blank pathId being ignored."
        continue
      }
      set pathidnum [string trim [lindex [split $i ,] 0]]
      # ignore non-integer pathids
      if [math_isInt $pathidnum] {
        lappend keepsplines [string trim [lindex [split $i ,] 0]]
      } else {
        puts "ERROR: pathId ($pathidnum) is not an integer and is being ignored."
      }
    }
  }
  set splines $keepsplines

  #puts "path: $paths"
  #puts "splinePts: $splines"

  if {[llength $paths] != [llength $splines]} {
    set yesno [tk_messageBox -default yes  -message "Generate missing splines?"  -title "Missing Splines Detected"  -type yesno]
    switch -- $yesno {
       yes {
          global symbolicName
          set ewidget $symbolicName(guiPPchooserPathID)
          foreach p $paths {
      if {[lsearch -exact $splines $p] < 0} {
              $ewidget delete 0 end
              $ewidget insert end $p
              guiPPchooserSplinePts
              #puts "splining $p"
      }
    }
       }
       no {
       }
     }
  }

  global gFilenames
  set initialdirectory [file dirname $gFilenames(path_file)]
  set initialfilename [file tail $gFilenames(path_file)]
  set fn [tk_getSaveFile -filetypes {{"SimVascular Path File" {.paths .PATHS}} {"All Files" *}}  -title "Save SimVascular Path File"  -initialfile $initialfilename -initialdir $initialdirectory ]

  if {$fn == ""} {
    return
  }

  set gFilenames(path_file) $fn
  if { [string tolower [file extension gFilenames(path_file)]] != ".paths"} {
    set gFilenames(path_file) $gFilenames(path_file).paths
    puts $gFilenames(path_file)
  }




  # write stuff here
  global gFilenames
  set fp [open $gFilenames(path_file) "w"]

  global gPathPoints
  puts $fp "#  Geodesic path file version 2.0 (from guiPP)"
  puts $fp "global gPathPoints"
  foreach i [array names gPathPoints] {

    # once again, check to make sure there are no
    # invalid path ids
    set pathId [string trim [lindex [split $i ,] 0]]
    if {![math_isInt $pathId]} {
       puts "Warning: gPathPoints($i) ignored."
       continue
    }
    if {[lindex [split $i ,] 1] == "splinePts"} {

      set splinePts $gPathPoints($i)
      if {$splinePts == ""} {
  puts $fp "set gPathPoints($i) \{$gPathPoints($i)\}"
      } else {
        puts $fp "set gPathPoints($i) \[list \\"
    for {set j 0} {$j < [llength $splinePts]} {incr j} {
        puts $fp "  \{[lindex $splinePts $j]\} \\"
    }
        puts $fp "  \]"
      }

    } else {

      puts $fp "set gPathPoints($i) \{$gPathPoints($i)\}"

    }
  }
  close $fp
}


# Procedure: guiPPselectPathCancel
proc guiPPselectPathCancel {} {
  DestroyWindow.guiPPselectPath
}


# Procedure: guiPPselectPathChoose
proc guiPPselectPathChoose {} {
  global symbolicName
  set lbox $symbolicName(guiPPselectPathLB)
  set csel [$lbox curselection]
  set s [$lbox get $csel]
  if {$s == ""} {
     DestroyWindow.guiPPselectPath
     return
  }
  set busted [split $s :]
  set ewidget $symbolicName(guiPPchooserPathID)
  $ewidget delete 0 end
  $ewidget insert 0 [string trim [lindex $busted 0]]
  DestroyWindow.guiPPselectPath
  guiPPchooserUpdateLBforPathID
}


# Procedure: guiPPsmoothAutoSizeBox
proc guiPPsmoothAutoSizeBox {} {

  global symbolicName

  set box $symbolicName(guiPPchooserPointListBox)
  set id [$symbolicName(guiPPchooserPathID) get]
  set name [$symbolicName(guiPPchooserPathName) get]
  set numSplinePts [$symbolicName(guiPPchooserNumIntPoints) get]

  if {[string trim $id] == ""} {
    puts "ERROR:  Must specify a Path ID!"
    return -code error "ERROR:  Must specify a Path ID!"
  }

  # create a list of points from the current path
  set pts {}
  for {set i 0} {$i < [$box size]} {incr i} {
     lappend pts [$box get $i]
  }

  set tmpobj /tmp/guiPPsmoothAutoSizeBox
  catch {repos_delete -obj $tmpobj}
  geom_mkPtsPd $pts $tmpobj
  set bbox [geom_bbox -obj $tmpobj]
  global guiPPsmoothBoxCenter
  global guiPPsmoothVoxelSize
  set size $guiPPsmoothVoxelSize
  set ctr [list [expr ([lindex $bbox 1] + [lindex $bbox 0])/2.0]  [expr ([lindex $bbox 3] + [lindex $bbox 2])/2.0]  [expr ([lindex $bbox 5] + [lindex $bbox 4])/2.0]]
  set guiPPsmoothBoxCenter $ctr
  set lx [expr int(([lindex $bbox 1] - [lindex $bbox 0])/(2.0*$size)) + 1]
  set ly [expr int(([lindex $bbox 3] - [lindex $bbox 2])/(2.0*$size)) + 1]
  set lz [expr int(([lindex $bbox 5] - [lindex $bbox 4])/(2.0*$size)) + 1]
  global guiPPchooserMinGuessX
  global guiPPchooserMaxGuessX
  global guiPPchooserMinGuessY
  global guiPPchooserMaxGuessY
  global guiPPchooserMinGuessZ
  global guiPPchooserMaxGuessZ
  set guiPPchooserMinGuessX [expr -$lx]
  set guiPPchooserMaxGuessX $lx
  set guiPPchooserMinGuessY [expr -$ly]
  set guiPPchooserMaxGuessY $ly
  set guiPPchooserMinGuessZ [expr -$lz]
  set guiPPchooserMaxGuessZ $lz

  repos_delete -obj $tmpobj

  guiPPsmoothUpdateBinaryDisplay
}


# Procedure: guiPPsmoothSmoothPath
proc guiPPsmoothSmoothPath {} {

  global symbolicName
  global gImageVol
  global gOptions
  global guiPPsmoothTargetPathID
  global guiPPsmoothSubSampleRate
  global guiPPsmoothUseThresholding
  global guiPPsmoothThreshKeepPointAnyway
  global gPathPoints
  global guiSVvars

  set paths [guiSV_path_get_tree_current_paths_selected]
  if {$paths == ""} {
    tk_messageBox -title "Must specify a Path ID"  -type ok -message "Must specify a Path ID before selecting points!"
   return
  }
  if {[llength $paths] > 1} {
    tk_messageBox -title "Too Many Paths"  -type ok -message "Cannot add point to more than one path!"
   return
  }
  set pathId [lindex $paths 0]
  set tv $symbolicName(guiSV_path_tree)
  set maxnum [llength [$tv children .paths.all.$pathId]]

  set name $guiSVvars(path_entry_path_name)
  set numSplinePts $guiSVvars(path_entry_number_spline_pts)
  set targetID [string trim $guiPPsmoothTargetPathID]
  set sampleRate [string trim $guiPPsmoothSubSampleRate]
  set useThr $guiPPsmoothUseThresholding
  set keepPoints $guiPPsmoothThreshKeepPointAnyway

  if {[string trim $pathId] == ""} {
   tk_messageBox -title "Must specify a Path ID"  -type ok -message "Must specify a Path ID before selecting points!"
   return
  }

  if { [string trim $targetID] == "" } {
    set answer [tk_messageBox -title "No New ID Specified"  -type yesno -message "You did not specify a new Path ID. Do you wish to overwrite the Path ID: $pathId? This cannot be undone."]
    switch -- $answer {
      no return
      yes {set targetID $pathId}
    }
  }

  # create a list of points from the current path
  set pts {}
  for {set i 0} {$i < $maxnum} {incr i} {
     lappend pts $gPathPoints($pathId,$i)
  }

  # check for auto-sample rate here
  if {$sampleRate == "" || $sampleRate == "0"} {
    # hard code for now
    if {[llength $pts] > 250} {
       set sampleRate 10
    } elseif {[llength $pts] > 100} {
       set sampleRate 5
    } else {
       set sampleRate 3
    }
  }

  if {$useThr == 1} {

    # get threshold value
    global guiPPchooserGuessThrValue
    set thresholdValue $guiPPchooserGuessThrValue
    if {$thresholdValue <= 0} {
      return -code error "ERROR:  Threshold ($thresholdValue) must be > 0."
    }

    return -code "ERROR:  Using threshold to smooth path currently disabled.  Contact support."

    # hard coded number of spline points
    set numTmpSplinePts [expr int([llength $pts]/1.5)]

    # create a vtk object containing the original points
    set reppd /tmp/fix_path/pd
    catch {repos_delete -obj $reppd}
    geom_mkPtsPd $pts $reppd

    set flag 0

    # remove tmp files
    catch {file delete tmp-fix_path.path}
    catch {file delete tmp-again-fix_path.path}

    # spline points and create a tmp pathplan file
    geom_splinePtsToPathPlan -src $reppd -file tmp-fix_path.path  -numOutputPts $numTmpSplinePts  -flag $flag

    # get around bug in spline code
    exec sed "s/#IND//g" tmp-fix_path.path > tmp-again-fix_path.path

    # read in the pathplan file
    set fp [open "tmp-again-fix_path.path" "r"]
    set viewcnt [path_JumpToViewcounts $fp]
    set path [path_ReadOnePath $fp $viewcnt]
    close $fp

    # returns an un-oriented threshold
    global gOptions
    set ext $gOptions(resliceDims)

    # the volume data set
    #global gImageFoo
    #set src $gImageFoo(conv)
    set src volume_image

    # get the image slice
    set baseName /tmp/fix_path
    set rtnImg $baseName/mag
    set rtnPot $baseName/pot
    set thr $baseName/thr
    set thr_unclean $baseName/thr/unclean
    set picked $baseName/thr/selected
    set oriented $baseName/thr/oriented

    #  find new points
    set pts {}

    # set first point
    set posId 0
    array set items [lindex $path $posId]
    set pos [TupleToList $items(p)]
    set nrm [TupleToList $items(t)]
    set xhat [TupleToList $items(tx)]
    lappend pts $pos

    for {set posId $sampleRate} {$posId < $numTmpSplinePts} {incr posId $sampleRate} {
      catch {repos_delete -obj $rtnImg}
      catch {repos_delete -obj $rtnPot}
      catch {repos_delete -obj $thr}
      catch {repos_delete -obj $thr_unclean}
      catch {repos_delete -obj $picked}
      catch {repos_delete -obj $oriented}

      array set items [lindex $path $posId]
      set pos [TupleToList $items(p)]
      set nrm [TupleToList $items(t)]
      set xhat [TupleToList $items(tx)]

      img_getSliceAtPathPoint $src $path $posId $ext $rtnImg $rtnPot

      set img [repos_exportToVtk -src $rtnImg]
      repos_importVtkPd -src [img_contour $img $thresholdValue]  -dst $thr_unclean
      geom_mergePts -src $thr_unclean -dst $thr -tol 0.001
      if [catch {geom_pick -result $picked -obj $thr -pos {0 0 0}} msg] {
  if {$keepPoints == 0} {
          puts "Did not find closed boundary for pt ($pos).  ($msg)"
  } else {
          lappend pts $pos
  }
      } else {
        geom_orientProfile -src $picked -path_pos $pos -path_tan $nrm -path_xhat $xhat -dst $oriented
        lappend pts [geom_avgPt -obj $oriented]
      }
    }

    # add last point
    set posId end
    array set items [lindex $path $posId]
    set pos [TupleToList $items(p)]
    set nrm [TupleToList $items(t)]
    set xhat [TupleToList $items(tx)]
    lappend pts $pos

  } else {

    # only subsample

    set spts {}

    # set first point
    lappend spts [lindex $pts 0]

    for {set posId $sampleRate} {$posId < [llength $pts]} {incr posId $sampleRate} {
          lappend spts [lindex $pts $posId]
    }

    # add last point
    lappend spts [lindex $pts end]

    set pts $spts

  }

  # do fourier smoothing of the path if requested
  global guiPPsmoothUseFourierSmooth
  global guiPPsmoothNumFourierModes
  set numModes $guiPPsmoothNumFourierModes
  if { $numModes < 2} {
    tk_messageBox -title "Not Enough Modes"  -type ok -message "Number of fourier mode must be greater than 1."
   return
  }



  if {$guiPPsmoothUseFourierSmooth == 1} {
     puts "smooth path (using FFT) keeping $numModes modes."
     # create a "periodic" function from the path pts
     set biglist $pts
     for {set i [expr [llength $pts] - 1]} {$i >= 0} {incr i -1} {
       lappend biglist [lindex $pts $i]
     }
     set newpts [math_smoothCurve -pts $biglist -closed 0 -numModes $numModes -numInterpPts [expr 2*[llength $pts]]]
     set pts [lrange $newpts 0 [expr [llength $pts]-1]]
  }


  # update target gPathPoints
  foreach i [array names gPathPoints $targetID,*] {
    unset gPathPoints($i)
  }
  for {set i 0} {$i < [llength $pts]} {incr i} {
     set gPathPoints($targetID,$i) [lindex $pts $i]
  }

  # preserve name and number of spline points if it exists
  set gPathPoints($targetID,name) $name

  set gPathPoints($targetID,splinePts) {}
  set gPathPoints($targetID,numSplinePts) $numSplinePts
  guiPPchooserSplinePts $targetID

  guiSV_path_update_tree
  set tv $symbolicName(guiSV_path_tree)
  $tv see .paths.all.$targetID
  $tv selection set .paths.all.$targetID
}


# Procedure: guiPPsmoothUpdateBinaryDisplay
proc guiPPsmoothUpdateBinaryDisplay {} {

  global guiPPsmoothShowBox
  global guiPPsmoothCenterBoxBy
  global guiPPsmoothVoxelSize
  global guiPPsmoothResampleVolume
  global guiPPsmoothShowContour
  global gRen3d
  global guiPPchooserMinGuessX
  global guiPPchooserMaxGuessX
  global guiPPchooserMinGuessY
  global guiPPchooserMaxGuessY
  global guiPPchooserMinGuessZ
  global guiPPchooserMaxGuessZ
  global guiPPchooserXvar
  global guiPPchooserYvar
  global guiPPchooserZvar
  global guiPPsmoothBoxCenter
  global guiPPsmoothVolRenderFlag
  global guiPPsmoothShowPointCloud

  set resample $guiPPsmoothResampleVolume
  set centerBy $guiPPsmoothCenterBoxBy
  set showBox $guiPPsmoothShowBox
  set size $guiPPsmoothVoxelSize
  set showContour $guiPPsmoothShowContour
  set showVolRender $guiPPsmoothVolRenderFlag
  set showCloud $guiPPsmoothShowPointCloud

  set box /tmp/guiPPsmooth/box
  set boxpd /tmp/guiPPsmooth/box/pd
  set contourpd /tmp/guiPPsmooth/contour/pd
  set cloud /tmp/guiPPsmooth/cloud/pd

  if {$resample == 0} {
     catch {repos_delete -obj $box}
     catch {repos_delete -obj $boxpd}
     catch {vis_pRm $gRen3d $boxpd}
     return
  }


  # show the box if desired
  if {$showBox == 1} {
     catch {repos_delete -obj $box}
     catch {repos_delete -obj $boxpd}
     catch {vis_pRm $gRen3d $boxpd}
     if {$centerBy == "cursor"} {
       set orgctr [list $guiPPchooserXvar $guiPPchooserYvar $guiPPchooserZvar]
     } elseif {$centerBy == "bbox"} {
       if {[info exists guiPPsmoothBoxCenter] == 0} {
          guiPPsmoothAutoSizeBox
          # ugly, but autosizebox calls this proc
          return
       }
       set orgctr $guiPPsmoothBoxCenter
     } else {
       return -code error "ERROR:  Illegal centerBy code."
     }
     # the user specified center does not correspond to the real center
     # of the box if the user has not specified a box centered around 0,0
     set llx [expr [lindex $orgctr 0] + $guiPPchooserMinGuessX * $size]
     set lly [expr [lindex $orgctr 1] + $guiPPchooserMinGuessY * $size]
     set llz [expr [lindex $orgctr 2] + $guiPPchooserMinGuessZ * $size]
     set urx [expr [lindex $orgctr 0] + $guiPPchooserMaxGuessX * $size]
     set ury [expr [lindex $orgctr 1] + $guiPPchooserMaxGuessY * $size]
     set urz [expr [lindex $orgctr 2] + $guiPPchooserMaxGuessZ * $size]

     set ctr [list [expr ($llx+$urx)/2.0]  [expr ($lly+$ury)/2.0]  [expr ($llz+$urz)/2.0]]

     set dx [expr $size*abs($guiPPchooserMaxGuessX-$guiPPchooserMinGuessX)]
     set dy [expr $size*abs($guiPPchooserMaxGuessY-$guiPPchooserMinGuessY)]
     set dz [expr $size*abs($guiPPchooserMaxGuessZ-$guiPPchooserMinGuessZ)]
     #puts "$dx $dy $dz"

     solid_box3d -result $box -dims [list $dx $dy $dz] -ctr $ctr
     $box GetPolyData -result $boxpd
     repos_setLabel -obj $boxpd -key opacity -value 0.33
     repos_setLabel -obj $boxpd -key color -value yellow
     generalView $gRen3d $boxpd
  } else {
     catch {repos_delete -obj $box}
     catch {repos_delete -obj $boxpd}
     catch {vis_pRm $gRen3d $boxpd}
  }

  # show the contour if desired
  # Create the sampled image if its needed.  In an ideal
  # world we would only regenerate the sampled image
  # if required, but in typical brute force fashion
  # I'll do it every time.

  if {$showContour == 1 || $showVolRender == 1 || $showCloud == 1} {

    set imgobj resampled_image

    if {$centerBy == "cursor"} {
       set orgctr [list $guiPPchooserXvar $guiPPchooserYvar $guiPPchooserZvar]
    } elseif {$centerBy == "bbox"} {
       if {[info exists guiPPsmoothBoxCenter] == 0} {
          guiPPsmoothAutoSizeBox
          # ugly but autosizebox calls this proc
          return
       }
       set orgctr $guiPPsmoothBoxCenter
    } else {
       return -code error "ERROR:  Illegal centerBy code."
    }
    # the user specified center does not correspond to the real center
    # of the box if the user has not specified a box centered around 0,0
    set llx [expr [lindex $orgctr 0] + $guiPPchooserMinGuessX * $size]
    set lly [expr [lindex $orgctr 1] + $guiPPchooserMinGuessY * $size]
    set llz [expr [lindex $orgctr 2] + $guiPPchooserMinGuessZ * $size]
    set urx [expr [lindex $orgctr 0] + $guiPPchooserMaxGuessX * $size]
    set ury [expr [lindex $orgctr 1] + $guiPPchooserMaxGuessY * $size]
    set urz [expr [lindex $orgctr 2] + $guiPPchooserMaxGuessZ * $size]

    set ctr [list [expr ($llx+$urx)/2.0]  [expr ($lly+$ury)/2.0]  [expr ($llz+$urz)/2.0]]

    set dx [expr abs($guiPPchooserMaxGuessX-$guiPPchooserMinGuessX)]
    set dy [expr abs($guiPPchooserMaxGuessY-$guiPPchooserMinGuessY)]
    set dz [expr abs($guiPPchooserMaxGuessZ-$guiPPchooserMinGuessZ)]

    # our resampled image has a new origin
    set org_x $llx
    set org_y $lly
    set org_z $llz
    set vdims_x $size
    set vdims_y $size
    set vdims_z $size
    set voi_x0 0
    set voi_y0 0
    set voi_z0 0
    puts "extent $dx $dy $dz"

    puts "create resampled image"
    set rs tmp-guiPPchooserAutoPath
    catch {$rs Delete}
    vtkImageReslice $rs
    $rs SetInputDataObject [repos_exportToVtk -src volume_image]
    $rs SetInterpolationModeToLinear
    $rs SetOutputOrigin $org_x $org_y $org_z
    $rs SetOutputExtent 0 $dx 0 $dy 0 $dz
    $rs SetOutputSpacing $vdims_x $vdims_y $vdims_z
    $rs Update

    catch {repos_delete -obj $imgobj}
    repos_importVtkImg -src [$rs GetOutput] -dst $imgobj
    $rs Delete

  }

  # show the contour if desired
  if {$showContour == 1} {
    catch {repos_delete -obj $contourpd}
    catch {vis_lodRm $gRen3d $contourpd}
    global guiPPchooserGuessThrValue
    set thresholdValue $guiPPchooserGuessThrValue
    if {$thresholdValue <= 0} {
      return -code error "ERROR:  Threshold value must be > 0!"
    }
    set c [img_contour [repos_exportToVtk -src $imgobj] $thresholdValue]
    repos_importVtkPd -src $c -dst $contourpd
    vis_lodRepos $gRen3d $contourpd
    vis_lodSetColor $gRen3d $contourpd 0 1 0
    vis_lodSetOpacity $gRen3d $contourpd 0.66
  } else {
    catch {repos_delete -obj $contourpd}
    catch {vis_lodRm $gRen3d $contourpd}
  }

  # show threshold if desired
  if {$showCloud == 1} {
    catch {repos_delete -obj $cloud}
    catch {vis_pRm $gRen3d $cloud}
    global guiPPchooserGuessThrValue
    set thresholdValue $guiPPchooserGuessThrValue
    if {$thresholdValue <= 0} {
      return -code error "ERROR:  Threshold value must be > 0!"
    }
    global guiPPchooserGuessThrValueMax
    set thrMax $guiPPchooserGuessThrValueMax
    img_threshold -result $cloud -image $imgobj  -min_value $thresholdValue -max_value $thrMax  -max_num_pts 2000000
    set numthrpts [geom_numPts -obj $cloud]
    if {$numthrpts > 2000000} {
       tk_messageBox -message "Your requested point cloud is to large to be properly displayed.  Please change your threshold values." -icon error
    }
    vis_pRepos $gRen3d $cloud
  } else {
    catch {repos_delete -obj $cloud}
    catch {vis_pRm $gRen3d $cloud}
  }

  # do some volume rendering if desired
  set imgobj resampled_image
  if {$showVolRender == 1} {
    catch {vis_volRm $gRen3d $imgobj}
    vis_volRepos $gRen3d $imgobj
    global guiPPsmoothOpacityFunction
    global guiPPsmoothColorFunction
    global guiPPsmoothGradientFunction
    vis_volSetOpacityTransferFunction $gRen3d $imgobj $guiPPsmoothOpacityFunction
    vis_volSetColorTransferFunction $gRen3d $imgobj $guiPPsmoothColorFunction
    vis_volSetGradientTransferFunction $gRen3d $imgobj $guiPPsmoothGradientFunction
  } else {
    catch {vis_volRm $gRen3d $imgobj}
  }
}


# Procedure: guiPPtracePickedAssembly
proc guiPPtracePickedAssembly { name1 name2 op} {

  global PickedAssembly

  # if not a point do nothing
  if {[regexp "/tmp/pathplan/box/pd" $PickedAssembly] == 0} {
    return
  }

  set pieces [split $PickedAssembly /]
  global symbolicName
  set tv $symbolicName(guiSV_path_tree)
  $tv see .paths.all.[lindex $pieces end-1].[lindex $pieces end]
  $tv selection set .paths.all.[lindex $pieces end-1].[lindex $pieces end]
}


# Procedure: guiPPtracePlusMinus
proc guiPPtracePlusMinus { name1 name2 op} {

  global gPlusMinus

  if {$gPlusMinus == 0} {
    return
  }

  # if image slices arent displayed, do nothing
  global guiPPchooserSplineInteractorFlag
  set flag $guiPPchooserSplineInteractorFlag
  if {$flag != 2} {
    set gPlusMinus 0
    return
  }

  global symbolicName
  global guiPPimageSplineWidgetDisplayedSlice
  global guiPPchooserNumHandles
  global gInteractorRen
  global gRen3d

  if {$gPlusMinus > 0} {
    incr guiPPimageSplineWidgetDisplayedSlice 1
  } else {
    incr guiPPimageSplineWidgetDisplayedSlice -1
  }
  if {$guiPPimageSplineWidgetDisplayedSlice < 0} {
    set guiPPimageSplineWidgetDisplayedSlice 0
    return
  }
  if {$guiPPimageSplineWidgetDisplayedSlice == $guiPPchooserNumHandles} {
    set guiPPimageSplineWidgetDisplayedSlice [expr $guiPPchooserNumHandles  - 1]
    return
  }


  global guiPPchooserSplineInteractorFlag
  set flag $guiPPchooserSplineInteractorFlag
  if {$flag == 1} {
    set pts [vis_splineWidgetGetPts $gInteractorRen guiPP]
  } else {
    set pts [vis_splineImageWidgetGetPts $gInteractorRen guiPP]
  }

  vis_splineImageWidgetSetShowIds $gRen3d guiPP $guiPPimageSplineWidgetDisplayedSlice
  vis_splineImageWidgetCalcSlices $gRen3d guiPP $pts 1

  set gPlusMinus 0
}


# Procedure: guiPREOPupdateImageDataType
proc guiPREOPupdateImageDataType {} {
   global gOptions
   if {$gOptions(image_data_type) == "GE_MR_5X"} {
     alias img2_readSliceROI img2_readSliceROI_5X
     alias img2_readSlice    img2_readSlice_5X
     alias img_readHeader    img_readHeader_5X
     alias img_readSliceROI  img_readSliceROI_5X
     alias img_readSlice     img_readSlice_5X
   } elseif {$gOptions(image_data_type) == "GE_MR_DICOM"} {
     alias img2_readSliceROI dcm_img2_readSliceROI
     alias img2_readSlice    dcm_img2_readSlice
     alias img_readHeader    dcm_img_readHeader
     alias img_readSliceROI  dcm_img_readSliceROI
     alias img_readSlice     dcm_img_readSlice
   } elseif {$gOptions(image_data_type) == "DICOM"} {
     alias img2_readSliceROI dcm_img2_readSliceROI
     alias img2_readSlice    dcm_img2_readSlice
     alias img_readHeader    dcm_img_readHeader
     alias img_readSliceROI  dcm_img_readSliceROI
     alias img_readSlice     dcm_img_readSlice
   }
}


# Procedure: guiRESULTS3DsetColor
proc guiRESULTS3DsetColor { side type} {

  global guiRESULTSvars
  global gRen3d
  global gRenWin_3D_vars

  set obj $guiRESULTSvars($side\_selected_solid_model)
  set show $guiRESULTSvars($side\_show)
  set opacity $guiRESULTSvars($side\_opacity_scale_value)
  set color $guiRESULTSvars($side\_color)

  set  color [tk_chooseColor]
  if {$color == ""} return
  set r [expr (0x[string range $color 1 2])/255.0]
  set g [expr (0x[string range $color 3 4])/255.0]
  set b [expr (0x[string range $color 5 6])/255.0]

  set guiRESULTSvars($side\_color) [list $r $g $b]

  set guiRESULTSvars(visopts_solid_$obj) [list show $show opacity $opacity r $r g $g b $b]

  set useLOD $gRenWin_3D_vars(solid_use_LOD)

  if {$show == 1} {
    catch {vis_lodSetColor $gRen3d $obj $r $g $b}
    catch {[[vis_pGetActor $gRen3d $obj] GetProperty] SetColor $r $g $b}
    catch {vis_render $gRen3d}
  }
}


# Procedure: guiRESULTS3DsetOpacity
proc guiRESULTS3DsetOpacity { side type opacity} {

  global guiRESULTSvars
  global gRen3d

  set obj $guiRESULTSvars($side\_selected_solid_model)
  set show $guiRESULTSvars($side\_show)
  #set opacity $guiRESULTSvars($side\_opacity_scale_value)
  set color $guiRESULTSvars($side\_color)

  set guiRESULTSvars(visopts_solid_$obj) [list show $show opacity $opacity r [lindex $color 0] g [lindex $color 1] b [lindex $color 2]]

  if {$show == 1} {
    catch {vis_lodSetOpacity $gRen3d $obj $opacity}
    catch {[[vis_pGetActor $gRen3d $obj] GetProperty] SetOpacity $opacity}
    catch {vis_render $gRen3d}
  }
}


# Procedure: guiRESULTS3Dshow
proc guiRESULTS3Dshow { side type} {

  global guiRESULTSvars
  global gRenWin_3D_vars
  global gRen3d
  global gOptions

  set useLOD $gRenWin_3D_vars(solid_use_LOD)

  set obj $guiRESULTSvars($side\_selected_solid_model)
  set show $guiRESULTSvars($side\_show)
  set opacity $guiRESULTSvars($side\_opacity_scale_value)
  set color $guiRESULTSvars($side\_color)

  if {$type == "results"} {
    foreach i [repos_subList results_vtkobj_*] {
      catch {vis_lodRm $gRen3d $i}
      catch {vis_pRm $gRen3d $i}
    }

    # map string to plot name
    set selected_3D_name $guiRESULTSvars($side\_3D_selected)
    set solid $guiRESULTSvars($side\_selected_solid_model)

    if {$selected_3D_name == "None" || $solid == "None"} {
      # clear and return
      set guiRESULTSvars($side\_3D_displayed) None
      return
    } else {
      set guiRESULTSvars($side\_3D_displayed) None
      set selected_3D_index [lsearch $guiRESULTSvars(3D_names_$solid) $selected_3D_name]
      if {$selected_3D_index < 0} {
        return -code error "ERROR: could not find 3D result for solid name!"
      }

      set showmeobj [lindex $guiRESULTSvars(3D_objs_$solid) $selected_3D_index]
      set srange [lindex $guiRESULTSvars(3D_scalar_ranges_$solid) $selected_3D_index]
      set guiRESULTSvars($side\_3D_displayed) $showmeobj
    }
    if {$useLOD == 1} {
       vis_lodRepos $gRen3d $showmeobj
       #vis_lodSetOpacity $gRen3d $obj $opacity
       #vis_lodSetColor $gRen3d $obj [lindex $color 0] [lindex $color 1] [lindex $color 2]
    } else {
       set p [vis_pRepos $gRen3d $showmeobj]
       #set p [vis_pRepos $g $vtkObj]
       [$p GetMapper] ScalarVisibilityOn
       [$p GetMapper] SetLookupTable gBlueToRedLUT
       #set range [[[[[$p GetMapper] GetInput] GetPointData] GetScalars] GetRange]
       [$p GetMapper] SetScalarRange [lindex $srange 0] [lindex $srange 1]
       vis_render $gRen3d
    }
    return
  }

  set guiRESULTSvars(visopts_solid_$obj) [list show $show opacity $opacity r [lindex $color 0] g [lindex $color 1] b [lindex $color 2]]

  if {$obj == "None"} return

  if {$show == 0} {
    catch {vis_lodRm $gRen3d $obj}
    catch {vis_pRm $gRen3d $obj}
  } else {
    if {$useLOD == 1} {
       vis_lodRepos $gRen3d $obj
       vis_lodSetOpacity $gRen3d $obj $opacity
       vis_lodSetColor $gRen3d $obj [lindex $color 0] [lindex $color 1] [lindex $color 2]
    } else {
       vis_pRepos $gRen3d $obj
       [[vis_pGetActor $gRen3d $obj] GetProperty] SetOpacity $opacity
       [[vis_pGetActor $gRen3d $obj] GetProperty] SetColor [lindex $color 0] [lindex $color 1] [lindex $color 2]
    }
  }
  catch {vis_render $gRen3d}
}


# Procedure: guiRESULTSbuttonMotion
proc guiRESULTSbuttonMotion {} {
  global guiRESULTSvars
  if {$guiRESULTSvars(user_resizing_pics) == 0} return
  #puts "button motion"
  guiRESULTSupdateLabelImage left 1
  guiRESULTSupdateLabelImage right 1
}


# Procedure: guiRESULTSbuttonPress
proc guiRESULTSbuttonPress {} {
  global guiRESULTSvars
  set guiRESULTSvars(user_resizing_pics) 1
  #puts "press button"
}


# Procedure: guiRESULTSbuttonRelease
proc guiRESULTSbuttonRelease {} {
  global guiRESULTSvars
  set guiRESULTSvars(user_resizing_pics) 0
  #puts "release button"
}


# Procedure: guiRESULTSconfigureEvent
proc guiRESULTSconfigureEvent { h w} {
  global guiCVwmHeight
  global guiCVwmWidth
  if {$h == $guiCVwmHeight && $w == $guiCVwmWidth} return
  set guiCVwmHeight $h
  set guiCVwmWidth $w
  guiRESULTSupdateLabelImage left 1
  guiRESULTSupdateLabelImage right 1
}


# Procedure: guiRESULTSselectModel
proc guiRESULTSselectModel { side type} {

  # type is always model, currently ignored

  puts "selectModel $side $type"
  global guiRESULTSvars

  # map string to solid obj
  set selected_model_name $guiRESULTSvars($side\_model_selected)
  if {$selected_model_name == "None"} {
    set selected_model None
  } else {
    set selected_model_index [lsearch $guiRESULTSvars(solid_names) $selected_model_name]
    if {$selected_model_index < 0} {
      return -code error "ERROR: could not find solid obj for solid name!"
    }
    set selected_model [lindex $guiRESULTSvars(solid_objs) $selected_model_index]
  }

  array set visopts $guiRESULTSvars(visopts_solid_$selected_model)
  set guiRESULTSvars($side\_show) $visopts(show)
  set guiRESULTSvars($side\_opacity_scale_value) $visopts(opacity)
  set guiRESULTSvars($side\_color) [list $visopts(r) $visopts(g) $visopts(b)]
  set guiRESULTSvars($side\_selected_solid_model) $selected_model

  guiRESULTSupdatePlotsMenu $side
  guiRESULTSupdate3DMenu $side

  return
}


# Procedure: guiRESULTSselectPlots
proc guiRESULTSselectPlots { side} {
  global guiRESULTSvars

  # map string to plot name
  set selected_plot_name $guiRESULTSvars($side\_plot_selected)
  set solid $guiRESULTSvars($side\_selected_solid_model)

  if {$selected_plot_name == "None"} {
    # clear and return
    set guiRESULTSvars($side\_plot_photo) None
  } else {
    set guiRESULTSvars($side\_plot_photo) None
    set selected_plot_index [lsearch $guiRESULTSvars(plot_names_$solid) $selected_plot_name]
    if {$selected_plot_index < 0} {
      return -code error "ERROR: could not find plot photo for solid name!"
    }
    set guiRESULTSvars($side\_plot_photo) [lindex $guiRESULTSvars(plot_objs_$solid) $selected_plot_index]
  }

  guiRESULTSupdateLabelImage $side 0

  global symbolicName
  set leftsize [winfo width [lindex [$symbolicName(results_tab_pics_panedwindow) panes] 0]]
  set rightsize [winfo width [lindex [$symbolicName(results_tab_pics_panedwindow) panes] 1]]

  if {$side == "left" && $leftsize < 50} {
    $symbolicName(results_tab_pics_panedwindow) sashpos 0 [expr ($leftsize+$rightsize)/2]
  } elseif {$side == "right" && $rightsize < 50} {
    $symbolicName(results_tab_pics_panedwindow) sashpos 0 [expr ($leftsize+$rightsize)/2]
  }

  return
}


# Procedure: guiRESULTSupdate3DMenu
proc guiRESULTSupdate3DMenu { side} {

  global symbolicName
  global guiRESULTSvars
  set themenu $symbolicName(results_tab_$side\_3D_menu).m
  set solid $guiRESULTSvars($side\_selected_solid_model)
  $themenu delete 0 end
  $themenu add radiobutton  -value None  -variable guiRESULTSvars($side\_3D_selected)  -command "guiRESULTS3Dshow $side results"  -label None

  if {$solid == "None"} return

  foreach name $guiRESULTSvars(3D_names_$solid) {
    $themenu add radiobutton  -value $name  -variable guiRESULTSvars($side\_3D_selected)  -command "guiRESULTS3Dshow $side results"  -label $name
  }

  return
}


# Procedure: guiRESULTSupdateLabelImage
proc guiRESULTSupdateLabelImage { side resizeOnly} {

  global symbolicName
  global guiRESULTSvars

  set myframe $symbolicName(results_tab_pic_$side\_frame)
  set height [winfo height $myframe]
  set width [winfo width $myframe]

  if {$resizeOnly == 1} {
    if {($guiRESULTSvars($side\_pic_frame_height) == $height) && ($guiRESULTSvars($side\_pic_frame_width) == $width)} {
       return
    }
    set guiRESULTSvars($side\_pic_frame_height) $height
    set guiRESULTSvars($side\_pic_frame_width) $width
  }

  set myphoto $guiRESULTSvars($side\_plot_photo)
  set mylabel $symbolicName(results_tab_pic_$side)

  if {$myphoto == "None"} {
      $mylabel configure -image {}
      return
  }

  set picname $side\_resized_pic_$myphoto

  catch {image delete $picname}
  image create photo $picname
  $picname copy $myphoto
  ::CxImage::Resize $picname $width $height

  $mylabel configure -image $picname
}


# Procedure: guiRESULTSupdatePlotsMenu
proc guiRESULTSupdatePlotsMenu { side} {

  global symbolicName
  global guiRESULTSvars
  set themenu $symbolicName(results_tab_$side\_plots_menu).m
  set solid $guiRESULTSvars($side\_selected_solid_model)
  $themenu delete 0 end
  $themenu add radiobutton  -value None  -variable guiRESULTSvars($side\_plot_selected)  -command "guiRESULTSselectPlots $side"  -label None

  if {$solid == "None"} return

  foreach name $guiRESULTSvars(plot_names_$solid) {
    $themenu add radiobutton  -value $name  -variable guiRESULTSvars($side\_plot_selected)  -command "guiRESULTSselectPlots $side"  -label $name
  }

  return
}


# Procedure: guiRUNSOLVER_processFlowHistDat_file
proc guiRUNSOLVER_processFlowHistDat_file { infn cvprefn solverinpfn period numStepsPerCycle outfn} {

  set timestep [expr 1.0*$period/$numStepsPerCycle]

  catch {unset mapping}
  set faces {}

  set solverfp [open $solverinpfn r]
  while {[gets $solverfp line] >= 0} {
    if {$line == ""} continue
    if {[string index $line 0] == "\#"} continue
    if [regexp -nocase "List of Output Surfaces" $line] {
      set firstindex [expr [string first ":" $line] + 1]
      set lastindex [expr [string first "#" $line] - 1]
      if {$lastindex < 0} {
       set lastindex end
      }
      set outids [string range $line $firstindex $lastindex]
      break
    }
  }
  close $solverfp

  set facefp [open $cvprefn r]
  while {[gets $facefp line] >= 0} {
    if {$line == ""} continue
    if {[string index $line 0] == "\#"} continue
    if [regexp -nocase set_surface_id $line] {
      set mapping([lindex $line 2]) [file rootname [file rootname [file tail [lindex $line 1]]]]
      if {[lindex $line 2] == "1"} continue
      lappend faces [file rootname [file rootname [file tail [lindex $line 1]]]]
    }
  }
  close $facefp

  set ordered_faces {}
  foreach i $outids {
    lappend ordered_faces $mapping($i)
  }

  set numFaces [llength $ordered_faces]
  puts "found ($numFaces) faces!"

  if {[llength $faces] != $numFaces} {
    puts "Warning: num faces ($numFaces) may not equal to those in cvpre file ([llength $faces])!"
  }

  set outfp [open $outfn w]
  puts -nonewline $outfp "step\ttime\t"
  foreach face $ordered_faces {
    puts -nonewline $outfp "$face\t"
  }
  puts $outfp ""

  set fp [open $infn r]
  set everything [read -nonewline $fp]
  close $fp

  set numSteps [lindex $everything 0]

  puts "numSteps: $numSteps"

  set maxLength [llength $everything]

  set firstIndex 1
  for {set i 0} {$i < $numSteps} {incr i} {
    set firstIndex [expr 1 + $i*$numFaces]
    set lastIndex [expr ($i+1)*$numFaces]
    if {$firstIndex >= $maxLength || $lastIndex >= $maxLength} {
      puts "incomplete line ($i, $firstIndex, $lastIndex)"
      break
    }
    set step_res [lrange $everything $firstIndex $lastIndex]
    puts -nonewline $outfp "$i\t[expr $i%$numStepsPerCycle*$timestep]\t"
    for {set j 0} {$j < $numFaces} {incr j} {
      puts -nonewline $outfp "[lindex $step_res $j]\t"
    }
    puts $outfp ""
  }
  close $outfp
}


# Procedure: guiRUNSOLVERcreateOutputSurfacesFile
proc guiRUNSOLVERcreateOutputSurfacesFile {} {

  global guiRUNSOLVERvars

  set infn        $guiRUNSOLVERvars(hist_dat_file)
  set cvprefn     $guiRUNSOLVERvars(cvpre_file)
  set solverinpfn $guiRUNSOLVERvars(solver_inp_file)
  set period      $guiRUNSOLVERvars(period)
  set numStepsPerCycle  $guiRUNSOLVERvars(num_steps_per_cycle)
  set outfn       $guiRUNSOLVERvars(plot_output_file)

  guiRUNSOLVER_processFlowHistDat_file $infn $cvprefn $solverinpfn $period $numStepsPerCycle $outfn

  return
}


# Procedure: guiRUNSOLVERhandle
proc guiRUNSOLVERhandle { args} {
    puts -nonewline [ set [ lindex $args 0 ] ]
}


# Procedure: guiRUNSOLVERlaunchSolver
proc guiRUNSOLVERlaunchSolver { system} {

  global guiRUNSOLVERvars
  global tcl_platform

  set user $guiRUNSOLVERvars(user)

  set num_procs 0
  set num_hosts 0

  if {$system == "no_mpi"} {

    set num_procs 1
    set num_hosts 1

  } elseif {$system == "localhost"} {

    #
    #  localhost
    #

    set num_procs $guiRUNSOLVERvars(num_procs_localhost)
    if {$num_procs == 0} {
      return -code error "ERROR:  No procs ($num_procs)"
    }

    if {$tcl_platform(platform) == "windows"} {
      set hosts {}
    } else {
	set hosts "-localonly"
    }

  } elseif {$system == "osmsc"} {

    #
    # osmsc setup
    #

    set n2 $guiRUNSOLVERvars(num_procs_osmsc02)
    set n4 $guiRUNSOLVERvars(num_procs_osmsc04)

    set num_procs [expr $n2 + $n4 ]

    if {$n2 > 0} {
      incr num_hosts
    }
    if {$n4 > 0} {
      incr num_hosts
    }

    if {$num_procs == 0} {
      return -code error "ERROR:  No procs ($num_procs)"
    }

    set hosts "-hosts $num_hosts"

    if {$n2 > 0} {
     set hosts "$hosts 192.168.1.242 $n2"
    }

    if {$n4 > 0} {
     set hosts "$hosts 192.168.1.241 $n4"
    }

  } elseif {$system == "msu"} {

    set host_ip_pairs [list  [list cvtm01 35.9.139.56]  [list cvtm02 35.9.139.57]  [list cvtm03 35.9.139.62]  [list cvtm04 35.9.139.67]  [list cvtm05 35.9.139.73]]

    foreach i $host_ip_pairs {
      set h  [lindex $i 0]
      set ip [lindex $i 1]
      set n $guiRUNSOLVERvars(num_procs_$h)
      if {$n != 0} {
        set num_procs [expr $num_procs + $n]
        set useip($ip) $n
        incr num_hosts
      }
    }

    if {$num_hosts == 0 || $num_procs == 0} {
      return -code error "ERROR:  No hosts or procs ($num_hosts,$num_procs)"
    }

    set hosts "-hosts $num_hosts"

    if {$user == "zambran2"} {
      set personal_ip 35.9.139.57
    } elseif {$user == "nwilson"} {
      set personal_ip 35.9.139.57
    } elseif {$user == "gharahih"} {
      set personal_ip 35.9.139.57
    } elseif {$user == "labuser"} {
      set personal_ip 35.9.139.57
    } else {
      return -code error "INVALID user ($user)!"
    }

    # make sure master runs on users machine if possible
    if [info exists useip($personal_ip)] {
      set hosts "$hosts $personal_ip $useip($personal_ip)"
      unset useip($personal_ip)
    }

    # order ip addresses lowest to highest
    foreach i [lsort -dictionary [array names useip]] {
      set hosts "$hosts $i $useip($i)"
    }

  } else {

    return -code error "ERROR: unknown system ($system)."

  }

  set rundir $guiRUNSOLVERvars(init_dir)
  if {![file isdirectory $rundir]} {
   return -code error "ERROR:  Run directory does not exist ($rundir)!\n"
  }

  set fullrundir $rundir

  if {$guiRUNSOLVERvars(rundir_add_date)} {
     set fullrundir [file join $rundir [clock format [clock seconds] -format "%m-%d-%Y-%H%M%S"]]
     file mkdir $fullrundir
      file copy [file join $rundir restart.0.1] $fullrundir
      file copy [file join $rundir geombc.dat.1] $fullrundir
      foreach fn [glob [file join $rundir *.inp]] {
        file copy $fn $fullrundir
      }
      foreach fn [glob [file join $rundir *.dat]] {
        file copy $fn $fullrundir
      }

      #file copy [file join $rundir numstart.dat] $fullrundir

      #if {[file exists [file join $rundir bct.dat]] || [file exists [file join $rundir bct1.dat]]} {
      #  foreach fn [glob [file join $rundir bct*.dat]] {
      #    file copy $fn $fullrundir
      #  }
      #}

      if {[file exists [file join $rundir bct.vtp]] || [file exists [file join $rundir bct1.vtp]]} {
        foreach fn [glob [file join $rundir bct*.vtp]] {
          file copy $fn $fullrundir
        }
      }

  }

  if {$num_procs == 1} {
    set fullsimdir $fullrundir
  } else {
    set fullsimdir [file join $fullrundir $num_procs-procs_case]
  }

  set guiRUNSOLVERvars(fullrundir) $fullrundir
  set guiRUNSOLVERvars(fullsimdir) $fullsimdir

  #
  #  more files needed by solver
  #

  set fp [open [file join $fullrundir numstart.dat] w]
  fconfigure $fp -translation lf
  puts $fp "$guiRUNSOLVERvars(startnum)"
  close $fp

  # need to copy numstart.dat directly into sim directory if we are restarting
  # simulation
  if {$num_procs != 1 && [file isdirectory $fullsimdir]} {
    catch {file delete [file join $fullsimdir numstart.dat]}
    file copy [file join $fullrundir numstart.dat] [file join $fullsimdir numstart.dat]
  }

  # hardcode the file type
  set file_format binary

  #
  #  Run solver.
  #

  puts "Run Solver."

  global gExternalPrograms
  set PRESOLVER     $gExternalPrograms(svpre)
  set POSTSOLVER    $gExternalPrograms(svpost)
  set MPIEXEC       $gExternalPrograms(mpiexec)
  if {$system == "no_mpi"} {
      set SOLVER        $gExternalPrograms(svsolver-nompi)
      set FLOWSOLVER_CONFIG [file dirname $gExternalPrograms(svsolver-nompi)]
  } else {
      set SOLVER        $gExternalPrograms(svsolver-mpi)
      set FLOWSOLVER_CONFIG [file dirname $gExternalPrograms(svsolver-mpi)]
  }

  set stdout_file $guiRUNSOLVERvars(log_dir)

  #
  # use a default if no log dir specified
  #

  if {$stdout_file == ""} {
    set stdout_file "$fullrundir"
  }

  set stdout_file "$stdout_file/$user-stdout_stderr-[clock seconds]"

  # in case log directory doesn't exist
  file mkdir [file dirname $stdout_file]

  set solver_log_file [file join [file dirname $stdout_file] $user-[clock seconds].solver.log.txt]
  set guiRUNSOLVERvars(solver_log_file) $solver_log_file
  set guiRUNSOLVERvars(stdout_file_prefix) $stdout_file
  set 00000_log_file "$guiRUNSOLVERvars(stdout_file_prefix).00000.txt"
  set guiRUNSOLVERvars(00000_log_file) $00000_log_file
  set guiRUNSOLVERvars(histor_dat_file) [file join $fullsimdir histor.dat]

  set fp [open $solver_log_file  w]

  fconfigure $fp -translation lf
  puts $fp "Start running solver...\n\n"

 if {$system == "no_mpi"} {

    set savedpwd [pwd]
    cd $fullrundir
    puts $fp "exec \"$SOLVER\" solver.inp >>& [file join . solver.log] &\n\n"
    set pid [eval exec \"$SOLVER\" solver.inp >>& [file join . solver.log] &]
    cd $savedpwd

  } else {

     set mapcmd ""
   # set map_dir $guiRUNSOLVERvars(map_dir_$system)
   # if {[string trim $map_dir] != ""} {
   #   set mapcmd "-map \"[string trim $map_dir]\""
   # }

    global tcl_platform
    if {$tcl_platform(platform) == "windows"} {
      set npflag "-np"
    } else {
      set npflag "-np"
    }

    puts $fp "exec \"$MPIEXEC\" -wdir \"$fullrundir\" $npflag $num_procs \"$SOLVER\" \"$fullrundir/solver.inp\" \"$stdout_file\" >>& $solver_log_file &\n\n"
    set pid [eval exec \"$MPIEXEC\" -wdir \"$fullrundir\" $npflag $num_procs \"$SOLVER\" \"$fullrundir/solver.inp\" \"$stdout_file\" >>& $solver_log_file &]

  }

  puts $fp "Solver pid ($pid)."
  close $fp
}


# Procedure: guiRUNSOLVERsetFileName
proc guiRUNSOLVERsetFileName { filename extension} {

  global guiRUNSOLVERvars

  #set mydir [tk_getOpenFile -title "Select File"  -initialfile $guiRUNSOLVERvars($filename) -filetypes [list $filename *.*]]
  set myfile [tk_getOpenFile -title "Select File" -filetypes [list [list $extension $extension] [list "All Files" *]]]

  if {$myfile != ""} {
     set guiRUNSOLVERvars($filename) $myfile
  }
}


# Procedure: guiRUNSOLVERsetInitDir
proc guiRUNSOLVERsetInitDir {} {

  global guiRUNSOLVERvars

  if {![file isdirectory $guiRUNSOLVERvars(init_dir)]} {
      set guiRUNSOLVERvars(init_dir) [pwd]
  }

  set mydir [tk_chooseDirectory -mustexist 1 -title "Select Solver Run Directory"  -initialdir $guiRUNSOLVERvars(init_dir)]

  if {$mydir != ""} {
     set guiRUNSOLVERvars(init_dir) $mydir
  }
}


# Procedure: guiRUNSOLVERsetLogDir
proc guiRUNSOLVERsetLogDir {} {

  global guiRUNSOLVERvars

  if {![file isdirectory $guiRUNSOLVERvars(log_dir)]} {
      set guiRUNSOLVERvars(log_dir) [pwd]
  }

  set mydir [tk_chooseDirectory -mustexist 1 -title "Select Log Directory"  -initialdir $guiRUNSOLVERvars(log_dir)]

  if {$mydir != ""} {
     set guiRUNSOLVERvars(log_dir) $mydir
  }
}


# Procedure: guiRUNSOLVERsetOutputFileName
proc guiRUNSOLVERsetOutputFileName { filename extension} {

  global guiRUNSOLVERvars

  #set mydir [tk_getOpenFile -title "Select File"  -initialfile $guiRUNSOLVERvars($filename) -filetypes [list $filename *.*]]
  set myfile [tk_getSaveFile -title "Select File" -filetypes [list [list $extension $extension] [list "All Files" *]]]

  if {$myfile != ""} {
     set guiRUNSOLVERvars($filename) $myfile
  }
}


# Procedure: guiRUNSOLVERstartTail
proc guiRUNSOLVERstartTail { filename} {

  global guiRUNSOLVERvars

  set logfn $guiRUNSOLVERvars($filename)

  if {![file exists $logfn]} {
      puts "uh oh.  ($logfn) doesn't exist!"
      return
  }

  set ::tail_$filename {}
  tail $logfn .+ 5000 ::tail_$filename
  trace variable ::tail_$filename w guiRUNSOLVERhandle
}


# Procedure: guiRUNSOLVERstopTail
proc guiRUNSOLVERstopTail { filename} {

  global guiRUNSOLVERvars

  set logfn $guiRUNSOLVERvars($filename)

  if {![file exists $logfn]} {
      puts "uh oh.  $logfn doesn't exist!"
      return
  }

  cancelTail $logfn ::tail_$filename guiRUNSOLVERhandle
}


# Procedure: guiRUNSOLVERwhoami
proc guiRUNSOLVERwhoami {} {
  global guiRUNSOLVERvars
  set guiRUNSOLVERvars(user) [file tail [exec whoami]]
}


# Procedure: guiRWHgetProperties
proc guiRWHgetProperties {} {

  global guiRWH
  set actor $guiRWH(actor)
  set prop [$guiRWH(actor) GetProperty]

  set guiRWH(ambient) [$prop GetAmbient]
  set guiRWH(ambientColor) [$prop GetAmbientColor]
  set guiRWH(color) [$prop GetColor]
  set guiRWH(diffuse) [$prop GetDiffuse]
  set guiRWH(diffuseColor) [$prop GetDiffuseColor]
  set guiRWH(edgeColor) [$prop GetEdgeColor]
  set guiRWH(interpolation) [$prop GetInterpolationAsString]
  set guiRWH(lineWidth) [$prop GetLineWidth]
  set guiRWH(opacity) [$prop GetOpacity]
  set guiRWH(pointSize) [$prop GetPointSize]
  set guiRWH(representation) [$prop GetRepresentationAsString]
  set guiRWH(specular) [$prop GetSpecular]
  set guiRWH(specularColor) [$prop GetSpecularColor]
  set guiRWH(specularPower) [$prop GetSpecularPower]
  set guiRWH(edgeVisibility) [$prop GetEdgeVisibility]
  set guiRWH(backfaceCulling) [$prop GetBackfaceCulling]
  set guiRWH(frontfaceCulling) [$prop GetFrontfaceCulling]

  set guiRWH(newAmbient) $guiRWH(ambient)
  set guiRWH(newAmbientColor) $guiRWH(ambientColor)
  set guiRWH(newColor) $guiRWH(color)
  set guiRWH(newDiffuse) $guiRWH(diffuse)
  set guiRWH(newDiffuseColor) $guiRWH(diffuseColor)
  set guiRWH(newEdgeColor) $guiRWH(edgeColor)
  set guiRWH(newLineWidth) $guiRWH(lineWidth)
  set guiRWH(newOpacity) $guiRWH(opacity)
  set guiRWH(newPointSize) $guiRWH(pointSize)
  set guiRWH(newSpecular) $guiRWH(specular)
  set guiRWH(newSpecularColor) $guiRWH(specularColor)
  set guiRWH(newSpecularPower) $guiRWH(specularPower)
  set guiRWH(newEdgeVisibility) $guiRWH(edgeVisibility)
  set guiRWH(newBackfaceCulling) $guiRWH(backfaceCulling)
  set guiRWH(newFrontfaceCulling) $guiRWH(frontfaceCulling)

  set texture [$actor GetTexture]
  set allowLookupRadioButton disabled
  set guiRWH(lookupTable) ""
  if {$texture == ""} {
    if {[[$actor GetMapper] GetLookupTable] != ""} {
      set lookupTable [[$actor GetMapper] GetLookupTable]
      set guiRWH(lookupTable) $lookupTable
      set guiRWH(scalarMin) [lindex [[$actor GetMapper] GetScalarRange] 0]
      set guiRWH(scalarMax) [lindex [[$actor GetMapper] GetScalarRange] 1]
      set allowLookupRadioButton normal
    }
  } else {
    set lookupTable [$texture GetLookupTable]
    set guiRWH(lookupTable) $lookupTable
    set guiRWH(scalarMin) [lindex [$guiRWH(lookupTable) GetTableRange] 0]
    set guiRWH(scalarMax) [lindex [$guiRWH(lookupTable) GetTableRange] 1]
    if {$lookupTable != ""} {
      set allowLookupRadioButton normal
    }
  }
  global symbolicName
  $symbolicName(guiRWHlookupTableRadioButton1) configure -state $allowLookupRadioButton
  $symbolicName(guiRWHlookupTableRadioButton2) configure -state $allowLookupRadioButton
}


# Procedure: guiRWHsetInterpolation
proc guiRWHsetInterpolation { type} {

  global guiRWH
  set actor $guiRWH(actor)
  set prop [$actor GetProperty]
  set old [$prop GetInterpolationAsString]
  if {$old == "Flat" && $type == "SetInterpolationToFlat"} {
   return
  }
  if {$old == "Gouraud" && $type == "SetInterpolationToGouraud"} {
   return
  }
  if {$old == "Phong" && $type == "SetInterpolationToPhong"} {
   return
  }
  $prop $type

  guiRWHgetProperties

  #$actor Update
  [$guiRWH(render) GetRenderWindow] Render
}


# Procedure: guiRWHsetLookupTable
proc guiRWHsetLookupTable {} {

  global guiRWH
  set actor $guiRWH(actor)
  set prop [$actor GetProperty]
  set texture [$actor GetTexture]
  if {$texture == ""} {
    if {[[$actor GetMapper] GetLookupTable] != ""} {
      [$actor GetMapper] SetLookupTable $guiRWH(lookupTable)
    }
  } else {
    $texture SetLookupTable $guiRWH(lookupTable)
  }

  guiRWHgetProperties

  [$guiRWH(render) GetRenderWindow] Render
}


# Procedure: guiRWHsetProperty
proc guiRWHsetProperty { property newvalue oldvalue} {

  DeselectPickedActor
  global guiRWH
  set old $guiRWH($oldvalue)
  set new $guiRWH($newvalue)
  #puts "old: $old  new: $new"
  if {$old == $new} {
    return
  }
  if {[llength $old] != [llength $new]} {
    puts "ERROR:  Wrong size of new value for $property!"
    return -code error "ERROR:  Wrong size of new value for $property!"
  }

  set actor $guiRWH(actor)
  set prop [$actor GetProperty]
  if {[llength $new] == 1} {
    $prop $property $new
  } elseif {[llength $new] == 3} {
    $prop $property [lindex $new 0] [lindex $new 1] [lindex $new 2]
  } else {
    puts "ERROR:  Invalid length to new value for $property!"
    return -code error "ERROR:  Invalid length to new value for $property!"
  }

  guiRWHgetProperties

  #$actor Update
  [$guiRWH(render) GetRenderWindow] Render
}


# Procedure: guiRWHsetPropertyBoolean
proc guiRWHsetPropertyBoolean { property varval} {

  global guiRWH
  set actor $guiRWH(actor)
  set prop [$actor GetProperty]

  set getmethod "Get[string trim $property Set]"

  set oldvalue [$prop $getmethod]

  set value $guiRWH($varval)

  #puts "old: $oldvalue  new: $value"

  if {$oldvalue == $value} {
    return
  }

  $prop $property $value

  guiRWHgetProperties

  #$actor Update
  [$guiRWH(render) GetRenderWindow] Render
}


# Procedure: guiRWHsetRepresentation
proc guiRWHsetRepresentation { type} {

  global guiRWH
  set actor $guiRWH(actor)
  set prop [$actor GetProperty]
  set old [$prop GetRepresentationAsString]
  if {$old == "Points" && $type == "SetInterpolationToPoints"} {
   return
  }
  if {$old == "Wireframe" && $type == "SetInterpolationToWireframe"} {
   return
  }
  if {$old == "Surface" && $type == "SetInterpolationToSurface"} {
   return
  }
  $prop $type

  guiRWHgetProperties

  #$actor Update
  [$guiRWH(render) GetRenderWindow] Render
}


# Procedure: guiRWHsetScalarRange
proc guiRWHsetScalarRange {} {
  global guiRWH
  set actor $guiRWH(actor)
  set prop [$actor GetProperty]
  set texture [$actor GetTexture]
  if {$texture == ""} {
    if {[[$actor GetMapper] GetLookupTable] != ""} {
      [$actor GetMapper] SetScalarRange $guiRWH(scalarMin) $guiRWH(scalarMax)
    }
  } else {
    $guiRWH(lookupTable) SetTableRange $guiRWH(scalarMin) $guiRWH(scalarMax)
  }

  guiRWHgetProperties

  [$guiRWH(render) GetRenderWindow] Render
}


# Procedure: guiSELECTGROUPScancel
proc guiSELECTGROUPScancel {} {
   global symbolicName
   global guiSELECTGROUPSvars
   global guiSELECTGROUPSvars
   set guiSELECTGROUPSvars(selectedGroup) {}
   DestroyWindow.guiSELECTGROUPS
   $guiSELECTGROUPSvars(callbackFunction)
}


# Procedure: guiSELECTGROUPSdone
proc guiSELECTGROUPSdone {} {
   global symbolicName
   global guiSELECTGROUPSvars
   global guiSELECTGROUPSvars
   set lbox $symbolicName(guiSELECTGROUPSlistbox)
   set id [$lbox curselection]
   if {$id == ""} {
     set guiSELECTGROUPSvars(selectedGroup) {}
   } else {
     set guiSELECTGROUPSvars(selectedGroup) [$lbox get $id]
   }
   DestroyWindow.guiSELECTGROUPS
   $guiSELECTGROUPSvars(callbackFunction)
}


# Procedure: guiSELECTGROUPSrefresh
proc guiSELECTGROUPSrefresh {} {
  global symbolicName
  set lbox $symbolicName(guiSELECTGROUPSlistbox)
  $lbox selection clear 0 end
  # delete any existing entries first
  $lbox delete 0 end

  # insert the group names into the listbox
  foreach i [group_names] {
    $lbox insert end $i
  }
}


# Procedure: guiSVIMG_canvas_bind
proc guiSVIMG_canvas_bind { w bounds tol} {
  #-- add bindings for editing line on canvas
  bind $w <Button-1>        {guiSVIMG_canvas_mark   %W %x %y}
  bind $w <Double-1>        {guiSVIMG_canvas_insert %W}
  bind $w <B1-Motion>       "guiSVIMG_canvas_move   %W %x %y [list $bounds] $tol"
  bind $w <ButtonRelease-1> {guiSVIMG_canvas_done   %W}
  bind $w <Button-3>        {guiSVIMG_canvas_delete %W}
  interp alias {} tags$w {} $w itemcget current -tags
}


# Procedure: guiSVIMG_canvas_calc_histogram
proc guiSVIMG_canvas_calc_histogram { bounds} {

    # Get the size of the histogram window
    set width [expr [lindex $bounds 1] - [lindex $bounds 0]]
    set height [expr [lindex $bounds 3] - [lindex $bounds 2]]

    # Setup the bins of the accumulate filter from the range of input data
    set accumulate tmp-guiSVIMG_canvas_add_histogram-accum
    catch {$accumulate Delete}
    vtkImageAccumulate $accumulate
    $accumulate SetInputDataObject [repos_exportToVtk -src volume_image]

    set numBins [expr $width / 2]

    global guiCVIMGvars
    set xmin $guiCVIMGvars(vol_ren_min_range)
    set xmax $guiCVIMGvars(vol_ren_max_range)
    set inputRange [list $xmin $xmax]

    set origin [lindex $inputRange 0]

    set spacing [expr 1.0 * ([lindex $inputRange 1] - $origin) / $numBins]

    $accumulate SetComponentExtent 0 [expr $numBins - 1] 0 0 0 0
    $accumulate SetComponentOrigin $origin 0.0 0.0
    $accumulate SetComponentSpacing $spacing 1.0 1.0
    $accumulate Update

    # Get the histogram data

    set data [$accumulate GetOutput]

    # Scale the histogram max to fit the window

    set histRange [[[$data GetPointData] GetScalars] GetRange]
    set scale [expr 0.9 * $height / [lindex $histRange 1]]

    set rtnpts {}
    for {set idx 0} {$idx < $numBins} {incr idx} {
        set y [$data GetScalarComponentAsDouble $idx 0 0 0]
        set y1 [expr $y * $scale]
        set y2 [lindex [split $y1 .] 0]
        set x [expr $idx * 2]
        set plotX [expr [lindex $bounds 0] + $x]
        lappend rtnpts "$plotX [lindex $bounds 3] $plotX [expr [lindex $bounds 3] - $y2]"
    }
    $accumulate Delete
    return $rtnpts
}


# Procedure: guiSVIMG_canvas_delete
proc guiSVIMG_canvas_delete { w {all "0"}} {
    #-- delete a node of, or a whole polygon
    set tags [tags$w]
    if {[regexp {of:([^ ]+)} $tags -> poly]} {
        if {$all} {
            $w delete $poly of:$poly
        } else {
            regexp {at:([^ ]+)} $tags -> pos
            $w coords $poly [lreplace [$w coords $poly] $pos [incr pos]]
            guiSVIMG_canvas_markNodes $w $poly
        }
    }
    $w delete poly0 ;# possibly clean up unfinished polygon
    catch {unset ::polydraw(item$w)}
}


# Procedure: guiSVIMG_canvas_done
proc guiSVIMG_canvas_done { args} {
  global guiCVIMGvars
  set xmin $guiCVIMGvars(vol_ren_min_range)
  set xmax $guiCVIMGvars(vol_ren_max_range)
  global symbolicName
  set Cblue $symbolicName(guiSVIMG_blue_canvas)
  set Cgreen $symbolicName(guiSVIMG_green_canvas)
  set Copacity $symbolicName(guiSVIMG_opacity_canvas)
  set Cred $symbolicName(guiSVIMG_red_canvas)
  if {[lindex $args 0] == $Copacity} {
     set opacityPts [$Copacity coords line0]
     puts "opacityPts: $opacityPts"
     set numPts [expr [llength $opacityPts] / 2]
     # normalize here
     for {set i 0} {$i < $numPts} {incr i} {
   set px [lindex $opacityPts [expr 2*$i]]
         set py [lindex $opacityPts [expr 2*$i+1]]
         set x [math_linInterp1D 50.0 350.0 $xmin $xmax $px]
         # remember y is in screen (upside down) coords
         set y [math_linInterp1D 10.0 110.0 1.0 0.0 $py]
         if {$y < 0} {set y 0}
         #puts "pt $i: $x $y"
         lappend newPts [list $x $y]
     }
     global guiVIB
     set guiVIB(opacityFunction) $newPts
     volGUIupdateVolRender guiVIB opacity
     return
  }

  package require struct
  package require math::interpolate

  if {[lindex $args 0] == $Cblue || [lindex $args 0] == $Cgreen ||  [lindex $args 0] == $Cred} {

    # need to create equal number of pts for all colors
    set redPts [$Cred coords line0]
    set greenPts [$Cgreen coords line0]
    set bluePts [$Cblue coords line0]

    set id 0
    foreach ptset [list $redPts $greenPts $bluePts] {
      set numPts [expr [llength $ptset] / 2]
      # normalize here
      set orgpts($id) ""
      for {set i 0} {$i < $numPts} {incr i} {
        set px [lindex $ptset [expr 2*$i]]
        set py [lindex $ptset [expr 2*$i+1]]
        set x [math_linInterp1D 50.0 350.0 $xmin $xmax $px]
        # remember y is in screen (upside down) coords
        set y [math_linInterp1D 10.0 110.0 1.0 0.0 $py]
  if {$y < 0} {set y 0}
        lappend allX $x
        set orgpts($id) "$orgpts($id) $x $y"
      }
      incr id
    }

    set useX [lsort -real -unique $allX]
    puts "useX: $useX"
    puts "$orgpts(0)"
    foreach i $useX {
      set r [::math::interpolate::interp-linear $orgpts(0) $i]
      set g [::math::interpolate::interp-linear $orgpts(1) $i]
      set b [::math::interpolate::interp-linear $orgpts(2) $i]
      lappend colorFn [list $i $r $g $b]
    }
    global guiVIB
    set guiVIB(colorFunction) $colorFn
    volGUIupdateVolRender guiVIB color

  }
}


# Procedure: guiSVIMG_canvas_has
proc guiSVIMG_canvas_has { list element} {
expr {[lsearch $list $element]>=0}
}


# Procedure: guiSVIMG_canvas_insert
proc guiSVIMG_canvas_insert { w} {
    #-- create a new node halfway to the previous node
    set tags [tags$w]
    if {[guiSVIMG_canvas_has $tags node]} {
        regexp {of:([^ ]+)} $tags -> poly
        regexp {at:([^ ]+)} $tags -> pos
        set coords [$w coords $poly]
        set pos2 [expr {$pos==0? [llength $coords]-2 : $pos-2}]
        foreach {x0 y0} [lrange $coords $pos end] break
        foreach {x1 y1} [lrange $coords $pos2 end] break
        if {$x0 > 1} {
          puts "coords: $x0 $y0 $x1 $y1"
          set x [expr {($x0 + $x1) / 2}]
          set y [expr {($y0 + $y1) / 2}]
          $w coords $poly [linsert $coords $pos $x $y]
          guiSVIMG_canvas_markNodes $w $poly
  }
    }
}


# Procedure: guiSVIMG_canvas_mark
proc guiSVIMG_canvas_mark { w x y} {
    # prepare a node for moving
    set x [$w canvasx $x]; set y [$w canvasy $y]
    catch {unset ::polydraw(current$w)}
    if {[guiSVIMG_canvas_has [tags$w] node]} {
        set ::polydraw(current$w) [$w find withtag current]
        set ::polydraw(x$w)       $x
        set ::polydraw(y$w)       $y
    }
}


# Procedure: guiSVIMG_canvas_markNodes
proc guiSVIMG_canvas_markNodes { w item} {
    #-- decorate a polygon with square marks at its nodes
    $w delete of:$item
    set pos 0
    foreach {x y} [$w coords $item] {
        set coo [list [expr $x-3] [expr $y-3] [expr $x+3] [expr $y+3]]
        $w create rect $coo -fill blue -tag "node of:$item at:$pos"
        incr pos 2
    }
}


# Procedure: guiSVIMG_canvas_move
proc guiSVIMG_canvas_move { w x y bounds tol {all "0"}} {
    #-- move a node or whole line
    set x [$w canvasx $x]; set y [$w canvasy $y]
    if {[info exists ::polydraw(current$w)]} {
        set dx [expr {$x - $::polydraw(x$w)}]
        set dy [expr {$y - $::polydraw(y$w)}]

        set ::polydraw(x$w) $x
        set ::polydraw(y$w) $y
        if {!$all} {
            # the actual motion may get changed in the redraw routine
            set dxdy [guiSVIMG_canvas_redraw $w $dx $dy $bounds]
            $w move $::polydraw(current$w) [lindex $dxdy 0] [lindex $dxdy 1]
            #puts "$w move $::polydraw(current$w) [lindex $dxdy 0] [lindex $dxdy 1]"
        } elseif [regexp {of:([^ ]+)} [tags$w] -> poly] {
            $w move $poly    $dx $dy
            $w move of:$poly $dx $dy
        }
    }
}


# Procedure: guiSVIMG_canvas_redraw
proc guiSVIMG_canvas_redraw { w dx dy bounds} {
    #-- update a polygon when one node was moved
    set tags [tags$w]
    if [regexp {of:([^ ]+)} $tags -> poly] {
        regexp {at:([^ ]+)} $tags -> from
        #puts "from ($from)  poly($poly)"
        set coords [$w coords $poly]
        set to [expr {$from + 1}]
        # don't allow end points to move in x-direction
        if {$from == 0 || $from == [expr [llength $coords] - 2]} {
    set x [lindex $coords $from]
          set dx 0
  } else {
          set x [expr {[lindex $coords $from] + $dx}]
  }
        set y [expr {[lindex $coords $to]   + $dy}]
        # check bounds of motion before actually updating
        # bound the possible motion
        if {$x <= [lindex $bounds 0]} {
    set x [lindex $bounds 0]
    set dx [expr $x - [lindex $coords $from]]
    #puts "x: $x dx: $dx coords: [lindex $coords $from]"
  } elseif {$x >= [lindex $bounds 1]} {
    set x [lindex $bounds 1]
    set dx [expr $x - [lindex $coords $from]]
    #puts "x: $x dx: $dx coords: [lindex $coords $from]"
        }
        if {$y <= [lindex $bounds 2]} {
    set y [lindex $bounds 2]
    set dy [expr $y - [lindex $coords $to]]
    #puts "y: $y dy: $dy coords: [lindex $coords $to]"
        } elseif {$y >= [lindex $bounds 3]} {
    set y [lindex $bounds 3]
    set dy [expr $y - [lindex $coords $to]]
    #puts "y: $y dy: $dy coords: [lindex $coords $to]"
  }
        $w coords $poly [lreplace $coords $from $to $x $y]
    }
  set ::polydraw(x$w) $x
  set ::polydraw(y$w) $y
  global guiCVIMGvars
  set xmin $guiCVIMGvars(vol_ren_min_range)
  set xmax $guiCVIMGvars(vol_ren_max_range)
  set x [math_linInterp1D 50.0 350.0 $xmin $xmax $x]
  # remember y is in screen (upside down) coords
  set y [math_linInterp1D 10.0 110.0 1.0 0.0 $y]
  if {$y < 0} {set y 0}
  set guiCVIMGvars(canvas_value) [format "intensity %.1f  fvalue %.3f" $x $y]
  return [list $dx $dy]
}


# Procedure: guiSVIMG_showMIP
proc guiSVIMG_showMIP {} {
  global guiCVIMGvars
  if {$guiCVIMGvars(showMIP) >= 0} {
    catch {repos_delete -obj volume_image_MIP}
    img_createMIPfromVolume volume_image $guiCVIMGvars(showMIP) $guiCVIMGvars(mip_slice_range) volume_image_MIP
    svView volume_image_MIP
    wm deiconify .svRenWin
    global viewWindow
    vis_renParallelProjection $viewWindow(ren)
    vis_renReset $viewWindow(ren)
  } else {
    wm withdraw .svRenWin
  }
}


# Procedure: guiSVIMG_vol_ren_with_canvas
proc guiSVIMG_vol_ren_with_canvas {} {

  global guiCVIMGvars
  global symbolicName

  set Cblue $symbolicName(guiSVIMG_blue_canvas)
  set Cgreen $symbolicName(guiSVIMG_green_canvas)
  set Copacity $symbolicName(guiSVIMG_opacity_canvas)
  set Cred $symbolicName(guiSVIMG_red_canvas)

  set bounds {50 350 10 110}
  set tol 10

  set histopts [guiSVIMG_canvas_calc_histogram $bounds]

  foreach mypair [list [list $Cgreen green]  [list $Cred red]  [list $Cblue blue]  [list $Copacity orange]] {
    set w [lindex $mypair 0]
    set color [lindex $mypair 1]

    guiSVIMG_canvas_bind $w $bounds $tol

    # create bounding box
    $w create line [lindex $bounds 0] [lindex $bounds 3]  [lindex $bounds 1] [lindex $bounds 3]  -fill black -tag botbdr
    $w create line [lindex $bounds 1] [lindex $bounds 3]  [lindex $bounds 1] [lindex $bounds 2]  -fill black -tag rightbdr
    $w create line [lindex $bounds 1] [lindex $bounds 2]  [lindex $bounds 0] [lindex $bounds 2]  -fill black -tag topbdr
    $w create line [lindex $bounds 0] [lindex $bounds 2]  [lindex $bounds 0] [lindex $bounds 3]  -fill black -tag leftbdr
    foreach pt $histopts {
      eval $w create line $pt -fill gray
    }
    $w create line 50 110 350 10  -fill $color -tag line0
    guiSVIMG_canvas_markNodes $w line0
  }
}


# Procedure: guiSVIMG_vol_ren_with_canvas_cleanup
proc guiSVIMG_vol_ren_with_canvas_cleanup {} {

  global guiCVIMGvars
  global symbolicName

  set Cblue $symbolicName(guiSVIMG_blue_canvas)
  set Cgreen $symbolicName(guiSVIMG_green_canvas)
  set Copacity $symbolicName(guiSVIMG_opacity_canvas)
  set Cred $symbolicName(guiSVIMG_red_canvas)

  foreach w [list $Cblue $Cgreen $Copacity $Cred] {
    $w delete all
    bind $w <Button-1>        {}
    bind $w <Double-1>        {}
    bind $w <B1-Motion>       {}
    bind $w <ButtonRelease-1> {}
    bind $w <Button-3>        {}
  }
}


# Procedure: guiSVIMG_vol_ren_with_canvas_update_histo
proc guiSVIMG_vol_ren_with_canvas_update_histo {} {

  global guiCVIMGvars
  global symbolicName

  set Cblue $symbolicName(guiSVIMG_blue_canvas)
  set Cgreen $symbolicName(guiSVIMG_green_canvas)
  set Copacity $symbolicName(guiSVIMG_opacity_canvas)
  set Cred $symbolicName(guiSVIMG_red_canvas)

  # save the values to restore
  set oLine [$Copacity coords line0]
  set bLine [$Cblue coords line0]
  set gLine [$Cgreen coords line0]
  set rLine [$Cred coords line0]

  set bounds {50 350 10 110}
  set tol 10

  set histopts [guiSVIMG_canvas_calc_histogram $bounds]

  foreach mypair [list [list $Cgreen green $gLine]  [list $Cred red $rLine]  [list $Cblue blue $bLine]  [list $Copacity orange $oLine]] {

    set w [lindex $mypair 0]
    set color [lindex $mypair 1]
    set coords [lindex $mypair 2]

    # clean first
    $w delete all

    # create bounding box
    $w create line [lindex $bounds 0] [lindex $bounds 3]  [lindex $bounds 1] [lindex $bounds 3]  -fill black -tag botbdr
    $w create line [lindex $bounds 1] [lindex $bounds 3]  [lindex $bounds 1] [lindex $bounds 2]  -fill black -tag rightbdr
    $w create line [lindex $bounds 1] [lindex $bounds 2]  [lindex $bounds 0] [lindex $bounds 2]  -fill black -tag topbdr
    $w create line [lindex $bounds 0] [lindex $bounds 2]  [lindex $bounds 0] [lindex $bounds 3]  -fill black -tag leftbdr
    foreach pt $histopts {
      eval $w create line $pt -fill gray
    }
    eval $w create line $coords  -fill $color -tag line0
    guiSVIMG_canvas_markNodes $w line0
  }
}


# Procedure: guiSVMSGsave
proc guiSVMSGsave {} {

  global symbolicName

  set tbox $symbolicName(svmessage_textbox)

  set fn [tk_getSaveFile -filetypes {{TXT *.txt} {"All Files" *.*}} -title "Save Message to File" -initialfile "simvascular_log.txt"]

  if {$fn != ""} {
    set fp [open $fn w]
    puts $fp [$tbox get 1.0 end-1c]
    close $fp
  }
}


# Procedure: guiSVMSGshow
proc guiSVMSGshow { msg} {

  global symbolicName
  ShowWindow.svmessage
  set tbox $symbolicName(svmessage_textbox)
  $tbox delete 1.0 end
  $tbox insert end $msg
}


# Procedure: guiSV_copy_selected_members
proc guiSV_copy_selected_members {} {
  global symbolicName
  set segs [guiSV_group_get_tree_current_members_selected]
  foreach seg $segs {
    set id [lindex $seg 1]
    set grp [lindex $seg 0]
    puts "id: $id grp: $grp"

    if {![string is integer "$id"]} { puts "$grp $id not a contour"
    } else {
      set obj /group/$grp/$id
      #puts "is contour $grp $id"
    }
  }
}


# Procedure: guiSV_delete_selected_members
proc guiSV_delete_selected_members {} {
 global symbolicName
 global guiGROUPSvars
 global gRen3d

 puts "Want to see! [group_get celiac_trunk_branch1]"

  set tv $symbolicName(guiSV_group_tree)
  set segs [$tv selection]
  foreach i $segs {
    set id [string range [file extension $i] 1 end]
    set grp [string range [file extension [file rootname $i]] 1 end]
    puts "id: $id grp: $grp"
    catch {group_remove $grp /group/$grp/$id}
    catch {group_remove $grp $id}
    $tv delete .groups.all.$grp.$id
    vis_pRm $gRen3d /group/$grp/$id
  }
  guiSV_group_update_tree
  set loftGroup 0
  set groupItemValue [lindex [$tv item .groups.all.$grp -values] 1]
  if {$groupItemValue == "X"} {
    set loftGroup 1
  }

  if {$loftGroup} {
    lsGUIloftGroup $grp
  }
}


# Procedure: guiSV_file_squeeze_vol_opt
proc guiSV_file_squeeze_vol_opt {} {
global guiSVvars
if {$guiSVvars(file_squeeze_vol_opt)} {
  pack configure .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4 -side bottom -fill both -expand true
} {
  pack forget .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe7.notebook0.tframe1.frame20.squeezer.tframe4
}
}


# Procedure: guiSV_group_change_selected_color
proc guiSV_group_change_selected_color {} {

  global gRen3d
  global guiGROUPSvars
  global symbolicName
  global gRen3d

  set tv $symbolicName(guiSV_group_tree)

  set color [tk_chooseColor]
  if {$color == ""} return
  set r [expr (0x[string range $color 1 2])/255.0]
  set g [expr (0x[string range $color 3 4])/255.0]
  set b [expr (0x[string range $color 5 6])/255.0]
  set color "$r $g $b"

  set selected [guiSV_group_get_tree_current_groups_selected]
  if {$selected == ""} return

  foreach grp $selected {
    set grpcolor groups_get_color
    foreach member [group_get $grp] {
      catch {repos_clearLabel -obj $member -key color}
      repos_setLabel -obj $member -key color -value $color
      group_set_color $grp $color
       #generalView $gRen3d $member
      }
    set groupShow [lindex [$tv item .groups.all.$grp -values] 2]
    if {$groupShow == "X"} {
      guiSV_group_display_selected_groups 1
    }
  }
}


# Procedure: guiSV_group_copy_members
proc guiSV_group_copy_members {} {

  global guiSVvars
  set name $guiSVvars(groups_entry_group_name)

  set segs [guiSV_group_get_tree_current_members_selected]
  if {$segs == ""} {
    catch {DestroyWindow.svGroupWindow}
    return
  }
  set need_group [group_exists $name]
  if {![group_exists $name]} {
    set yesno [tk_messageBox -default no -message "Group $name does not exist. Would you like to create it?" -title "Create Group"  -type yesno]
    switch -- $yesno {
      yes {}
      no {
          catch {DestroyWindow.svGroupWindow}
          return
      }
    }
  }

  if {[group_create $name] != "0"} {puts "group created $name"}

  foreach seg $segs {
    set id [lindex $seg 1]
    set grp [lindex $seg 0]

    set newobjname /group/$name/$id
    set oldobjname /group/$grp/$id

    group_copy_member $oldobjname $grp $name
    }

  guiSV_group_update_tree
  global symbolicName
  set tv $symbolicName(guiSV_group_tree)
  $tv see .groups.all.$name
  $tv selection set .groups.all.$name
  lsGUIloftGroup $name
  guiSV_solid_display_selected_groups 1
  catch {DestroyWindow.svGroupWindow}
}


# Procedure: guiSV_group_delete_selected_groups
proc guiSV_group_delete_selected_groups {} {
  global gRen3d
  global symbolicName
  set tv $symbolicName(guiSV_group_tree)
  set selected [guiSV_group_get_tree_current_groups_selected]
  if {$selected != ""} {
    set numgrps [llength $selected]
    if { $numgrps == 1 } {
        set g [lindex $selected 0]
        set msg "Are you sure you like to delete group $g? This action cannot be undone"
      } else {
        set msg "Are you sure you like to delete $numgrps groups? This action cannot be undone"
      }

    set selected_delete 1
    set selected_delete [tk_dialog .askthem "Delete Groups?" "$msg" question 0 " No " " Yes "]

    if {!$selected_delete} return
    foreach grp $selected {
      foreach member [group_get $grp] {
        vis_pRm $gRen3d $member
      }
      vis_pRm $gRen3d /guiGROUPS/polydatasurface/$grp
      if [catch {group_delete $grp} msg] {
        puts "error deleting group ($grp): $msg"
      }
    }
  }

  set selected [guiSV_group_get_tree_current_surfaces_selected]
  if {$selected != ""} {
    set numgrps [llength $selected]
    if { $numgrps == 1 } {
        set g [lindex $selected 0]
        set msg "Are you sure you like to delete segmentation $g? This action cannot be undone"
      } else {
        set msg "Are you sure you like to delete $numgrps segmentations? This action cannot be undone"
      }

    set selected_delete 1
    set selected_delete [tk_dialog .askthem "Delete Groups?" "$msg" question 0 " No " " Yes "]

    if {!$selected_delete} return
    foreach grp $selected {
      global gSeg3D
      vis_pRm $gRen3d $gSeg3D($grp)
      if [catch {seg3d_delete $grp} msg] {
        puts "error deleting group ($grp): $msg"
      }
    }
  }
  guiSV_group_update_tree
}


# Procedure: guiSV_group_deselect_groups_for_lofting
proc guiSV_group_deselect_groups_for_lofting {} {
  global symbolicName
  set tv $symbolicName(guiSV_group_tree)
  global guiBOOLEANvars
  set selected [guiSV_group_get_tree_current_groups_selected]
  if {$selected != ""} {
    foreach grp $selected {
     set col2var [lindex [$tv item .groups.all.$grp -values] 1]
     set col3var [lindex [$tv item .groups.all.$grp -values] 2]
     $tv item .groups.all.$grp -values [list "" $col2var $col3var]
     set idx [lsearch $guiBOOLEANvars(selected_groups) $grp]
     set guiBOOLEANvars(selected_groups) [lreplace $guiBOOLEANvars(selected_groups) $idx $idx]
    }
  }
  set selected [guiSV_group_get_tree_current_surfaces_selected]
  if {$selected != ""} {
    foreach grp $selected {
     set col2var [lindex [$tv item .groups.3d.$grp -values] 1]
     set col3var [lindex [$tv item .groups.3d.$grp -values] 2]
     $tv item .groups.3d.$grp -values [list "" $col2var $col3var]
     set idx [lsearch $guiBOOLEANvars(selected_seg3d) $grp]
     set guiBOOLEANvars(selected_seg3d) [lreplace $guiBOOLEANvars(selected_seg3d) $idx $idx]
    }
  }
}


# Procedure: guiSV_group_display_selected_groups
proc guiSV_group_display_selected_groups { showFlag} {
  global gRen3d
  global symbolicName
  global gOptions
  set tv $symbolicName(guiSV_group_tree)
  set selected [guiSV_group_get_tree_current_groups_selected]
  if {$selected == ""} return

  foreach grp $selected {
    #grp color returns $gOptions(color_for_groups) it the color is not set
    set grpcolor [group_get_color $grp]
    foreach member [group_get $grp] {
      if {$showFlag == 0} {
        vis_pRm $gRen3d $member
      } else {
        if { [lsearch -exact [repos_getLabelKeys -obj $member] color] < 0 } { repos_setLabel -obj $member -key color -value $grpcolor}
        if { [lsearch -exact [repos_getLabelKeys -obj $member] width] < 0 } { repos_setLabel -obj $member -key width -value $gOptions(line_width_for_groups)}
        generalView $gRen3d $member
      }
    }

    # update tree display
    if {$showFlag == 0} {
      set col1var [lindex [$tv item .groups.all.$grp -values] 0]
      set col2var [lindex [$tv item .groups.all.$grp -values] 1]
      $tv item .groups.all.$grp -values [list $col1var $col2var ""]
    } else {
      set col1var [lindex [$tv item .groups.all.$grp -values] 0]
      set col2var [lindex [$tv item .groups.all.$grp -values] 1]
      $tv item .groups.all.$grp -values [list $col1var $col2var "X"]
    }
  }
}


# Procedure: guiSV_group_duplicate_group
proc guiSV_group_duplicate_group {} {

  global lsGUIcurrentGroup
  set name $lsGUIcurrentGroup

  global guiSVvars
  set newname $guiSVvars(groups_entry_group_name)

  group_create $newname

  set items [group_get $name]
  foreach i $items {

        group_copy_member $i $name $newname
    }

  guiSV_group_update_tree
  global symbolicName
  set tv $symbolicName(guiSV_group_tree)
  $tv see .groups.all.$newname
  $tv selection set .groups.all.$newname

  DestroyWindow.svGroupWindow
}


# Procedure: guiSV_group_fillTree
proc guiSV_group_fillTree { args} {

}


# Procedure: guiSV_group_get_tree_current_groups_selected
proc guiSV_group_get_tree_current_groups_selected {} {

  global symbolicName

  set tv $symbolicName(guiSV_group_tree)
  set children [$tv select]

  if {[lsearch -exact $children .groups.all] >= 0} {
    set children [$tv children .groups.all]
    if {$children == ""} {
       return
    }
  }
  foreach i $children {
    if [regexp .groups.all. $i] {
      set selected([lindex [split [string range $i 12 end] .] 0]) 1
    }
  }
  set allselected [lsort -dictionary [array names selected]]
  puts "selected $allselected"
  return $allselected
}


# Procedure: guiSV_group_get_tree_current_members_selected
proc guiSV_group_get_tree_current_members_selected {} {
  global symbolicName
  set tv $symbolicName(guiSV_group_tree)
  set children [$tv select]
  if {[lsearch -exact $children .groups.all] >= 0} {
    set children [$tv children .groups.all]
    if {$children == ""} {
       return
    }
  }
  # only want terminal nodes of tree
  set tree_str ".groups.all."
  set tree_str_len [string length $tree_str]
  set rtmembers {}
  foreach i $children {
    if [regexp $tree_str $i] {
      if {[$tv children $i] != ""} {
        puts "skip ($i)"
        continue
      }

      set grp [lindex [split [string range $i $tree_str_len end] .] 0]
      set member [lindex [split [string range $i $tree_str_len end] .] 1]

      # puts "$grp $member"
      lappend rtmembers [list $grp $member]
    }
  }
  puts "rtmembers $rtmembers"
  return $rtmembers
}


# Procedure: guiSV_group_get_tree_current_surfaces_selected
proc guiSV_group_get_tree_current_surfaces_selected {} {

  global symbolicName

  set tv $symbolicName(guiSV_group_tree)
  set children [$tv select]

  if {[lsearch -exact $children .groups.3d] >= 0} {
    set children [$tv children .groups.3d]
    if {$children == ""} {
       return
    }
  }
  foreach i $children {
    if [regexp .groups.3d. $i] {
      set selected([lindex [split [string range $i 11 end] .] 0]) 1
    }
  }
  set allselected [lsort -dictionary [array names selected]]
  puts "selected $allselected"
  return $allselected
}


# Procedure: guiSV_group_load_groups
proc guiSV_group_load_groups {} {

  global gFilenames

  if {![file isdirectory $gFilenames(groups_dir)]} {
      set gFilenames(groups_dir) [pwd]
  }

  set mydir [tk_chooseDirectory -mustexist 1 -title "Read SimVascular Groups From Directory"  -initialdir $gFilenames(groups_dir)]

  if {$mydir != ""} {
     set gFilenames(groups_dir) $mydir
     createPREOPgrpLoadGroups
  }

  # update displayed group tree
  guiSV_group_update_tree
}


# Procedure: guiSV_group_make_isosurface_3D_surface
proc guiSV_group_make_isosurface_3D_surface {} {
  global symbolicName
  global gKernel
  global gOptions
  global gSeg3D
  global gui3Dvars

  set tv $symbolicName(guiSV_group_tree)
  set contourpd $gui3Dvars(smoothIsosurface)
  set objName Isosurface_$gui3Dvars(min_thr_value)
  regsub -all {\.} $objName {_} objName
  #$gui3Dvars(min_thr_value)
  catch {repos_delete -obj $objName}
  if {[repos_exists -obj $contourpd] == 0} {
    return -code error "ERROR: Show isosurface to convert 3D Surface"
  }
  geom_copy -src $contourpd -dst $objName
  if {[seg3d_add $objName $objName] !=0} {

    set yesno [tk_messageBox -default no   -message "Do you want to replace $objName? with this surface? This cannot be undone."  -title "Confirm overwrite surface"  -type yesno]
    switch -- $yesno {
      yes {
	puts "forcing"
	seg3d_addForce $objName $objName
      }
      no {
       return
      }
    }

  }
  repos_setLabel -obj $objName -key color -value $gOptions(color_for_saved_surface)
  repos_setLabel -obj $objName -key opacity -value $gOptions(opacity_for_saved_surface)
  guiSV_group_update_tree
  DestroyWindow.svSaveSegWindow
  guiSV_model_display_selected_full_model 0

  $tv see .groups.3d.$objName
  $tv selection set .groups.3d.$objName
  guiSV_solid_display_selected_groups 1
  set guiVars(show_isosurface) 0
}


# Procedure: guiSV_group_new_group
proc guiSV_group_new_group {} {
  global guiSVvars
  set name $guiSVvars(groups_entry_group_name)
  if {$name == ""} return
  group_create $name
  guiSV_group_update_tree
  global symbolicName
  set tv $symbolicName(guiSV_group_tree)
  $tv see .groups.all.$name
  $tv selection set .groups.all.$name
  $tv item .groups.all.$name -values {"" "X" ""}

  DestroyWindow.svGroupWindow
}


# Procedure: guiSV_group_rename_group
proc guiSV_group_rename_group {} {

  global lsGUIcurrentGroup
  set name $lsGUIcurrentGroup

  global guiSVvars
  set newname $guiSVvars(groups_entry_group_name)

  group_create $newname

  set items [group_get $name]
  foreach i $items {
    group_copy_member $i $name $newname

    }

  group_delete $name
  guiSV_group_update_tree
  global symbolicName
  set tv $symbolicName(guiSV_group_tree)
  $tv see .groups.all.$newname
  $tv selection set .groups.all.$newname
  DestroyWindow.svGroupWindow
}


# Procedure: guiSV_group_save_groups
proc guiSV_group_save_groups {} {

  global gFilenames

  set mydir [tk_chooseDirectory -mustexist 0 -title "Save SimVascular Groups To Directory"  -initialdir $gFilenames(groups_dir)]

  if {$mydir != ""} {
     set gFilenames(groups_dir) $mydir
     createPREOPgrpSaveGroups
  }
}


# Procedure: guiSV_group_selectTree
proc guiSV_group_selectTree { args} {
  #puts "args: $args"
  set tv $args
  set children [$tv select]
  puts "allSelected: $children"
  # Find in groups
  if {[lsearch -exact $children .groups.all] >= 0} {
    set children [$tv children .groups.all]
    if {$children == ""} {
       return
    }
  }
  foreach i $children {
    if [regexp .groups.all. $i] {
      set keepgroups([lindex [split [string range $i 12 end] .] 0]) 1
    }
  }
  set allgrpselected [lsort -dictionary [array names keepgroups]]
  puts "grp selected $allgrpselected"

  # only update the group name entry with the first occurance
  global guiSVvars
  set guiSVvars(groups_entry_group_name) [lindex $allgrpselected 0]

  global lsGUIcurrentGroup
  set lsGUIcurrentGroup [lindex $allgrpselected 0]

  # Find in segs
  if {[lsearch -exact $children .groups.3d] >= 0} {
    set children [$tv children .groups.3d]
    if {$children == ""} {
       return
    }
  }
  foreach i $children {
    if [regexp .groups.3d. $i] {
      set keepseg([lindex [split [string range $i 11 end] .] 0]) 1
    }
  }
  set allsegselected [lsort -dictionary [array names keepseg]]
  puts "seg selected $allsegselected"

  # only update the group name entry with the first occurance
  global guiSVvars
  set guiSVvars(groups_entry_seg3d_name) [lindex $allsegselected 0]

  global lsGUIcurrentSeg3d
  set lsGUIcurrentSeg3d [lindex $allsegselected 0]

  # update displayed graphics
  global lsGUImagWindow
  global lsGUIpotWindow
  if {$lsGUImagWindow(showSegSlice) == "1" || $lsGUIpotWindow(showSegSlice) == "1"} {
    lsGUIchangeFrame 0
  }
}


# Procedure: guiSV_group_tree_scroll
proc guiSV_group_tree_scroll { args} {
  global symbolicName
  eval $symbolicName(guiSV_group_tree) yview $args
}


# Procedure: guiSV_group_tree_update_scrollbar
proc guiSV_group_tree_update_scrollbar { args} {
  global symbolicName
  eval $symbolicName(guiSV_group_tree_scrollbar) set $args
}


# Procedure: guiSV_group_update_tree
proc guiSV_group_update_tree {} {

  # need to populate the treeview with groups
  global symbolicName
  global lsGUIcurrentGroup
  set tv $symbolicName(guiSV_group_tree)
  set valexist 0
  set previousCurrentGroup $lsGUIcurrentGroup
  set groupStillExists 0
  set lsGUIcurrentGroup {}


  if {[llength [group_names]] == 0} {
    $symbolicName(guiSV_group_tree) delete .groups.all
    $tv insert {} 0 -id .groups.all -text "2D Group Surfaces" -open 0
  }
  $tv configure -columns [list Loft DisplaySolid DisplayGroup]
  $tv heading \#0 -text "Surface"
  $tv heading Loft -text "Use in Model"
  $tv heading DisplaySolid -text "Show Surface"
  $tv heading DisplayGroup -text "Show Members"

  #Groups column
  $tv column \#0 -width 160 -anchor w
  $tv column \#0 -minwidth 100 -anchor w

  #Use in Model
  $tv column \#1 -width 100 -anchor center
  $tv column \#1 -minwidth 50 -anchor center

  #Show Solid
  $tv column \#2 -width 100 -anchor center
  $tv column \#2 -minwidth 50 -anchor center

  #Show Members
  $tv column \#3 -width 120 -anchor center
  $tv column \#3 -minwidth 50 -anchor center

  $tv configure -show [list tree headings]

  # 2D groups
  foreach grp [lsort -dictionary [group_names]] {
    if {$previousCurrentGroup == $grp} {
       set groupStillExists 1
    }
    if {[$tv exists .groups.all.$grp] != 1} {
          $tv insert .groups.all end -id .groups.all.$grp -text "$grp" -values {}
    }
    set i 0
    foreach item [group_iditems $grp {}] {
      if {[$tv exists .groups.all.$grp.$item] != 1} {
        $tv insert .groups.all.$grp $i -id .groups.all.$grp.$item -text "$item"
      }
      incr i
    }
  }

  foreach grp [lsort -dictionary [seg3d_names]] {
    if {$previousCurrentGroup == $grp} {
       set groupStillExists 1
    }
    if {[$tv exists .groups.3d.$grp] != 1} {
          $tv insert .groups.3d end -id .groups.3d.$grp -text "$grp" -values {}
    }
  }

  $tv yview moveto 0

  if {$groupStillExists == 1} {
    #$tv see .groups.all.$previousCurrentGroup
    #$tv selection set .groups.all.$previousCurrentGroup
    #set lsGUIcurrentGroup $previousCurrentGroup
  }
}


# Procedure: guiSV_group_use_selected_groups_for_lofting
proc guiSV_group_use_selected_groups_for_lofting {} {
  global symbolicName
  set tv $symbolicName(guiSV_group_tree)
  global guiBOOLEANvars
  set selected [guiSV_group_get_tree_current_groups_selected]
  set work {}
  if {$selected != ""} {
    foreach grp $selected {
     set col2var "[lindex [$tv item .groups.all.$grp -values] 1]"
     set col3var "[lindex [$tv item .groups.all.$grp -values] 2]"
     $tv item .groups.all.$grp -values [list "X" $col2var $col3var]
     lappend guiBOOLEANvars(selected_groups) $grp
    }
  }
  set tmp {}
  foreach element $guiBOOLEANvars(selected_groups) {dict set tmp $element 1}
  set guiBOOLEANvars(selected_groups) [dict keys $tmp]

  set work {}
  set selected [guiSV_group_get_tree_current_surfaces_selected]
  if {$selected != ""} {
    foreach grp $selected {
     set col2var "[lindex [$tv item .groups.3d.$grp -values] 1]"
     set col3var "[lindex [$tv item .groups.3d.$grp -values] 2]"
     $tv item .groups.3d.$grp -values [list "X" $col2var $col3var]
     lappend guiBOOLEANvars(selected_seg3d) $grp
    }
  }
# remove duplicates
set tmp {}
foreach element $guiBOOLEANvars(selected_seg3d) {dict set tmp $element 1}
set guiBOOLEANvars(selected_seg3d) [dict keys $tmp]
}


# Procedure: guiSV_info_selected_members
proc guiSV_info_selected_members {} {
  global symbolicName
  set tv $symbolicName(guiSV_group_tree)
  set segs [guiSV_group_get_tree_current_members_selected]
  puts "segs $segs"
  foreach seg $segs {
    set id [lindex $seg 1]
    set grp [lindex $seg 0]
    puts "id: $id grp: $grp"

    if {![string is integer "$id"]} {

    puts "$grp $id not a contour"

    } else {
      set obj /group/$grp/$id
      puts "is contour $grp $id"

      set prnstr {}
      set prnstr2 "Groups: $grp Id: $id"
      foreach key [repos_getLabelKeys -obj $obj] {
        set value [repos_getLabel -obj $obj -key $key]
        set prnstr "$prnstr [format "%-36s: %-36s\n" $key $value]"
      }
      if {$prnstr =="" } { set prnstr "No Info on Member"}
      set prnstr "$prnstr2\n$prnstr"
      puts $prnstr
      tk_messageBox -default ok -icon info -message $prnstr

    }
  }
}


# Procedure: guiSV_path_change_name
proc guiSV_path_change_name {} {
  global guiSVvars
  set id $guiSVvars(path_entry_path_id)
  set name $guiSVvars(path_entry_path_name)
  if {$id == ""} {
    return -code error "Need to specify path ID"
  }
  global gPathPoints
  set gPathPoints($id,name) $name
  guiSV_path_update_tree
}


# Procedure: guiSV_path_change_number_spline_pts
proc guiSV_path_change_number_spline_pts {} {
  puts "NOT IMPLEMENTED YET!"
}


# Procedure: guiSV_path_delete_current_path
proc guiSV_path_delete_current_path {} {

  global symbolicName
  global gPathPoints
  global guiSVvars

  set allselected [guiSV_path_get_tree_current_paths_selected]

  set yesno [tk_messageBox -default no  -message "Really delete paths ($allselected)?  Cannot be undone."  -title "Confirm deleting path"  -type yesno]
  switch -- $yesno {
    yes {
    }
    no {
       return
    }
  }

  set mapping {}
  # find all the paths using the key name
  set funkynames [lsort -dictionary [array names gPathPoints *,name]]
  foreach funkyname $funkynames {
    set pathId [lindex [split [string trim $funkyname] ,] 0]
      if {[lsearch -exact $allselected $pathId] < 0} {
        lappend mapping [list $pathId $pathId]
      }
  }
  puts "mapping: $mapping"
  path_renumberPaths $mapping
  guiSV_path_update_tree
}


# Procedure: guiSV_path_fillTree
proc guiSV_path_fillTree { args} {

}


# Procedure: guiSV_path_get_tree_current_paths_selected
proc guiSV_path_get_tree_current_paths_selected {} {

  global symbolicName

  set tv $symbolicName(guiSV_path_tree)
  set children [$tv select]

  if {[lsearch -exact $children .paths.all] >= 0} {
    set children [$tv children .paths.all]
    if {$children == ""} {
       return
    }
  }
  foreach i $children {
    if [regexp .paths.all. $i] {
      set renamepath([lindex [split [string range $i 11 end] .] 0]) 1
    }
  }
  set allselected [lsort -integer [array names renamepath]]
  #puts "selected $allselected"
  return $allselected
}


# Procedure: guiSV_path_get_tree_current_points_selected
proc guiSV_path_get_tree_current_points_selected {} {
  global symbolicName
  global gPathPoints
  set tv $symbolicName(guiSV_path_tree)
  set children [$tv select]
  if {[lsearch -exact $children .paths.all] >= 0} {
    set children [$tv children .paths.all]
    if {$children == ""} {
       return
    }
  }
  # only want terminal nodes of tree
  set rtnpts {}
  foreach i $children {
    if [regexp .paths.all. $i] {
      if {[$tv children $i] != ""} {
        puts "skip ($i)"
        continue
      }
      set pathId [lindex [split [string range $i 11 end] .] 0]
      set posId [lindex [split $i .] end]

      lappend rtnpts [list $pathId $posId $gPathPoints($pathId,$posId)]
    }
  }
  puts "rtnpts $rtnpts"
  return $rtnpts
}


# Procedure: guiSV_path_insert_new_path
proc guiSV_path_insert_new_path {} {
  global guiSVvars
  set id $guiSVvars(path_entry_path_id)
  set name $guiSVvars(path_entry_path_name)
  set numSplinePts $guiSVvars(path_entry_number_spline_pts)
  if {$id == ""} {
    return -code error "Need to specify path ID"
  }
  if {$numSplinePts == ""} {
    set guiSVvars(path_entry_number_spline_pts) 100
  }
  global gPathPoints
  set gPathPoints($id,name) $name
  set gPathPoints($id,numSplinePts) $numSplinePts
  #set gPathPoints($id,creationTimestamp) [clock seconds]
  guiSV_path_update_tree
}


# Procedure: guiSV_path_paste_point_above
proc guiSV_path_paste_point_above {} {
    global guiSVvars
    if {$guiSVvars(path_copy_point) == ""} return
    guiPPchooserAddPointAboveSelection $guiSVvars(path_copy_point)
}


# Procedure: guiSV_path_paste_point_below
proc guiSV_path_paste_point_below {} {
    global guiSVvars
    if {$guiSVvars(path_copy_point) == ""} return
    guiPPchooserAddPointBelowSelection $guiSVvars(path_copy_point)
}


# Procedure: guiSV_path_renumber_current_path
proc guiSV_path_renumber_current_path {} {

  global symbolicName
  global gPathPoints
  global guiSVvars

  set tv $symbolicName(guiSV_path_tree)
  set children [$tv select]

  if {[lsearch -exact $children .paths.all] >= 0} {
    set children [$tv children .paths.all]
    if {$children == ""} {
       return
    }
  }
  foreach i $children {
    if [regexp .paths.all. $i] {
      set renamepath([lindex [split [string range $i 11 end] .] 0]) 1
    }
  }
  set allselected [lsort -integer [array names renamepath]]
  puts "selected $allselected"
  if {[llength $allselected] > 1} {
     return -code error "Can only rename one path at a time!"
  }

  set yesno [tk_messageBox -default no  -message "Really renumber path ID: ([lindex $allselected 0]) to ID: $guiSVvars(path_entry_path_id)?"  -title "Confirm path renumbering"  -type yesno]
  switch -- $yesno {
    yes {
    }
    no {
       return
    }
  }

  # find all the paths using the key name
  set funkynames [lsort -dictionary [array names gPathPoints *,name]]
  foreach funkyname $funkynames {
    set pathId [lindex [split [string trim $funkyname] ,] 0]
    if {$pathId != [lindex $allselected 0]} {
        lappend mapping [list $pathId $pathId]
    } else {
        lappend mapping [list $pathId $guiSVvars(path_entry_path_id)]
    }
    if {$pathId == $guiSVvars(path_entry_path_id)} {
      return -code error "cannot rename path to existing number"
    }
  }
  puts "mapping: $mapping"
  path_renumberPaths $mapping
  guiSV_path_update_tree
}


# Procedure: guiSV_path_selectTree
proc guiSV_path_selectTree { args} {
  puts "args: $args"
  set tv $args
  set children [$tv select]

  if {[lsearch -exact $children .paths.all] >= 0} {
    set children [$tv children .paths.all]
    if {$children == ""} {
       return
    }
  }
  foreach i $children {
    if [regexp .paths.all. $i] {
      set keeppath([lindex [split [string range $i 11 end] .] 0]) 1
    }
  }
  set allselected [lsort -integer [array names keeppath]]
  puts "selected $allselected"

  # only update the path id entry with the first occurance
  global guiSVvars
  global gPathPoints
  set guiSVvars(path_entry_path_id) [lindex $allselected 0]
  set guiSVvars(path_entry_path_name) $gPathPoints([lindex $allselected 0],name)
  if [catch {set guiSVvars(path_entry_number_spline_pts) $gPathPoints([lindex $allselected 0],numSplinePts)}] {
    set guiSVvars(path_entry_number_spline_pts) 100
  }

  # update displayed graphics
  guiPPchooserShowPath
  guiPPchooserShowSpline
}


# Procedure: guiSV_path_set_copy_point
proc guiSV_path_set_copy_point {} {
  global guiSVvars
  set selectedPoints [guiSV_path_get_tree_current_points_selected]
  if {[llength $selectedPoints] == 0 || [llength $selectedPoints] > 1 } {
    return -code error "Must select a single point in a path first!"
  }
  set guiSVvars(path_copy_point) [lindex [lindex $selectedPoints 0] 2]
}


# Procedure: guiSV_path_tree_scroll
proc guiSV_path_tree_scroll { args} {
  global symbolicName
  eval $symbolicName(guiSV_path_tree) yview $args
}


# Procedure: guiSV_path_tree_update_scrollbar
proc guiSV_path_tree_update_scrollbar { args} {
  global symbolicName
  eval $symbolicName(guiSV_path_tree_scrollbar) set $args
}


# Procedure: guiSV_path_update_tree
proc guiSV_path_update_tree {} {

    # need to populate the treeview with path points
    global symbolicName
    global gPathPoints

  global symbolicName
  set tv $symbolicName(guiSV_path_tree)
  if {[$symbolicName(guiSV_path_tree) children {}] != ""} {
    $symbolicName(guiSV_path_tree) delete .paths.all
  }

  #$tv insert {} 0 -id .paths -text "Paths" -open 0
  $tv insert {} 0 -id .paths.all -text "All Paths" -open 0
  #$tv insert .paths end -id .paths.sorted -text "Sorted Paths" -open 0
  $tv heading \#0 -text "Paths"

  global gPathPoints
  set pointIds {}

  # find all the paths using the key name
  set funkynames [lsort -dictionary [array names gPathPoints *,name]]

  foreach funkyname $funkynames {

    set pathID [lindex [split [string trim $funkyname] ,] 0]
    set pathName [lindex [split [string trim $funkyname] ,] 1]
    set pointIds {}

    foreach i [array names gPathPoints] {
      set ab [split $i ,]
      set a [lindex $ab 0]
      set b [lindex $ab 1]
      if {$a == $pathID} {
  if {$b == "name"} {
          set pathName $gPathPoints($i)
        } elseif {$b == "numSplinePts"} {
          set numSplinePts $gPathPoints($i)
  } elseif {$b == "splinePts"} {
          # skip splined path
  } elseif {$b == "creationTimestamp"} {
          # skip
        } elseif {$b == "lastUpdateTimestamp"} {
          # skip
        } else {
          lappend pointIds $b
  }
      }
    }

    $tv insert .paths.all end -id .paths.all.$pathID -text "$pathName     (ID: $pathID)  (Number of Spline Pts: $numSplinePts)"
    foreach pt [lsort -integer $pointIds] {
     $tv insert .paths.all.$pathID end -id .paths.all.$pathID.$pt -text "$gPathPoints($pathID,$pt)"
    }
  }

  $tv yview moveto 0
}


# Procedure: guiSV_seg3d_duplicate_seg
proc guiSV_seg3d_duplicate_seg {} {

    global guiSVvars
  global gui3Dvars
  global gSeg3D
  set newname $guiSVvars(groups_entry_seg3d_name)
  set name [lindex [guiSV_group_get_tree_current_surfaces_selected] 0]

  if {$name == ""} return
  if {$newname == ""} return
  set segPd $gSeg3D($name)

  if {[seg3d_add $newname $segPd] !=0} {
    set yesno [tk_messageBox -default no   -message "Do you want to replace $newname with this surface? This cannot be undone."  -title "Confirm overwrite surface"  -type yesno]
    switch -- $yesno {
      yes {
        puts "forcing"
        seg3d_addForce $newname $segPd
      }
      no {
       return
     }
   }

  }
  global gRen3d
  if {[vis_pExists $gRen3d $segPd]} {
           vis_pRm $gRen3d $segPd
         }


  set objName $gSeg3D($newname)
  guiSV_group_update_tree

  DestroyWindow.svSaveSegWindow

  guiSV_group_update_tree
  global symbolicName
  set tv $symbolicName(guiSV_group_tree)
  $tv see .groups.3d.$newname
  $tv selection set .groups.3d.$newname
  DestroyWindow.svSaveSegWindow
}


# Procedure: guiSV_seg3d_new_seg
proc guiSV_seg3d_new_seg {} {
  global guiSVvars
  global gui3Dvars
  global gSeg3D
  set name $guiSVvars(groups_entry_seg3d_name)

  set inPd $gui3Dvars(ls_finalSegmentation)
  catch {normals Delete}
  vtkPolyDataNormals normals
  normals SetInputData [repos_exportToVtk -src $inPd]
  normals FlipNormalsOn
  normals Update
  catch {cleaner Delete}
  vtkCleanPolyData cleaner
  cleaner ConvertPolysToLinesOff
  cleaner PointMergingOff
  cleaner ConvertLinesToPointsOff
  cleaner SetInputDataObject [normals GetOutput]
  cleaner Update

  set segPd $inPd/fliped
  set tmpPd $inPd/tmp
  catch {repos_delete -obj $segPd}
  catch {repos_delete -obj $tmpPd}
  repos_importVtkPd -src [cleaner GetOutput] -dst $tmpPd


  geom_smooth $tmpPd .01 50 $segPd

  catch {cleaner Delete}
  catch {normals Delete}
  if {$name == ""} return

  if {[seg3d_add $name $segPd] !=0} {

    set yesno [tk_messageBox -default no   -message "Do you want to replace $name? with this surface? This cannot be undone."  -title "Confirm overwrite surface"  -type yesno]
    switch -- $yesno {
      yes {
        puts "forcing"
        seg3d_addForce $name $segPd
      }
      no {
       return
     }
   }

  }

  set objName $gSeg3D($name)
  global gOptions
  repos_setLabel -obj $objName -key color -value $gOptions(color_for_saved_surface)
  repos_setLabel -obj $objName -key opacity -value $gOptions(opacity_for_saved_surface)

  guiSV_group_update_tree
  DestroyWindow.svSaveSegWindow
  global symbolicName
  set tv $symbolicName(guiSV_group_tree)

  global gRen3d
  if {[vis_pExists $gRen3d $gui3Dvars(ls_finalSegmentation)]} {
           vis_pRm $gRen3d $gui3Dvars(ls_finalSegmentation)
         }

  set tv $symbolicName(guiSV_group_tree)
  $tv see .groups.3d.$name
  $tv selection set .groups.3d.$name
  guiSV_solid_display_selected_groups 1
}


# Procedure: guiSV_seg3d_rename_seg
proc guiSV_seg3d_rename_seg {} {

  global guiSVvars
  global gui3Dvars
  global gSeg3D
  set newname $guiSVvars(groups_entry_seg3d_name)
  set name [lindex [guiSV_group_get_tree_current_surfaces_selected] 0]

  if {$name == ""} return
  if {$newname == ""} return
  set segPd $gSeg3D($name)

  if {[seg3d_add $newname $segPd] !=0} {

    set yesno [tk_messageBox -default no   -message "Do you want to replace $newname with this surface? This cannot be undone."  -title "Confirm overwrite surface"  -type yesno]
    switch -- $yesno {
      yes {
        puts "forcing"
        seg3d_addForce $newname $segPd
      }
      no {
       return
     }
   }

  }

  seg3d_delete $name
  global gRen3d
  if {[vis_pExists $gRen3d $segPd]} {
           vis_pRm $gRen3d $segPd
         }


  set objName $gSeg3D($newname)
  guiSV_group_update_tree

  DestroyWindow.svSaveSegWindow

  guiSV_group_update_tree
  global symbolicName
  set tv $symbolicName(guiSV_group_tree)
  $tv see .groups.3d.$newname
  $tv selection set .groups.3d.$newname
  DestroyWindow.svSaveSegWindow
}


# Procedure: guiSV_solid_change_selected_color
proc guiSV_solid_change_selected_color {} {
  global gRen3d
  global guiGROUPSvars
  global symbolicName
  global gRen3d

  set tv $symbolicName(guiSV_group_tree)

  set color [tk_chooseColor]
  if {$color == ""} return
  set r [expr (0x[string range $color 1 2])/255.0]
  set g [expr (0x[string range $color 3 4])/255.0]
  set b [expr (0x[string range $color 5 6])/255.0]

  set selected [guiSV_group_get_tree_current_groups_selected]
  if {$selected != ""} {
    foreach grp $selected {
      set objName /guiGROUPS/polydatasurface/$grp
      if {[repos_exists -obj $objName]} {
          catch {repos_clearLabel -obj $objName -key color}
          repos_setLabel -obj $objName -key color -value "$r $g $b"
          generalView $gRen3d $objName
        }
    }
  }

  global gSeg3D
  set selected [guiSV_group_get_tree_current_surfaces_selected]
  if {$selected != ""} {
  foreach grp $selected {
      set objName $gSeg3D($grp)
      if {[repos_exists -obj $objName]} {
        catch {repos_clearLabel -obj $objName -key color}
        repos_setLabel -obj $objName -key color -value "$r $g $b"
        generalView $gRen3d $objName
      }
    }
  }
  vis_render $gRen3d

  global lsGUImagWindow
  global lsGUIpotWindow
  if {$lsGUImagWindow(showSegSlice) == "1" || $lsGUIpotWindow(showSegSlice) == "1"} {
    lsGUIchangeFrame 0
  }
}


# Procedure: guiSV_solid_change_selected_opacity
proc guiSV_solid_change_selected_opacity { opacity} {
  global gRen3d
  global guiGROUPSvars
  global symbolicName
  global gRen3d

  set tv $symbolicName(guiSV_group_tree)
  set selected [guiSV_group_get_tree_current_groups_selected]
  if {$selected != ""} {
    foreach grp $selected {
      set objName /guiGROUPS/polydatasurface/$grp
      if {[repos_exists -obj $objName]} {
        catch {repos_clearLabel -obj $objName -key opacity}
        repos_setLabel -obj $objName -key opacity -value "$opacity"
        generalView $gRen3d $objName
      }
    }
  }

  global gSeg3D
  set selected [guiSV_group_get_tree_current_surfaces_selected]
  if {$selected != ""} {
  foreach grp $selected {
      set objName $gSeg3D($grp)
      if {[repos_exists -obj $objName]} {
        catch {repos_clearLabel -obj $objName -key opacity}
        repos_setLabel -obj $objName -key opacity -value "$opacity"
        generalView $gRen3d $objName
      }
    }
  }
  vis_render $gRen3d
}


# Procedure: guiSV_solid_display_selected_groups
proc guiSV_solid_display_selected_groups { showFlag} {
  global symbolicName
  global gRen3d
  global gOptions

  set tv $symbolicName(guiSV_group_tree)
  set selected [guiSV_group_get_tree_current_groups_selected]
  if {$selected != ""} {
    foreach grp $selected {
       set col1var "[lindex [$tv item .groups.all.$grp -values] 0]"
       set col2var "[lindex [$tv item .groups.all.$grp -values] 1]"
       set col3var "[lindex [$tv item .groups.all.$grp -values] 2]"
       #Hard coding here! The faint hearted should look away!
       set objName /guiGROUPS/polydatasurface/$grp
       if {$showFlag} {
         if {[vis_pExists $gRen3d $objName] != 1} {
              lsGUIloftGroup $grp
         } else {
          generalView $gRen3d $objName
         }
         $tv item .groups.all.$grp -values [list $col1var "X" $col3var]

       } else {
         if {[vis_pExists $gRen3d $objName]} {
           vis_pRm $gRen3d $objName
         }

         $tv item .groups.all.$grp -values [list $col1var "" $col3var]
       }
       vis_render $gRen3d
    }
  }
  #jtm solid display
  global gSeg3D
  set selected [guiSV_group_get_tree_current_surfaces_selected]
  if {$selected != ""} {
  foreach grp $selected {
       set col1var "[lindex [$tv item .groups.3d.$grp -values] 0]"
       set col2var "[lindex [$tv item .groups.3d.$grp -values] 1]"
       set col3var "[lindex [$tv item .groups.3d.$grp -values] 2]"
       #Hard coding here! The faint hearted should look away!
       set objName $gSeg3D($grp)
       if {$showFlag} {
        puts $objName
        if {[vis_pExists $gRen3d $objName]} {
           vis_pRm $gRen3d $objName
         }
        if {![repos_keyInUse $objName color]} {
          repos_setLabel -obj $objName -key color -value $gOptions(color_for_saved_surface)
        }
        if {![repos_keyInUse $objName opacity]} {
          repos_setLabel -obj $objName -key opacity -value $gOptions(opacity_for_saved_surface)
        }

        generalView $gRen3d $objName
        $tv item .groups.3d.$grp -values [list $col1var "X" $col3var]

       } else {
         if {[vis_pExists $gRen3d $objName]} {
           vis_pRm $gRen3d $objName
         }

         $tv item .groups.3d.$grp -values [list $col1var "" $col3var]
       }

       vis_render $gRen3d
    }
  }
}


# Procedure: guiSV_solid_loft_selected
proc guiSV_solid_loft_selected {} {
  global gRen3d
  global guiGROUPSvars
  global symbolicName
  global gRen3d

  set tv $symbolicName(guiSV_group_tree)
  set selected [guiSV_group_get_tree_current_groups_selected]
  if {$selected != ""} {
    foreach grp $selected {
       set col2var "[lindex [$tv item .groups.all.$grp -values] 1]"
       #Hard coding here! The faint hearted should look away!
       set objName /guiGROUPS/polydatasurface/$grp
       lsGUIloftGroup $grp
       if {$col2var == "X"} {
         generalView $gRen3d $objName
       } else {
         vis_pRm $gRen3d $objName
       }
       vis_render $gRen3d
    }
  }
}


# Procedure: guiSetMeshKernel
proc guiSetMeshKernel { kernel} {
  global gOptions

  set gOptions(meshing_kernel) $kernel
}


# Procedure: guiTETGEN_create_mesh
proc guiTETGEN_create_mesh {} {

  global gOptions
  set gOptions(meshing_kernel) TetGen

  mesh_setKernel -name $gOptions(meshing_kernel)

  guiMMlaunchInternal
}


# Procedure: guiTETGEN_load_existing_mesh
proc guiTETGEN_load_existing_mesh {} {

  global gOptions
  set gOptions(meshing_kernel) TetGen

  mesh_setKernel -name $gOptions(meshing_kernel)

  guiMMreadMesh
}


# Procedure: guiTETGEN_load_script_file
proc guiTETGEN_load_script_file {} {

  global gOptions
  set gOptions(meshing_kernel) TetGen
  set gOptions(meshing_solid_kernel) PolyData

  mesh_setKernel -name $gOptions(meshing_kernel)

  guiMMbrowseFileScript tet_mesh_script_file
}


# Procedure: guiTETGEN_save_script_file
proc guiTETGEN_save_script_file {} {

  global gOptions
  global gFilenames

  set gOptions(meshing_kernel) TetGen
  set gOptions(meshing_solid_kernel) PolyData
  set gFilenames(tet_mesh_script_file) $gFilenames(polydata_solid_file)

  mesh_setKernel -name $gOptions(meshing_kernel)

  # make sure the advanced attributes get updated from the text widget
  global symbolicName
  global guiTGvars
  set tbox $symbolicName(guiTETGENmeshControlAttributesTextBox)
  set guiTGvars(meshControlAttributes) [$tbox get 0.0 end]

  guiMMcreateScriptFile
}


# Procedure: guiTETGEN_select_solid_model
proc guiTETGEN_select_solid_model {} {

  global gFilenames
  global gOptions
  global gObjects
  global gRen3d
  global guiTGvars

  set gOptions(meshing_kernel) TetGen
  set gOptions(meshing_solid_kernel) PolyData
  catch {unset $guiTGvars(wallFaces)}

  # different file extensions for parasolid and discrete models
  if {$gOptions(meshing_solid_kernel) == "PolyData"} {
   set fn [tk_getOpenFile -filetypes {{LegacyVTK *.vtk} {vtkPolyData *.vtp} {Stereolithography *.stl} {"Polygon File Format" *.ply} {"All Files" *.*}} -title "Choose Solid Model"]
  } else {
    return -code error "ERROR: invalid meshing kernel!"
  }

  # no file selected
  if {$fn == ""} return

  set gFilenames(polydata_solid_file) $fn

  # load model and get face names (if available for polydata model)
  guiFNMloadSolidModel polydata_solid_file polydata_solid

  #display mesh model and update listboxes
  crd_ren gRenWin_3D_ren1
  global smasherInputName
  set smasherInputName $gObjects(polydata_solid)
  smasherGUIupdateViewWindow

  # automatically resize to see entire model
  vis_renReset $gRen3d
  vis_render $gRen3d
}


# Procedure: guiTETGEN_use_radius
proc guiTETGEN_use_radius {} {
  global guiTGvars

  if {$guiTGvars(useCenterlineRadius) == 1} {
    set guiTGvars(useFunctionBasedMeshing) 1
    set guiTGvars(functionBasedMeshingName) "DistanceToCenterlines"
  } elseif {$guiTGvars(useCenterlineRadius) == 0} {
    set guiTGvars(useFunctionBasedMeshing) 0
    set guiTGvars(functionBasedMeshingName) ""
  }
}


# Procedure: guiTETGENcreateMeshMacro
proc guiTETGENcreateMeshMacro { type} {

  global guiMMvars
  global guiTGvars
  global symbolicName
  set addstr {}


  if {$type == "localSize"} {
    global symbolicName
    set facename ""
    set facename [$symbolicName(smasherAttNameLabel) get]
    if {$facename == ""} {
       return -code error "ERROR: facename cannot be blank!"
    }
    set addstr "localSize $facename 0 $guiTGvars(localMeshSize)\n"
  } elseif {$type == "boundaryLayer"} {
    global symbolicName
    set facename ""
    set facename [$symbolicName(smasherAttNameLabel) get]
    if {$facename == ""} {
       return -code error "ERROR: facename cannot be blank!"
    }
    set addstr "boundaryLayer $facename $guiTGvars(numsublayers) $guiTGvars(blthicknessratio) $guiTGvars(sublayerratio)\n"
  } elseif {$type == "sphereRefinement"} {
    set addstr "sphereRefinement $guiTGvars(refinementSize) $guiTGvars(sphereRadius) $guiTGvars(sphereCenter)\n"
  } else {
    return -code error "ERROR: invalid code ($type)."
  }

  $symbolicName(guiTETGENmeshControlAttributesTextBox) insert end $addstr
}


# Procedure: guiTETGENestimateMeshSize
proc guiTETGENestimateMeshSize {} {
  global guiTGvars
  global guiPDvars
  global gPolyDataFaceNames
  global gPolyDataFaceNamesInfo
  global smasherInputName
  global gOptions
  global gObjects

  set gOptions(meshing_kernel) TetGen
  set gOptions(meshing_solid_kernel) PolyData

  set solid $gObjects(polydata_solid)
  if {[repos_exists -obj $solid] == 0} {
      set yesno [tk_messageBox -default yes -message "You have not loaded the solid model to use for meshing.  Load it now?" -title "Missing Solid Model" -type yesno]
      switch -- $yesno {
        yes {
              guiTETGEN_select_solid_model
        }
        no {
        }
      }
  }
  if {[repos_exists -obj $solid] == 0} {
       return -code error "ERROR:  you need to manually load meshing solid first!"
  }
  set smasherInputName $solid
  smasherGUIupdateViewWindow

  set min [expr 2^30]
  set faceIds [$solid GetFaceIds]
  foreach faceId $faceIds {
    set staticFaceId $faceId
    set area [geom_surfArea -src /tmp/smasher/$faceId/$staticFaceId]

    puts "Area: $area"
    if {$area < $min} {
      set min $area
    }
  }
  set edgesize [expr sqrt(($min)/(3.14159))/(2.5)]
  set edgesize [expr {double(round(10000*$edgesize))/10000}]
  set guiTGvars(meshMaxEdgeSize) $edgesize
}


# Procedure: guiTETGENselectWalls
proc guiTETGENselectWalls {} {
  global guiTGvars
  global gPolyDataFaceNames
  set all_grps [return_pd_region_names]
    ::swaplist::swaplist .guiCV.select_wall_faces guiTGvars(wallFaces) [lsort -dictionary [return_pd_region_names]] $guiTGvars(wallFaces) -title {Select Walls} -llabel {Not Walls} -rlabel {Walls}
}


# Procedure: guiTMwriteTrimModel1
proc guiTMwriteTrimModel1 {} {

  global symbolicName
  global gFilenames
  global gObjects

  set filename $gFilenames(preop_trimmed1_file)
  set modelname $gObjects(preop_trimmed1)

  if {[repos_exists -obj $modelname] == 0} {
    puts "Error:  Object $modelname does not exist!"
    return -code error "ERROR:  Object $modelname does not exist!"
  }
  if {[repos_type -obj $modelname] != "SolidModel"} {
    puts "Error:  Object $modelname is not a solid model!"
    return -code error "ERROR: Object $modelname is not a solid model!"
  }
  if {[file exists $filename] == "1"} {
    puts "Warning:  File $filename exists and will be overwritten!"
  }

  $modelname WriteNative -file [file rootname $filename]
}


# Procedure: guiTMwriteTrimModel2
proc guiTMwriteTrimModel2 {} {

  global symbolicName
  global gFilenames
  global gObjects

  set filename $gFilenames(preop_trimmed2_file)
  set modelname $gObjects(preop_trimmed2)

  if {[repos_exists -obj $modelname] == 0} {
    puts "Error:  Object $modelname does not exist!"
    return -code error "ERROR:  Object $modelname does not exist!"
  }
  if {[repos_type -obj $modelname] != "SolidModel"} {
    puts "Error:  Object $modelname is not a solid model!"
    return -code error "ERROR: Object $modelname is not a solid model!"
  }
  if {[file exists $filename] == "1"} {
    puts "Warning:  File $filename exists and will be overwritten!"
  }

  $modelname WriteNative -file [file rootname $filename]
}


# Procedure: guiTRIMaddCutBox
proc guiTRIMaddCutBox {} {
   global guiTRIMvars
   global symbolicName
   global gOptions
   global gKernel

   set model [guiSV_model_get_tree_current_models_selected]
   if {[llength $model] != 1} {
     return -code error "ERROR: Must select model from tree and only one allowed to be trimmed at a time"
   }
   set kernel $gKernel($model)
   if {$kernel != "PolyData"} {
     return -code error "ERROR: Kernel must be PolyData for operation"
   }
   set gOptions(meshing_solid_kernel) $kernel
   solid_setKernel -name $kernel

   #set oldmodel "[string trim $model]_boxtrimmed"
   guiSV_model_add_to_backup_list $kernel $model
   #if {[model_create $kernel $oldmodel] != 1} {
   #  guiSV_model_delete_model $kernel $oldmodel
   #  catch {repos_delete -obj /models/$kernel/$oldmodel}
   #  model_create $kernel $oldmodel
   #}

   set offset $guiTRIMvars(plane_offset)
   set side inside

   set vals $guiTRIMvars(box_interactor_planes_pts_and_nrms)

   set tbox $symbolicName(guiTRIMcutFileTB)
   $tbox insert end "\# planes side offset pt1x pt1y pt1z nrm1x nrm1y nrm1z pt2x...\n"
   $tbox insert end "box_planes $side $offset $vals\n"
   guiTRIMcreateCutBox $model $side $offset $vals
   guiSV_model_update_tree
   guiSV_model_update_view_model $kernel $model

   guiSV_model_update_tree
   guiSV_model_update_view_model $kernel $model
   #guiSV_model_update_new_solid $kernel $model $oldmodel
}


# Procedure: guiTRIMaddCutPlane
proc guiTRIMaddCutPlane { side} {
   global guiTRIMvars
   global symbolicName
   global gOptions
   global gKernel

   set model [guiSV_model_get_tree_current_models_selected]
   set kernel $gKernel($model)
   if {$kernel != "PolyData"} {
     return -code error "ERROR: Kernel must be PolyData for operation"
   }
   set gOptions(meshing_solid_kernel) $kernel
   solid_setKernel -name $kernel

   if {[llength $model] != 1} {
     return -code error "ERROR: Must select model from tree and only one allowed to be trimmed at a time"
   }
   #set oldmodel "[string trim $model]_boxtrimmed"
   guiSV_model_add_to_backup_list $kernel $model
   #if {[model_create $kernel $oldmodel] != 1} {
   #  guiSV_model_delete_model $kernel $oldmodel
   #  catch {repos_delete -obj /models/$kernel/$oldmodel}
   #  model_create $kernel $oldmodel
   #}

   set tbox $symbolicName(guiTRIMcutFileTB)
   set topRight $guiTRIMvars(plane_p1)
   set botRight $guiTRIMvars(plane_p2)
   set topLeft  $guiTRIMvars(plane_p3)
   set offset   $guiTRIMvars(plane_offset)
   $tbox insert end "\# plane side offset topRight botRight topLeft\n"
   $tbox insert end "plane $side $offset $topRight $botRight $topLeft\n"

   guiTRIMcreateCutPlane $model $side

   guiSV_model_update_tree
   guiSV_model_update_view_model $kernel $model
   #guiSV_model_update_new_solid $kernel $model $oldmodel
}


# Procedure: guiTRIMboxBeginInteraction
proc guiTRIMboxBeginInteraction {} {
  global gInteractorInteracting
  set gInteractorInteracting 1
}


# Procedure: guiTRIMboxEnableInteraction
proc guiTRIMboxEnableInteraction {} {
  global gInteractorInteracting
  set gInteractorInteracting 0
  global gInteractorRen
# the following line causes an error, why?
#  set guiTRIMvars(box_interactor_bounds) [vis_boxWidgetGetBB $gInteractorRen guiTRIM]
}


# Procedure: guiTRIMboxEndInteraction
proc guiTRIMboxEndInteraction {} {
  global gInteractorInteracting
  set gInteractorInteracting 0
}


# Procedure: guiTRIMboxInteract
proc guiTRIMboxInteract {} {
  global gInteractorRen
  global guiTRIMvars
  set guiTRIMvars(box_interactor_bounds) [vis_boxWidgetGetBB $gInteractorRen guiTRIM]
  set vals [vis_boxWidgetGetPlanesPtsAndNrms $gInteractorRen guiTRIM]
  set guiTRIMvars(box_interactor_planes_pts_and_nrms) $vals
}


# Procedure: guiTRIMbrowseCutsFile
proc guiTRIMbrowseCutsFile {} {
   global gFilenames
   set fn [tk_getOpenFile -filetypes {{CUTS *.cuts} {"All Files" *.*}} -title "Choose Cuts File"]
   if {$fn != ""} {
     set gFilenames(trim_cuts_file) $fn
   }
  return
}


# Procedure: guiTRIMbrowseSeg
proc guiTRIMbrowseSeg {} {
  global gFilenames
    set fn [tk_getOpenFile -filetypes {{VTK *.vtk} {VTK *.vtp} {"All Files" *.*}} -title "Choose VTK PolyData File"]
   if {$fn != ""} {
     set gFilenames(segmentation_file) $fn
   }
  return
}


# Procedure: guiTRIMcreateCutPlane
proc guiTRIMcreateCutPlane { side} {

  global gui3Dvars
  global guiTRIMvars
  global gRen3d
  global guiPDvars
  global smasherInputName

  set obj  $gui3Dvars(polydata_change_obj)
  set Bobj $gui3Dvars(polydata_change_backup_obj)
#  set tmpcutpd /guiTRIM/tmpcutpd
  catch {repos_delete -obj $Bobj}
  if {$guiPDvars(updatedSolid) == 1} {
     if {[catch {$smasherInputName GetPolyData -result $Bobj} errmsg] != 0} {
      tk_messageBox -title "Load Solid Model Please"  -type ok -message "WARNING: You need to load a solid model before cutting with plane"
      return
    }
  } else {
     if {[catch {geom_copy -src $obj -dst $Bobj} errmsg] != 0} {
      tk_messageBox -title "Load Solid Model Please"  -type ok -message "WARNING: You need to load a solid model before cutting with plane"
      return
    }
  }

  set clipper tmp-guiTRIM-clipper

  set plane guiTRIMcreateCutPlane-Plane
  set impPlane guiTRIMcreateCutPlane-Imp

  set reposPlane /guiTRIM/slice_plane

  catch {$clipper Delete}
  catch {$plane Delete}
  catch {$impPlane Delete}

  catch {repos_delete -obj $reposPlane}

  set topRight $guiTRIMvars(plane_p1)
  set botRight $guiTRIMvars(plane_p2)
  set topLeft  $guiTRIMvars(plane_p3)

  if {[llength $topRight] != 3 ||
      [llength $botRight] != 3 ||
      [llength $topLeft] != 3} {
    return
    #return -code error "ERROR:  incorrect length of corner pts."
  }

  # create the explicit cut plane

  vtkPlaneSource $plane
  $plane SetOrigin [lindex $topRight 0] [lindex $topRight 1] [lindex $topRight 2]
  $plane SetPoint1 [lindex $topLeft 0] [lindex $topLeft 1] [lindex $topLeft 2]
  $plane SetPoint2 [lindex $botRight 0] [lindex $botRight 1] [lindex $botRight 2]
  $plane Update
  set nrm [$plane GetNormal]
  repos_importVtkPd -src [$plane GetOutput] -dst $reposPlane

  # create the implicit cut plane
  vtkPlane $impPlane
  $impPlane SetOrigin [lindex $topRight 0] [lindex $topRight 1] [lindex $topRight 2]
  $impPlane SetNormal [lindex $nrm 0] [lindex $nrm 1] [lindex $nrm 2]

  # do the clipping
  #puts "Using clipper..."
  catch {$clipper Delete}
  vtkClipPolyData $clipper
  $clipper SetInputDataObject [repos_exportToVtk -src $Bobj]
  $clipper GenerateClippedOutputOn
  $clipper SetClipFunction $impPlane
  $clipper SetValue $guiTRIMvars(plane_offset)
  $clipper Update

  global gRen3d

  set ren $gRen3d

  global gRen3dFreeze
  if {$gRen3dFreeze > 0} {
    set alreadyfrozen 1
  } else {
    set alreadyfrozen 0
    set gRen3dFreeze 1
  }

  if {$guiTRIMvars(vis_cut_surface) != 0} {
    vis_pRm $gRen3d $obj
  }

  set triangulator tmp-guiTRIM-triangulator
  catch {$triangulator Delete}
  vtkFillHolesFilter $triangulator

  if {$side == "above"} {
    $triangulator SetInputDataObject [$clipper GetOutput]
  } else {
    $triangulator SetInputDataObject [$clipper GetClippedOutput]
  }
  $triangulator Update
  catch {repos_delete -obj $obj}
  repos_importVtkPd -src [$triangulator GetOutput] -dst $obj

  global guiTRIMvars
  set guiTRIMvars(num_tris) [[repos_exportToVtk -src $obj] GetNumberOfCells]

  set guiPDvars(updatedSolid) 0
  guiTRIMvis vis_cut_surface

  $triangulator Delete
  $clipper Delete
  $plane Delete

  if {$alreadyfrozen == 0} {
    set gRen3dFreeze 0
    vis_render $ren
  }
}


# Procedure: guiTRIMcreateSolid
proc guiTRIMcreateSolid {} {
  set cutpd /guiTRIM/cutPD
  set outModel trimmed_discrete_model
  catch {repos_delete -obj $outModel}
  set curKernel [solid_getKernel]
  solid_setKernel -name Discrete
  global guiTRIMvars
  if [catch {solid_poly3dSolid -result $outModel -src $cutpd -facet Union -angle $guiTRIMvars(discrete_angle)} msg] {
    return -code error "ERROR creating solid ($msg)"
  }
  tk_messageBox -message "Model creation complete.\nModel has [llength [$outModel GetFaceIds]] faces."
  #$outModel WriteNative -file $fn
  global gDiscreteModelFaceNames
  global gPolyDataFaceNames
  set allids [$outModel GetFaceIds]
  foreach id $allids {
#     set gDiscreteModelFaceNames($id) "noname_$id"
      set gDiscreteModelFaceNames($id) $gPolyDataFaceNames($id)
  }
  solid_setKernel -name $curKernel

  global smasherInputName
  set smasherInputName trimmed_discrete_model

  global gOptions
  set gOptions(meshing_solid_kernel) Discrete

  if {$smasherInputName == "trimmed_discrete_model"} {
    smasherGUIupdateViewWindow
  }
}


# Procedure: guiTRIMcutRefresh
proc guiTRIMcutRefresh {} {
  # replace object with original and then
  # process the current cut file
  set wsspd /guiTRIM/initialPD
  set cutpd /guiTRIM/cutPD

  catch {repos_delete -obj $cutpd}
  if {[catch {geom_copy -src $wsspd -dst $cutpd} errmsg] != 0} {
   tk_messageBox -title "Load Solid Model Please"  -type ok -message "WARNING: You need to load a solid before viewing"
   return
  }

  # update display if cut is shown
  guiTRIMvis vis_cut_surface

  global symbolicName
  global guiTRIMvars
  set mytext {}
  set tbox $symbolicName(guiTRIMcutFileTB)
  set numlines [lindex [split [$tbox index end] .] 0]
  for {set i 1} {$i < $numlines} {incr i} {
    set line [$tbox get $i.0 $i.end]
    set line [string trim $line]
    if {[string length $line] == 0} {
      continue
    }
    if {[string index $line 0] == "\#"} {
      continue
    }
    if {[lindex $line 0] == "plane"} {
      set side [lindex $line 1]
      set offset [lindex $line 2]
      set topRight [lrange $line 3 5]
      set botRight [lrange $line 6 8]
      set topLeft  [lrange $line 9 11]
      set guiTRIMvars(plane_p1) $topRight
      set guiTRIMvars(plane_p2) $botRight
      set guiTRIMvars(plane_p3) $topLeft
      set guiTRIMvars(plane_offset) $offset
      guiTRIMcreateCutPlane $side
    } elseif {[lindex $line 0] == "box_planes"} {
      set side [lindex $line 1]
      set offset [lindex $line 2]
      set vals [lrange $line 3 end]
      guiTRIMcreateCutBox $side $offset $vals
    }
  }
}


# Procedure: guiTRIMloadCutsFile
proc guiTRIMloadCutsFile {} {

  global guiTRIMvars
  global gFilenames
  global symbolicName

   global gFilenames
   set fn [tk_getOpenFile -filetypes {{CUTS *.cuts} {"All Files" *.*}} -title "Choose Cuts File"]
   if {$fn == ""} {
     return
   }

  set gFilenames(trim_cuts_file) $fn

  set mytext {}
  set tbox $symbolicName(guiTRIMcutFileTB)
  $tbox delete 1.0 end
  set fp [open $gFilenames(trim_cuts_file) r]
  set i 1
  while {[gets $fp line] >= 0} {
    $tbox insert $i.0 "$line\n"
    set mytext "$mytext$line\n"
    incr i
  }
  set guiTRIMvars(loaded_cut_file_text) $mytext

  close $fp
}


# Procedure: guiTRIMloadSeg
proc guiTRIMloadSeg {} {

  global gFilenames
  global guiTRIMvars
  global symbolicName

  global gFilenames
  set fn [tk_getOpenFile -filetypes {{VTK *.vtk} {VTK *.vtp} {"All Files" *.*}} -title "Choose VTK PolyData File"]
   if {$fn == ""} {
     return $fn
   }

   set gFilenames(segmentation_file) $fn

  set initpd /guiTRIM/initialPD
  set cutpd /guiTRIM/cutPD

  catch {repos_delete -obj $initpd}
  repos_readXMLPolyData $gFilenames(segmentation_file) $initpd

  global guiTRIMvars
  set guiTRIMvars(num_tris) [[repos_exportToVtk -src $initpd] GetNumberOfCells]

  catch {repos_delete -obj $cutpd}
  geom_copy -src $initpd -dst $cutpd

  # update display if cut is shown
  guiTRIMvis vis_cut_surface

  return $fn
}


# Procedure: guiTRIMplaneBeginInteraction
proc guiTRIMplaneBeginInteraction {} {
  global gInteractorInteracting
  set gInteractorInteracting 1
}


# Procedure: guiTRIMplaneEnableInteraction
proc guiTRIMplaneEnableInteraction {} {
  global gInteractorInteracting
  set gInteractorInteracting 0

  global guiTRIMvars

  set wsspd /guiTRIM/initialPD
  set bbox [geom_bbox -obj $wsspd]

  global gRen3d
  if {$guiTRIMvars(plane_p1) == "" || $guiTRIMvars(plane_p2) == "" || $guiTRIMvars(plane_p3) == ""} {
    set cX [expr double([lindex $bbox 1] + [lindex $bbox 0])/2.0]
    set cY [expr double([lindex $bbox 3] + [lindex $bbox 2])/2.0]
    set cZ [expr double([lindex $bbox 5] + [lindex $bbox 4])/2.0]
    vis_planeWidgetSetCenter $gRen3d guiTRIM $cX $cY $cZ
    vis_planeWidgetSetNormal $gRen3d guiTRIM 0 0 1
    set guiTRIMvars(plane_p1) [vis_planeWidgetGetOrigin $gRen3d guiTRIM]
    set guiTRIMvars(plane_p2) [vis_planeWidgetGetPoint1 $gRen3d guiTRIM]
    set guiTRIMvars(plane_p3) [vis_planeWidgetGetPoint2 $gRen3d guiTRIM]
  }
}


# Procedure: guiTRIMplaneEndInteraction
proc guiTRIMplaneEndInteraction {} {
  global gInteractorInteracting
  set gInteractorInteracting 0
}


# Procedure: guiTRIMplaneInteract
proc guiTRIMplaneInteract {} {
  global guiTRIMvars
  global gInteractorRen
  set guiTRIMvars(plane_p1) [vis_planeWidgetGetOrigin $gInteractorRen guiTRIM]
  set guiTRIMvars(plane_p2) [vis_planeWidgetGetPoint1 $gInteractorRen guiTRIM]
  set guiTRIMvars(plane_p3) [vis_planeWidgetGetPoint2 $gInteractorRen guiTRIM]
  set guiTRIMvars(plane_center) [vis_planeWidgetGetCenter $gInteractorRen guiTRIM]
  set guiTRIMvars(plane_normal) [vis_planeWidgetGetNormal $gInteractorRen guiTRIM]
}


# Procedure: guiTRIMsaveCutsFile
proc guiTRIMsaveCutsFile {} {
  global guiTRIMvars
  global gFilenames
  global symbolicName

  set tbox $symbolicName(guiTRIMcutFileTB)

  set fp [open $gFilenames(trim_cuts_file) w]
  puts $fp [$tbox get 1.0 end-1c]
  close $fp
}


# Procedure: guiTRIMsaveSeg
proc guiTRIMsaveSeg {} {

  global gFilenames
  global guiTRIMvars
  global symbolicName

  set cutpd /guiTRIM/cutPD

  set initialdirectory [file dirname $gFilenames(segmentation_cut_out_file)]
  set initialfilename [file tail $gFilenames(segmentation_cut_out_file)]
  set fn [tk_getSaveFile -filetypes { {"VTK" .vtp}} -defaultextension .vtp -title "Save Cut Surface File" -initialfile $initialfilename -initialdir $initialdirectory ]

  if {$fn == ""} {
     puts "User Cancelled."
     return
  }

  set gFilenames(segmentation_cut_out_file) $fn
  repos_writeXMLPolyData $cutpd $fn
}


# Procedure: guiTRIMsaveSolid
proc guiTRIMsaveSolid {} {

  set fn [tk_getSaveFile -filetypes {{"discrete model" .dsm} {"all files" *}} -title "Save Discrete Solid Model File"]
  if {$fn == ""} {
     puts "User Cancelled."
     return
  }
  set cutpd /guiTRIM/cutPD
  set outModel trimmed_discrete_model
  catch {repos_delete -obj $outModel}
  set curKernel [solid_getKernel]
  solid_setKernel -name Discrete
  solid_poly3dSolid -result $outModel -src $cutpd -facet Union


  puts "Writing discrete model ($fn)"
  $outModel WriteNative -file $fn
  puts "Done writing discrete model."

  package require md5
  puts "Writing file ($fn.facenames)"
  set mymd5 [::md5::md5 -hex -file $fn]
  set fp [open $fn.facenames w]
  fconfigure $fp -translation lf
  global gDiscreteModelFaceNames
  set allids [lsort -integer [array names gDiscreteModelFaceNames]]
  puts $fp "\# user defined face id to name mapping for model file ($fn)"
  set timestamp [clock seconds]
  puts $fp "\# timestamp: $timestamp  ([clock format $timestamp])"
  puts $fp ""
  puts $fp "global gDiscreteModelFaceNames"
  puts $fp "global gDiscreteModelFaceNamesInfo"
  puts $fp ""
  puts $fp "set gDiscreteModelFaceNamesInfo(timestamp) \{$timestamp\}"
  puts $fp "set gDiscreteModelFaceNamesInfo(model_file_md5) \{$mymd5\}"
  puts $fp "set gDiscreteModelFaceNamesInfo(model_file_name) \{[file tail $fn]\}"
  puts $fp ""
  foreach id $allids {
    puts $fp "set gDiscreteModelFaceNames($id) \{$gDiscreteModelFaceNames($id)\}"
  }
  close $fp
  puts "Done writing facenames file."

  solid_setKernel -name $curKernel
}


# Procedure: guiTRIMvis
proc guiTRIMvis { flag} {

  global gui3Dvars
  global guiTRIMvars
  global gRen3d
  global guiPDvars
  global smasherInputName
  global gOptions

  set visflag 0
  if {$flag == "vis_boxInteractor" && $guiTRIMvars(vis_boxInteractor)} {
    set visflag 1
  }
  if {$flag == "vis_planeInteractor" && $guiTRIMvars(vis_planeInteractor)} {
    set visflag 1
  }
  set kernel $gOptions(meshing_solid_kernel)
  if {$kernel != "PolyData"} {
    return -code error "ERROR: Kernel must be PolyData for operation"
  }
  set model [guiSV_model_get_tree_current_models_selected]
  if {[llength $model] != 1 && $visflag == 1} {
    if {$flag == "vis_boxInteractor"} {
      set guiTRIMvars(vis_boxInteractor) 0
    }
    if {$flag == "vis_planeInteractor"} {
      set guiTRIMvars(vis_planeInteractor) 0
    }
    return -code error "ERROR: Must select model from tree and only one should be selected to show interactor"
  }
  set modelpd /models/$kernel/$model
  catch {repos_delete -obj $modelpd}
  $model GetPolyData -result $modelpd

  set ren $gRen3d

  global gRen3dFreeze
  if {$gRen3dFreeze > 0} {
    set alreadyfrozen 1
  } else {
    set alreadyfrozen 0
    set gRen3dFreeze 1
  }

  if {$flag == "vis_boxInteractor"} {
    if {$guiTRIMvars(vis_boxInteractor) == 0} {
      catch {vis_boxWidgetRm $gRen3d guiTRIM}
    } else {
      catch {vis_boxWidgetRm $gRen3d guiTRIM}
      vis_boxWidgetAdd $gRen3d [repos_exportToVtk -src $modelpd] guiTRIM  guiTRIMboxEnableInteraction  guiTRIMboxBeginInteraction  guiTRIMboxInteract  guiTRIMboxEndInteraction
      vis_boxWidgetOn $gRen3d guiTRIM
      vis_boxWidgetRotateOn $gRen3d guiTRIM
    }
  }

  if {$flag == "vis_planeInteractor"} {
    if {$guiTRIMvars(vis_planeInteractor) == 0} {
      catch {vis_planeWidgetRm $gRen3d guiTRIM}
    } else {
      catch {vis_planeWidgetRm $gRen3d guiTRIM}
      vis_planeWidgetAdd $gRen3d [repos_exportToVtk -src $modelpd] guiTRIM  guiTRIMplaneEnableInteraction  guiTRIMplaneBeginInteraction  guiTRIMplaneInteract  guiTRIMplaneEndInteraction
      vis_planeWidgetOn $gRen3d guiTRIM
    }
  }

  #if {$flag == "vis_initial_surface"} {
  #  if {$guiTRIMvars(vis_initial_surface) == 0} {
  #    catch {vis_pRm $gRen3d $obj}
  #  } else {
  #    catch {vis_pRm $gRen3d $obj}
  #    vis_pRepos $gRen3d $obj
  #    set actor [vis_pGetActor $ren $obj]
  #    [$actor GetMapper] ScalarVisibilityOn
  #    [$actor GetMapper] SetLookupTable gBlueToRedLUT
  #    [$actor GetMapper] SetScalarRange $guiTRIMvars(area_min_value) $guiTRIMvars(area_max_value)
  #  }
  #}

  #if {$flag == "vis_cut_surface"} {
  #  crd_ren gRenWin_3D_ren1
  #  if {$guiTRIMvars(vis_cut_surface) == 0} {
  #    catch {vis_pRm $gRen3d $Bobj}
  #  } else {
  #    catch {vis_pRm $gRen3d $Bobj}
  #    vis_pRepos $gRen3d $Bobj
  #    set actor [vis_pGetActor $ren $Bobj]
  #    [$actor GetMapper] ScalarVisibilityOn
  #    [$actor GetMapper] SetLookupTable gBlueToRedLUT
  #    [$actor GetMapper] SetScalarRange $guiTRIMvars(area_min_value) $guiTRIMvars(area_max_value)
  #  }
  #}

  if {$alreadyfrozen == 0} {
    set gRen3dFreeze 0
    vis_render $ren
  }
}


# Procedure: guiVIScalcOutletFlows
proc guiVIScalcOutletFlows { type choice} {

    global guiVISvars
    set theMesh $guiVISvars(mesh_vtk_obj)

    if {$choice == "plot"} {
    return -code error "ERROR:  not implemented yet!"
    } elseif {$choice != "saveFile"} {
    return -code error "ERROR:  invalid choice \"$choice\""
    }

   global guiVISvars
   global gFilenames

   # find steps
   set step_start 0
   set step_stop [expr [llength $guiVISvars(all_results_names)]-1]
   set steps [string_parse $guiVISvars(outlet_selectedSteps) $step_start $step_stop]
   if {[llength $steps] == 0} {
     return -code error "ERROR:  no steps specified."
   }

   # loop over the named faces on the specified solid model

   set solid $guiVISvars(solidModelName)
   if {[repos_exists -obj $solid] == 0} {
      return -code error "ERROR: $solid does not exist."
   }
   if {[repos_type -obj $solid] != "SolidModel"} {
      return -code error "ERROR: repos object $solid not of type SolidModel."
   }

   # find the named faces on the solid model
   set faces {}

   global gOptions
   if {$gOptions(meshing_solid_kernel) == "Parasolid"} {
     foreach id [$solid GetFaceIds] {
       set face [$solid GetFaceAttr -attr gdscName -faceId $id]
       if {$face != ""} {
         lappend faces $face
         set unitOutwardNormal [$solid GetFaceNormal -face $id -u 0 -v 0]
         set unitOutwardNormal [math_normalize $unitOutwardNormal]
         set normals($face) $unitOutwardNormal
       }
     }
   } elseif {$gOptions(meshing_solid_kernel) == "Discrete"} {
     foreach id [$solid GetFaceIds] {
       set face noname_$id
       lappend faces $face
       # normal is ignored now
       set normals($face) "0 0 0"
     }
   } else {
     return -code error "ERROR:  invalid solid model type!"
   }

   if {[llength $faces] == 0} {
     return -code error "ERROR:  no named faces found on solid."
   }

   global gOptions
   # need to make sure this variable exists!!
   if {$gOptions(exclude_walls_from_flows) == 1} {
     set original_faces $faces
     set faces {}
     foreach face $original_faces {
       if {[string tolower [string range $face 0 3]] != "wall"} {
         lappend faces $face
       }
     }
   }

   set faces [lsort -dictionary $faces]

   # read in the vtk objects for the named faces
   repos_deleteList [repos_subList /guiVIS/outlet/face/*]
   foreach face $faces {
      set fn [file join $gFilenames(mesh_faces_dir) $face.vtk]
      puts "Reading ($face) from file ($fn)."
      repos_readVtkPolyData -file $fn -obj /guiVIS/outlet/face/$face
   }

   foreach step $steps {

     guiVISchangeStep $step

     foreach face $faces {
       set flow {}
       guiVISflowThruFace /guiVIS/outlet/face/$face $normals($face) $type flow
       set flow_results($face,$step) $flow
     }

   }

   # output results

   if {$type == "flow"} {
     set fp [open $guiVISvars(outlet_flow_results_file) w]
   } elseif {$type =="pressure"} {
     set fp [open $guiVISvars(outlet_pressure_results_file) w]
   } elseif {$type =="energy"} {
     set fp [open $guiVISvars(energy_flux_results_file) w]
   } else {
     return -code error "ERROR: invalid type ($type)"
   }

   fconfigure $fp -translation lf

   puts -nonewline $fp "step\t"
   foreach face $faces {
     puts -nonewline $fp "$face\t"
   }
   puts $fp "total"

   foreach face $faces {
     set avgs($face) 0.0
   }

   foreach step $steps {
     puts -nonewline $fp "$step\t"
     set total 0.0
     foreach face $faces {
       if {$flow_results($face,$step) == "non-planar"} {
         puts -nonewline $fp [format "%12s\t" $flow_results($face,$step)]
       } else {
   puts -nonewline $fp [format "%+012.5E\t" $flow_results($face,$step)]
         set total [expr double($total) + double ($flow_results($face,$step))]
         set avgs($face) [expr double($avgs($face)) + double ($flow_results($face,$step))]
       }
     }
     if {$type == "flow"} {
       puts $fp [format "%+012.5E\t" $total]
     } else {
       puts $fp ""
     }
   }
   puts -nonewline $fp "average\t"
   foreach face $faces {
     puts -nonewline $fp [format "%+012.5E\t" [expr $avgs($face)/double([llength $steps])]]
   }
   puts $fp ""

   close $fp
}


# Procedure: guiVIScalcOutletResistances
proc guiVIScalcOutletResistances {} {

  global guiVISvars
  set flowfn $guiVISvars(outlet_flow_results_file)
  set meanfn $guiVISvars(outlet_pressure_results_file)
  set outfn $guiVISvars(outlet_resistance_results_file)

  set flowfp [open $flowfn r]
  set meanfp [open $meanfn r]

  catch {unset flow}
  catch {unset mean}
  catch {unset resistance}
  catch {unset skipped}

  gets $flowfp flow_title
  gets $meanfp mean_title

  set numPieces [expr [llength $flow_title] - 1]
  for {set i 0} {$i < $numPieces} {incr i} {
     set skipped($i) 0
  }

  while {[gets $flowfp flowline] >= 0} {
    gets $meanfp meanline
    set step [lindex $flowline 0]
    set flows {}
    set means {}
    set resistances {}
    for {set i 1} {$i < $numPieces} {incr i} {
      set q [lindex $flowline $i]
      set p [lindex $meanline $i]
      if {$q == "non-planar"} {
        set skipped($i) 1
      } else {
        if {$step == "average"} {
    if {$skipped($i) != 0} {
            continue
    }
        }
  if {[expr abs($q)] < 0.001} {
          set r 0.0
  } elseif [catch {set r [expr $p / $q]} msg] {
          puts "ERROR: $msg"
    puts "P: $p Q: $q column: [lindex $flow_title $i]"
          set r 9999999999.99
  }
        lappend flows $q
        lappend means $p
        lappend resistances $r
      }
    }
    set flow($step) $flows
    set mean($step) $means
    set resistance($step) $resistances
  }

  close $flowfp
  close $meanfp

  set fp [open $outfn w]

  puts $fp "pressure"
  for {set i 0} {$i < [expr [llength $flow_title] - 1]} {incr i} {
     if {$skipped($i) == 0} {
       puts -nonewline $fp "[lindex $flow_title $i]\t"
     }
  }
  puts $fp ""

  set numSteps [llength [array names mean]]
  for {set i 0} {$i < $numSteps} {incr i} {
    if {$i == [expr $numSteps -1]} {
      set step average
    } else {
      set step $i
    }
    puts -nonewline $fp "$step"
    for {set j 0} {$j < [llength $mean($step)]} {incr j} {
      puts -nonewline $fp "\t[lindex $mean($step) $j]"
    }
    puts $fp ""
  }

  puts $fp "\n"

  puts $fp "flow"

  for {set i 0} {$i < [expr [llength $flow_title] - 1]} {incr i} {
    if {$skipped($i) == 0} {
      puts -nonewline $fp "[lindex $flow_title $i]\t"
    }
  }
  puts $fp ""

  set numSteps [llength [array names flow]]
  for {set i 0} {$i < $numSteps} {incr i} {
    if {$i == [expr $numSteps -1]} {
      set step average
    } else {
      set step $i
    }
    puts -nonewline $fp "$step"
    for {set j 0} {$j < [llength $flow($step)]} {incr j} {
      puts -nonewline $fp "\t[lindex $flow($step) $j]"
    }
    puts $fp ""
  }

  puts $fp "\n"

  puts $fp "resistance"

  for {set i 0} {$i < [expr [llength $flow_title] - 1]} {incr i} {
    if {$skipped($i) == 0} {
      puts -nonewline $fp "[lindex $flow_title $i]\t"
    }
  }
  puts $fp ""

  set numSteps [llength [array names resistance]]
  for {set i 0} {$i < $numSteps} {incr i} {
    if {$i == [expr $numSteps -1]} {
      set step average
    } else {
      set step $i
    }
    puts -nonewline $fp "$step"
    for {set j 0} {$j < [llength $resistance($step)]} {incr j} {
      puts -nonewline $fp "\t[lindex $resistance($step) $j]"
    }
    puts $fp ""
  }

  puts $fp "\n\n\n  ASSUMING MODEL IS IN mm, DO FOLLOWING UNIT CONVERSIONS:"
  puts $fp "             Pressure to mmHg"
  puts $fp "             FLOW to ml/min"
  puts $fp "             Resistance to CGS"
  puts $fp "\n"

  puts $fp "pressure"

  for {set i 0} {$i < [expr [llength $flow_title] - 1]} {incr i} {
    if {$skipped($i) == 0} {
      puts -nonewline $fp "[lindex $flow_title $i]\t"
    }
  }
  puts $fp ""

  set numSteps [llength [array names mean]]
  for {set i 0} {$i < $numSteps} {incr i} {
    if {$i == [expr $numSteps -1]} {
      set step average
    } else {
      set step $i
    }
    puts -nonewline $fp "$step"
    for {set j 0} {$j < [llength $mean($step)]} {incr j} {
      puts -nonewline $fp "\t[expr [lindex $mean($step) $j] * 10.0/1333.27]"
    }
    puts $fp ""
  }

  puts $fp "\n"

  puts $fp "flow"

  for {set i 0} {$i < [expr [llength $flow_title] - 1]} {incr i} {
    if {$skipped($i) == 0} {
      puts -nonewline $fp "[lindex $flow_title $i]\t"
    }
  }
  puts $fp ""

  set numSteps [llength [array names flow]]
  for {set i 0} {$i < $numSteps} {incr i} {
    if {$i == [expr $numSteps -1]} {
      set step average
    } else {
      set step $i
    }
    puts -nonewline $fp "$step"
    for {set j 0} {$j < [llength $flow($step)]} {incr j} {
      puts -nonewline $fp "\t[expr [lindex $flow($step) $j] * 60.0/1000.0]"
    }
    puts $fp ""
  }

  puts $fp "\n"

  puts $fp "resistance"

  for {set i 0} {$i < [expr [llength $flow_title] - 1]} {incr i} {
    if {$skipped($i) == 0} {
      puts -nonewline $fp "[lindex $flow_title $i]\t"
    }
  }
  puts $fp ""

  set numSteps [llength [array names resistance]]
  for {set i 0} {$i < $numSteps} {incr i} {
    if {$i == [expr $numSteps -1]} {
      set step average
    } else {
      set step $i
    }
    puts -nonewline $fp "$step"
    for {set j 0} {$j < [llength $resistance($step)]} {incr j} {
      puts -nonewline $fp "\t[expr [lindex $resistance($step) $j] * 10000.0]"
    }
    puts $fp ""
  }

  close $fp
}


# Procedure: guiVIScalcPathResults
proc guiVIScalcPathResults { choice} {

    global guiVISvars
    set theMesh $guiVISvars(mesh_vtk_obj)

    if {$choice == "plot"} {
    return -code error "ERROR:  not implemented yet!"
    } elseif {$choice != "saveFile"} {
    return -code error "ERROR:  invalid choice \"$choice\""
    }

   global lsGUIcurrentPathNumber
   global gPathPoints
   global guiVISvars

   set pathId $lsGUIcurrentPathNumber
   set outType $guiVISvars(plotpath_type)
   if {[info exists gPathPoints($pathId,splinePts)] == 0} {
      return -code error "ERROR:  no spline for pts."
   }

   set splinePts $gPathPoints($pathId,splinePts)

   set pathLen [llength $splinePts]

   # find steps
   set step_start 0
   set step_stop [expr [llength $guiVISvars(all_results_names)]-1]
   set steps [string_parse $guiVISvars(plotpath_selectedSteps) $step_start $step_stop]
   if {[llength $steps] == 0} {
     return -code error "ERROR:  no steps specified."
   }

   catch {repos_delete -obj /guiVIS/probe}
   path_MakePolyData $splinePts /guiVIS/probe

   foreach step $steps {

     guiVISchangeStep $step
     set resfiles($step) $guiVISvars(currentResFileName)

     set probefilt tmp-guiVIS-probe
     catch  {$probefilt Delete}
     vtkProbeFilter $probefilt
     $probefilt SetInputDataObject [repos_exportToVtk -src /guiVIS/probe]
     $probefilt SetSource $theMesh
     $probefilt Update
     catch {repos_delete -obj /guiVIS/probe/$step}
     repos_importVtkPd -src [$probefilt GetOutput] -dst /guiVIS/probe/$step

     set vectors [[[$probefilt GetOutput] GetPointData] GetVectors]
     set scalars [[[$probefilt GetOutput] GetPointData] GetScalars]

     set all {}
     set id 0
     foreach pos $splinePts {
  array set items $pos
  set pt [TupleToList $items(p)]
        set ptcoord($id) $pt
        if {$outType == "velocity"} {
          set v [$vectors GetTuple3 $id]
          #puts "v: $v"
          lappend all $v
        } elseif {$outType == "pressure"} {
    set p [$scalars GetTuple1 $id]
          #puts "p: $p"
          lappend all $p
  } else {
          return -code error "ERROR: invalid $outType."
  }
        incr id
     }
     set results($step) $all
   }

   set fp [open $guiVISvars(plotpath_file) "w"]

   puts $fp "# geodesic results (velocity or pressure along path)"
   puts $fp "#"
   puts $fp "# pathId: $pathId"
   puts $fp "# pathname: $gPathPoints($pathId,name)"
   puts $fp "#"
   puts $fp "# results files:"
   foreach step $steps {
     puts $fp "#   $step: $resfiles($step)"
   }

   if {$outType == "velocity"} {
     puts $fp "#step\tptId\tR\tA\tS\tdistance\tv_mag\tv_x\tv_y\tv_z"
     foreach step $steps {
        set vlist $results($step)
        set distance 0
        set prevpt $ptcoord(0)
        for {set i 0} {$i < [llength $vlist]} {incr i} {
          set v [lindex $vlist $i]
          set pt $ptcoord($i)
          set distance [expr double ($distance) + [math_magnitude [math_subVectors $pt $prevpt]]]
          set prevpt $pt
          puts $fp "$step\t$i\t[lindex $pt 0]\t[lindex $pt 1]\t[lindex $pt 2]\t$distance\t[math_magnitude $v]\t[lindex $v 0]\t[lindex $v 1]\t[lindex $v 2]"
        }
      }
   } else {
      puts $fp "#step\tptId\tR\tA\tS\tdistance\tpressure"
      foreach step $steps {
       set plist $results($step)
       set distance 0
       set prevpt $ptcoord(0)
       for {set i 0} {$i < [llength $plist]} {incr i} {
         set p [lindex $plist $i]
         set pt $ptcoord($i)
         set distance [expr double ($distance) + [math_magnitude [math_subVectors $pt $prevpt]]]
         set prevpt $pt
         puts $fp "$step\t$i\t[lindex $pt 0]\t[lindex $pt 1]\t[lindex $pt 2]\t$distance\t$p"
       }
      }
   }
   close $fp
}


# Procedure: guiVISchangeSlice
proc guiVISchangeSlice {} {
  #puts "guiVISchangeSlice currently doesn't do anything."
  guiVISupdateCutPlane
}


# Procedure: guiVISchangeStep
proc guiVISchangeStep { value} {
;#fixed

  global guiVISvars
  global guiVISvarsPrev

  if {$guiVISvars(mesh_loaded) == 0} {
    return SV_OK
  }

  set theMesh $guiVISvars(mesh_vtk_obj)

  if {$value != "fakeValue"} {
    set guiVISvars(currentStep) $value
  } else {
    set value $guiVISvars(currentStep)
  }

  # get the step data
  set stepData [guiVISgetStepData $value]
  set guiVISvars(current_step) $stepData
  # associate it with the mesh
  set vtkpd [repos_exportToVtk -src $stepData]

  [$theMesh GetPointData] SetScalars [[$vtkpd GetPointData] GetScalars]
  [$theMesh GetPointData] SetVectors [[$vtkpd GetPointData] GetVectors]
  $theMesh Update

  # update vis
  global gRen3d
  global gRen3dFreeze
  set gRen3dFreeze 1
  guiVISupdateVol
  guiVISupdateCutPlane
  guiVISupdateCutVol
  set gRen3dFreeze 0
  vis_render $gRen3d
  set guiVISvarsPrev(currentStep) $guiVISvars(currentStep)

  return
}


# Procedure: guiVIScreateCutPlane
proc guiVIScreateCutPlane { theMesh surfacePD} {

  # we actually don't need to recreate the
  # plane & implicit plane everytime, but
  # this should be fast so we'll do it anyway

  set cutter guiVIScreateCutPlane-Cutter
  set plane guiVIScreateCutPlane-Plane
  set impPlane guiVIScreateCutPlane-Imp

  set reposPlane /guiVIS/slice/plane

  catch {$cutter Delete}
  catch {$plane Delete}
  catch {$impPlane Delete}

  catch {repos_delete -obj $surfacePD}
  catch {repos_delete -obj $reposPlane}

  global guiVISvars
  global guiVISvarsPrev

  if {$guiVISvars(mesh_loaded) == 0} {
    return -code error "ERROR: mesh not loaded."
  }

  set topRight $guiVISvars(p1)
  set botRight $guiVISvars(p2)
  set topLeft  $guiVISvars(p3)

  if {[llength $topRight] != 3 ||
      [llength $botRight] != 3 ||
      [llength $topLeft] != 3} {
    return
    #return -code error "ERROR:  incorrect length of corner pts."
  }

  # create the explicit cut plane

  vtkPlaneSource $plane
  $plane SetOrigin [lindex $topRight 0] [lindex $topRight 1] [lindex $topRight 2]
  $plane SetPoint1 [lindex $topLeft 0] [lindex $topLeft 1] [lindex $topLeft 2]
  $plane SetPoint2 [lindex $botRight 0] [lindex $botRight 1] [lindex $botRight 2]
  $plane Update
  set nrm [$plane GetNormal]
  repos_importVtkPd -src [$plane GetOutput] -dst $reposPlane

  # create the implicit cut plane
  vtkPlane $impPlane
  $impPlane SetOrigin [lindex $topRight 0] [lindex $topRight 1] [lindex $topRight 2]
  $impPlane SetNormal [lindex $nrm 0] [lindex $nrm 1] [lindex $nrm 2]

  set guiVISvars(cut_plane) $impPlane

  # do the cutting
  #puts "Using cutter..."
  catch {$cutter Delete}
  vtkCutter $cutter
  $cutter SetInputDataObject $theMesh
  $cutter SetCutFunction $guiVISvars(cut_plane)
  $cutter SetValue 0 $guiVISvars(slice_offset)
  $cutter Update

  # bring the results into Geodesic
  catch {repos_delete -obj $surfacePD}
  repos_importVtkPd -src [$cutter GetOutput] -dst $surfacePD

  $cutter Delete
  $plane Delete

  set guiVISvarsPrev(p1) $guiVISvars(p1)
  set guiVISvarsPrev(p2) $guiVISvars(p2)
  set guiVISvarsPrev(p3) $guiVISvars(p3)

  # needed so that cutvol knows the plane location has changed!
  set guiVISvars(cutvol_planeLocChanged) 1

  return SV_OK
}


# Procedure: guiVISdeleteStepData
proc guiVISdeleteStepData { step} {
;#fixed

  set baseResName /guiVIS/result_

  global guiVISresults
  global guiVISvars

  set resFilenames $guiVISvars(all_results_names)

  set numFilenames [llength $resFilenames]

  if {$step < 0 || $step >= $numFilenames} {
    return -code error "STEP NUMBER $step OUT OF RANGE."
  }

  set filename [lindex $resFilenames $step]

  # if the step has already been loaded, delete it
  if {[lindex $guiVISresults($filename) 0] == 1} {

    repos_delete -obj $baseResName$step
    set guiVISresults($filename) [list 0 {} {}]

  }
}


# Procedure: guiVISflowThruFace
proc guiVISflowThruFace { meshFaceObj unitOutwardNormal type rtnFlow} {

  # NOTE: this proc has been generalized to calculate mean pressure
  #       as well, so the name is not really correct

  global guiVISvars
  set theMesh $guiVISvars(mesh_vtk_obj)

  upvar $rtnFlow flux

  set faceCopy /guiVIS/guiVISflowThruFace/copy
  set faceCopy2 /guiVIS/guiVISflowThruFace/copy2
  set flat /guiVIS/guiVISflowThruFace/flat
  set flat_0 /guiVIS/guiVISflowThruFace/flat/0
  set myVectors tmp-guiVISflowThruFace-vec
  set myScalars tmp-guiVISflowThruFace-sca
  catch {repos_delete -obj $flat}
  catch {repos_delete -obj $flat_0}
  catch {repos_delete -obj $faceCopy}
  catch {repos_delete -obj $faceCopy2}
  catch {$myVectors Delete}
  catch {$myScalars Delete}

  #now calculate flow rate for each time point

  set numPts [geom_numPts -obj $meshFaceObj]
  set nodeIds [[[repos_exportToVtk -src $meshFaceObj] GetPointData] GetScalars]

  geom_copy -src $meshFaceObj -dst $faceCopy

  if {$type == "flow"} {

    # create an array for the velocity vectors
    vtkFloatArray $myVectors; $myVectors SetNumberOfComponents 3
    $myVectors Allocate 1000 1000

    set objVectors [[$theMesh GetPointData] GetVectors]

    for {set i 0} {$i < $numPts} {incr i} {
      set node [expr int([$nodeIds GetValue $i])]
      # nodes in vtk start at 0, so subtract 1 off
      set node [expr $node - 1]
      set vec [$objVectors GetTuple3 $node]
      #puts "processing vtk node: $node vec: $vec"
      $myVectors InsertNextTuple3 [lindex $vec 0] [lindex $vec 1] [lindex $vec 2]
    }

    # associate vectors with polydata
    [[repos_exportToVtk -src $faceCopy] GetPointData] SetVectors $myVectors

  } elseif {$type == "pressure"} {

    # create an array for the velocity vectors
    vtkFloatArray $myScalars; $myScalars SetNumberOfComponents 1
    $myScalars Allocate 1000 1000
    $myScalars SetName "scalars"

    set objScalars [[$theMesh GetPointData] GetScalars]

    for {set i 0} {$i < $numPts} {incr i} {
      set node [expr int([$nodeIds GetValue $i])]
      # nodes in vtk start at 0, so subtract 1 off
      set node [expr $node - 1]
      set scalar [$objScalars GetTuple1 $node]
      #puts "processing vtk node: $node vec: $vec"
      $myScalars InsertNextTuple1 $scalar
    }

    # associate scalars with polydata
    [[repos_exportToVtk -src $faceCopy] GetPointData] SetScalars ""
    [[repos_exportToVtk -src $faceCopy] GetPointData] SetScalars $myScalars
    [[repos_exportToVtk -src $faceCopy] GetPointData] SetActiveScalars scalars

  } elseif {$type == "energy"} {

    # create an array for the velocity vectors
    vtkFloatArray $myVectors; $myVectors SetNumberOfComponents 3
    $myVectors Allocate 1000 1000

    set objVectors [[$theMesh GetPointData] GetVectors]

    for {set i 0} {$i < $numPts} {incr i} {
      set node [expr int([$nodeIds GetValue $i])]
      # nodes in vtk start at 0, so subtract 1 off
      set node [expr $node - 1]
      set vec [$objVectors GetTuple3 $node]
      #puts "processing vtk node: $node vec: $vec"
      $myVectors InsertNextTuple3 [lindex $vec 0] [lindex $vec 1] [lindex $vec 2]
    }

    # associate vectors with polydata
    [[repos_exportToVtk -src $faceCopy] GetPointData] SetVectors $myVectors

    # create an array for the pressure
    vtkFloatArray $myScalars; $myScalars SetNumberOfComponents 1
    $myScalars Allocate 1000 1000

    set objScalars [[$theMesh GetPointData] GetScalars]

    for {set i 0} {$i < $numPts} {incr i} {
      set node [expr int([$nodeIds GetValue $i])]
      # nodes in vtk start at 0, so subtract 1 off
      set node [expr $node - 1]
      set scalar [$objScalars GetTuple1 $node]
      #puts "processing vtk node: $node vec: $vec"
      $myScalars InsertNextTuple1 $scalar
    }

    # need to wait to associate scalars with polydata, see below

  } else {

    return -code error "ERROR:  invalid type ($type)."

  }

  # get flux
  if {$type == "flow"} {
    set tensorType 1
    set fluxarea [geom_integrateSurface2 -obj $faceCopy -tensorType $tensorType]
    set flux [lindex $fluxarea 0]
    set area [lindex $fluxarea 1]
    catch {repos_delete -obj $faceCopy}
    return
  } elseif {$type == "pressure"} {
    set tensorType 0
    set fluxarea [geom_integrateSurface2 -obj $faceCopy -tensorType $tensorType]
    set flux [lindex $fluxarea 0]
    set area [lindex $fluxarea 1]
    # intentionally divide by area for pressure calc
    set flux [expr $flux / $area]
    catch {repos_delete -obj $faceCopy}
    catch {repos_delete -obj $faceCopy2}
    return
  }

  #
  #  can't get here - dead code
  #

  set boolean 1
  set rotated_norm {}
  geom_flatten $unitOutwardNormal $boolean $meshFaceObj rotated_norm $flat

  set bbox [geom_bbox -obj $flat]

  if {[expr abs([lindex $bbox 5] - [lindex $bbox 4])] > 0.1} {
    catch {repos_delete -obj $flat}
    set flux non-planar
    puts "NOTE:  face not flat, value of zero being returned!"
    return
  }

  geom_translate -src $flat  -vec [list 0 0 [expr -1.0*[lindex $bbox 4]]]  -dst $flat_0
  set area [geom_surfArea -src $flat_0]
  #puts "area: $area"

  # find the idealized outward normal
  if {[lindex $rotated_norm 2] > 0} {
      set inorm {0 0 1}
  } else {
      set inorm {0 0 -1}
  }

  # intentionally wait to define scalars on flat object so we don't overwrite
  # scalar node id values!

  if {$type == "pressure" || $type == "energy"} {
    # associate scalars with polydata
    [[repos_exportToVtk -src $flat_0] GetPointData] SetScalars $myScalars
  }

  #puts "original normal  : $unitOutwardNormal"
  #puts "rotated normal   : $rotated_norm"
  #puts "idealized normal : $inorm"

  # get flux
  if {$type == "flow"} {
     return -code error "ERROR: should not reach this code \"flow\""
     set tensorType 1
    set flux [geom_integrateSurfaceFlux -obj $flat_0 -nrm $inorm -tensorType $tensorType]
  } elseif {$type == "pressure"} {
     return -code error "ERROR: should not reach this code \"pressure\""
     set tensorType 0
     set flux [geom_integrateSurfaceFlux -obj $flat_0 -nrm $inorm -tensorType $tensorType]
     set flux [expr $flux / $area]
  } elseif {$type == "energy"} {
     set density $guiVISvars(volFlowSlice_density)
     global gOptions
     if {$gOptions(meshing_solid_kernel) == "Discrete"} {
       return -code error "ERROR:  Energy for Discrete not implemented yet!"
     }
     set flux [geom_integrateEnergy -obj $flat_0 -nrm $inorm -rho $density]
     #set flux [expr $flux / $area]
  } else {
     return -code error "ERROR: invalid type ($type)."
  }

  catch {repos_delete -obj $flat}
  catch {repos_delete -obj $flat_0}
  catch {repos_delete -obj $faceCopy}

  if {$type == "flow" || $type == "energy"} {
    # unassociate vectors with polydata
    [[repos_exportToVtk -src $meshFaceObj] GetPointData] SetVectors ""
    $myVectors Delete
  } elseif {$type == "pressure" || $type == "energy"} {
    #[[repos_exportToVtk -src $meshFaceObj] GetPointData] SetScalars ""
    $myScalars Delete
  } else {
    return -code error "ERROR: invalid type ($type)."
  }
}


# Procedure: guiVISgetStepData
proc guiVISgetStepData { step} {
;#fixed

  global guiVISvars
  global gOptions

  set theMesh $guiVISvars(mesh_vtk_obj)
  set thePressure guiVISpressureObject
  set theVelocity guiVISvelocityObject
  set thePD guiVISpolyObject
  set baseResName /guiVIS/result_
  set surfacePDwithNormals /guiVIS/vol/surface_mesh/with_normals

  # can't read the data if we haven't read a mesh
  # note: the reason this returns okay is that
  #       it is called automatically by "scale"
  #       when the gui is first created.
  global guiVISvars
  if {$guiVISvars(mesh_loaded) == 0} {
    return SV_OK
  }

  # this procedure either just returns the object
  # name for the step if its already loaded or loads
  # it if necessary.

  global guiVISresults

  set resFilenames $guiVISvars(all_results_names)

  set numFilenames [llength $resFilenames]
  if {$step < 0 || $step >= $numFilenames} {
    return -code error "STEP NUMBER $step OUT OF RANGE."
  }

  set filename [lindex $resFilenames $step]
  set guiVISvars(currentResFileName) [file tail $filename]

  #debug
  #puts "filename: $filename"
  #puts "stepData: $baseResName$step"

  # delete any previously loaded data
  if {$guiVISvars(retainAllResInMemory) == 0} {
     puts "deleting results"
     for {set dstep 0} {$dstep < $numFilenames} {incr dstep} {
       if {[lindex $guiVISresults([lindex $resFilenames $dstep]) 0] == 1} {
   catch {repos_delete -obj $baseResName$dstep}
         puts "$guiVISresults([lindex $resFilenames $dstep])"
         set guiVISresults([lindex $resFilenames $dstep]) [lreplace $guiVISresults([lindex $resFilenames $dstep]) 0 0 0]
         puts "$guiVISresults([lindex $resFilenames $dstep])"
       }
     }
  }

  # if the step has already been loaded, just return it.
  if {[lindex $guiVISresults($filename) 0] == 1} {

    set guiVISvars(currentStep_pressureRange) [lindex $guiVISresults($filename) 1]
    set guiVISvars(currentStep_velMagRange) [lindex $guiVISresults($filename) 2]

    return $baseResName$step

  } else {

    # load it here
    puts "Reading $filename..."

    # if the file is vtk, just read it in.  If not, then
    # use post_ procs to get info from Vis files
    if {[file ext $filename] == ".vtk"} {

      catch {repos_delete -obj $baseResName$step}
      repos_readVtkPolyData -obj $baseResName$step -file $filename

    } else {

      catch {repos_delete -obj $baseResName$step}

          # completely ugly hack to get to see scalar transport
          set presandvelobj /tmp/guiVIS/pressureAndVelocity
          set transportobj /tmp/guiVIS/scalarTransport
          set stressobj  /tmp/guiVIS/stresses
          set wallshear  /tmp/guiVIS/wallshear
          catch {repos_delete -obj $presandvelobj}
          catch {repos_delete -obj $transportobj}
          catch {repos_delete -obj $stressobj}
          catch {repos_delete -obj $wallshear}

          global gOptions
          set readingoptions {}
          if [info exists gOptions(post_traction_nodes_file)] {
             set tractfp [open $gOptions(post_traction_nodes_file) r]
             set traction_nodes {}
             while {[gets $tractfp line] > 0} {
               lappend traction_nodes $line
             }
             close $tractfp
             set traction_nodes [lsort -integer -unique $traction_nodes]
             set readingoptions "$readingoptions -traction_nodes [list $traction_nodes]"
             #puts "$readingoptions"
    }
          if {($gOptions(post_read_transport) == 0) && ($gOptions(post_calc_wall_shear) == 0)} {
             if [catch {eval post_readVisRes -file $filename -result $baseResName$step -grid analysis_mesh $readingoptions} msg] {
               return -code error "Could not read vis result file ($msg)."
       }
    } else {
             if {$gOptions(post_read_transport) != 0} {
                set readingoptions "-transport $transportobj"
       }
             if {$gOptions(post_calc_wall_shear) == 0} {
                # do nothing
       } elseif {$gOptions(post_calc_wall_shear) == 1} {
                # spectrum style
                set readingoptions "$readingoptions -stress $stressobj"
       } elseif {$gOptions(post_calc_wall_shear) == 2} {
                # phasta style
    if {$gOptions(post_solver) == "phasta"} {
                  set readingoptions "$readingoptions -traction $wallshear"
    } elseif {$gOptions(post_solver) == "acusolve"} {
                  set readingoptions "$readingoptions -traction $stressobj"
    } else {
                  return -code error "invalid solver option ($gOptions(post_solver))"
    }
       } elseif {$gOptions(post_calc_wall_shear) == 3} {
                set readingoptions "$readingoptions -displacement $wallshear"
       } elseif {$gOptions(post_calc_wall_shear) == 4} {
                set readingoptions "$readingoptions -wss $wallshear"
       } else {
                return -code error "ERROR: Invalid gOptions(calc_wall_shear) value"
       }

             if [catch {eval post_readVisRes -file $filename -result $presandvelobj -grid analysis_mesh $readingoptions} msg] {
                   return -code error "Could not read vis result file ($msg)."
       }

             # spectrum style
       if {$gOptions(post_calc_wall_shear) == 1} {
               post_calcWallShear -surfaceMesh $surfacePDwithNormals -tensors $stressobj -result $wallshear
       }
             if {($gOptions(post_calc_wall_shear) == 2) && ($gOptions(post_solver) == "acusolve")} {
               post_calcWallShear -surfaceMesh $surfacePDwithNormals -tractions $stressobj -result $wallshear
       }

             if {$gOptions(post_read_transport) == 1} {
                set usescalars $transportobj
       } else {
                set usescalars $presandvelobj
       }
             if {$gOptions(post_calc_wall_shear) != 0} {
                set usevectors $wallshear
       } else {
                set usevectors $presandvelobj
       }

              set tmppdobj tmp-guiReadVisResults-change-res
        catch {$tmppdobj Delete}
              vtkPolyData $tmppdobj
              $tmppdobj SetPoints [[repos_exportToVtk -src $presandvelobj] GetPoints]
              [$tmppdobj GetPointData] SetScalars [[[repos_exportToVtk -src $usescalars] GetPointData] GetScalars]
              [$tmppdobj GetPointData] SetVectors [[[repos_exportToVtk -src $usevectors] GetPointData] GetVectors]
              repos_importVtkPd -src $tmppdobj -dst $baseResName$step
              $tmppdobj Delete
              repos_delete -obj $presandvelobj
              catch {repos_delete -obj $transportobj}
              catch {repos_delete -obj $stressobj}
              catch {repos_delete -obj $wallshear}

    }
    }

    set scalarRange [[[[repos_exportToVtk -src $baseResName$step] GetPointData] GetScalars] GetRange]

    set vectnorm tmp-guiVISgetStepData-vn
    catch {$vectnorm Delete}
    vtkVectorNorm $vectnorm
    $vectnorm SetInputDataObject [repos_exportToVtk -src $baseResName$step]
    $vectnorm Update
    set vecMagRange [[[[$vectnorm GetOutput] GetPointData] GetScalars] GetRange]
    set guiVISresults($filename) [list 1 $scalarRange $vecMagRange]
    $vectnorm Delete

    # update global ranges
    set gpress $guiVISvars(global_pressureRange)
    if {$gpress == ""} {
       set gpress $scalarRange
    } else {
  if {[lindex $scalarRange 0] < [lindex $gpress 0]} {
          set gpress [list [lindex $scalarRange 0] [lindex $gpress 1]]
  }
  if {[lindex $scalarRange 1] > [lindex $gpress 1]} {
          set gpress [list [lindex $gpress 0] [lindex $scalarRange 1]]
  }
    }
    set guiVISvars(global_pressureRange) $gpress
    # update global ranges
    set gvecm $guiVISvars(global_velMagRange)
    if {$gvecm == ""} {
       set gvecm $vecMagRange
    } else {
  if {[lindex $vecMagRange 0] < [lindex $gvecm 0]} {
          set gvecm [list [lindex $vecMagRange 0] [lindex $gvecm 1]]
  }
  if {[lindex $vecMagRange 1] > [lindex $gvecm 1]} {
          set gvecm [list [lindex $gvecm 0] [lindex $vecMagRange 1]]
  }
    }
    set guiVISvars(global_velMagRange) $gvecm

    set guiVISvars(currentStep_pressureRange) [lindex $guiVISresults($filename) 1]
    set guiVISvars(currentStep_velMagRange) [lindex $guiVISresults($filename) 2]

    return $baseResName$step

  }
}


# Procedure: guiVISloadResults
proc guiVISloadResults {} {
;#fixed

  global guiVISvars
  set theMesh $guiVISvars(mesh_vtk_obj)
  set surfacePD /guiVIS/vol/surface_mesh
  set surfacePDwithNormals /guiVIS/vol/surface_mesh/with_normals

  global guiVISvars
  global guiVISresults

  catch {$theMesh Delete}
  if {[info exists guiVISresults] == 1} {
     set j 0
     foreach i [array names guiVISresults] {
       guiVISdeleteStepData $j
       incr j
     }
  }

  puts "Load the mesh."
  # assume that if a filename was given it is in the correct directory
  set dir $guiVISvars(resultsDir)
  if {[file isdirectory $dir] == 0} {
    set dir [file dirname $dir]
  }

  # we will first look for the results in vtk form, if they
  # don't exist we'll switch to vis files
  set meshvtk {}
  set meshvisgz {}
  set meshvisZ {}
  set meshvis {}
  catch {set meshvtk [glob [file join $dir *_mesh.vtk]]}
  catch {set meshvisgz [glob [file join $dir *_mesh.vis.gz]]}
  catch {set meshvisZ [glob [file join $dir *_mesh.vis.Z]]}
  catch {set meshvis [glob [file join $dir *_mesh.vis]]}
  if {$meshvtk == "" && $meshvisgz == "" && $meshvisZ == "" && $meshvis == ""} {
      puts "ERROR:  Could not find a mesh with a .vtk, .vis, , vis.gz, or .vis.Z extension."
      return -code error "COULD NOT FIND MESH FILE."
  }

  if {$meshvtk != ""} {
    # read vtk file
    puts "Reading $meshvtk..."
    set reader tmp-guiVISloadResults-reader
    catch {$reader Delete}
    vtkUnstructuredGridReader $reader
    $reader SetFileName $meshvtk
    $reader Update
    set guiVISvars(mesh_vtk_obj) guiVISmeshObject
    set theMesh $guiVISvars(mesh_vtk_obj)
    catch {$theMesh Delete}
    vtkUnstructuredGrid $theMesh
    $theMesh Allocate 200 400
    $theMesh Initialize
    $theMesh CopyStructure [$reader GetOutput]
    $theMesh SetPoints [[$reader GetOutput] GetPoints]
    $theMesh CopyInformation [$reader GetOutput]
    catch {$reader Delete}
  } elseif {$meshvis != ""} {
      # read vis file
      puts "Reading $meshvis..."
      catch {repos_delete -obj analysis_mesh}
      if [catch {post_readVisMesh -file $meshvis -obj analysis_mesh}] {
        return -code error "COULD NOT READ THE MESH."
      }
      set guiVISvars(mesh_vtk_obj) [repos_exportToVtk -src analysis_mesh]
      set theMesh $guiVISvars(mesh_vtk_obj)
  } elseif {$meshvisgz != ""} {
      # read vis file
      puts "Reading $meshvisgz..."
      catch {repos_delete -obj analysis_mesh}
      if [catch {post_readVisMesh -file $meshvisgz -obj analysis_mesh}] {
        return -code error "COULD NOT READ THE MESH."
      }
      set guiVISvars(mesh_vtk_obj) [repos_exportToVtk -src analysis_mesh]
      set theMesh $guiVISvars(mesh_vtk_obj)
  } elseif {$meshvisZ != ""} {
      return -code error "compress compression not supported!"
  } else {
    return -code error "ERROR:  could not find mesh file."
  }

  set guiVISvars(mesh_loaded) 1

  # extract the surface mesh
  puts "Extracting the exterior surface mesh..."
  catch {repos_delete -obj $surfacePD}
  post_getSurfMesh $theMesh $surfacePD
  set guiVISvars(surface_mesh_exists) 1

  # calculate the surface normals (needed for wall shear stress code)
  set mknrm tmp-guiVISloadResults-mknrm
  catch {$mknrm Delete}
  vtkPolyDataNormals $mknrm
  $mknrm ConsistencyOff
  $mknrm SplittingOff
  $mknrm ComputePointNormalsOn
  $mknrm FlipNormalsOff

  $mknrm SetInputDataObject [repos_exportToVtk -src $surfacePD]
  $mknrm Update

  catch {repos_delete -obj $surfacePDwithNormals}
  repos_importVtkPd -src [$mknrm GetOutput] -dst $surfacePDwithNormals
  $mknrm Delete

  set resultsvtk {}
  set resultsvis {}
  set resultsvisgz {}
  set resultsvisZ {}
  catch {set resultsvtk [glob [file join $dir *_res*.vtk]]}
  catch {set resultsvisgz [glob [file join $dir *_res*.vis.gz]]}
  catch {set resultsvisZ [glob [file join $dir *_res*.vis.Z]]}
  catch {set resultsvis [glob [file join $dir *_res*.vis]]}
  if {$resultsvtk == "" && $resultsvisgz == "" && $resultsvisZ == "" && $resultsvis == ""} {
      puts "ERROR:  Could not find results with a .vtk, .vis, .vis.gz, or .vis.Z extension."
      return -code error "COULD NOT FIND RESULTS FILES."
  }

  # we will first look for the results in vtk form, if they
  # don't exist we'll switch to vis files
  if {$resultsvtk != ""} {
    set resFilenames $resultsvtk
  } elseif {$resultsvis != ""} {
    set resFilenames $resultsvis
  } elseif {$resultsvisgz != ""} {
    set resFilenames $resultsvisgz
  } elseif {$resultsvisZ != ""} {
    set resFilenames $resultsvisZ
  } else {
    return -code error "COULD NOT FIND RESULTS FILES."
  }

  set resFilenames [lsort -dictionary $resFilenames]
  set guiVISvars(all_results_names) $resFilenames

  # store the names of the results into an array, and their
  # current load status
  catch {unset guiVISresults}
  # just set up the array if we don't need to read them all
  foreach i $resFilenames {
    set guiVISresults($i) [list 0 {} {}]
  }

  # read all the files if desired
  if {$guiVISvars(readAllResFiles) == 1} {
    for {set i 0} {$i < [llength $resFilenames]} {incr i} {
      guiVISgetStepData $i
    }
  }

  # make sure the graphics window is displayed
  global gRen3d
  set gRen3d [vis_gRenWin_3D]
  #if {[info exists gRen3d] == 0} {
  #  set gRen3d [vis_initTKgr gRenWin_3D "Geodesic 3-D Graphics Window" {}]
  #}
  #if {[info commands $gRen3d] == ""} {
  #  set gRen3d [vis_initTKgr gRenWin_3D "Geodesic 3-D Graphics Window" {}]
  #}
  set guiVISvars(ren) $gRen3d

  # we will track the last value of the variables in case
  # we need them
  global guiVISvarsPrev
  catch {unset guiVISvarsPrev}
  foreach i [array names guiVISvars] {
    set guiVISvarsPrev($i) $guiVISvars($i)
  }

  # setup step scale
  global symbolicName
  set scale $symbolicName(guiVISstepScale)
  $scale configure -from 0
  $scale configure -to [expr [llength $resFilenames]-1]

  set guiVISvarsPrev(currentStep) -1
  guiVISchangeStep 0

  return SV_OK
}


# Procedure: guiVISpickPointAcceptPoint
proc guiVISpickPointAcceptPoint {} {
;#fixed
  global guiVISvars
  set id $guiVISvars(current_point)
  set point [list $guiVISvars(pickPointP1)  $guiVISvars(pickPointP2)  $guiVISvars(pickPointP3)]
  if {$id == "1"} {
    set guiVISvars(p1) $point
  } elseif {$id == "2"} {
    set guiVISvars(p2) $point
  } elseif {$id == "3"} {
    set guiVISvars(p3) $point
  }

  return SV_OK
}


# Procedure: guiVISppBeginInteraction
proc guiVISppBeginInteraction {} {
  global gInteractorInteracting
  set gInteractorInteracting 1
}


# Procedure: guiVISppEnableInteraction
proc guiVISppEnableInteraction {} {
  global gInteractorInteracting
  set gInteractorInteracting 0

  set surfacePD /guiVIS/vol/surface_mesh
  set bbox [geom_bbox -obj $surfacePD]

  global guiVISvars
  global gRen3d
  if {$guiVISvars(p1) == "" || $guiVISvars(p2) == "" || $guiVISvars(p3) == ""} {
    set cX [expr double([lindex $bbox 1] + [lindex $bbox 0])/2.0]
    set cY [expr double([lindex $bbox 3] + [lindex $bbox 2])/2.0]
    set cZ [expr double([lindex $bbox 5] + [lindex $bbox 4])/2.0]
    vis_planeWidgetSetCenter $gRen3d guiVIS $cX $cY $cZ
    vis_planeWidgetSetNormal $gRen3d guiVIS 0 0 1
    set guiVISvars(p1) [vis_planeWidgetGetOrigin $gRen3d guiVIS]
    set guiVISvars(p2) [vis_planeWidgetGetPoint1 $gRen3d guiVIS]
    set guiVISvars(p3) [vis_planeWidgetGetPoint2 $gRen3d guiVIS]
  }
}


# Procedure: guiVISppEndInteraction
proc guiVISppEndInteraction {} {
  global gInteractorInteracting
  set gInteractorInteracting 0
}


# Procedure: guiVISppInteract
proc guiVISppInteract {} {
  global guiVISvars
  global gInteractorRen
  set guiVISvars(p1) [vis_planeWidgetGetOrigin $gInteractorRen guiVIS]
  set guiVISvars(p2) [vis_planeWidgetGetPoint1 $gInteractorRen guiVIS]
  set guiVISvars(p3) [vis_planeWidgetGetPoint2 $gInteractorRen guiVIS]
  # cross pollenation with the gui to calc vol flow
  set guiVISvars(volFlowSlice_sphereCenter)  [vis_planeWidgetGetCenter $gInteractorRen guiVIS]
  set guiVISvars(volFlowSlice_surfaceNormal) [vis_planeWidgetGetNormal $gInteractorRen guiVIS]
}


# Procedure: guiVISsaveImages
proc guiVISsaveImages { args} {

   # allow the user defined parameters to be ignored so
   # this proc can be called by the code to make movies

   # args 0: type
   # args 1: format string (either jpeg or pnm)
   # args 2: format string for pnm images

   global guiVISvars
   global guiVISvarsPrev

   set type $guiVISvars(images_type)
   set formatstring $guiVISvars(images_filenameFormat)
   set pnmalso 0
   if {[llength $args] >= 2} {
     set type [lindex $args 0]
     set formatstring [lindex $args 1]
   }
   if {[llength $args] == 3} {
     set pnmalso 1
     set formatstr2 [lindex $args 2]
   }

   set step_start 0
   set step_stop [expr [llength $guiVISvars(all_results_names)]-1]
   set steps [string_parse $guiVISvars(images_selectedSteps) $step_start $step_stop]
   if {[llength $steps] == 0} {
     return -code error "ERROR:  no steps specified."
   }

   puts "create images for steps: $steps"

   set w2i tmp-guiVISsaveImages-w2i
   set writer tmp-guiVISsaveImages-writer
   set pwriter tmp-guiVISsaveimages-also
   catch {$writer Delete}
   catch {$w2i Delete}

   if {$type == "jpeg"} {
     vtkJPEGWriter $writer
     $writer ProgressiveOff
     $writer SetQuality 90
   } elseif {$type =="pnm"} {
     vtkPNMWriter $writer
   }

   foreach step $steps {

     guiVISchangeStep $step

     # write out tmp jpeg file
     set ren $guiVISvars(ren)
     vis_render $ren

     catch {$w2i Delete}
     vtkWindowToImageFilter $w2i
     $w2i SetInputDataObject [$guiVISvars(ren) GetRenderWindow]
     $w2i Update

     $writer SetInputDataObject [$w2i GetOutput]
     $writer SetFileName [format $formatstring $step]
     $writer Write
     $writer SetInputDataObject [$w2i GetOutput]
     $writer SetFileName [format $formatstring $step]
     $writer Write

     if {$pnmalso == 1} {
       catch {$pwriter Delete}
       vtkPNMWriter $pwriter
       $pwriter SetInputDataObject [$w2i GetOutput]
       $pwriter SetFileName [format $formatstr2 $step]
       $pwriter Write
     }

    }

    catch {$w2i Delete}
    catch {$writer Delete}
    catch {$pwriter Delete}
}


# Procedure: guiVISscalePlanePts
proc guiVISscalePlanePts {} {
  global guiVISvars
  set p1 $guiVISvars(p1)
  set p2 $guiVISvars(p2)
  set p3 $guiVISvars(p3)
  set guiVISvars(p1) [math_scaleVec $p1 $guiVISvars(slice_scaleFactor)]
  set guiVISvars(p2) [math_scaleVec $p2 $guiVISvars(slice_scaleFactor)]
  set guiVISvars(p3) [math_scaleVec $p3 $guiVISvars(slice_scaleFactor)]
}


# Procedure: guiVISselectResultsDir
proc guiVISselectResultsDir {} {
 ;#fixed
  global guiVISvars
  set newdirname [tk_chooseDirectory -initialdir [pwd]]
  if {$newdirname != ""} {
    set guiVISvars(resultsDir) $newdirname
    guiVISloadResults
  }
}


# Procedure: guiVISsetCutFromCurrentPathLoc
proc guiVISsetCutFromCurrentPathLoc {} {
    global gPathPoints
    global lsGUIcurrentPathNumber
    global lsGUIcurrentPositionNumber
    set pathId $lsGUIcurrentPathNumber
    set path $gPathPoints($pathId,splinePts)
    set posId $lsGUIcurrentPositionNumber

    array set items [lindex $path $posId]
    set pos [TupleToList $items(p)]
    set nrm [TupleToList $items(t)]
    set xhat [TupleToList $items(tx)]

    set n1 [lindex $nrm 0]
    set n2 [lindex $nrm 1]
    set n3 [lindex $nrm 2]

    set a1 [lindex $pos 0]
    set a2 [lindex $pos 1]
    set a3 [lindex $pos 2]

    global guiVISvars

    set guiVISvars(p1) $pos

    set p1 [expr 1.01*$a1+1]
    set p2 $a2
    set p3 [expr $a3 - ($n1*double($p1-$a1)+$n2*double($p2-$a2))/double($n3)]

    set guiVISvars(p2) [list $p1 $p2 $p3]

    set p1 $a1
    set p2 [expr 1.01*$a2+1]
    set p3 [expr $a3 - ($n1*double($p1-$a1)+$n2*double($p2-$a2))/double($n3)]

    set guiVISvars(p3) [list $p1 $p2 $p3]

    # cross pollenation with the gui to calc vol flow
    set guiVISvars(volFlowSlice_sphereCenter) $pos
    set guiVISvars(volFlowSlice_surfaceNormal) $nrm

    return
}


# Procedure: guiVISsetCutFromPC
proc guiVISsetCutFromPC {} {
;#fixed

  set filename [tk_getOpenFile -title "Choose Phase Contrast Filename"]

  if {$filename == ""} {return}

  global guiVISvars

  set params [img_readHeader -file $filename]

  foreach i $params {
    set option [lindex $i 0]
    set value [lindex $i 1]
    if {$option == "top_right_corner"} {
       set guiVISvars(p1) $value
    } elseif {$option == "bottom_right_corner"} {
       set guiVISvars(p2) $value
    } elseif {$option == "top_left_corner"} {
       set guiVISvars(p3) $value
    }
  }

  return SV_OK
}


# Procedure: guiVISupdateCutPlane
proc guiVISupdateCutPlane {} {

   global guiVISvars
   set theMesh $guiVISvars(mesh_vtk_obj)
   set pressurePD /guiVIS/slice/pressurePD
   set velocityPD /guiVIS/slice/velocityPD
   set surfacePD /guiVIS/slice/mesh

   # update the display for volume
   global guiVISvars
   global guiVISvarsPrev

   set ren $guiVISvars(ren)

   global gRen3dFreeze
   if {$gRen3dFreeze > 0} {
      set alreadyfrozen 1
   } else {
      set alreadyfrozen 0
      set gRen3dFreeze 1
   }

   # although the mesh slice topology is technically independent
   # of the time step, since it is regenerated by the vtkCutter
   # we will assume here that it is not constant over time

   # the vol pressure and velocity depend on the step number,
   # if it appears the step number has changed since the last
   # display, we turn off all vis and let it update.  Note
   # that this code does not update the prev step number, that
   # should be done outside of this routine.  The graphics
   # also depend on the slice location, so if its changed
   # we also need to update.

   if {($guiVISvarsPrev(currentStep) != $guiVISvars(currentStep)) ||  ($guiVISvarsPrev(p1) != $guiVISvars(p1)) ||  ($guiVISvarsPrev(p2) != $guiVISvars(p2)) ||  ($guiVISvarsPrev(p3) != $guiVISvars(p3)) ||  ($guiVISvarsPrev(slice_offset) != $guiVISvars(slice_offset))} {
     if {$guiVISvarsPrev(cutplane_displayPressure) != "off"} {
       puts "step change: cutplane:  remove old pressure display"
       vis_pRm $ren $pressurePD
       repos_delete -obj $pressurePD
       set guiVISvarsPrev(cutplane_displayPressure) "off"
     } else {
       puts "step change: cutplane:  pressure do nothing"
     }
     if {$guiVISvarsPrev(cutplane_displayVelocity) == "off"} {
          # dont need to do anything
          puts "step change: cutplane: velocity off, off -- do nothing"
     } elseif {$guiVISvarsPrev(cutplane_displayVelocity) == "as vectors"} {
          puts "step change: cutplane: turn off vectors"
          vis_vRm $ren $velocityPD
          set guiVISvarsPrev(cutplane_displayVelocity) "off"
          repos_delete -obj $velocityPD
     } elseif {$guiVISvarsPrev(cutplane_displayVelocity) == "warp vectors"} {
          puts "step change: cutplane: turn off warp vectors"
          vis_pRm $ren $velocityPD
          set guiVISvarsPrev(cutplane_displayVelocity) "off"
          repos_delete -obj $velocityPD
     } else {
          puts "step change: cutplane: turn off velocity scalars"
          vis_pRm $ren $velocityPD
          set guiVISvarsPrev(cutplane_displayVelocity) "off"
          repos_delete -obj $velocityPD
     }
     if {$guiVISvarsPrev(cutplane_showMesh) == 1} {
        vis_pRm $ren $surfacePD
        set guiVISvarsPrev(cutplane_showMesh) 0
     }
     # create the slice
     catch {repos_delete -obj $surfacePD}
     guiVIScreateCutPlane $theMesh $surfacePD
   }

   # toggle display of exterior mesh
   # note: the exterior volume mesh is independent of the
   #       actual step number
   if {$guiVISvarsPrev(cutplane_showMesh) == 1 &&  $guiVISvars(cutplane_showMesh) == 0} {
      vis_pRm $ren $surfacePD
      set guiVISvarsPrev(cutplane_showMesh) 0
   } elseif {$guiVISvarsPrev(cutplane_showMesh) == 0 &&  $guiVISvars(cutplane_showMesh) == 1} {
      set actor [vis_pRepos $ren $surfacePD]
      set myprop [$actor GetProperty]
      $myprop SetRepresentationToWireframe
      $myprop SetInterpolationToFlat
      $myprop SetColor 0.8900 0.8100 0.3400
      $myprop SetSpecularColor 1 1 1
      $myprop SetSpecular 0.3
      $myprop SetSpecularPower 20
      $myprop SetAmbient 0.2
      $myprop SetDiffuse 0.8
      vis_render $ren
      # set the actor props here
      set guiVISvarsPrev(cutplane_showMesh) 1
   }


   # toggle display of pressure
   if {$guiVISvarsPrev(cutplane_displayPressure) == "off" &&  $guiVISvars(cutplane_displayPressure) != "off"} {
       puts "cutplane: new display"
       catch {repos_delete -obj $pressurePD}
       geom_copy -src $surfacePD -dst $pressurePD
       set guiVISvarsPrev(cutplane_minPressure) $guiVISvars(cutplane_minPressure)
       set guiVISvarsPrev(cutplane_maxPressure) $guiVISvars(cutplane_maxPressure)
       set guiVISvarsPrev(cutplane_displayPressure) $guiVISvars(cutplane_displayPressure)
       set actor [vis_pRepos $ren $pressurePD]
       [$actor GetMapper] ScalarVisibilityOn
       [$actor GetMapper] SetLookupTable gBlueToRedLUT
       [$actor GetMapper] SetScalarRange $guiVISvars(cutplane_minPressure) $guiVISvars(cutplane_maxPressure)
       vis_render $ren
   }  elseif {($guiVISvarsPrev(cutplane_displayPressure) != "off") &&  ($guiVISvars(cutplane_displayPressure) == "off")} {
       puts "cutplane: remove it!"
       vis_pRm $ren $pressurePD
       repos_delete -obj $pressurePD
       set guiVISvarsPrev(cutplane_displayPressure) $guiVISvars(cutplane_displayPressure)
   } elseif {($guiVISvarsPrev(cutplane_minPressure) != $guiVISvars(cutplane_minPressure)) ||  ($guiVISvarsPrev(cutplane_maxPressure) != $guiVISvars(cutplane_maxPressure))} {
       puts "cutplane: update"
       set guiVISvarsPrev(cutplane_minPressure) $guiVISvars(cutplane_minPressure)
       set guiVISvarsPrev(cutplane_maxPressure) $guiVISvars(cutplane_maxPressure)
       set guiVISvarsPrev(cutplane_displayPressure) $guiVISvars(cutplane_displayPressure)
       set actor [vis_pGetActor $ren $pressurePD]
       [$actor GetMapper] ScalarVisibilityOn
       [$actor GetMapper] SetLookupTable gBlueToRedLUT
       [$actor GetMapper] SetScalarRange $guiVISvars(cutplane_minPressure) $guiVISvars(cutplane_maxPressure)
       vis_render $ren
   }


   # toggle display of velocity
   # two cases, scalars and vectors
   if {$guiVISvars(cutplane_displayVelocity) == "off"} {

       if {$guiVISvarsPrev(cutplane_displayVelocity) == "off"} {
          # dont need to do anything
          puts "off, off -- do nothing"
       } elseif {$guiVISvarsPrev(cutplane_displayVelocity) == "as vectors"} {
          puts "turn off vectors"
          vis_vRm $ren $velocityPD
          set guiVISvarsPrev(cutplane_displayVelocity) $guiVISvars(cutplane_displayVelocity)
          repos_delete -obj $velocityPD
       } elseif {$guiVISvarsPrev(cutplane_displayVelocity) == "warp vectors"} {
          puts "turn off warp vectors"
          vis_pRm $ren $velocityPD
          set guiVISvarsPrev(cutplane_displayVelocity) $guiVISvars(cutplane_displayVelocity)
          repos_delete -obj $velocityPD
       } else {
          puts "turn off scalars"
          vis_pRm $ren $velocityPD
          set guiVISvarsPrev(cutplane_displayVelocity) $guiVISvars(cutplane_displayVelocity)
          repos_delete -obj $velocityPD
       }

   } else {

      if {($guiVISvarsPrev(cutplane_displayVelocity) == "as vectors") &&  ($guiVISvars(cutplane_displayVelocity) != "as vectors") } {
               puts "remove vectors from display"
               vis_vRm $ren $velocityPD
               set guiVISvarsPrev(cutplane_displayVelocity) "off"
      }  elseif {($guiVISvarsPrev(cutplane_displayVelocity) != "off") } {
                puts "remove scalars/warp from display"
               vis_pRm $ren $velocityPD
               set guiVISvarsPrev(cutplane_displayVelocity) "off"
      }  else {
               puts "nothing done here."
      }

      # three cases
      if {$guiVISvarsPrev(cutplane_displayVelocity) == "off" &&  $guiVISvars(cutplane_displayVelocity) == "as vectors"} {
          puts "cutplane: new display as vectors"
          catch {repos_delete -obj $velocityPD}
          set vectnorm tmp-guiVISupdateCutPlane-vn
          catch {$vectnorm Delete}
          vtkVectorNorm $vectnorm
          $vectnorm SetInputDataObject [repos_exportToVtk -src $surfacePD]
          $vectnorm Update
          repos_importVtkPd -src [$vectnorm GetOutput] -dst $velocityPD
          $vectnorm Delete
          set actor [vis_vRepos $ren $velocityPD]
          [$actor GetMapper] ScalarVisibilityOn
          [$actor GetMapper] SetLookupTable gBlueToRedLUT
          [$actor GetMapper] SetScalarRange $guiVISvars(cutplane_minVelMag) $guiVISvars(cutplane_maxVelMag)
          vis_render $ren
          vis_vSetScale $ren $velocityPD $guiVISvars(cutplane_velocityScale)
          set guiVISvarsPrev(cutplane_minVelMag) $guiVISvars(cutplane_minVelMag)
          set guiVISvarsPrev(cutplane_maxVelMag) $guiVISvars(cutplane_maxVelMag)
          set guiVISvarsPrev(cutplane_velocityScale) $guiVISvars(cutplane_velocityScale)
          set guiVISvarsPrev(cutplane_displayVelocity) $guiVISvars(cutplane_displayVelocity)
      } elseif {$guiVISvarsPrev(cutplane_displayVelocity) == "off" &&  $guiVISvars(cutplane_displayVelocity) == "warp vectors"} {
          puts "cutplane: new display as warp vectors"
          catch {repos_delete -obj $velocityPD}
          set vectnorm tmp-guiVISupdateCutPlane-vn
          catch {$vectnorm Delete}
          vtkPolyDataNormals $vectnorm
          $vectnorm SetInputDataObject [repos_exportToVtk -src $surfacePD]
          $vectnorm Update
          set velocityPDtmp /tmp/guiVIS/slice/velocityPD
          catch {repos_delete -obj $velocityPDtmp}
          repos_importVtkPd -src [$vectnorm GetOutput] -dst $velocityPDtmp
          geom_warp3dPts -src $velocityPDtmp -dst $velocityPD -scale $guiVISvars(cutplane_velocityScale)
          repos_delete -obj $velocityPDtmp
          $vectnorm Delete
          set actor [vis_pRepos $ren $velocityPD]
          [$actor GetMapper] ScalarVisibilityOn
          [$actor GetMapper] SetLookupTable gBlueToRedLUT
          [$actor GetMapper] SetScalarRange $guiVISvars(cutplane_minVelMag) $guiVISvars(cutplane_maxVelMag)
          vis_render $ren
          set guiVISvarsPrev(cutplane_minVelMag) $guiVISvars(cutplane_minVelMag)
          set guiVISvarsPrev(cutplane_maxVelMag) $guiVISvars(cutplane_maxVelMag)
          set guiVISvarsPrev(cutplane_velocityScale) $guiVISvars(cutplane_velocityScale)
          set guiVISvarsPrev(cutplane_displayVelocity) $guiVISvars(cutplane_displayVelocity)
      } elseif {$guiVISvarsPrev(cutplane_displayVelocity) == "off"} {
          puts "cutplane: new display as scalars"
          catch {repos_delete -obj $velocityPD}
          set vectnorm tmp-guiVISupdateCutPlane-vn
          catch {$vectnorm Delete}
          vtkVectorNorm $vectnorm
          $vectnorm SetInputDataObject [repos_exportToVtk -src $surfacePD]
          $vectnorm Update
          repos_importVtkPd -src [$vectnorm GetOutput] -dst $velocityPD
          $vectnorm Delete
          repos_setLabel -obj $velocityPD -key showK -value [list $guiVISvars(cutplane_minVelMag) $guiVISvars(cutplane_maxVelMag)]
          set guiVISvarsPrev(cutplane_minVelMag) $guiVISvars(cutplane_minVelMag)
          set guiVISvarsPrev(cutplane_maxVelMag) $guiVISvars(cutplane_maxVelMag)
          set guiVISvarsPrev(cutplane_displayVelocity) $guiVISvars(cutplane_displayVelocity)
          set actor [vis_pRepos $ren $velocityPD]
          [$actor GetMapper] ScalarVisibilityOn
          [$actor GetMapper] SetLookupTable gBlueToRedLUT
          [$actor GetMapper] SetScalarRange $guiVISvars(cutplane_minVelMag) $guiVISvars(cutplane_maxVelMag)
          vis_render $ren
      } elseif { ($guiVISvars(cutplane_displayVelocity) == "as vectors") } {

          if {$guiVISvarsPrev(cutplane_velocityScale) == $guiVISvars(cutplane_velocityScale)} {
             # do nothing
             puts "cutplane: as vectors , as vectors -- do nothing"
          } else {
             puts "cutplane: as vectors , as vectors -- scale"
             vis_vSetScale $ren $velocityPD $guiVISvars(cutplane_velocityScale)
             set guiVISvarsPrev(cutplane_velocityScale) $guiVISvars(cutplane_velocityScale)
    }
          if {($guiVISvarsPrev(cutplane_minVelMag) != $guiVISvars(cutplane_minVelMag)) ||  ($guiVISvarsPrev(cutplane_maxVelMag) != $guiVISvars(cutplane_maxVelMag))} {
            puts "cutplane: update scalars for vectors"
            set guiVISvarsPrev(cutplane_minVelMag) $guiVISvars(cutplane_minVelMag)
            set guiVISvarsPrev(cutplane_maxVelMag) $guiVISvars(cutplane_maxVelMag)
            set guiVISvarsPrev(cutplane_displayVelocity) $guiVISvars(cutplane_displayVelocity)
            set actor [vis_vGetActor $ren $velocityPD]
            [$actor GetMapper] ScalarVisibilityOn
            [$actor GetMapper] SetLookupTable gBlueToRedLUT
            [$actor GetMapper] SetScalarRange $guiVISvars(cutplane_minVelMag) $guiVISvars(cutplane_maxVelMag)
            vis_render $ren
  }
      } elseif { $guiVISvars(cutplane_displayVelocity) == "warp vectors"} {
          catch {vis_pRm $ren $velocityPD}
          puts "cutplane: new display as warp vectors"
          catch {repos_delete -obj $velocityPD}
          set vectnorm tmp-guiVISupdateCutPlane-vn
          catch {$vectnorm Delete}
          vtkPolyDataNormals $vectnorm
          $vectnorm SetInputDataObject [repos_exportToVtk -src $surfacePD]
          $vectnorm Update
          set velocityPDtmp /tmp/guiVIS/slice/velocityPD
          catch {repos_delete -obj $velocityPDtmp}
          repos_importVtkPd -src [$vectnorm GetOutput] -dst $velocityPDtmp
          geom_warp3dPts -src $velocityPDtmp -dst $velocityPD -scale $guiVISvars(cutplane_velocityScale)
          repos_delete -obj $velocityPDtmp
          $vectnorm Delete
          set actor [vis_pRepos $ren $velocityPD]
          [$actor GetMapper] ScalarVisibilityOn
          [$actor GetMapper] SetLookupTable gBlueToRedLUT
          [$actor GetMapper] SetScalarRange $guiVISvars(cutplane_minVelMag) $guiVISvars(cutplane_maxVelMag)
          vis_render $ren
          set guiVISvarsPrev(cutplane_minVelMag) $guiVISvars(cutplane_minVelMag)
          set guiVISvarsPrev(cutplane_maxVelMag) $guiVISvars(cutplane_maxVelMag)
          set guiVISvarsPrev(cutplane_velocityScale) $guiVISvars(cutplane_velocityScale)
          set guiVISvarsPrev(cutplane_displayVelocity) $guiVISvars(cutplane_displayVelocity)
      } else {

        if {($guiVISvarsPrev(cutplane_minVelMag) != $guiVISvars(cutplane_minVelMag)) ||  ($guiVISvarsPrev(cutplane_maxVelMag) != $guiVISvars(cutplane_maxVelMag))} {
            puts "cutplane: scalars update"
            set guiVISvarsPrev(cutplane_minVelMag) $guiVISvars(cutplane_minVelMag)
            set guiVISvarsPrev(cutplane_maxVelMag) $guiVISvars(cutplane_maxVelMag)
            set guiVISvarsPrev(cutplane_displayVelocity) $guiVISvars(cutplane_displayVelocity)
            set actor [vis_pGetActor $ren $velocityPD]
            [$actor GetMapper] ScalarVisibilityOn
            [$actor GetMapper] SetLookupTable gBlueToRedLUT
            [$actor GetMapper] SetScalarRange $guiVISvars(cutplane_minVelMag) $guiVISvars(cutplane_maxVelMag)
            vis_render $ren
  } else {
            puts "cutplane: not vectors, not vectors -- do nothing"
  }
      }
  }

  if {$alreadyfrozen == 0} {
    set gRen3dFreeze 0
    vis_render $ren
  }
}


# Procedure: guiVISupdateCutVol
proc guiVISupdateCutVol {} {

   global guiVISvars
   set theMesh $guiVISvars(mesh_vtk_obj)
   set pressurePD /guiVIS/cutvol/pressurePD
   set velocityPD /guiVIS/cutvol/velocityPD
   set allsurfacePD /guiVIS/cutvol/allsurface
   set surfacePD /guiVIS/cutvol/mesh
   set surfacePDslice /guiVIS/slice/mesh
   set allSurfMesh /guiVIS/vol/surface_mesh

   # update the display for volume
   global guiVISvars
   global guiVISvarsPrev

   set ren $guiVISvars(ren)


   global gRen3dFreeze
   if {$gRen3dFreeze > 0} {
      set alreadyfrozen 1
   } else {
      set alreadyfrozen 0
      set gRen3dFreeze 1
   }

   # although the mesh slice topology is technically independent
   # of the time step, since it is regenerated by the vtkCutter
   # we will assume here that it is not constant over time

   # the vol pressure and velocity depend on the step number,
   # if it appears the step number has changed since the last
   # display, we turn off all vis and let it update.  Note
   # that this code does not update the prev step number, that
   # should be done outside of this routine.  The graphics
   # also depend on the slice location, so if its changed
   # we also need to update.  Finally, if the user switches
   # between using the cut above / below the plane, we need
   # to also make big changes.
   if {($guiVISvarsPrev(currentStep) != $guiVISvars(currentStep)) ||  ($guiVISvarsPrev(p1) != $guiVISvars(p1)) ||  ($guiVISvarsPrev(p2) != $guiVISvars(p2)) ||  ($guiVISvarsPrev(p3) != $guiVISvars(p3)) ||  ($guiVISvars(cutvol_planeLocChanged) == 1) ||  ($guiVISvarsPrev(cutvol_side) != $guiVISvars(cutvol_side))} {
     set guiVISvarsPrev(cutvol_side) $guiVISvars(cutvol_side)
     if {$guiVISvarsPrev(cutvol_displayPressure) != "off"} {
       puts "step change: cutvol:  remove old pressure display"
       vis_pRm $ren $pressurePD
       repos_delete -obj $pressurePD
       set guiVISvarsPrev(cutvol_displayPressure) "off"
     } else {
       puts "step change: cutvol:  pressure do nothing"
     }
     if {$guiVISvarsPrev(cutvol_displayVelocity) == "off"} {
          # dont need to do anything
          puts "step change: cutvol: velocity off, off -- do nothing"
     } elseif {$guiVISvarsPrev(cutvol_displayVelocity) == "as vectors"} {
          puts "step change: cutvol: turn off vectors"
          vis_vRm $ren $velocityPD
          set guiVISvarsPrev(cutvol_displayVelocity) "off"
          repos_delete -obj $velocityPD
     } else {
          puts "step change: cutvol: turn off velocity scalars"
          vis_pRm $ren $velocityPD
          set guiVISvarsPrev(cutvol_displayVelocity) "off"
          repos_delete -obj $velocityPD
     }
     if {$guiVISvarsPrev(cutvol_showSurfMesh) == 1} {
  if {$guiVISvars(cutvol_preserve_property) == 1} {
          # keep a copy of the property if desired by the user
    catch {guiVIS-cutvol-kept-property Delete}
          vtkOpenGLProperty guiVIS-cutvol-kept-property
          guiVIS-cutvol-kept-property DeepCopy [[vis_pGetActor $ren $surfacePD] GetProperty]
  }
        vis_pRm $ren $surfacePD
        set guiVISvarsPrev(cutvol_showSurfMesh) 0
     }

     # create the slice
     # we shouldn't have to do this here, but we will
     # since the gui will get confused if the user first
     # turns on the cutvol then the slice vis.  Note the
     # resulting slice is not really used by cutvol code (just
     # the implicit plane).
     # create the slice
     if {$guiVISvars(cutvol_planeLocChanged) == 0} {
       catch {repos_delete -obj $surfacePDslice}
       guiVIScreateCutPlane $theMesh $surfacePDslice
     }
     set guiVISvars(cutvol_planeLocChanged) 0

     set topRight $guiVISvars(p1)
     set botRight $guiVISvars(p2)
     set topLeft  $guiVISvars(p3)

     if {[llength $topRight] != 3 ||
        [llength $botRight] != 3 ||
        [llength $topLeft] != 3} {
      return
      #return -code error "ERROR:  incorrect length of corner pts."
     }

     # create the explicit cut plane
     set plane tmp-guiVISupdateCutVol-plane
     catch {$plane Delete}
     vtkPlaneSource $plane
     $plane SetOrigin [lindex $topRight 0] [lindex $topRight 1] [lindex $topRight 2]
     $plane SetPoint1 [lindex $topLeft 0] [lindex $topLeft 1] [lindex $topLeft 2]
     $plane SetPoint2 [lindex $botRight 0] [lindex $botRight 1] [lindex $botRight 2]
     $plane Update
     set nrm [$plane GetNormal]

     # create the implicit cut plane
     set impPlane tmp-guiVISupdateCutVol-imp
     catch {$impPlane Delete}
     vtkPlane $impPlane
     $impPlane SetOrigin [lindex $topRight 0] [lindex $topRight 1] [lindex $topRight 2]
     $impPlane SetNormal [lindex $nrm 0] [lindex $nrm 1] [lindex $nrm 2]
     set guiVISvars(cutvol_plane) $impPlane

   }

   # hack that needs fixed
   if {$guiVISvars(cutvol_plane) == ""} {
     return
   }

   set clipper tmp-guiVISupdateCutVol-clipper
   catch {$clipper Delete}
   vtkClipPolyData $clipper
   $clipper SetClipFunction $guiVISvars(cutvol_plane)
   $clipper GenerateClippedOutputOn
   $clipper SetValue $guiVISvars(slice_offset)
   # toggle display of exterior mesh
   # note: the exterior volume mesh is independent of the
   #       actual step number
   if {$guiVISvarsPrev(cutvol_showSurfMesh) == 1 &&  $guiVISvars(cutvol_showSurfMesh) == 0} {
      if {$guiVISvars(cutvol_preserve_property) == 1} {
         # keep a copy of the property if the user requests it
   catch {guiVIS-cutvol-kept-property Delete}
         vtkOpenGLProperty guiVIS-cutvol-kept-property
         guiVIS-cutvol-kept-property DeepCopy [[vis_pGetActor $ren $surfacePD] GetProperty]
      }
      vis_pRm $ren $surfacePD
      set guiVISvarsPrev(cutvol_showSurfMesh) 0
   } elseif {$guiVISvarsPrev(cutvol_showSurfMesh) == 0 &&  $guiVISvars(cutvol_showSurfMesh) == 1} {
      # show the opposite part of the mesh from the cut
      $clipper SetInputDataObject [repos_exportToVtk -src $allSurfMesh]
      $clipper Update
      catch {repos_delete -obj $surfacePD}
      if {$guiVISvars(cutvol_side) == "above"} {
          repos_importVtkPd -src [$clipper GetClippedOutput] -dst $surfacePD
      } else {
          repos_importVtkPd -src [$clipper GetOutput] -dst $surfacePD
      }
      set actor [vis_pRepos $ren $surfacePD]
      if {($guiVISvars(cutvol_preserve_property) == 1) &&  ([cmdExists guiVIS-cutvol-kept-property] == 1)} {
        [[vis_pGetActor $ren $surfacePD] GetProperty] DeepCopy guiVIS-cutvol-kept-property
      } else {
        set myprop [$actor GetProperty]
        $myprop SetRepresentationToWireframe
        $myprop SetInterpolationToFlat
        $myprop SetColor 0.8900 0.8100 0.3400
        $myprop SetSpecularColor 1 1 1
        $myprop SetSpecular 0.3
        $myprop SetSpecularPower 20
        $myprop SetAmbient 0.2
        $myprop SetDiffuse 0.8
      }
      vis_render $ren
      # set the actor props here
      set guiVISvarsPrev(cutvol_showSurfMesh) 1
   }


   # toggle display of pressure
   if {$guiVISvarsPrev(cutvol_displayPressure) == "off" &&  $guiVISvars(cutvol_displayPressure) != "off"} {
       puts "cutvol: new display"
       catch {repos_delete -obj $pressurePD}
       set resultObj [repos_exportToVtk -src $guiVISvars(current_step)]
       set displayObj [repos_exportToVtk -src $allSurfMesh]
       [$displayObj GetPointData] SetScalars [[$resultObj GetPointData] GetScalars]
       $clipper SetInputDataObject [repos_exportToVtk -src $allSurfMesh]
       $clipper Update
       if {$guiVISvars(cutvol_side) == "below"} {
          repos_importVtkPd -src [$clipper GetClippedOutput] -dst $pressurePD
       } else {
          repos_importVtkPd -src [$clipper GetOutput] -dst $pressurePD
       }
       set guiVISvarsPrev(cutvol_minPressure) $guiVISvars(cutvol_minPressure)
       set guiVISvarsPrev(cutvol_maxPressure) $guiVISvars(cutvol_maxPressure)
       set guiVISvarsPrev(cutvol_displayPressure) $guiVISvars(cutvol_displayPressure)
       set actor [vis_pRepos $ren $pressurePD]
       [$actor GetMapper] ScalarVisibilityOn
       [$actor GetMapper] SetLookupTable gBlueToRedLUT
       [$actor GetMapper] SetScalarRange $guiVISvars(cutvol_minPressure) $guiVISvars(cutvol_maxPressure)
       vis_render $ren
   }  elseif {($guiVISvarsPrev(cutvol_displayPressure) != "off") &&  ($guiVISvars(cutvol_displayPressure) == "off")} {
       puts "cutvol: remove it!"
       vis_pRm $ren $pressurePD
       repos_delete -obj $pressurePD
       set guiVISvarsPrev(cutvol_displayPressure) $guiVISvars(cutvol_displayPressure)
   } elseif {($guiVISvarsPrev(cutvol_minPressure) != $guiVISvars(cutvol_minPressure)) ||  ($guiVISvarsPrev(cutvol_maxPressure) != $guiVISvars(cutvol_maxPressure))} {
       puts "cutvol: update"
       set guiVISvarsPrev(cutvol_minPressure) $guiVISvars(cutvol_minPressure)
       set guiVISvarsPrev(cutvol_maxPressure) $guiVISvars(cutvol_maxPressure)
       set guiVISvarsPrev(cutvol_displayPressure) $guiVISvars(cutvol_displayPressure)
       set actor [vis_pGetActor $ren $pressurePD]
       [$actor GetMapper] ScalarVisibilityOn
       [$actor GetMapper] SetLookupTable gBlueToRedLUT
       [$actor GetMapper] SetScalarRange $guiVISvars(cutvol_minPressure) $guiVISvars(cutvol_maxPressure)
       vis_render $ren
   }


   # toggle display of velocity
   # two cases, scalars and vectors
   if {$guiVISvars(cutvol_displayVelocity) == "off"} {

       if {$guiVISvarsPrev(cutvol_displayVelocity) == "off"} {
          # dont need to do anything
          puts "cutvol: off, off -- do nothing"
       } elseif {$guiVISvarsPrev(cutvol_displayVelocity) == "as vectors"} {
          puts "cutvol: turn off vectors"
          vis_vRm $ren $velocityPD
          set guiVISvarsPrev(cutvol_displayVelocity) $guiVISvars(cutvol_displayVelocity)
          repos_delete -obj $velocityPD
       } else {
          puts "cutvol: turn off scalars"
          vis_pRm $ren $velocityPD
          set guiVISvarsPrev(cutvol_displayVelocity) $guiVISvars(cutvol_displayVelocity)
          repos_delete -obj $velocityPD
       }

   } else {

      if {($guiVISvarsPrev(cutvol_displayVelocity) == "as vectors") &&  ($guiVISvars(cutvol_displayVelocity) != "as vectors") } {
               puts "cutvol: remove vectors from display"
               vis_vRm $ren $velocityPD
               set guiVISvarsPrev(cutvol_displayVelocity) "off"
      }  elseif {($guiVISvarsPrev(cutvol_displayVelocity) != "off") &&  ($guiVISvarsPrev(cutvol_displayVelocity) != "as vectors") &&  ($guiVISvars(cutvol_displayVelocity) == "as vectors") } {
                puts "cutvol: remove scalars from display"
               vis_pRm $ren $velocityPD
               set guiVISvarsPrev(cutvol_displayVelocity) "off"
      }

      # two cases
      if {$guiVISvarsPrev(cutvol_displayVelocity) == "off" &&  $guiVISvars(cutvol_displayVelocity) == "as vectors"} {
          puts "cutvol: new display as vectors"
          catch {repos_delete -obj $velocityPD}
          set vectnorm tmp-guiVISupdateCutVol-vn
          catch {$vectnorm Delete}
          vtkVectorNorm $vectnorm
          set resultObj [repos_exportToVtk -src $guiVISvars(current_step)]
          set displayObj [repos_exportToVtk -src $allSurfMesh]
          [$displayObj GetPointData] SetVectors [[$resultObj GetPointData] GetVectors]
          $clipper SetInputDataObject [repos_exportToVtk -src $allSurfMesh]
          $clipper Update
          if {$guiVISvars(cutvol_side) == "below"} {
            $vectnorm SetInputDataObject [$clipper GetClippedOutput]
          } else {
            $vectnorm SetInputDataObject [$clipper GetOutput]
          }
          $vectnorm Update
          repos_importVtkPd -src [$vectnorm GetOutput] -dst $velocityPD
          $vectnorm Delete
          set actor [vis_vRepos $ren $velocityPD]
          [$actor GetMapper] ScalarVisibilityOn
          [$actor GetMapper] SetLookupTable gBlueToRedLUT
          [$actor GetMapper] SetScalarRange $guiVISvars(cutvol_minVelMag) $guiVISvars(cutvol_maxVelMag)
          vis_render $ren
          vis_vSetScale $ren $velocityPD $guiVISvars(cutvol_velocityScale)
          set guiVISvarsPrev(cutvol_velocityScale) $guiVISvars(cutvol_velocityScale)
          set guiVISvarsPrev(cutvol_displayVelocity) $guiVISvars(cutvol_displayVelocity)
          repos_setLabel -obj $velocityPD -key showK -value [list $guiVISvars(cutvol_minVelMag) $guiVISvars(cutvol_maxVelMag)]
          set guiVISvarsPrev(cutvol_minVelMag) $guiVISvars(cutvol_minVelMag)
          set guiVISvarsPrev(cutvol_maxVelMag) $guiVISvars(cutvol_maxVelMag)
      } elseif {$guiVISvarsPrev(cutvol_displayVelocity) == "off" &&  $guiVISvars(cutvol_displayVelocity) != "as vectors"} {
          puts "cutvol: new display as scalars"
          catch {repos_delete -obj $velocityPD}
          set vectnorm tmp-guiVISupdateCutVol-vn
          catch {$vectnorm Delete}
          vtkVectorNorm $vectnorm
          set resultObj [repos_exportToVtk -src $guiVISvars(current_step)]
          set displayObj [repos_exportToVtk -src $allSurfMesh]
          [$displayObj GetPointData] SetVectors [[$resultObj GetPointData] GetVectors]
          $clipper SetInputDataObject [repos_exportToVtk -src $allSurfMesh]
          $clipper Update
          if {$guiVISvars(cutvol_side) == "below"} {
            $vectnorm SetInputDataObject [$clipper GetClippedOutput]
          } else {
            $vectnorm SetInputDataObject [$clipper GetOutput]
          }
          $vectnorm Update
          repos_importVtkPd -src [$vectnorm GetOutput] -dst $velocityPD
          $vectnorm Delete
          repos_setLabel -obj $velocityPD -key showK -value [list $guiVISvars(cutvol_minVelMag) $guiVISvars(cutvol_maxVelMag)]
          set guiVISvarsPrev(cutvol_minVelMag) $guiVISvars(cutvol_minVelMag)
          set guiVISvarsPrev(cutvol_maxVelMag) $guiVISvars(cutvol_maxVelMag)
          set guiVISvarsPrev(cutvol_displayVelocity) $guiVISvars(cutvol_displayVelocity)
          set actor [vis_pRepos $ren $velocityPD]
          [$actor GetMapper] ScalarVisibilityOn
          [$actor GetMapper] SetLookupTable gBlueToRedLUT
          [$actor GetMapper] SetScalarRange $guiVISvars(cutvol_minVelMag) $guiVISvars(cutvol_maxVelMag)
          vis_render $ren
      } elseif { ($guiVISvars(cutvol_displayVelocity) == "as vectors") } {

          if {$guiVISvarsPrev(cutvol_velocityScale) == $guiVISvars(cutvol_velocityScale)} {
             # do nothing
             puts "cutvol: as vectors , as vectors -- do nothing"
          } else {
             puts "cutvol: as vectors , as vectors -- scale"
             vis_vSetScale $ren $velocityPD $guiVISvars(cutvol_velocityScale)
             set guiVISvarsPrev(cutvol_velocityScale) $guiVISvars(cutvol_velocityScale)
    }

          if {($guiVISvarsPrev(cutvol_minVelMag) != $guiVISvars(cutvol_minVelMag)) ||  ($guiVISvarsPrev(cutvol_maxVelMag) != $guiVISvars(cutvol_maxVelMag))} {
            puts "cutvol: update scalars for vectors"
            set guiVISvarsPrev(cutvol_minVelMag) $guiVISvars(cutvol_minVelMag)
            set guiVISvarsPrev(cutvol_maxVelMag) $guiVISvars(cutvol_maxVelMag)
            set guiVISvarsPrev(cutvol_displayVelocity) $guiVISvars(cutvol_displayVelocity)
            set actor [vis_vGetActor $ren $velocityPD]
            [$actor GetMapper] ScalarVisibilityOn
            [$actor GetMapper] SetLookupTable gBlueToRedLUT
            [$actor GetMapper] SetScalarRange $guiVISvars(cutvol_minVelMag) $guiVISvars(cutvol_maxVelMag)
            vis_render $ren
      }

      } elseif { ($guiVISvarsPrev(cutvol_displayVelocity) != "as vectors") &&  ($guiVISvars(cutvol_displayVelocity) != "as vectors") } {

        if {($guiVISvarsPrev(cutvol_minVelMag) != $guiVISvars(cutvol_minVelMag)) ||  ($guiVISvarsPrev(cutvol_maxVelMag) != $guiVISvars(cutvol_maxVelMag))} {
            puts "cutvol: scalars update"
            set guiVISvarsPrev(cutvol_minVelMag) $guiVISvars(cutvol_minVelMag)
            set guiVISvarsPrev(cutvol_maxVelMag) $guiVISvars(cutvol_maxVelMag)
            set guiVISvarsPrev(cutvol_displayVelocity) $guiVISvars(cutvol_displayVelocity)
            set actor [vis_pGetActor $ren $velocityPD]
            [$actor GetMapper] ScalarVisibilityOn
            [$actor GetMapper] SetLookupTable gBlueToRedLUT
            [$actor GetMapper] SetScalarRange $guiVISvars(cutvol_minVelMag) $guiVISvars(cutvol_maxVelMag)
            vis_render $ren
  } else {
            puts "cutvol: not vectors, not vectors -- do nothing"
  }
      }
  }

  if {$alreadyfrozen == 0} {
    set gRen3dFreeze 0
    vis_render $ren
  }
}


# Procedure: guiVISupdateFromSolid
proc guiVISupdateFromSolid {} {
;#fixed

    global guiVISvars

    #if {$guiVISvars(mesh_loaded) == 0} {
    #   return SV_OK
    #}

    set model $guiVISvars(solidModelName)

    # check to see if a repository object exists
    if {[repos_exists -obj $model] == 0} {
       puts "ERROR:  Model \"$model\" does not exist."
       return -code error "Model does not exist."
    }
    # check to see if its a solid model
    if {[repos_type -obj $model] != "SolidModel"} {
       puts "ERROR:  Model \"$model\" is not of type SolidModel."
       return -code error "Model is not of type SolidModel."
    }

    set faceIds [$model GetFaceIds]

    if {[llength $faceIds] == 0} {
       puts "ERROR:  No Face Ids."
       return -code error "No Face Ids."
    }

    set foundIt 0
    foreach face $faceIds {
       if {[$model GetFaceAttr -attr gdscName -faceId $face] == $guiVISvars(faceName)} {
          set foundIt 1
          break
       }
    }
    if {$foundIt == "0"} {
       return -code error "ERROR:  Face name not found!"
    }

    # get a polydata for the requested face, and grab the first 3 points corresponding
    # to the first triangle.
    set pd /guiVIS/updateFromSolid/pd
    catch {repos_delete -obj $pd}
    $model GetFacePolyData -face $face -result $pd
    set points {}
    getPointsFromNthPoly 0 [repos_exportToVtk -src $pd] points

    set guiVISvars(p1) [lindex $points 0]
    set guiVISvars(p2) [lindex $points 1]
    set guiVISvars(p3) [lindex $points 2]

    set nrm [$model GetFaceNormal -face $face -u 0 -v 0]
    set ctr [geom_avgPt -obj $pd]

    # cross pollenation with the gui to calc vol flow
    set guiVISvars(volFlowSlice_sphereCenter) $ctr
    set guiVISvars(volFlowSlice_surfaceNormal) $nrm

    catch {repos_delete -obj $pd}

    return SV_OK
}


# Procedure: guiVISupdateInteractor
proc guiVISupdateInteractor {} {

  global gRen3d
  global guiVISvars

  if {$guiVISvars(useInteractor) == 0} {
    catch {vis_planeWidgetRm $gRen3d guiVIS}
  } else {
    set surfacePD /guiVIS/vol/surface_mesh
    vis_planeWidgetAdd $gRen3d [repos_exportToVtk -src $surfacePD] guiVIS guiVISppEnableInteraction  guiVISppBeginInteraction   guiVISppInteract  guiVISppEndInteraction
    vis_planeWidgetOn $gRen3d guiVIS
    set guiVISvars(displayInteractor) 1
  }
}


# Procedure: guiVISupdateLegend
proc guiVISupdateLegend {} {

  set legend legend2dActor
  set lut gBlueToRedLUTlegend

  global guiVISvars
  global guiVISvarsPrev

  set ren $guiVISvars(ren)

  # want to use legend for guiCS, so don't require mesh to be loaded
  #if {$guiVISvars(mesh_loaded) == 0} {
  #  return SV_OK
  #}

  if {$guiVISvars(legend_showLegend) == 0 &&  $guiVISvarsPrev(legend_showLegend) == 0} {
     puts "legend: off off nothing to do."
     return
  }
  if {$guiVISvarsPrev(legend_showLegend) == 1 &&  $guiVISvars(legend_showLegend) == 0} {
      $ren RemoveActor2D $legend
      set guiVISvarsPrev(legend_showLegend) $guiVISvars(legend_showLegend)
      vis_render $ren
      return
  }

  if {$guiVISvarsPrev(legend_showLegend) == 0 &&  $guiVISvars(legend_showLegend) == 1} {

    catch {$lut Delete}
    vtkLookupTable $lut
    $lut SetHueRange 0.6667 0.0
    $lut SetSaturationRange 1.0 1.0
    $lut SetValueRange 1.0 1.0
    $lut SetAlphaRange 1.0 1.0
    $lut SetNumberOfColors $guiVISvars(legend_numColors)
    $lut Build
    $lut SetTableRange $guiVISvars(legend_minValue) $guiVISvars(legend_maxValue)
    catch {$legend Delete}
    vtkScalarBarActor $legend
    $legend SetLookupTable $lut
    [$legend GetPositionCoordinate] SetCoordinateSystemToNormalizedViewport
    $legend SetTitle $guiVISvars(legend_title)
    $legend SetNumberOfLabels $guiVISvars(legend_numLabels)
    if {$guiVISvars(legend_orientation) == "horizontal"} {
       [$legend GetPositionCoordinate] SetValue 0.1 0.01
       $legend SetOrientationToHorizontal
       $legend SetWidth 0.8
       $legend SetHeight 0.17
    } elseif {$guiVISvars(legend_orientation) == "vertical"} {
       [$legend GetPositionCoordinate] SetValue 0.8 0.1
       $legend SetOrientationToVertical
       $legend SetWidth 0.17
       $legend SetHeight 0.8
    } else {
      return -code error "ERROR:  illegal orientation"
    }
    $legend SetLabelFormat $guiVISvars(legend_labelFormat)
    $ren AddActor2D $legend
    vis_render $ren
    set guiVISvarsPrev(legend_title) $guiVISvars(legend_title)
    set guiVISvarsPrev(legend_numLabels) $guiVISvars(legend_numLabels)
    set guiVISvarsPrev(legend_labelFormat) $guiVISvars(legend_labelFormat)
    set guiVISvarsPrev(legend_minValue) $guiVISvars(legend_minValue)
    set guiVISvarsPrev(legend_maxValue) $guiVISvars(legend_maxValue)
    set guiVISvarsPrev(legend_numColors) $guiVISvars(legend_numColors)
    set guiVISvarsPrev(legend_showLegend) 1
    return
  }

  set updateDisplay 0
  if {$guiVISvarsPrev(legend_numColors) != $guiVISvars(legend_numColors)} {
      $lut SetNumberOfColors $guiVISvars(legend_numColors)
      set guiVISvarsPrev(legend_numColors) $guiVISvars(legend_numColors)
      set updateDisplay 1
  }
  if {$guiVISvarsPrev(legend_title) != $guiVISvars(legend_title)} {
      $legend SetTitle $guiVISvars(legend_title)
      set guiVISvarsPrev(legend_title) $guiVISvars(legend_title)
      set updateDisplay 1
  }
  if {$guiVISvarsPrev(legend_numLabels) != $guiVISvars(legend_numLabels)} {
      $legend SetNumberOfLabels $guiVISvars(legend_numLabels)
      set guiVISvarsPrev(legend_numLabels) $guiVISvars(legend_numLabels)
      set updateDisplay 1
  }
  if {$guiVISvarsPrev(legend_labelFormat) != $guiVISvars(legend_labelFormat)} {
      $legend SetLabelFormat $guiVISvars(legend_labelFormat)
      set guiVISvarsPrev(legend_labelFormat) $guiVISvars(legend_labelFormat)
      set updateDisplay 1
  }
  if {($guiVISvarsPrev(legend_minValue) != $guiVISvars(legend_minValue)) ||  ($guiVISvarsPrev(legend_maxValue) != $guiVISvars(legend_maxValue))} {
      $lut SetTableRange $guiVISvars(legend_minValue) $guiVISvars(legend_maxValue)
      set guiVISvarsPrev(legend_minValue) $guiVISvars(legend_minValue)
      set guiVISvarsPrev(legend_maxValue) $guiVISvars(legend_maxValue)
      set updateDisplay 1
  }

  if {$guiVISvarsPrev(legend_orientation) != $guiVISvars(legend_orientation)} {
    if {$guiVISvars(legend_orientation) == "horizontal"} {
       [$legend GetPositionCoordinate] SetValue 0.1 0.01
       $legend SetOrientationToHorizontal
       $legend SetWidth 0.8
       $legend SetHeight 0.17
    } elseif {$guiVISvars(legend_orientation) == "vertical"} {
       [$legend GetPositionCoordinate] SetValue 0.8 0.1
       $legend SetOrientationToVertical
       $legend SetWidth 0.17
       $legend SetHeight 0.8
    } else {
      return -code error "ERROR:  illegal orientation"
    }
    set guiVISvarsPrev(legend_orientation) $guiVISvars(legend_orientation)
    set updateDisplay 1
  }

  if {$updateDisplay == 1} {
     vis_render $ren
  }
}


# Procedure: guiVISupdatePressure
proc guiVISupdatePressure { type} {

  global guiVISvars

  if {$type == "vol"} {
      global guiVISvarsPrev
    if {$guiVISvars(vol_displayPressure) == "user defined range"} {
       guiVISupdateVol
    } elseif {$guiVISvars(vol_displayPressure) == "current step range"} {
      set guiVISvars(vol_minPressure) [lindex $guiVISvars(currentStep_pressureRange) 0]
      set guiVISvars(vol_maxPressure) [lindex $guiVISvars(currentStep_pressureRange) 1]
      guiVISupdateVol
    } elseif {$guiVISvars(vol_displayPressure) == "global range"} {
      set guiVISvars(vol_minPressure) [lindex $guiVISvars(global_pressureRange) 0]
      set guiVISvars(vol_maxPressure) [lindex $guiVISvars(global_pressureRange) 1]
      guiVISupdateVol
    } elseif {$guiVISvars(vol_displayPressure) == "off"} {
      guiVISupdateVol
    } else {
      return -code error
    }
    return
  }

  if {$type == "slice"} {
      global guiVISvarsPrev
    if {$guiVISvars(cutplane_displayPressure) == "user defined range"} {
       guiVISupdateCutPlane
    } elseif {$guiVISvars(cutplane_displayPressure) == "current step range"} {
      set guiVISvars(cutplane_minPressure) [lindex $guiVISvars(currentStep_pressureRange) 0]
      set guiVISvars(cutplane_maxPressure) [lindex $guiVISvars(currentStep_pressureRange) 1]
      guiVISupdateCutPlane
    } elseif {$guiVISvars(cutplane_displayPressure) == "global range"} {
      set guiVISvars(cutplane_minPressure) [lindex $guiVISvars(global_pressureRange) 0]
      set guiVISvars(cutplane_maxPressure) [lindex $guiVISvars(global_pressureRange) 1]
      guiVISupdateCutPlane
    } elseif {$guiVISvars(cutplane_displayPressure) == "off"} {
      guiVISupdateCutPlane
    } else {
      return -code error
    }
    return
  }


  if {$type == "cutvol"} {
      global guiVISvarsPrev
    if {$guiVISvars(cutvol_displayPressure) == "user defined range"} {
       guiVISupdateCutVol
    } elseif {$guiVISvars(cutvol_displayPressure) == "current step range"} {
      set guiVISvars(cutvol_minPressure) [lindex $guiVISvars(currentStep_pressureRange) 0]
      set guiVISvars(cutvol_maxPressure) [lindex $guiVISvars(currentStep_pressureRange) 1]
      guiVISupdateCutVol
    } elseif {$guiVISvars(cutvol_displayPressure) == "global range"} {
      set guiVISvars(cutvol_minPressure) [lindex $guiVISvars(global_pressureRange) 0]
      set guiVISvars(cutvol_maxPressure) [lindex $guiVISvars(global_pressureRange) 1]
      guiVISupdateCutVol
    } elseif {$guiVISvars(cutvol_displayPressure) == "off"} {
      guiVISupdateCutVol
    } else {
      return -code error
    }
    return
  }

  puts "NOT IMPLEMENTED YET!"
  return
}


# Procedure: guiVISupdateVelocity
proc guiVISupdateVelocity { type} {

  global guiVISvars

  if {$type == "vol"} {
      global guiVISvarsPrev
    if {$guiVISvars(vol_displayVelocity) == "user defined range"} {
       guiVISupdateVol
    } elseif {$guiVISvars(vol_displayVelocity) == "current step range"} {
      set guiVISvars(vol_minVelMag) [lindex $guiVISvars(currentStep_velMagRange) 0]
      set guiVISvars(vol_maxVelMag) [lindex $guiVISvars(currentStep_velMagRange) 1]
      guiVISupdateVol
    } elseif {$guiVISvars(vol_displayVelocity) == "global range"} {
      set guiVISvars(vol_minVelMag) [lindex $guiVISvars(global_velMagRange) 0]
      set guiVISvars(vol_maxVelMag) [lindex $guiVISvars(global_velMagRange) 1]
      guiVISupdateVol
    } elseif {$guiVISvars(vol_displayVelocity) == "off"} {
      guiVISupdateVol
    } elseif {$guiVISvars(vol_displayVelocity) == "as vectors"} {
      guiVISupdateVol
    } else {
      return -code error "not supported $type"
    }
    return
  }

  if {$type == "slice"} {
      global guiVISvarsPrev
    if {$guiVISvars(cutplane_displayVelocity) == "user defined range"} {
       guiVISupdateCutPlane
    } elseif {$guiVISvars(cutplane_displayVelocity) == "current step range"} {
      set guiVISvars(cutplane_minVelMag) [lindex $guiVISvars(currentStep_velMagRange) 0]
      set guiVISvars(cutplane_maxVelMag) [lindex $guiVISvars(currentStep_velMagRange) 1]
      guiVISupdateCutPlane
    } elseif {$guiVISvars(cutplane_displayVelocity) == "global range"} {
      set guiVISvars(cutplane_minVelMag) [lindex $guiVISvars(global_velMagRange) 0]
      set guiVISvars(cutplane_maxVelMag) [lindex $guiVISvars(global_velMagRange) 1]
      guiVISupdateCutPlane
    } elseif {$guiVISvars(cutplane_displayVelocity) == "off"} {
      guiVISupdateCutPlane
    } elseif {$guiVISvars(cutplane_displayVelocity) == "as vectors"} {
      guiVISupdateCutPlane
    } elseif {$guiVISvars(cutplane_displayVelocity) == "warp vectors"} {
      guiVISupdateCutPlane
    } else {
      return -code error "not supported $type"
    }
    return
  }

  if {$type == "cutvol"} {
      global guiVISvarsPrev
    if {$guiVISvars(cutvol_displayVelocity) == "user defined range"} {
       guiVISupdateCutVol
    } elseif {$guiVISvars(cutvol_displayVelocity) == "current step range"} {
      set guiVISvars(cutvol_minVelMag) [lindex $guiVISvars(currentStep_velMagRange) 0]
      set guiVISvars(cutvol_maxVelMag) [lindex $guiVISvars(currentStep_velMagRange) 1]
      guiVISupdateCutVol
    } elseif {$guiVISvars(cutvol_displayVelocity) == "global range"} {
      set guiVISvars(cutvol_minVelMag) [lindex $guiVISvars(global_velMagRange) 0]
      set guiVISvars(cutvol_maxVelMag) [lindex $guiVISvars(global_velMagRange) 1]
      guiVISupdateCutVol
    } elseif {$guiVISvars(cutvol_displayVelocity) == "off"} {
      guiVISupdateCutVol
    } elseif {$guiVISvars(cutvol_displayVelocity) == "as vectors"} {
      guiVISupdateCutVol
    } else {
      return -code error "not supported $type"
    }
    return
  }

  puts "NOT IMPLEMENTED YET!"
  return
}


# Procedure: guiVISupdateVol
proc guiVISupdateVol {} {

   global guiVISvars
   set theMesh $guiVISvars(mesh_vtk_obj)
   set pressurePD /guiVIS/vol/pressurePD
   set velocityPD /guiVIS/vol/velocityPD
   set surfacePD /guiVIS/vol/surface_mesh

   # update the display for volume
   global guiVISvars
   global guiVISvarsPrev

   set ren $guiVISvars(ren)
   global gRen3dFreeze

   if {$gRen3dFreeze > 0} {
      set alreadyfrozen 1
   } else {
      set alreadyfrozen 0
      set gRen3dFreeze 1
   }

   # toggle display of exterior mesh
   # note: the exterior volume mesh is independent of the
   #       actual step number
   if {$guiVISvarsPrev(vol_showSurfMesh) == 1 &&  $guiVISvars(vol_showSurfMesh) == 0} {
      vis_pRm $ren $surfacePD
      set guiVISvarsPrev(vol_showSurfMesh) 0
   } elseif {$guiVISvarsPrev(vol_showSurfMesh) == 0 &&  $guiVISvars(vol_showSurfMesh) == 1} {
      set actor [vis_pRepos $ren $surfacePD]
      set myprop [$actor GetProperty]
      $myprop SetRepresentationToWireframe
      $myprop SetInterpolationToFlat
      $myprop SetColor 0.8900 0.8100 0.3400
      $myprop SetSpecularColor 1 1 1
      $myprop SetSpecular 0.3
      $myprop SetSpecularPower 20
      $myprop SetAmbient 0.2
      $myprop SetDiffuse 0.8
      vis_render $ren
      # set the actor props here
      set guiVISvarsPrev(vol_showSurfMesh) 1
   }

   # the vol pressure and velocity depend on the step number,
   # if it appears the step number has changed since the last
   # display, we turn off all vis and let it update.  Note
   # that this code does not update the prev step number, that
   # should be done outside of this routine.

   if {$guiVISvarsPrev(currentStep) != $guiVISvars(currentStep)} {
     if {$guiVISvarsPrev(vol_displayPressure) != "off"} {
       puts "step change: vol:  remove old pressure display"
       vis_pRm $ren $pressurePD
       repos_delete -obj $pressurePD
       set guiVISvarsPrev(vol_displayPressure) "off"
     } else {
       puts "step change: vol:  pressure do nothing"
     }
     if {$guiVISvarsPrev(vol_displayVelocity) == "off"} {
          # dont need to do anything
          puts "step change: vol: velocity off, off -- do nothing"
     } elseif {$guiVISvarsPrev(vol_displayVelocity) == "as vectors"} {
          puts "step change: vol: turn off vectors"
          vis_vRm $ren $velocityPD
          set guiVISvarsPrev(vol_displayVelocity) "off"
          repos_delete -obj $velocityPD
     } else {
          puts "step change: vol: turn off velocity scalars"
          vis_pRm $ren $velocityPD
          set guiVISvarsPrev(vol_displayVelocity) "off"
          repos_delete -obj $velocityPD
     }
   }

   # toggle display of pressure
   if {$guiVISvarsPrev(vol_displayPressure) == "off" &&  $guiVISvars(vol_displayPressure) != "off"} {
       #puts "new display"
       catch {repos_delete -obj $pressurePD}
       set resultObj [repos_exportToVtk -src $guiVISvars(current_step)]
       set displayObj [repos_exportToVtk -src $surfacePD]
       [$displayObj GetPointData] SetScalars [[$resultObj GetPointData] GetScalars]
       repos_importVtkPd -src $displayObj -dst $pressurePD
       repos_setLabel -obj $pressurePD -key showK -value [list $guiVISvars(vol_minPressure) $guiVISvars(vol_maxPressure)]
       set guiVISvarsPrev(vol_minPressure) $guiVISvars(vol_minPressure)
       set guiVISvarsPrev(vol_maxPressure) $guiVISvars(vol_maxPressure)
       set guiVISvarsPrev(vol_displayPressure) $guiVISvars(vol_displayPressure)
       set actor [vis_pRepos $ren $pressurePD]
       [$actor GetMapper] ScalarVisibilityOn
       [$actor GetMapper] SetLookupTable gBlueToRedLUT
       [$actor GetMapper] SetScalarRange $guiVISvars(vol_minPressure) $guiVISvars(vol_maxPressure)
       vis_render $ren
   }  elseif {($guiVISvarsPrev(vol_displayPressure) != "off") &&  ($guiVISvars(vol_displayPressure) == "off")} {
       #puts "remove it!"
       vis_pRm $ren $pressurePD
       repos_delete -obj $pressurePD
       set guiVISvarsPrev(vol_displayPressure) $guiVISvars(vol_displayPressure)
   } elseif {($guiVISvarsPrev(vol_minPressure) != $guiVISvars(vol_minPressure)) ||  ($guiVISvarsPrev(vol_maxPressure) != $guiVISvars(vol_maxPressure))} {
       #puts "update"
       set guiVISvarsPrev(vol_minPressure) $guiVISvars(vol_minPressure)
       set guiVISvarsPrev(vol_maxPressure) $guiVISvars(vol_maxPressure)
       set guiVISvarsPrev(vol_displayPressure) $guiVISvars(vol_displayPressure)
       set actor [vis_pGetActor $ren $pressurePD]
       [$actor GetMapper] ScalarVisibilityOn
       [$actor GetMapper] SetLookupTable gBlueToRedLUT
       [$actor GetMapper] SetScalarRange $guiVISvars(vol_minPressure) $guiVISvars(vol_maxPressure)
       vis_render $ren
   }


   # toggle display of velocity
   # two cases, scalars and vectors
   if {$guiVISvars(vol_displayVelocity) == "off"} {

       if {$guiVISvarsPrev(vol_displayVelocity) == "off"} {
          # dont need to do anything
          puts "off, off -- do nothing"
       } elseif {$guiVISvarsPrev(vol_displayVelocity) == "as vectors"} {
          puts "turn off vectors"
          vis_vRm $ren $velocityPD
          set guiVISvarsPrev(vol_displayVelocity) $guiVISvars(vol_displayVelocity)
          repos_delete -obj $velocityPD
       } else {
          puts "turn off scalars"
          vis_pRm $ren $velocityPD
          set guiVISvarsPrev(vol_displayVelocity) $guiVISvars(vol_displayVelocity)
          repos_delete -obj $velocityPD
       }

   } else {

      if {($guiVISvarsPrev(vol_displayVelocity) == "as vectors") &&  ($guiVISvars(vol_displayVelocity) != "as vectors") } {
               puts "remove vectors from display"
               vis_vRm $ren $velocityPD
               set guiVISvarsPrev(vol_displayVelocity) "off"
      }  elseif {($guiVISvarsPrev(vol_displayVelocity) != "off") &&  ($guiVISvarsPrev(vol_displayVelocity) != "as vectors") &&  ($guiVISvars(vol_displayVelocity) == "as vectors") } {
                puts "remove scalars from display"
               vis_pRm $ren $velocityPD
               set guiVISvarsPrev(vol_displayVelocity) "off"
      }

      # two cases
      if {$guiVISvarsPrev(vol_displayVelocity) == "off" &&  $guiVISvars(vol_displayVelocity) == "as vectors"} {
          puts "new display as vectors"
          catch {repos_delete -obj $velocityPD}
          set resultObj [repos_exportToVtk -src $guiVISvars(current_step)]
          set displayObj [repos_exportToVtk -src $surfacePD]
          set vectnorm tmp-guiVISupdateVol-vn
          catch {$vectnorm Delete}
          vtkVectorNorm $vectnorm
          $vectnorm SetInputDataObject $resultObj
          $vectnorm Update
          [$displayObj GetPointData] SetScalars [[[$vectnorm GetOutput] GetPointData] GetScalars]
          [$displayObj GetPointData] SetVectors [[$resultObj GetPointData] GetVectors]
          repos_importVtkPd -src $displayObj -dst $velocityPD
          $vectnorm Delete
          repos_setLabel -obj $velocityPD -key showK -value [list $guiVISvars(vol_minVelMag) $guiVISvars(vol_maxVelMag)]
          set actor [vis_vRepos $ren $velocityPD]
          [$actor GetMapper] ScalarVisibilityOn
          [$actor GetMapper] SetLookupTable gBlueToRedLUT
          [$actor GetMapper] SetScalarRange $guiVISvars(vol_minVelMag) $guiVISvars(vol_maxVelMag)
          vis_vSetScale $ren $velocityPD $guiVISvars(vol_velocityScale)
          set guiVISvarsPrev(vol_velocityScale) $guiVISvars(vol_velocityScale)
          set guiVISvarsPrev(vol_displayVelocity) $guiVISvars(vol_displayVelocity)
          set guiVISvarsPrev(vol_minVelMag) $guiVISvars(vol_minVelMag)
          set guiVISvarsPrev(vol_maxVelMag) $guiVISvars(vol_maxVelMag)
      } elseif {$guiVISvarsPrev(vol_displayVelocity) == "off" &&  $guiVISvars(vol_displayVelocity) != "as vectors"} {
          puts "new display as scalars"
          catch {repos_delete -obj $velocityPD}
          set resultObj [repos_exportToVtk -src $guiVISvars(current_step)]
          set displayObj [repos_exportToVtk -src $surfacePD]
          set vectnorm tmp-guiVISupdateVol-vn
          catch {$vectnorm Delete}
          vtkVectorNorm $vectnorm
          $vectnorm SetInputDataObject $resultObj
          $vectnorm Update
          [$displayObj GetPointData] SetScalars [[[$vectnorm GetOutput] GetPointData] GetScalars]
          [$displayObj GetPointData] SetVectors [[$resultObj GetPointData] GetVectors]
          repos_importVtkPd -src $displayObj -dst $velocityPD
          $vectnorm Delete
          repos_setLabel -obj $velocityPD -key showK -value [list $guiVISvars(vol_minVelMag) $guiVISvars(vol_maxVelMag)]
          set guiVISvarsPrev(vol_minVelMag) $guiVISvars(vol_minVelMag)
          set guiVISvarsPrev(vol_maxVelMag) $guiVISvars(vol_maxVelMag)
          set guiVISvarsPrev(vol_displayVelocity) $guiVISvars(vol_displayVelocity)
          set actor [vis_pRepos $ren $velocityPD]
          [$actor GetMapper] ScalarVisibilityOn
          [$actor GetMapper] SetLookupTable gBlueToRedLUT
          [$actor GetMapper] SetScalarRange $guiVISvars(vol_minVelMag) $guiVISvars(vol_maxVelMag)
          vis_render $ren
      } elseif { ($guiVISvars(vol_displayVelocity) == "as vectors") } {

          if {$guiVISvarsPrev(vol_velocityScale) == $guiVISvars(vol_velocityScale)} {
             # do nothing
             puts "as vectors , as vectors -- do nothing"
          } else {
             puts "as vectors , as vectors -- scale"
             vis_vSetScale $ren $velocityPD $guiVISvars(vol_velocityScale)
             set guiVISvarsPrev(vol_velocityScale) $guiVISvars(vol_velocityScale)
    }

          if {($guiVISvarsPrev(vol_minVelMag) != $guiVISvars(vol_minVelMag)) ||  ($guiVISvarsPrev(vol_maxVelMag) != $guiVISvars(vol_maxVelMag))} {
            puts "scalar range update on vectors"
            set guiVISvarsPrev(vol_minVelMag) $guiVISvars(vol_minVelMag)
            set guiVISvarsPrev(vol_maxVelMag) $guiVISvars(vol_maxVelMag)
            set guiVISvarsPrev(vol_displayVelocity) $guiVISvars(vol_displayVelocity)
            set actor [vis_vGetActor $ren $velocityPD]
            [$actor GetMapper] ScalarVisibilityOn
            [$actor GetMapper] SetLookupTable gBlueToRedLUT
            [$actor GetMapper] SetScalarRange $guiVISvars(vol_minVelMag) $guiVISvars(vol_maxVelMag)
            vis_render $ren
    }

      } elseif { ($guiVISvarsPrev(vol_displayVelocity) != "as vectors") &&  ($guiVISvars(vol_displayVelocity) != "as vectors") } {

        if {($guiVISvarsPrev(vol_minVelMag) != $guiVISvars(vol_minVelMag)) ||  ($guiVISvarsPrev(vol_maxVelMag) != $guiVISvars(vol_maxVelMag))} {
            puts "scalars update"
            set guiVISvarsPrev(vol_minVelMag) $guiVISvars(vol_minVelMag)
            set guiVISvarsPrev(vol_maxVelMag) $guiVISvars(vol_maxVelMag)
            set guiVISvarsPrev(vol_displayVelocity) $guiVISvars(vol_displayVelocity)
            set actor [vis_pGetActor $ren $velocityPD]
            [$actor GetMapper] ScalarVisibilityOn
            [$actor GetMapper] SetLookupTable gBlueToRedLUT
            [$actor GetMapper] SetScalarRange $guiVISvars(vol_minVelMag) $guiVISvars(vol_maxVelMag)
            vis_render $ren
  } else {
            puts "not vectors, not vectors -- do nothing"
  }
      }
  }
  if {$alreadyfrozen == 0} {
    set gRen3dFreeze 0
    vis_render $ren
  }
}


# Procedure: guiVISvolFlowMultSliceCalcFlows
proc guiVISvolFlowMultSliceCalcFlows { writeSlices} {

  global guiVISvars

  # If "Save Multiple Slices" checked, then save slices for other
  # locations.
  if {$guiVISvars(volFlowSlice_mult_slice_flag) == 1} {
      # Subtract one plane for the original slice location, which
      # is computed last
      set num_planes [expr $guiVISvars(volFlowSlice_num_planes) - 1]
      set plane_incr $guiVISvars(volFlowSlice_plane_incr)

      # File names for other cut planes will be a variation of the
      # original output file name
      set orig_resultsDir $guiVISvars(volFlowSlice_resultsDir)
      set orig_resultsFilename $guiVISvars(volFlowSlice_resultsFilename)
      set orig_p1 $guiVISvars(p1)
      set orig_p2 $guiVISvars(p2)
      set orig_p3 $guiVISvars(p3)

      # Determine the number of sets of data that remain to be output.
      # If the number of remaining planes to output is not even,
      # then the "minus set" of planes will have one fewer plane
      # than the "plus set" of planes.
      set num_sets_plus [expr floor ([expr $num_planes / 2.0])]
      puts "Number of plus sets: $num_sets_plus"
      if {[expr $num_planes % 2] == 0} {
    set num_sets_minus $num_sets_plus
      } else {
    set num_sets_minus [expr $num_sets_plus - 1]
      }

      # Determine the correctly scaled normal to the cut plane
      set v1 [math_subVectors $guiVISvars(p2) $guiVISvars(p1)]
      set v2 [math_subVectors $guiVISvars(p3) $guiVISvars(p1)]
      set n [math_cross $v1 $v2]
      set n_unit [math_normalize $n]
      set n_incr [math_scaleVec $n_unit $plane_incr]

      # Write out the "plus set" planes
      for {set i 1} {$i <= $num_sets_plus} {incr i} {

    # Update the plane
    set plane_shift [math_scaleVec $n_incr $i]
    set guiVISvars(p1) [math_addVectors $orig_p1 $plane_shift]
    set guiVISvars(p2) [math_addVectors $orig_p2 $plane_shift]
    set guiVISvars(p3) [math_addVectors $orig_p3 $plane_shift]
    guiVISupdateCutPlane

    # Write out the results
    set specifier "_plus"
    set guiVISvars(volFlowSlice_resultsDir) "$orig_resultsDir$specifier$i"
    set guiVISvars(volFlowSlice_resultsFilename) "$orig_resultsFilename$specifier$i"
    guiVISvolFlowSliceCalcFlows $writeSlices
      }


      # Write out the "subtraction/minus set" planes
      for {set i 1} {$i <= $num_sets_minus} {incr i} {

    # Update the plane
    set plane_shift [math_scaleVec $n_incr $i]
    set guiVISvars(p1) [math_subVectors $orig_p1 $plane_shift]
    set guiVISvars(p2) [math_subVectors $orig_p2 $plane_shift]
    set guiVISvars(p3) [math_subVectors $orig_p3 $plane_shift]
    guiVISupdateCutPlane

    # Write out the results
    set specifier "_sub"
    set guiVISvars(volFlowSlice_resultsDir) "$orig_resultsDir$specifier$i"
    set guiVISvars(volFlowSlice_resultsFilename) "$orig_resultsFilename$specifier$i"
    guiVISvolFlowSliceCalcFlows $writeSlices
      }

      # Now set all values back to original
      set guiVISvars(volFlowSlice_resultsDir) $orig_resultsDir
      set guiVISvars(volFlowSlice_resultsFilename) $orig_resultsFilename
      set guiVISvars(p1) $orig_p1
      set guiVISvars(p2) $orig_p2
      set guiVISvars(p3) $orig_p3
  }

  # Output results for original cut plane
  guiVISvolFlowSliceCalcFlows $writeSlices
}


# Procedure: guiVISvolFlowSliceCalcFlows
proc guiVISvolFlowSliceCalcFlows { writeSlices} {

  global guiVISvars
  set theMesh $guiVISvars(mesh_vtk_obj)
  set pressurePD /guiVIS/slice/pressurePD
  set velocityPD /guiVIS/slice/velocityPD
  set surfacePD /guiVIS/slice/mesh
  set flat /guiVIS/guiVISvolFlowSliceCalcFlows/flat
  set flat_0 /guiVIS/guiVISvolFlowSliceCalcFlows/flat/0

  # tmp obj names
  set clipped /tmp/guiVISvolFlowSlice/Clipped
  set sphere  tmp-guiVISvolFlowSlice-Sphere
  set clipper tmp-guiVISvolFlowSlice-Clipper
  set cleaner tmp-guiVISvolFlowSlice-Cleaner
  set pressureAndVelocity tmp-guiVISvolFlowSlice-PresAndVel

  catch {repos_delete -obj $clipped}
  catch {$sphere Delete}
  catch {$clipper Delete}
  catch {$cleaner Delete}
  catch {$pressureAndVelocity Delete}

  global guiVISvars
  global guiVISvarsPrev

  #file mkdir $gFilenames(tmp_dir)
  #set paramsfn [file join $gFilenames(tmp_dir) mpeg_encode_params_postproc]
  #set statfn [file join $gFilenames(tmp_dir) postproc.mpeg_encode]
  #file delete $statfn

  set integrateType $guiVISvars(volFlowSlice_integrateType)
  set sphere_center $guiVISvars(volFlowSlice_sphereCenter)
  set sphere_radius $guiVISvars(volFlowSlice_sphereRadius)
  set density $guiVISvars(volFlowSlice_density)

  if {$writeSlices == 1} {
    file mkdir $guiVISvars(volFlowSlice_resultsDir)
  }

  set step_start 0
  set step_stop [expr [llength $guiVISvars(all_results_names)]-1]
  set steps [string_parse $guiVISvars(volFlowSlice_selectedSteps) $step_start $step_stop]
  if {[llength $steps] == 0} {
     return -code error "ERROR:  no steps specified."
  }

  if {$integrateType == "pressure" &&  $guiVISvars(cutplane_displayPressure) == "off"} {
    return -code error "ERROR: Must turn ON pressure slice display first!!  (see Cut Plane Visualization)"
  }

  if {$integrateType == "velocity" &&  $guiVISvars(cutplane_displayVelocity) == "off"} {
    return -code error "ERROR: Must turn ON velocity slice display first!!  (see Cut Plane Visualization)"
  }

  if {$integrateType == "energy" &&  $guiVISvars(cutplane_displayPressure) == "off"} {
    return -code error "ERROR: Must turn ON pressure slice display first!!  (see Cut Plane Visualization)"
  }

  if {$integrateType == "energy" &&  $guiVISvars(cutplane_displayVelocity) == "off"} {
    return -code error "ERROR: Must turn ON velocity slice display first!!  (see Cut Plane Visualization)"
  }


    # create implicit sphere
  vtkSphere $sphere
  $sphere SetCenter [lindex $sphere_center 0]  [lindex $sphere_center 1]  [lindex $sphere_center 2]
  $sphere SetRadius $sphere_radius

   puts "cal vol flow for steps: $steps"
   foreach step $steps {
     guiVISchangeStep $step

     catch {repos_delete -obj $clipped}
     catch {$clipper Delete}
     catch {$cleaner Delete}

     # run it through another filter to only get the vessel of
     # interest
     vtkClipPolyData $clipper
     if {$integrateType == "pressure"} {
       $clipper SetInputDataObject [repos_exportToVtk -src $pressurePD]
     } elseif {$integrateType == "velocity"} {
       $clipper SetInputDataObject [repos_exportToVtk -src $velocityPD]
     } elseif {$integrateType == "energy"} {
       vtkPolyData $pressureAndVelocity
       set pts   [[repos_exportToVtk -src $pressurePD] GetPoints]
       set polys [[repos_exportToVtk -src $pressurePD] GetPolys]
       set p [[[repos_exportToVtk -src $pressurePD] GetPointData] GetScalars]
       set v [[[repos_exportToVtk -src $velocityPD] GetPointData] GetVectors]
       $pressureAndVelocity SetPoints $pts
       $pressureAndVelocity SetPolys  $polys
       [$pressureAndVelocity GetPointData] SetScalars $p
       [$pressureAndVelocity GetPointData] SetVectors $v
       $clipper SetInputDataObject $pressureAndVelocity
     } else {
       return -code "ERROR: wrong integrateType ($integrateType)!"
     }

     $clipper SetClipFunction $sphere
     $clipper GenerateClippedOutputOn
     $clipper Update

     # need to eliminate unwanted points
     vtkCleanPolyData $cleaner
     $cleaner ConvertPolysToLinesOff
     $cleaner PointMergingOff
     $cleaner ConvertLinesToPointsOff
     $cleaner SetInputDataObject [$clipper GetClippedOutput]
     $cleaner Update

     # bring the results into Geodesic
     repos_importVtkPd -src [$cleaner GetOutput] -dst $clipped
     catch {$pressureAndVelocity Delete}

     # save clipped slice pd if desired
     if {$writeSlices == 1} {
        repos_writeVtkPolyData -obj $clipped -type ascii  -file [file join $guiVISvars(volFlowSlice_resultsDir) clipped-$step.vtk]
     }

     catch {repos_delete -obj $flat}
     catch {repos_delete -obj $flat_0}
     set boolean 1
     set rotated_norm {}
     set unitOutwardNormal [math_normalize $guiVISvars(volFlowSlice_surfaceNormal)]
     geom_flatten $unitOutwardNormal $boolean $clipped rotated_norm $flat
     set bbox [geom_bbox -obj $flat]
     geom_translate -src $flat  -vec [list 0 0 [expr -1.0*[lindex $bbox 4]]]  -dst $flat_0
     set area [geom_surfArea -src $flat_0]
     #puts "area: $area"
     # find the idealized outward normal
     if {[lindex $rotated_norm 2] > 0} {
        set inorm {0 0 1}
     } else {
        set inorm {0 0 -1}
     }

     #puts "original normal  : $unitOutwardNormal"
     #puts "rotated normal   : $rotated_norm"
     #puts "idealized normal : $inorm"

     if {$integrateType == "pressure"} {
       # get flux
       set flux [geom_integrateSurfaceFlux -obj $flat_0 -nrm $inorm -tensorType 0]
     } elseif {$integrateType == "velocity"} {
       # get flux
       set flux [geom_integrateSurfaceFlux -obj $flat_0 -nrm $inorm -tensorType 1]
     } elseif {$integrateType == "energy"} {
       set flux [geom_integrateEnergy -obj $flat_0 -nrm $inorm -rho $density]
     } else {
       return -code "ERROR: wrong integrateType ($integrateType)!"
     }
     set flows($step) $flux
     set resfiles($step) $guiVISvars(currentResFileName)
     catch {repos_delete -obj $flat}
     catch {repos_delete -obj $flat_0}

   }

   # calc avg
   set total 0
   foreach step $steps {
     set total [expr double($total)+$flows($step)]
   }
   set total [expr $total/double([llength $steps])]
   # write out results
   set fp [open $guiVISvars(volFlowSlice_resultsFilename) w]
   if {$integrateType == "pressure"} {
     puts $fp "# geodesic results (pressure on slice)"
   } elseif {$integrateType == "velocity"} {
     puts $fp "# geodesic results (volumetric flow through slice)"
   } elseif {$integrateType == "energy"} {
     puts $fp "# geodesic results (energy for slice)"
   } else {
     return -code "ERROR: wrong integrateType ($integrateType)!"
   }
   puts $fp "#"
   puts $fp "# p1: $guiVISvars(p1)"
   puts $fp "# p2: $guiVISvars(p2)"
   puts $fp "# p3: $guiVISvars(p3)"
   puts $fp "# sphere_center: $guiVISvars(volFlowSlice_sphereCenter)"
   puts $fp "# sphere_radius: $guiVISvars(volFlowSlice_sphereRadius)"
   puts $fp "# surfaceNormal: $guiVISvars(volFlowSlice_surfaceNormal)"
   puts $fp "# integrateType: $guiVISvars(volFlowSlice_integrateType)"
   puts $fp "#"
   puts $fp "# volumetric flow for files:"
   foreach step $steps {
     puts $fp "#   $step: $resfiles($step)"
   }
   if {$integrateType == "pressure"} {
     foreach step $steps {
        puts $fp "$step\t[expr $flows($step) / double ($area)]"
     }
     puts $fp "avg\t[expr $total / double ($area)]"
   } else {
     foreach step $steps {
        puts $fp "$step\t$flows($step)"
     }
     puts $fp "avg\t$total"
   }
   close $fp
}


# Procedure: guiVISvolFlowSliceDisplaySphere
proc guiVISvolFlowSliceDisplaySphere {} {
  set solidsphere /tmp/guiVISvolFlowSlice/sphere
  set spherepd /tmp/guiVISvolFlowSlice/spherepd
  global guiVISvars
  global guiVISvarsPrev
  global gRen3d
  global gOptions
  set prev $guiVISvarsPrev(volFlowSlice_displaySphere)
  set curr $guiVISvars(volFlowSlice_displaySphere)
  # do nothing
  if {$curr == 0 && $prev == 0} {
    return
  }
  # display it
  if {$curr == 1} {
    catch {repos_delete -obj $solidsphere}
    catch {repos_delete -obj $spherepd}
    catch {vis_pRm $gRen3d $spherepd}
    solid_sphere -r $guiVISvars(volFlowSlice_sphereRadius)  -ctr $guiVISvars(volFlowSlice_sphereCenter)  -result $solidsphere
    $solidsphere GetPolyData -result $spherepd  -max_edge_size $gOptions(facet_max_edge_size)
    repos_setLabel -obj $spherepd -key color -value blue
    repos_setLabel -obj $spherepd -key opacity -value 0.33
    generalView $gRen3d $spherepd
    set guiVISvarsPrev(volFlowSlice_displaySphere) 1
    return
  }
  if {$curr == 0} {
    catch {vis_pRm $gRen3d $spherepd}
    catch {repos_delete -obj $solidsphere}
    catch {repos_delete -obj $spherepd}
    set guiVISvarsPrev(volFlowSlice_displaySphere) 0
    return
  }

  return -code error "Should not reach here!"
}


# Procedure: guiVOLRENupdate
proc guiVOLRENupdate { type pt args} {

  puts "update transfer functions($type $pt)!"

  global guiVOLRENvars

  if {$type == "color"} {
    set  color [tk_chooseColor]
    if {$color == ""} return
    set r [expr (0x[string range $color 1 2])/255.0]
    set g [expr (0x[string range $color 3 4])/255.0]
    set b [expr (0x[string range $color 5 6])/255.0]
    set guiVOLRENvars(color_pt_$pt) [list $r $g $b]
  }

  # only for entire volume for now
  set repos_image volume_image
  set image [repos_exportToVtk -src $repos_image]
  set rng [$image GetScalarRange]
  set low [lindex $rng 0]
  set hi [lindex $rng 1]
  set range [expr $hi - $low]

  for {set i 1} {$i <= 4} {incr i} {
      lappend opacityFn [list [expr $low + $guiVOLRENvars(intensity_pt_$i) * $range] $guiVOLRENvars(opacity_pt_$i)]
  }

  for {set i 1} {$i <= 4} {incr i} {
     set r [lindex $guiVOLRENvars(color_pt_$i) 0]
     set g [lindex $guiVOLRENvars(color_pt_$i) 1]
     set b [lindex $guiVOLRENvars(color_pt_$i) 2]
     lappend colorFn [list [expr $low + $guiVOLRENvars(intensity_pt_$i) * $range] $r $g $b]
  }

  global guiVIB
  set guiVIB(opacityFunction) $opacityFn
  set guiVIB(colorFunction) $colorFn

  if {$type == "init"} return

  if {$type == "intensity"} {
    set type opacity
  }

  volGUIupdateVolRender guiVIB $type
}


# Procedure: guiWSSaddCutBox
proc guiWSSaddCutBox {} {
   global guiWSSvars
   global symbolicName

   set bbox $guiWSSvars(box_interactor_bounds)
   set offset $guiWSSvars(plane_offset)
   set side outside

   set tbox $symbolicName(guiWSScutFileTB)
   $tbox insert end "\# box side offset xmin xmax ymin ymax zmin zmax\n"
   $tbox insert end "box $side $offset $bbox\n"
   guiWSScreateCutBox $side $offset $bbox
}


# Procedure: guiWSSaddCutPlane
proc guiWSSaddCutPlane { side} {
   global guiWSSvars
   global symbolicName

   set tbox $symbolicName(guiWSScutFileTB)
   set topRight $guiWSSvars(plane_p1)
   set botRight $guiWSSvars(plane_p2)
   set topLeft  $guiWSSvars(plane_p3)
   set offset   $guiWSSvars(plane_offset)
   $tbox insert end "\# plane side offset topRight botRight topLeft\n"
   $tbox insert end "plane $side $offset $topRight $botRight $topLeft\n"

   guiWSScreateCutPlane $side
}


# Procedure: guiWSSboxBeginInteraction
proc guiWSSboxBeginInteraction {} {
  global gInteractorInteracting
  set gInteractorInteracting 1
}


# Procedure: guiWSSboxEnableInteraction
proc guiWSSboxEnableInteraction {} {
  global gInteractorInteracting
  set gInteractorInteracting 0
  global gInteractorRen
# the following line causes an error, why?
#  set guiWSSvars(box_interactor_bounds) [vis_boxWidgetGetBB $gInteractorRen guiWSS]
}


# Procedure: guiWSSboxEndInteraction
proc guiWSSboxEndInteraction {} {
  global gInteractorInteracting
  set gInteractorInteracting 0
}


# Procedure: guiWSSboxInteract
proc guiWSSboxInteract {} {
  global gInteractorRen
  global guiWSSvars
  set guiWSSvars(box_interactor_bounds) [vis_boxWidgetGetBB $gInteractorRen guiWSS]
}


# Procedure: guiWSSbrowseCutsFile
proc guiWSSbrowseCutsFile {} {
   global gFilenames
   set fn [tk_getOpenFile -filetypes {{CUTS *.cuts} {"All Files" *.*}} -title "Choose Cuts File"]
   if {$fn != ""} {
     set gFilenames(cuts_file) $fn
   }
  return
}


# Procedure: guiWSSbrowseSolid
proc guiWSSbrowseSolid {} {
  global gFilenames
   set fn [tk_getOpenFile -filetypes {{PARASOLID *.xmt_txt} {"All Files" *.*}} -title "Choose Solid Model"]
   if {$fn != ""} {
     set gFilenames(atdb_solid_file) $fn
   }
  return
}


# Procedure: guiWSSbrowseWSS
proc guiWSSbrowseWSS {} {
  global gFilenames
    set fn [tk_getOpenFile -filetypes {{VTK *.vtk} {VTK *.vtp} {"All Files" *.*}} -title "Choose VTK PolyData File"]
   if {$fn != ""} {
     set gFilenames(wss_file) $fn
   }
  return
}


# Procedure: guiWSScalcArea
proc guiWSScalcArea {} {
  set cutpd /guiWSS/cutPD
  set area [geom_surfArea -src $cutpd]
  puts "area: $area"
  tk_messageBox -title "Area"  -message "Area: $area"  -icon info -type ok
  # begin validation / debugging code
  #set floats guiWSScalcArea_floats
  #catch {$floats Delete}
  #vtkFloatArray $floats
  #$floats SetNumberOfComponents 1
  #set numPts [geom_numPts -obj $cutpd]
  #for {set i 0} {$i < $numPts} {incr i} {
  #  $floats InsertNextTuple1 1
  #}
  #set tmpPD /guiWSS/tmpPD
  #catch {repos_delete -obj $tmpPD}
  #geom_copy -src $cutpd -dst $tmpPD
  #[[repos_exportToVtk -src $tmpPD] GetPointData] SetScalars $floats
  #set total [geom_integrateScalarSurf -src $tmpPD]
  #puts "surf area: $total"
  # end validation / debugging code
}


# Procedure: guiWSScalcMean
proc guiWSScalcMean {} {
  set cutpd /guiWSS/cutPD
  set total [geom_integrateScalarSurf -src $cutpd]
  set area [geom_surfArea -src $cutpd]
  set mean [expr double($total)/double($area)]

  global guiWSSvars
  set thrarea [geom_integrateScalarThresh -src  $cutpd -thr $guiWSSvars(area_max_value)]
  set areaBelowThr [expr 1.0*[lindex $thrarea 1]/$area]
  set areaAboveThr [expr 1.0-$areaBelowThr]

  #[[[repos_exportToVtk -src $cutpd] GetPointData] GetScalars] ComputeRange 0
  set range [[[[repos_exportToVtk -src $cutpd] GetPointData] GetScalars] GetRange 0]
  puts "total: $total\narea: $area\nmean: $mean\nmin: [lindex $range 0]\nmax: [lindex $range 1]\n"
  tk_messageBox -title "Area"  -message "total: $total\narea: $area\narea below max val: $areaBelowThr\narea above max val: $areaAboveThr\nmean: $mean\nmin: [lindex $range 0]\nmax: [lindex $range 1]\n"  -icon info -type ok
}


# Procedure: guiWSScreateCutBox
proc guiWSScreateCutBox { side offset bbox} {

  global guiWSSvars
  global gRen3d

  set wsspd /guiWSS/wssPD
  set cutpd /guiWSS/cutPD

  set clipper tmp-guiWSS-clipper
  set impBox guiWSScreateCutBox-ImpBox

  catch {$clipper Delete}
  catch {$impBox Delete}

  # create the implicit cut box
  vtkBox $impBox
  eval $impBox SetBounds $bbox

  # do the clipping
  #puts "Using clipper..."
  catch {$clipper Delete}
  vtkClipPolyData $clipper
  $clipper SetInputDataObject [repos_exportToVtk -src $cutpd]
  $clipper GenerateClippedOutputOn
  $clipper SetClipFunction $impBox
  $clipper SetValue $offset
  $clipper Update

  global gRen3d

  set ren $gRen3d

  global gRen3dFreeze
  if {$gRen3dFreeze > 0} {
    set alreadyfrozen 1
  } else {
    set alreadyfrozen 0
    set gRen3dFreeze 1
  }

  if {$guiWSSvars(vis_cut_surface) != 0} {
    vis_pRm $gRen3d $cutpd
  }

  # bring the results in aspire2
  catch {repos_delete -obj $cutpd}
  if {$side == "inside"} {
    repos_importVtkPd -src [$clipper GetOutput] -dst $cutpd
  } else {
    repos_importVtkPd -src [$clipper GetClippedOutput] -dst $cutpd
  }

  guiWSSvis vis_cut_surface

  $clipper Delete
  $impBox Delete

  if {$alreadyfrozen == 0} {
    set gRen3dFreeze 0
    vis_render $ren
  }
}


# Procedure: guiWSScreateCutPlane
proc guiWSScreateCutPlane { side} {

  global guiWSSvars
  global gRen3d

  set wsspd /guiWSS/wssPD
  set cutpd /guiWSS/cutPD
#  set tmpcutpd /guiWSS/tmpcutpd

  set clipper tmp-guiWSS-clipper

  set plane guiWSScreateCutPlane-Plane
  set impPlane guiWSScreateCutPlane-Imp

  set reposPlane /guiWSS/slice_plane

  catch {$clipper Delete}
  catch {$plane Delete}
  catch {$impPlane Delete}

  catch {repos_delete -obj $tmpcutpd}
  catch {repos_delete -obj $reposPlane}

  set topRight $guiWSSvars(plane_p1)
  set botRight $guiWSSvars(plane_p2)
  set topLeft  $guiWSSvars(plane_p3)

  if {[llength $topRight] != 3 ||
      [llength $botRight] != 3 ||
      [llength $topLeft] != 3} {
    return
    #return -code error "ERROR:  incorrect length of corner pts."
  }

  # create the explicit cut plane

  vtkPlaneSource $plane
  $plane SetOrigin [lindex $topRight 0] [lindex $topRight 1] [lindex $topRight 2]
  $plane SetPoint1 [lindex $topLeft 0] [lindex $topLeft 1] [lindex $topLeft 2]
  $plane SetPoint2 [lindex $botRight 0] [lindex $botRight 1] [lindex $botRight 2]
  $plane Update
  set nrm [$plane GetNormal]
  repos_importVtkPd -src [$plane GetOutput] -dst $reposPlane

  # create the implicit cut plane
  vtkPlane $impPlane
  $impPlane SetOrigin [lindex $topRight 0] [lindex $topRight 1] [lindex $topRight 2]
  $impPlane SetNormal [lindex $nrm 0] [lindex $nrm 1] [lindex $nrm 2]

  # do the clipping
  #puts "Using clipper..."
  catch {$clipper Delete}
  vtkClipPolyData $clipper
  $clipper SetInputDataObject [repos_exportToVtk -src $cutpd]
  $clipper GenerateClippedOutputOn
  $clipper SetClipFunction $impPlane
  $clipper SetValue $guiWSSvars(plane_offset)
  $clipper Update

  global gRen3d

  set ren $gRen3d

  global gRen3dFreeze
  if {$gRen3dFreeze > 0} {
    set alreadyfrozen 1
  } else {
    set alreadyfrozen 0
    set gRen3dFreeze 1
  }

  if {$guiWSSvars(vis_cut_surface) != 0} {
    vis_pRm $gRen3d $cutpd
  }

  # bring the results in aspire2
  catch {repos_delete -obj $cutpd}
  if {$side == "above"} {
    repos_importVtkPd -src [$clipper GetOutput] -dst $cutpd
  } else {
    repos_importVtkPd -src [$clipper GetClippedOutput] -dst $cutpd
  }

  guiWSSvis vis_cut_surface

  $clipper Delete
  $plane Delete

  if {$alreadyfrozen == 0} {
    set gRen3dFreeze 0
    vis_render $ren
  }
}


# Procedure: guiWSScutRefresh
proc guiWSScutRefresh {} {
  # replace object with original and then
  # process the current cut file
  set wsspd /guiWSS/wssPD
  set cutpd /guiWSS/cutPD

  guiWSSselectFaces refresh

  global symbolicName
  global guiWSSvars
  set mytext {}
  set tbox $symbolicName(guiWSScutFileTB)
  set numlines [lindex [split [$tbox index end] .] 0]
  for {set i 1} {$i < $numlines} {incr i} {
    set line [$tbox get $i.0 $i.end]
    set line [string trim $line]
    if {[string length $line] == 0} {
      continue
    }
    if {[string index $line 0] == "\#"} {
      continue
    }
    if {[lindex $line 0] == "plane"} {
      set side [lindex $line 1]
      set offset [lindex $line 2]
      set topRight [lrange $line 3 5]
      set botRight [lrange $line 6 8]
      set topLeft  [lrange $line 9 11]
      set guiWSSvars(plane_p1) $topRight
      set guiWSSvars(plane_p2) $botRight
      set guiWSSvars(plane_p3) $topLeft
      set guiWSSvars(plane_offset) $offset
      guiWSScreateCutPlane $side
    } elseif {[lindex $line 0] == "box"} {
      set side [lindex $line 1]
      set offset [lindex $line 2]
      set bbox [lrange $line 3 8]
      guiWSScreateCutBox $side $offset $bbox
    }
  }
}


# Procedure: guiWSSlistboxClick
proc guiWSSlistboxClick {} {
  global symbolicName
  set lb $symbolicName(guiWSSfaceLB)
  if {[$lb curselection] == ""} {
    return
  }
  set id [$lb curselection]
  set mytext [$lb get $id]
  if {[regexp "((( SELECTED )))" $mytext] == 1} {
    set mytext [string range $mytext 0 end-17]
  } else {
    set mytext "$mytext ((( SELECTED )))"
  }
  $lb selection clear 0 end
  $lb delete $id
  $lb insert $id $mytext

  guiWSSselectFaces listbox
}


# Procedure: guiWSSloadCutsFile
proc guiWSSloadCutsFile {} {

  global guiWSSvars
  global gFilenames
  global symbolicName

  set mytext {}
  set tbox $symbolicName(guiWSScutFileTB)
  $tbox delete 1.0 end
  set fp [open $gFilenames(cuts_file) r]
  set i 1
  while {[gets $fp line] >= 0} {
    $tbox insert $i.0 "$line\n"
    set mytext "$mytext$line\n"
    incr i
  }
  set guiWSSvars(loaded_cut_file_text) $mytext

  close $fp
}


# Procedure: guiWSSloadSolid
proc guiWSSloadSolid {} {
  guiFNMloadSolidModel atdb_solid_file atdb_solid
  guiWSSpopulateLB
}


# Procedure: guiWSSloadWSS
proc guiWSSloadWSS {} {
  global gFilenames
  set wsspd /guiWSS/wssPD
  catch {repos_delete -obj $wsspd}
  repos_readVtkPolyData -file $gFilenames(wss_file) -obj $wsspd
  # update cut object
  guiWSSselectFaces load_button
}


# Procedure: guiWSSplaneBeginInteraction
proc guiWSSplaneBeginInteraction {} {
  global gInteractorInteracting
  set gInteractorInteracting 1
}


# Procedure: guiWSSplaneEnableInteraction
proc guiWSSplaneEnableInteraction {} {
  global gInteractorInteracting
  set gInteractorInteracting 0

  global guiWSSvars

  set wsspd /guiWSS/wssPD
  set bbox [geom_bbox -obj $wsspd]

  global gRen3d
  if {$guiWSSvars(plane_p1) == "" || $guiWSSvars(plane_p2) == "" || $guiWSSvars(plane_p3) == ""} {
    set cX [expr double([lindex $bbox 1] + [lindex $bbox 0])/2.0]
    set cY [expr double([lindex $bbox 3] + [lindex $bbox 2])/2.0]
    set cZ [expr double([lindex $bbox 5] + [lindex $bbox 4])/2.0]
    vis_planeWidgetSetCenter $gRen3d guiWSS $cX $cY $cZ
    vis_planeWidgetSetNormal $gRen3d guiWSS 0 0 1
    set guiWSSvars(plane_p1) [vis_planeWidgetGetOrigin $gRen3d guiWSS]
    set guiWSSvars(plane_p2) [vis_planeWidgetGetPoint1 $gRen3d guiWSS]
    set guiWSSvars(plane_p3) [vis_planeWidgetGetPoint2 $gRen3d guiWSS]
  }
}


# Procedure: guiWSSplaneEndInteraction
proc guiWSSplaneEndInteraction {} {
  global gInteractorInteracting
  set gInteractorInteracting 0
}


# Procedure: guiWSSplaneInteract
proc guiWSSplaneInteract {} {
  global guiWSSvars
  global gInteractorRen
  set guiWSSvars(plane_p1) [vis_planeWidgetGetOrigin $gInteractorRen guiWSS]
  set guiWSSvars(plane_p2) [vis_planeWidgetGetPoint1 $gInteractorRen guiWSS]
  set guiWSSvars(plane_p3) [vis_planeWidgetGetPoint2 $gInteractorRen guiWSS]
  set guiWSSvars(plane_center) [vis_planeWidgetGetCenter $gInteractorRen guiWSS]
  set guiWSSvars(plane_normal) [vis_planeWidgetGetNormal $gInteractorRen guiWSS]
}


# Procedure: guiWSSpopulateLB
proc guiWSSpopulateLB {} {

  global guiWSSvars
  global gObjects
  global symbolicName
  global gOptions

  set solidkernel $gOptions(meshing_solid_kernel)

  if {$solidkernel == "Parasolid" || $solidkernel == "Discrete"} {
    set solid $gObjects(atdb_solid)
  } elseif {$solidkernel == "PolyData"} {
    set solid $gObjects(polydata_solid)
  } else {
    return -code error "ERROR: Invalid solid kernel"
  }

  set names {}
  foreach i [$solid GetFaceIds] {
      set name [$solid GetFaceAttr -attr gdscName -faceId $i]
      if {$name == ""} {
         continue
         #set name [$solid GetFaceAttr -attr identifier -faceId $i]
      }
      lappend names $name
  }
  set names [lsort -dictionary $names]

  # insert the face names into listbox
  set lb $symbolicName(guiWSSfaceLB)
  $lb delete 0 end
  foreach i $names {
    $lb insert end $i
  }
}


# Procedure: guiWSSsaveCutsFile
proc guiWSSsaveCutsFile {} {
  global guiWSSvars
  global gFilenames
  global symbolicName

  set tbox $symbolicName(guiWSScutFileTB)

  set fp [open $gFilenames(cuts_file) w]
  puts $fp [$tbox get 1.0 end-1c]
  close $fp
}


# Procedure: guiWSSselectFaces
proc guiWSSselectFaces { widget} {
  set wsspd /guiWSS/wssPD
  set cutpd /guiWSS/cutPD
  global gFilenames
  global guiWSSvars
  global symbolicName
  set lb $symbolicName(guiWSSfaceLB)

  if {$guiWSSvars(useAllFaces) != 0} {
    catch {repos_delete -obj $cutpd}
    geom_copy -src $wsspd -dst $cutpd
  } else {
    catch {repos_delete -obj $cutpd}
    set numitems [llength [$lb get 0 end]]
    set faces {}
    for {set i 0} {$i < $numitems} {incr i} {
      set mytext [$lb get $i]
      if {[regexp "((( SELECTED )))" $mytext] == 1} {
        lappend faces [string range $mytext 0 end-17]
      }
    }
    puts "faces: $faces"
    set appender guiWSS-tmp-appender
    catch {$appender Delete}
    vtkAppendPolyData $appender
    foreach face $faces {
      puts "working on face: $face"
      set fn [file join $gFilenames(mesh_faces_dir) $face.vtk]
      set objname /guiWSS/mesh_surfaces/$face
      set tmpPD /guiWSS/tmp/replace_scalars/$face
      catch {repos_delete -obj $objname}
      catch {repos_delete -obj $tmpPD}
      repos_readVtkPolyData -file $fn -obj $objname
      geom_replacePointData -srcA $wsspd -srcB $objname -dst $tmpPD -scalars 1 -vectors 0
      $appender AddInputData [repos_exportToVtk -src $tmpPD]
    }
    $appender Update
    repos_importVtkPd -src [$appender GetOutput] -dst $cutpd
  }

  # update display if cut is shown
  guiWSSvis vis_cut_surface
}


# Procedure: guiWSSsetup
proc guiWSSsetup {} {
  global symbolicName
  global guiWSSvars

  vis_gRenWin_3D
  set tbox $symbolicName(guiWSScutFileTB)
  $tbox delete 1.0 end
  $tbox insert end $guiWSSvars(loaded_cut_file_text)
  $tbox insert end "\n"
}


# Procedure: guiWSSupdateScalarRange
proc guiWSSupdateScalarRange {} {

  global guiWSSvars
  global gRen3d

  set ren $gRen3d

  global gRen3dFreeze
  if {$gRen3dFreeze > 0} {
    set alreadyfrozen 1
  } else {
    set alreadyfrozen 0
    set gRen3dFreeze 1
  }

  set wsspd /guiWSS/wssPD
  set cutpd /guiWSS/cutPD

  if {$guiWSSvars(vis_initial_surface) != 0} {
    set actor [vis_pGetActor $ren $wsspd]
    [$actor GetMapper] SetScalarRange $guiWSSvars(area_min_value) $guiWSSvars(area_max_value)
  }

  if {$guiWSSvars(vis_cut_surface) != 0} {
    set actor [vis_pGetActor $ren $cutpd]
    [$actor GetMapper] SetScalarRange $guiWSSvars(area_min_value) $guiWSSvars(area_max_value)
  }

  if {$alreadyfrozen == 0} {
    set gRen3dFreeze 0
    vis_render $ren
  }
}


# Procedure: guiWSSvis
proc guiWSSvis { flag} {

  global guiWSSvars
  global gRen3d

  set ren $gRen3d

  global gRen3dFreeze
  if {$gRen3dFreeze > 0} {
    set alreadyfrozen 1
  } else {
    set alreadyfrozen 0
    set gRen3dFreeze 1
  }

  set wsspd /guiWSS/wssPD
  set cutpd /guiWSS/cutPD

  if {$flag == "vis_boxInteractor"} {
    if {$guiWSSvars(vis_boxInteractor) == 0} {
      catch {vis_boxWidgetRm $gRen3d guiWSS}
    } else {
      catch {vis_boxWidgetRm $gRen3d guiWSS}
      vis_boxWidgetAdd $gRen3d [repos_exportToVtk -src $wsspd] guiWSS  guiWSSboxEnableInteraction  guiWSSboxBeginInteraction  guiWSSboxInteract  guiWSSboxEndInteraction
      vis_boxWidgetOn $gRen3d guiWSS
    }
  }

  if {$flag == "vis_planeInteractor"} {
    if {$guiWSSvars(vis_planeInteractor) == 0} {
      catch {vis_planeWidgetRm $gRen3d guiWSS}
    } else {
      catch {vis_planeWidgetRm $gRen3d guiWSS}
      vis_planeWidgetAdd $gRen3d [repos_exportToVtk -src $wsspd] guiWSS  guiWSSplaneEnableInteraction  guiWSSplaneBeginInteraction  guiWSSplaneInteract  guiWSSplaneEndInteraction
      vis_planeWidgetOn $gRen3d guiWSS
    }
  }

  if {$flag == "vis_initial_surface"} {
    if {$guiWSSvars(vis_initial_surface) == 0} {
      catch {vis_pRm $gRen3d $wsspd}
    } else {
      catch {vis_pRm $gRen3d $wsspd}
      vis_pRepos $gRen3d $wsspd
      set actor [vis_pGetActor $ren $wsspd]
      [$actor GetMapper] ScalarVisibilityOn
      [$actor GetMapper] SetLookupTable gBlueToRedLUT
      [$actor GetMapper] SetScalarRange $guiWSSvars(area_min_value) $guiWSSvars(area_max_value)
    }
  }


  if {$flag == "vis_cut_surface"} {
    if {$guiWSSvars(vis_cut_surface) == 0} {
      catch {vis_pRm $gRen3d $cutpd}
    } else {
      catch {vis_pRm $gRen3d $cutpd}
      vis_pRepos $gRen3d $cutpd
      set actor [vis_pGetActor $ren $cutpd]
      [$actor GetMapper] ScalarVisibilityOn
      [$actor GetMapper] SetLookupTable gBlueToRedLUT
      [$actor GetMapper] SetScalarRange $guiWSSvars(area_min_value) $guiWSSvars(area_max_value)
    }
  }

  if {$alreadyfrozen == 0} {
    set gRen3dFreeze 0
    vis_render $ren
  }
}


# Procedure: gui_legacy_use_5X_volume
proc gui_legacy_use_5X_volume {} {
  # removed 5X load button from new interface
  # note: must still click on load volume button after
  #       calling this function
  createPREOPloadsaveVolFile
}


# Procedure: img_blankVelocities
proc img_blankVelocities { velocityImg segmentation updatedImg rtnFlowRate rtnAvgVel rtnMinVel rtnMaxVel rtnArea} {

  upvar $rtnFlowRate flowRate
  upvar $rtnAvgVel avgVel
  upvar $rtnMinVel minVel
  upvar $rtnMaxVel maxVel
  upvar $rtnArea totalArea

  set flowRate 0
  set minVel 10000000.0
  set maxVel -10000000.0
  set avgVel 0
  set numCells 0

  set image [repos_exportToVtk -src $velocityImg]

  set origin [$image GetOrigin]
  set spacing [$image GetSpacing]
  set extent [$image GetExtent]
  set dims [list [expr [lindex $extent 1]+1] [expr [lindex $extent 3]+1]]
  set imageScalars [[$image GetPointData] GetScalars]
  set numScalars [$imageScalars GetNumberOfTuples]
  set area [expr double([lindex $spacing 0])*double([lindex $spacing 1])]

  set vScalars tmp-img_blankVelocities-scalars
  catch {$vScalars Delete}
  vtkFloatArray $vScalars
  $vScalars Allocate 100 100
  $vScalars SetNumberOfTuples $numScalars

  # do fake classify first so we can then call with usePrevPoly=1
  geom_ptInPoly -pgn $segmentation -pt {0 0} -usePrevPoly 0
  for {set pixel 0} {$pixel < $numScalars} {incr pixel} {
    set planeIx [expr $pixel / ([lindex $dims 0] * [lindex $dims 1])]
    set planeOffset [expr $pixel % ([lindex $dims 0] * [lindex $dims 1])]
    set rowIx [expr $planeOffset / [lindex $dims 0]]
    set colIx [expr $planeOffset % [lindex $dims 0]]

    set ptX [expr [lindex $origin 0] + ($colIx * [lindex $spacing 0])]
    set ptY [expr [lindex $origin 1] + ($rowIx * [lindex $spacing 1])]

    #puts "planeIx: $planeIx  rowIx: $rowIx  colIx: $colIx pt: $ptX $ptY"

    set classify [geom_ptInPoly -pgn $segmentation  -pt [list $ptX $ptY]  -usePrevPoly 1]
    #puts "pt: ($ptX,$ptY) classify: $classify"
    if {$classify == 1} {

      set v [$imageScalars GetTuple1 $pixel]
      $vScalars InsertTuple1 $pixel $v

      set flowRate [expr $flowRate + double($area) * double($v)]

      if {$v < $minVel} {
        set minVel $v
      }
      if {$v > $maxVel} {
        set maxVel $v
      }
      set avgVel [expr double($avgVel) + double($v)]
      incr numCells

    } else {

      $vScalars InsertTuple1 $pixel -100

    }

  }

  set avgVel [expr double($avgVel) / double($numCells)]

  set totalArea [expr double($area) * double($numCells)]

  set sp tmp-img_blankVelocitites-sp
  catch {$sp Delete}
  vtkStructuredPoints $sp
  $sp CopyStructure $image
  $sp CopyInformation $image
  [$sp GetPointData] SetScalars $vScalars
  set origin [$image GetOrigin]
  set spacing [$image GetSpacing]
  $sp SetOrigin [lindex $origin 0] [lindex $origin 1] [lindex $origin 2]
  $sp SetSpacing [lindex $spacing 0] [lindex $spacing 1] [lindex $spacing 2]
  repos_importVtkSp -src $sp -dst $updatedImg
  catch {$vScalars Delete}
  catch {$sp Delete}
}


# Procedure: lsGUI_hand_EndQueryInteraction
proc lsGUI_hand_EndQueryInteraction { widget} {

  global lsGUIhanddrawShowMagValue
  set lsGUIhanddrawShowMagValue 0
  global lsGUImagWindow
  vis_textClr $lsGUImagWindow(ren)
  global lsGUIpotWindow
  vis_textClr $lsGUIpotWindow(ren)
}


# Procedure: lsGUI_hand_StartQueryInteraction
proc lsGUI_hand_StartQueryInteraction { widget x y} {
  global lsGUIhanddrawShowMagValue
  set lsGUIhanddrawShowMagValue 1

  set x [expr [winfo pointerx $widget] - [winfo rootx $widget]]
  set y [expr [winfo pointery $widget] - [winfo rooty $widget]]

  lsGUI_hand_UpdateQueryInteraction $widget $x $y
}


# Procedure: lsGUI_hand_UpdateQueryInteraction
proc lsGUI_hand_UpdateQueryInteraction { widget x y} {

  global lsGUImagWindow
  global lsGUIpotWindow

  set x [expr [winfo pointerx $widget] - [winfo rootx $widget]]
  set y [expr [winfo pointery $widget] - [winfo rooty $widget]]

  global symbolicName
  if {[file rootname $widget] == $symbolicName(lsRenWinMag)} {
    set ren $lsGUImagWindow(ren)
  } else {
    set ren $lsGUIpotWindow(ren)
  }

  # y is flipped upside down
  set height [lindex [$widget configure -height] 4]
  set y [expr $height - $y]

  set coord tmp-add_point_cord
  catch {$coord Delete}
  vtkCoordinate $coord
  $coord SetCoordinateSystemToDisplay
  $coord SetValue $x $y
  set worldValue [$coord GetComputedWorldValue $ren]
  $coord Delete
  puts "x: $x  y: $y  worldValue: $worldValue"

  set mag [repos_exportToVtk -src /tmp/lsGUI/mag]
  set org [$mag GetOrigin]
  set ext [$mag GetExtent]
  set spacing [$mag GetSpacing]

  set i [expr int(floor([expr [lindex $worldValue 0] - [lindex $org 0]]/[lindex $spacing 0]))]
  set j [expr int(floor([expr [lindex $worldValue 1] - [lindex $org 1]]/[lindex $spacing 1]))]

  if {$i < [lindex $ext 0] || $i > [lindex $ext 1]  ||  $j < [lindex $ext 2] || $j > [lindex $ext 3]} {
      puts "$i $j out of range!"
      return
   }

  set pixel [expr ($i - [lindex $ext 0]) + ($j - [lindex $ext 2])*([lindex $ext 1] -[lindex $ext 0]+1)]

  set magv [[[[repos_exportToVtk -src /tmp/lsGUI/mag] GetPointData] GetScalars] GetTuple1 $pixel]
  set potv [[[[repos_exportToVtk -src /tmp/lsGUI/pot] GetPointData] GetScalars] GetTuple1 $pixel]

  vis_textSet $ren "$i $j intensity: $magv   mag. of grad: $potv"
}


# Procedure: lsGUI_hand_add_point
proc lsGUI_hand_add_point { widget x y} {

  global lsGUImagWindow
  global lsGUIpotWindow

  set x [expr [winfo pointerx $widget] - [winfo rootx $widget]]
  set y [expr [winfo pointery $widget] - [winfo rooty $widget]]

  global symbolicName
  if {[file rootname $widget] == $symbolicName(lsRenWinMag)} {
    set ren $lsGUImagWindow(ren)
  } else {
    set ren $lsGUIpotWindow(ren)
  }

  set selectedPoints lsGUItmp-handdraw-pts1
  set selectedLines lsGUItmp-handdraw-lines1

  # y is flipped upside down
  set height [lindex [$widget configure -height] 4]
  set y [expr $height - $y]

  set coord tmp-add_point_cord
  catch {$coord Delete}
  vtkCoordinate $coord
  $coord SetCoordinateSystemToDisplay
  $coord SetValue $x $y
  set worldValue [$coord GetComputedWorldValue $ren]
  $coord Delete
  puts "x: $x  y: $y  worldValue: $worldValue"

  #$selectedPoints InsertNextPoint $x $y 0
  $selectedPoints InsertNextPoint [lindex $worldValue 0] [lindex $worldValue 1] 0

  if {[$selectedPoints GetNumberOfPoints] == 1} {return}

  $selectedLines InsertNextCell 2
  $selectedLines InsertCellPoint [expr [$selectedPoints GetNumberOfPoints] - 2]
  $selectedLines InsertCellPoint [expr [$selectedPoints GetNumberOfPoints] - 1]

  foreach renWin {lsRenWinMag lsRenWinPot} {
      global symbolicName
      set widget $symbolicName($renWin).r1
      if {[info commands $widget] != ""} {
           $widget Render
      }
  }
}


# Procedure: lsGUI_hand_make_poly
proc lsGUI_hand_make_poly { widget x y} {

  set selectedPoints lsGUItmp-handdraw-pts1
  set selectedLines lsGUItmp-handdraw-lines1
  set cursorPoints lsGUItmp-handdraw-crsr-pts1

  # create a  closed polygon from the selected points

  set npts [$selectedPoints GetNumberOfPoints]

  if {$npts < 3} {
    return -code error "Need at 3 points to define a closed contour!"
  }

  # create the contour
  set pts {}
  for {set i 0} {$i < $npts} {incr i} {
    lappend pts [$selectedPoints GetPoint $i]
  }

  global lsGUIcurrentPathNumber
  set pathId $lsGUIcurrentPathNumber
  global gPathPoints
  set path $gPathPoints($pathId,splinePts)

  global lsGUIcurrentPositionNumber
  set posId $lsGUIcurrentPositionNumber

  global lsGUIhandContourType
  set type $lsGUIhandContourType

  if {$type == "levelset"} {
    set seg /lsGUI/$pathId/$posId/ls
    set segoriented $seg/oriented
  } elseif {$type == "threshold"} {
    set baseName /lsGUI/$pathId/$posId
    set seg $baseName/thr/selected
    set segoriented $baseName/thr/oriented
  } else {
    return -code error "Invalid segmentation type ($type)."
  }

  catch {repos_delete -obj $seg}
  catch {repos_delete -obj $segoriented}

  global gImageFoo
  set voxel_dim [math_minVec $gImageFoo(voxelDims)]

  # create the unoriented contour
  # subsample the loop
  set curveLength [math_curveLength -pts $pts -closed 1]
  set numSamplePoints [expr int(ceil($curveLength/double($voxel_dim)))]
  set newpts [math_linearInterpCurve -pts $pts -closed 1 -numInterpPts $numSamplePoints]
  geom_mkLinesFromPts $newpts $seg 1

  # orient the contour
  array set items [lindex $path $posId]
  set pos [TupleToList $items(p)]
  set nrm [TupleToList $items(t)]
  set xhat [TupleToList $items(tx)]
  geom_orientProfile -src $seg -path_pos $pos -path_tan $nrm -path_xhat $xhat -dst $segoriented

  # track creation parameters via labels
  foreach obj [list $seg $segoriented] {
    repos_setLabel -obj $obj -key creation_method     -value "hand_drawn"
    repos_setLabel -obj $obj -key num_hand_picked_pts -value $npts
    repos_setLabel -obj $obj -key creation_type       -value $type
    repos_setLabel -obj $obj -key num_subsample_pts   -value $numSamplePoints
  }

  repos_setLabel -obj $segoriented -key pos       -value $pos
  repos_setLabel -obj $segoriented -key nrm       -value $nrm
  repos_setLabel -obj $segoriented -key xhat      -value $xhat
  repos_setLabel -obj $segoriented -key pathId    -value $pathId
  repos_setLabel -obj $segoriented -key posId     -value $posId

  # update display
  lsGUIchangeFrame 0

  # clear the selection polygon
  $selectedLines Reset
  $selectedPoints Reset

  # clear the cursor if necessary
  $cursorPoints Reset

  foreach renWin {lsRenWinMag lsRenWinPot} {
      global symbolicName
      set widget $symbolicName($renWin).r1
      if {[info commands $widget] != ""} {
           $widget Render
      }
  }
}


# Procedure: lsGUI_hand_remove_last_point
proc lsGUI_hand_remove_last_point { widget x y} {

  set selectedPoints lsGUItmp-handdraw-pts1
  set selectedLines lsGUItmp-handdraw-lines1
  set cursorPoints lsGUItmp-handdraw-crsr-pts1

  set x [expr [winfo pointerx $widget] - [winfo rootx $widget]]
  set y [expr [winfo pointery $widget] - [winfo rooty $widget]]

  $cursorPoints Reset

  set desiredNumPts [expr [$selectedPoints GetNumberOfPoints] - 1]
  if {$desiredNumPts <= 0} {
     $selectedLines Reset
     $selectedPoints  Reset
     foreach renWin {lsRenWinMag lsRenWinPot} {
       global symbolicName
       set widget $symbolicName($renWin).r1
       if {[info commands $widget] != ""} {
           $widget Render
       }
     }
     return
  }

  $selectedLines Reset

  foreach renWin {lsRenWinMag lsRenWinPot} {
    global symbolicName
    set widget $symbolicName($renWin).r1
    if {[info commands $widget] != ""} {
       $widget Render
    }
  }

  $selectedPoints SetNumberOfPoints $desiredNumPts
  $selectedPoints Squeeze

  if {$desiredNumPts > 1} {

    # not sure how to remove just the last cell, lets rebuild from scratch
    for {set i 0} {$i < [expr $desiredNumPts - 1]} {incr i} {
      puts "$i: [expr 2*$i] [expr 2*$i+1]"
      $selectedLines InsertNextCell 2
      $selectedLines InsertCellPoint $i
      $selectedLines InsertCellPoint [expr $i+1]
    }
  }

  foreach renWin {lsRenWinMag lsRenWinPot} {
      global symbolicName
      set widget $symbolicName($renWin).r1
      if {[info commands $widget] != ""} {
           $widget Render
      }
  }

  lsGUI_hand_show_cursor $widget $x $y
}


# Procedure: lsGUI_hand_show_cursor
proc lsGUI_hand_show_cursor { widget x y} {


  set selectedPoints lsGUItmp-handdraw-pts1

  set cursorPoints lsGUItmp-handdraw-crsr-pts1

  global lsGUImagWindow
  global lsGUIpotWindow

  set x [expr [winfo pointerx $widget] - [winfo rootx $widget]]
  set y [expr [winfo pointery $widget] - [winfo rooty $widget]]

  global symbolicName
  if {[file rootname $widget] == $symbolicName(lsRenWinMag)} {
    set ren $lsGUImagWindow(ren)
  } else {
    set ren $lsGUIpotWindow(ren)
  }

  global lsGUIhanddrawShowCursorFlag
  set showit $lsGUIhanddrawShowCursorFlag

  if {!$showit} {
    return
  }

  if {[$selectedPoints GetNumberOfPoints] == 0} {return}

  # y is flipped upside down
  set height [lindex [$widget configure -height] 4]
  set y [expr $height - $y]

  set p1 [$selectedPoints GetPoint [expr [$selectedPoints GetNumberOfPoints] - 1]]

  set coord tmp-add_point_cord
  catch {$coord Delete}
  vtkCoordinate $coord
  $coord SetCoordinateSystemToDisplay
  $coord SetValue $x $y

  set worldValue [$coord GetComputedWorldValue $ren]
  $coord Delete

  set p2 [list [lindex $worldValue 0] [lindex $worldValue 1] 0]

  $cursorPoints Reset
  $cursorPoints InsertNextPoint [lindex $p1 0] [lindex $p1 1] [lindex $p1 2]
  $cursorPoints InsertNextPoint [lindex $p2 0] [lindex $p2 1] [lindex $p2 2]

  foreach renWin {lsRenWinMag lsRenWinPot} {
      global symbolicName
      set widget $symbolicName($renWin).r1
      if {[info commands $widget] != ""} {
           $widget Render
      }
  }
}


# Procedure: lsGUI_hand_toggle_show_cursor
proc lsGUI_hand_toggle_show_cursor { widget x y} {

  set x [expr [winfo pointerx $widget] - [winfo rootx $widget]]
  set y [expr [winfo pointery $widget] - [winfo rooty $widget]]

  set cursorPoints lsGUItmp-handdraw-crsr-pts1
  global lsGUIhanddrawShowCursorFlag
  set showit $lsGUIhanddrawShowCursorFlag
  set lsGUIhanddrawShowCursorFlag [expr !$showit]
  $cursorPoints Reset
  foreach renWin {lsRenWinMag lsRenWinPot} {
      set widget $symbolicName($renWin).r1
      if {[info commands $widget] != ""} {
           $widget Render
      }
  }
}


# Procedure: lsGUIaddToGroup
proc lsGUIaddToGroup { type} {

  global lsGUIcurrentPositionNumber
  set posId $lsGUIcurrentPositionNumber
  global lsGUIcurrentPathNumber
  set pathId $lsGUIcurrentPathNumber
  global lsGUIcurrentGroup
  set group $lsGUIcurrentGroup
  global guiGROUPSvars
  global symbolicName
  global gRen3d
  global gOptions

  # check that the group exists, if it doesn't offer to
  # create
  if {$group == ""} {
    return -code error "Group name cannot be blank!"
  }

  if {[group_exists $group] == 0} {
    set yesno [tk_messageBox -default yes  -message "Current group ($group) does not exist.  It must exist to be able to add segmentations.  Create it now?"  -title "Current Group Does Not Exist"  -type yesno]
    switch -- $yesno {
       yes {
          group_create $group
       }
       no {
          return -code error "ERROR: group does not exist."
       }
    }
  }

  # need to translate hand/analytic to proper type
  if {$type == "analytic"} {
    global lsGUIanalContourType
    set type $lsGUIanalContourType
  } elseif {$type == "hand"} {
    global lsGUIhandContourType
    set type $lsGUIhandContourType
  }


  set groupItem "/group/$group/$posId"

  if {$type == "levelset"} {
    set seg /lsGUI/$pathId/$posId/ls/oriented
  } elseif {$type == "threshold"} {
    set baseName /lsGUI/$pathId/$posId
    set seg $baseName/thr/oriented
  } else {
    return -code error "Invalid segmentation type ($type)."
  }

  if {[repos_exists -obj $seg] == 0} {
    puts $seg
    puts "WARNING:  No oriented segmentation found!"
    return
    #return -code error "ERROR:  No oriented segmentation found!"
  }
  if {[group_idtaken $group $posId] == 1} {
     puts "WARNING:  A slice existed at $posId and is being replaced with current selection!"
     group_remove $group $groupItem
  }

    catch {repos_delete -obj tmp/pd}
     if { [catch { geom_sampleLoop -src $seg -num 20 -dst tmp/pd} fid] } {
        puts "Cannot loft:\n$fid"
        catch {repos_delete -obj tmp/pd}
        tk_messageBox -title "Could not loft contour!"  -type ok -message "We could not loft this contour. Ensure that it is closed and try again."
        return
        }
    catch {repos_delete -obj tmp/pd}

  catch {repos_delete -obj $groupItem}
  geom_copy -src $seg -dst $groupItem
  foreach key [repos_getLabelKeys -obj $seg] {
    set value [repos_getLabel -obj $seg -key $key]
    repos_setLabel -obj $groupItem -key $key -value $value
  }
  group_add $group $groupItem $posId

  set tv $symbolicName(guiSV_group_tree)


  # tree stuff
  guiSV_group_update_tree
  $tv see .groups.all.$group.$posId
  $tv selection set .groups.all.$group.$posId

  set groupShow [lindex [$tv item .groups.all.$group -values] 2]
  set solidShow [lindex [$tv item .groups.all.$group -values] 1]

  if {$solidShow == "X"} {
    lsGUIloftGroup $group
  }
  puts "groupShow $groupShow"
  if {$groupShow == "X"} {
    guiSV_group_display_selected_groups 1
  }
}


# Procedure: lsGUIaddToGroupBatch
proc lsGUIaddToGroupBatch { type} {

  global lsGUIbatchEntry
  set entry $lsGUIbatchEntry

  # find min/max frame number
  global symbolicName
  set minFrame [expr int([$symbolicName(lsGUIpathPositionScale) cget -from])]
  set maxFrame [expr int([$symbolicName(lsGUIpathPositionScale) cget -to])]

  set allframes [string_parse $lsGUIbatchEntry $minFrame $maxFrame]
  if {[llength $allframes] == 0} {
       puts "ERROR:  No frames specified."
       return -code error "ERROR:  No frames specified."
  }
  foreach frame $allframes {
      puts "frame: $frame"
      global lsGUIcurrentPositionNumber
      set lsGUIcurrentPositionNumber $frame
      lsGUIaddToGroup $type
  }
}


# Procedure: lsGUIalignAllProfiles
proc lsGUIalignAllProfiles {} {

    global gPathBrowser

    global lsGUIcurrentGroup
    set grp $lsGUIcurrentGroup

    global lsGUIcurrentPathNumber
    set pathId $lsGUIcurrentPathNumber

    set seg /lsGUI/segment/$pathId
    foreach i [repos_subList $seg/*] {
      repos_delete -obj $i
    }

    switch -exact $gPathBrowser(align_mtd_radio) {
  dist {
      set vecFlag false
  }
  vec {
      set vecFlag true
  }
  default {
      return -code error "ERR: Unexpected profile alignment  option \[$gPathBrowser(align_mtd_radio)\]"
  }
    }

    puts ">>> Vector-based alignment flag:  \[$vecFlag\]"

    if {($grp == "") || (![group_exists $grp])} {
  return -code error "Current group $grp not valid."
    }
    set sortedList [group_get $grp]
    if {[llength $sortedList] < 2} {
       return
    }

    #
    # supersample profiles
    #

    # sample all to the same resolution as the maximal resolution
    set numSuperPts 0
    foreach profile $sortedList {
      set numpts [geom_numPts -obj $profile]
      if {$numpts > $numSuperPts} {
        set numSuperPts $numpts
      }
    }

    global lsGUInumFacetsForSurface
    set sample $lsGUInumFacetsForSurface
    #set sample $gPathBrowser(solid_sample)
    puts ">>> Num fit pts per curve:  \[$sample\]"
    if {$sample > $numSuperPts} {
       set numSuperPts $sample
    }

    if {$numSuperPts == 0} {
      return -code error "ERROR: numSuperPts cant be zero!"
    }

    puts "Sampling all contours to a resolution of $numSuperPts points."

    foreach profile $sortedList {
      catch {repos_delete -obj $profile/supersample}
      geom_sampleLoop -src $profile -num $numSuperPts -dst $profile/supersample
    }


    #
    #  align profiles
    #

    set prof [lindex $sortedList 0]
    catch {repos_delete -obj $prof/aligned}
    geom_copy -src $prof/supersample -dst $prof/aligned

    for {set i 1} {$i < [llength $sortedList]} {incr i} {

  set p [lindex $sortedList [expr $i - 1]]
  set q [lindex $sortedList $i]

        catch {repos_delete -obj $q/aligned}

  geom_alignProfile  -ref $p/aligned  -src $q/supersample -dst $q/aligned  -vecMtd $vecFlag

    }

    #
    #  sample profiles
    #

    #set sample $gPathBrowser(solid_sample)
    puts ">>> Num fit pts per curve:  \[$sample\]"

    foreach profile $sortedList {
      catch {repos_delete -obj $profile/sample}
      geom_sampleLoop -src $profile/aligned -num $sample -dst $profile/sample
    }

    set numSegs [expr [llength $sortedList] - 1]
    for {set i 0} {$i < $numSegs} {incr i} {
      set seg /lsGUI/segment/$pathId/$i
      catch {repos_delete -obj $seg}
      geom_getPts [lindex $sortedList $i]/sample pts1
      geom_getPts [lindex $sortedList [expr $i+1]]/sample pts2
      geomConnectTwoProfiles $pts1 $pts2 $seg
    }
}


# Procedure: lsGUIchangeFrame
proc lsGUIchangeFrame { value} {

  global lsGUImagWindow
  global lsGUIpotWindow
  global gOptions
  global lsGUIpreviousPositionNumber
  global lsGUIpreviousPathNumber

  # set base string
  global lsGUIcurrentPositionNumber
  set posId $lsGUIcurrentPositionNumber
  global lsGUIcurrentPathNumber
  set pathId $lsGUIcurrentPathNumber
  set baseName /lsGUI/$pathId/$posId

  set lsGUIpreviousPositionNumber $posId
  set lsGUIpreviousPathNumber $pathId

  foreach loop {lsGUImagWindow lsGUIpotWindow} {

    # create some local variables containing the options
    # contained in the loop array
    foreach i [array names $loop] {
      set $i [subst $[subst $loop]($i)]
    }

    if {$showWindow == "0"} {
       continue
    }

    # this is sloppy, but easy
    catch {crd_ren $ren}
    catch {vis_warpRm $ren}
    if {$loop == "lsGUImagWindow"} {
      generalView $ren /tmp/lsGUI/mag
    } else {
      generalView $ren /tmp/lsGUI/pot
    }

    # display threshold
    if {$showThr == "1"} {
      if {[repos_exists -obj $baseName/thr] == 1} {
        generalView $ren $baseName/thr
      }
    }

    # display selected threshold
    if {$showSelectedThr == "1"} {
      if {[repos_exists -obj $baseName/thr/selected] == 1} {
        set throbj $baseName/thr/selected
        generalView $ren $throbj
        # make the line more visible
        set actor [vis_pGetActor $ren $throbj]
        [$actor GetProperty] SetLineWidth 5
        [$ren GetRenderWindow] Render
      }
    }

    global itklsGUIParams
    foreach i [array names itklsGUIParams] {
      set $i $itklsGUIParams($i)
    }
    # display center sphere
    if {$showInitSphere == "1"} {
      set sphere /tmp/lsGUI/sphere
      catch {repos_delete -obj $sphere}
      global lsGUIradius
      global lsGUIctrX
      global lsGUIctrY
      global gBC
      # calculate center from voxel dims
      global gImageFoo
      set voxel_dims $gImageFoo(voxelDims)

      itklsGUIUpdatePhyRadius
      itklsUpdatePhyCenter

      set center [list [expr double([lindex $voxel_dims 0])*double($lsGUIctrX)]  [expr double([lindex $voxel_dims 1])*double($lsGUIctrY)] 0]

      itkutils_GenerateCircle -result $sphere -r $phyRadius -x $phyCntrX -y $phyCntrY -z 0
      repos_setLabel -obj $sphere -key color -value $gOptions(color_for_seeds)
      repos_setLabel -obj $sphere -key opacity -value $gOptions(opacity_for_seeds)
      generalView $ren $sphere
    }

    # display level set result
    if {$showLS == "1"} {
      #set lsres $baseName/ls
      # if {[repos_exists -obj $lsres] == 1} {
      #     catch {vis_pRm $ren $lsres}
      #     set actor [vis_pRepos $ren $lsres]
      #   # make the line more visible
      #   [$actor GetProperty] SetLineWidth 5
      #   vis_render $ren
      # }
      set pdname $baseName/ls
      if {[repos_exists -obj $pdname] == 1} {

        catch {repos_clearLabel -obj $pdname -key color}
        catch {repos_clearLabel -obj $pdname -key width}
        repos_setLabel -obj $pdname -key color -value $gOptions(color_for_new_segmentations)
        repos_setLabel -obj $pdname -key width -value $gOptions(line_width_for_new_segmentations)
        generalView $ren $pdname
      }

    }

    # display levelset evolution
    set lset_rens $gOptions(lsetDisplayWindows)
    set loc [lsearch $lset_rens $renderWindow]
    if {$showIntermediateLS ==  1} {
       if {$loc < 0} {
         lappend gOptions(lsetDisplayWindows) $renderWindow
       }
    } else {
       if {$loc >= 0} {
          set gOptions(lsetDisplayWindows) [lreplace $lset_rens $loc $loc]
       }
    }
    #jtm show seg
    if {$showSegSlice == "1"} {
      set objName ""
      set selected [guiSV_group_get_tree_current_groups_selected]
      if {$selected != ""} {
        set grp [lindex $selected 0]
        set numSegs [llength [group_get $grp]]
        set objName /guiGROUPS/polydatasurface/$grp
      } else {
        global gSeg3D
        set selected [guiSV_group_get_tree_current_surfaces_selected]
        if {$selected != ""} {
          set name [lindex $selected 0]
          set objName $gSeg3D($name)
        }
      }
      #puts "objName $objName"
      if {$objName != ""} {
        if {[repos_exists -obj $objName] != 0} {
          set segPd [seg_getPDSliceAtPathPoint $objName]
          foreach key [repos_getLabelKeys -obj $objName] {
            set localKeys($key) [repos_getLabel -obj $objName -key $key]
          }
          if {![info exists localKeys(color)]} {
            set localKeys(color) $gOptions(color_for_saved_surface)
          }
        catch {repos_clearLabel -obj $segPd -key color}
        catch {repos_clearLabel -obj $segPd -key width}
        repos_setLabel -obj $segPd -key color -value $localKeys(color)
        repos_setLabel -obj $segPd -key width -value $gOptions(line_width_for_saved_surface)

        generalView $ren $segPd
        }
      }
    }
  }
# always update 3-d window
lsGUIupdate3dWindow
}


# Procedure: lsGUIclearAllSegs
proc lsGUIclearAllSegs {} {
  global gRen3d
  global gRen3dFreeze
  global lsGUIcurrentPathNumber
  set pathId $lsGUIcurrentPathNumber

  set gRen3dFreeze 1
  foreach i [repos_subList /lsGUI/$pathId/*] {
      catch {repos_delete -obj $i}
      catch {vis_pRm $gRen3d $i}
  }
  set gRen3dFreeze 0
  vis_render $gRen3d
}


# Procedure: lsGUIcopySeg
proc lsGUIcopySeg { type} {

  global lsGUIcurrentPositionNumber
  set posId $lsGUIcurrentPositionNumber
  global lsGUIcurrentPathNumber
  set pathId $lsGUIcurrentPathNumber
  global lsGUIcurrentGroup
  set group $lsGUIcurrentGroup

  set copyobj /lsGUI/copied

  if {$type == "levelset"} {
    set seg /lsGUI/$pathId/$posId/ls
  } elseif {$type == "threshold"} {
    set baseName /lsGUI/$pathId/$posId
    set seg $baseName/thr/selected
  } else {
    return -code error "Invalid segmentation type ($type)."
  }

  if {[repos_exists -obj $seg] == 0} {
    puts "WARNING:  No segmentation found!"
    return -code error "ERROR:  No oriented segmentation found!"
  }

  catch {repos_delete -obj $copyobj}
  geom_copy -src $seg -dst $copyobj
  foreach key [repos_getLabelKeys -obj $seg] {
    set value [repos_getLabel -obj $seg -key $key]
    repos_setLabel -obj $copyobj -key $key -value $value
  }
}


# Procedure: lsGUIdisplayPath
proc lsGUIdisplayPath {} {

  global lsGUIdisplayPathFlag
  set dispPath $lsGUIdisplayPathFlag

  global lsGUIcurrentPathNumber
  set pathId $lsGUIcurrentPathNumber

  set objName [format "/path/%d" $pathId]
  global gRen3d
  set ren $gRen3d

  catch {repos_delete -obj $objName}
  catch {vis_pRm $ren $objName}
  if {$dispPath != 0} {
    global gPathPoints
    path_MakePolyData $gPathPoints($pathId,splinePts) $objName
    set act [vis_pRepos $ren $objName]
    [$act GetProperty] SetLineWidth 2
    eval [$act GetProperty] SetColor [svGetUnixColor red]
  }
}


# Procedure: lsGUIdisplayPathUpdate
proc lsGUIdisplayPathUpdate {} {
  # nothing currently needs to be done here
  return
}


# Procedure: lsGUIdisplayProbe
proc lsGUIdisplayProbe {} {

  # always delete existing objects, even if we plan
  # to recreate
  global gRen3d
  set ren $gRen3d
  set cmds [info commands lsGUIdisplayProbe_*]
  foreach c $cmds {
    if {[[$ren GetActors] IsItemPresent $c] > 0} {
      $ren RemoveActor $c
    }
    $c Delete
  }

  global lsGUIdisplayProbeFlag

  if {$lsGUIdisplayProbeFlag != 0} {

    set src [repos_exportToVtk -src volume_image]
    global gRen3d
    set ren $gRen3d
    global gOptions
    set ext $gOptions(resliceDims)

    global gPathPoints
    global lsGUIcurrentPathNumber
    global lsGUIcurrentPositionNumber
    set pathId $lsGUIcurrentPathNumber
    set path $gPathPoints($pathId,splinePts)
    set posId $lsGUIcurrentPositionNumber

    array set items [lindex $path $posId]
    set pos [TupleToList $items(p)]
    set nrm [TupleToList $items(t)]
    set xhat [TupleToList $items(tx)]

    set tr      lsGUIdisplayProbe_transform
    set rs      lsGUIdisplayProbe_reslice
    set txt     lsGUIdisplayProbe_texture
    set pln     lsGUIdisplayProbe_planesrc
    set tmap    lsGUIdisplayProbe_tmap
    set mapper  lsGUIdisplayProbe_mapper
    set act     lsGUIdisplayProbe_actor
    set outflt  lsGUIdisplayProbe_outlineflt
    set outmap  lsGUIdisplayProbe_outlinemap
    set outact  lsGUIdisplayProbe_outlineactor

    set oimg   [$src GetOrigin]       ;# *vtk* image origin
    set vdims  [$src GetSpacing]
    set rng    [$src GetScalarRange]
    set vmin   [math_minVec $vdims]

    set pdimx [expr [lindex $ext 0] * $vmin]
    set pdimy [expr [lindex $ext 1] * $vmin]

    # It appears to me (NW) that the origin doesn't belong here at all.  Of
    # course, I might be off by half a pixel now.  (see Ken's original code).
    set opln [list  [expr - 0.5 * $vmin - 0.5 * $pdimx]  [expr - 0.5 * $vmin - 0.5 * $pdimy]  0.0]

    set ors [list  [expr [lindex $opln 0] + 0.5 * $vmin]  [expr [lindex $opln 1] + 0.5 * $vmin]  [expr [lindex $opln 2]]]

    set pt1 [list  [expr [lindex $opln 0] + [lindex $ext 0] * $vmin]  [lindex $opln 1]  [lindex $opln 2]]

    set pt2 [list  [lindex $opln 0]  [expr [lindex $opln 1] + [lindex $ext 1] * $vmin]  [lindex $opln 2]]

    vtkTransform $tr

    vtkImageReslice $rs

    $rs SetInputDataObject $src

    $rs SetResliceTransform $tr
    $rs SetOutputSpacing $vmin $vmin $vmin
    $rs SetOutputOrigin [lindex $ors 0] [lindex $ors 1] [lindex $ors 2]
    $rs SetOutputExtent 0 [expr [lindex $ext 0] - 1]  0 [expr [lindex $ext 1] - 1]  0 0
    $rs InterpolateOn
    $rs Update

    vtkTexture $txt
    $txt SetInputConnection [$rs GetOutputPort]
    $txt SetLookupTable g8bitGrayscaleLUT
    $txt Render $ren
    $txt RepeatOff

    vtkPlaneSource $pln
    $pln SetResolution 1 1
    $pln SetOrigin [lindex $opln 0] [lindex $opln 1] [lindex $opln 2]
    $pln SetPoint1 [lindex $pt1 0] [lindex $pt1 1] [lindex $pt1 2]
    $pln SetPoint2 [lindex $pt2 0] [lindex $pt2 1] [lindex $pt2 2]

    vtkTextureMapToPlane $tmap
    $tmap SetInputConnection [$pln GetOutputPort]

    vtkDataSetMapper $mapper
    $mapper SetInputConnection [$tmap GetOutputPort]
    $mapper SetScalarRange [lindex $rng 0] [lindex $rng 1]

    vtkActor $act
    $act SetMapper $mapper
    $act SetTexture $txt
    $act SetUserMatrix [$tr GetMatrix]

    $ren AddActor $act

    vtkOutlineFilter $outflt
    $outflt SetInputConnection [$pln GetOutputPort]

    vtkPolyDataMapper $outmap
    $outmap SetInputConnection [$outflt GetOutputPort]

    vtkActor $outact
    $outact SetMapper $outmap
    $outact SetUserMatrix [$tr GetMatrix]
    [$outact GetProperty] SetColor 0 1 0

    $ren AddActor $outact

    path_ApplyTransform $tr $pos $nrm $xhat

  }
}


# Procedure: lsGUIdisplayProbeUpdate
proc lsGUIdisplayProbeUpdate {} {

  global lsGUIdisplayProbeFlag

  if {$lsGUIdisplayProbeFlag == 0} {
   return
  }

  set tr lsGUIdisplayProbe_transform

  global gRen3d
  set ren $gRen3d

  global gPathPoints
  global lsGUIcurrentPathNumber
  global lsGUIcurrentPositionNumber
  set pathId $lsGUIcurrentPathNumber
  set path $gPathPoints($pathId,splinePts)
  set posId $lsGUIcurrentPositionNumber

  array set items [lindex $path $posId]
  set pos [TupleToList $items(p)]
  set nrm [TupleToList $items(t)]
  set xhat [TupleToList $items(tx)]

  path_ApplyTransform $tr $pos $nrm $xhat
  [$ren GetRenderWindow] Render
}


# Procedure: lsGUIforFrank
proc lsGUIforFrank {} {

  puts "autocalculate missing ellipse parameter."
  global lsGUIellipsePERIMETER
  global lsGUIellipseA
  global lsGUIellipseB

  #
  #  Use approximation to perimeter of an ellipse:
  #    P = pi*(3(a+b) - sqrt((3a+b)*(a+3b)))
  #

  set a $lsGUIellipseA
  set b $lsGUIellipseB
  set p $lsGUIellipsePERIMETER

  if {$a == ""} {
     set d [expr double($p) / [math_pi]]
     set a1 [expr 1.0/6.0*(-4.0*$b+3.0*$d+sqrt(-20.0*$b*$b+12.0*$b*$d+3*$d*$d))]
     set a2 [expr 1.0/6.0*(-4.0*$b+3.0*$d-sqrt(-20.0*$b*$b+12.0*$b*$d+3*$d*$d))]
     puts "  a1: $a1 a2: $a2"
     if {$a1 > $a2} {
      set a $a1
     } else {
      set a $a2
     }
     set lsGUIellipseA $a
  } elseif {$b == ""} {
     set d [expr double($p) / [math_pi]]
     set b1 [expr 1.0/6.0*(-4.0*$a+3.0*$d+sqrt(-20.0*$a*$a+12.0*$a*$d+3*$d*$d))]
     set b2 [expr 1.0/6.0*(-4.0*$a+3.0*$d-sqrt(-20.0*$a*$a+12.0*$a*$d+3*$d*$d))]
     puts "  b1: $b1 b2: $b2"
     if {$b1 > $b2} {
      set b $b1
     } else {
      set b $b2
     }
     set lsGUIellipseB $b
  } else {
     set lsGUIellipsePERIMETER [expr [math_pi]*(3*($a+$b)-sqrt((3*$a+$b)*($a+3*$b)))]
 }
}


# Procedure: lsGUIfourierSmoothBatch
proc lsGUIfourierSmoothBatch { choice} {

  global lsGUIbatchEntry
  set entry $lsGUIbatchEntry

  # find min/max frame number
  global symbolicName
  set minFrame [expr int([$symbolicName(lsGUIpathPositionScale) cget -from])]
  set maxFrame [expr int([$symbolicName(lsGUIpathPositionScale) cget -to])]

  set allframes [string_parse $lsGUIbatchEntry $minFrame $maxFrame]
  if {[llength $allframes] == 0} {
       puts "ERROR:  No frames specified."
       return -code error "ERROR:  No frames specified."
  }
  foreach frame $allframes {
      puts "frame: $frame"
      global lsGUIcurrentPositionNumber
      set lsGUIcurrentPositionNumber $frame
      catch {lsGUIfourierSmoothSeg $choice}
  }
}


# Procedure: lsGUIfourierSmoothSeg
proc lsGUIfourierSmoothSeg { type {batch "0"}} {

  global symbolicName
  global lsGUIcurrentPathNumber
  set pathId $lsGUIcurrentPathNumber
  global gPathPoints
  set path $gPathPoints($pathId,splinePts)

  global lsGUIcurrentPositionNumber
  set posId $lsGUIcurrentPositionNumber

  # need to translate hand/analytic to proper type
  if {$type == "analytic"} {
    global lsGUIanalContourType
    set type $lsGUIanalContourType
  } elseif {$type == "hand"} {
    global lsGUIhandContourType
    set type $lsGUIhandContourType
  }

  if {$type == "levelset"} {
    set seg /lsGUI/$pathId/$posId/ls
    set segoriented $seg/oriented
  } elseif {$type == "itklevelset"} {
    set seg /lsGUI/$pathId/$posId/ls
    set segoriented $seg/oriented
  } elseif {$type == "threshold"} {
    set baseName /lsGUI/$pathId/$posId
    set seg $baseName/thr/selected
    set segoriented $baseName/thr/oriented
  } else {
    return -code error "Invalid segmentation type ($type)."
  }

  if {[repos_exists -obj $seg] == 0} {
    return
  }

  # keep the tags on the segmentation
  foreach key [repos_getLabelKeys -obj $seg] {
    set seg_keys($key) [repos_getLabel -obj $seg -key $key]
  }
  foreach key [repos_getLabelKeys -obj $segoriented] {
    set segoriented_keys($key) [repos_getLabel -obj $segoriented -key $key]
  }

  set segpts ""
  catch {set segpts [geom_getOrderedPts -obj $seg]}


  if {$segpts == ""} {
    if {$batch > 0 } {
    puts "Could not smooth $seg, could not order points."
    return 1
    } else {
      tk_messageBox -title "Could not smooth contour!"  -type ok -message "We could not smooth this contour. Ensure that it is closed and try again."
    }
    return 1
  }

  catch {repos_delete -obj $seg}
  catch {repos_delete -obj $segoriented}

if {$type == "itklevelset"} {
    global itklsGUIfourierNumModes
    set numModes $itklsGUIfourierNumModes
  } else {
    global lsGUIfourierNumModes
    set numModes $lsGUIfourierNumModes
  }

  if {[expr [llength $segpts] * 2] < $numModes} {
    set numInterpPts [expr 3*$numModes]
  } else {
    set numInterpPts [llength $segpts]
  }

  set newpts [math_smoothCurve -pts $segpts -closed 1 -numModes $numModes -numInterpPts $numInterpPts]

  geom_mkLinesFromPts $newpts $seg 1

  array set items [lindex $path $posId]
  set pos [TupleToList $items(p)]
  set nrm [TupleToList $items(t)]
  set xhat [TupleToList $items(tx)]
  geom_orientProfile -src $seg -path_pos $pos -path_tan $nrm -path_xhat $xhat -dst $segoriented

  # reattach tags
  foreach key [array names seg_keys] {
    repos_setLabel -obj $seg -key $key -value $seg_keys($key)
  }
  foreach key [array names segoriented_keys] {
    repos_setLabel -obj $segoriented -key $key -value $segoriented_keys($key)
  }
  # update seg
  if {[info exists seg_keys(num_smooth_modes)] == 1} {
    repos_clearLabel -obj $seg -key num_smooth_modes
  }
  repos_setLabel -obj $seg -key num_smooth_modes -value $numModes

  # update segoriented
  if {[info exists segoriented_keys(num_smooth_modes)] == 1} {
    repos_clearLabel -obj $segoriented -key num_smooth_modes
  }
  repos_setLabel -obj $segoriented -key num_smooth_modes -value $numModes

  # update display
  lsGUIchangeFrame 0
  return 0
}


# Procedure: lsGUIguessParams
proc lsGUIguessParams {} {
  # this code is a copy of the code found in lsGUIlssSlice
  # related to guessing parameters.  A change in one location
  # should be mirrored in other!

  global lsGUIcurrentPositionNumber
  set posId $lsGUIcurrentPositionNumber
  global lsGUIcurrentPathNumber
  set pathId $lsGUIcurrentPathNumber

  global lsGUIthrValue
  if {$lsGUIthrValue == 0} {
      return -code error "ERROR:  To guess parameters you must set a non-zero threshold value!"
  }

  set mag   /tmp/lsGUI/mag
  set pot   /tmp/lsGUI/pot

  set lsres /lsGUI/$pathId/$posId/ls
  set lsres_unclean /lsGUI/$pathId/$posId/ls/unclean
  set lsoriented /lsGUI/$pathId/$posId/ls/oriented

  global lsGUIctrX
  global lsGUIctrY
  global lsGUIradius
  global lsGUIlsParams
  global lsGUInumSamplePoints
  set numSamplePoints $lsGUInumSamplePoints

  # need header to convert voxel number into coord
  global gImageFoo
  set voxel_dims $gImageFoo(voxelDims)

  set radius  $lsGUIradius
  set x [expr double([lindex $voxel_dims 0])*double($lsGUIctrX)]
  set y [expr double([lindex $voxel_dims 1])*double($lsGUIctrY)]
  set z 0
  set kt $lsGUIlsParams(Kthr)
  set klow $lsGUIlsParams(Klow)
  set kupp $lsGUIlsParams(Kupp)
  set magGradFactor $lsGUIlsParams(MagFactor)
  set gridType SparseGrid
  set maxTS $lsGUIlsParams(MaxSteps)
  set gridFactor $lsGUIlsParams(GridFactor)
  set isotropicFlag 1
  set goodnessStop $lsGUIlsParams(GoodnessStop)

    puts "Guessing parameters for position $posId."
    puts "  Reseting ctrX and ctrY to zero!"
    set lsGUIctrX 0
    set lsGUIctrY 0
    # threshold slice with current threshold setting
    lsGUIthrSlice
    set baseName /lsGUI/$pathId/$posId
    set picked $baseName/thr/selected
    if {[repos_exists -obj $picked] == 0} {
        puts "  No selected contour found.  Skipping $posId."
        return
    }
    # need the center of the selected contour and the min radius
    # from it to the nearest point on the threshold section
    set center [geom_avgPt -obj $picked]
    # can't use closestPt since there are points in picked
    # not on the boundary!
    #set closestpt [geom_closestPt $picked $center]
    #set minr [math_distance $center $closestpt]
    set minr 1000000
    set closestPt {}
    foreach i [geom_getOrderedPts -obj $picked] {
      set tmpdist [math_distance $i $center]
      if  {$tmpdist < $minr} {
        set closestPt $i
  set minr $tmpdist
      }
    }
    if {$closestPt == ""} {
      return -code error "ERROR:  Could not find minimum radius."
    }

    puts "  center: $center closestPt: $closestPt minr: $minr"

    # reset the parameters if it makes sense.  All sorts of stuff
    # hard coded below.  As Ken would say, the weak of heart should
    # avert their eyes...

    if {$minr > 4.0} {
       set gridFactor 1.0
       set maxTS 500
    } elseif {$minr > 2.0} {
       set gridFactor 0.5
       set maxTS 1000
    } elseif {$minr > 0.5} {
       set gridFactor 0.25
       set maxTS 2000
    } else {
       puts "  Minimum radius to small.  Skipping $posId."
       return
    }

    set lsGUIlsParams(gridFactor) $gridFactor
    set radius [expr 0.8*$minr]
    set lsGUIradius $radius
    set x [lindex $center 0]
    set y [lindex $center 1]
    set lsGUIctrX [expr double($x)/double([lindex $voxel_dims 0])]
    set lsGUIctrY [expr double($y)/double([lindex $voxel_dims 1])]
    set kt [expr 1.0/(0.9*$radius)]
    set klow 0.0
    set kupp [expr 1.2*$kt]
    set lsGUIlsParams(Klow) $klow
    set lsGUIlsParams(Kthr) $kt
    set lsGUIlsParams(Kupp) $kupp
    set lsGUIlsParams(MaxSteps) $maxTS
    set lsGUIlsParams(GridFactor) $gridFactor

    #puts "  minr: $minr  radius: $radius  gridFactor: $gridFactor  x: $x  y: $y"
    #puts "  lsGUIctrX: $lsGUIctrX  lsGUIctrY:  $lsGUIctrY"
    #puts "  kthr: $kt  klow: $klow  kupp: $kupp"

  # update display
  lsGUIchangeFrame 0

  return 0
}


# Procedure: lsGUIinterpCircle
proc lsGUIinterpCircle { type} {
  global lsGUIcurrentPositionNumber
  set posId $lsGUIcurrentPositionNumber
  global lsGUIcurrentPathNumber
  set pathId $lsGUIcurrentPathNumber
  global gPathPoints
  set path $gPathPoints($pathId,splinePts)

  set tmpclean /lsGUI/interpCircle/clean
  set tmppd /lsGUI/interpCircle/clean/pd
  set tmpcir /lsGUI/interpCircle/cir

  catch {repos_delete -obj $tmpclean}
  catch {repos_delete -obj $tmppd}
  catch {repos_delete -obj $tmpcir}

  if {$type == "levelset"} {
    set seg /lsGUI/$pathId/$posId/ls
    set segoriented $seg/oriented
  } elseif {$type == "threshold"} {
    set baseName /lsGUI/$pathId/$posId
    set seg $baseName/thr/selected
    set segoriented $baseName/thr/oriented
  } else {
    return -code error "Invalid segmentation type ($type)."
  }

  if {[repos_exists -obj $seg] == 0} {
    puts "WARNING:  No segmentation found!"
    return -code error "ERROR:  No oriented segmentation found!"
  }

  # clean up point list
  geom_mergePts -src $seg -dst $tmpclean

  # check that points define single region
  if {[geom_numClosedLineRegions -obj $tmpclean] != 1} {
       return -code error "Need just 1 closed region in $tmpclean"
  }

  set points [geom_getOrderedPts -obj $tmpclean]
  geom_polygonFromPts $points $tmppd
  set area [geom_surfArea -src $tmppd]

  set r [expr sqrt(double($area)/[math_pi])]
  set center [geom_avgPt -obj $seg]

  # keep the tags on the segmentation
  foreach key [repos_getLabelKeys -obj $seg] {
    set seg_keys($key) [repos_getLabel -obj $seg -key $key]
  }
  foreach key [repos_getLabelKeys -obj $segoriented] {
    set segoriented_keys($key) [repos_getLabel -obj $segoriented -key $key]
  }

  catch {repos_delete -obj $seg}
  catch {repos_delete -obj $segoriented}

  # create the unoriented circle
  geom_circle $r 0 0 $tmpcir
  geom_translate -src $tmpcir -vec $center -dst $seg

  # orient profile
  array set items [lindex $path $posId]
  set pos [TupleToList $items(p)]
  set nrm [TupleToList $items(t)]
  set xhat [TupleToList $items(tx)]
  geom_orientProfile -src $seg -path_pos $pos -path_tan $nrm -path_xhat $xhat -dst $segoriented

  # reattach tags
  foreach key [array names seg_keys] {
    repos_setLabel -obj $seg -key $key -value $seg_keys($key)
  }
  foreach key [array names segoriented_keys] {
    repos_setLabel -obj $segoriented -key $key -value $segoriented_keys($key)
  }
  if {[info exists seg_keys(replaced_with_circle)] == 0} {
    repos_setLabel -obj $seg         -key replaced_with_circle -value 1
  }
  if {[info exists segoriented_keys(replaced_with_circle)] == 0} {
    repos_setLabel -obj $segoriented -key replaced_with_circle -value 1
  }

  # clean up
  catch {repos_delete -obj $tmpclean}
  catch {repos_delete -obj $tmppd}
  catch {repos_delete -obj $tmpcir}

  # update display
  lsGUIchangeFrame 0
}


# Procedure: lsGUIinterpCircleBatch
proc lsGUIinterpCircleBatch { choice} {

  global lsGUIbatchEntry
  set entry $lsGUIbatchEntry

  # find min/max frame number
  global symbolicName
  set minFrame [expr int([$symbolicName(lsGUIpathPositionScale) cget -from])]
  set maxFrame [expr int([$symbolicName(lsGUIpathPositionScale) cget -to])]

  set allframes [string_parse $lsGUIbatchEntry $minFrame $maxFrame]
  if {[llength $allframes] == 0} {
       puts "ERROR:  No frames specified."
       return -code error "ERROR:  No frames specified."
  }
  foreach frame $allframes {
      puts "frame: $frame"
      global lsGUIcurrentPositionNumber
      set lsGUIcurrentPositionNumber $frame
      catch {lsGUIinterpCircle $choice}
  }
}


# Procedure: lsGUIlsSlice
proc lsGUIlsSlice {} {

  global lsGUIcurrentPositionNumber
  set posId $lsGUIcurrentPositionNumber
  global lsGUIcurrentPathNumber
  set pathId $lsGUIcurrentPathNumber

  set mag   /tmp/lsGUI/mag
  set pot   /tmp/lsGUI/pot

  set lsres /lsGUI/$pathId/$posId/ls
  set lsres_unclean /lsGUI/$pathId/$posId/ls/unclean
  set lsoriented /lsGUI/$pathId/$posId/ls/oriented
  catch {repos_delete -obj $lsres}
  catch {repos_delete -obj $lsres_unclean}
  catch {repos_delete -obj $lsoriented}

  global lsGUIctrX
  global lsGUIctrY
  global lsGUIradius
  global lsGUIlsParams
  global lsGUInumSamplePoints
  set numSamplePoints $lsGUInumSamplePoints

  # need header to convert voxel number into coord
  global gImageFoo
  set voxel_dims $gImageFoo(voxelDims)

  set radius  $lsGUIradius
  set x [expr double([lindex $voxel_dims 0])*double($lsGUIctrX)]
  set y [expr double([lindex $voxel_dims 1])*double($lsGUIctrY)]
  set z 0
  set kt $lsGUIlsParams(Kthr)
  set klow $lsGUIlsParams(Klow)
  set kupp $lsGUIlsParams(Kupp)
  set magGradFactor $lsGUIlsParams(MagFactor)
  set gridType SparseGrid
  set maxTS $lsGUIlsParams(MaxSteps)
  set gridFactor $lsGUIlsParams(GridFactor)
  set isotropicFlag 1
  set goodnessStop $lsGUIlsParams(GoodnessStop)
  set stopV $lsGUIlsParams(stopV)
  set rebuildPhiFreq $lsGUIlsParams(rebuildPhiFrequency)
  set acInterval $lsGUIlsParams(checkGoodnessFrequency)
  set calcDecayConstBy $lsGUIlsParams(calcDecayConstBy)
  set potentialValueDecay $lsGUIlsParams(potentialValueDecay)
  set calcPotConstBy $lsGUIlsParams(calcPotConstBy)
  set pFactor $lsGUIlsParams(pFactor)
  set potentialValuePotential $lsGUIlsParams(potentialValuePotential)

  # guess the parameters if the user has asked us today
  global lsGUIguessParamsCheckButton
  if {$lsGUIguessParamsCheckButton == 1} {
    puts "Guessing parameters for position $posId."
    puts "  Reseting ctrX and ctrY to zero!"
    set lsGUIctrX 0
    set lsGUIctrY 0
    # threshold slice with current threshold setting
    lsGUIthrSlice
    set baseName /lsGUI/$pathId/$posId
    set picked $baseName/thr/selected
    if {[repos_exists -obj $picked] == 0} {
        puts "  No selected contour found.  Skipping $posId."
        return
    }
    # need the center of the selected contour and the min radius
    # from it to the nearest point on the threshold section
    set center [geom_avgPt -obj $picked]
    # can't use closestPt since there are points in picked
    # not on the boundary!
    #set closestpt [geom_closestPt $picked $center]
    #set minr [math_distance $center $closestpt]
    set minr 1000000
    set closestPt {}
    foreach i [geom_getOrderedPts -obj $picked] {
      set tmpdist [math_distance $i $center]
      if  {$tmpdist < $minr} {
        set closestPt $i
  set minr $tmpdist
      }
    }
    if {$closestPt == ""} {
      return -code error "ERROR:  Could not find minimum radius."
    }

    puts "  center: $center closestPt: $closestPt minr: $minr"

    # reset the parameters if it makes sense.  All sorts of stuff
    # hard coded below.  As Ken would say, the weak of heart should
    # avert their eyes...

    if {$minr > 4.0} {
       set gridFactor 1.0
    } elseif {$minr > 2.0} {
       set gridFactor 0.5
    } elseif {$minr > 0.5} {
       set gridFactor 0.25
    } else {
       puts "  Minimum radius to small.  Skipping $posId."
       return
    }

    set lsGUIlsParams(gridFactor) $gridFactor
    set radius [expr 0.8*$minr]
    set lsGUIradius $radius
    set x [lindex $center 0]
    set y [lindex $center 1]
    set lsGUIctrX [expr double($x)/double([lindex $voxel_dims 0])]
    set lsGUIctrY [expr double($y)/double([lindex $voxel_dims 1])]
    set kt [expr 1.0/(0.9*$radius)]
    set klow 0.0
    set kupp [expr 1.2*$kt]
    set lsGUIlsParams(Klow) $klow
    set lsGUIlsParams(Kthr) $kt
    set lsGUIlsParams(Kupp) $kupp

    puts "  minr: $minr  radius: $radius  gridFactor: $gridFactor  x: $x  y: $y"
    puts "  lsGUIctrX: $lsGUIctrX  lsGUIctrY:  $lsGUIctrY"
    puts "  kthr: $kt  klow: $klow  kupp: $kupp"

  }

  global lsGUIrunInParallel
  if {$lsGUIrunInParallel == 0} {

    set starttime [clock seconds]

    catch {lset2_main $mag $pot  $gridType $maxTS $gridFactor $stopV  $isotropicFlag $rebuildPhiFreq  $goodnessStop $acInterval  $radius $x $y $z $kt  $calcDecayConstBy $magGradFactor $potentialValueDecay  $klow $kupp   $calcPotConstBy $pFactor $potentialValuePotential  $lsres_unclean}

    #catch {lset_nate $mag $pot $radius $x $y $z  $kt $klow $kupp $magGradFactor  $gridType $maxTS $gridFactor  $isotropicFlag $goodnessStop $lsres_unclean}

    set totaltime  "[expr [clock seconds] - $starttime] seconds"

    # save the ls params with this slice
    if {[repos_exists -obj $lsres_unclean]} {

       geom_mergePts -src $lsres_unclean -dst $lsres -tol 0.001

       repos_delete -obj $lsres_unclean

       # orient profile

       global symbolicName
       global lsGUIcurrentPathNumber
       set pathId $lsGUIcurrentPathNumber
       global gPathPoints
       set path $gPathPoints($pathId,splinePts)

       global lsGUIcurrentPositionNumber
       set posId $lsGUIcurrentPositionNumber

       array set items [lindex $path $posId]
       set pos [TupleToList $items(p)]
       set nrm [TupleToList $items(t)]
       set xhat [TupleToList $items(tx)]
       geom_orientProfile -src $lsres -path_pos $pos -path_tan $nrm -path_xhat $xhat -dst $lsoriented

       foreach tagobj [list $lsres $lsoriented] {
         repos_setLabel -obj $tagobj -key radius                 -value $radius
         repos_setLabel -obj $tagobj -key center_x               -value $x
         repos_setLabel -obj $tagobj -key center_y               -value $y
         repos_setLabel -obj $tagobj -key center_z               -value $z
         repos_setLabel -obj $tagobj -key kt                     -value $kt
         repos_setLabel -obj $tagobj -key klow                   -value $klow
         repos_setLabel -obj $tagobj -key kupp                   -value $kupp
         repos_setLabel -obj $tagobj -key mag_grad_factor        -value $magGradFactor
         repos_setLabel -obj $tagobj -key grid_type              -value $gridType
         repos_setLabel -obj $tagobj -key max_num_time_steps     -value $maxTS
         repos_setLabel -obj $tagobj -key grid_factor            -value $gridFactor
         repos_setLabel -obj $tagobj -key isotropic_flag         -value $isotropicFlag
         repos_setLabel -obj $tagobj -key goodness_stop_criteria -value $goodnessStop
         repos_setLabel -obj $tagobj -key center_x_in_pixels     -value $lsGUIctrX
         repos_setLabel -obj $tagobj -key center_y_in_pixels     -value $lsGUIctrY
         repos_setLabel -obj $tagobj -key pathId                 -value $pathId
         repos_setLabel -obj $tagobj -key posId                  -value $posId
         repos_setLabel -obj $tagobj -key pos                    -value $pos
         repos_setLabel -obj $tagobj -key nrm                    -value $nrm
         repos_setLabel -obj $tagobj -key xhat                   -value $xhat
         repos_setLabel -obj $tagobj -key creation_method        -value "levelset"
         repos_setLabel -obj $tagobj -key creation_type          -value "levelset"
         repos_setLabel -obj $tagobj -key simulation_runtime     -value $totaltime
   repos_setLabel -obj $tagobj -key stop_velocity          -value $stopV
         repos_setLabel -obj $tagobj -key rebuild_phi_interval   -value $rebuildPhiFreq
         repos_setLabel -obj $tagobj -key area_check_interval    -value $acInterval
         repos_setLabel -obj $tagobj -key calc_decay_const_mtd   -value $calcDecayConstBy
         repos_setLabel -obj $tagobj -key explicit_pot_for_decay -value $potentialValueDecay
         repos_setLabel -obj $tagobj -key calc_pot_const_mtd     -value $calcPotConstBy
         repos_setLabel -obj $tagobj -key pFactor                -value $pFactor
         repos_setLabel -obj $tagobj -key explicit_pot_for_pot   -value $potentialValuePotential
       }

    }
    # update display
    lsGUIchangeFrame 0

  } else {

    global tcl_platform
    if {$tcl_platform(platform) != "windows"} {
       return -code error "ERROR:  Running in Parallel not supported on UNIX."
    }
    set servers [getTclServers]
    if {[lsearch $servers "geodesic_batch_server"] < 0} {
      # check if the user wants to start the batch server
      set choicebs [tk_messageBox -title "No batch server found." -message "Start a new batch server?" -icon question -type yesno]
      switch -- $choicebs {
        yes {
          batchGUIstartBatchServer
          # wait up to 30 seconds for the server to start, then return error
    for {set waitforserver 0} {$waitforserver < 30} {incr waitforserver} {
            after 1000
            set servers [getTclServers]
      if {[lsearch $servers "geodesic_batch_server"] > 0} {
              break
      }
    }
          if {$waitforserver == 30} {
            return -code error "ERROR:  server starting slowly!"
    }
  }
        no {
          return -code error "ERROR:  No Geodesic batch server running!"
  }
      }
    }

    global symbolicName
    global lsGUIcurrentPathNumber
    set pathId $lsGUIcurrentPathNumber
    global gPathPoints
    set path $gPathPoints($pathId,splinePts)

    global lsGUIcurrentPositionNumber
    set posId $lsGUIcurrentPositionNumber

    array set items [lindex $path $posId]
    set pos [TupleToList $items(p)]
    set nrm [TupleToList $items(t)]
    set xhat [TupleToList $items(tx)]

    # set up directories
    global env
    global gFilenames
    file mkdir $gFilenames(tmp_dir)
    set batchdir [file join [pwd] $gFilenames(tmp_dir) batch-$pathId]
    file mkdir $batchdir
    set baseScriptName $env(USER)-[file tail [pwd]]-[pid]-$pathId-$posId
    set fullPathBSN [file join $batchdir $baseScriptName]


    # write out image slices
    repos_writeVtkStructuredPoints -obj $mag -type ascii -file $fullPathBSN-mag.vtk
    repos_writeVtkStructuredPoints -obj $pot -type ascii -file $fullPathBSN-pot.vtk

    # remove any previous seg results
    file delete $fullPathBSN-seg.vtk

    # create a script file to run in parallel
    set fp [open $fullPathBSN.tcl "w"]
    puts $fp "# geodesic_segment_autoscript 1.1"
    puts $fp ""
    puts $fp "set exit_when_done 0"
    puts $fp "if \{\[info exists batch_status\] == 0\} \{"
    puts $fp "  global tcl_rcFileName"
    puts $fp "  source \$tcl_rcFileName"
    puts $fp "  set exit_when_done 1"
    puts $fp "  set batch_status \[lindex \$argv 0\]"
    puts $fp "  catch \{set segment_number \[lindex \$argv 1\]\}"
    puts $fp "\}"
    puts $fp ""
    puts $fp "set lsres_unclean \{$lsres_unclean\}"
    puts $fp "set lsres \{$lsres\}"
    puts $fp "set lsoriented \{$lsoriented\}"
    puts $fp "catch \{repos_delete -obj \$lsres\}"
    puts $fp "catch \{repos_delete -obj \$lsres_unclean\}"
    puts $fp "catch \{repos_delete -obj \$lsoriented\}"
    puts $fp "if \{\$batch_status == \"segment\"\} \{"
    puts $fp "  # read in magnitude and potential structured points"
    puts $fp "  catch \{tmp-sp-reader Delete\}"
    puts $fp "  vtkStructuredPointsReader tmp-sp-reader"
    puts $fp "  tmp-sp-reader SetFileName \{$baseScriptName-mag.vtk\}"
    puts $fp "  tmp-sp-reader Update"
    puts $fp "  catch \{repos_delete -obj $mag\}"
    puts $fp "  repos_importVtkSp -src \[tmp-sp-reader GetOutput\] -dst $mag"
    puts $fp "  catch \{tmp-sp-reader Delete\}"
    puts $fp "  vtkStructuredPointsReader tmp-sp-reader"
    puts $fp "  tmp-sp-reader SetFileName \{$baseScriptName-pot.vtk\}"
    puts $fp "  tmp-sp-reader Update"
    puts $fp "  catch \{repos_delete -obj $pot\}"
    puts $fp "  repos_importVtkSp -src \[tmp-sp-reader GetOutput\] -dst $pot"
    puts $fp "  file delete \{$baseScriptName-seg.vtk\}"
    puts $fp "  catch \{lset2_main $mag $pot $gridType $maxTS $gridFactor $stopV $isotropicFlag $rebuildPhiFreq $goodnessStop $acInterval $radius $x $y $z $kt $calcDecayConstBy $magGradFactor $potentialValueDecay $klow $kupp $calcPotConstBy $pFactor $potentialValuePotential $lsres_unclean\}"
    #puts $fp "  catch \{lset_nate $mag $pot $radius $x $y $z  $kt $klow $kupp $magGradFactor  $gridType $maxTS $gridFactor  $isotropicFlag $goodnessStop $lsres_unclean\}"
    puts $fp "  if \{\[repos_exists -obj $lsres_unclean\]\} \{"
    puts $fp "    repos_writeVtkPolyData -file \{$baseScriptName-seg.vtk\} -type ascii -obj \$lsres_unclean"
    puts $fp "  \}"

    puts $fp "\} elseif \{\$batch_status == \"read\"\} \{"

    puts $fp "  if \{\[file exists \{$fullPathBSN-seg.vtk\}\] == 1\} \{"
    puts $fp "     repos_readVtkPolyData -obj \$lsres_unclean -file \{$fullPathBSN-seg.vtk\}"
    puts $fp ""
    puts $fp "     set numSamplePoints $lsGUInumSamplePoints"
    puts $fp "     geom_mergePts -src \{$lsres_unclean\} -dst \{$lsres\} -tol 0.001"
    puts $fp ""
    puts $fp "     repos_delete -obj \{$lsres_unclean\}"
    puts $fp "     geom_orientProfile -src \[list $lsres\] -path_pos \[list $pos\] -path_tan \[list $nrm\] -path_xhat \[list $xhat\] -dst $lsoriented"
    puts $fp ""
    puts $fp "     foreach tagobj \[list \$lsres \$lsoriented\] \{"
    puts $fp "       repos_setLabel -obj \$tagobj -key radius                 -value \{$radius\}"
    puts $fp "       repos_setLabel -obj \$tagobj -key center_x               -value \{$x\}"
    puts $fp "       repos_setLabel -obj \$tagobj -key center_y               -value \{$y\}"
    puts $fp "       repos_setLabel -obj \$tagobj -key center_z               -value \{$z\}"
    puts $fp "       repos_setLabel -obj \$tagobj -key kt                     -value \{$kt\}"
    puts $fp "       repos_setLabel -obj \$tagobj -key klow                   -value \{$klow\}"
    puts $fp "       repos_setLabel -obj \$tagobj -key kupp                   -value \{$kupp\}"
    puts $fp "       repos_setLabel -obj \$tagobj -key mag_grad_factor        -value \{$magGradFactor\}"
    puts $fp "       repos_setLabel -obj \$tagobj -key grid_type              -value \{$gridType\}"
    puts $fp "       repos_setLabel -obj \$tagobj -key max_num_time_steps     -value \{$maxTS\}"
    puts $fp "       repos_setLabel -obj \$tagobj -key grid_factor            -value \{$gridFactor\}"
    puts $fp "       repos_setLabel -obj \$tagobj -key isotropic_flag         -value \{$isotropicFlag\}"
    puts $fp "       repos_setLabel -obj \$tagobj -key goodness_stop_criteria -value \{$goodnessStop\}"
    puts $fp "       repos_setLabel -obj \$tagobj -key center_x_in_pixels     -value \{$lsGUIctrX\}"
    puts $fp "       repos_setLabel -obj \$tagobj -key center_y_in_pixels     -value \{$lsGUIctrY\}"
    puts $fp "       repos_setLabel -obj \$tagobj -key pathId                 -value \{$pathId\}"
    puts $fp "       repos_setLabel -obj \$tagobj -key posId                  -value \{$posId\}"
    puts $fp "       repos_setLabel -obj \$tagobj -key pos                    -value \{$pos\}"
    puts $fp "       repos_setLabel -obj \$tagobj -key nrm                    -value \{$nrm\}"
    puts $fp "       repos_setLabel -obj \$tagobj -key xhat                   -value \{$xhat\}"
    puts $fp "       repos_setLabel -obj \$tagobj -key creation_method        -value \{levelset\}"
    puts $fp "       repos_setLabel -obj \$tagobj -key creation_type          -value \{levelset\}"
    puts $fp "       repos_setLabel -obj \$tagobj -key run_in_parallel        -value 1"
    puts $fp "       repos_setLabel -obj \$tagobj -key stop_velocity          -value \{$stopV\}"
    puts $fp "       repos_setLabel -obj \$tagobj -key rebuild_phi_interval   -value \{$rebuildPhiFreq\}"
    puts $fp "       repos_setLabel -obj \$tagobj -key area_check_interval    -value \{$acInterval\}"
    puts $fp "       repos_setLabel -obj \$tagobj -key calc_decay_const_mtd   -value \{$calcDecayConstBy\}"
    puts $fp "       repos_setLabel -obj \$tagobj -key explicit_pot_for_decay -value \{$potentialValueDecay\}"
    puts $fp "       repos_setLabel -obj \$tagobj -key calc_pot_const_mtd     -value \{$calcPotConstBy\}"
    puts $fp "       repos_setLabel -obj \$tagobj -key pFactor                -value \{$pFactor\}"
    puts $fp "       repos_setLabel -obj \$tagobj -key explicit_pot_for_pot   -value \{$potentialValuePotential\}"
    puts $fp "     \}"
    puts $fp ""
    puts $fp "  \}"
    puts $fp ""
    puts $fp "\}"
    puts $fp ""
    puts $fp "if \{\$exit_when_done == 1\} \{"
    puts $fp "  exit 0"
    puts $fp "\}"

    close $fp

    set params [list [file join [pwd] $gFilenames(tmp_dir) batch-$pathId]   $fullPathBSN.tcl  $fullPathBSN-seg.vtk]

    dde eval geodesic_batch_server batch_addToQueue \{$params\}
  }
}


# Procedure: lsGUImakeCircle
proc lsGUImakeCircle {} {

  global symbolicName
  global lsGUIcurrentPathNumber
  set pathId $lsGUIcurrentPathNumber
  global gPathPoints
  set path $gPathPoints($pathId,splinePts)

  global lsGUIcurrentPositionNumber
  set posId $lsGUIcurrentPositionNumber

  global lsGUIanalContourType
  set type $lsGUIanalContourType

  global gImageFoo
  set voxel_dims $gImageFoo(voxelDims)
  global lsGUIctrX
  global lsGUIctrY
  set x [expr double([lindex $voxel_dims 0])*double($lsGUIctrX)]
  set y [expr double([lindex $voxel_dims 1])*double($lsGUIctrY)]


  if {$type == "levelset"} {
    set seg /lsGUI/$pathId/$posId/ls
    set segoriented $seg/oriented
  } elseif {$type == "threshold"} {
    set baseName /lsGUI/$pathId/$posId
    set seg $baseName/thr/selected
    set segoriented $baseName/thr/oriented
  } else {
    return -code error "Invalid segmentation type ($type)."
  }

  catch {repos_delete -obj $seg}
  catch {repos_delete -obj $segoriented}

  # create the unoriented circle
  global lsGUIradius
  set r $lsGUIradius
  geom_circle $r $x $y $seg

  # orient the circle
  array set items [lindex $path $posId]
  set pos [TupleToList $items(p)]
  set nrm [TupleToList $items(t)]
  set xhat [TupleToList $items(tx)]
  geom_orientProfile -src $seg -path_pos $pos -path_tan $nrm -path_xhat $xhat -dst $segoriented

  # track creation parameters via labels
  foreach obj [list $seg $segoriented] {
       repos_setLabel -obj $obj -key center_x_in_pixels -value $lsGUIctrX
       repos_setLabel -obj $obj -key center_y_in_pixels -value $lsGUIctrY
       repos_setLabel -obj $obj -key center_x           -value $x
       repos_setLabel -obj $obj -key center_y           -value $y
       repos_setLabel -obj $obj -key radius             -value $r
       repos_setLabel -obj $obj -key creation_method    -value "make_circle"
       repos_setLabel -obj $obj -key creation_type      -value $type
  }
  repos_setLabel -obj $segoriented -key pos       -value $pos
  repos_setLabel -obj $segoriented -key nrm       -value $nrm
  repos_setLabel -obj $segoriented -key xhat      -value $xhat
  repos_setLabel -obj $segoriented -key pathId    -value $pathId
  repos_setLabel -obj $segoriented -key posId     -value $posId

  # update display
  lsGUIchangeFrame 0
}


# Procedure: lsGUImakeEllipse
proc lsGUImakeEllipse {} {

  # create any missing ellipse params
  lsGUIforFrank

  global symbolicName
  global lsGUIcurrentPathNumber
  set pathId $lsGUIcurrentPathNumber
  global gPathPoints
  set path $gPathPoints($pathId,splinePts)

  global lsGUIcurrentPositionNumber
  set posId $lsGUIcurrentPositionNumber

  global lsGUIanalContourType
  set type $lsGUIanalContourType

  global gImageFoo
  set voxel_dims $gImageFoo(voxelDims)
  global lsGUIctrX
  global lsGUIctrY
  set x [expr double([lindex $voxel_dims 0])*double($lsGUIctrX)]
  set y [expr double([lindex $voxel_dims 1])*double($lsGUIctrY)]


  if {$type == "levelset"} {
    set seg /lsGUI/$pathId/$posId/ls
    set segoriented $seg/oriented
  } elseif {$type == "threshold"} {
    set baseName /lsGUI/$pathId/$posId
    set seg $baseName/thr/selected
    set segoriented $baseName/thr/oriented
  } else {
    return -code error "Invalid segmentation type ($type)."
  }

  catch {repos_delete -obj $seg}
  catch {repos_delete -obj $segoriented}

  # create the unoriented ellipse
  global lsGUIellipseA
  global lsGUIellipseB
  set a $lsGUIellipseA
  set b $lsGUIellipseB
  geom_ellipse $a $b $x $y $seg

  # orient the circle
  array set items [lindex $path $posId]
  set pos [TupleToList $items(p)]
  set nrm [TupleToList $items(t)]
  set xhat [TupleToList $items(tx)]
  geom_orientProfile -src $seg -path_pos $pos -path_tan $nrm -path_xhat $xhat -dst $segoriented

  # track creation parameters via labels
  foreach obj [list $seg $segoriented] {
       repos_setLabel -obj $obj -key center_x_in_pixels -value $lsGUIctrX
       repos_setLabel -obj $obj -key center_y_in_pixels -value $lsGUIctrY
       repos_setLabel -obj $obj -key center_x           -value $x
       repos_setLabel -obj $obj -key center_y           -value $y
       repos_setLabel -obj $obj -key a                  -value $a
       repos_setLabel -obj $obj -key b                  -value $b
       repos_setLabel -obj $obj -key creation_method    -value "make_ellipse"
       repos_setLabel -obj $obj -key creation_type      -value $type
  }
  repos_setLabel -obj $segoriented -key pos       -value $pos
  repos_setLabel -obj $segoriented -key nrm       -value $nrm
  repos_setLabel -obj $segoriented -key xhat      -value $xhat
  repos_setLabel -obj $segoriented -key pathId    -value $pathId
  repos_setLabel -obj $segoriented -key posId     -value $posId

  # update display
  lsGUIchangeFrame 0
}


# Procedure: lsGUIparallelProjection
proc lsGUIparallelProjection {} {


  global lsGUImagWindow
  global lsGUIpotWindow

  set renMag $lsGUImagWindow(ren)
  set renPot $lsGUIpotWindow(ren)

  global lsGUIparallelProjectionFlag
  set flag $lsGUIparallelProjectionFlag
  set shown $lsGUImagWindow(showWindow)

  if {$flag == 0} {

    foreach renWin {lsRenWinMag lsRenWinPot} {

      global symbolicName
      set widget $symbolicName($renWin).r1

      if {[cmdExists $widget] == 0} {
        continue
      }

      vis_renPerspectiveProjection $renMag
      vis_renPerspectiveProjection $renPot

      set selectedPoints lsGUItmp-handdraw-pts1
      set selectedLines lsGUItmp-handdraw-lines1
      set selectedActor lsGUItmp-handdraw-actor

      set cursorPoints lsGUItmp-handdraw-crsr-pts1
      set cursorLines lsGUItmp-handdraw-crsr-lines1
      set cursorPd lsGUItmp-handdraw-crsr-polydata-1
      set cursorActor lsGUItmp-handdraw-crsr-actor

      # remove the actor from the scene
      $renMag RemoveActor2D $selectedActor
      $renPot RemoveActor2D $selectedActor

      # remove the actor from the scene
      $renMag RemoveActor2D $cursorActor
      $renPot RemoveActor2D $cursorActor

      global symbolicName
      set widget $symbolicName($renWin).r1
      bind $widget <B1-Motion> {}
      bind $widget <KeyPress-a> {}
      bind $widget <KeyPress-s> {}
      bind $widget <Motion> {}
      bind $widget <KeyPress-c> {}
      bind $widget <KeyPress-x> {}
      bind $widget <KeyRelease-x> {}
      bind $widget <KeyPress-y> {}
      bind $widget <KeyRelease-y> {}
      bind $widget <KeyPress-z> {}
      bind $widget <KeyRelease-z> {}

      # Get the value
      bind $widget <ButtonPress-1> {}
      bind $widget <B1-Motion> {}
      bind $widget <ButtonRelease-1> {}

      # now reattach original bindings
      global symbolicName
      BindTkRenderWidget $symbolicName($renWin).r1
    }

    catch {vis_textRm $renMag}
    catch {vis_textRm $renPot}

    # clear the selection polygon
    $selectedLines Reset
    $selectedPoints Reset

    # clear the cursor if necessary
    $cursorPoints Reset
    $widget Render

    return
  }

  # a little sloppy, but easiest to remove the window
  # from the display and then redisplay it before we
  # turn on parallel projection (in case the user has
  # screwed up the window orientation somehow).

  # remove the window if it's displayed
  global lsGUImagWindow
  set lsGUImagWindow(showWindow) 0
  lsGUIupdateMagWindow

  # now show the window
  set lsGUImagWindow(showWindow) 1
  lsGUIupdateMagWindow

  # remove the window if it's displayed
  global lsGUIpotWindow
  set lsGUIpotWindow(showWindow) 0
  lsGUIupdatePotWindow

  # now show the window
  set lsGUIpotWindow(showWindow) 1
  lsGUIupdatePotWindow

  set renMag $lsGUImagWindow(ren)
  set renPot $lsGUIpotWindow(ren)

  # turn on parallel projection
  vis_renParallelProjection $renMag
  vis_renParallelProjection $renPot

  # bind key events needed for drawing by hand
    set selectedPoints lsGUItmp-handdraw-pts1
    set selectedLines lsGUItmp-handdraw-lines1
    set selectedPd lsGUItmp-handdraw-polydata-1
    set selectedMap lsGUItmp-handdraw-mapper
    set selectedProp lsGUItmp-handdraw-prop
    set selectedActor lsGUItmp-handdraw-actor

    set cursorPoints lsGUItmp-handdraw-crsr-pts1
    set cursorLines lsGUItmp-handdraw-crsr-lines1
    set cursorPd lsGUItmp-handdraw-crsr-polydata-1
    set cursorMap lsGUItmp-handdraw-crsr-mapper
    set cursorProp lsGUItmp-handdraw-crsr-prop
    set cursorActor lsGUItmp-handdraw-crsr-actor

    set crdtrans lsGUItm-handdraw-crdsystem

    foreach i [list $selectedPoints $selectedLines $selectedPd $selectedMap  $selectedProp $selectedActor $cursorPoints $cursorLines  $cursorPd $cursorMap $cursorProp $cursorActor $crdtrans] {
      catch {$i Delete}
    }

    # create a coordinate system transform for the 2d actors
    vtkCoordinate $crdtrans
    $crdtrans SetCoordinateSystemToWorld

    # create a 3-d polydata object representing the
    # selected points (and line segments)

    vtkPoints $selectedPoints
    $selectedPoints Allocate 1 1

    vtkCellArray $selectedLines
    $selectedLines InitTraversal

    vtkPolyData $selectedPd
    $selectedPd Allocate 1 1
    $selectedPd SetPoints $selectedPoints
    $selectedPd SetLines $selectedLines

    # create a 2D mapper
    vtkPolyDataMapper2D $selectedMap
    $selectedMap SetInputDataObject $selectedPd
    $selectedMap SetTransformCoordinate $crdtrans

    # create a 2D property
    vtkProperty2D $selectedProp
    $selectedProp SetColor 1 0 0
    $selectedProp SetLineWidth 1

    # create a 2D actor
    vtkActor2D $selectedActor
    $selectedActor SetMapper $selectedMap
    $selectedActor SetProperty $selectedProp

    # add the actor to the scene
    $renMag AddActor2D $selectedActor
    $renPot AddActor2D $selectedActor

    # create a 3-d polydata object representing
    # a line connecting the final selected point
    # with the current mouse pointer location

    vtkPoints $cursorPoints
    $cursorPoints Allocate 1 1

    vtkCellArray $cursorLines
    $cursorLines InitTraversal

    vtkPolyData $cursorPd
    $cursorPd Allocate 1 1
    $cursorPd SetPoints $cursorPoints
    $cursorPd SetLines $cursorLines
    $cursorLines InsertNextCell 2
    $cursorLines InsertCellPoint 0
    $cursorLines InsertCellPoint 1

    # create a 2D mapper
    vtkPolyDataMapper2D $cursorMap
    $cursorMap SetInputDataObject $cursorPd
    $cursorMap SetTransformCoordinate $crdtrans

    # create a 2D property
    vtkProperty2D $cursorProp
    $cursorProp SetColor 1 0 0
    $cursorProp SetLineWidth 1

    # create a 2D actor
    vtkActor2D $cursorActor
    $cursorActor SetMapper $cursorMap
    $cursorActor SetProperty $cursorProp

    # add the actor to the scene
    $renMag AddActor2D $cursorActor
    $renPot AddActor2D $cursorActor

    global lsGUIhanddrawShowCursorFlag
    set lsGUIhanddrawShowCursorFlag  1

    foreach renWin {lsRenWinMag lsRenWinPot} {
      global symbolicName
      set widget $symbolicName($renWin).r1
      bind $widget <B1-Motion> {}
      bind $widget <KeyPress-a> {lsGUI_hand_add_point %W %x %y}
      bind $widget <KeyPress-A> {lsGUI_hand_remove_last_point %W %x %y}
      bind $widget <KeyPress-s> {lsGUI_hand_toggle_show_cursor %W %x %y}
      bind $widget <Motion> {lsGUI_hand_show_cursor %W %x %y}
      bind $widget <KeyPress-c> {lsGUI_hand_make_poly %W %x %y}
      # Get the value
      bind $widget <ButtonPress-1> {lsGUI_hand_StartQueryInteraction %W %x %y}
      bind $widget <B1-Motion> {lsGUI_hand_UpdateQueryInteraction %W %x %y}
      bind $widget <ButtonRelease-1> {lsGUI_hand_EndQueryInteraction %W}
    }

    catch {vis_textRm $renMag}
    catch {vis_textRm $renPot}

    vis_textSetup $renMag
    vis_textSetup $renPot
}


# Procedure: lsGUIpasteSeg
proc lsGUIpasteSeg { type} {

  set copyobj /lsGUI/copied

  if {[repos_exists -obj $copyobj] == 0} {
       puts "ERROR:  No copy slice found!"
       return -code error "ERROR:  No copy slice found!"
  }

  global symbolicName
  global lsGUIcurrentPathNumber
  set pathId $lsGUIcurrentPathNumber
  global gPathPoints
  set path $gPathPoints($pathId,splinePts)

  global lsGUIcurrentPositionNumber
  set posId $lsGUIcurrentPositionNumber

  # paste profile as type specified in seg current with
    if {$type == "levelset"} {
    set seg /lsGUI/$pathId/$posId/ls
    set segoriented $seg/oriented
  } elseif {$type == "threshold"} {
    set baseName /lsGUI/$pathId/$posId
    set seg $baseName/thr/selected
    set segoriented $baseName/thr/oriented
  } else {
    return -code error "Invalid segmentation type ($type)."
  }

  catch {repos_delete -obj $seg}
  catch {repos_delete -obj $segoriented}

  # copy the unoriented slice
  geom_copy -src $copyobj -dst $seg

  array set items [lindex $path $posId]
  set pos [TupleToList $items(p)]
  set nrm [TupleToList $items(t)]
  set xhat [TupleToList $items(tx)]
  geom_orientProfile -src $seg -path_pos $pos -path_tan $nrm -path_xhat $xhat -dst $segoriented

  # copy tags
  foreach myobj [list $seg $segoriented] {
    foreach key [repos_getLabelKeys -obj $copyobj] {
      set value [repos_getLabel -obj $copyobj -key $key]
      repos_setLabel -obj $myobj -key $key -value $value
    }
  }
  # update tags
  catch {repos_clearLabel -obj $seg -key paste_pos}
  catch {repos_clearLabel -obj $seg -key paste_nrm}
  catch {repos_clearLabel -obj $seg -key paste_xhat}
  catch {repos_clearLabel -obj $seg -key paste_pathId}
  catch {repos_clearLabel -obj $seg -key paste_posId}
  catch {repos_clearLabel -obj $segoriented -key paste_pos}
  catch {repos_clearLabel -obj $segoriented -key paste_nrm}
  catch {repos_clearLabel -obj $segoriented -key paste_xhat}
  catch {repos_clearLabel -obj $segoriented -key paste_pathId}
  catch {repos_clearLabel -obj $segoriented -key paste_posId}
  repos_setLabel -obj $seg         -key paste_pos    -value $pos
  repos_setLabel -obj $seg         -key paste_nrm    -value $nrm
  repos_setLabel -obj $seg         -key paste_xhat   -value $xhat
  repos_setLabel -obj $seg         -key paste_pathId -value $pathId
  repos_setLabel -obj $seg         -key paste_posId  -value $posId
  repos_setLabel -obj $segoriented -key paste_pos    -value $pos
  repos_setLabel -obj $segoriented -key paste_nrm    -value $nrm
  repos_setLabel -obj $segoriented -key paste_xhat   -value $xhat
  repos_setLabel -obj $segoriented -key paste_pathId -value $pathId
  repos_setLabel -obj $segoriented -key paste_posId  -value $posId

  # update display
  lsGUIchangeFrame 0
}


# Procedure: lsGUIscaleSeg
proc lsGUIscaleSeg { type} {

  global symbolicName
  global lsGUIcurrentPathNumber
  set pathId $lsGUIcurrentPathNumber
  global gPathPoints
  set path $gPathPoints($pathId,splinePts)

  global lsGUIcurrentPositionNumber
  set posId $lsGUIcurrentPositionNumber

  # need to translate hand/analytic to proper type
  if {$type == "analytic"} {
    global lsGUIanalContourType
    set type $lsGUIanalContourType
  } elseif {$type == "hand"} {
    global lsGUIhandContourType
    set type $lsGUIhandContourType
  }

  if {$type == "levelset"} {
    set seg /lsGUI/$pathId/$posId/ls
    set segoriented $seg/oriented
  } elseif {$type == "threshold"} {
    set baseName /lsGUI/$pathId/$posId
    set seg $baseName/thr/selected
    set segoriented $baseName/thr/oriented
  } else {
    return -code error "Invalid segmentation type ($type)."
  }

  if {[repos_exists -obj $seg] == 0} {
    return
  }

  # keep the tags on the segmentation
  foreach key [repos_getLabelKeys -obj $seg] {
    set seg_keys($key) [repos_getLabel -obj $seg -key $key]
  }
  foreach key [repos_getLabelKeys -obj $segoriented] {
    set segoriented_keys($key) [repos_getLabel -obj $segoriented -key $key]
  }

  global lsGUIscaleFactor

  set cntrseg   /lsGUI/scaled/centered
  set scaledseg /lsGUI/scaled/scaled

  catch {repos_delete -obj $cntrseg}
  catch {repos_delete -obj $scaledseg}

  # move center to origin
  set center [geom_avgPt -obj $seg]
  geom_translate -src $seg -dst $cntrseg -vec [math_scaleVec $center -1.0]
  # scale segmentation
  geom_scaleAvg -src $cntrseg -dst $scaledseg -factor $lsGUIscaleFactor
  catch {repos_delete -obj $seg}
  catch {repos_delete -obj $segoriented}
  # move back to center
  geom_translate -src $scaledseg -dst $seg -vec $center

  array set items [lindex $path $posId]
  set pos [TupleToList $items(p)]
  set nrm [TupleToList $items(t)]
  set xhat [TupleToList $items(tx)]
  geom_orientProfile -src $seg -path_pos $pos -path_tan $nrm -path_xhat $xhat -dst $segoriented

  # reattach tags
  foreach key [array names seg_keys] {
    repos_setLabel -obj $seg -key $key -value $seg_keys($key)
  }
  foreach key [array names segoriented_keys] {
    repos_setLabel -obj $segoriented -key $key -value $segoriented_keys($key)
  }
  # update seg
  set scale_factor 1.0
  if {[info exists seg_keys(scale_factor)] == 1} {
    repos_clearLabel -obj $seg -key scale_factor
    set scale_factor $seg_keys(scale_factor)
  }
  repos_setLabel -obj $seg -key scale_factor -value [expr double($scale_factor) * $lsGUIscaleFactor]
  # update segoriented
  set scale_factor 1.0
  if {[info exists segoriented_keys(scale_factor)] == 1} {
    repos_clearLabel -obj $segoriented -key scale_factor
    set scale_factor $segoriented_keys(scale_factor)
  }
  repos_setLabel -obj $segoriented -key scale_factor -value [expr double($scale_factor) * $lsGUIscaleFactor]

  # update display
  lsGUIchangeFrame 0
}


# Procedure: lsGUIsegBatch
proc lsGUIsegBatch { choice} {

  global lsGUIbatchEntry

  set entry $lsGUIbatchEntry

  # find min/max frame number
  global symbolicName
  set minFrame [expr int([$symbolicName(lsGUIpathPositionScale) cget -from])]
  set maxFrame [expr int([$symbolicName(lsGUIpathPositionScale) cget -to])]

  set allframes [string_parse $lsGUIbatchEntry $minFrame $maxFrame]
  if {[llength $allframes] == 0} {
     puts "ERROR:  No frames specified."
     return -code error "ERROR:  No frames specified."
  }

  # check that the user hasn't accidently selected this button!
  set yesno [tk_messageBox -message "Do you want to attempt [llength $allframes] segmentations?" -default no -icon question -type yesno]
  if {$yesno == "no"} {
        return -code error "User halted."
  }

  if {[llength $allframes] >= 5} {
     set yesno [tk_messageBox -message "Are you really, really sure?  You will be attempting [llength $allframes] segmentations." -default no -icon question -type yesno]
     if {$yesno == "no"} {
        return -code error "User halted."
     }
  }

  set starttime [clock seconds]
  foreach frame $allframes {
    $symbolicName(lsGUIpathPositionScale) set $frame
    lsGUIupdatePositionScale 0
    if {$choice == "threshold"} {
      lsGUIthrSlice
    } elseif {$choice == "levelset"} {
      lsGUIlsSlice
    } else {
      return -code error "ERROR:  $type not valid."
    }
  }
  puts "time for batch run: [expr [clock seconds] - $starttime] seconds."
}


# Procedure: lsGUIselectPathCancel
proc lsGUIselectPathCancel {} {
  DestroyWindow.lsGUIselectPath
}


# Procedure: lsGUIselectPathChoose
proc lsGUIselectPathChoose {} {
  global symbolicName
  set lbox $symbolicName(lsGUIselectPathLB)
  set csel [$lbox curselection]
  set s [$lbox get $csel]
  if {$s == ""} {
     DestroyWindow.lsGUIselectPath
     return
  }
  set busted [split $s :]
  global lsGUIcurrentPathNumber
  set lsGUIcurrentPathNumber [string trim [lindex $busted 0]]
  global lsGUIcurrentPathLabel
  set lsGUIcurrentPathLabel $s
  DestroyWindow.lsGUIselectPath
  lsGUIupdatePath
}


# Procedure: lsGUIselectPathSetup
proc lsGUIselectPathSetup {} {

  global gPathPoints
  global symbolicName

  # find the current list of paths to choose from
  set names [lsort -dictionary [array names gPathPoints *,name]]

  ShowWindow.lsGUIselectPath
  move_window_mouse .lsGUIselectPath 400 5

  set lbox $symbolicName(lsGUIselectPathLB)
  $lbox delete 0 end
  foreach n $names {
    set busted [split [string trim $n] ,]
    $lbox insert end "[lindex $busted 0] : $gPathPoints($n)"
  }
}


# Procedure: lsGUIsetMagFactorWithPotWin
proc lsGUIsetMagFactorWithPotWin {} {

   # hard coded name of color map
   set colorMap vis_img_g8bitGrayscaleLUT_lsRenWinPot_ren1
   # hard coded reslice pot name
   set slice /tmp/lsGUI/pot

   if {[cmdExists $colorMap] == 1} {
      set tableRange [$colorMap GetTableRange]
      set scalarRange [[repos_exportToVtk -src $slice] GetScalarRange]
      puts "tableRange: $tableRange"
      puts "scalarRange: $scalarRange"
      global lsGUIlsParams
      set lsGUIlsParams(MagFactor) [expr double(0.33*[lindex $tableRange 1])/double([lindex $scalarRange 1])]
      set maxPot [expr int(double($lsGUIlsParams(MagFactor))*double([lindex $scalarRange 1]))]
      set minPot [expr int(0.9*$maxPot)]
      $colorMap SetTableRange $minPot $maxPot
      global lsGUIpotWindow
      [$lsGUIpotWindow(ren) GetRenderWindow] Render
      return
   }
   puts "WARNING:  Potential window LUT not found."
   return
}


# Procedure: lsGUIsetPotWinWithMagFactor
proc lsGUIsetPotWinWithMagFactor {} {

   # hard coded name of color map
   set colorMap vis_img_g8bitGrayscaleLUT_lsRenWinPot_ren1
   # hard coded reslice pot name
   set slice /tmp/lsGUI/pot

   if {[cmdExists $colorMap] == 1} {
      set tableRange [$colorMap GetTableRange]
      set scalarRange [[repos_exportToVtk -src $slice] GetScalarRange]
      puts "tableRange: $tableRange"
      puts "scalarRange: $scalarRange"
      global lsGUIlsParams
      set maxPot [expr int(double($lsGUIlsParams(MagFactor))*double([lindex $scalarRange 1]))]
      set minPot [expr int(0.9*$maxPot)]
      $colorMap SetTableRange $minPot $maxPot
      global lsGUIpotWindow
      [$lsGUIpotWindow(ren) GetRenderWindow] Render
      return
   }
   puts "WARNING:  Potential window LUT not found."
   return
}


# Procedure: lsGUIshowInteractiveContour
proc lsGUIshowInteractiveContour {} {

  global gRen3d
  global lsGUIshowInteractiveContourFlag
  set flag $lsGUIshowInteractiveContourFlag

  catch {vis_splineClosedWidgetRm $gRen3d lsGUI}

  if {$flag == 0} {
    return
  }

  vis_splineClosedWidgetAdd $gRen3d  [repos_exportToVtk -src volume_image]  lsGUI  lsGUIsplineEnableEvent  lsGUIsplineStartInteractionEvent  lsGUIsplineInteractionEvent  lsGUIsplineEndInteractionEvent

  global gPlusMinus
  global lsGUIcurrentGroup
  global lsGUIspline_group
  set lsGUIspline_group $lsGUIcurrentGroup

  set groups [group_get $lsGUIcurrentGroup]
  if {[llength $groups] == 0} {
     return
  }

  global symbolicName
  global lsGUIcurrentPathNumber
  set pathId $lsGUIcurrentPathNumber

  set seg /lsGUI/segment/$pathId
  global lsGUIspline_id
  global lsGUIspline_pathId
  global lsGUIspline_posId

  global lsGUIspline_id
  global lsGUIseg_before_id
  global lsGUIseg_after_id

  set idloc $lsGUIspline_id
  set lsGUIspline_pathId $pathId

  set idloclength [expr [llength $groups] - 1]

  if {$idloc == 0} {
    set lsGUIseg_before_id ""
    set lsGUIseg_after_id  $seg/0
  } elseif {$idloc == $idloclength } {
    set lsGUIseg_before_id $seg/[expr $idloclength - 1]
    set lsGUIseg_after_id  ""
  } else {
    set lsGUIseg_before_id $seg/[expr $idloc - 1]
    set lsGUIseg_after_id $seg/$idloc
  }
  global gRen3d
  global lsGUIsurfaceOpacity
  if {[repos_exists -obj $lsGUIseg_before_id/copy] == 1} {
     repos_delete -obj $lsGUIseg_before_id
     geom_copy -dst $lsGUIseg_before_id -src $lsGUIseg_before_id/copy
     repos_delete -obj $lsGUIseg_before_id/copy
     catch {vis_pRm $gRen3d $lsGUIseg_before_id}
     set a [vis_pRepos $gRen3d $lsGUIseg_before_id]
     [$a GetProperty] SetOpacity $lsGUIsurfaceOpacity
  }
  if {[repos_exists -obj $lsGUIseg_after_id/copy] == 1} {
     repos_delete -obj $lsGUIseg_after_id
     geom_copy -src $lsGUIseg_after_id/copy -dst $lsGUIseg_after_id
     repos_delete -obj $lsGUIseg_after_id/copy
     catch {vis_pRm $gRen3d $lsGUIseg_after_id}
     set a [vis_pRepos $gRen3d $lsGUIseg_after_id]
     [$a GetProperty] SetOpacity $lsGUIsurfaceOpacity
  }

  incr idloc $gPlusMinus

  if {$idloc < 0} {
     set idloc 0
  } elseif {$idloc >= [llength $groups]} {
     set idloc [expr [llength $groups] - 1]
  }

  global lsGUIspline_id
  global lsGUIseg_before_id
  global lsGUIseg_after_id

  set lsGUIspline_id $idloc
  global lsGUIspline_creation_type
  set lsGUIspline_creation_type [repos_getLabel -obj [lindex $groups $idloc] -key creation_type]
  set lsGUIspline_posId [group_itemid $lsGUIcurrentGroup [lindex $groups $idloc]]

  if {$idloc == 0} {
    set lsGUIseg_before_id ""
    set lsGUIseg_after_id  $seg/0
    catch {repos_delete -obj $lsGUIseg_after_id/copy}
    geom_copy -src $lsGUIseg_after_id -dst $lsGUIseg_after_id/copy
  } elseif {$idloc == $idloclength } {
    set lsGUIseg_before_id $seg/[expr $idloclength - 1]
    set lsGUIseg_after_id  ""
    catch {repos_delete -obj $lsGUIseg_before_id/copy}
    geom_copy -src $lsGUIseg_before_id -dst $lsGUIseg_before_id/copy

  } else {
    set lsGUIseg_before_id $seg/[expr $idloc - 1]
    set lsGUIseg_after_id $seg/$idloc
    catch {repos_delete -obj $lsGUIseg_after_id/copy}
    catch {repos_delete -obj $lsGUIseg_before_id/copy}
    geom_copy -src $lsGUIseg_after_id -dst $lsGUIseg_after_id/copy
    geom_copy -src $lsGUIseg_before_id -dst $lsGUIseg_before_id/copy
  }
  global gPathBrowser
  set numHandles $gPathBrowser(solid_sample)

  set seg [lindex $groups $gPlusMinus]

  vis_splineClosedWidgetSetPts $gRen3d lsGUI [lindex $groups $idloc] $numHandles

  vis_splineClosedWidgetOn $gRen3d lsGUI
  # since it appears the beginInteraction gets called when you turn on the widget,
  # we need to explicitly call the endInteraction the first time
  lsGUIsplineEndInteractionEvent

  # vis stuff
  global lsGUIcurrentPositionNumber
  set lsGUIcurrentPositionNumber $lsGUIspline_posId
  lsGUIupdatePositionScale 0
#  lsGUIshowSurface
}


# Procedure: lsGUIshowSurface
proc lsGUIshowSurface {} {
  global gRen3d
  global gRen3dFreeze
  global lsGUIsurfaceOpacity
  global lsGUIshowSurfaceFlag

  set seg /lsGUI/segment
  set gRen3dFreeze 1

  foreach i [repos_subList $seg/*] {
    catch {vis_pRm $gRen3d $i}
  }

  if {$lsGUIshowSurfaceFlag == 0} {
    set gRen3dFreeze 0
    vis_render $gRen3d
    return
  }

  lsGUIalignAllProfiles

  global lsGUIcurrentPathNumber
  set pathId $lsGUIcurrentPathNumber
  set seg $seg/$pathId

  foreach i [repos_subList $seg/*] {
    set a [vis_pRepos $gRen3d $i]
    [$a GetProperty] SetOpacity $lsGUIsurfaceOpacity
  }
  set gRen3dFreeze 0
  vis_render $gRen3d
}


# Procedure: lsGUIsplineEnableEvent
proc lsGUIsplineEnableEvent {} {
  #puts "BeginInteraction Event"
  global gInteractorInteracting
  set gInteractorInteracting 1

  global lsGUIorgSplinePts
  global gRen3d

  set lsGUIorgSplinePts [vis_splineClosedWidgetGetPts $gRen3d lsGUI]
}


# Procedure: lsGUIsplineEndInteractionEvent
proc lsGUIsplineEndInteractionEvent {} {
  global gInteractorInteracting
  set gInteractorInteracting 0
}


# Procedure: lsGUIsplineInteractionEvent
proc lsGUIsplineInteractionEvent {} {

  global gRen3d
  global gPathBrowser

  global lsGUInumFacetsForSurface
  set sample $lsGUInumFacetsForSurface

  global gInteractorRen

  set pts [vis_splineClosedWidgetGetPts $gInteractorRen lsGUI]

  global lsGUIorgSplinePts
  set orgSplinePts $lsGUIorgSplinePts

  set fixAxisX 0
  set fixAxisY 0
  set fixAxisZ 0
  set fixPlane 1

  for {set i 0} {$i < [llength $pts]} {incr i} {
    set orgpt [lindex $orgSplinePts $i]
    set newpt [lindex $pts $i]
    if {$fixAxisX != 0} {
       set x [lindex $orgpt 0]
    } else {
       set x [lindex $newpt 0]
    }
    if {$fixAxisY != 0} {
       set y [lindex $orgpt 1]
    } else {
       set y [lindex $newpt 1]
    }
    if {$fixAxisZ != 0} {
       set z [lindex $orgpt 2]
    } else {
       set z [lindex $newpt 2]
    }
    lappend fixedpts [list $x $y $z]
  }

  if {$fixPlane == 0} {
    vis_splineClosedWidgetUpdatePts $gRen3d lsGUI $fixedpts
  } else {
    vis_splineClosedWidgetUpdatePtsPlaneOnly $gRen3d lsGUI $fixedpts
  }

  global lsGUIspline_id
  global lsGUIseg_before_id
  global lsGUIseg_after_id
  global lsGUIsurfaceOpacity
  global lsGUIshowSurfaceFlag


  if {$lsGUIshowSurfaceFlag != 0} {
    set fixedpts [vis_splineClosedWidgetGetSamplePts $gRen3d lsGUI $sample]
    global gRen3dFreeze
    set gRen3dFreeze 1
    if {$lsGUIseg_before_id != ""} {
      set vtkobj [repos_exportToVtk -src $lsGUIseg_before_id]
      set ptobj [$vtkobj GetPoints]
      for {set i 0} {$i < [llength $fixedpts]} {incr i} {
        eval $ptobj SetPoint [expr $i + [llength $fixedpts]] [lindex $fixedpts $i]
      }
      vis_pRm $gRen3d $lsGUIseg_before_id
      set a [vis_pRepos $gRen3d $lsGUIseg_before_id]
      [$a GetProperty] SetOpacity $lsGUIsurfaceOpacity
    }
    if {$lsGUIseg_after_id != ""} {
      set vtkobj [repos_exportToVtk -src $lsGUIseg_after_id]
      set ptobj [$vtkobj GetPoints]
      for {set i 0} {$i < [llength $fixedpts]} {incr i} {
        eval $ptobj SetPoint $i [lindex $fixedpts $i]
      }
      vis_pRm $gRen3d $lsGUIseg_after_id
      set a [vis_pRepos $gRen3d $lsGUIseg_after_id]
      [$a GetProperty] SetOpacity $lsGUIsurfaceOpacity
    }
    set gRen3dFreeze 0
    vis_render $gRen3d
  }
}


# Procedure: lsGUIsplineStartInteractionEvent
proc lsGUIsplineStartInteractionEvent {} {
   lsGUIsplineEnableEvent
}


# Procedure: lsGUIthrSlice
proc lsGUIthrSlice {} {

  set mag   /tmp/lsGUI/mag
  set pot   /tmp/lsGUI/pot

  global lsGUIthrValue

  # set base string
  global lsGUIcurrentPositionNumber
  set posId $lsGUIcurrentPositionNumber
  global lsGUIcurrentPathNumber
  set pathId $lsGUIcurrentPathNumber
  set baseName /lsGUI/$pathId/$posId

  set thr $baseName/thr
  set thr_unclean $baseName/thr/unclean
  set picked $baseName/thr/selected
  set oriented $baseName/thr/oriented

  catch {repos_delete -obj $thr}
  catch {repos_delete -obj $thr_unclean}
  catch {repos_delete -obj $picked}
  catch {repos_delete -obj $oriented}

  # threshold
  global lsGUIthresholdType
  set type $lsGUIthresholdType

  if {$type == "mag"} {
    set img [repos_exportToVtk -src $mag]
    if {$lsGUIthrValue == 0} {
      return -code error "ERROR:  Must set a non-zero threshold value!"
    }
    repos_importVtkPd -src [img_contour $img $lsGUIthrValue]  -dst $thr_unclean
  } elseif {$type == "localMax"} {
    global lsGUIlsParams
    # find the range of the mangitude gradient
    set MGrng [[repos_exportToVtk -src $pot] GetScalarRange]
    set maxMGi [lindex $MGrng 1]
    set MGi_c [expr $lsGUIlsParams(MagFactor) * $maxMGi]
    repos_importVtkPd -src [img_contour [repos_exportToVtk -src $pot] $MGi_c]  -dst $thr_unclean
  } elseif {$type == "grad"} {
    global lsGUIlsParams
    repos_importVtkPd -src [img_contour [repos_exportToVtk -src $pot] $lsGUIlsParams(potentialValueDecay)]  -dst $thr_unclean
  } else {
    puts "ERROR:  Invalid threshold type $type."
    return -code error "ERROR:  Invalid threshold type $type."
  }

  global lsGUInumSamplePoints
  set numSamplePoints $lsGUInumSamplePoints
  geom_mergePts -src $thr_unclean -dst $thr -tol 0.001



  repos_delete -obj $thr_unclean
  repos_setLabel -obj $thr -key thresholdValue  -value $lsGUIthrValue

  # select contour
  global lsGUIctrX
  global lsGUIctrY
  # calculate center from voxel dims
  global gImageFoo
  set voxel_dims $gImageFoo(voxelDims)

  set center [list [expr double([lindex $voxel_dims 0])*double($lsGUIctrX)]  [expr double([lindex $voxel_dims 1])*double($lsGUIctrY)] 0]



  set tmpobj $picked

  set connfilt /gui3D/lset/connfilt
  catch {$connfilt Delete}
  vtkPolyDataConnectivityFilter $connfilt
  $connfilt SetInputData [repos_exportToVtk -src $thr]
  $connfilt SetExtractionModeToLargestRegion
  $connfilt Update

  catch {repos_delete -obj $segPd}
  repos_importVtkPd -src [$connfilt GetOutput] -dst $tmpobj

#  if [catch {geom_pick -result $tmpobj -obj $thr -pos $center} msg] {}
  if { 0 } {
    puts "Did not find closed boundary for $baseName.  ($msg)"
  } else {
    repos_setLabel -obj $picked -key center_x_in_pixels -value $lsGUIctrX
    repos_setLabel -obj $picked -key center_y_in_pixels -value $lsGUIctrY
    repos_setLabel -obj $picked -key center_x           -value [lindex $center 0]
    repos_setLabel -obj $picked -key center_y           -value [lindex $center 1]
    repos_setLabel -obj $picked -key threshold_value    -value $lsGUIthrValue
    repos_setLabel -obj $picked -key creation_method    -value "threshold"
    repos_setLabel -obj $picked -key creation_type      -value "threshold"

    # orient profile
    global symbolicName
    global lsGUIcurrentPathNumber
    set pathId $lsGUIcurrentPathNumber
    global gPathPoints
    set path $gPathPoints($pathId,splinePts)

    global lsGUIcurrentPositionNumber
    set posId $lsGUIcurrentPositionNumber

    array set items [lindex $path $posId]
    set pos [TupleToList $items(p)]
    set nrm [TupleToList $items(t)]
    set xhat [TupleToList $items(tx)]
    geom_orientProfile -src $picked -path_pos $pos -path_tan $nrm -path_xhat $xhat -dst $oriented

    repos_setLabel -obj $oriented -key center_x_in_pixels -value $lsGUIctrX
    repos_setLabel -obj $oriented -key center_y_in_pixels -value $lsGUIctrY
    repos_setLabel -obj $oriented -key center_x           -value [lindex $center 0]
    repos_setLabel -obj $oriented -key center_y           -value [lindex $center 1]
    repos_setLabel -obj $oriented -key threshold_value    -value $lsGUIthrValue
    repos_setLabel -obj $oriented -key creation_method    -value "threshold"
    repos_setLabel -obj $oriented -key creation_type      -value "threshold"
    repos_setLabel -obj $oriented -key pos                -value $pos
    repos_setLabel -obj $oriented -key nrm                -value $nrm
    repos_setLabel -obj $oriented -key xhat               -value $xhat
    repos_setLabel -obj $oriented -key pathId             -value $pathId
    repos_setLabel -obj $oriented -key posId              -value $posId

    # need these to be on seg also since this is what is used by the copy function
    repos_setLabel -obj $picked -key pos                -value $pos
    repos_setLabel -obj $picked -key nrm                -value $nrm
    repos_setLabel -obj $picked -key xhat               -value $xhat
    repos_setLabel -obj $picked -key pathId             -value $pathId
    repos_setLabel -obj $picked -key posId              -value $posId

  }

  # update display
  lsGUIchangeFrame 0
}


# Procedure: lsGUItracePlusMinus
proc lsGUItracePlusMinus { name1 name2 op} {

  global gPlusMinus
  lsGUIshowInteractiveContour

#  global symbolicName
#  set lbox $symbolicName(guiPPchooserPointListBox)
#  # delete trace if gui somehow no longer exists
#  if {[info commands $lbox] == ""} {
#    trace vdelete gPlusMinus w guiPPtracePlusMinus
#    set gPlusMinus 0
#    return
#  }
}


# Procedure: lsGUItranslateSeg
proc lsGUItranslateSeg { type} {

  global symbolicName
  global lsGUIcurrentPathNumber
  set pathId $lsGUIcurrentPathNumber
  global gPathPoints
  set path $gPathPoints($pathId,splinePts)

  global lsGUIcurrentPositionNumber
  set posId $lsGUIcurrentPositionNumber

  # need to translate hand/analytic to proper type
  if {$type == "analytic"} {
    global lsGUIanalContourType
    set type $lsGUIanalContourType
  } elseif {$type == "hand"} {
    global lsGUIhandContourType
    set type $lsGUIhandContourType
  }

  if {$type == "levelset"} {
    set seg /lsGUI/$pathId/$posId/ls
    set segoriented $seg/oriented
  } elseif {$type == "threshold"} {
    set baseName /lsGUI/$pathId/$posId
    set seg $baseName/thr/selected
    set segoriented $baseName/thr/oriented
  } else {
    return -code error "Invalid segmentation type ($type)."
  }

  if {[repos_exists -obj $seg] == 0} {
    return
  }

  # keep the tags on the segmentation
  foreach key [repos_getLabelKeys -obj $seg] {
    set seg_keys($key) [repos_getLabel -obj $seg -key $key]
  }
  foreach key [repos_getLabelKeys -obj $segoriented] {
    set segoriented_keys($key) [repos_getLabel -obj $segoriented -key $key]
  }

  global lsGUItransX
  global lsGUItransY

  set beforetrans   /lsGUI/before-translate

  catch {repos_delete -obj $beforetrans}
  geom_copy -src $seg -dst $beforetrans
  catch {repos_delete -obj $seg}
  catch {repos_delete -obj $segoriented}
  geom_translate -src $beforetrans -dst $seg -vec [list $lsGUItransX $lsGUItransY 0.0]

  array set items [lindex $path $posId]
  set pos [TupleToList $items(p)]
  set nrm [TupleToList $items(t)]
  set xhat [TupleToList $items(tx)]
  geom_orientProfile -src $seg -path_pos $pos -path_tan $nrm -path_xhat $xhat -dst $segoriented

  # reattach tags
  foreach key [array names seg_keys] {
    repos_setLabel -obj $seg -key $key -value $seg_keys($key)
  }
  foreach key [array names segoriented_keys] {
    repos_setLabel -obj $segoriented -key $key -value $segoriented_keys($key)
  }
  # update seg
  set translation_in_x 0.0
  set translation_in_y 0.0
  if {[info exists seg_keys(translation_in_x)] == 1} {
    repos_clearLabel -obj $seg -key translation_in_x
    set translation_in_x $seg_keys(translation_in_x)
  }
  repos_setLabel -obj $seg -key translation_in_x -value [expr $translation_in_x + $lsGUItransX]
  if {[info exists seg_keys(translation_in_y)] == 1} {
    repos_clearLabel -obj $seg -key translation_in_y
    set translation_in_y $seg_keys(translation_in_y)
  }
  repos_setLabel -obj $seg -key translation_in_y -value [expr $translation_in_y + $lsGUItransY]
  # update segoriented
  set translation_in_x 0.0
  set translation_in_y 0.0
  if {[info exists segoriented_keys(translation_in_x)] == 1} {
    repos_clearLabel -obj $segoriented -key translation_in_x
    set translation_in_x $segoriented_keys(translation_in_x)
  }
  repos_setLabel -obj $segoriented -key translation_in_x -value [expr $translation_in_x + $lsGUItransX]
  if {[info exists segoriented_keys(translation_in_y)] == 1} {
    repos_clearLabel -obj $segoriented -key translation_in_y
    set translation_in_y $segoriented_keys(translation_in_y)
  }
  repos_setLabel -obj $segoriented -key translation_in_y -value [expr $translation_in_y + $lsGUItransY]

  # update display
  lsGUIchangeFrame 0
}


# Procedure: lsGUIupdate3dWindow
proc lsGUIupdate3dWindow {} {

  global lsGUI3dWindow
  global gRen3d

  global lsGUIcurrentPositionNumber
  set posId $lsGUIcurrentPositionNumber
  global lsGUIcurrentPathNumber
  set pathId $lsGUIcurrentPathNumber

  # show oriented level set slice
  if {$lsGUI3dWindow(showLS) == 1} {
    set seg /lsGUI/$pathId/$posId/ls/oriented
    if {[repos_exists -obj $seg] != 0} {
      catch {vis_pRm $gRen3d $seg}
      generalView $gRen3d $seg
      # make the line more visible
      set actor [vis_pGetActor $gRen3d $seg]
      [$actor GetProperty] SetLineWidth 3
      [$gRen3d GetRenderWindow] Render
    }
  }

  # show oriented threshold slice
  if {$lsGUI3dWindow(showSelectedThr) == 1} {
    set seg /lsGUI/$pathId/$posId/thr/oriented
    if {[repos_exists -obj $seg] != 0} {
      catch {vis_pRm $gRen3d $seg}
      generalView $gRen3d $seg
      # make the line more visible
      set actor [vis_pGetActor $gRen3d $seg]
      [$actor GetProperty] SetLineWidth 3
      [$gRen3d GetRenderWindow] Render
    }
  }
}


# Procedure: lsGUIupdate3dWindowWithSolid
proc lsGUIupdate3dWindowWithSolid {} {

  global lsGUI3dWindow
  global gRen3d
  global gObjects
  global gOptions

  set pd /lsGUI/preopsolid/pd

  if {$lsGUI3dWindow(showPreopSolid) == 1} {
     if {[repos_exists -obj $gObjects(preop_solid)] == 1} {
        set pd /lsGUI/preopsolid/pd
  catch {repos_delete -obj $pd}
        if {$gOptions(facet_max_edge_size) != ""} {
          $gObjects(preop_solid) GetPolyData -result $pd
  } else {
          $gObjects(preop_solid) GetPolyData -result $pd  -max_edge_size $gOptions(facet_max_edge_size)
  }
        vis_lodRepos $gRen3d $pd
     }
  } else {
     vis_lodRm $gRen3d $pd
     catch {repos_delete -obj $pd}
  }
}


# Procedure: lsGUIupdateMagWindow
proc lsGUIupdateMagWindow {} {
    global lsGUImagWindow
    # delete window if it is no longer wanted
    if {$lsGUImagWindow(showWindow) == "0" &&
        [cmdExists lsRenWinMag] == "1"} {
       vis_2DRenWin_delete lsRenWinMag
       # if render window is deleted, make sure we
       # are not trying to update the level set evolution in
       # the deleted window
       global gOptions
       set rens $gOptions(lsetDisplayWindows)
       set loc [lsearch $rens lsRenWinMag]
       if {$loc >= 0} {
          set gOptions(lsetDisplayWindows) [lreplace $rens $loc $loc]
       }
       return
    }
    # create window if it doesn't exist and we want it to
    if {$lsGUImagWindow(showWindow) == "1" && [cmdExists lsRenWinMag] == "0"} {
  set lsGUImagWindow(ren) [vis_2DRenWin lsRenWinMag]
        set lsGUImagWindow(renderWindow) lsRenWinMag
        lsGUIchangeFrame 0
        vis_renReset $lsGUImagWindow(ren)
    } else {
        lsGUIchangeFrame 0
    }
}


# Procedure: lsGUIupdatePath
proc lsGUIupdatePath {} {

  global symbolicName
  set pathPositionScale $symbolicName(lsGUIpathPositionScale)
  set pathSeedPositionScale $symbolicName(lsGUI3dseedpathPositionScale)

  global lsGUIcurrentPathNumber
  set pathId $lsGUIcurrentPathNumber


  global gPathPoints
  set path $gPathPoints($pathId,splinePts)

  $pathPositionScale configure -from 0
  $pathPositionScale configure -to [expr [llength $path] - 1]
  $pathSeedPositionScale configure -from 0
  $pathSeedPositionScale configure -to [expr [llength $path] - 1]

  lsGUIdisplayPath

  lsGUIupdatePositionScale 0


  # vis stuff if the user has turned on the spline interactor
  global lsGUIshowInteractiveContourFlag
  set lsGUIshowInteractiveContourFlag 0
  lsGUIshowInteractiveContour
}

# Procedure: lsGUIupdatePathNoVol
proc lsGUIupdatePathNoVol {} {

  global symbolicName
  set pathPositionScale $symbolicName(lsGUIpathPositionScale)
  set pathSeedPositionScale $symbolicName(lsGUI3dseedpathPositionScale)

  global lsGUIcurrentPathNumber
  set pathId $lsGUIcurrentPathNumber


  global gPathPoints
  set path $gPathPoints($pathId,splinePts)

  $pathPositionScale configure -from 0
  $pathPositionScale configure -to [expr [llength $path] - 1]
  $pathSeedPositionScale configure -from 0
  $pathSeedPositionScale configure -to [expr [llength $path] - 1]

  lsGUIdisplayPath
}


# Procedure: lsGUIupdatePositionScale
proc lsGUIupdatePositionScale { {value "0"}} {

  global symbolicName
  global lsGUIcurrentPathNumber
  global gPathPoints

  if {$lsGUIcurrentPathNumber == "-1"} {
    #lsGUIselectPathSetup
    return
    # set pathIds ""
    # set funkynames [lsort -dictionary [array names gPathPoints *,name]]
    # foreach funkyname $funkynames {
    #   puts "funkyname $funkyname"
    #   set pId [lindex [split [string trim $funkyname] ,] 0]
    #   lappend pathIds $pId
    # }
    # puts "pathIds: $pathIds"
    # set lind [lsearch -exact $pathIds pathId]
    # if { $lind < 0 } {
    #   set lsGUIcurrentPathNumber [lindex $pathIds 0]
    # }
    # puts "lsGUIcurrentPathNumber: $lsGUIcurrentPathNumber"
  }

  global lsGUIcurrentPathNumber
  set pathId $lsGUIcurrentPathNumber


  set path $gPathPoints($pathId,splinePts)

  global lsGUIcurrentPositionNumber
  set posId $lsGUIcurrentPositionNumber

  array set items [lindex $path $posId]
  set pos [TupleToList $items(p)]
  set nrm [TupleToList $items(t)]
  set xhat [TupleToList $items(tx)]

  # warning: this string is used by the resampleGUI when
  # the user centers on a path point.  Changes here
  # may require changes there!

  global lsGUIpositionIdStr
  set lsGUIpositionIdStr [format "%7.2f %7.2f %7.2f" [lindex $pos 0]  [lindex $pos 1] [lindex $pos 2] ]

  # vis stuff
  lsGUIdisplayProbeUpdate
  lsGUIdisplayPathUpdate

  # returns an un-oriented threshold
  global gOptions
  set ext $gOptions(resliceDims)

  # the volume data set
  #global gImageFoo
  #set src $gImageFoo(conv)
  set src volume_image

  # get the image slice
  set rtnImg /tmp/lsGUI/mag
  set rtnPot /tmp/lsGUI/pot

  catch {repos_delete -obj $rtnImg}
  catch {repos_delete -obj $rtnPot}

  img_getSliceAtPathPoint $src $path $posId $ext $rtnImg $rtnPot

  lsGUIchangeFrame 0
}


# Procedure: lsGUIupdatePotWindow
proc lsGUIupdatePotWindow {} {
    global lsGUIpotWindow
    # delete window if it is no longer wanted
    if {$lsGUIpotWindow(showWindow) == "0" &&
        [cmdExists lsRenWinPot] == "1"} {
       vis_2DRenWin_delete lsRenWinPot
       # if render window is deleted, make sure we
       # are not trying to update the level set evolution in
       # the deleted window
       global gOptions
       set rens $gOptions(lsetDisplayWindows)
       set loc [lsearch $rens lsRenWinPot]
       if {$loc >= 0} {
          set gOptions(lsetDisplayWindows) [lreplace $rens $loc $loc]
       }
       return
    }
    # create window if it doesn't exist and we want it to
    if {$lsGUIpotWindow(showWindow) == "1" && [cmdExists lsRenWinPot] == "0"} {
  set lsGUIpotWindow(ren) [vis_2DRenWin lsRenWinPot]
        set lsGUIpotWindow(renderWindow) lsRenWinPot
        lsGUIchangeFrame 0
        vis_renReset $lsGUIpotWindow(ren)
    } else {
        lsGUIchangeFrame 0
    }
}


# Procedure: mainGUI
proc mainGUI {} {

    global symbolicName
    global tcl_platform
    global guiMAINvars
    if {$tcl_platform(platform) == "windows"} {
      # name the interpreter for interprocess communications
  catch {package require dde}
  catch {dde servername simvascular_main}
       #::ttk::setTheme xpnative
       set guiMAINvars(theme) xpnative
    } else {
       ::ttk::setTheme default
       set guiMAINvars(theme) default
    }

    ShowWindow.guiCV
    set swidth [expr [winfo screenwidth .]-10]
    set sheight [expr [winfo screenheight .]-10]
    if {$swidth > 1000 && $sheight > 800} {
       wm geometry .guiCV 800x600+50+50
    } else {
       wm geometry .guiCV ${swidth}x${sheight}+5+5
    }

    guiFNMsetDefaultFilenames
    global gFilenames
    if {[file exists $gFilenames(patient_file)] == 1} {
      puts "Attempting to read parameters file ($gFilenames(patient_file))."
      catch {guiFNMloadPatientFile}
    }

  #
  #  setup that used to be done when you displayed the path planning
  #  gui
  #

  global gImageVol
  global symbolicName
  global gOptions
  global guiPPchooserXlabel
  global guiPPchooserYlabel
  global guiPPchooserZlabel
  global guiPPsmoothVoxelSize

  global PickedAssembly
  trace variable PickedAssembly w guiCV_group_picked_actor
  trace variable PickedAssembly w guiPPtracePickedAssembly
  global guiPPimageSplineWidgetDisplayedSlice
  set guiPPimageSplineWidgetDisplayedSlice 0
  global gRen3d
  vis_splineImageWidgetSetShowIds $gRen3d guiPP $guiPPimageSplineWidgetDisplayedSlice

  global gPlusMinus
  set gPlusMinus 0
  trace variable gPlusMinus w guiPPtracePlusMinus
  #global PickedAssembly
  #trace vdelete PickedAssembly w guiPPtracePickedAssembly

  global gImageFoo
  global guiPPchooserGuessThrValueMax
  #set guiPPchooserGuessThrValueMax [lindex $gImageFoo(scalarRange) 1]
  set guiPPchooserGuessThrValueMax 1

  global symbolicName
  set tv $symbolicName(guiSV_path_tree)
  bind $tv <<TreeviewOpen>> [list guiSV_path_fillTree $tv]
  bind $tv <<TreeviewSelect>> [list guiSV_path_selectTree $tv]
  $tv insert {} 0 -id .paths.all -text "All Paths" -open 0

  set tv $symbolicName(guiSV_group_tree)
  bind $tv <<TreeviewOpen>> [list guiSV_group_fillTree $tv]
  bind $tv <<TreeviewSelect>> [list guiSV_group_selectTree $tv]
  $tv insert {} 0 -id .groups.all -text "2D Group Surfaces" -open 0
  $tv insert {} 1 -id .groups.3d -text "3D Surfaces" -open 0

  set tv $symbolicName(guiSV_model_tree)
  bind $tv <<TreeviewOpen>> [list guiSV_model_fillTree $tv]
  bind $tv <<TreeviewSelect>> [list guiSV_model_selectTree $tv]
  $tv insert {} 0 -id .models.PolyData -text "PolyData" -open 0
  catch {repos_delete -obj /tmp/testsolid/obj}
  solid_setKernel -name "Discrete"
  if {![catch {solid_newObject -name /tmp/testsolid/obj}]} {
    $tv insert {} 1 -id .models.Discrete -text "Discrete" -open 0
  }
  catch {repos_delete -obj /tmp/testsolid/obj}
  solid_setKernel -name "Parasolid"
  if {![catch {solid_newObject -name /tmp/testsolid/obj}]} {
    $tv insert {} 2 -id .models.Parasolid -text "Parasolid" -open 0
  }
  catch {repos_delete -obj /tmp/testsolid/obj}
  solid_setKernel -name "OpenCASCADE"
  if {![catch {solid_newObject -name /tmp/testsolid/obj}]} {
    $tv insert {} 3 -id .models.OpenCASCADE -text "OpenCASCADE" -open 0
  }
  catch {repos_delete -obj /tmp/testsolid/obj}
  solid_setKernel -name "PolyData"

  global symbolicName
  global guiTRIMvars
  global gRen3d
  global SV_NO_RENDERER
  if { $SV_NO_RENDERER != "1" } {
    set gRen3d [vis_gRenWin_3D]
  }

  set tbox $symbolicName(guiTRIMcutFileTB)
  $tbox delete 1.0 end
  $tbox insert end $guiTRIMvars(loaded_cut_file_text)
  $tbox insert end "\n"

  global gui3Dvars
  set tbox $symbolicName(gui3DseedsTB)
  $tbox delete 1.0 end
  $tbox insert end $gui3Dvars(loaded_seeds_file_text)
  $tbox insert end "\n"
  gui3DuserUpdateMinMaxR

  global gPathBrowser
  set gPathBrowser(ren) $gRen3d

  # update visible tabs
  global guiCVvars
  set image_tabs [array names guiCVvars show_tab_image_*]
  foreach tab $image_tabs {
    guiCVshowHideMenu guiCV_notebook_image [regsub "_" [string range $tab 15 end] " "]
  }
  # update visible tabs
  global guiCVvars
  set toolbox_tabs [array names guiCVvars show_tab_main_*]
  foreach tab $toolbox_tabs {
    guiCVshowHideMenu guiCV_notebook_main [regsub "_" [string range $tab 14 end] " "]
  }

  # update meshing tabs
  set meshing_tabs [array names guiCVvars show_tab_meshing_*]
  foreach tab $meshing_tabs {
    guiCVshowHideMenu guiCV_notebook_meshing [regsub "_" [string range $tab 17 end] " "]
    #17 is length of string "show_tab_meshing"
  }

  # update model tabs
  set model_tabs [array names guiCVvars show_tab_model_*]
  foreach tab $model_tabs {
    guiCVshowHideMenu guiCV_notebook_model [regsub "_" [string range $tab 15 end] " "]
    #15 is length of string "show_tab_model"
  }

  # vessel tabs
  global guiCVvars
  set toolbox_tabs [array names guiCVvars show_tab_create_vessel_*]
  foreach tab $toolbox_tabs {
    set text [regsub -all "_" [string range $tab 23 end] " "]
    guiCVshowHideMenu guiCV_notebook_create_vessel $text
  }

  return
}


# Procedure: mainGUIdisplayFreeze
proc mainGUIdisplayFreeze {} {
  global gRen3dFreeze
  if {$gRen3dFreeze == 0} {
    set gRen3dFreeze 1
  } else {
    set gRen3dFreeze 0
  }
}


# Procedure: mainGUIexit
proc mainGUIexit { {value "0"}} {

  set selected_quit 1
  if {!$value} {
  set selected_quit [tk_dialog .askthem "Quit Dialog" "Are you sure you want to quit?" question 0 " No " " Yes "]
  }

  if {$selected_quit || $value} {
   vtkCommand DeleteAllObjects
   exit
   } else {
    puts "Not quitting."
   }
   # delete all vtk objects required before we exit
}


# Procedure: mainGUIsetChildrenColor
proc mainGUIsetChildrenColor { widget type attr color} {
  # if not terminal node, keep diving down
  set children [winfo children $widget]
  foreach child $children {
    mainGUIsetChildrenColor $child $type $attr $color
  }
  if {[winfo class $widget] == $type} {
    #puts "  $widget configure -$attr $color"
    $widget configure -$attr $color
  }
}


# Procedure: mainGUIsetColors
proc mainGUIsetColors { option} {
  global guiMAINvars
  set color [tk_chooseColor]
  if {$color == ""} return
  option add $option $color
  set guiMAINvars($option) $color
  set tmpstr [split [string range $option 1 end] .]
  mainGUIsetChildrenColor . [lindex $tmpstr 0] [string tolower [lindex $tmpstr 1]] $color
}


# Procedure: mainGUIsetTheme
proc mainGUIsetTheme { theme} {
  global guiMAINvars
  set currentTheme $::ttk::currentTheme

  if {[lsearch -exact [package names] ttk::theme::$theme] == -1} {
    puts "Cannot change to requested theme ($theme)."
    set guiMAINvars(theme) $currentTheme
    return
  }

  ::ttk::setTheme $theme
  set guiMAINvars(theme) $theme
}


# Procedure: resampleGUIbeginInteraction
proc resampleGUIbeginInteraction {} {
  global gInteractorInteracting
  set gInteractorInteracting 1
}


# Procedure: resampleGUIenableInteraction
proc resampleGUIenableInteraction {} {
  global gInteractorInteracting
  set gInteractorInteracting 0
  global guiRIB
  global gRen3d
  set guiRIB(resample_interactor_bounds) [vis_boxWidgetGetBB $gRen3d resampleGUI]
  set guiRIB(resample_flag) 1
}


# Procedure: resampleGUIendInteraction
proc resampleGUIendInteraction {} {
  global gInteractorInteracting
  set gInteractorInteracting 0
}


# Procedure: resampleGUIinteract
proc resampleGUIinteract {} {
  global guiRIB
  global gInteractorRen
  set guiRIB(resample_interactor_bounds) [vis_boxWidgetGetBB $gInteractorRen resampleGUI]
  set guiRIB(resample_flag) 1
  resampleGUIupdateResample 0
}


# Procedure: resampleGUIsetup
proc resampleGUIsetup {} {

  set context guiRIB

  upvar #0 $context guiVars

  if {$guiVars(show_image) == 0} {return}

  global symbolicName

  if { [info exists guiVars(use_alt_image)] && $guiVars(use_alt_image) } {
  set repos_image $guiVars(repos_image_obj_alt)
  } else {
  set repos_image $guiVars(repos_image_obj)
  }

  # do nothing if we don't have a resampled image
  if {[repos_exists -obj $repos_image] == 0} {return}

  set image [repos_exportToVtk -src $repos_image]

  set ldims [$image GetDimensions]
  set vdims [$image GetSpacing]
  set rng [$image GetScalarRange]

  # set ranges
  $symbolicName(resampleGUI_sliderx) configure -from 0
  $symbolicName(resampleGUI_sliderx) configure -to [expr [lindex $ldims 0] - 1]
  $symbolicName(resampleGUI_slidery) configure -from 0
  $symbolicName(resampleGUI_slidery) configure -to [expr [lindex $ldims 1] - 1]
  $symbolicName(resampleGUI_sliderz) configure -from 0
  $symbolicName(resampleGUI_sliderz) configure -to [expr [lindex $ldims 2] - 1]

  volGUIupdateColorMaps $context

  # update text showing range
  set guiVars(nativeRange) "native \[$rng\]"
}


# Procedure: resampleGUIupdateResample
proc resampleGUIupdateResample { flag} {

  set context guiRIB

  # the value of context in the global environment is linked to the local variable, guiVars
  upvar #0 $context guiVars

  set resample_flag $guiVars(resample_flag)
  set show_image $guiVars(show_image)

  # do nothing if the image is not currently
  # displayed and this is not a call by
  # the resample check button
  if {($flag == 0) &&  ($show_image == 0)} {
    return
  }

  # calls from the resample checkbutton

  # turn off displayed resample
  if {($flag == 1) && ($resample_flag == 0)} {

     # remove vol rendering
     set guiVars(show_vol_render) 0
     volGUIupdateVolRender $context all

     # remove isosurface
     set guiVars(show_isosurface) 0
     volGUIupdateIsosurface $context

     # remove point cloud
     set guiVars(show_point_cloud) 0
     volGUIupdatePointCloud $context

     # remove slice planes
     set guiVars(show_RL) 0
     set guiVars(show_AP) 0
     set guiVars(show_SI) 0
     volGUItoggleDisplaySlices $context RL
     volGUItoggleDisplaySlices $context AP
     volGUItoggleDisplaySlices $context SI

     # remove outline
     global gRen3d
     set outline $guiVars(repos_outline_obj)
     catch {vis_pRm $gRen3d $outline}

     set guiVars(show_image) 0

     # if interactor used, remove it
     if {$guiVars(interactor_displayed) == 1} {
       vis_boxWidgetRm $gRen3d resampleGUI
       set guiVars(interactor_displayed) 0
     }
     return

  }

  # make sure we have reasonable box dims
  if {$guiVars(box_min_r) == 0 && $guiVars(box_min_a) == 0 && $guiVars(box_min_s) == 0 &&  $guiVars(box_max_r) == 0 && $guiVars(box_max_a) == 0 && $guiVars(box_max_s) == 0} {
    return -code error "ERROR:  Must specify resample box with non-zero volume!"
  }

  # create resample (and update display if necessary)
  if {($resample_flag == 1)} {

     # set center based on requested method

     if { [info exists guiVars(use_alt_image)] && $guiVars(use_alt_image) } {
    set imgobj $guiVars(repos_image_obj_alt)
    } else {
    set imgobj $guiVars(repos_image_obj)
  }

     set centerBy $guiVars(box_center_method)
     set size $guiVars(resample_voxel_size)

     set orgctr {}

     if {$centerBy == "pathplan_cursor"} {

       global guiPPchooserXvar
       global guiPPchooserYvar
       global guiPPchooserZvar
       set orgctr [list $guiPPchooserXvar $guiPPchooserYvar $guiPPchooserZvar]

     } elseif {$centerBy == "interactor"} {
       # do work for this later
       # if interactor used, remove it
       if {$guiVars(interactor_displayed) == 0} {
   catch {vis_boxWidgetRm $gRen3d resampleGUI}
         global gRen3d
         vis_boxWidgetAdd $gRen3d [repos_exportToVtk -src volume_image] resampleGUI resampleGUIenableInteraction resampleGUIbeginInteraction resampleGUIinteract resampleGUIendInteraction
         vis_boxWidgetOn $gRen3d resampleGUI
         set guiVars(interactor_displayed) 1
       }
    } elseif {$centerBy == "vol_sliders"} {
       # use of guiVIB is intentional
       global guiVIB
       set orgctr [list $guiVIB(r_coord) $guiVIB(a_coord) $guiVIB(s_coord)]
    } elseif {$centerBy == "path_point"} {
       global lsGUIpositionIdStr
       set orgctr $lsGUIpositionIdStr
    } else {
       return -code error "ERROR:  Illegal centerBy code."
    }

    set dx [expr abs($guiVars(box_max_r)-$guiVars(box_min_r))]
    set dy [expr abs($guiVars(box_max_a)-$guiVars(box_min_a))]
    set dz [expr abs($guiVars(box_max_s)-$guiVars(box_min_s))]

    if {$centerBy != "interactor"} {
      # the user specified center does not correspond to the real center
      # of the box if the user has not specified a box centered around 0,0
      set llx [expr [lindex $orgctr 0] + $guiVars(box_min_r) * $size]
      set lly [expr [lindex $orgctr 1] + $guiVars(box_min_a) * $size]
      set llz [expr [lindex $orgctr 2] + $guiVars(box_min_s) * $size]
      set urx [expr [lindex $orgctr 0] + $guiVars(box_max_r) * $size]
      set ury [expr [lindex $orgctr 1] + $guiVars(box_max_a) * $size]
      set urz [expr [lindex $orgctr 2] + $guiVars(box_max_s) * $size]

      set vdims_x $size
      set vdims_y $size
      set vdims_z $size

    } else {

      set bounds $guiVars(resample_interactor_bounds)
      set llx [lindex $bounds 0]
      set lly [lindex $bounds 2]
      set llz [lindex $bounds 4]
      set urx [lindex $bounds 1]
      set ury [lindex $bounds 3]
      set urz [lindex $bounds 5]
      set vdims_x [expr abs($urx - $llx) / double($dx)]
      set vdims_y [expr abs($ury - $lly) / double($dy)]
      set vdims_z [expr abs($urz - $llz) / double($dz)]
      puts "vdims_x: $vdims_x  vdims_y: $vdims_y  vdims_z: $vdims_z"
    }

    set ctr [list [expr ($llx+$urx)/2.0]  [expr ($lly+$ury)/2.0]  [expr ($llz+$urz)/2.0]]

    # our resampled image has a new origin
    set org_x $llx
    set org_y $lly
    set org_z $llz

    set voi_x0 0
    set voi_y0 0
    set voi_z0 0
    puts "extent $dx $dy $dz"

    puts "create resampled image"
    set rs tmp-resampleGUIupdateResample
    catch {$rs Delete}
    vtkImageReslice $rs
    global guiVIB
    if { [info exists guiVIB(use_alt_image)] && $guiVIB(use_alt_image) } {
    set repos_image $guiVIB(repos_image_obj_alt)
    } else {
    set repos_image $guiVIB(repos_image_obj)
    }
    $rs SetInputDataObject [repos_exportToVtk -src $repos_image] ; # use of guiVIB is intentional here!
    $rs SetInterpolationModeToLinear
    $rs SetOutputOrigin $org_x $org_y $org_z
    $rs SetOutputExtent 0 $dx 0 $dy 0 $dz
    $rs SetOutputSpacing $vdims_x $vdims_y $vdims_z
    $rs Update

    catch {repos_delete -obj $imgobj}

    if {$guiVars(resample_gradient) == 0} {
      repos_importVtkImg -src [$rs GetOutput] -dst $imgobj
      $rs Delete
     } else {
       set maggrad tmp-resampleGUI-mag-grad
       catch {$maggrad Delete}
       vtkImageGradientMagnitude $maggrad
       $maggrad SetInputConnection [$rs GetOutputPort]
       $maggrad Update
       repos_importVtkImg -src [$maggrad GetOutput] -dst $imgobj
       $maggrad Delete
       $rs Delete
     }

     set guiVars(show_image) 1
     resampleGUIsetup

     # check  for seeded thr
     volGUIupdateSeed guiRIB manual

     # Outline
     set outline $guiVars(repos_outline_obj)
     set outflt tmp-flt-resampleGUIupdate
     catch {repos_delete -obj $outline}
     catch {$outflt Delete}
     vtkOutlineFilter $outflt
     $outflt SetInputDataObject [repos_exportToVtk -src $imgobj]
     $outflt Update
     repos_importVtkPd -src [$outflt GetOutput] -dst $outline
     $outflt Delete
     global gRen3d
     catch {vis_pRm $gRen3d $outline}
     set actor [vis_pRepos $gRen3d $outline]
     [$actor GetProperty] SetColor 0 1 0

     # slice planes
     vis_img_VolImgBrwsr2 $imgobj $guiVars(vis_basename)
     volGUItoggleDisplaySlices $context RL
     volGUItoggleDisplaySlices $context AP
     volGUItoggleDisplaySlices $context SI
     volGUIupdateSlider $context RL $guiVars(sliderx_value)
     volGUIupdateSlider $context AP $guiVars(slidery_value)
     volGUIupdateSlider $context SI $guiVars(sliderz_value)

     # point cloud
     volGUIupdatePointCloud $context

     # isosurface
     volGUIupdateIsosurface $context

     # vol rendering
     volGUIupdateVolRender $context all

     return

  }
}


# Procedure: smasherGUIcalcFaceArea
proc smasherGUIcalcFaceArea {} {

  global symbolicName
  global gRen3d
  global smasherEntityIdentifier

  # get the selected object name
  set objectname /tmp/smasher/[$symbolicName(smasherEntityIdLabel) get]

  set area [geom_surfArea -src $objectname]
  set AttName [$symbolicName(smasherAttNameLabel) get]
  set ident $smasherEntityIdentifier

  tk_messageBox -title "Surface Area" -type ok  -message "face name: $AttName\nidentifier: $ident\narea: $area"
  puts "face name: $AttName\nidentifier: $ident\narea: $area"
}


# Procedure: smasherGUIcleanUp
proc smasherGUIcleanUp {} {
  global gRen3d
  global gRen3dFreeze
  set gRen3dFreeze 1
  foreach i [repos_subList /tmp/smasher/*] {
      catch {vis_pRm $gRen3d $i}
      catch {repos_delete -obj $i}
  }
  global gRen3dFreeze
  set gRen3dFreeze 0
  vis_render $gRen3d
  global PickedAssembly
  trace vdelete PickedAssembly w smasherGUItracePickedAssembly
}


# Procedure: smasherGUIhideFace
proc smasherGUIhideFace {} {

  global symbolicName
  global gRen3d

  # get the selected object name
  set objectname /tmp/smasher/[$symbolicName(smasherEntityIdLabel) get]

  if {[repos_getLabel -obj $objectname -key visible] == "true"} {
    repos_clearLabel -obj $objectname -key visible
    repos_setLabel -obj $objectname -key visible -value false
    vis_pRm $gRen3d $objectname
    vis_render $gRen3d
  } else {
    repos_clearLabel -obj $objectname -key visible
    repos_setLabel -obj $objectname -key visible -value true
    generalView $gRen3d $objectname
  }

  if {[repos_getLabel -obj $objectname -key visible] == "true"} {
    $symbolicName(smasherGUIhideButton) configure -text HIDE
  } else {
    $symbolicName(smasherGUIhideButton) configure -text {MAKE VISIBLE}
  }
}


# Procedure: smasherGUIopacity
proc smasherGUIopacity { scale} {

  global symbolicName
  global gRen3d

  # get the selected object name
  set objectname /tmp/smasher/[$symbolicName(smasherEntityIdLabel) get]

  if {$objectname == "/tmp/smasher/dummy"} {
    return
  }

  DeselectPickedActor

  set opacity [expr double($scale)/100.0]
  #puts "value: $scale"

  catch {repos_clearLabel -obj $objectname -key opacity}

  if {[catch {repos_setLabel -obj $objectname -key opacity -value $opacity} errmsg] != 0} {
    puts $errmsg
    return
  }


  set actor [vis_pGetActor $gRen3d $objectname]
  [$actor GetProperty] SetOpacity $opacity

  vis_render $gRen3d
}


# Procedure: smasherGUIreadModel
proc smasherGUIreadModel {} {

   global gOptions
   global gObjects
   global guiMMvars
   global gFilenames
   if {$gOptions(meshing_solid_kernel) == "Parasolid"} {
     set fn [tk_getOpenFile -filetypes {{PARASOLID *.xmt_txt} {"All Files" *.*}} -title "Choose Solid Model"]
   } elseif {$gOptions(meshing_solid_kernel) == "Discrete"} {
     set fn [tk_getOpenFile -filetypes {{Discrete *.dsm} {"All Files" *.*}} -title "Choose Solid Model"]
   } elseif {$gOptions(meshing_solid_kernel) == "PolyData"} {
     set fn [tk_getOpenFile -filetypes {{vtkPolyData *.vtp} {LegacyVTK *.vtk} {Stereolithography *.stl} {"Polygon File Format" *.ply} {"All Files" *.*}} -title "Choose Solid Model"]
   } else {
     set fn [tk_getOpenFile -filetypes {{"All Files" *.*}} -title "Choose Solid Model"]
   }

  if {$fn == ""} return

  global symbolicName
  global smasherInputName

  set smasherInputName [file tail $fn]

  if {[repos_exists -obj $smasherInputName] == 1} {
    puts "Warning:  Object $smasherInputName exists and is being replaced."
    catch {repos_delete -obj $smasherInputName}
  }

  global gOptions

  set gFilenames(generic_solid_file) $fn

  solid_setKernel -name $gOptions(meshing_solid_kernel)
  puts "Reading file \"$fn\"."
  solid_readNative -file $fn -obj $smasherInputName
  puts "Done reading file."

  # if discrete model, try and load faces file or create defaults
  if {$gOptions(meshing_solid_kernel) == "Discrete"} {
    global gDiscreteModelFaceNames
    global gDiscreteModelFaceNamesInfo
    catch {unset gDiscreteModelFaceNames}
    catch {unset gDiscreteModelFaceNamesInfo}
    if [file exists $fn.facenames] {
      puts "sourcing $fn.facenames"
      source $fn.facenames
      package require md5
      set mymd5 [::md5::md5 -hex -file $fn]
      if {$mymd5 != $gDiscreteModelFaceNamesInfo(model_file_md5)} {
        return -code error "ERROR: dsm model ($fn) file doesn't match one used to generate facenames ($fn.facenames)!"
      }
    } else {
      set allids [$smasherInputName GetFaceIds]
      foreach id $allids {
        set gDiscreteModelFaceNames($id) "noname_$id"
      }
    }
  }
  if {$gOptions(meshing_solid_kernel) == "PolyData"} {
    set gObjects(polydata_solid) $smasherInputName
    set gFilenames(polydata_solid_file) $fn
    global gPolyDataFaceNames
    global gPolyDataFaceNamesInfo
    catch {unset gPolyDataFaceNames}
    catch {unset gPolyDataFaceNamesInfo}
    if [file exists $fn.facenames] {
      puts "sourcing $fn.facenames"
      source $fn.facenames
      package require md5
      set mymd5 [::md5::md5 -hex -file $fn]
      #if {$mymd5 != $gPolyDataFaceNamesInfo(model_file_md5)} {
      #  return -code error "ERROR: dsm model ($fn) file doesn't match one used to generate facenames ($fn.facenames)!"
      #}
    } else {
      #If boundaries aren't identified, read in PolyData as full PolyData
      #Boundaries will be extracted with Surface Extraction button
      guiMMloadPolyData $smasherInputName
      return
    }
  }

  smasherGUIupdateViewWindow
}


# Procedure: smasherGUIsmashIt
proc smasherGUIsmashIt {} {

  #solid_setKernel -name Parasolid

  catch {smasherGUIcleanUp}

  # delete tmp objects if they already exist
  foreach i [repos_subList /tmp/smasher/*] {
    repos_delete -obj $i
  }

  global smasherInputName
  global smasherNumFaces
  global smasherFaceIds
  global smasherStaticFaceIds
  global smasherFaceNames

  set smasherNumFaces 0
  set smasherFaceIds {}
  set smasherFaceNames {}
  set smasherStaticFaceIds {}

  if {$smasherInputName == "none"} {
    return
  }

  # check input geom
  global smasherInputName
  puts "smasher name $smasherInputName"
  if {[repos_exists -obj $smasherInputName] == 0} {
    puts "Error:  Object doesn't exist!!"
    return
  }

  set solid_kernel [$smasherInputName GetKernel]

  set faceIds [$smasherInputName GetFaceIds]
  set realFaceIds {}
  set mylist {}
  global gOptions
  if {$gOptions(facet_max_edge_size) != ""} {
     set maxedgecmd "-max_edge_size"
     set maxedgesize "$gOptions(facet_max_edge_size)"
  } else {
     set maxedgesize ""
     set maxedgecmd ""
  }
  foreach faceId $faceIds {
    set staticFaceId $faceId
    if {$solid_kernel == "Parasolid"} {
      set staticFaceId [$smasherInputName GetFaceAttr -attr identifier -faceId $faceId]
    }
    if {[catch {$smasherInputName GetFacePolyData -result /tmp/smasher/$faceId/$staticFaceId -face $faceId $maxedgecmd $maxedgesize} errmsg] == 0} {
      repos_setLabel -obj /tmp/smasher/$faceId/$staticFaceId -key color -value blue
      repos_setLabel -obj /tmp/smasher/$faceId/$staticFaceId -key visible -value true
      lappend mylist /tmp/smasher/$faceId/$staticFaceId
      lappend smasherFaceIds $faceId
      lappend smasherStaticFaceIds $staticFaceId
      set face_name "unknown_$faceId\_$staticFaceId"
      if {$solid_kernel == "Parasolid"} {
        catch {set face_name [$smasherInputName GetFaceAttr -attr gdscName -faceId $faceId]}
      } elseif {$solid_kernel == "Discrete"} {
        global gDiscreteModelFaceNames
        set face_name $gDiscreteModelFaceNames($faceId)
      } elseif {$solid_kernel == "PolyData"} {
        global gPolyDataFaceNames
        if {[lsearch -exact [array names gPolyDataFaceNames] $faceId] >= 0 } {
          set face_name $gPolyDataFaceNames($faceId)
        } else {
          set face_name "notset_$faceId"
          set gPolyDataFaceNames($faceId) $face_name
        }
      } else {
        return -code error "ERROR: invalid solid_kernel type ($solid_kernel)!"
      }
      lappend smasherFaceNames $face_name
    } else {
      puts "problem with: $smasherInputName GetFacePolyData -result /tmp/smasher/$faceId/$staticFaceId -face $faceId $maxedgecmd $maxedgesize"
      puts $errmsg
      set errorFaceName {}
      catch {set errorFaceName [$smasherInputName GetFaceAttr -faceId $faceId -attr Name]}
      tk_messageBox -title "Problem Getting Facets on Face ($errorFaceName)" -type ok -message " face name: ($errorFaceName)\n error: ($errmsg)\n cmd: ($smasherInputName GetFacePolyData -result /tmp/smasher/$faceId/$staticFaceId -face $faceId $maxedgecmd $maxedgesize)\n"
      #return -code error "ERROR: cannot extract face ($staticFaceId ($faceId)).  Try a smaller facet size?"
    }
  }

  set smasherNumFaces [llength $smasherFaceIds]

  vis_gRenWin_3D
  global gRen3d
  global gRen3dFreeze
  set gRen3dFreeze 1
  generalView $gRen3d $mylist
  set gRen3dFreeze 0

  for {set i 0} {$i < [llength $smasherFaceIds]} {incr i} {
    set actor [vis_pGetActor $gRen3d /tmp/smasher/[lindex $smasherFaceIds $i]/[lindex $smasherStaticFaceIds $i]]
    [$actor GetProperty] SetColor 1 0 0
  }

  vis_render $gRen3d

  if {[llength [lsort -unique $smasherFaceNames]] != [llength $smasherFaceNames]} {
     puts "uh oh, duplicate faces!"
     set duplist [lsearch -dictionary $smasherFaceNames]
     foreach i [lsort -unique $smasherFaceNames] {
        set idx [lsearch -exact $duplist $i]
        set duplist [lreplace $duplist $idx $idx]
     }
     set msg "Duplicate faces found!\n\n"
     foreach dup $duplist {
       set msg "$msg  name: $dup\n"
     }
     tk_messageBox -title "Duplicate Face Names" -type ok -message $msg
  }
}


# Procedure: smasherGUItracePickedAssembly
proc smasherGUItracePickedAssembly { name1 name2 op} {
  global PickedAssembly
  set staticFaceId [file tail $PickedAssembly]
  set faceId [file tail [file dirname $PickedAssembly]]
  global symbolicName
  set lbox $symbolicName(meshsimFacesListbox)
  # make sure that the gui is still around, remove the
  # trace if it isn't
  if {[info commands $lbox] == ""} {
    trace vdelete PickedAssembly w smasherGUItracePickedAssembly
    return
  }
  set size [$lbox size]
  #puts "size: $size"
  for {set i 0} {$i < $size} {incr i} {
  set value [$lbox get $i]
  #puts "value: $value"
    if {[lindex $value 0] == "$faceId/$staticFaceId"} {
        $lbox selection clear 0 end
        $lbox selection set $i
        #puts "match"
        smasherGUIupdateSel $lbox
        return
    }
  }
}


# Procedure: smasherGUIupdateColor
proc smasherGUIupdateColor {} {

  global symbolicName
  set objectname /tmp/smasher/[$symbolicName(smasherEntityIdLabel) get]

  if {[repos_getLabel -obj $objectname -key visible] != "true"} {
    puts "NOTE: can't change color, face not currently displayed!"
    return
  }

  DeselectPickedActor

  set color [tk_chooseColor]
  if {$color == ""} {
     return
  }

  set rgb [vis_utilsGetRGBfromColorString $color]

  repos_clearLabel -obj $objectname -key color
  repos_setLabel -obj $objectname -key color -value $color

  global gRen3d
  set actor [vis_pGetActor $gRen3d $objectname]
  [$actor GetProperty] SetColor  [lindex $rgb 0] [lindex $rgb 1] [lindex $rgb 2]
  vis_render $gRen3d
}


# Procedure: smasherGUIupdateSel
proc smasherGUIupdateSel { curselection} {

 global symbolicName

 set selected_id [$curselection curselection]

 $symbolicName(smasherEntityIdLabel) config -state normal
 $symbolicName(smasherEntityIdLabel) delete 0 end

 # get the selected object name
 if {[catch {set objectname [$curselection get [$curselection curselection]]} errmsg] != 0} {
   puts $errmsg
   return
 }

 set objectname [lindex $objectname 0]

 set staticFaceId [file tail $objectname]
 set faceId [file tail [file dirname $objectname]]

 puts "$objectname $faceId $staticFaceId"

 # insert into entry widget
 $symbolicName(smasherEntityIdLabel) insert 0 $objectname
 $symbolicName(smasherEntityIdLabel) config -state disabled

 # now we need the full name of the object
 set objectname "/tmp/smasher/$objectname"

 #if {[repos_getLabel -obj $objectname -key visible] == "true"} {
 #  $symbolicName(smasherGUIhideButton) configure -text HIDE
 #} else {
 #  $symbolicName(smasherGUIhideButton) configure -text {MAKE VISIBLE}
 #}

 set opacity 1.0
 #catch {set opacity [repos_getLabel -obj $objectname -key opacity]}
 #$symbolicName(smasherOpacityScale) set [expr int(100.0*$opacity)]

 # update the attribute information specified on the original model face
 global smasherInputName
 global smasherFaceIds
 global smasherStaticFaceIds
 global smasherEntityIdentifier

 set smasherEntityIdentifier $staticFaceId

 global gOptions
 set solid_kernel $gOptions(meshing_solid_kernel)

 set attrId {}
 set attrName {}
 set identifier {}

 if {$solid_kernel == "Parasolid"} {
   catch {set attrId [$smasherInputName GetFaceAttr -attr gdscId -faceId $faceId]}
   catch {set attrName [$smasherInputName GetFaceAttr -attr gdscName -faceId $faceId]}
   catch {set identifier [$smasherInputName GetFaceAttr -attr identifier -faceId $faceId]}
 } elseif {$solid_kernel == "Discrete"} {
   global gDiscreteModelFaceNames
   set identifier $staticFaceId
   set attrName $gDiscreteModelFaceNames($identifier)
 } elseif {$solid_kernel == "PolyData"} {
   global gPolyDataFaceNames
   set identifier $staticFaceId
   set attrName $gPolyDataFaceNames($identifier)
 } else {
   return -code error "ERROR: invalid solid_kernel type ($solid_kernel)"
 }

 $symbolicName(smasherAttNameLabel) delete 0 end
 $symbolicName(smasherAttNameLabel) insert 0 $attrName
 set smasherEntityIdentifier $identifier

 # update all the faces listboxes to have the same selection
 foreach lb {meshsimFacesListbox tetgenFacesListbox} {
  $symbolicName($lb) selection clear 0 end
  $symbolicName($lb) selection set $selected_id
  $symbolicName($lb) activate $selected_id
 }
}


# Procedure: smasherGUIupdateViewWindow
proc smasherGUIupdateViewWindow {} {
 smasherGUIsmashIt
 global symbolicName
 global smasherNumFaces
 global smasherFaceIds
 global smasherStaticFaceIds
 global smasherFaceNames
 puts $smasherFaceNames

 set sortme {}
 for {set i 0} {$i < [llength $smasherStaticFaceIds]} {incr i} {
     lappend sortme [list [lindex $smasherFaceNames $i] [lindex $smasherFaceIds $i] [lindex $smasherStaticFaceIds $i] ]
 }
 set sortme [lsort -dictionary $sortme]

 foreach lb {meshsimFacesListbox tetgenFacesListbox} {
   $symbolicName($lb) delete 0 end
   foreach i $sortme {
     $symbolicName($lb) insert end "[lindex $i 1]/[lindex $i 2] ([lindex $i 0])"
   }
 }

 # setting this by default is causing the opacity to be
 # set to zero on the first face.  Maybe I'll fix this
 # sometime.
 #$symbolicName(smasherFacesListbox) selection set 0
 #smasherGUIupdateSel $symbolicName(smasherFacesListbox)

 global PickedAssembly
 catch {trace vdelete PickedAssembly w smasherGUItracePickedAssembly}
 trace variable PickedAssembly w smasherGUItracePickedAssembly
}


# Procedure: smasherGUIwriteModel
proc smasherGUIwriteModel {} {
  global gOptions
  global symbolicName
  global smasherInputName
  if {[repos_exists -obj $smasherInputName] == 0} {
    puts "ERROR:  Object $smasherInputName does not exist."
    return -code error SV_ERROR
  }

  set solid_kernel $gOptions(meshing_solid_kernel)

  if {$solid_kernel == "Parasolid"} {
    set fn [tk_getSaveFile -filetypes {{PARASOLID *.xmt_txt} {"All Files" *.*}} -title "Choose Solid Model" -initialfile $smasherInputName]
    if {$fn == ""} return
    puts "Writing file $fn."
    if {[file extension $fn] == ".xmt_txt"} {
      $smasherInputName WriteNative -file [file rootname $fn]
    } else {
      $smasherInputName WriteNative -file $fn
    }
    puts "Done writing file."
  } elseif {$solid_kernel == "Discrete"} {
    package require md5
    set fn [tk_getSaveFile -filetypes {{DISCRETE *.dsm} {"All Files" *.*}} -title "Choose Solid Model" -initialfile $smasherInputName]
    if {$fn == ""} return
    puts "Writing discrete model ($fn)"
    $smasherInputName WriteNative -file $fn
    puts "Done writing discrete model."
    puts "Writing file ($fn.facenames)"
    set mymd5 [::md5::md5 -hex -file $fn]
    set fp [open $fn.facenames w]
    fconfigure $fp -translation lf
    global gDiscreteModelFaceNames
    global gDiscreteModelFaceNamesInfo
    set allids [lsort -integer [array names gDiscreteModelFaceNames]]
    puts $fp "\# user defined face id to name mapping for model file ($fn)"
    set timestamp [clock seconds]
    puts $fp "\# timestamp: $timestamp  ([clock format $timestamp])"
    puts $fp ""
    puts $fp "global gDiscreteModelFaceNames"
    puts $fp "global gDiscreteModelFaceNamesInfo"
    puts $fp ""
    puts $fp "set gDiscreteModelFaceNamesInfo(timestamp) \{$timestamp\}"
    puts $fp "set gDiscreteModelFaceNamesInfo(model_file_md5) \{$mymd5\}"
    puts $fp "set gDiscreteModelFaceNamesInfo(model_file_name) \{[file tail $fn]\}"
    puts $fp ""
    foreach id $allids {
      puts $fp "set gDiscreteModelFaceNames($id) \{$gDiscreteModelFaceNames($id)\}"
    }
    close $fp
    puts "Done writing facenames file."
  } elseif {$solid_kernel == "PolyData"} {
    package require md5
    set fn [tk_getSaveFile -defaultextension {.vtp} -filetypes {{vtkPolyData *.vtp} {VTK *.vtk} {vtkUnstructuredGrid *.vtu} {STL *.stl}  {PLY *.ply} {"All Files" *.*}} -title "Choose Solid Model" -initialfile $smasherInputName]
    if {$fn == ""} return
    puts "Writing polydata solid ($fn)"
    $smasherInputName WriteNative -file $fn
    puts "Done writing polydata solid."
    puts "Writing file ($fn.facenames)"
    global gPolyDataFaceNames
    global gPolyDataFaceNamesInfo
    if {[array size gPolyDataFaceNames] != 0} {
      puts "Writing file ($fn.facenames)"
      set mymd5 [::md5::md5 -hex -file $fn]
      set fp [open $fn.facenames w]
      fconfigure $fp -translation lf
      set allids [lsort -integer [array names gPolyDataFaceNames]]
      puts $fp "\# user defined face id to name mapping for model file ($fn)"
      set timestamp [clock seconds]
      puts $fp "\# timestamp: $timestamp  ([clock format $timestamp])"
      puts $fp ""
      puts $fp "global gPolyDataFaceNames"
      puts $fp "global gPolyDataFaceNamesInfo"
      puts $fp ""
      puts $fp "set gPolyDataFaceNamesInfo(timestamp) \{$timestamp\}"
      puts $fp "set gPolyDataFaceNamesInfo(model_file_md5) \{$mymd5\}"
      puts $fp "set gPolyDataFaceNamesInfo(model_file_name) \{[file tail $fn]\}"
      puts $fp ""
      foreach id $allids {
  puts $fp "set gPolyDataFaceNames($id) \{$gPolyDataFaceNames($id)\}"
      }
      close $fp
      puts "Done writing facenames file."
    }
  } else {
    return -code error "ERROR: invalid solid model type."
  }
}


# Procedure: smasherSetAttName
proc smasherSetAttName {} {

 global symbolicName
 global smasherInputName
 global smasherFaceIds
 global smasherStaticFaceIds
 global smasherFaceNames
 global gOptions

 set solid_kernel $gOptions(meshing_solid_kernel)

 set faceId [file dirname [$symbolicName(smasherEntityIdLabel) get]]
 set myindex [lsearch -exact $smasherFaceIds $faceId]

 puts "objectname $faceId myindex $myindex smasherFaceIds $smasherFaceIds"

 if {$myindex >= 0} {
   #set faceId [lindex $smasherFaceIds $myindex]
   # update the attribute information specified on the original model face
   set AttName [$symbolicName(smasherAttNameLabel) get]
   if {$solid_kernel == "Parasolid"} {
     $smasherInputName SetFaceAttr -attr gdscName -faceId $faceId -value $AttName
   } elseif {$solid_kernel == "Discrete"} {
     global gDiscreteModelFaceNames
     set gDiscreteModelFaceNames($faceId) $AttName
   } elseif {$solid_kernel == "PolyData"} {
     global gPolyDataFaceNames
     set gPolyDataFaceNames($faceId) $AttName
   } else {
     return -code error "ERROR: invalid type."
   }
   set smasherFaceNames [lreplace $smasherFaceNames $myindex $myindex $AttName]
   smasherGUIupdateViewWindow
 }
}


# Procedure: vis_2DRenWin
proc vis_2DRenWin { renWin} {

  global symbolicName
  set newWinPath $symbolicName($renWin)
  set renId 1
  set ren [format "%s_ren%d" $renWin $renId]
  if {[cmdExists $renWin] == 0} {
    vtkRenderWindow $renWin
    vtkRenderer $ren
    $renWin AddRenderer $ren
    vtkTkRenderWidget $newWinPath.r1 -width 320 -height 320 -rw $renWin
    BindTkRenderWidget $newWinPath.r1
    pack $newWinPath.r1 -side left -padx 3 -pady 3 -fill both -expand t
    set renWin1 [$newWinPath.r1 GetRenderWindow]
    $ren SetBackground 0 0 0

    # add generic interactors
    catch {genericInteractor_$ren Delete}
    catch {genericInteractorStyle_$ren Delete}
    vtkGenericRenderWindowInteractor genericInteractor_$ren
    vtkInteractorStyleSwitch genericInteractorStyle_$ren
    genericInteractorStyle_$ren SetCurrentStyleToTrackballCamera
    genericInteractor_$ren SetInteractorStyle genericInteractorStyle_$ren
    set iren genericInteractor_$ren
    $iren SetRenderWindow $renWin1

    # note: parallel projection flag not always being handled properly
    return $ren
  }
  return $ren
}


# Procedure: vis_2DRenWin_delete
proc vis_2DRenWin_delete { renWin} {
  global symbolicName
  set newWinPath $symbolicName($renWin)
  set renId 1
  set ren [format "%s_ren%d" $renWin $renId]
  if {[cmdExists $renWin] == 1} {
    genericInteractor_$ren Delete
    genericInteractorStyle_$ren Delete
    $renWin Delete
    destroy $newWinPath.r1
    $ren Delete
    return
  }
  return
}


# Procedure: vis_gRenWin_3D
proc vis_gRenWin_3D {} {
  set renWin gRenWin_3D
  set renId 1
  set ren [format "%s_ren%d" $renWin $renId]
  global gRen3d
  global gRen3dCopies
  global gRen3dFreeze
  set gRen3dFreeze 0
  if {[cmdExists $ren] == 0} {
    if {$gRen3dCopies == 0 || $gRen3dCopies == 1 } {
      set panes .gRenWin_3D.pane0.pane1.f3
      set panes .guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane1.f3
      set rens gRenWin_3D
    } elseif {$gRen3dCopies == 4} {
      set panes [list .gRenWin_3D.pane0.pane0.f0 .gRenWin_3D.pane0.pane0.f1  .gRenWin_3D.pane0.pane1.f2 .gRenWin_3D.pane0.pane1.f3]
      set rens  {gRenWin_3D4 gRenWin_3D3 gRenWin_3D2 gRenWin_3D}
    } else {
      return -code error "ERROR: Invalid gRen3dCopies ($gRen3dCopies)!"
    }

    set i 0
    set gRen3dCopies {}

    foreach renWin $rens {
      set renId 1
      set ren [format "%s_ren%d" $renWin $renId]
      set pane [lindex $panes $i]
      incr i
      vtkRenderWindow $renWin
      vtkRenderer $ren
      $renWin AddRenderer $ren
      set ::vis::frozen($ren) 0
      #puts "vtkTkRenderWidget $pane.r1 -width 320 -height 320 -rw $renWin"
      #puts "BindTkRenderWidget $pane.r1"
      vtkTkRenderWidget $pane.r1 -width 320 -height 320 -rw $renWin
      BindTkRenderWidget $pane.r1
      pack $pane.r1 -side left -padx 0 -pady 0 -fill both -expand t
      set renWin1 [$pane.r1 GetRenderWindow]
      $ren SetBackground 0 0 0
      # add generic interactors
      catch {genericInteractor_$ren Delete}
      catch {genericInteractorStyle_$ren Delete}
      vtkGenericRenderWindowInteractor genericInteractor_$ren
      vtkInteractorStyleSwitch genericInteractorStyle_$ren
      genericInteractorStyle_$ren SetCurrentStyleToTrackballCamera
      genericInteractor_$ren SetInteractorStyle genericInteractorStyle_$ren
      set iren genericInteractor_$ren
      $iren SetRenderWindow $renWin1
      lappend gRen3dCopies $ren
    }
    set gRen3dCopies [lrange $gRen3dCopies 0 end-1]
    set gRen3d $ren
    # just in case, set default interactor renwin to gRen3d
    global gInteractorRen
    set gInteractorRen $gRen3d
    return $ren
  }

  return $ren
}


# Procedure: vis_gRenWin_3D_delete
proc vis_gRenWin_3D_delete {} {
  set renWin gRenWin_3D
  set renId 1
  set ren [format "%s_ren%d" $renWin $renId]
  global xfShowWindow.$renWin
  global gRen3d
  global gRen3dCopies
  global gRen3dFreeze
  set gRen3dFreeze 0
  eval set flag \$\{xfShowWindow.$renWin\}
  if {[cmdExists .$renWin] == 0} {
    return
  }

  if {[llength $gRen3dCopies] == 0 } {
      set panes .gRenWin_3D.pane0.pane1.f3
      set rens gRenWin_3D
  } elseif {[llength $gRen3dCopies] == 3} {
      set panes [list .gRenWin_3D.pane0.pane0.f0 .gRenWin_3D.pane0.pane0.f1  .gRenWin_3D.pane0.pane1.f2 .gRenWin_3D.pane0.pane1.f3]
      set rens  {gRenWin_3D4 gRenWin_3D3 gRenWin_3D2 gRenWin_3D}
  } else {
      return -code error "ERROR: Invalid gRen3dCopies ($gRen3dCopies)!"
  }

  set i 0
  foreach renWin $rens {
      set renId 1
      set ren [format "%s_ren%d" $renWin $renId]
      set pane [lindex $panes $i]
      incr i
      genericInteractor_$ren Delete
      genericInteractorStyle_$ren Delete
      $renWin Delete
      #$ren Delete
  }
  destroy .gRenWin_3D
}


# Procedure: volGUIsetup
proc volGUIsetup { context} {

  upvar #0 $context guiVars

  global symbolicName

  if { [info exists guiVars(use_alt_image)] && $guiVars(use_alt_image) } {
  set repos_image $guiVars(repos_image_obj_alt)
  } else {
  set repos_image $guiVars(repos_image_obj)
  }

  set image [repos_exportToVtk -src $repos_image]

  set ldims [$image GetDimensions]
  set vdims [$image GetSpacing]
  set rng [$image GetScalarRange]

  # set ranges
  $symbolicName(volGUI_sliderx) configure -from 0
  $symbolicName(volGUI_sliderx) configure -to [expr [lindex $ldims 0] - 1]
  $symbolicName(volGUI_slidery) configure -from 0
  $symbolicName(volGUI_slidery) configure -to [expr [lindex $ldims 1] - 1]
  $symbolicName(volGUI_sliderz) configure -from 0
  $symbolicName(volGUI_sliderz) configure -to [expr [lindex $ldims 2] - 1]

  # these are for 3-D seeds
  $symbolicName(gui3DchooserXscale) configure -from 0
  $symbolicName(gui3DchooserXscale) configure -to [expr [lindex $ldims 0] - 1]
  $symbolicName(gui3DchooserYscale) configure -from 0
  $symbolicName(gui3DchooserYscale) configure -to [expr [lindex $ldims 1] - 1]
  $symbolicName(gui3DchooserZscale) configure -from 0
  $symbolicName(gui3DchooserZscale) configure -to [expr [lindex $ldims 2] - 1]

  volGUIupdateColorMaps guiVIB

  # update text showing range
  set guiVars(nativeRange) "native \[$rng\]"

  # set the min/max thr values
  set guiVars(min_thr_value) 128
  set guiVars(max_thr_value) [lindex $rng 1]

  # use of guiRIB is intentional
  global guiRIB
  # set the min/max thr values
  set guiRIB(min_thr_value) 128
  set guiRIB(max_thr_value) [lindex $rng 1]

  # intentional use of guiRIB
  global guiRIB
  set guiRIB(resample_voxel_size) [math_minVec $vdims]
}


# Procedure: volGUItoggleDisplaySlices
proc volGUItoggleDisplaySlices { context sliceDir} {

    upvar #0 $context guiVars

    if {$guiVars(show_image) == 0} {return}

    global gRen3d
    set ren $gRen3d

    set basename $guiVars(vis_basename)

    if {$sliceDir == "RL"} {
      set act    $basename\_actorx
      set flag  $guiVars(show_RL)
    } elseif {$sliceDir == "AP"} {
      set act    $basename\_actory
      set flag  $guiVars(show_AP)
    } elseif {$sliceDir == "SI"} {
      set act    $basename\_actorz
      set flag $guiVars(show_SI)
    }

    if {($flag) && (!([[$ren GetActors] IsItemPresent $act]))} {
  vis_renAddActor $ren $act
  vis_render $ren
  return
    }
    if {(!($flag)) && ([[$ren GetActors] IsItemPresent $act])} {
  vis_renRmActor $ren $act
  vis_render $ren
  return
    }
}


# Procedure: volGUIupdateColorMaps
proc volGUIupdateColorMaps { context} {

  upvar #0 $context guiVars

  if {$guiVars(show_image) == 0} {return}

  set lut $guiVars(lut)

  global gRen3d
  set ren $gRen3d

  if { [info exists guiVars(use_alt_image)] && $guiVars(use_alt_image) } {
  set repos_image $guiVars(repos_image_obj_alt)
  } else {
  set repos_image $guiVars(repos_image_obj)
  }

  set image [repos_exportToVtk -src $repos_image]
  set rng [$image GetScalarRange]

  switch $guiVars(color_map) {
  8-bit {
      $lut SetTableRange 0 255
  }
  native {
      $lut SetTableRange [lindex $rng 0] [lindex $rng 1]
  }
    }
    $lut Modified
    vis_render $ren
}


# Procedure: volGUIupdateIsosurface
proc volGUIupdateIsosurface { context} {
  global gui3Dvars

  upvar #0 $context guiVars

  if {$guiVars(show_image) == 0} {return}

  # check to see if we should use seeded threshold
  if {$guiVars(use_seed_thr) == 0} {
  if { [info exists guiVars(use_alt_image)] && $guiVars(use_alt_image) } {
    set imgobj $guiVars(repos_image_obj_alt)
    } else {
    set imgobj $guiVars(repos_image_obj)
    }
  } else {
    set imgobj $guiVars(repos_seed_thr_obj)
  }

  set contourpd $guiVars(repos_isosurface)
  set decimator volGUIupdateIsosurface-decimator
  set connfilt volGUIupdateIsosurface-connfilt
  set smoother volGUIupdateIsosurface-smoother

  global gRen3d
  set ren $gRen3d

  set show_isosurface $guiVars(show_isosurface)
  set thresholdValue $guiVars(min_thr_value)

  # show the contour if desired
  if {$show_isosurface == 1} {
    catch {repos_delete -obj $contourpd}
    catch {vis_lodRm $gRen3d $contourpd}
    if {$guiVars(use_seed_thr) == 0} {
      set c [img_contour [repos_exportToVtk -src $imgobj] $thresholdValue]
    } else {
      set c [img_contour [repos_exportToVtk -src $imgobj] 1]
    }

    # optionally only display the largest region in the isosurface
    global gOptions
    if {$gOptions(display_only_largest_isosurface) == 1} {
      catch {$connfilt Delete}
      vtkPolyDataConnectivityFilter $connfilt
      $connfilt SetInputDataObject $c
      $connfilt SetExtractionModeToLargestRegion
      $connfilt Update
      set c [$connfilt GetOutput]
    }

    # optionally smooth isosurface
    if {$gOptions(smooth_isosurface) == 1} {
       catch {$smoother Delete}
       vtkSmoothPolyDataFilter $smoother
       $smoother SetInputDataObject $c
       $smoother SetNumberOfIterations $gOptions(smooth_num_iters)
       $smoother SetRelaxationFactor $gOptions(smooth_relax_factor)
       $smoother Update
       set c [$smoother GetOutput]
    }

    puts "num polys in original: [$c GetNumberOfPolys]"

    # we need to create a decimated version
    global gOptions
    set max_polys $gOptions(max_num_polys_for_isosurface)
    if {$max_polys != ""} {
      if {[$c GetNumberOfPolys] >= $max_polys} {
        catch {$decimator Delete}
        vtkDecimatePro $decimator
        $decimator AccumulateErrorOff
        $decimator SetInputDataObject $c
        $decimator SetTargetReduction [expr 1.0-double($max_polys)/double([$c GetNumberOfPolys])]
        $decimator Update
        puts "num polys in decimated: [[$decimator GetOutput] GetNumberOfPolys]"
        repos_importVtkPd -src [$decimator GetOutput] -dst $contourpd
        catch {$decimator Delete}
        catch {$connfilt Delete}
  catch {$smoother Delete}
      } else {
        repos_importVtkPd -src $c -dst $contourpd
  catch {$connfilt Delete}
  catch {$smoother Delete}
      }
    } else {
      repos_importVtkPd -src $c -dst $contourpd
      catch {$connfilt Delete}
      catch {$smoother Delete}
    }
    if {$gOptions(use_lod_for_isosurface)} {
      vis_lodRepos $ren $contourpd
      vis_lodSetColor $ren $contourpd 0 1 0
      vis_lodSetOpacity $ren $contourpd 1.0
    } else {
      set actor [vis_pRepos $ren $contourpd]
      eval [$actor GetProperty] SetColor [svGetUnixColor $gOptions(color_for_isosurface)]
      [$actor GetProperty] SetOpacity 0.33
      vis_render $ren
    }
  } else {
    catch {repos_delete -obj $contourpd}
    catch {vis_pRm $ren $contourpd}
    catch {vis_lodRm $ren $contourpd}
  }
  set gui3Dvars(smoothIsosurface) $contourpd
  set gui3Dvars(min_thr_value) $thresholdValue
}


# Procedure: volGUIupdateIsosurfaceUserCheck
proc volGUIupdateIsosurfaceUserCheck { context} {

   global guiVIB
   if {$guiVIB(show_isosurface) == 0} {
      volGUIupdateIsosurface $context
      return
   }

   set yesno [tk_messageBox -message "Creating an isosurface can take a long time.  Continue anyway?" -default no -icon question -type yesno]

   if  {$yesno == "yes"} {
     set guiVIB(show_isosurface) 1
     volGUIupdateIsosurface $context
   } else {
     set guiVIB(show_isosurface) 0
   }
}


# Procedure: volGUIupdatePointCloud
proc volGUIupdatePointCloud { context} {

    upvar #0 $context guiVars

    if {$guiVars(show_image) == 0} {return}

    set basename    $guiVars(vis_basename)
    set thrpts      $basename\_thrpts
    set thrmap      $basename\_thrmap
    set thract      $basename\_thract

    set point_cloud $guiVars(repos_point_cloud)

    # check to see if we should use seeded threshold
    if {$guiVars(use_seed_thr) == 0} {
    if { [info exists guiVars(use_alt_image)] && $guiVars(use_alt_image) } {
    set repos_image $guiVars(repos_image_obj_alt)
      } else {
    set repos_image $guiVars(repos_image_obj)
      }
    } else {
      set repos_image $guiVars(repos_seed_thr_obj)
    }

    global gRen3d

    set onflag $guiVars(show_point_cloud)
    set thrMin $guiVars(min_thr_value)
    set thrMax $guiVars(max_thr_value)

    set ren $gRen3d

    if {[cmdExists $thract]} {
      if {[[$ren GetActors] IsItemPresent $thract] > 0} {
      vis_renRmActor $ren $thract
      }
    }
    if {[cmdExists $thrpts]} {
  $thrpts Delete
    }
    if {[cmdExists $thrmap]} {
  $thrmap Delete
    }
    if {![cmdExists $thract]} {
  vtkActor $thract
    }

    if {$onflag == 1} {
      catch {repos_delete -obj $point_cloud}
      if {$guiVars(use_seed_thr) == 0} {
        img_threshold -image $repos_image -result $point_cloud -min_value $thrMin  -max_value $thrMax -max_num_pts 2000000
      } else {
        img_threshold -image $repos_image -result $point_cloud -min_value 1  -max_value 1 -max_num_pts 2000000
      }
      set numthrpts [geom_numPts -obj $point_cloud]
      if {$numthrpts >= 2000000} {
         tk_messageBox -message "Your requested point cloud is to large to be fully displayed.  Please choose a more reasonable threshold value." -icon error
      }

      vtkPolyDataMapper $thrmap
      $thrmap SetInputDataObject [repos_exportToVtk -src $point_cloud]
      $thrmap ScalarVisibilityOff

      $thract SetMapper $thrmap
      [$thract GetProperty] SetPointSize 1

      vis_renAddActor $ren $thract

    }

   vis_render $ren
}


# Procedure: volGUIupdateSeed
proc volGUIupdateSeed { context centerBy} {

  upvar #0 $context guiVars

  set orgctr {}
  if {$centerBy == "manual"} {

       set orgctr $guiVars(seed_location)

  } elseif {$centerBy == "pathplan_cursor"} {

       global guiPPchooserXvar
       global guiPPchooserYvar
       global guiPPchooserZvar
       set orgctr [list $guiPPchooserXvar $guiPPchooserYvar $guiPPchooserZvar]

     } elseif {$centerBy == "interactor"} {

       set bounds $guiVars(resample_interactor_bounds)
       set llx [lindex $bounds 0]
       set lly [lindex $bounds 2]
       set llz [lindex $bounds 4]
       set urx [lindex $bounds 1]
       set ury [lindex $bounds 3]
       set urz [lindex $bounds 5]
       set orgctr [list [expr ($llx + $urx) / double(2.0)]  [expr ($lly + $ury) / double(2.0)]  [expr ($llz + $urz) / double(2.0)]]

    } elseif {$centerBy == "vol_sliders"} {
       # use of guiVIB is intentional
       global guiVIB
       set orgctr [list $guiVIB(r_coord) $guiVIB(a_coord) $guiVIB(s_coord)]
    } elseif {$centerBy == "path_point"} {
       global lsGUIpositionIdStr
       set orgctr $lsGUIpositionIdStr
    } elseif {$centerBy == "save_pt"} {
      global gImageVol
      set gImageVol(seed_pt) $guiVars(seed_location)
      return
    } elseif {$centerBy == "restore_pt"} {
      global gImageVol
      if [catch {set orgctr $gImageVol(seed_pt)}] {
         return -code error "ERROR: no saved seed location!"
      }
    } else {
       return -code error "ERROR:  Illegal centerBy code."
  }

  set guiVars(seed_location) $orgctr

  volGUIupdateSeededThreshold $context
}


# Procedure: volGUIupdateSeededThreshold
proc volGUIupdateSeededThreshold { context} {

  upvar #0 $context guiVars

  # seed contour
  if {$guiVars(use_seed_thr) == 0} {
      catch {repos_delete -obj $guiVars(repos_seed_thr_obj)}
      return
  }

  if { [info exists guiVars(use_alt_image)] && $guiVars(use_alt_image) } {
  set imgobj $guiVars(repos_image_obj_alt)
  } else {
  set imgobj $guiVars(repos_image_obj)
  }

  # create a binary segmentation
  set thr mythr
  catch {$thr Delete}
  vtkImageThreshold $thr
  $thr SetInputDataObject [repos_exportToVtk -src $imgobj]
  $thr SetOutputScalarTypeToUnsignedChar
  $thr ThresholdBetween $guiVars(min_thr_value) $guiVars(max_thr_value)
  $thr ReplaceInOn
  $thr SetInValue 1
  $thr ReplaceOutOn
  $thr SetOutValue 0
  $thr Update

  set orgctr $guiVars(seed_location)

  set image [repos_exportToVtk -src $imgobj]
  set ijk [img_computeStructuredCoord -image $imgobj -pt $orgctr]
  puts "$ijk"
  puts "value: [lindex $ijk 2]"

  set seeder myseed
  catch {$seeder Delete}
  vtkImageSeedConnectivity $seeder
  $seeder SetDimensionality 3
  $seeder SetInputConnection [$thr GetOutputPort]
  $seeder AddSeed [lindex [lindex $ijk 0] 0]  [lindex [lindex $ijk 0] 1]  [lindex [lindex $ijk 0] 2]
  $seeder SetInputConnectValue 1
  $seeder SetOutputConnectedValue 1
  $seeder SetOutputUnconnectedValue 0
  $seeder Update

  catch {repos_delete -obj $guiVars(repos_seed_thr_obj)}
  repos_importVtkImg -src [$seeder GetOutput] -dst $guiVars(repos_seed_thr_obj)
}


# Procedure: volGUIupdateSlider
proc volGUIupdateSlider { context sliceDir numTicks} {

    upvar #0 $context guiVars

    if {$guiVars(show_image) == 0} {return}

    if { [info exists guiVars(use_alt_image)] && $guiVars(use_alt_image) } {
    set repos_image_obj $guiVars(repos_image_obj_alt)
    } else {
    set repos_image_obj $guiVars(repos_image_obj)
    }


    set image [repos_exportToVtk -src $repos_image_obj]
    set ldims [$image GetDimensions]
    set vdims [$image GetSpacing]

    # the calculations below assume the origin of the grid is
    # specified, NOT the centroid which is returned from
    # the structured points vtk object.  We there shift the
    # origin by half a pixel.
    #
    # Note that this is probably this shift is likely not
    # necessary since the code for the transforms looks like
    # it is using the centroids of the pixels anyway.  I just
    # didn't want to change Ken's code so I'm doing this
    # unnecessary shift.

    set imgOrigin [$image GetOrigin]
    set orig [list  [expr [lindex $imgOrigin 0] - ([lindex $vdims 0] / 2.0)]  [expr [lindex $imgOrigin 1] - ([lindex $vdims 1] / 2.0)]  [expr [lindex $imgOrigin 2] - ([lindex $vdims 2] / 2.0)] ]

    set basename $guiVars(vis_basename)
    switch -exact -- $sliceDir {
      RL {
        set ti $basename\_transformx
        set voii $basename\_voix
      }
      AP {
        set ti $basename\_transformy
        set voii $basename\_voiy
      }
      SI {
        set ti $basename\_transformz
        set voii $basename\_voiz
      }
      default { return -code error "ERR: volGUIupdateSlider"}
    }

    global gRen3d
    set ren $gRen3d

    switch -exact -- $sliceDir {
  RL {
      $ti Identity
      $ti Translate [expr ($numTicks + 0.5) * [lindex $vdims 0]  + [lindex $orig 0]]  [expr [lindex $ldims 1] * [lindex $vdims 1] / 2.0  + [lindex $orig 1]]  [expr [lindex $ldims 2] * [lindex $vdims 2] / 2.0  + [lindex $orig 2]]
      $ti Scale 1.0  [expr [lindex $ldims 1] * [lindex $vdims 1]]  [expr [lindex $ldims 2] * [lindex $vdims 2]]

      $voii SetVOI $numTicks $numTicks  0 [expr [lindex $ldims 1] - 1]  0 [expr [lindex $ldims 2] - 1]
            # vtk4.2.1 no longer allows this update directly, but things work if
            # we let the render window update it, bizarre
      #$voii Update
  }
  AP {
      $ti Identity
      $ti Translate [expr [lindex $ldims 0] * [lindex $vdims 0] / 2.0  + [lindex $orig 0]]  [expr ($numTicks + 0.5) * [lindex $vdims 1]  + [lindex $orig 1]]  [expr [lindex $ldims 2] * [lindex $vdims 2] / 2.0  + [lindex $orig 2]]
      $ti Scale [expr [lindex $ldims 0] * [lindex $vdims 0]]  1.0  [expr [lindex $ldims 2] * [lindex $vdims 2]]

      $voii SetVOI 0 [expr [lindex $ldims 0] - 1]  $numTicks $numTicks  0 [expr [lindex $ldims 2] - 1]
            # vtk4.2.1 no longer allows this update directly, but things work if
            # we let the render window update it, bizarre
      #$voii Update
  }
  SI {
      $ti Identity
      $ti Translate [expr [lindex $ldims 0] * [lindex $vdims 0] / 2.0  + [lindex $orig 0]]  [expr [lindex $ldims 1] * [lindex $vdims 1] / 2.0  + [lindex $orig 1]]  [expr ($numTicks + 0.5) * [lindex $vdims 2]  + [lindex $orig 2]]
      $ti Scale [expr [lindex $ldims 0] * [lindex $vdims 0]]  [expr [lindex $ldims 1] * [lindex $vdims 1]]  1.0

      $voii SetVOI 0 [expr [lindex $ldims 0] - 1]  0 [expr [lindex $ldims 1] - 1]  $numTicks $numTicks
            # vtk4.2.1 no longer allows this update directly, but things work if
            # we let the render window update it, bizarre
      #$voii Update
      set gVolImgBrowserParams(zv) $numTicks
  }
  default { puts "ERR: vis_img_MoveVolBrowserPlane"; return }
    }

    set guiVars(r_coord) [format {%6.03f} [lindex [$basename\_transformx GetPosition] 0]]
    set guiVars(a_coord) [format {%6.03f} [lindex [$basename\_transformy GetPosition] 1]]
    set guiVars(s_coord) [format {%6.03f} [lindex [$basename\_transformz GetPosition] 2]]


    global symbolicName
    set i $guiVars(sliderx_value)
    set j $guiVars(slidery_value)
    set k $guiVars(sliderz_value)

    set image [repos_exportToVtk -src $repos_image_obj]
    set ptId [$image ComputePointId $i $j $k]

    set guiVars(pixel_value) [[[$image GetPointData] GetScalars] GetTuple1 $ptId]

    #puts "ijk: $i $j $k ptId: $ptId scalar: $guiVars(pixel_value)"

    vis_render $ren
}


# Procedure: volGUIupdateVolRender
proc volGUIupdateVolRender { context update} {

  upvar #0 $context guiVars

  if {$guiVars(show_image) == 0} {return}

  global gRen3d
  set ren $gRen3d

  set flag $guiVars(show_vol_render)
  set opacityFn $guiVars(opacityFunction)
  set colorFn $guiVars(colorFunction)
  set gradientFn $guiVars(gradientFunction)
  set ambient $guiVars(ambientCoefficient)
  set diffuse $guiVars(diffuseCoefficient)
  set specular $guiVars(specularCoefficient)
  set specularPower $guiVars(specularPower)
  set enableShading $guiVars(enableShading)
  set sampleSize $guiVars(sampleStepSize)

  if { [info exists guiVars(use_alt_image)] && $guiVars(use_alt_image) } {
  set repos_image_obj $guiVars(repos_image_obj_alt)
  } else {
  set repos_image_obj $guiVars(repos_image_obj)
  }

  # turn on/off volume rendering
  if {$update == "all"} {
    if {$flag == 0} {
      vis_volRm $gRen3d $repos_image_obj
      return
    } elseif {$flag == 1} {
      catch {vis_volRm $gRen3d $repos_image_obj}
      vis_volRepos $gRen3d $repos_image_obj
      vis_volSetOpacityTransferFunction $ren $repos_image_obj $opacityFn
      vis_volSetColorTransferFunction $ren $repos_image_obj $colorFn
      vis_volSetGradientTransferFunction $ren $repos_image_obj $gradientFn
      vis_volSetShadingParameters $ren $repos_image_obj $ambient $diffuse $specular $specularPower
      if {$sampleSize != "auto"} {
         vis_volSetSampleDistance $ren $repos_image_obj $sampleSize
      }
      if {$enableShading} {
        vis_volShadeOn $ren $repos_image_obj
      }
      return
    }
  }

  # update select transfer function
  if {$update == "opacity"} {
      vis_volSetOpacityTransferFunction $ren $repos_image_obj $opacityFn
  } elseif {$update == "color"} {
      vis_volSetColorTransferFunction $ren $repos_image_obj $colorFn
  } elseif {$update == "gradient"} {
      vis_volSetGradientTransferFunction $ren $repos_image_obj $gradientFn
  } elseif {$update == "enable_shading"} {
      if {$enableShading} {
        vis_volShadeOn $ren $repos_image_obj
      } else {
        vis_volShadeOff $ren $repos_image_obj
      }
  } elseif {$update == "sample_size"} {
      vis_volSetSampleDistance $ren $repos_image_obj $sampleSize
  } elseif {$update == "shading"} {
      vis_volSetShadingParameters $ren $repos_image_obj $ambient $diffuse $specular $specularPower
  } else {
      return -code error "ERROR:  Illegal option ($update)"
  }

  return
}


# Procedure: wormGUIbrowseFlowFile
proc wormGUIbrowseFlowFile {} {
  global guiABC
  set filename [tk_getOpenFile -filetypes {{{Flow File} .flow} {{all files} * }} -title "Select Flow Rate File"]
  if {$filename != ""} {
    set guiABC(flow_rate_file) $filename
  }
  return
}


# Procedure: wormGUIbrowseMeshFaceFile
proc wormGUIbrowseMeshFaceFile {} {
  global guiABC
  set filename [tk_getOpenFile -filetypes {{{vtkPolyData file} {.vtk .VTK .vtp .VTP}} {{all files} *} } -title "Select Mesh Face File"]
  if {$filename != ""} {
    set guiABC(mesh_face_file) $filename
  }
  return
}


# Procedure: wormGUIbrowseSolidModel
proc wormGUIbrowseSolidModel {} {
  global gFilenames
  set filename [tk_getOpenFile -filetypes { { {Parasolid Model File} {.xmt_txt .XMT_TXT} } {{all files} *} } -title "Select Mesh Face File"]
  if {$filename != ""} {
    set gFilenames(atdb_solid_file) $filename
  }
  return
}


# Procedure: wormGUIloadSolidModel
proc wormGUIloadSolidModel {} {
  global gOptions
  set kernel $gOptions(meshing_solid_kernel)

  if {$kernel == "Parasolid" || $kernel == "Discrete"} {
    guiFNMloadSolidModel atdb_solid_file atdb_solid
  } elseif {$kernel == "PolyData"} {
    guiFNMloadSolidModel polydata_solid_file polydata_solid
  }
  return
}


# Procedure: wormGUIsetupForMultipleFaces
proc wormGUIsetupForMultipleFaces {} {
  global guiABC
  # setup face filenames
  if {$guiABC(mesh_face_file) == ""} {
      set guiABC(mesh_face_file) {mesh-surfaces/$facename.vtk}
  } else {
      set guiABC(mesh_face_file) "$guiABC(mesh_face_file)/\$facename.flow"
  }
  # setup face name
  set guiABC(face_name) {$facename}
  # setup flow rate files
  if {$guiABC(flow_rate_file) == ""} {
      set guiABC(flow_rate_file) {flow-files/$facename.flow}
  } else {
      set guiABC(flow_rate_file) "$guiABC(flow_rate_file)/\$facename.flow"
  }
  # setup output filenames
  foreach outfile {spectrum_x_file spectrum_y_file spectrum_z_file bct_dat_file bct_vtp_file} {
    if {$guiABC($outfile) == ""} {
      set guiABC($outfile) "$outfile.\$facename"
    } else {
      set guiABC($outfile) "$guiABC($outfile).\$facename"
    }
  }
}


# Procedure: wormGUIwriteMultipleFaces
proc wormGUIwriteMultipleFaces {} {

  # we get the normal from the user defined face name
  global gObjects
  global guiABC
  global gOptions

  set solidkernel $gOptions(meshing_solid_kernel)

  if {$solidkernel == "Parasolid" || $solidkernel == "Discrete"} {
    set solid $gObjects(atdb_solid)
  } elseif {$solidkernel == "PolyData"} {
    set solid $gObjects(polydata_solid)
  } else {
    return -code error "ERROR: Invalid solid kernel"
  }

  if {[repos_exists -obj $solid] == 0} {
    return -code error "ERROR: Need to load solid first!"
  }
  if {[repos_type -obj $solid] != "SolidModel"} {
    return -code error "ERROR: Object not of expected SolidModel type."
  }

  set org_mesh_face_file $guiABC(mesh_face_file)
  set org_face_name $guiABC(face_name)
  set org_flow_rate_file $guiABC(flow_rate_file)
  set org_spectrum_x_file $guiABC(spectrum_x_file)
  set org_spectrum_y_file $guiABC(spectrum_y_file)
  set org_spectrum_z_file $guiABC(spectrum_z_file)
  set org_bct_dat_file $guiABC(bct_dat_file)
  set org_bct_vtp_file $guiABC(bct_vtp_file)
  # get all the named faces, then check for existence of flow file

  global gDiscreteModelFaceNames
  global gPolyDataFaceNames

  foreach id [$solid GetFaceIds] {
    set guiABC(mesh_face_file) $org_mesh_face_file
    set guiABC(face_name) $org_face_name
    set guiABC(flow_rate_file) $org_flow_rate_file
    set guiABC(spectrum_x_file) $org_spectrum_x_file
    set guiABC(spectrum_y_file) $org_spectrum_y_file
    set guiABC(spectrum_z_file) $org_spectrum_z_file
    set guiABC(bct_dat_file) $org_bct_dat_file
    set guiABC(bct_vtp_file) $org_bct_vtp_file
    set facename "missing"
    if {$solidkernel == "Parasolid"} {
       set facename [$solid GetFaceAttr -attr gdscName -faceId $id]
    } elseif {$solidkernel == "Discrete"} {
      global gDiscreteModelFaceNames
      set facename $gDiscreteModelFaceNames($id)
    } elseif {$solidkernel == "PolyData"} {
      global gPolyDataFaceNames
	  set facename $gPolyDataFaceNames($id)
    } else {
      return -code error "ERROR: invalid solid kernel ($kernel)"
    }

    if {$facename != ""} {
      puts "  working on: $facename"
      eval set guiABC(face_name) $guiABC(face_name)
      # read in vtk mesh face file
      eval set guiABC(mesh_face_file) $guiABC(mesh_face_file)
      if {[file exists $guiABC(mesh_face_file)] == 0} {
        continue
      }
      eval set guiABC(flow_rate_file) $guiABC(flow_rate_file)
      if {[file exists $guiABC(flow_rate_file)] == 0} {
        continue
      }
      eval set guiABC(spectrum_x_file) $guiABC(spectrum_x_file)
      eval set guiABC(spectrum_y_file) $guiABC(spectrum_y_file)
      eval set guiABC(spectrum_z_file) $guiABC(spectrum_z_file)
      eval set guiABC(bct_dat_file) $guiABC(bct_dat_file)
      eval set guiABC(bct_vtp_file) $guiABC(bct_vtp_file)
      puts "   do face $facename"
      wormGUIwritePHASTA 0
      wormGUIwriteSpectrum
    }
  }

  # reset the original values
  set guiABC(mesh_face_file) $org_mesh_face_file
  set guiABC(face_name) $org_face_name
  set guiABC(flow_rate_file) $org_flow_rate_file
  set guiABC(spectrum_x_file) $org_spectrum_x_file
  set guiABC(spectrum_y_file) $org_spectrum_y_file
  set guiABC(spectrum_z_file) $org_spectrum_z_file
  set guiABC(bct_dat_file) $org_bct_dat_file
  set guiABC(bct_vtp_file) $org_bct_vtp_file
}


# Procedure: wormGUIwritePHASTA
proc wormGUIwritePHASTA { prompt_user_for_dir} {

  global gFilenames
  global guiABC
  global gObjects
  global gBC

  set face /tmp/wormGUI/writePHASTA/pd
  set radiusMap /tmp/wormGUI/writePHASTA/radiusMap
  set flat_face /tmp/wormGUI/writePHASTA/flat_face
  set flat_0 /tmp/wormGUI/writePHASTA/flat_0
  set mapped_flat /tmp/wormGUI/writePHASTA/mfat
  set mapped_flat_0 /tmp/wormGUI/writePHASTA/mfat0

  catch {repos_delete -obj $face}
  catch {repos_delete -obj $flat_face}
  catch {repos_delete -obj $flat_0}
  catch {repos_delete -obj $radiusMap}
  catch {repos_delete -obj $mapped_flat}
  catch {repos_delete -obj $mapped_flat_0}

  #set file directory to save
  if {$prompt_user_for_dir} {
    #set initialdirectory [file dirname $gFilenames(bct_dat_file)]
    set initialdirectory [file dirname $guiABC(bct_dat_file)]

    set fdir [tk_chooseDirectory -mustexist 1 -title "Select Save Location for BCT Files" -initialdir $initialdirectory ]

    if {$fdir == ""} {
       puts "User Cancelled."
       return
    }
    set guiABC(bct_dat_file) [file join $fdir $gFilenames(bct_dat_file)]
    set guiABC(bct_vtp_file) [file join $fdir $gFilenames(bct_vtp_file)]
  }

  # read in vtk mesh face file
  set face_file $guiABC(mesh_face_file)
  repos_readXMLPolyData $face_file $face

  global gOptions

  set face_name $guiABC(face_name)

  set normal [geom_avgNormal $face]
  # usually need to invert normal
  if $guiABC(invert_face_normal) {
    set normal [list [expr -1.0*[lindex $normal 0]]  [expr -1.0*[lindex $normal 1]]  [expr -1.0*[lindex $normal 2]]]
  }

  puts "outward nrm: $normal"

  set boolean 1
  set rotated_norm {}
  geom_flatten $normal $boolean $face rotated_norm $flat_face

  # set the idealized unit outward normal for the flattened face
  if {[lindex $rotated_norm 2] > 0} {
      set outwardUnitNormal {0 0 1}
  } else {
      set outwardUnitNormal {0 0 -1}
  }

  set bbox [geom_bbox -obj $flat_face]

  geom_translate -src $flat_face  -vec [list 0 0 [expr -1.0*[lindex $bbox 4]]]  -dst $flat_0
  set area [geom_surfArea -src $flat_0]
  puts "area: $area"

  set radmax [expr sqrt(double($area)/[math_pi])]
  puts "effective radius: $radmax"

  # read flow rate from file
  set fp [open $guiABC(flow_rate_file) r]

  set pts {}
  while {[gets $fp line] >= 0} {
      set line [string trim $line]
      if {[string index $line 0] == "#" || $line == ""} {
        continue
      }
      if {[scan $line "%lf %lf" time flow] != 2} {
         close $fp
         return -code error "Incorrect format of line in flow rate file ($line)."
      }
      lappend pts [list $time $flow]
  }
  close $fp

  puts "found [llength $pts] points in file."

  set num_f_terms $guiABC(num_output_modes)
  set period $gBC(period)
  set viscosity [lindex $guiABC(viscosity) 0]
  set density [lindex $guiABC(density) 0]
  # we subtract 1 from the number of points to get the number
  # of intervals (which is what the variable should be called in
  # the code below).
  set numPtsInPeriod [expr $guiABC(num_output_pts_in_period) -1]

  # for now in PHASTA code we only write out 1 period.
  #set numPeriods $guiABC(num_output_periods)
  set numPeriods 1

  set terms [math_FFT -pts $pts -numInterpPts 256 -nterms $num_f_terms]

  set omega [expr 2.0*[math_pi]/$period]

  set plotme [math_inverseFFT -terms $terms -t0 0  -dt [expr $period/double($numPtsInPeriod)]  -omega $omega -numPts $numPtsInPeriod]

  geom_createRatioMap $flat_0 $radmax $radiusMap

  # create velocity maps
  repos_deleteList [repos_subList /tmp/wormGUI/writePHASTA/mapped/*]
  catch {unset mapArray}
  for {set j 0} {$j < $numPtsInPeriod} {incr j} {
      set mapped /tmp/wormGUI/writePHASTA/mapped/$j
      catch {repos_delete -obj $mapped}
      catch {repos_delete -obj $mapped_flat}
      catch {repos_delete -obj $mapped_flat_0}
      set flow_rate [lindex [lindex $plotme $j] 1]
      set time [lindex [lindex $plotme $j] 0]
      geom_mapWomersleyMap $terms $time $viscosity $omega  $density $radmax   $flow_rate $flat_0  $radiusMap $outwardUnitNormal  $mapped_flat_0

      # undo move to z=0
      geom_translate -src $mapped_flat_0  -vec [list 0 0 [expr 1.0*[lindex $bbox 4]]]  -dst $mapped_flat

      # rotate back
      set boolean 0
      set back_to_norm $rotated_norm
      geom_flatten $normal $boolean $mapped_flat back_to_norm $mapped

      # check normal
      #puts "\noriginal nrm : $normal"
      #puts "rotated  nrm : $rotated_norm"
      #puts "back to nrm  : $back_to_norm"
      #puts "outward unit : $outwardUnitNormal"

      set mapArray($j) [[[repos_exportToVtk -src $mapped] GetPointData] GetVectors]

  }


  # scale factor in case we want to scale the velocities being written out for
  # some reason (e.g. unit coversion).
  set factor  1.0

  # output the velocities to the files
  set fp [open $guiABC(bct_dat_file) "w"]
  fconfigure $fp -translation lf

  set numNodes [geom_numPts -obj $face]
  set nodeids [[[repos_exportToVtk -src $face] GetPointData] GetArray "GlobalNodeID"]

  # write out header
  puts $fp "$numNodes [expr $numPtsInPeriod + 1]"

  for {set nodeLoop 0} {$nodeLoop < $numNodes} {incr nodeLoop} {
    if {![expr $nodeLoop % 10]} {
      puts "working on node $nodeLoop of [expr $numNodes - 1]."
    }
    set node [$nodeids GetTuple1 $nodeLoop]
    for {set i 0} {$i < $numPeriods} {incr i} {
      set pt [[repos_exportToVtk -src $face] GetPoint $nodeLoop]
      puts $fp [format "%e %e %e %i %i" [lindex $pt 0] [lindex $pt 1] [lindex $pt 2] [expr $numPtsInPeriod+1] [expr int($node)]]
      for {set j 0} {$j < $numPtsInPeriod} {incr j} {
        set v [$mapArray($j) GetTuple3 $nodeLoop]
        set time [expr double($i)*$period + $j*$period/double($numPtsInPeriod)]
        set time [format "%e" $time]
        puts $fp [format "%e %e %e %e" [expr $factor*[lindex $v 0]]  [expr $factor*[lindex $v 1]]  [expr $factor*[lindex $v 2]]  $time]
      }
    }
    # explicitly write out the last point of the final period
    set v [$mapArray(0) GetTuple3 $nodeLoop]
    set node [$nodeids GetTuple1 $nodeLoop]
    set time [expr double($numPeriods)*$period]
    set time [format "%e" $time]
    puts $fp [format "%e %e %e %e" [expr $factor*[lindex $v 0]]  [expr $factor*[lindex $v 1]]  [expr $factor*[lindex $v 2]]  $time]
  }
  close $fp

  repos_deleteList [repos_subList /tmp/wormGUI/writePHASTA/mapped/*]
  catch {unset mapArray}

  catch {repos_delete -obj $face}
  catch {repos_delete -obj $flat_face}
  catch {repos_delete -obj $flat_0}
  catch {repos_delete -obj $radiusMap}
  catch {repos_delete -obj $mapped_flat}
  catch {repos_delete -obj $mapped_flat_0}

  if {$guiABC(create_vtp_file)} {
    bctdat_to_vtp $guiABC(bct_dat_file) $guiABC(mesh_face_file) {} {} {} $guiABC(bct_vtp_file) $guiABC(bct_vtp_file).flow
  }
}


# Procedure: wormGUIwriteSpectrum
proc wormGUIwriteSpectrum {} {

  return

  global gFilenames
  global guiABC
  global gObjects
  global gBC
  global gOptions

  set solidkernel $gOptions(meshing_solid_kernel)

  if {$solidkernel == "Parasolid" || $solidkernel == "Discrete"} {
    set solid $gObjects(atdb_solid)
  } elseif {$solidkernel == "PolyData"} {
    set solid $gObjects(polydata_solid)
  } else {
    return -code error "ERROR: Invalid solid kernel"
  }

  set face /tmp/wormGUI/writeSpectrum/pd
  set radiusMap /tmp/wormGUI/writeSpectrum/radiusMap
  set flat_face /tmp/wormGUI/writeSpectrum/flat_face
  set flat_0 /tmp/wormGUI/writeSpectrum/flat_0
  set mapped_flat /tmp/wormGUI/writeSpectrum/mfat
  set mapped_flat_0 /tmp/wormGUI/writeSpectrum/mfat0

  catch {repos_delete -obj $face}
  catch {repos_delete -obj $flat_face}
  catch {repos_delete -obj $flat_0}
  catch {repos_delete -obj $radiusMap}
  catch {repos_delete -obj $mapped_flat}
  catch {repos_delete -obj $mapped_flat_0}

  # read in vtk mesh face file
  set face_file $guiABC(mesh_face_file)
  if {[file exists $face_file] == 0} {
     return -code error "ERROR: file ($face_file) does not exist."
  }
  repos_readVtkPolyData -obj $face -file $face_file

  # we get the normal from the user defined face name
  if {[repos_exists -obj $solid] == 0} {
    return -code error "ERROR: Need to load solid first!"
  }
  if {[repos_type -obj $solid] != "SolidModel"} {
    return -code error "ERROR: Object not of expected SolidModel type."
  }

  set face_name $guiABC(face_name)
  set foundIt 0
  foreach id [$solid GetFaceIds] {
    if {[$solid GetFaceAttr -attr gdscName -faceId $id] == $face_name} {
      set foundIt 1
      break
    }
  }
  if {$foundIt == 0} {
    return -code error "ERROR:  Could not face tag ($face_name)."
  }

  set normal [$solid GetFaceNormal -face $id -u 0 -v 0]

  puts "outward nrm: $normal"

  set boolean 1
  set rotated_norm {}
  geom_flatten $normal $boolean $face rotated_norm $flat_face

  # set the idealized unit outward normal for the flattened face
  if {[lindex $rotated_norm 2] > 0} {
      set outwardUnitNormal {0 0 1}
  } else {
      set outwardUnitNormal {0 0 -1}
  }

  set bbox [geom_bbox -obj $flat_face]

  geom_translate -src $flat_face  -vec [list 0 0 [expr -1.0*[lindex $bbox 4]]]  -dst $flat_0
  set area [geom_surfArea -src $flat_0]
  puts "area: $area"

  set radmax [expr sqrt(double($area)/[math_pi])]
  puts "effective radius: $radmax"

  # read flow rate from file
  set fp [open $guiABC(flow_rate_file) r]

  set pts {}
  while {[gets $fp line] >= 0} {
      set line [string trim $line]
      if {[string index $line 0] == "#" || $line == ""} {
        continue
      }
      if {[scan $line "%lf %lf" time flow] != 2} {
         close $fp
         return -code error "Incorrect format of line in flow rate file ($line)."
      }
      lappend pts [list $time $flow]
  }
  close $fp

  puts "found [llength $pts] points in file."

  set num_f_terms $guiABC(num_output_modes)
  set period $gBC(period)
  set viscosity [lindex $guiABC(viscosity) 0]
  set density [lindex $guiABC(density) 0]
  # we subtract 1 from the number of points to get the number
  # of intervals (which is what the variable should be called in
  # the code below).
  set numPtsInPeriod [expr $guiABC(num_output_pts_in_period) -1]
  set numPeriods $guiABC(num_output_periods)

  set terms [math_FFT -pts $pts -numInterpPts 256 -nterms $num_f_terms]

  set omega [expr 2.0*[math_pi]/$period]

  set plotme [math_inverseFFT -terms $terms -t0 0  -dt [expr $period/double($numPtsInPeriod)]  -omega $omega -numPts $numPtsInPeriod]

  geom_createRatioMap $flat_0 $radmax $radiusMap

  # create velocity maps
  repos_deleteList [repos_subList /tmp/wormGUI/writeSpectrum/mapped/*]
  catch {unset mapArray}
  for {set j 0} {$j < $numPtsInPeriod} {incr j} {
      set mapped /tmp/wormGUI/writeSpectrum/mapped/$j
      catch {repos_delete -obj $mapped}
      catch {repos_delete -obj $mapped_flat}
      catch {repos_delete -obj $mapped_flat_0}
      set flow_rate [lindex [lindex $plotme $j] 1]
      set time [lindex [lindex $plotme $j] 0]
      geom_mapWomersleyMap $terms $time $viscosity $omega  $density $radmax   $flow_rate $flat_0  $radiusMap $outwardUnitNormal  $mapped_flat_0

      # undo move to z=0
      geom_translate -src $mapped_flat_0  -vec [list 0 0 [expr 1.0*[lindex $bbox 4]]]  -dst $mapped_flat

      # rotate back
      set boolean 0
      set back_to_norm $rotated_norm
      geom_flatten $normal $boolean $mapped_flat back_to_norm $mapped

      # check normal
      #puts "\noriginal nrm : $normal"
      #puts "rotated  nrm : $rotated_norm"
      #puts "back to nrm  : $back_to_norm"
      #puts "outward unit : $outwardUnitNormal"

      set mapArray($j) [[[repos_exportToVtk -src $mapped] GetPointData] GetVectors]

  }


  # scale factor in case we want to scale the velocities being written out for
  # some reason (e.g. unit coversion).
  set factor  1.0

  # output the velocities to the files

  set xfp [open $guiABC(spectrum_x_file) "w"]
  fconfigure $xfp -translation lf
  set yfp [open $guiABC(spectrum_y_file) "w"]
  fconfigure $yfp -translation lf
  set zfp [open $guiABC(spectrum_z_file) "w"]
  fconfigure $zfp -translation lf

  set numNodes [geom_numPts -obj $face]
  set nodeids [[[repos_exportToVtk -src $face] GetPointData] GetScalars]
  for {set nodeLoop 0} {$nodeLoop < $numNodes} {incr nodeLoop} {
    puts "working on node $nodeLoop of [expr $numNodes - 1]."
    for {set i 0} {$i < $numPeriods} {incr i} {
      for {set j 0} {$j < $numPtsInPeriod} {incr j} {
        set v [$mapArray($j) GetTuple3 $nodeLoop]
        set node [$nodeids GetTuple1 $nodeLoop]
        set time [expr double($i)*$period + $j*$period/double($numPtsInPeriod)]
        set time [format "%e" $time]
  puts $xfp "$node $time [format {%e} [expr $factor*[lindex $v 0]]]"
  puts $yfp "$node $time [format {%e} [expr $factor*[lindex $v 1]]]"
  puts $zfp "$node $time [format {%e} [expr $factor*[lindex $v 2]]]"
      }
    }
    # explicitly write out the last point of the final period
    set v [$mapArray(0) GetTuple3 $nodeLoop]
    set node [$nodeids GetTuple1 $nodeLoop]
    set time [expr double($numPeriods)*$period]
    set time [format "%e" $time]
    puts $xfp "$node $time [format {%e} [expr $factor*[lindex $v 0]]]"
    puts $yfp "$node $time [format {%e} [expr $factor*[lindex $v 1]]]"
    puts $zfp "$node $time [format {%e} [expr $factor*[lindex $v 2]]]"
  }
  close $xfp
  close $yfp
  close $zfp

  repos_deleteList [repos_subList /tmp/wormGUI/writeSpectrum/mapped/*]
  catch {unset mapArray}

  catch {repos_delete -obj $face}
  catch {repos_delete -obj $flat_face}
  catch {repos_delete -obj $flat_0}
  catch {repos_delete -obj $radiusMap}
  catch {repos_delete -obj $mapped_flat}
  catch {repos_delete -obj $mapped_flat_0}
}




# initialize global variables
global {bcGUI3dWindow}
set {bcGUI3dWindow(scaleFactor)} {0.01}
set {bcGUI3dWindow(showMagSlice)} {0}
set {bcGUI3dWindow(showRawVectors)} {0}
set {bcGUI3dWindow(showWindow)} {0}
global {bcGUIanalContourType}
set {bcGUIanalContourType} {levelset}
global {bcGUIbaselineAddPolys}
set {bcGUIbaselineAddPolys} {0}
global {bcGUIbaselineEqnRadioButton}
set {bcGUIbaselineEqnRadioButton} {z}
global {bcGUIbaselineRegions}
set {bcGUIbaselineRegions} {}
global {bcGUIbaselineXpressed}
set {bcGUIbaselineXpressed} {0}
global {bcGUIbatchEntry}
set {bcGUIbatchEntry} {begin-end}
global {bcGUIbctdatFrames}
set {bcGUIbctdatFrames} {begin-end}
global {bcGUIbctdatName}
set {bcGUIbctdatName} {bct.dat}
global {bcGUIbctdatNumFourierTerms}
set {bcGUIbctdatNumFourierTerms} {6}
global {bcGUIbctdatNumPoints}
set {bcGUIbctdatNumPoints} {101}
global {bcGUIbctdatPeriod}
set {bcGUIbctdatPeriod} {1.0}
global {bcGUIctrX}
set {bcGUIctrX} {128}
global {bcGUIctrY}
set {bcGUIctrY} {128}
global {bcGUIctrlBatchChoice}
set {bcGUIctrlBatchChoice} {Level Set}
global {bcGUIctrlCurrentFrameChoice}
set {bcGUIctrlCurrentFrameChoice} {Level Set}
global {bcGUIcurrentFrameNumber}
set {bcGUIcurrentFrameNumber} {1}
global {bcGUIcurrentGroup}
set {bcGUIcurrentGroup} {pcmri-segs}
global {bcGUIcurrentPathLabel}
set {bcGUIcurrentPathLabel} {blank}
global {bcGUIcurrentPositionNumber}
set {bcGUIcurrentPositionNumber} {1}
global {bcGUIellipseA}
set {bcGUIellipseA} {}
global {bcGUIellipseB}
set {bcGUIellipseB} {}
global {bcGUIfourierNumModes}
set {bcGUIfourierNumModes} {12}
global {bcGUIguessParamsCheckButton}
set {bcGUIguessParamsCheckButton} {0}
global {bcGUIhandContourType}
set {bcGUIhandContourType} {levelset}
global {bcGUIhanddrawXpressed}
set {bcGUIhanddrawXpressed} {0}
global {bcGUIinletMeshVel}
set {bcGUIinletMeshVel} {foo}
global {bcGUIlsParams}
set {bcGUIlsParams(GoodnessStop)} {0.99}
set {bcGUIlsParams(GridFactor)} {0.5}
set {bcGUIlsParams(Klow)} {0.0}
set {bcGUIlsParams(Kthr)} {0.4}
set {bcGUIlsParams(Kupp)} {0.4}
set {bcGUIlsParams(MagFactor)} {0.25}
set {bcGUIlsParams(MaxSteps)} {500}
set {bcGUIlsParams(calcDecayConstBy)} {multiply}
set {bcGUIlsParams(calcPotConstBy)} {multiply}
set {bcGUIlsParams(checkGoodnessFrequency)} {50}
set {bcGUIlsParams(pFactor)} {0.1}
set {bcGUIlsParams(potentialValueDecay)} {100}
set {bcGUIlsParams(potentialValuePotential)} {120}
set {bcGUIlsParams(rebuildPhiFrequency)} {5}
set {bcGUIlsParams(stopV)} {0.01}
global {bcGUImagWarp}
set {bcGUImagWarp} {0.01}
global {bcGUImagWindow}
set {bcGUImagWindow(img_max_val)} {}
set {bcGUImagWindow(img_min_val)} {}
set {bcGUImagWindow(meshOffset)} {20 0 0}
set {bcGUImagWindow(ren)} {}
set {bcGUImagWindow(showInitSphere)} {0}
set {bcGUImagWindow(showIntermediateLS)} {0}
set {bcGUImagWindow(showLS)} {0}
set {bcGUImagWindow(showMagImg)} {1}
set {bcGUImagWindow(showMeshWarp)} {0}
set {bcGUImagWindow(showRawVelWarp)} {0}
set {bcGUImagWindow(showSelectedThr)} {0}
set {bcGUImagWindow(showTaggedPixels)} {0}
set {bcGUImagWindow(showThr)} {0}
set {bcGUImagWindow(showVelImg)} {0}
set {bcGUImagWindow(showWarp)} {0}
set {bcGUImagWindow(showWindow)} {0}
set {bcGUImagWindow(warpFactor)} {0.01}
set {bcGUImagWindow(warp_max_val)} {}
set {bcGUImagWindow(warp_min_val)} {}
global {bcGUImovieFrames}
set {bcGUImovieFrames} {begin-end}
global {bcGUImovieName}
set {bcGUImovieName} {foo.mpg}
global {bcGUInumSamplePoints}
set {bcGUInumSamplePoints} {40}
global {bcGUInumSpectrumPeriods}
set {bcGUInumSpectrumPeriods} {6}
global {bcGUIoutInletMeshVelFrames}
set {bcGUIoutInletMeshVelFrames} {begin-end}
global {bcGUIoutInletVelFrames}
set {bcGUIoutInletVelFrames} {begin-end}
global {bcGUIoutSegFrames}
set {bcGUIoutSegFrames} {begin-end}
global {bcGUIoutSegName}
set {bcGUIoutSegName} {foo}
global {bcGUIparallelProjectionFlag}
set {bcGUIparallelProjectionFlag} {0}
global {bcGUIpotWindow}
set {bcGUIpotWindow(img_max_val)} {}
set {bcGUIpotWindow(img_min_val)} {}
set {bcGUIpotWindow(meshOffset)} {20 0 0}
set {bcGUIpotWindow(ren)} {}
set {bcGUIpotWindow(showInitSphere)} {0}
set {bcGUIpotWindow(showIntermediateLS)} {0}
set {bcGUIpotWindow(showLS)} {0}
set {bcGUIpotWindow(showMeshWarp)} {0}
set {bcGUIpotWindow(showSelectedThr)} {0}
set {bcGUIpotWindow(showTaggedPixels)} {0}
set {bcGUIpotWindow(showThr)} {0}
set {bcGUIpotWindow(showWarp)} {0}
set {bcGUIpotWindow(showWindow)} {0}
set {bcGUIpotWindow(warpFactor)} {0.01}
set {bcGUIpotWindow(warp_max_val)} {}
set {bcGUIpotWindow(warp_min_val)} {}
global {bcGUIradius}
set {bcGUIradius} {4.0}
global {bcGUIrunInParallel}
set {bcGUIrunInParallel} {0}
global {bcGUIscaleFactor}
set {bcGUIscaleFactor} {1.0}
global {bcGUIthrValue}
set {bcGUIthrValue} {0}
global {bcGUIthresholdType}
set {bcGUIthresholdType} {mag}
global {bcGUItransX}
set {bcGUItransX} {0.0}
global {bcGUItransY}
set {bcGUItransY} {0.0}
global {bcGUIvcalcFrames}
set {bcGUIvcalcFrames} {begin-end}
global {bcGUIzeroBoundVelFlag}
set {bcGUIzeroBoundVelFlag} {0}
global {createPREOPgrpKeptSelections}
set {createPREOPgrpKeptSelections} {}
global {createPREOPloadsaveImageDataNumSlices}
set {createPREOPloadsaveImageDataNumSlices} {}
global {createPREOPloadsaveImageDataX0}
set {createPREOPloadsaveImageDataX0} {}
global {gBC}
set {gBC(baselineCorrectionX)} {}
set {gBC(baselineCorrectionY)} {}
set {gBC(baselineCorrectionZ)} {}
set {gBC(numSlices)} {}
set {gBC(voi_x0)} {}
set {gBC(voi_x1)} {}
set {gBC(voi_y0)} {}
set {gBC(voi_y1)} {}
global {gDetached}
set {gDetached} {}
global {gFilenames}
set {gFilenames(3d_fast_seg_file)} {fast-3d.vtk}
set {gFilenames(3d_fast_seg_params)} {fast-3d.params}
set {gFilenames(3d_ls_seg_file)} {lset-3d.vtk}
set {gFilenames(3d_ls_seg_params)} {lset-3d.params}
set {gFilenames(3d_seeds_file)} {3d.seeds}
set {gFilenames(3d_smoothed_seg_file)} {}
set {gFilenames(3d_smoothed_seg_out_file)} {}
set {gFilenames(adapted_mesh_dir)} {adapt-complete}
set {gFilenames(adapted_mesh_file)} {adapted-foo.sms}
set {gFilenames(adapted_solution_file)} {adapted-restart.x.1}
set {gFilenames(adapted_vtp_surface_file)} {adapted-foo.vtp}
set {gFilenames(adapted_vtu_mesh_file)} {adapted-foo.vtu}
set {gFilenames(atdb_file)} {foo.atdb}
set {gFilenames(atdb_solid_file)} {foo-blended.xmt_txt}
set {gFilenames(baseline_regions_dir)} {baseline_regions}
set {gFilenames(bct_dat_file)} {bct.dat}
set {gFilenames(bct_vtp_file)} {bct.vtp}
set {gFilenames(blend_file)} {foo.blends}
set {gFilenames(blend_solid_file)} {foo-blended.xmt_txt}
set {gFilenames(complete_mesh_dir)} {mesh-complete}
set {gFilenames(cuts_file)} {foo.cuts}
set {gFilenames(groups_dir)} {groups}
set {gFilenames(inflow_mesh_face_file)} {inflow_mesh_face.vtk}
set {gFilenames(mapped_inlet_mesh_dir)} {inflow-mesh-face-vel}
set {gFilenames(mapped_vel_dir)} {mapped-velocity}
set {gFilenames(mesh_faces_dir)} {mesh-surfaces}
set {gFilenames(mesh_file)} {foo}
set {gFilenames(vtu_mesh_file)} {all_results.vtu}
set {gFilenames(vtp_surface_file)} {exterior.vtp}
set {gFilenames(mesh_out_prefix)} {foo}
set {gFilenames(mesh_script_file)} {foo}
set {gFilenames(numstart_file)} {numstart.dat}
set {gFilenames(path_file)} {foo.paths}
set {gFilenames(patient_file)} {foo.patient}
set {gFilenames(phase_contrast_geometric)} {}
set {gFilenames(polydata_solid_file)} {foo.vtp}
set {gFilenames(preblend_solid_file)} {foo-trimmed-1.xmt_txt}
set {gFilenames(preop_solid_file)} {foo.xmt_txt}
set {gFilenames(preop_trimmed1_file)} {foo-trimmed-1.xmt_txt}
set {gFilenames(preop_trimmed2_file)} {foo-trimmed-2.xmt_txt}
set {gFilenames(segmentation_cut_out_file)} {}
set {gFilenames(segmentation_file)} {}
set {gFilenames(solution_file)} {restart.x.0}
set {gFilenames(spectrum_usrNBC1_file)} {usrNBC1.var}
set {gFilenames(spectrum_usrNBC2_file)} {usrNBC2.var}
set {gFilenames(spectrum_usrNBC3_file)} {usrNBC3.var}
set {gFilenames(supre_script_file)} {foo.svpre}
set {gFilenames(tagged_pixels_file)} {tagged_pixels}
set {gFilenames(tet_mesh_script_file)} {foo}
set {gFilenames(tmp_dir)} {tmp}
set {gFilenames(trim_cuts_file)} {trim.cuts}
set {gFilenames(trim_solid_file)} {trim.dsm}
set {gFilenames(vcalc_flow_file)} {foo.flow}
set {gFilenames(vel_seg_dir)} {pcmri-segs}
set {gFilenames(wss_file)} {wss.vtk}
global {gImageVol}
set {gImageVol(axes-x)} {0}
set {gImageVol(axes-y)} {0}
set {gImageVol(axes-z)} {0}
set {gImageVol(vtk_org_ras)} { }
global {gNumPickedCells}
set {gNumPickedCells} {0}
global {gNumPickedPoints}
set {gNumPickedPoints} {0}
global {gObjects}
set {gObjects(atdb_solid)} {atdb_solid}
set {gObjects(blend_solid)} {blend_solid}
set {gObjects(inflow_mesh_face)} {inflow_mesh_face}
set {gObjects(inflow_mesh_face_flat)} {inflow_mesh_face_flat}
set {gObjects(mesh_object)} {mesh_object}
set {gObjects(mesh_object_pd)} {mesh_object/pd}
set {gObjects(pd_mesh_solid)} {pd_mesh_solid}
set {gObjects(polydata_solid)} {polydata_solid}
set {gObjects(preblend_solid)} {preblend_solid}
set {gObjects(preop_solid)} {preop_solid}
set {gObjects(preop_trimmed1)} {preop_trimmed1}
set {gObjects(preop_trimmed2)} {preop_trimmed2}
global {gRen3dFreeze}
set {gRen3dFreeze} {0}
global {gRenWin_3D_vars}
set {gRenWin_3D_vars(show_blend_solid)} {0}
set {gRenWin_3D_vars(show_meshing_solid)} {0}
set {gRenWin_3D_vars(show_polydata_solid)} {0}
set {gRenWin_3D_vars(show_preop_solid)} {0}
set {gRenWin_3D_vars(show_trimmed1_solid)} {0}
set {gRenWin_3D_vars(show_trimmed2_solid)} {0}
set {gRenWin_3D_vars(solid_use_LOD)} {0}
global {gSelectDetached}
set {gSelectDetached} {}
global {gui3Dvars}
set {gui3Dvars(blendSphereRadius)} {1.0}
set {gui3Dvars(chooserAttachX)} {0}
set {gui3Dvars(chooserAttachY)} {0}
set {gui3Dvars(chooserAttachZ)} {0}
set {gui3Dvars(chooserFixAxisX)} {0}
set {gui3Dvars(chooserFixAxisY)} {0}
set {gui3Dvars(chooserFixAxisZ)} {0}
set {gui3Dvars(chooserIncrement)} {1}
set {gui3Dvars(chooserShowAllSeedsFlag)} {0}
set {gui3Dvars(chooserShowCursorFlag)} {0}
set {gui3Dvars(chooserShowSphereFlag)} {0}
set {gui3Dvars(chooserXscale)} {22}
set {gui3Dvars(chooserXvar)} {0}
set {gui3Dvars(chooserYscale)} {1}
set {gui3Dvars(chooserYvar)} {0}
set {gui3Dvars(chooserZscale)} {1}
set {gui3Dvars(chooserZvar)} {0}
set {gui3Dvars(displayed_pds)} {}
set {gui3Dvars(displayed_spheres)} {}
set {gui3Dvars(fast_fmm_start_time)} {-50.0}
set {gui3Dvars(fast_fmm_stop_time)} {5.0}
set {gui3Dvars(fast_ls_curvature_scaling)} {2}
set {gui3Dvars(fast_ls_lower_threshold)} {2500}
set {gui3Dvars(fast_ls_num_iterations)} {100}
set {gui3Dvars(fast_ls_propagation_scaling)} {0.0005}
set {gui3Dvars(fast_ls_upper_threshold)} {40000}
set {gui3Dvars(fast_sigmod_alpha)} {0.1}
set {gui3Dvars(fast_sigmod_beta)} {7500.0}
set {gui3Dvars(fast_sigmod_max_value)} {1.0}
set {gui3Dvars(fast_sigmod_min_value)} {0.0}
set {gui3Dvars(fast_vis_fmm)} {0}
set {gui3Dvars(fast_vis_ls)} {0}
set {gui3Dvars(loaded_seeds_file_text)} {# simvascular_seeds_file_format 1.0}
set {gui3Dvars(localControlAttributes)} {}
set {gui3Dvars(local_cgsmooth_constrain_factor)} {0.2}
set {gui3Dvars(local_cgsmooth_num_iters)} {3}
set {gui3Dvars(local_linear_subdivisions)} {1}
set {gui3Dvars(local_butterfly_subdivisions)} {1}
set {gui3Dvars(local_loop_subdivisions)} {1}
set {gui3Dvars(local_quad_target)} {0.25}
set {gui3Dvars(local_smooth_num_iters)} {100}
set {gui3Dvars(local_smooth_relax_factor)} {0.01}
set {gui3Dvars(local_blend_iters)} {2}
set {gui3Dvars(local_subblend_iters)} {3}
set {gui3Dvars(local_blend_subdivision_iters)} {1}
set {gui3Dvars(local_blend_smooth_iters)} {50}
set {gui3Dvars(local_blend_cgsmooth_iters)} {2}
set {gui3Dvars(local_blend_relaxation)} {0.01}
set {gui3Dvars(local_blend_decimation)} {0.01}
set {gui3Dvars(ls_GoodnessStop)} {0.975}
set {gui3Dvars(ls_GridFactor)} {2.0}
set {gui3Dvars(ls_Klow)} {0.0}
set {gui3Dvars(ls_Kthr)} {1.0}
set {gui3Dvars(ls_Kupp)} {1.0}
set {gui3Dvars(ls_MagFactor)} {0.2}
set {gui3Dvars(ls_MaxSteps)} {40}
set {gui3Dvars(ls_calcDecayConstBy)} {multiply}
set {gui3Dvars(ls_calcPotConstBy)} {multiply}
set {gui3Dvars(ls_checkGoodnessFrequency)} {10}
set {gui3Dvars(ls_edge_prox_exponent)} {25}
set {gui3Dvars(ls_edge_prox_kappa)} {15}
set {gui3Dvars(ls_edge_prox_sigma)} {.2}
set {gui3Dvars(ls_edge_prox_type)} {RationalPoly}
set {gui3Dvars(ls_finalGrid)} {/gui3D/lset/final/grid}
set {gui3Dvars(ls_finalSegmentation)} {/gui3D/lset/final/pd}
set {gui3Dvars(ls_image_show_option)} {image}
set {gui3Dvars(ls_init_option)} {seeds}
set {gui3Dvars(ls_init_option_combine)} {append}
set {gui3Dvars(ls_ls_adv)} {1}
set {gui3Dvars(ls_ls_curv)} {0}
set {gui3Dvars(ls_ls_iso)} {.5}
set {gui3Dvars(ls_ls_numiter)} {1000}
set {gui3Dvars(ls_ls_prop)} {1}
set {gui3Dvars(ls_ls_type)} {LaplFastEdge}
set {gui3Dvars(ls_pFactor)} {0.33}
set {gui3Dvars(ls_potentialValueDecay)} {100}
set {gui3Dvars(ls_potentialValuePotential)} {100}
set {gui3Dvars(ls_rebuildPhiFrequency)} {20}
set {gui3Dvars(ls_run_smooth)} {0}
set {gui3Dvars(ls_run_stage2)} {1}
set {gui3Dvars(ls_stage1_curv_type)} {Gaussian}
set {gui3Dvars(ls_stage1_delay)} {0}
set {gui3Dvars(ls_stage2_curv_type)} {Gaussian}
set {gui3Dvars(ls_stopV)} {0.01}
set {gui3Dvars(ls_use_dense_grid)} {1}
set {gui3Dvars(ls_volume)} {volume_image}
set {gui3Dvars(maxSeedRadius)} {10.0}
set {gui3Dvars(minSeedRadius)} {0.0}
set {gui3Dvars(min_thr_value)} {0}
set {gui3Dvars(pixelValue)} {0}
set {gui3Dvars(polydata_change_backup_obj)} {/gui3D/changing/backup/pd}
set {gui3Dvars(polydata_change_obj)} {/gui3D/changing/pd}
set {gui3Dvars(radius)} {10}
set {gui3Dvars(seed_move_type)} {free}
set {gui3Dvars(setSphereRadius)} {1}
set {gui3Dvars(showSphere)} {0}
set {gui3Dvars(show_branch_default)} {0}
set {gui3Dvars(show_seed_default)} {0}
set {gui3Dvars(smoothIsosurface)} {/models/pd/isosurface}
set {gui3Dvars(smooth_backup_obj)} {/gui3D/smooth/backup/pd}
set {gui3Dvars(smooth_butterfly_divisions)} {2}
set {gui3Dvars(smooth_densify_divisions)} {2}
set {gui3Dvars(smooth_obj)} {/gui3D/smooth/pd}
set {gui3Dvars(smooth_org_segment)} {level_set}
set {gui3Dvars(smooth_quad_target)} {0.25}
set {gui3Dvars(smooth_smooth_num_iters)} {100}
set {gui3Dvars(smooth_smooth_relax_factor)} {0.01}
set {gui3Dvars(smooth_syncsmooth_num_iters)} {40}
set {gui3Dvars(smooth_syncsmooth_pass_band_value)} {0.01}
set {gui3Dvars(smooth_vis_surface)} {1}
set {gui3Dvars(sphereBounds)} {1}
set {gui3Dvars(sphereCenter)} {0 0 0}
set {gui3Dvars(sphereRadius)} {1}
set {gui3Dvars(sphere_opacity)} {0.5}
set {gui3Dvars(sphere_pd)} {}
set {gui3Dvars(sphere_source)} {}
set {gui3Dvars(userMaxR)} {1.5}
set {gui3Dvars(userMinR)} {0.0}
set {gui3Dvars(vis_all_seeds)} {0}
set {gui3Dvars(vis_seed_color)} {0 1 0}
global {guiABC}
set {guiABC(bct_dat_file)} {bct.dat}
set {guiABC(bct_vtp_file)} {bct.vtp}
set {guiABC(create_vtp_file)} {1}
set {guiABC(density)} {0.00106 g/mm^3}
set {guiABC(face_name)} {}
set {guiABC(flow_rate_file)} {}
set {guiABC(invert_face_normal)} {0}
set {guiABC(mesh_face_file)} {}
set {guiABC(num_output_modes)} {10}
set {guiABC(num_output_periods)} {1}
set {guiABC(num_output_pts_in_period)} {201}
set {guiABC(preserve_flow_by_scaling)} {1}
set {guiABC(spectrum_x_file)} {usrNBC1.var}
set {guiABC(spectrum_y_file)} {usrNBC2.var}
set {guiABC(spectrum_z_file)} {usrNBC3.var}
set {guiABC(type_of_profile)} {womersley}
set {guiABC(viscosity)} {0.004 g/(mm*s)}
global {guiBOOLEANvars}
set {guiBOOLEANvars(use_NURBS)} {0}
set {guiBOOLEANvars(add_caps_to_vessels)} {1}
set {guiBOOLEANvars(linear_sampling_along_length_multiplier)} {10}
set {guiBOOLEANvars(no_inter_output)} {1}
set {guiBOOLEANvars(num_modes_for_FFT)} {20}
set {guiBOOLEANvars(sampling_along_length_multiplier)} {12}
set {guiBOOLEANvars(sampling_default)} {60}
set {guiBOOLEANvars(sampling_overrides)} {}
set {guiBOOLEANvars(selected_groups)} {}
set {guiBOOLEANvars(selected_seg3d)} {}
set {guiBOOLEANvars(spline_type)} {0}
set {guiBOOLEANvars(tolerance)} {1e-6}
set {guiBOOLEANvars(use_FFT)} {0}
set {guiBOOLEANvars(use_linear_sampling_along_length)} {1}
set {guiBOOLEANvars(bias)} {0}
set {guiBOOLEANvars(tension)} {0}
set {guiBOOLEANvars(continuity)} {0}
global {guiCVIMGvars}
set {guiCVIMGvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer.tframe4)} {0}
set {guiCVIMGvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer0.tframe4)} {0}
set {guiCVIMGvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer4.tframe4)} {0}
set {guiCVIMGvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer8.tframe4)} {0}
set {guiCVIMGvars(canvas_value)} {dummy}
set {guiCVIMGvars(mip_slice_range)} {begin-end}
set {guiCVIMGvars(showMIP)} {-1}
set {guiCVIMGvars(vol_ren_max_range)} {256}
set {guiCVIMGvars(vol_ren_min_range)} {0}
global {guiCVvars}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.frame1.tcheckbutton9)} {1}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane1.f3)} {1}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe46.tframe3)} {1}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer4.tframe4)} {0}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe10.frame5)} {1}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe11.tframe12)} {1}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe8.frame1)} {1}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe9.frame1)} {1}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe1.tlabelframe6.tframe8)} {1}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe16.frame1)} {1}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe17.frame0)} {1}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe18.frame27)} {1}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe19.frame24)} {1}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe20.frame5)} {0}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe20.frame5_pack_info)} {-in .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe20 -anchor center -expand 1 -fill both -ipadx 0 -ipady 0 -padx 0 -pady 0 -side top}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.tlabelframe3.frame5)} {1}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.frame1)} {0}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1)} {1}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe13.tframe14)} {1}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe6.frame2)} {1}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tframe3.tlabelframe6.tframe14)} {0}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.squeezer.tframe4)} {1}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe14.tframe15)} {1}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe14.tframe15_pack_info)} {-in .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe14 -anchor center -expand 1 -fill both -ipadx 0 -ipady 0 -padx 0 -pady 0 -side top}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9)} {0}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tframe9_pack_info)} {-in .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15 -anchor center -expand 1 -fill both -ipadx 0 -ipady 0 -padx 0 -pady 0 -side top}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tlabelframe19.frame26)} {1}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe15.tlabelframe20.frame26)} {1}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe18.frame5)} {0}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe18.frame5_pack_info)} {-in .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe18 -anchor center -expand 0 -fill x -ipadx 0 -ipady 0 -padx 0 -pady 0 -side bottom}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe6.frame2)} {0}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe6.frame2_pack_info)} {-in .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe6 -anchor center -expand 0 -fill x -ipadx 0 -ipady 0 -padx 0 -pady 0 -side bottom}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe99.frame5)} {0}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe99.frame5_pack_info)} {-in .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe99 -anchor center -expand 0 -fill x -ipadx 0 -ipady 0 -padx 0 -pady 0 -side bottom}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7)} {0}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7_pack_info)} {-in .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe19.frame7 -anchor center -expand 0 -fill x -ipadx 0 -ipady 0 -padx 0 -pady 0 -side bottom}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe40.frame5)} {0}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe40.frame5_pack_info)} {-in .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe40 -anchor center -expand 0 -fill x -ipadx 0 -ipady 0 -padx 0 -pady 0 -side bottom}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe1.frame0)} {0}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe1.frame0_pack_info)} {-in .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe1 -anchor center -expand 0 -fill x -ipadx 0 -ipady 0 -padx 0 -pady 0 -side bottom}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe10.frame1)} {0}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe10.frame1_pack_info)} {-in .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe10 -anchor center -expand 0 -fill x -ipadx 0 -ipady 0 -padx 0 -pady 0 -side bottom}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe11.frame1)} {0}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe11.frame1_pack_info)} {-in .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe11 -anchor center -expand 0 -fill x -ipadx 0 -ipady 0 -padx 0 -pady 0 -side bottom}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe3.frame5)} {0}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe3.frame5_pack_info)} {-in .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe3 -anchor center -expand 0 -fill x -ipadx 0 -ipady 0 -padx 0 -pady 0 -side bottom}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe4.frame0)} {0}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe4.frame0_pack_info)} {-in .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe4 -anchor center -expand 0 -fill x -ipadx 0 -ipady 0 -padx 0 -pady 0 -side bottom}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.tlabelframe18.frame5)} {1}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.tlabelframe1.frame1)} {0}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.tlabelframe1.frame1_pack_info)} {-in .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe0.frame1.tlabelframe1 -anchor center -expand 0 -fill x -ipadx 0 -ipady 0 -padx 0 -pady 0 -side bottom}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4)} {0}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer.tframe4)} {0}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer27.tframe4)} {0}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer28.tframe4)} {0}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.squeezer.tframe4.notebook20.tframe21.squeezer29.tframe4)} {0}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe14.tframe4)} {1}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe14.tframe4.tlabelframe11.tframe10)} {1}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe14.tframe4.tlabelframe11.tframe10_pack_info)} {-in .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe14.tframe4.tlabelframe11 -anchor center -expand 0 -fill x -ipadx 0 -ipady 0 -padx 0 -pady 0 -side bottom}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe14.tframe4_pack_info)} {-in .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe14 -anchor center -expand 0 -fill x -ipadx 0 -ipady 0 -padx 0 -pady 0 -side bottom}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe2.tframe2)} {1}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe2.tframe2_pack_info)} {-in .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe2 -anchor center -expand 0 -fill x -ipadx 0 -ipady 0 -padx 0 -pady 0 -side bottom}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe7.tframe8)} {1}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe7.tframe8_pack_info)} {-in .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe7 -anchor center -expand 0 -fill x -ipadx 0 -ipady 0 -padx 0 -pady 0 -side bottom}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe2.tlabelframe1.tframe5)} {1}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe2.tlabelframe1.tframe5_pack_info)} {-in .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe2.tlabelframe1 -anchor center -expand 0 -fill x -ipadx 0 -ipady 0 -padx 0 -pady 0 -side bottom}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe2.tlabelframe2.tframe5)} {1}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe2.tlabelframe2.tframe5_pack_info)} {-in .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe2.tlabelframe2 -anchor center -expand 0 -fill x -ipadx 0 -ipady 0 -padx 0 -pady 0 -side bottom}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe2.tlabelframe1.tframe5)} {1}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe2.tlabelframe1.tframe5_pack_info)} {-in .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe2.tlabelframe1 -anchor center -expand 0 -fill x -ipadx 0 -ipady 0 -padx 0 -pady 0 -side bottom}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe2.tlabelframe2.tframe5)} {1}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe2.tlabelframe2.tframe5_pack_info)} {-in .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe2.tlabelframe2 -anchor center -expand 0 -fill x -ipadx 0 -ipady 0 -padx 0 -pady 0 -side bottom}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe2.tlabelframe3.tframe5)} {1}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe2.tlabelframe3.tframe5_pack_info)} {-in .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe2.tlabelframe3 -anchor center -expand 0 -fill x -ipadx 0 -ipady 0 -padx 0 -pady 0 -side bottom}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe8.tframe1)} {0}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe8.tframe1_pack_info)} {-in .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe8 -anchor center -expand 0 -fill x -ipadx 0 -ipady 0 -padx 0 -pady 0 -side bottom}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe9.tframe2)} {1}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe9.tframe2_pack_info)} {-in .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe0.tframe1.tlabelframe9 -anchor center -expand 0 -fill x -ipadx 0 -ipady 0 -padx 0 -pady 0 -side bottom}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13)} {1}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe13.tframe13)} {1}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe13.tframe13_pack_info)} {-in .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe13 -anchor center -expand 0 -fill x -ipadx 0 -ipady 0 -padx 0 -pady 0 -side bottom}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe14.tframe13)} {0}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe14.tframe13_pack_info)} {-in .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe14 -anchor center -expand 0 -fill x -ipadx 0 -ipady 0 -padx 0 -pady 0 -side bottom}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe15.tframe13)} {1}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe15.tframe13_pack_info)} {-in .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe15 -anchor center -expand 0 -fill x -ipadx 0 -ipady 0 -padx 0 -pady 0 -side bottom}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe16.tframe13)} {1}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe16.tframe13_pack_info)} {-in .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe16 -anchor center -expand 0 -fill x -ipadx 0 -ipady 0 -padx 0 -pady 0 -side bottom}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe17.tframe13)} {0}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe17.tframe13_pack_info)} {-in .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13.tlabelframe17 -anchor center -expand 0 -fill x -ipadx 0 -ipady 0 -padx 0 -pady 0 -side bottom}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0.tframe13_pack_info)} {-in .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe0 -anchor center -expand 0 -fill x -ipadx 0 -ipady 0 -padx 0 -pady 0 -side bottom}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe1.tframe21)} {1}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe1.tframe21_pack_info)} {-in .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe1 -anchor center -expand 0 -fill x -ipadx 0 -ipady 0 -padx 0 -pady 0 -side bottom}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe1.tlabelframe1.tframe21)} {1}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe1.tlabelframe1.tframe21_pack_info)} {-in .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe1.tlabelframe1 -anchor center -expand 0 -fill x -ipadx 0 -ipady 0 -padx 0 -pady 0 -side bottom}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe10.tframe21)} {0}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe10.tframe21_pack_info)} {-in .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe10 -anchor center -expand 0 -fill x -ipadx 0 -ipady 0 -padx 0 -pady 0 -side bottom}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe19.tframe21)} {1}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe19.tframe21_pack_info)} {-in .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe19 -anchor center -expand 0 -fill x -ipadx 0 -ipady 0 -padx 0 -pady 0 -side bottom}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe8.tframe9)} {1}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe8.tframe9_pack_info)} {-in .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe17.tlabelframe8 -anchor center -expand 0 -fill x -ipadx 0 -ipady 0 -padx 0 -pady 0 -side bottom}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13)} {1}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe15.tframe13)} {1}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe15.tframe13_pack_info)} {-in .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe15 -anchor center -expand 0 -fill x -ipadx 0 -ipady 0 -padx 0 -pady 0 -side bottom}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe16.tframe13)} {1}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe16.tframe13_pack_info)} {-in .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe16 -anchor center -expand 0 -fill x -ipadx 0 -ipady 0 -padx 0 -pady 0 -side bottom}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe17.tframe13)} {1}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe17.tframe13_pack_info)} {-in .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe17 -anchor center -expand 0 -fill x -ipadx 0 -ipady 0 -padx 0 -pady 0 -side bottom}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe18.tframe13)} {1}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe18.tframe13_pack_info)} {-in .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13.tlabelframe18 -anchor center -expand 0 -fill x -ipadx 0 -ipady 0 -padx 0 -pady 0 -side bottom}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0.tframe13_pack_info)} {-in .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe0 -anchor center -expand 0 -fill x -ipadx 0 -ipady 0 -padx 0 -pady 0 -side bottom}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13)} {1}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13_pack_info)} {-in .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1 -anchor center -expand 0 -fill x -ipadx 0 -ipady 0 -padx 0 -pady 0 -side bottom}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe0.tframe1)} {1}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe0.tframe1_pack_info)} {-in .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe0 -anchor center -expand 0 -fill x -ipadx 0 -ipady 0 -padx 0 -pady 0 -side bottom}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe14.tframe15)} {1}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe14.tframe15_pack_info)} {-in .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe14 -anchor center -expand 0 -fill x -ipadx 0 -ipady 0 -padx 0 -pady 0 -side bottom}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe4.tframe1)} {1}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe4.tframe1_pack_info)} {-in .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe4 -anchor center -expand 0 -fill x -ipadx 0 -ipady 0 -padx 0 -pady 0 -side bottom}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe5.tframe1)} {1}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe5.tframe1_pack_info)} {-in .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe5 -anchor center -expand 0 -fill x -ipadx 0 -ipady 0 -padx 0 -pady 0 -side bottom}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe7.tframe1)} {0}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe7.tframe1_pack_info)} {-in .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe5 -anchor center -expand 0 -fill x -ipadx 0 -ipady 0 -padx 0 -pady 0 -side bottom}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe9.tframe1)} {1}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe9.tframe1.tlabelframe11.tframe1)} {1}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe9.tframe1.tlabelframe11.tframe1_pack_info)} {-in .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe9.tframe1.tlabelframe11 -anchor center -expand 0 -fill x -ipadx 0 -ipady 0 -padx 0 -pady 0 -side bottom}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe9.tframe1.tlabelframe9.tframe1)} {1}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe9.tframe1.tlabelframe9.tframe1_pack_info)} {-in .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe9.tframe1.tlabelframe9 -anchor center -expand 0 -fill x -ipadx 0 -ipady 0 -padx 0 -pady 0 -side bottom}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe9.tframe1_pack_info)} {-in .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe9 -anchor center -expand 0 -fill x -ipadx 0 -ipady 0 -padx 0 -pady 0 -side bottom}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe3.tlabelframe11.tframe2)} {1}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe3.tlabelframe11.tframe2_pack_info)} {-in .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe3.tlabelframe11 -anchor center -expand 0 -fill x -ipadx 0 -ipady 0 -padx 0 -pady 0 -side bottom}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2.frame4.tlabelframe1.frame10)} {0}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2.frame4.tlabelframe1.frame10_pack_info)} {-in guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe2.frame4.tlabelframe1 -anchor nw -expand 0 -fill x -ipadx 0 -ipady 0 -padx 0 -pady 0 -side top}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe3.frame13.tlabelframe1.frame5)} {0}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe3.frame13.tlabelframe1.frame5_pack_info)} {-in guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0.tframe0.frame15.frame40.frame48.tlabelframe3.frame13.tlabelframe1 -anchor nw -expand 0 -fill x -ipadx 0 -ipady 0 -padx 0 -pady 0 -side top}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframePATH_pack_info)} {-fill both}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframeXYZ_pack_info)} {-fill both}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe6.tlabelframe0.tframe12)} {1}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe6.tlabelframe0.tframe12_pack_info)} {-in .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe3.tframe6.tlabelframe0 -anchor center -expand 1 -fill x -ipadx 0 -ipady 0 -padx 0 -pady 0 -side top}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe11.frame0)} {0}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe11.frame0_pack_info)} {-in .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe0.tlabelframe11  -anchor center -expand 1 -fill both -ipadx 0 -ipady 0 -padx 0 -pady 0 -side top}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe12.tframe0)} {0}
set {guiCVvars(.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe12.tframe0_pack_info)} {-in .guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe0.tlabelframe12  -anchor center -expand 1 -fill both -ipadx 0 -ipady 0 -padx 0 -pady 0 -side top}
set {guiCVvars(.guiDICOM.tlabelframe17.frame0)} {1}
set {guiCVvars(.guiDICOM.tlabelframe17.frame0_pack_info)} {-in .guiDICOM.tlabelframe17 -anchor center -expand 0 -fill x -ipadx 0 -ipady 0 -padx 0 -pady 0 -side bottom}
set {guiCVvars(.guiDICOM.tlabelframe3.frame0)} {1}
set {guiCVvars(.guiDICOM.tlabelframe3.frame0_pack_info)} {-in .guiDICOM.tlabelframe3 -anchor center -expand 0 -fill x -ipadx 0 -ipady 0 -padx 0 -pady 0 -side bottom}
set {guiCVvars(.guiDICOM.tlabelframe7.frame0)} {1}
set {guiCVvars(.guiDICOM.tlabelframe7.frame0_pack_info)} {-in .guiDICOM.tlabelframe7 -anchor center -expand 0 -fill x -ipadx 0 -ipady 0 -padx 0 -pady 0 -side bottom}
set {guiCVvars(show_tab_3d_fast_segment)} {1}
set {guiCVvars(show_tab_3d_ls_segment)} {1}
set {guiCVvars(show_tab_create_vessel_legacy_level_set)} {0}
set {guiCVvars(show_tab_create_vessel_level_set)} {1}
set {guiCVvars(show_tab_displays_2-d_intensity)} {0}
set {guiCVvars(show_tab_displays_2-d_potential)} {0}
set {guiCVvars(show_tab_displays_3-D_Window)} {0}
set {guiCVvars(show_tab_displays_3-d_pcmri)} {0}
set {guiCVvars(show_tab_displays_3-d_window)} {0}
set {guiCVvars(show_tab_displays_3D_Window)} {1}
set {guiCVvars(show_tab_displays_actor_properties)} {1}
set {guiCVvars(show_tab_displays_general)} {1}
set {guiCVvars(show_tab_displays_pcmri_intensity)} {0}
set {guiCVvars(show_tab_displays_pcmri_potential)} {0}
set {guiCVvars(show_tab_image_filters)} {0}
set {guiCVvars(show_tab_image_info)} {0}
set {guiCVvars(show_tab_image_mip)} {0}
set {guiCVvars(show_tab_image_subvolume_properties)} {1}
set {guiCVvars(show_tab_image_subvolume_rendering)} {0}
set {guiCVvars(show_tab_image_volume_properties)} {1}
set {guiCVvars(show_tab_image_volume_rendering)} {1}
set {guiCVvars(show_tab_main_2d_segmentation)} {1}
set {guiCVvars(show_tab_main_3d_segmentation)} {0}
set {guiCVvars(show_tab_main_3d_solids)} {1}
set {guiCVvars(show_tab_main_boundary_conditions)} {1}
set {guiCVvars(show_tab_main_console)} {1}
set {guiCVvars(show_tab_main_cpm_results)} {0}
set {guiCVvars(show_tab_main_dicom)} {0}
set {guiCVvars(show_tab_main_displays)} {1}
set {guiCVvars(show_tab_main_meshing)} {1}
set {guiCVvars(show_tab_main_model)} {1}
set {guiCVvars(show_tab_main_paths)} {1}
set {guiCVvars(show_tab_main_pcmri)} {0}
set {guiCVvars(show_tab_main_simulations)} {1}
set {guiCVvars(show_tab_main_solids)} {1}
set {guiCVvars(show_tab_meshing_meshsim)} {0}
set {guiCVvars(show_tab_meshing_tetgen)} {1}
set {guiCVvars(show_tab_model_discrete)} {0}
set {guiCVvars(show_tab_model_parasolid)} {0}
set {guiCVvars(show_tab_model_polydata)} {1}
set {guiCVvars(show_tab_model_opencascade)} {0}
set {guiCVvars(show_tab_paths_quantification)} {0}
set {guiCVvars(show_tab_simulations_vis_wss)} {0}
set {guiCVvars(show_tabs_legacy_level_set)} {0}
set {guiCVvars(show_tabs_level_set)} {1}
global {guiCVwmHeight}
set {guiCVwmHeight} {0}
global {guiCVwmWidth}
set {guiCVwmWidth} {0}
global {guiDICOMvars}
set {guiDICOMvars(original_dicom_dir)} {}
set {guiDICOMvars(original_dicom_files)} {}
set {guiDICOMvars(recursive_dir_search)} {1}
global {guiFILTvars}
set {guiFILTvars(aniso_diffusion_threshold)} {500}
set {guiFILTvars(aniso_mag_grad_thr_flag)} {0}
set {guiFILTvars(aniso_mag_grad_thr_value)} {500}
set {guiFILTvars(aniso_num_iterations)} {10}
set {guiFILTvars(flow_num_iters)} {40}
set {guiFILTvars(flow_stencil_radius)} {1}
set {guiFILTvars(flow_time_step)} {0.0625}
set {guiFILTvars(shift_clamp_overflow)} {1}
set {guiFILTvars(shift_level)} {255}
set {guiFILTvars(shift_output_scalar_type)} {UnsignedChar}
set {guiFILTvars(shift_scale)} {1.0}
set {guiFILTvars(shift_shift)} {0}
set {guiFILTvars(shift_window_max)} {255}
set {guiFILTvars(shift_window_min)} {0}
set {guiFILTvars(threshold_value)} {0}
set {guiFILTvars(volume)} {volume_image}
global {guiGROUPSvars}
set {guiGROUPSvars(InputGroup)} {}
set {guiGROUPSvars(OutputGroup)} {}
set {guiGROUPSvars(loft_segs)} {1}
set {guiGROUPSvars(prevHighlightedDest)} {}
set {guiGROUPSvars(prevHighlightedSrc)} {}
set {guiGROUPSvars(show_image_slice)} {0}
set {guiGROUPSvars(show_spline)} {0}
set {guiGROUPSvars(show_surface)} {0}
set {guiGROUPSvars(surface_opacity)} {1}
global {guiMAINvars}
set {guiMAINvars(theme)} {}
global {guiMMvars}
set {guiMMvars(adapt_gsize_type)} {1}
set {guiMMvars(checkAbaqus)} {0}
set {guiMMvars(checkAllFaces)} {1}
set {guiMMvars(checkExteriorFaces)} {1}
set {guiMMvars(checkInflowFace)} {1}
set {guiMMvars(checkMetisAdjacency)} {1}
set {guiMMvars(checkProphlex)} {0}
set {guiMMvars(checkSUPRE)} {1}
set {guiMMvars(checkSpectrumSolver)} {1}
set {guiMMvars(checkSpectrumVis)} {0}
set {guiMMvars(error_input_dir)} {.}
set {guiMMvars(error_output_dir)} {.}
set {guiMMvars(error_reduction_factor)} {0.2}
set {guiMMvars(error_step_number)} {x}
set {guiMMvars(first_step_number)} {0}
set {guiMMvars(last_step_number)} {1}
set {guiMMvars(metric_array_name)} {size_metric}
set {guiMMvars(step_incr)} {1}
set {guiMMvars(ms_strategy)} {2}
set {guiMMvars(tg_strategy)} {1}
set {guiMMvars(adapt_option)} {1}
set {guiMMvars(gsize)} {1.0}
set {guiMMvars(gsize_type)} {1}
set {guiMMvars(mca_bl_dir)} {both}
set {guiMMvars(mca_bl_numLayers)} {5}
set {guiMMvars(mca_bl_params)} {}
set {guiMMvars(mca_bl_size)} {1.0 }
set {guiMMvars(mca_bl_type)} {Relative Height Gradation (type 4)}
set {guiMMvars(mca_cylinder_center)} {0.0 0.0 0.0}
set {guiMMvars(mca_cylinder_length)} {1.0}
set {guiMMvars(mca_cylinder_normal)} {0.0 0.0 1.0}
set {guiMMvars(mca_cylinder_radius)} {1.0}
set {guiMMvars(mca_cylinder_size)} {1.0}
set {guiMMvars(mca_global_size)} {1.0}
set {guiMMvars(mca_global_size_type)} {Global Max Edge Size}
set {guiMMvars(mca_global_type)} {absolute}
set {guiMMvars(mca_id)} {foo}
set {guiMMvars(mca_mesh_type)} {}
set {guiMMvars(mca_size)} {1.0}
set {guiMMvars(mca_size_type)} {Local Max Edge Size}
set {guiMMvars(mca_sphere_center)} {0.0 0.0 0.0}
set {guiMMvars(mca_sphere_radius)} {1.0}
set {guiMMvars(mca_sphere_size)} {1.0}
set {guiMMvars(mca_type)} {absolute}
set {guiMMvars(meshBoundaryLayerType)} {0}
set {guiMMvars(meshConstrainSurface)} {0}
set {guiMMvars(meshControlAttributes)} {}
set {guiMMvars(meshFixSurfaceMesh)} {1}
set {guiMMvars(meshGenerateBoundaryLayerMesh)} {0}
set {guiMMvars(meshGenerateSurfaceMesh)} {1}
set {guiMMvars(meshGenerateVolumeMesh)} {1}
set {guiMMvars(meshNumSmoothingPasses)} {3}
set {guiMMvars(meshOptimizeSurfaceMesh)} {1}
set {guiMMvars(meshOptimizeVolumeMesh)} {1}
set {guiMMvars(meshSmoothSurfaceMesh)} {1}
set {guiMMvars(meshSmoothVolumeMesh)} {1}
set {guiMMvars(meshWriteMeshStats)} {1}
set {guiMMvars(min_gsize)} {1.0}
set {guiMMvars(phasta_format)} {}
set {guiMMvars(viewMeshVtkFlag)} {0}
global {guiPDvars}
set {guiPDvars(angleForBoundaries)} {50}
set {guiPDvars(centerlines)} {}
set {guiPDvars(distance)} {/tmp/polydata/distance}
set {guiPDvars(remeshFaceSize)} {1.0}
set {guiPDvars(selected_groups)} {}
set {guiPDvars(updatedSolid)} {1}
set {guiPDvars(useGTS)} {0}
set {guiPDvars(vis_centerlines)} {0}
set {guiPDvars(vis_full_pd)} {0}
set {guiPDvars(vis_voronoi)} {0}
set {guiPDvars(voronoi)} {/tmp/polydata/voronoi}
set {guiPDvars(wall_id)} {-1}
global {guiMMGvars}
set {guiMMGvars(hmax)} {0.1}
set {guiMMGvars(hmin)} {0.1}
set {guiMMGvars(angle)} {45}
set {guiMMGvars(hgrad)} {1.01}
set {guiMMGvars(hausd)} {1.0}
global {guiPHASTAvars}
set {guiPHASTAvars(cmd_make_all_ebc)} {file_append [glob mesh-surfaces/*.ebc.gz] all.ebc.gz}
set {guiPHASTAvars(cmd_make_all_nbc)} {file_append [glob mesh-surfaces/*.nbc.gz] all.nbc.gz}
set {guiPHASTAvars(cmd_make_wall_ebc)} {file_append [glob mesh-surfaces/wall_*.ebc.gz] wall.ebc.gz}
set {guiPHASTAvars(cmd_make_wall_nbc)} {file_append [glob mesh-surfaces/wall_*.nbc.gz] wall.nbc.gz}
set {guiPHASTAvars(final_time)} {1.0}
set {guiPHASTAvars(numProcs)} {1}
set {guiPHASTAvars(time_increment)} {0.1}
global {guiPOSTvars}
set {guiPOSTvars(apply_wall_deformation)} {0}
set {guiPOSTvars(combine_results)} {0}
set {guiPOSTvars(displacement_flag)} {0}
set {guiPOSTvars(in_prefix)} {foo}
set {guiPOSTvars(increment)} {1}
set {guiPOSTvars(input_dir)} {.}
set {guiPOSTvars(look_for_vtp)} {1}
set {guiPOSTvars(meshFaceFile)} {}
set {guiPOSTvars(mu)} {}
set {guiPOSTvars(open_inventor_flag)} {0}
set {guiPOSTvars(out_prefix)} {foo}
set {guiPOSTvars(output_dir)} {.}
set {guiPOSTvars(phasta_format)} {}
set {guiPOSTvars(polydata_flag)} {0}
set {guiPOSTvars(pressure_flag)} {1}
set {guiPOSTvars(recalc_wall_stress)} {0}
set {guiPOSTvars(reduce_last_step)} {0}
set {guiPOSTvars(restartFilesDir)} {.}
set {guiPOSTvars(scale_factor)} {1.0}
set {guiPOSTvars(sim_units)} {cm}
set {guiPOSTvars(start)} {0}
set {guiPOSTvars(stop)} {1}
set {guiPOSTvars(subtract_step_number)} {}
set {guiPOSTvars(traction_flag)} {0}
set {guiPOSTvars(transport_flag)} {0}
set {guiPOSTvars(velocity_flag)} {1}
set {guiPOSTvars(vis_format)} {.gz}
set {guiPOSTvars(vtkFlowFile)} {all_results.vtu}
set {guiPOSTvars(wall_displacement_flag)} {0}
set {guiPOSTvars(wall_displacement_real_flag)} {0}
set {guiPOSTvars(wall_filter)} {0}
set {guiPOSTvars(wall_nbc_file)} {}
set {guiPOSTvars(wall_velocity_flag)} {0}
set {guiPOSTvars(write_vtp_results)} {1}
set {guiPOSTvars(write_vtu_results)} {1}
set {guiPOSTvars(wss_flag)} {0}
global {guiPPchooserAttachX}
set {guiPPchooserAttachX} {0}
global {guiPPchooserAttachY}
set {guiPPchooserAttachY} {0}
global {guiPPchooserAttachZ}
set {guiPPchooserAttachZ} {0}
global {guiPPchooserFixAxisPlane}
set {guiPPchooserFixAxisPlane} {0}
global {guiPPchooserFixAxisX}
set {guiPPchooserFixAxisX} {0}
global {guiPPchooserFixAxisY}
set {guiPPchooserFixAxisY} {0}
global {guiPPchooserFixAxisZ}
set {guiPPchooserFixAxisZ} {0}
global {guiPPchooserGuessThrValue}
set {guiPPchooserGuessThrValue} {0}
global {guiPPchooserGuessThrValueMax}
set {guiPPchooserGuessThrValueMax} {0}
global {guiPPchooserIncrement}
set {guiPPchooserIncrement} {1.0}
global {guiPPchooserMaxGuessX}
set {guiPPchooserMaxGuessX} {5}
global {guiPPchooserMaxGuessY}
set {guiPPchooserMaxGuessY} {5}
global {guiPPchooserMaxGuessZ}
set {guiPPchooserMaxGuessZ} {5}
global {guiPPchooserMinGuessX}
set {guiPPchooserMinGuessX} {-5}
global {guiPPchooserMinGuessY}
set {guiPPchooserMinGuessY} {-5}
global {guiPPchooserMinGuessZ}
set {guiPPchooserMinGuessZ} {-5}
global {guiPPchooserNumHandles}
set {guiPPchooserNumHandles} {10}
global {guiPPchooserNumThinningPasses}
set {guiPPchooserNumThinningPasses} {0}
global {guiPPchooserShowAllPoints}
set {guiPPchooserShowAllPoints} {0}
global {guiPPchooserShowCurrentPoint}
set {guiPPchooserShowCurrentPoint} {0}
global {guiPPchooserShowCursorFlag}
set {guiPPchooserShowCursorFlag} {0}
global {guiPPchooserShowNoPoints}
set {guiPPchooserShowNoPoints} {0}
global {guiPPchooserShowPathFlag}
set {guiPPchooserShowPathFlag} {0}
global {guiPPchooserShowPointsFlag}
set {guiPPchooserShowPointsFlag} {0}
global {guiPPchooserShowSplineFlag}
set {guiPPchooserShowSplineFlag} {0}
global {guiPPchooserSplineInteractorFlag}
set {guiPPchooserSplineInteractorFlag} {0}
global {guiPPchooserX}
set {guiPPchooserX} {-10}
global {guiPPchooserXlabel}
set {guiPPchooserXlabel} { X }
global {guiPPchooserXscale}
set {guiPPchooserXscale} {0}
global {guiPPchooserXvar}
set {guiPPchooserXvar} {0.0}
global {guiPPchooserYlabel}
set {guiPPchooserYlabel} { Y }
global {guiPPchooserYscale}
set {guiPPchooserYscale} {0}
global {guiPPchooserYvar}
set {guiPPchooserYvar} {0.0}
global {guiPPchooserZlabel}
set {guiPPchooserZlabel} { Z }
global {guiPPchooserZscale}
set {guiPPchooserZscale} {0}
global {guiPPchooserZvar}
set {guiPPchooserZvar} {0.0}
global {guiPPpixelValue}
set {guiPPpixelValue} {blank}
global {guiPPsmoothDefaultBoolean}
set {guiPPsmoothDefaultBoolean} {0}
global {guiPPsmoothNumFourierModes}
set {guiPPsmoothNumFourierModes} {10}
global {guiPPsmoothSubSampleRate}
set {guiPPsmoothSubSampleRate} {}
global {guiPPsmoothTargetPathID}
set {guiPPsmoothTargetPathID} {}
global {guiPPsmoothThreshKeepPointAnyway}
set {guiPPsmoothThreshKeepPointAnyway} {1}
global {guiPPsmoothUseFourierSmooth}
set {guiPPsmoothUseFourierSmooth} {0}
global {guiPPsmoothUseThresholding}
set {guiPPsmoothUseThresholding} {0}
global {guiPPsmoothVolumeChoice}
set {guiPPsmoothVolumeChoice} {volume}
global {guiRESULTSvars}
set {guiRESULTSvars(left_3D_selected)} {None}
set {guiRESULTSvars(left_color)} {0 0 0}
set {guiRESULTSvars(left_model_selected)} {None}
set {guiRESULTSvars(left_opacity_scale_value)} {1.0}
set {guiRESULTSvars(left_pic_frame_height)} {0}
set {guiRESULTSvars(left_pic_frame_width)} {0}
set {guiRESULTSvars(left_plot_photo)} {None}
set {guiRESULTSvars(left_plot_selected)} {None}
set {guiRESULTSvars(left_selected_solid_model)} {None}
set {guiRESULTSvars(left_show)} {0}
set {guiRESULTSvars(right_3D_selected)} {None}
set {guiRESULTSvars(right_color)} {0 0 0}
set {guiRESULTSvars(right_model_selected)} {None}
set {guiRESULTSvars(right_opacity_scale_value)} {1.0}
set {guiRESULTSvars(right_pic_frame_height)} {0}
set {guiRESULTSvars(right_pic_frame_width)} {0}
set {guiRESULTSvars(right_plot_photo)} {None}
set {guiRESULTSvars(right_plot_selected)} {None}
set {guiRESULTSvars(right_selected_solid_model)} {None}
set {guiRESULTSvars(right_show)} {0}
set {guiRESULTSvars(user_resizing_pics)} {0}
global {guiRIB}
set {guiRIB(A_label)} {A}
set {guiRIB(L_label)} {L}
set {guiRIB(a_coord)} {0.0}
set {guiRIB(ambientCoefficient)} {0.2}
set {guiRIB(box_center_method)} {vol_sliders}
set {guiRIB(box_max_a)} {50}
set {guiRIB(box_max_r)} {50}
set {guiRIB(box_max_s)} {50}
set {guiRIB(box_min_a)} {-50}
set {guiRIB(box_min_r)} {-50}
set {guiRIB(box_min_s)} {-50}
set {guiRIB(colorFunction)} {{0 0 0 0} {100 0 0 0} {128 1 1 1} {5000 1 1 1}}
set {guiRIB(color_map)} {8-bit}
set {guiRIB(diffuseCoefficient)} {0.9}
set {guiRIB(enableShading)} {0}
set {guiRIB(gradientFunction)} {{0 1} {1 1}}
set {guiRIB(interactor_displayed)} {0}
set {guiRIB(left_label_1)} {L}
set {guiRIB(left_label_2)} {P}
set {guiRIB(left_label_3)} {I}
set {guiRIB(lut)} {g8bitGrayscaleLUT}
set {guiRIB(max_thr_value)} {0}
set {guiRIB(min_thr_value)} {0}
set {guiRIB(nativeRange)} {native [0 0]}
set {guiRIB(opacityFunction)} {{0 0} {100 0} {128 0.5} {150 1.0} {1000 1.0}}
set {guiRIB(pixel_value)} {0.0}
set {guiRIB(r_coord)} {0.0}
set {guiRIB(repos_distancemap_obj)} {resampled_image/distance_map}
set {guiRIB(repos_image_obj)} {resampled_image}
set {guiRIB(repos_isosurface)} {resampled_image/isosurface}
set {guiRIB(repos_outline_obj)} {resampled_image/outline}
set {guiRIB(repos_point_cloud)} {resampled_image/point_cloud}
set {guiRIB(repos_seed_thr_obj)} {resampled_image/seed_thr}
set {guiRIB(resample_flag)} {0}
set {guiRIB(resample_gradient)} {0}
set {guiRIB(resample_interactor_bounds)} {0 1 0 1 0 1}
set {guiRIB(resample_voxel_size)} {0.0}
set {guiRIB(right_label_1)} {R}
set {guiRIB(right_label_2)} {A}
set {guiRIB(right_label_3)} {S}
set {guiRIB(s_coord)} {0.0}
set {guiRIB(sampleStepSize)} {1.0}
set {guiRIB(seed_location)} {0 0 0}
set {guiRIB(show_AP)} {0}
set {guiRIB(show_RL)} {0}
set {guiRIB(show_SI)} {0}
set {guiRIB(show_image)} {0}
set {guiRIB(show_isosurface)} {0}
set {guiRIB(show_point_cloud)} {0}
set {guiRIB(show_resample_box)} {1}
set {guiRIB(show_vol_render)} {0}
set {guiRIB(sliderx_value)} {0}
set {guiRIB(slidery_value)} {0}
set {guiRIB(sliderz_value)} {0}
set {guiRIB(specularCoefficient)} {0.3}
set {guiRIB(specularPower)} {15.0}
set {guiRIB(use_seed_thr)} {0}
set {guiRIB(vis_basename)} {vis_img_vol_resample}
global {guiRUNSOLVERvars}
set {guiRUNSOLVERvars(init_dir)} {}
set {guiRUNSOLVERvars(log_dir)} {}
set {guiRUNSOLVERvars(map_dir_localhost)} {}
set {guiRUNSOLVERvars(map_dir_msu)} {U:\\\\35.9.139.56\\Simulations}
set {guiRUNSOLVERvars(map_dir_osmsc)} {U:\\\\192.168.1.99\\users}
set {guiRUNSOLVERvars(num_procs_cvtm01)} {4}
set {guiRUNSOLVERvars(num_procs_cvtm02)} {4}
set {guiRUNSOLVERvars(num_procs_cvtm03)} {4}
set {guiRUNSOLVERvars(num_procs_cvtm04)} {4}
set {guiRUNSOLVERvars(num_procs_cvtm05)} {4}
set {guiRUNSOLVERvars(num_procs_localhost)} {4}
set {guiRUNSOLVERvars(num_procs_osmsc02)} {4}
set {guiRUNSOLVERvars(num_procs_osmsc04)} {4}
set {guiRUNSOLVERvars(rundir_add_date)} {1}
set {guiRUNSOLVERvars(solver_log_file)} {}
set {guiRUNSOLVERvars(startnum)} {0}
set {guiRUNSOLVERvars(user)} {unknown}
global {guiRWH}
set {guiRWH(LookupTable)} {}
set {guiRWH(actor)} {actor}
set {guiRWH(ambient)} {0}
set {guiRWH(ambientColor)} {0  0 0}
set {guiRWH(backfaceCulling)} {}
set {guiRWH(color)} {0  0 0}
set {guiRWH(diffuseColor)} {0  0 0}
set {guiRWH(edgeColor)} {0  0 0}
set {guiRWH(edgeVisibility)} {}
set {guiRWH(frontfaceCulling)} {}
set {guiRWH(interpolation)} {type}
set {guiRWH(lineWidth)} {0  0 0}
set {guiRWH(lookupTable)} {}
set {guiRWH(newAmbient)} {0}
set {guiRWH(newAmbientColor)} {0 0 0}
set {guiRWH(newColor)} {0 0 0}
set {guiRWH(newDiffuse)} {0}
set {guiRWH(newDiffuseColor)} {0 0 0}
set {guiRWH(newEdgeColor)} {0 0 0}
set {guiRWH(newLineWidth)} {0}
set {guiRWH(newOpacity)} {0}
set {guiRWH(newPointSize)} {0}
set {guiRWH(newSpecular)} {0}
set {guiRWH(newSpecularColor)} {0 0 0}
set {guiRWH(newSpecularPower)} {0}
set {guiRWH(opacity)} {0}
set {guiRWH(pointSize)} {0}
set {guiRWH(representation)} {type}
set {guiRWH(scalarMax)} {255}
set {guiRWH(scalarMin)} {0}
set {guiRWH(specular)} {0}
set {guiRWH(specularColor)} {0  0 0}
set {guiRWH(specularPower)} {0}
global {guiSELECTGROUPSvars}
set {guiSELECTGROUPSvars(callbackFunction)} {}
set {guiSELECTGROUPSvars(selectedGroup)} {}
global {guiSVvars}
set {guiSVvars(file_squeeze_vol_opt)} {0}
set {guiSVvars(groups_entry_3d_name)} {}
set {guiSVvars(groups_entry_group_name)} {}
set {guiSVvars(last_2d_view_toggle)} {0}
set {guiSVvars(models_entry_model_name)} {blank}
set {guiSVvars(path_copy_point)} {}
set {guiSVvars(path_entry_number_spline_pts)} {100}
set {guiSVvars(path_entry_path_id)} {0}
set {guiSVvars(path_entry_path_name)} {blank}
set {guiSVvars(path_quantification_angle_of_separation)} {0}
set {guiSVvars(path_quantification_clamp_ends_path1)} {0}
set {guiSVvars(path_quantification_clamp_ends_path2)} {0}
set {guiSVvars(path_quantification_clamp_ends_refpath)} {0}
set {guiSVvars(path_quantification_clamp_ends_twistpath)} {0}
set {guiSVvars(path_quantification_color_path1)} {1 1 0}
set {guiSVvars(path_quantification_color_path2)} {1 1 0.5}
set {guiSVvars(path_quantification_color_position)} {0 0 1}
set {guiSVvars(path_quantification_color_refpath)} {0 1 0}
set {guiSVvars(path_quantification_color_start)} {0 1 0}
set {guiSVvars(path_quantification_color_stop)} {1 0 0}
set {guiSVvars(path_quantification_color_torus_path1)} {1 0.7 0}
set {guiSVvars(path_quantification_color_torus_path2)} {1 0.7 0}
set {guiSVvars(path_quantification_color_twistpath)} {1 0 0}
set {guiSVvars(path_quantification_current_path_name_path1)} {blank}
set {guiSVvars(path_quantification_current_path_name_path2)} {blank}
set {guiSVvars(path_quantification_current_path_name_refpath)} {blank}
set {guiSVvars(path_quantification_current_path_name_twistpath)} {blank}
set {guiSVvars(path_quantification_current_position_path1)} {1}
set {guiSVvars(path_quantification_current_position_path2)} {1}
set {guiSVvars(path_quantification_current_position_refpath)} {1}
set {guiSVvars(path_quantification_current_position_twistpath)} {1}
set {guiSVvars(path_quantification_curvature_path1)} {0.0}
set {guiSVvars(path_quantification_curvature_path2)} {0.0}
set {guiSVvars(path_quantification_curvature_refpath)} {0.0}
set {guiSVvars(path_quantification_curvature_twistpath)} {0.0}
set {guiSVvars(path_quantification_curved_length_path1)} {0.0}
set {guiSVvars(path_quantification_curved_length_path2)} {0.0}
set {guiSVvars(path_quantification_curved_length_refpath)} {0.0}
set {guiSVvars(path_quantification_curved_length_twistpath)} {0.0}
set {guiSVvars(path_quantification_display_path_path1)} {0}
set {guiSVvars(path_quantification_display_path_path2)} {0}
set {guiSVvars(path_quantification_display_path_refpath)} {0}
set {guiSVvars(path_quantification_display_path_twistpath)} {0}
set {guiSVvars(path_quantification_display_position_sphere_path1)} {0}
set {guiSVvars(path_quantification_display_position_sphere_path2)} {0}
set {guiSVvars(path_quantification_display_position_sphere_refpath)} {0}
set {guiSVvars(path_quantification_display_position_sphere_twistpath)} {0}
set {guiSVvars(path_quantification_display_radius_torus_path1)} {0}
set {guiSVvars(path_quantification_display_radius_torus_path2)} {0}
set {guiSVvars(path_quantification_display_radius_torus_refpath)} {0}
set {guiSVvars(path_quantification_display_radius_torus_twistpath)} {0}
set {guiSVvars(path_quantification_display_start_sphere_path1)} {0}
set {guiSVvars(path_quantification_display_start_sphere_path2)} {0}
set {guiSVvars(path_quantification_display_start_sphere_refpath)} {0}
set {guiSVvars(path_quantification_display_start_sphere_twistpath)} {0}
set {guiSVvars(path_quantification_display_stop_sphere_path1)} {0}
set {guiSVvars(path_quantification_display_stop_sphere_path2)} {0}
set {guiSVvars(path_quantification_display_stop_sphere_refpath)} {0}
set {guiSVvars(path_quantification_display_stop_sphere_twistpath)} {0}
set {guiSVvars(path_quantification_num_spline_pts_path1)} {500}
set {guiSVvars(path_quantification_num_spline_pts_path2)} {500}
set {guiSVvars(path_quantification_num_spline_pts_refpath)} {500}
set {guiSVvars(path_quantification_num_spline_pts_twistpath)} {500}
set {guiSVvars(path_quantification_path_point_path1)} {}
set {guiSVvars(path_quantification_path_point_path2)} {}
set {guiSVvars(path_quantification_path_point_refpath)} {}
set {guiSVvars(path_quantification_path_point_twistpath)} {}
set {guiSVvars(path_quantification_spline_path1)} {}
set {guiSVvars(path_quantification_spline_path2)} {}
set {guiSVvars(path_quantification_spline_refpath)} {}
set {guiSVvars(path_quantification_spline_twistpath)} {}
set {guiSVvars(path_quantification_startPt_path1)} {}
set {guiSVvars(path_quantification_startPt_path2)} {}
set {guiSVvars(path_quantification_startPt_refpath)} {}
set {guiSVvars(path_quantification_startPt_twistpath)} {}
set {guiSVvars(path_quantification_start_id_path1)} {1}
set {guiSVvars(path_quantification_start_id_path2)} {1}
set {guiSVvars(path_quantification_start_id_refpath)} {1}
set {guiSVvars(path_quantification_start_id_twistpath)} {1}
set {guiSVvars(path_quantification_stopPt_path1)} {}
set {guiSVvars(path_quantification_stopPt_path2)} {}
set {guiSVvars(path_quantification_stopPt_refpath)} {}
set {guiSVvars(path_quantification_stopPt_twistpath)} {}
set {guiSVvars(path_quantification_stop_id_path1)} {1}
set {guiSVvars(path_quantification_stop_id_path2)} {1}
set {guiSVvars(path_quantification_stop_id_refpath)} {1}
set {guiSVvars(path_quantification_stop_id_twistpath)} {1}
set {guiSVvars(path_quantification_straight_length_path1)} {0.0}
set {guiSVvars(path_quantification_straight_length_path2)} {0.0}
set {guiSVvars(path_quantification_straight_length_refpath)} {0.0}
set {guiSVvars(path_quantification_straight_length_twistpath)} {0.0}
set {guiSVvars(path_quantification_tangents_path1)} {}
set {guiSVvars(path_quantification_tangents_path2)} {}
set {guiSVvars(path_quantification_tangents_refpath)} {}
set {guiSVvars(path_quantification_tangents_twistpath)} {}
set {guiSVvars(path_quantification_torus_thickness_path1)} {0.1}
set {guiSVvars(path_quantification_torus_thickness_path2)} {0.1}
set {guiSVvars(path_quantification_torus_thickness_refpath)} {0.1}
set {guiSVvars(path_quantification_torus_thickness_twistpath)} {0.1}
set {guiSVvars(path_quantification_window_size_path1)} {0.5}
set {guiSVvars(path_quantification_window_size_path2)} {0.5}
set {guiSVvars(path_quantification_window_size_refpath)} {0.5}
set {guiSVvars(path_quantification_window_size_twistpath)} {0.5}
set {guiSVvars(path_squeeze)} {0}
set {guiSVvars(showSegSlice)} {0}
set {guiSVvars(solids_entry_group_name)} {blank}
set {guiSVvars(facet_max_edge_size)} {1.0}
global {guiTGvars}
set {guiTGvars(blthicknessratio)} {0.5}
set {guiTGvars(functionBasedMeshingName)} {""}
set {guiTGvars(localMeshSize)} {1.0}
set {guiTGvars(meshCoarsenPercent)} {1.0}
set {guiTGvars(meshControlAttributes)} {}
set {guiTGvars(meshMaxEdgeSize)} {1.00}
set {guiTGvars(meshOptimization)} {3.0}
set {guiTGvars(meshQuality)} {1.4}
set {guiTGvars(meshTetGenOptions)} {}
set {guiTGvars(meshTolerance)} {1e-8}
set {guiTGvars(meshWallFirst)} {0}
set {guiTGvars(numsublayers)} {2}
set {guiTGvars(refinementSize)} {1.0}
set {guiTGvars(setSphereRadius)} {1}
set {guiTGvars(showSphere)} {0}
set {guiTGvars(sphereBounds)} {1}
set {guiTGvars(sphereCenter)} {0 0 0}
set {guiTGvars(sphereRadius)} {1}
set {guiTGvars(sublayerratio)} {0.8}
set {guiTGvars(useCenterlineRadius)} {0}
set {guiTGvars(useCheckConsistency)} {0}
set {guiTGvars(useFunctionBasedMeshing)} {0}
set {guiTGvars(useMeshCoarsen)} {0}
set {guiTGvars(useMeshDetection)} {0}
set {guiTGvars(useMeshMaxVolume)} {1}
set {guiTGvars(useMeshOptimization)} {1}
set {guiTGvars(useMeshQuality)} {1}
set {guiTGvars(useMeshSuppression)} {1}
set {guiTGvars(useMeshTetGenOptions)} {0}
set {guiTGvars(useMeshTolerance)} {0}
set {guiTGvars(useNoMerging)} {0}
set {guiTGvars(useQuiet)} {0}
set {guiTGvars(useVerbose)} {0}
set {guiTGvars(wallFaces)} {}
set {guiTGvars(useMMG)} {1}
set {guiTGvars(useHausd)} {0}
global {guiPYPLOFTvars}
set {guiPYLOFTvars(uDeg)} {3}
set {guiPYLOFTvars(vDeg)} {3}
set {guiPYLOFTvars(Du0)}  {0.0}
set {guiPYLOFTvars(DuN)}  {0.0}
set {guiPYLOFTvars(Dv0)}  {0.0}
set {guiPYLOFTvars(DvN)}  {0.0}
set {guiPYLOFTvars(kuType)}  {average}
set {guiPYLOFTvars(kvType)}  {derivative}
set {guiPYLOFTvars(puType)}  {centripetal}
set {guiPYLOFTvars(pvType)}  {centripetal}
global {guiTRIMvars}
set {guiTRIMvars(area_max_value)} {1.0}
set {guiTRIMvars(area_min_value)} {0.0}
set {guiTRIMvars(discrete_angle)} {0.0}
set {guiTRIMvars(loaded_cut_file_text)} {# simvascular_cut_file_format 1.0}
set {guiTRIMvars(plane_center)} {}
set {guiTRIMvars(plane_normal)} {}
set {guiTRIMvars(plane_offset)} {0.0}
set {guiTRIMvars(plane_p1)} {}
set {guiTRIMvars(plane_p2)} {}
set {guiTRIMvars(plane_p3)} {}
set {guiTRIMvars(useAllFaces)} {1}
set {guiTRIMvars(vis_boxInteractor)} {0}
set {guiTRIMvars(vis_cut_surface)} {1}
set {guiTRIMvars(vis_initial_surface)} {0}
set {guiTRIMvars(vis_planeInteractor)} {0}
global {guiVIB}
set {guiVIB(A_label)} {A}
set {guiVIB(L_label)} {L}
set {guiVIB(a_coord)} {0.0}
set {guiVIB(ambientCoefficient)} {0.2}
set {guiVIB(colorFunction)} {{0 0 0 0} {50 1 0 0} {200 1 1 1} {255 1 1 1}}
set {guiVIB(color_map)} {8-bit}
set {guiVIB(diffuseCoefficient)} {0.9}
set {guiVIB(enableShading)} {0}
set {guiVIB(gradientFunction)} {{0 1} {1 1}}
set {guiVIB(left_label_1)} {L}
set {guiVIB(left_label_2)} {P}
set {guiVIB(left_label_3)} {I}
set {guiVIB(lut)} {g8bitGrayscaleLUT}
set {guiVIB(max_thr_value)} {0}
set {guiVIB(min_thr_value)} {0}
set {guiVIB(nativeRange)} {native [0 0]}
set {guiVIB(opacityFunction)} {{0 0} {50 0} {128 0.25} {200 1.0} {255 1.0}}
set {guiVIB(pixel_value)} {0.0}
set {guiVIB(r_coord)} {0.0}
set {guiVIB(repos_distancemap_obj)} {volume_image/distance_map}
set {guiVIB(repos_image_obj)} {volume_image}
set {guiVIB(repos_isosurface)} {volume_image/isosurface}
set {guiVIB(repos_point_cloud)} {volume_image/point_cloud}
set {guiVIB(repos_seed_thr_obj)} {volume_image/seed_thr}
set {guiVIB(right_label_1)} {R}
set {guiVIB(right_label_2)} {A}
set {guiVIB(right_label_3)} {S}
set {guiVIB(s_coord)} {0.0}
set {guiVIB(sampleStepSize)} {auto}
set {guiVIB(seed_location)} {0 0 0}
set {guiVIB(show_AP)} {0}
set {guiVIB(show_RL)} {0}
set {guiVIB(show_SI)} {0}
set {guiVIB(show_image)} {0}
set {guiVIB(show_isosurface)} {0}
set {guiVIB(show_point_cloud)} {0}
set {guiVIB(show_vol_render)} {0}
set {guiVIB(sliderx_value)} {0}
set {guiVIB(slidery_value)} {0}
set {guiVIB(sliderz_value)} {0}
set {guiVIB(specularCoefficient)} {0.3}
set {guiVIB(specularPower)} {15.00}
set {guiVIB(use_seed_thr)} {0}
set {guiVIB(vis_basename)} {vis_img_vol_browser}
global {guiVISvars}
set {guiVISvars(currentResFileName)} {foo}
set {guiVISvars(currentStep)} {0}
set {guiVISvars(currentStep_pressureRange)} {}
set {guiVISvars(currentStep_velMagRange)} {}
set {guiVISvars(cut_plane)} {}
set {guiVISvars(cutplane_displayPressure)} {off}
set {guiVISvars(cutplane_displayVelocity)} {off}
set {guiVISvars(cutplane_maxPressure)} {1}
set {guiVISvars(cutplane_maxVelMag)} {1}
set {guiVISvars(cutplane_minPressure)} {0}
set {guiVISvars(cutplane_minVelMag)} {0}
set {guiVISvars(cutplane_showCutPlane)} {0}
set {guiVISvars(cutplane_showMesh)} {0}
set {guiVISvars(cutplane_showPlane)} {0}
set {guiVISvars(cutplane_velocityScale)} {0.005}
set {guiVISvars(cutvol_displayPressure)} {off}
set {guiVISvars(cutvol_displayVelocity)} {off}
set {guiVISvars(cutvol_maxPressure)} {1}
set {guiVISvars(cutvol_maxVelMag)} {1}
set {guiVISvars(cutvol_minPressure)} {0}
set {guiVISvars(cutvol_minVelMag)} {0}
set {guiVISvars(cutvol_plane)} {}
set {guiVISvars(cutvol_planeLocChanged)} {0}
set {guiVISvars(cutvol_preserve_property)} {0}
set {guiVISvars(cutvol_showSurfMesh)} {0}
set {guiVISvars(cutvol_side)} {above}
set {guiVISvars(cutvol_velocityScale)} {0.005}
set {guiVISvars(energy_flux_results_file)} {energy_in_and_out}
set {guiVISvars(faceName)} {}
set {guiVISvars(global_pressureRange)} {}
set {guiVISvars(global_velMagRange)} {}
set {guiVISvars(images_filenameFormat)} {images-%03i.jpg}
set {guiVISvars(images_movieFilename)} {post.mpg}
set {guiVISvars(images_selectedSteps)} {begin-end}
set {guiVISvars(images_type)} {jpeg}
set {guiVISvars(legend_labelFormat)} {%6.3f mm/s}
set {guiVISvars(legend_maxValue)} {1}
set {guiVISvars(legend_minValue)} {0}
set {guiVISvars(legend_numColors)} {5}
set {guiVISvars(legend_numLabels)} {5}
set {guiVISvars(legend_orientation)} {vertical}
set {guiVISvars(legend_rangeType)} {user}
set {guiVISvars(legend_showLegend)} {0}
set {guiVISvars(legend_title)} {Velocity}
set {guiVISvars(mesh_loaded)} {0}
set {guiVISvars(mesh_vtk_obj)} {guiVISmeshObject}
set {guiVISvars(outlet_flow_results_file)} {flows_in_and_out}
set {guiVISvars(outlet_pressure_results_file)} {mean_pressure_in_and_out}
set {guiVISvars(outlet_resistance_results_file)} {resistances}
set {guiVISvars(outlet_selectedSteps)} {begin-end}
set {guiVISvars(p1)} {}
set {guiVISvars(p2)} {}
set {guiVISvars(p3)} {}
set {guiVISvars(pickPointP1)} {10}
set {guiVISvars(pickPointP2)} {20}
set {guiVISvars(pickPointP3)} {30}
set {guiVISvars(plotpath_file)} {results_along_path}
set {guiVISvars(plotpath_selectedSteps)} {begin-end}
set {guiVISvars(plotpath_type)} {velocity}
set {guiVISvars(readAllResFiles)} {1}
set {guiVISvars(ren)} {}
set {guiVISvars(resultsDir)} {}
set {guiVISvars(retainAllResInMemory)} {1}
set {guiVISvars(showVolSurfMesh)} {0}
set {guiVISvars(slice_offset)} {0.0}
set {guiVISvars(slice_scaleFactor)} {1.0}
set {guiVISvars(solidModelName)} {atdb_solid}
set {guiVISvars(useInteractor)} {0}
set {guiVISvars(volFlowSlice_density)} {1.0}
set {guiVISvars(volFlowSlice_displaySphere)} {0}
set {guiVISvars(volFlowSlice_integrateType)} {velocity}
set {guiVISvars(volFlowSlice_mult_slice_flag)} {0}
set {guiVISvars(volFlowSlice_num_planes)} {}
set {guiVISvars(volFlowSlice_plane_incr)} {}
set {guiVISvars(volFlowSlice_resultsDir)} {flow_slices}
set {guiVISvars(volFlowSlice_resultsFilename)} {flow-through-slice}
set {guiVISvars(volFlowSlice_selectedSteps)} {begin-end}
set {guiVISvars(volFlowSlice_sphereCenter)} {0 0 0}
set {guiVISvars(volFlowSlice_sphereRadius)} {20.0}
set {guiVISvars(volFlowSlice_surfaceNormal)} {}
set {guiVISvars(vol_displayPressure)} {off}
set {guiVISvars(vol_displayVelocity)} {off}
set {guiVISvars(vol_maxPressure)} {1}
set {guiVISvars(vol_maxVelMag)} {1}
set {guiVISvars(vol_minPressure)} {0}
set {guiVISvars(vol_minVelMag)} {0}
set {guiVISvars(vol_showMesh)} {0}
set {guiVISvars(vol_showSurfMesh)} {0}
set {guiVISvars(vol_velocityScale)} {0.005}
global {guiVISvarsPrev}
set {guiVISvarsPrev(volFlowSlice_displaySphere)} {0}
global {guiVOLRENvars}
set {guiVOLRENvars(color_pt_1)} {0 0 0}
set {guiVOLRENvars(color_pt_2)} {0 0 0}
set {guiVOLRENvars(color_pt_3)} {1 1 1}
set {guiVOLRENvars(color_pt_4)} {1 1 1}
set {guiVOLRENvars(intensity_pt_1)} {0.0}
set {guiVOLRENvars(intensity_pt_2)} {0.05}
set {guiVOLRENvars(intensity_pt_3)} {0.25}
set {guiVOLRENvars(intensity_pt_4)} {1.0}
set {guiVOLRENvars(opacity_pt_1)} {0.0}
set {guiVOLRENvars(opacity_pt_2)} {0.0}
set {guiVOLRENvars(opacity_pt_3)} {0.01}
set {guiVOLRENvars(opacity_pt_4)} {0.5}
global {guiWSSvars}
set {guiWSSvars(area_max_value)} {1.0}
set {guiWSSvars(area_min_value)} {0.0}
set {guiWSSvars(loaded_cut_file_text)} {# simvascular_cut_file_format 1.0}
set {guiWSSvars(plane_center)} {}
set {guiWSSvars(plane_normal)} {}
set {guiWSSvars(plane_offset)} {0.0}
set {guiWSSvars(plane_p1)} {}
set {guiWSSvars(plane_p2)} {}
set {guiWSSvars(plane_p3)} {}
set {guiWSSvars(useAllFaces)} {1}
set {guiWSSvars(vis_boxInteractor)} {0}
set {guiWSSvars(vis_cut_surface)} {0}
set {guiWSSvars(vis_initial_surface)} {0}
set {guiWSSvars(vis_planeInteractor)} {0}
global {itklsGUIParams}
set {itklsGUIParams(GACls)} {0}
set {itklsGUIParams(advSigma1)} {0.0}
set {itklsGUIParams(advSigma2)} {0}
set {itklsGUIParams(expFall)} {0.5}
set {itklsGUIParams(expRise)} {0.25}
set {itklsGUIParams(gSigma1)} {2.5}
set {itklsGUIParams(gSigma2)} {1.5}
set {itklsGUIParams(kLow)} {0.09}
set {itklsGUIParams(kThr)} {0.6}
set {itklsGUIParams(kUpp)} {0.8}
set {itklsGUIParams(maxErr1)} {0.001}
set {itklsGUIParams(maxErr2)} {0.0005}
set {itklsGUIParams(maxIter1)} {2000}
set {itklsGUIParams(maxIter2)} {1000}
set {itklsGUIParams(phyCntrX)} {0}
set {itklsGUIParams(phyCntrY)} {0}
set {itklsGUIParams(phyRadius)} {0}
set {itklsGUIParams(recompSeed)} {1}
set {itklsGUIParams(recompStg1)} {1}
set {itklsGUIParams(recompStg2)} {1}
set {itklsGUIParams(showDistanceMap)} {0}
set {itklsGUIParams(showPot)} {Stg1}
set {itklsGUIParams(useEdgeImage)} {0}
global {itklsGUIParamsBatch}
set {itklsGUIParamsBatch(addToGroup)} {0}
set {itklsGUIParamsBatch(posList)} {begin-end by 5}
set {itklsGUIParamsBatch(smooth)} {0}
global {itklsGUIfourierNumModes}
set {itklsGUIfourierNumModes} {12}
global {lsGUI3dWindow}
set {lsGUI3dWindow(showLS)} {0}
set {lsGUI3dWindow(showPreopSolid)} {0}
set {lsGUI3dWindow(showSelectedThr)} {0}
set {lsGUI3dWindow(showThr)} {0}
global {lsGUIanalContourType}
set {lsGUIanalContourType} {levelset}
global {lsGUIbatchEntry}
set {lsGUIbatchEntry} {begin-end}
global {lsGUIctrX}
set {lsGUIctrX} {0}
global {lsGUIctrY}
set {lsGUIctrY} {0}
global {lsGUIcurrentGroup}
set {lsGUIcurrentGroup} {}
global {lsGUIcurrentModel}
set {lsGUIcurrentModel} {}
global {lsGUIcurrentPathLabel}
set {lsGUIcurrentPathLabel} {blank}
global {lsGUIcurrentPathName}
set {lsGUIcurrentPathName} {this space intentionally left blank}
global {lsGUIcurrentPathNumber}
set {lsGUIcurrentPathNumber} {-1}
global {lsGUIcurrentPositionNumber}
set {lsGUIcurrentPositionNumber} {5}
global {lsGUIdisplayPathFlag}
set {lsGUIdisplayPathFlag} {0}
global {lsGUIdisplayProbeFlag}
set {lsGUIdisplayProbeFlag} {0}
global {lsGUIellipseA}
set {lsGUIellipseA} {0}
global {lsGUIellipseB}
set {lsGUIellipseB} {0}
global {lsGUIellipsePERIMETER}
set {lsGUIellipsePERIMETER} {0}
global {lsGUIfourierNumModes}
set {lsGUIfourierNumModes} {12}
global {lsGUIguessParamsCheckButton}
set {lsGUIguessParamsCheckButton} {0}
global {lsGUIhandContourType}
set {lsGUIhandContourType} {levelset}
global {lsGUIlsParams}
set {lsGUIlsParams(GoodnessStop)} {0.99}
set {lsGUIlsParams(GridFactor)} {1.0}
set {lsGUIlsParams(Klow)} {0.0}
set {lsGUIlsParams(Kthr)} {0.4}
set {lsGUIlsParams(Kupp)} {0.4}
set {lsGUIlsParams(MagFactor)} {0.33}
set {lsGUIlsParams(MaxSteps)} {500}
set {lsGUIlsParams(calcDecayConstBy)} {multiply}
set {lsGUIlsParams(calcPotConstBy)} {multiply}
set {lsGUIlsParams(checkGoodnessFrequency)} {50}
set {lsGUIlsParams(pFactor)} {0.1}
set {lsGUIlsParams(potentialValueDecay)} {100}
set {lsGUIlsParams(potentialValuePotential)} {120}
set {lsGUIlsParams(rebuildPhiFrequency)} {5}
set {lsGUIlsParams(stopV)} {0.01}
global {lsGUImagWindow}
set {lsGUImagWindow(meshOffset)} {20 0 0}
set {lsGUImagWindow(ren)} {}
set {lsGUImagWindow(showInitSphere)} {0}
set {lsGUImagWindow(showIntermediateLS)} {0}
set {lsGUImagWindow(showLS)} {0}
set {lsGUImagWindow(showMeshWarp)} {0}
set {lsGUImagWindow(showSegSlice)} {0}
set {lsGUImagWindow(showSelectedThr)} {0}
set {lsGUImagWindow(showThr)} {0}
set {lsGUImagWindow(showWarp)} {0}
set {lsGUImagWindow(showWindow)} {0}
set {lsGUImagWindow(warpFactor)} {0.01}
global {lsGUInumFacetsForSurface}
set {lsGUInumFacetsForSurface} {20}
global {lsGUInumSamplePoints}
set {lsGUInumSamplePoints} {ignored}
global {lsGUInumSplineSamplePts}
set {lsGUInumSplineSamplePts} {100}
global {lsGUIparallelProjectionFlag}
set {lsGUIparallelProjectionFlag} {0}
global {lsGUIpositionIdStr}
set {lsGUIpositionIdStr} {000.00 000.00 000.00}
global {lsGUIpotWindow}
set {lsGUIpotWindow(meshOffset)} {20 0 0}
set {lsGUIpotWindow(ren)} {}
set {lsGUIpotWindow(showInitSphere)} {0}
set {lsGUIpotWindow(showIntermediateLS)} {0}
set {lsGUIpotWindow(showLS)} {0}
set {lsGUIpotWindow(showSegSlice)} {0}
set {lsGUIpotWindow(showSelectedThr)} {0}
set {lsGUIpotWindow(showThr)} {0}
set {lsGUIpotWindow(showWarp)} {0}
set {lsGUIpotWindow(showWindow)} {0}
set {lsGUIpotWindow(warpFactor)} {0.01}
global {lsGUIpreviousPathNumber}
set {lsGUIpreviousPathNumber} {-1}
global {lsGUIpreviousPositionNumber}
set {lsGUIpreviousPositionNumber} {-1}
global {lsGUIradius}
set {lsGUIradius} {4.0}
global {lsGUIrunInParallel}
set {lsGUIrunInParallel} {0}
global {lsGUIrunInParallel }
set {lsGUIrunInParallel (via batchGUI)} {0}
global {lsGUIscaleFactor}
set {lsGUIscaleFactor} {1.0}
global {lsGUIshowInteractiveContourFlag}
set {lsGUIshowInteractiveContourFlag} {0}
global {lsGUIshowSurfaceFlag}
set {lsGUIshowSurfaceFlag} {0}
global {lsGUIspline_id}
set {lsGUIspline_id} {0}
global {lsGUIsurfaceOpacity}
set {lsGUIsurfaceOpacity} {1.0}
global {lsGUIthrValue}
set {lsGUIthrValue} {0}
global {lsGUIthresholdType}
set {lsGUIthresholdType} {mag}
global {lsGUItransX}
set {lsGUItransX} {0}
global {lsGUItransY}
set {lsGUItransY} {0}
global {smasherEntityIdentifier}
set {smasherEntityIdentifier} {foo}
global {smasherInputName}
set {smasherInputName} {none}
global {smasherNumItems}
set {smasherNumItems} {5}

# please don't modify the following
# variables. They are needed by xf.
global {symbolicName}
set {symbolicName(3d_windows)} {.guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0}
set {symbolicName(bcGUIbaselineRegionListbox)} {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.tframe6.notebook7.tframe14.frame2.frame1.frame3.frame.listbox1}
set {symbolicName(bcGUIframeScrollbar)} {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27.tframe28.frame31.frame7.scale15}
set {symbolicName(bcRenWinMag)} {.guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe9.f1}
set {symbolicName(bcRenWinPot)} {.guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe3.tpanedwindow8.tframe10.f1}
set {symbolicName(createPREOPgrpAvailLB)} {.guiSV.frame2.frame3.notebook6.tframe9.notebook0.tframe3.frame20.frame.listbox1}
set {symbolicName(createPREOPgrpCurLB)} {.guiSV.frame2.frame3.notebook6.tframe9.notebook0.tframe3.frame21.frame29.listbox1}
set {symbolicName(display_solid_menu_3D)} {.guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.frame1.menubutton5.m.a}
set {symbolicName(gRen3d)} {.guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe1.pane0.pane1.f3.r1}
set {symbolicName(gui3DchooserXscale)} {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframeXYZ.frame1.scale10}
set {symbolicName(gui3DchooserYscale)} {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframeXYZ.frame11.scale10}
set {symbolicName(gui3DchooserZscale)} {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframeXYZ.frame12.scale10}
set {symbolicName(gui3DseedsTB)} {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.frame5.line1.text56}
set {symbolicName(gui3DsphereScale)} {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.frame15.frame12.scale10}
set {symbolicName(gui3d_seed_move_frame_path)} {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframePATH}
set {symbolicName(gui3d_seed_move_frame_xyz)} {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframeXYZ}
set {symbolicName(guiBLENDSscript)} {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe11.tframe13.notebook1.tframe3.tframe7.frame18.frame20.frame.text2}
set {symbolicName(guiPDBLENDSscript)} {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe22.tframe7.frame18.frame20.frame.text2}
set {symbolicName(guiOCCTBLENDSscript)} {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe4.tframe13.notebook1.tframe3.tframe7.frame18.frame20.frame.text2}
set {symbolicName(guiCV_notebook_2D)} {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0}
set {symbolicName(guiCV_notebook_3D)} {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0}
set {symbolicName(guiCV_notebook_3D_LS)} {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe2.panedwindow0.notebook0.tframe1.notebook0}
set {symbolicName(guiCV_notebook_PCMRI)} {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe0.notebook27}
set {symbolicName(guiCV_notebook_create_vessel)} {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.notebook0}
set {symbolicName(guiCV_notebook_displays)} {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37}
set {symbolicName(guiCV_notebook_image)} {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34}
set {symbolicName(guiCV_notebook_main)} {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6}
set {symbolicName(guiCV_notebook_meshing)} {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20}
set {symbolicName(guiCV_notebook_model)} {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1}
set {symbolicName(guiCV_notebook_paths)} {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5}
set {symbolicName(guiCV_notebook_simulations)} {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0}
set {symbolicName(guiCV_notebook_simulations_run_solver)} {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe5.notebook1}
set {symbolicName(guiGROUPSDstLB)} {.guiSV.frame2.frame3.notebook6.tframe9.notebook0.tframe2.tframe7.frame5.frame14.frame.listbox1}
set {symbolicName(guiGROUPSSrcLB)} {.guiSV.frame2.frame3.notebook6.tframe9.notebook0.tframe2.tframe7.frame5.frame13.frame.listbox1}
set {symbolicName(guiLocalSurfaceOperationParametersTextBox)} {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe18.tlabelframe1.tframe13.tframe1.tlabelframe14.tframe15.frame.text2}
set {symbolicName(guiMMblFaceNamesMenu)} {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.frame2.frame6.menubutton11.m}
set {symbolicName(guiMMmeshControlAttributesTextBox)} {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.tlabelframe14.tframe15.frame.text2}
set {symbolicName(guiMMmeshScale)} {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe21.frame5.frame15.frame28.frame19.scale52}
set {symbolicName(guiMMsizeFaceNamesMenu)} {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame0.frame2.frame6.menubutton11.m}
set {symbolicName(guiPHASTAsupreScript)} {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe1.frame0.frame.text2}
set {symbolicName(guiPPchooserNumIntPoints)} {.guiSV.frame2.frame3.notebook6.tframe8.squeezer.tframe4.frame26.frame28.frame0.frame0.entry12}
set {symbolicName(guiPPchooserPathID)} {.guiSV.frame2.frame3.notebook6.tframe8.squeezer.tframe4.frame26.frame28.frame0.frame2.entry10}
set {symbolicName(guiPPchooserPathName)} {.guiSV.frame2.frame3.notebook6.tframe8.squeezer.tframe4.frame26.frame28.frame0.frame3.entry12}
set {symbolicName(guiPPchooserPointListBox)} {.guiSV.frame2.frame3.notebook6.tframe8.squeezer.tframe4.frame26.frame27.frame.listbox1}
set {symbolicName(guiPPchooserXscale)} {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.tframe2.frame1.scale10}
set {symbolicName(guiPPchooserYscale)} {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.tframe2.frame11.scale10}
set {symbolicName(guiPPchooserZscale)} {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe6.tframe2.frame12.scale10}
set {symbolicName(guiPPquantPositionScale_path1)} {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.frame31.frame4.scale15}
set {symbolicName(guiPPquantPositionScale_path2)} {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.frame31.frame4.scale15}
set {symbolicName(guiPPquantStartIDScale_path1)} {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.frame31.frame7.scale15}
set {symbolicName(guiPPquantStartIDScale_path2)} {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.frame31.frame7.scale15}
set {symbolicName(guiPPquantStopIDScale_path1)} {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe6.tframe0.frame31.frame2.scale15}
set {symbolicName(guiPPquantStopIDScale_path2)} {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe10.notebook5.tframe0.notebook5.tframe7.tframe0.frame31.frame2.scale15}
set {symbolicName(guiPPselectPathLB)} {.guiPPselectPath.frame8.frame.listbox1}
set {symbolicName(guiRWHlookupTableRadioButton1)} {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame0.radiobutton33}
set {symbolicName(guiRWHlookupTableRadioButton2)} {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe1.tframe3.notebook37.tframe44.frame0.radiobutton34}
set {symbolicName(guiSELECTGROUPSlistbox)} {.guiSELECTGROUPS.frame.listbox1}
set {symbolicName(guiSVIMG_blue_canvas)} {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer4.tframe4.tframe0.tframe13.canvas7}
set {symbolicName(guiSVIMG_green_canvas)} {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer4.tframe4.tframe0.tframe14.canvas7}
set {symbolicName(guiSVIMG_opacity_canvas)} {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer4.tframe4.tframe0.tframe2.canvas7}
set {symbolicName(guiSVIMG_red_canvas)} {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe36.squeezer4.tframe4.tframe0.tframe12.canvas7}
set {symbolicName(guiSV_group_tree)} {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe0.tframe0.treeview1}
set {symbolicName(guiSV_group_tree_scrollbar)} {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.frame27.top.tframe0.tframe0.tscrollbar0}
set {symbolicName(guiSV_model_tree)} {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe11.frame1.treeview1}
set {symbolicName(guiSV_model_tree_scrollbar)} {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe11.frame1.tscrollbar0}
set {symbolicName(guiSV_path_tree)} {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe4.tframe0.treeview1}
set {symbolicName(guiSV_path_tree_scrollbar)} {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe8.tpanedwindow9.tframe4.tframe0.tscrollbar0}
set {symbolicName(guiTETGENmeshControlAttributesTextBox)} {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe6.tlabelframe11.tframe1.frame.text2}
set {symbolicName(guiTRIMcutFileTB)} {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe10.notebook1.tframe13.tframe15.notebook16.tframe19.tlabelframe14.tframe15.frame.text2}
set {symbolicName(guiVISstepScale)} {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe3.frame22.frame23.scale7}
set {symbolicName(guiWSScutFileTB)} {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame5.text56}
set {symbolicName(guiWSSfaceLB)} {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe12.notebook0.tframe4.frame2.frame23.frame25.frame.listbox1}
set {symbolicName(gui_major_tabs)} {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6}
set {symbolicName(lsGUI3dseedpathPositionScale)} {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe2.notebook0.tframe6.tframe0.tframe2.tframe12.tframe0.tframePATH.frame7.scale15}
set {symbolicName(lsGUIpathPositionScale)} {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe9.panedwindow0.notebook0.tframe1.frame31.frame7.scale15}
set {symbolicName(lsGUIselectPathLB)} {.lsGUIselectPath.frame8.frame.listbox1}
set {symbolicName(lsRenWinMag)} {.guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe6.f1}
set {symbolicName(lsRenWinPot)} {.guiCV.tframe3.tpanedwindow4.tframe5.tpanedwindow45.tframe36.tpanedwindow0.tframe2.tpanedwindow5.tframe7.f1}
set {symbolicName(main_left_right_panedwindow)} {.guiCV.tframe3.tpanedwindow4}
set {symbolicName(main_top_bottom_right_panedwindow)} {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0}
set {symbolicName(meshsimFacesListbox)} {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe1.notebook0.tframe22.frame20.tlabelframe12.tframe1.tlabelframe3.frame.listbox1}
set {symbolicName(resampleGUI_sliderx)} {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame1.frame4.scale20}
set {symbolicName(resampleGUI_slidery)} {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame1.frame22.scale20}
set {symbolicName(resampleGUI_sliderz)} {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe37.frame1.frame23.scale20}
set {symbolicName(results_tab_control_frame)} {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1}
set {symbolicName(results_tab_control_frame_template)} {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe8}
set {symbolicName(results_tab_control_frame_template_scale)} {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe8.tscale0}
set {symbolicName(results_tab_control_subframe)} {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3}
set {symbolicName(results_tab_image_frame)} {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe2}
set {symbolicName(results_tab_left_3D_menu)} {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe8.tframe9.tframe11.tmenubutton17}
set {symbolicName(results_tab_left_model_menu)} {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe8.tframe9.tframe11.tmenubutton14}
set {symbolicName(results_tab_left_opacity_scale)} {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe8.tframe9.tframe11.tframe19.tscale0}
set {symbolicName(results_tab_left_plots_menu)} {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe8.tframe9.tframe11.tmenubutton15}
set {symbolicName(results_tab_pic_label)} {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe2.tlabel0}
set {symbolicName(results_tab_pic_left)} {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe2.tpanedwindow0.tframe1.tlabel0}
set {symbolicName(results_tab_pic_left_frame)} {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe2.tpanedwindow0.tframe1}
set {symbolicName(results_tab_pic_left_spinbox)} {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe0.tspinbox0}
set {symbolicName(results_tab_pic_right)} {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe2.tpanedwindow0.tframe2.tlabel1}
set {symbolicName(results_tab_pic_right_frame)} {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe2.tpanedwindow0.tframe2}
set {symbolicName(results_tab_pic_right_spinbox)} {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe0.tspinbox1}
set {symbolicName(results_tab_pics_panedwindow)} {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe2.tpanedwindow0}
set {symbolicName(results_tab_right_3D_menu)} {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe21.tframe9.tframe11.tmenubutton17}
set {symbolicName(results_tab_right_model_menu)} {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe21.tframe9.tframe11.tmenubutton14}
set {symbolicName(results_tab_right_opacity_scale)} {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe21.tframe9.tframe11.tframe19.tscale0}
set {symbolicName(results_tab_right_plots_menu)} {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe4.tframe1.tframe3.tframe21.tframe9.tframe11.tmenubutton15}
set {symbolicName(root)} {.}
set {symbolicName(smasherAttNameLabel)} {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe9.frame19.tframe1.frame8.frame5.entry0}
set {symbolicName(smasherEntityIdLabel)} {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe9.frame19.tframe1.frame8.frame9.frame2.entry0}
set {symbolicName(smasherGUIhideButton)} {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe9.frame19.tframe1.frame3.frame8.hide}
set {symbolicName(smasherOpacityScale)} {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe6.tframe9.frame19.tframe1.frame3.frame7.scale11}
set {symbolicName(svhelp_textbox)} {.svhelp.frame0.frame.text2}
set {symbolicName(svmessage_textbox)} {.svmessage.frame0.frame.text2}
set {symbolicName(tetgenFacesListbox)} {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe10.notebook20.tframe2.notebook0.tframe1.tlabelframe20.frame14.frame3.frame5.frame.listbox1}
set {symbolicName(tkcon)} {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe2.frame2.frame3.notebook6.tframe3}
set {symbolicName(volGUI_sliderx)} {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame1.frame4.scale20}
set {symbolicName(volGUI_slidery)} {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame1.frame22.scale20}
set {symbolicName(volGUI_sliderz)} {.guiCV.tframe3.tpanedwindow4.tframe6.tpanedwindow0.tframe1.notebook34.tframe35.frame1.frame23.scale20}
global {xfWmSetPosition}
set {xfWmSetPosition} {}
global {xfWmSetSize}
set {xfWmSetSize} {}
global {xfAppDefToplevels}
set {xfAppDefToplevels} {}

# display/remove toplevel windows.
ShowWindow.

global xfShowWindow.guiCV
set xfShowWindow.guiCV 0

global xfShowWindow.guiDICOM
set xfShowWindow.guiDICOM 0

global xfShowWindow.guiPPselectPath
set xfShowWindow.guiPPselectPath 0

global xfShowWindow.guiSELECTGROUPS
set xfShowWindow.guiSELECTGROUPS 0

global xfShowWindow.lsGUIselectPath
set xfShowWindow.lsGUIselectPath 0

global xfShowWindow.svGroupWindow
set xfShowWindow.svGroupWindow 0

global xfShowWindow.svSaveSegWindow
set xfShowWindow.svSaveSegWindow 0

global xfShowWindow.svmessage
set xfShowWindow.svmessage 0

# load default bindings.
if {[info exists env(XF_BIND_FILE)] &&
    "[info procs XFShowHelp]" == ""} {
  source $env(XF_BIND_FILE)
}

# eof
#

